/*===========================================================================*/
/*   (Ast/object.scm)                                                        */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/object.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;


	static obj_t BGl___bigloo_wallow__z00zzast_objectz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62fieldzd2refzd2ze3nodez81zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_objectz00();
	extern obj_t BGl_privatezd2nodezd2zzast_privatez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_objectz00();
	static obj_t BGl__fieldzd2accesszd2zzast_objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_fieldzd2accesszd2zzast_objectz00(obj_t, obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_objectz00();
	extern obj_t BGl_makezd2classzd2refz00zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t);
	extern obj_t BGl_makezd2classzd2setz12z12zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62fieldzd2setzd2ze3nodez81zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_objectz00 = BUNSPEC;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_toplevelzd2initzd2zzast_objectz00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_objectz00();
	static obj_t BGl_makezd2fieldzd2setz12z12zzast_objectz00(obj_t, obj_t,
		BgL_nodez00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2classzd2slotz00zzobject_toolsz00(BgL_typez00_bglt,
		obj_t);
	static obj_t BGl___bigloo__z00zzast_objectz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_jclassz00zzobject_classz00;
	extern obj_t BGl_wclassz00zzobject_classz00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzast_objectz00();
	static obj_t BGl_makezd2fieldzd2refz00zzast_objectz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_objectz00();
	static obj_t BGl_sourcezd2ze3fieldz31zzast_objectz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_objectz00();
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fieldzd2setzd2ze3nodezd2envz31zzast_objectz00,
		BgL_bgl_za762fieldza7d2setza7d1765za7,
		BGl_z62fieldzd2setzd2ze3nodez81zzast_objectz00, 0L, BUNSPEC, 6);
	      DEFINE_STRING(BGl_string1753z00zzast_objectz00,
		BgL_bgl_string1753za700za7za7a1766za7, "#!bigloo", 8);
	      DEFINE_STRING(BGl_string1754z00zzast_objectz00,
		BgL_bgl_string1754za700za7za7a1767za7, "#!bigloo_wallow", 15);
	      DEFINE_STRING(BGl_string1755z00zzast_objectz00,
		BgL_bgl_string1755za700za7za7a1768za7, "Class \"~a\" has not field \"~a\"",
		29);
	      DEFINE_STRING(BGl_string1756z00zzast_objectz00,
		BgL_bgl_string1756za700za7za7a1769za7, "Static type not a class", 23);
	      DEFINE_STRING(BGl_string1757z00zzast_objectz00,
		BgL_bgl_string1757za700za7za7a1770za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string1758z00zzast_objectz00,
		BgL_bgl_string1758za700za7za7a1771za7, "Field read-only \"~a\"", 20);
	      DEFINE_STRING(BGl_string1759z00zzast_objectz00,
		BgL_bgl_string1759za700za7za7a1772za7, "Class \"~a\" has no field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string1760z00zzast_objectz00,
		BgL_bgl_string1760za700za7za7a1773za7, "ast_object", 10);
	      DEFINE_STRING(BGl_string1761z00zzast_objectz00,
		BgL_bgl_string1761za700za7za7a1774za7,
		"call-virtual-setter @ call-virtual-getter __object set! -> ", 59);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fieldzd2refzd2ze3nodezd2envz31zzast_objectz00,
		BgL_bgl_za762fieldza7d2refza7d1775za7,
		BGl_z62fieldzd2refzd2ze3nodez81zzast_objectz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_fieldzd2accesszd2envz00zzast_objectz00,
		BgL_bgl__fieldza7d2accessza71776z00, opt_generic_entry,
		BGl__fieldzd2accesszd2zzast_objectz00, BFALSE, -1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl___bigloo_wallow__z00zzast_objectz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_objectz00));
		     ADD_ROOT((void *) (&BGl___bigloo__z00zzast_objectz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long
		BgL_checksumz00_2076, char *BgL_fromz00_2077)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_objectz00))
				{
					BGl_requirezd2initializa7ationz75zzast_objectz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_objectz00();
					BGl_libraryzd2moduleszd2initz00zzast_objectz00();
					BGl_cnstzd2initzd2zzast_objectz00();
					BGl_importedzd2moduleszd2initz00zzast_objectz00();
					return BGl_toplevelzd2initzd2zzast_objectz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_objectz00()
	{
		AN_OBJECT;
		{	/* Ast/object.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_object");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_object");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_object");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_object");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_object");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_object");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_object");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_object");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_object");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "ast_object");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_objectz00()
	{
		AN_OBJECT;
		{	/* Ast/object.scm 15 */
			{	/* Ast/object.scm 15 */
				obj_t BgL_cportz00_2063;

				{	/* Ast/object.scm 15 */
					obj_t BgL_startz00_2072;

					BgL_startz00_2072 = BINT(((long) 0));
					{	/* Ast/object.scm 15 */
						obj_t BgL_endz00_2073;

						BgL_endz00_2073 =
							BINT(STRING_LENGTH(BGl_string1761z00zzast_objectz00));
						{	/* Ast/object.scm 15 */

							BgL_cportz00_2063 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1761z00zzast_objectz00, BgL_startz00_2072,
								BgL_endz00_2073);
				}}}
				{
					long BgL_iz00_2064;

					BgL_iz00_2064 = ((long) 5);
				BgL_loopz00_2065:
					if ((BgL_iz00_2064 == ((long) -1)))
						{	/* Ast/object.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Ast/object.scm 15 */
							{	/* Ast/object.scm 15 */
								obj_t BgL_arg1763z00_2067;

								{	/* Ast/object.scm 15 */

									{	/* Ast/object.scm 15 */
										obj_t BgL_locationz00_2069;

										BgL_locationz00_2069 = BBOOL(((bool_t) 0));
										{	/* Ast/object.scm 15 */

											BgL_arg1763z00_2067 =
												BGl_readz00zz__readerz00(BgL_cportz00_2063,
												BgL_locationz00_2069);
										}
									}
								}
								{	/* Ast/object.scm 15 */
									int BgL_tmpz00_2104;

									BgL_tmpz00_2104 = (int) (BgL_iz00_2064);
									CNST_TABLE_SET(BgL_tmpz00_2104, BgL_arg1763z00_2067);
							}}
							{	/* Ast/object.scm 15 */
								int BgL_auxz00_2070;

								BgL_auxz00_2070 = (int) ((BgL_iz00_2064 - ((long) 1)));
								{
									long BgL_iz00_2109;

									BgL_iz00_2109 = (long) (BgL_auxz00_2070);
									BgL_iz00_2064 = BgL_iz00_2109;
									goto BgL_loopz00_2065;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_objectz00()
	{
		AN_OBJECT;
		{	/* Ast/object.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_objectz00()
	{
		AN_OBJECT;
		{	/* Ast/object.scm 15 */
			BGl___bigloo__z00zzast_objectz00 =
				bstring_to_symbol(BGl_string1753z00zzast_objectz00);
			return (BGl___bigloo_wallow__z00zzast_objectz00 =
				bstring_to_symbol(BGl_string1754z00zzast_objectz00), BUNSPEC);
		}
	}



/* _field-access */
	obj_t BGl__fieldzd2accesszd2zzast_objectz00(obj_t BgL_envz00_21,
		obj_t BgL_optz00_20)
	{
		AN_OBJECT;
		{	/* Ast/object.scm 65 */
			{	/* Ast/object.scm 65 */
				obj_t BgL_g1300z00_1634;
				obj_t BgL_g1301z00_1635;

				BgL_g1300z00_1634 = VECTOR_REF(BgL_optz00_20, (int) (((long) 0)));
				BgL_g1301z00_1635 = VECTOR_REF(BgL_optz00_20, (int) (((long) 1)));
				switch ((long) (VECTOR_LENGTH(BgL_optz00_20)))
					{
					case ((long) 2):

						{	/* Ast/object.scm 65 */

							return
								BGl_fieldzd2accesszd2zzast_objectz00(BgL_g1300z00_1634,
								BgL_g1301z00_1635, BFALSE);
						}
						break;
					case ((long) 3):

						{	/* Ast/object.scm 65 */
							obj_t BgL_writezd2allowzd2_1640;

							BgL_writezd2allowzd2_1640 =
								VECTOR_REF(BgL_optz00_20, (int) (((long) 2)));
							{	/* Ast/object.scm 65 */

								return
									BGl_fieldzd2accesszd2zzast_objectz00(BgL_g1300z00_1634,
									BgL_g1301z00_1635, BgL_writezd2allowzd2_1640);
							}
						}
						break;
					default:
						return BUNSPEC;
					}
			}
		}
	}



/* field-access */
	BGL_EXPORTED_DEF obj_t BGl_fieldzd2accesszd2zzast_objectz00(obj_t
		BgL_varz00_17, obj_t BgL_fieldz00_18, obj_t BgL_writezd2allowzd2_19)
	{
		AN_OBJECT;
		{	/* Ast/object.scm 65 */
			{	/* Ast/object.scm 66 */
				obj_t BgL_arg1367z00_1641;

				{	/* Ast/object.scm 66 */
					obj_t BgL_arg1368z00_1642;
					obj_t BgL_arg1375z00_1643;

					if (CBOOL(BgL_writezd2allowzd2_19))
						{	/* Ast/object.scm 66 */
							BgL_arg1368z00_1642 = BGl___bigloo_wallow__z00zzast_objectz00;
						}
					else
						{	/* Ast/object.scm 66 */
							BgL_arg1368z00_1642 = BGl___bigloo__z00zzast_objectz00;
						}
					{	/* Ast/object.scm 66 */
						obj_t BgL_arg1376z00_1644;

						BgL_arg1376z00_1644 = MAKE_YOUNG_PAIR(BgL_fieldz00_18, BNIL);
						BgL_arg1375z00_1643 =
							MAKE_YOUNG_PAIR(BgL_varz00_17, BgL_arg1376z00_1644);
					}
					BgL_arg1367z00_1641 =
						MAKE_YOUNG_PAIR(BgL_arg1368z00_1642, BgL_arg1375z00_1643);
				}
				return MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)), BgL_arg1367z00_1641);
		}}
	}



/* source->field */
	obj_t BGl_sourcezd2ze3fieldz31zzast_objectz00(obj_t BgL_lz00_22)
	{
		AN_OBJECT;
		{	/* Ast/object.scm 71 */
			{	/* Ast/object.scm 72 */
				bool_t BgL_testz00_2132;

				{	/* Ast/object.scm 72 */
					bool_t BgL_testz00_2133;

					{	/* Ast/object.scm 72 */
						obj_t BgL_arg1416z00_1652;

						BgL_arg1416z00_1652 = CAR(BgL_lz00_22);
						BgL_testz00_2133 =
							(BgL_arg1416z00_1652 == BGl___bigloo__z00zzast_objectz00);
					}
					if (BgL_testz00_2133)
						{	/* Ast/object.scm 72 */
							BgL_testz00_2132 = ((bool_t) 1);
						}
					else
						{	/* Ast/object.scm 72 */
							obj_t BgL_arg1415z00_1651;

							BgL_arg1415z00_1651 = CAR(BgL_lz00_22);
							BgL_testz00_2132 =
								(BgL_arg1415z00_1651 ==
								BGl___bigloo_wallow__z00zzast_objectz00);
						}
				}
				if (BgL_testz00_2132)
					{	/* Ast/object.scm 72 */
						return CDR(BgL_lz00_22);
					}
				else
					{	/* Ast/object.scm 72 */
						return BgL_lz00_22;
					}
			}
		}
	}



/* field-ref->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00(obj_t BgL_lz00_23,
		obj_t BgL_expz00_24, obj_t BgL_stackz00_25, obj_t BgL_locz00_26,
		obj_t BgL_sitez00_27)
	{
		AN_OBJECT;
		{	/* Ast/object.scm 79 */
			{	/* Ast/object.scm 80 */
				obj_t BgL_l2z00_1653;

				BgL_l2z00_1653 = BGl_sourcezd2ze3fieldz31zzast_objectz00(BgL_lz00_23);
				{	/* Ast/object.scm 80 */
					BgL_nodez00_bglt BgL_varz00_1654;

					BgL_varz00_1654 =
						BGl_sexpzd2ze3nodez31zzast_sexpz00(CAR(BgL_l2z00_1653),
						BgL_stackz00_25, BgL_locz00_26, BgL_sitez00_27);
					{	/* Ast/object.scm 81 */

						{	/* Ast/object.scm 83 */
							bool_t BgL_testz00_2142;

							{	/* Ast/object.scm 83 */
								bool_t BgL_res1739z00_1998;

								BgL_res1739z00_1998 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_varz00_1654), BGl_varz00zzast_nodez00);
								BgL_testz00_2142 = BgL_res1739z00_1998;
							}
							if (BgL_testz00_2142)
								{	/* Ast/object.scm 84 */
									BgL_variablez00_bglt BgL_i1110z00_1656;

									BgL_i1110z00_1656 =
										(((BgL_varz00_bglt) CREF(
												((BgL_varz00_bglt) BgL_varz00_1654)))->BgL_variablez00);
									{	/* Ast/object.scm 85 */
										obj_t BgL_g1112z00_1657;

										BgL_g1112z00_1657 = CDR(BgL_l2z00_1653);
										{
											obj_t BgL_nodez00_1660;
											obj_t BgL_klassz00_1661;
											obj_t BgL_slotsz00_1662;

											{	/* Ast/object.scm 85 */
												BgL_typez00_bglt BgL_arg1423z00_1659;

												BgL_arg1423z00_1659 =
													(((BgL_variablez00_bglt) CREF(BgL_i1110z00_1656))->
													BgL_typez00);
												{
													obj_t BgL_auxz00_2149;

													BgL_nodez00_1660 = ((obj_t) BgL_varz00_1654);
													BgL_klassz00_1661 = ((obj_t) BgL_arg1423z00_1659);
													BgL_slotsz00_1662 = BgL_g1112z00_1657;
												BgL_zc3anonymousza31424ze3z83_1663:
													if (NULLP(BgL_slotsz00_1662))
														{	/* Ast/object.scm 89 */
															BgL_auxz00_2149 = BgL_nodez00_1660;
														}
													else
														{	/* Ast/object.scm 91 */
															bool_t BgL_testz00_2152;

															if (BGl_isazf3zf3zz__objectz00(BgL_klassz00_1661,
																	BGl_tclassz00zzobject_classz00))
																{	/* Ast/object.scm 91 */
																	BgL_testz00_2152 = ((bool_t) 1);
																}
															else
																{	/* Ast/object.scm 91 */
																	if (BGl_isazf3zf3zz__objectz00
																		(BgL_klassz00_1661,
																			BGl_jclassz00zzobject_classz00))
																		{	/* Ast/object.scm 91 */
																			BgL_testz00_2152 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/object.scm 91 */
																			BgL_testz00_2152 =
																				BGl_isazf3zf3zz__objectz00
																				(BgL_klassz00_1661,
																				BGl_wclassz00zzobject_classz00);
																		}
																}
															if (BgL_testz00_2152)
																{	/* Ast/object.scm 94 */
																	obj_t BgL_slotz00_1668;

																	{	/* Ast/object.scm 94 */
																		obj_t BgL_arg1469z00_1677;

																		BgL_arg1469z00_1677 =
																			CAR(BgL_slotsz00_1662);
																		BgL_slotz00_1668 =
																			BGl_findzd2classzd2slotz00zzobject_toolsz00
																			(((BgL_typez00_bglt) BgL_klassz00_1661),
																			BgL_arg1469z00_1677);
																	}
																	if (CBOOL(BgL_slotz00_1668))
																		{	/* Ast/object.scm 100 */
																			obj_t BgL_nodez00_1669;

																			BgL_nodez00_1669 =
																				BGl_makezd2fieldzd2refz00zzast_objectz00
																				(BgL_slotz00_1668, BgL_nodez00_1660,
																				BgL_stackz00_25, BgL_locz00_26,
																				BgL_sitez00_27);
																			{	/* Ast/object.scm 101 */
																				obj_t BgL_arg1436z00_1670;
																				obj_t BgL_arg1437z00_1671;

																				BgL_arg1436z00_1670 =
																					(((BgL_slotz00_bglt) CREF(
																							((BgL_slotz00_bglt)
																								BgL_slotz00_1668)))->
																					BgL_typez00);
																				BgL_arg1437z00_1671 =
																					CDR(BgL_slotsz00_1662);
																				{
																					obj_t BgL_slotsz00_2169;
																					obj_t BgL_klassz00_2168;
																					obj_t BgL_nodez00_2167;

																					BgL_nodez00_2167 = BgL_nodez00_1669;
																					BgL_klassz00_2168 =
																						BgL_arg1436z00_1670;
																					BgL_slotsz00_2169 =
																						BgL_arg1437z00_1671;
																					BgL_slotsz00_1662 = BgL_slotsz00_2169;
																					BgL_klassz00_1661 = BgL_klassz00_2168;
																					BgL_nodez00_1660 = BgL_nodez00_2167;
																					goto
																						BgL_zc3anonymousza31424ze3z83_1663;
																				}
																			}
																		}
																	else
																		{	/* Ast/object.scm 98 */
																			obj_t BgL_arg1446z00_1672;

																			{	/* Ast/object.scm 98 */
																				obj_t BgL_arg1454z00_1673;
																				obj_t BgL_arg1460z00_1674;

																				BgL_arg1454z00_1673 =
																					(((BgL_typez00_bglt) CREF(
																							((BgL_typez00_bglt)
																								BgL_klassz00_1661)))->
																					BgL_idz00);
																				BgL_arg1460z00_1674 =
																					CAR(BgL_slotsz00_1662);
																				{	/* Ast/object.scm 97 */
																					obj_t BgL_list1461z00_1675;

																					{	/* Ast/object.scm 97 */
																						obj_t BgL_arg1465z00_1676;

																						BgL_arg1465z00_1676 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1460z00_1674, BNIL);
																						BgL_list1461z00_1675 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1454z00_1673,
																							BgL_arg1465z00_1676);
																					}
																					BgL_arg1446z00_1672 =
																						BGl_formatz00zz__r4_output_6_10_3z00
																						(BGl_string1755z00zzast_objectz00,
																						BgL_list1461z00_1675);
																				}
																			}
																			BgL_auxz00_2149 =
																				((obj_t)
																				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																				(BgL_arg1446z00_1672, BgL_expz00_24,
																					BgL_locz00_26));
																		}
																}
															else
																{	/* Ast/object.scm 91 */
																	BgL_auxz00_2149 =
																		((obj_t)
																		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																		(BGl_string1756z00zzast_objectz00,
																			BgL_expz00_24, BgL_locz00_26));
																}
														}
													return ((BgL_nodez00_bglt) BgL_auxz00_2149);
												}
											}
										}
									}
								}
							else
								{	/* Ast/object.scm 102 */
									bool_t BgL_testz00_2183;

									if (INTEGERP
										(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
										{	/* Ast/object.scm 102 */
											BgL_testz00_2183 =
												(
												(long)
												CINT
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) ==
												((long) 0));
										}
									else
										{	/* Ast/object.scm 102 */
											BgL_testz00_2183 =
												BGl_2zd3zd3zz__r4_numbers_6_5z00
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
												BINT(((long) 0)));
										}
									if (BgL_testz00_2183)
										{	/* Ast/object.scm 102 */
											return
												BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
												(BGl_string1757z00zzast_objectz00, BgL_expz00_24,
												BgL_locz00_26);
										}
									else
										{	/* Ast/object.scm 102 */
											return BgL_varz00_1654;
										}
								}
						}
					}
				}
			}
		}
	}



/* &field-ref->node */
	BgL_nodez00_bglt BGl_z62fieldzd2refzd2ze3nodez81zzast_objectz00(obj_t
		BgL_envz00_2049, obj_t BgL_lz00_2050, obj_t BgL_expz00_2051,
		obj_t BgL_stackz00_2052, obj_t BgL_locz00_2053, obj_t BgL_sitez00_2054)
	{
		AN_OBJECT;
		{	/* Ast/object.scm 79 */
			return
				BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00(BgL_lz00_2050,
				BgL_expz00_2051, BgL_stackz00_2052, BgL_locz00_2053, BgL_sitez00_2054);
		}
	}



/* field-set->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00(obj_t BgL_lz00_28,
		obj_t BgL_valz00_29, obj_t BgL_expz00_30, obj_t BgL_stackz00_31,
		obj_t BgL_locz00_32, obj_t BgL_sitez00_33)
	{
		AN_OBJECT;
		{	/* Ast/object.scm 110 */
			{	/* Ast/object.scm 111 */
				obj_t BgL_l2z00_1685;

				BgL_l2z00_1685 = BGl_sourcezd2ze3fieldz31zzast_objectz00(BgL_lz00_28);
				{	/* Ast/object.scm 111 */
					BgL_nodez00_bglt BgL_varz00_1686;

					BgL_varz00_1686 =
						BGl_sexpzd2ze3nodez31zzast_sexpz00(CAR(BgL_l2z00_1685),
						BgL_stackz00_31, BgL_locz00_32, BgL_sitez00_33);
					{	/* Ast/object.scm 112 */
						BgL_nodez00_bglt BgL_valz00_1687;

						BgL_valz00_1687 =
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_valz00_29, BgL_stackz00_31,
							BgL_locz00_32, BgL_sitez00_33);
						{	/* Ast/object.scm 113 */

							{	/* Ast/object.scm 115 */
								bool_t BgL_testz00_2196;

								{	/* Ast/object.scm 115 */
									bool_t BgL_res1746z00_2015;

									BgL_res1746z00_2015 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_varz00_1686), BGl_varz00zzast_nodez00);
									BgL_testz00_2196 = BgL_res1746z00_2015;
								}
								if (BgL_testz00_2196)
									{	/* Ast/object.scm 116 */
										BgL_variablez00_bglt BgL_i1113z00_1689;

										BgL_i1113z00_1689 =
											(((BgL_varz00_bglt) CREF(
													((BgL_varz00_bglt) BgL_varz00_1686)))->
											BgL_variablez00);
										{	/* Ast/object.scm 117 */
											obj_t BgL_g1117z00_1690;

											BgL_g1117z00_1690 = CDR(BgL_l2z00_1685);
											{
												obj_t BgL_nodez00_1693;
												obj_t BgL_klassz00_1694;
												obj_t BgL_slotsz00_1695;

												{	/* Ast/object.scm 117 */
													BgL_typez00_bglt BgL_arg1484z00_1692;

													BgL_arg1484z00_1692 =
														(((BgL_variablez00_bglt) CREF(BgL_i1113z00_1689))->
														BgL_typez00);
													{
														obj_t BgL_auxz00_2203;

														BgL_nodez00_1693 = ((obj_t) BgL_varz00_1686);
														BgL_klassz00_1694 = ((obj_t) BgL_arg1484z00_1692);
														BgL_slotsz00_1695 = BgL_g1117z00_1690;
													BgL_zc3anonymousza31485ze3z83_1696:
														{	/* Ast/object.scm 120 */
															bool_t BgL_testz00_2204;

															if (BGl_isazf3zf3zz__objectz00(BgL_klassz00_1694,
																	BGl_tclassz00zzobject_classz00))
																{	/* Ast/object.scm 120 */
																	BgL_testz00_2204 = ((bool_t) 1);
																}
															else
																{	/* Ast/object.scm 120 */
																	if (BGl_isazf3zf3zz__objectz00
																		(BgL_klassz00_1694,
																			BGl_jclassz00zzobject_classz00))
																		{	/* Ast/object.scm 120 */
																			BgL_testz00_2204 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/object.scm 120 */
																			BgL_testz00_2204 =
																				BGl_isazf3zf3zz__objectz00
																				(BgL_klassz00_1694,
																				BGl_wclassz00zzobject_classz00);
																		}
																}
															if (BgL_testz00_2204)
																{	/* Ast/object.scm 122 */
																	obj_t BgL_slotz00_1700;

																	{	/* Ast/object.scm 122 */
																		obj_t BgL_arg1555z00_1728;

																		BgL_arg1555z00_1728 =
																			CAR(BgL_slotsz00_1695);
																		BgL_slotz00_1700 =
																			BGl_findzd2classzd2slotz00zzobject_toolsz00
																			(((BgL_typez00_bglt) BgL_klassz00_1694),
																			BgL_arg1555z00_1728);
																	}
																	if (CBOOL(BgL_slotz00_1700))
																		{	/* Ast/object.scm 124 */
																			if (NULLP(CDR(BgL_slotsz00_1695)))
																				{	/* Ast/object.scm 130 */
																					bool_t BgL_testz00_2218;

																					if (
																						(((BgL_slotz00_bglt) CREF(
																									((BgL_slotz00_bglt)
																										BgL_slotz00_1700)))->
																							BgL_readzd2onlyzf3z21))
																						{	/* Ast/object.scm 131 */
																							bool_t BgL_testz00_2222;

																							{	/* Ast/object.scm 131 */
																								obj_t BgL_arg1535z00_1718;

																								BgL_arg1535z00_1718 =
																									CAR(BgL_lz00_28);
																								BgL_testz00_2222 =
																									(BgL_arg1535z00_1718 ==
																									BGl___bigloo_wallow__z00zzast_objectz00);
																							}
																							if (BgL_testz00_2222)
																								{	/* Ast/object.scm 131 */
																									BgL_testz00_2218 =
																										((bool_t) 0);
																								}
																							else
																								{	/* Ast/object.scm 131 */
																									BgL_testz00_2218 =
																										((bool_t) 1);
																								}
																						}
																					else
																						{	/* Ast/object.scm 130 */
																							BgL_testz00_2218 = ((bool_t) 0);
																						}
																					if (BgL_testz00_2218)
																						{	/* Ast/object.scm 133 */
																							obj_t BgL_arg1507z00_1708;
																							obj_t BgL_arg1509z00_1709;

																							{	/* Ast/object.scm 133 */
																								obj_t BgL_arg1510z00_1710;

																								BgL_arg1510z00_1710 =
																									CAR(CDR(BgL_l2z00_1685));
																								{	/* Ast/object.scm 133 */
																									obj_t BgL_list1511z00_1711;

																									BgL_list1511z00_1711 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1510z00_1710, BNIL);
																									BgL_arg1507z00_1708 =
																										BGl_formatz00zz__r4_output_6_10_3z00
																										(BGl_string1758z00zzast_objectz00,
																										BgL_list1511z00_1711);
																								}
																							}
																							{	/* Ast/object.scm 134 */
																								obj_t BgL_arg1526z00_1712;

																								{	/* Ast/object.scm 134 */
																									obj_t BgL_arg1527z00_1713;
																									obj_t BgL_arg1530z00_1714;

																									BgL_arg1527z00_1713 =
																										CAR(BgL_l2z00_1685);
																									BgL_arg1530z00_1714 =
																										MAKE_YOUNG_PAIR(CAR(CDR
																											(BgL_l2z00_1685)), BNIL);
																									BgL_arg1526z00_1712 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1527z00_1713,
																										BgL_arg1530z00_1714);
																								}
																								BgL_arg1509z00_1709 =
																									MAKE_YOUNG_PAIR(CNST_TABLE_REF
																									(((long) 1)),
																									BgL_arg1526z00_1712);
																							}
																							BgL_auxz00_2203 =
																								((obj_t)
																								BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																								(BgL_arg1507z00_1708,
																									BgL_arg1509z00_1709,
																									BgL_locz00_32));
																						}
																					else
																						{	/* Ast/object.scm 130 */
																							BgL_auxz00_2203 =
																								BGl_makezd2fieldzd2setz12z12zzast_objectz00
																								(BgL_slotz00_1700,
																								BgL_nodez00_1693,
																								BgL_valz00_1687,
																								BgL_stackz00_31, BgL_locz00_32,
																								BgL_sitez00_33);
																						}
																				}
																			else
																				{	/* Ast/object.scm 137 */
																					obj_t BgL_nodez00_1719;

																					BgL_nodez00_1719 =
																						BGl_makezd2fieldzd2refz00zzast_objectz00
																						(BgL_slotz00_1700, BgL_nodez00_1693,
																						BgL_stackz00_31, BgL_locz00_32,
																						BgL_sitez00_33);
																					{	/* Ast/object.scm 138 */
																						obj_t BgL_arg1537z00_1720;
																						obj_t BgL_arg1540z00_1721;

																						BgL_arg1537z00_1720 =
																							(((BgL_slotz00_bglt) CREF(
																									((BgL_slotz00_bglt)
																										BgL_slotz00_1700)))->
																							BgL_typez00);
																						BgL_arg1540z00_1721 =
																							CDR(BgL_slotsz00_1695);
																						{
																							obj_t BgL_slotsz00_2245;
																							obj_t BgL_klassz00_2244;
																							obj_t BgL_nodez00_2243;

																							BgL_nodez00_2243 =
																								BgL_nodez00_1719;
																							BgL_klassz00_2244 =
																								BgL_arg1537z00_1720;
																							BgL_slotsz00_2245 =
																								BgL_arg1540z00_1721;
																							BgL_slotsz00_1695 =
																								BgL_slotsz00_2245;
																							BgL_klassz00_1694 =
																								BgL_klassz00_2244;
																							BgL_nodez00_1693 =
																								BgL_nodez00_2243;
																							goto
																								BgL_zc3anonymousza31485ze3z83_1696;
																						}
																					}
																				}
																		}
																	else
																		{	/* Ast/object.scm 127 */
																			obj_t BgL_arg1542z00_1723;

																			{	/* Ast/object.scm 127 */
																				obj_t BgL_arg1545z00_1724;
																				obj_t BgL_arg1546z00_1725;

																				BgL_arg1545z00_1724 =
																					(((BgL_typez00_bglt) CREF(
																							((BgL_typez00_bglt)
																								BgL_klassz00_1694)))->
																					BgL_idz00);
																				BgL_arg1546z00_1725 =
																					CAR(BgL_slotsz00_1695);
																				{	/* Ast/object.scm 126 */
																					obj_t BgL_list1547z00_1726;

																					{	/* Ast/object.scm 126 */
																						obj_t BgL_arg1551z00_1727;

																						BgL_arg1551z00_1727 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1546z00_1725, BNIL);
																						BgL_list1547z00_1726 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1545z00_1724,
																							BgL_arg1551z00_1727);
																					}
																					BgL_arg1542z00_1723 =
																						BGl_formatz00zz__r4_output_6_10_3z00
																						(BGl_string1759z00zzast_objectz00,
																						BgL_list1547z00_1726);
																				}
																			}
																			BgL_auxz00_2203 =
																				((obj_t)
																				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																				(BgL_arg1542z00_1723, BgL_expz00_30,
																					BgL_locz00_32));
																		}
																}
															else
																{	/* Ast/object.scm 120 */
																	BgL_auxz00_2203 =
																		((obj_t)
																		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																		(BGl_string1756z00zzast_objectz00,
																			BgL_expz00_30, BgL_locz00_32));
																}
														}
														return ((BgL_nodez00_bglt) BgL_auxz00_2203);
													}
												}
											}
										}
									}
								else
									{	/* Ast/object.scm 139 */
										bool_t BgL_testz00_2259;

										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Ast/object.scm 139 */
												BgL_testz00_2259 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													== ((long) 0));
											}
										else
											{	/* Ast/object.scm 139 */
												BgL_testz00_2259 =
													BGl_2zd3zd3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 0)));
											}
										if (BgL_testz00_2259)
											{	/* Ast/object.scm 139 */
												return
													BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
													(BGl_string1757z00zzast_objectz00, BgL_expz00_30,
													BgL_locz00_32);
											}
										else
											{	/* Ast/object.scm 139 */
												return BgL_varz00_1686;
											}
									}
							}
						}
					}
				}
			}
		}
	}



/* &field-set->node */
	BgL_nodez00_bglt BGl_z62fieldzd2setzd2ze3nodez81zzast_objectz00(obj_t
		BgL_envz00_2055, obj_t BgL_lz00_2056, obj_t BgL_valz00_2057,
		obj_t BgL_expz00_2058, obj_t BgL_stackz00_2059, obj_t BgL_locz00_2060,
		obj_t BgL_sitez00_2061)
	{
		AN_OBJECT;
		{	/* Ast/object.scm 110 */
			return
				BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00(BgL_lz00_2056,
				BgL_valz00_2057, BgL_expz00_2058, BgL_stackz00_2059, BgL_locz00_2060,
				BgL_sitez00_2061);
		}
	}



/* make-field-ref */
	obj_t BGl_makezd2fieldzd2refz00zzast_objectz00(obj_t BgL_slotz00_34,
		obj_t BgL_objz00_35, obj_t BgL_stackz00_36, obj_t BgL_locz00_37,
		obj_t BgL_sitez00_38)
	{
		AN_OBJECT;
		{	/* Ast/object.scm 147 */
			if (CBOOL(
					(((BgL_slotz00_bglt) CREF(
								((BgL_slotz00_bglt) BgL_slotz00_34)))->BgL_getterz00)))
				{	/* Ast/object.scm 149 */
					obj_t BgL_vnumz00_1737;

					BgL_vnumz00_1737 =
						(((BgL_slotz00_bglt) CREF(
								((BgL_slotz00_bglt) BgL_slotz00_34)))->BgL_virtualzd2numzd2);
					{	/* Ast/object.scm 149 */
						obj_t BgL_expz00_1738;

						{	/* Ast/object.scm 150 */
							obj_t BgL_arg1568z00_1739;
							obj_t BgL_arg1570z00_1740;

							{	/* Ast/object.scm 150 */
								obj_t BgL_arg1579z00_1741;

								{	/* Ast/object.scm 150 */
									obj_t BgL_arg1580z00_1742;

									BgL_arg1580z00_1742 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)), BNIL);
									BgL_arg1579z00_1741 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
										BgL_arg1580z00_1742);
								}
								BgL_arg1568z00_1739 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)),
									BgL_arg1579z00_1741);
							}
							{	/* Ast/object.scm 150 */
								obj_t BgL_arg1583z00_1743;

								BgL_arg1583z00_1743 = MAKE_YOUNG_PAIR(BgL_vnumz00_1737, BNIL);
								BgL_arg1570z00_1740 =
									MAKE_YOUNG_PAIR(BgL_objz00_35, BgL_arg1583z00_1743);
							}
							BgL_expz00_1738 =
								MAKE_YOUNG_PAIR(BgL_arg1568z00_1739, BgL_arg1570z00_1740);
						}
						{	/* Ast/object.scm 150 */

							return
								((obj_t)
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_1738,
									BgL_stackz00_36, BgL_locz00_37, BgL_sitez00_38));
						}
					}
				}
			else
				{	/* Ast/object.scm 152 */
					obj_t BgL_privz00_1744;

					{	/* Ast/object.scm 152 */
						obj_t BgL_arg1586z00_1745;

						BgL_arg1586z00_1745 =
							(((BgL_slotz00_bglt) CREF(
									((BgL_slotz00_bglt) BgL_slotz00_34)))->BgL_classzd2ownerzd2);
						BgL_privz00_1744 =
							BGl_makezd2classzd2refz00zzobject_toolsz00(
							((BgL_typez00_bglt) BgL_arg1586z00_1745),
							((BgL_slotz00_bglt) BgL_slotz00_34), BgL_objz00_35);
					}
					return
						BGl_privatezd2nodezd2zzast_privatez00(BgL_privz00_1744,
						BgL_stackz00_36, BgL_locz00_37, BgL_sitez00_38);
				}
		}
	}



/* make-field-set! */
	obj_t BGl_makezd2fieldzd2setz12z12zzast_objectz00(obj_t BgL_slotz00_39,
		obj_t BgL_objz00_40, BgL_nodez00_bglt BgL_valz00_41, obj_t BgL_stackz00_42,
		obj_t BgL_locz00_43, obj_t BgL_sitez00_44)
	{
		AN_OBJECT;
		{	/* Ast/object.scm 160 */
			if (CBOOL(
					(((BgL_slotz00_bglt) CREF(
								((BgL_slotz00_bglt) BgL_slotz00_39)))->BgL_setterz00)))
				{	/* Ast/object.scm 163 */
					obj_t BgL_vnumz00_1747;

					BgL_vnumz00_1747 =
						(((BgL_slotz00_bglt) CREF(
								((BgL_slotz00_bglt) BgL_slotz00_39)))->BgL_virtualzd2numzd2);
					{	/* Ast/object.scm 163 */
						obj_t BgL_expz00_1748;

						{	/* Ast/object.scm 164 */
							obj_t BgL_arg1590z00_1749;
							obj_t BgL_arg1591z00_1750;

							{	/* Ast/object.scm 164 */
								obj_t BgL_arg1595z00_1751;

								{	/* Ast/object.scm 164 */
									obj_t BgL_arg1598z00_1752;

									BgL_arg1598z00_1752 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)), BNIL);
									BgL_arg1595z00_1751 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)),
										BgL_arg1598z00_1752);
								}
								BgL_arg1590z00_1749 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)),
									BgL_arg1595z00_1751);
							}
							{	/* Ast/object.scm 164 */
								obj_t BgL_arg1599z00_1753;

								{	/* Ast/object.scm 164 */
									obj_t BgL_arg1601z00_1754;

									BgL_arg1601z00_1754 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_valz00_41), BNIL);
									BgL_arg1599z00_1753 =
										MAKE_YOUNG_PAIR(BgL_vnumz00_1747, BgL_arg1601z00_1754);
								}
								BgL_arg1591z00_1750 =
									MAKE_YOUNG_PAIR(BgL_objz00_40, BgL_arg1599z00_1753);
							}
							BgL_expz00_1748 =
								MAKE_YOUNG_PAIR(BgL_arg1590z00_1749, BgL_arg1591z00_1750);
						}
						{	/* Ast/object.scm 164 */

							return
								((obj_t)
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_1748,
									BgL_stackz00_42, BgL_locz00_43, BgL_sitez00_44));
						}
					}
				}
			else
				{	/* Ast/object.scm 167 */
					obj_t BgL_privz00_1755;

					{	/* Ast/object.scm 167 */
						obj_t BgL_arg1604z00_1756;

						BgL_arg1604z00_1756 =
							(((BgL_slotz00_bglt) CREF(
									((BgL_slotz00_bglt) BgL_slotz00_39)))->BgL_classzd2ownerzd2);
						BgL_privz00_1755 =
							BGl_makezd2classzd2setz12z12zzobject_toolsz00(
							((BgL_typez00_bglt) BgL_arg1604z00_1756),
							((BgL_slotz00_bglt) BgL_slotz00_39), BgL_objz00_40,
							((obj_t) BgL_valz00_41));
					}
					return
						BGl_privatezd2nodezd2zzast_privatez00(BgL_privz00_1755,
						BgL_stackz00_42, BgL_locz00_43, BgL_sitez00_44);
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_objectz00()
	{
		AN_OBJECT;
		{	/* Ast/object.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_objectz00()
	{
		AN_OBJECT;
		{	/* Ast/object.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_objectz00()
	{
		AN_OBJECT;
		{	/* Ast/object.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_objectz00()
	{
		AN_OBJECT;
		{	/* Ast/object.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long) 196511171),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 209108747),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_pragmaz00(((long) 156774043),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_labelsz00(((long) 129879154),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 469204197),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_exitz00(((long) 419066125),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 296989457),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
			return
				BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1760z00zzast_objectz00));
		}
	}

#ifdef __cplusplus
}
#endif
