/*===========================================================================*/
/*   (BackEnd/c_emit.scm)                                                    */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/c_emit.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;


	extern obj_t BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62emitzd2atomzd2valuez62zzbackend_c_emitz00(obj_t, obj_t);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_commandzd2linezd2zz__osz00();
	BGL_EXPORTED_DECL obj_t BGl_stopzd2emissionz12zc0zzbackend_c_emitz00();
	static obj_t BGl_objectzd2initzd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2sawza2z00zzengine_paramz00;
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2includezd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t BGl_fprintfz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_startzd2emissionz12zc0zzbackend_c_emitz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_c_emitz00();
	BGL_EXPORTED_DECL obj_t
		BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t make_string(long, unsigned char);
	static obj_t BGl_emitzd2licensezd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_positiveze70ze7zzbackend_c_emitz00(BGL_LONGLONG_T);
	static obj_t
		BGl_z62emitzd2garbagezd2collectorzd2selectionzb0zzbackend_c_emitz00(obj_t);
	BGL_IMPORT obj_t BGl_elongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_untrigraphz00zzbackend_c_emitz00(obj_t);
	extern obj_t BGl_za2bigloozd2nameza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(BgL_globalz00_bglt, obj_t);
	extern obj_t BGl_za2elongza2z00zztype_cachez00;
	static obj_t BGl_z62untrigraphz62zzbackend_c_emitz00(obj_t, obj_t);
	extern obj_t BGl_za2userzd2heapzd2siza7eza2za7zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readzd2linezd2zz__r4_input_6_10_2z00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_c_emitz00();
	BGL_IMPORT obj_t bigloo_mangle(obj_t);
	static obj_t BGl_z62emitzd2includezb0zzbackend_c_emitz00(obj_t);
	extern obj_t BGl_za2bigloozd2authorza2zd2zzengine_paramz00;
	extern obj_t BGl_za2bigloozd2dateza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	static obj_t BGl_loopze70ze7zzbackend_c_emitz00(BGL_LONGLONG_T, obj_t, long,
		BGL_LONGLONG_T, BGL_LONGLONG_T);
	extern obj_t BGl_bigloozd2licensezd2zztools_licensez00();
	extern obj_t BGl_za2garbagezd2collectorza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_emitzd2commentzd2zzbackend_c_emitz00(obj_t,
		unsigned char);
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	static obj_t BGl_z62stopzd2emissionz12za2zzbackend_c_emitz00(obj_t);
	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_c_emitz00 = BUNSPEC;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	BGL_EXPORTED_DEF obj_t BGl_za2czd2portza2zd2zzbackend_c_emitz00 = BUNSPEC;
	extern obj_t BGl_stringzd2sanszd2z42z42zztype_toolsz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2atomzd2valuez00zzbackend_c_emitz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzbackend_c_emitz00();
	static obj_t BGl_genericzd2initzd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t
		BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T, obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00(BGL_LONGLONG_T);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern obj_t BGl_za2bigloozd2librarieszd2czd2setupza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62startzd2emissionz12za2zzbackend_c_emitz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00();
	BGL_IMPORT obj_t bgl_close_input_port(obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
	static obj_t BGl_z62emitzd2commentzb0zzbackend_c_emitz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2bigloozd2licensingzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	static obj_t BGl_z62emitzd2mainzb0zzbackend_c_emitz00(obj_t);
	static obj_t BGl_z62emitzd2debugzd2activationz62zzbackend_c_emitz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t string_for_read(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcgen_emitzd2copzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcgen_copz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_licensez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_configurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2mainzd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_za2destzd2prefixza2zd2zzbackend_c_emitz00 = BUNSPEC;
	static obj_t BGl_z62llongzd2ze3czd2isoz81zzbackend_c_emitz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzbackend_c_emitz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_c_emitz00();
	BGL_EXPORTED_DECL obj_t BGl_emitzd2headerzd2zzbackend_c_emitz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_c_emitz00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_z62emitzd2dlopenzd2initz62zzbackend_c_emitz00(obj_t, obj_t,
		obj_t);
	static long BGl_za2maxzd2colza2zd2zzbackend_c_emitz00;
	static obj_t BGl_z62emitzd2headerzb0zzbackend_c_emitz00(obj_t);
	extern obj_t BGl_za2includezd2foreignza2zd2zzengine_paramz00;
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_untrigraphzd2envzd2zzbackend_c_emitz00,
		BgL_bgl_za762untrigraphza7622073z00,
		BGl_z62untrigraphz62zzbackend_c_emitz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_llongzd2ze3czd2isozd2envz31zzbackend_c_emitz00,
		BgL_bgl_za762llongza7d2za7e3cza72074z00,
		BGl_z62llongzd2ze3czd2isoz81zzbackend_c_emitz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2emissionz12zd2envz12zzbackend_c_emitz00,
		BgL_bgl_za762stopza7d2emissi2075z00,
		BGl_z62stopzd2emissionz12za2zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2debugzd2activationzd2envzd2zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2debugza72076za7,
		BGl_z62emitzd2debugzd2activationz62zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2mainzd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2mainza7b2077za7,
		BGl_z62emitzd2mainzb0zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2garbagezd2collectorzd2selectionzd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2garbag2078z00,
		BGl_z62emitzd2garbagezd2collectorzd2selectionzb0zzbackend_c_emitz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2005z00zzbackend_c_emitz00,
		BgL_bgl_string2005za700za7za7b2079za7, "Can't open file for output", 26);
	      DEFINE_STRING(BGl_string2006z00zzbackend_c_emitz00,
		BgL_bgl_string2006za700za7za7b2080za7, "/*", 2);
	      DEFINE_STRING(BGl_string2007z00zzbackend_c_emitz00,
		BgL_bgl_string2007za700za7za7b2081za7, "*/", 2);
	      DEFINE_STRING(BGl_string2008z00zzbackend_c_emitz00,
		BgL_bgl_string2008za700za7za7b2082za7, "", 0);
	      DEFINE_STRING(BGl_string2009z00zzbackend_c_emitz00,
		BgL_bgl_string2009za700za7za7b2083za7, " (c)      ", 10);
	      DEFINE_STRING(BGl_string2010z00zzbackend_c_emitz00,
		BgL_bgl_string2010za700za7za7b2084za7, "/* COMPILATION: ", 16);
	      DEFINE_STRING(BGl_string2011z00zzbackend_c_emitz00,
		BgL_bgl_string2011za700za7za7b2085za7, " */", 3);
	      DEFINE_STRING(BGl_string2012z00zzbackend_c_emitz00,
		BgL_bgl_string2012za700za7za7b2086za7,
		"\n/* SAW compilation */\n#define BGL_SAW 1\n", 41);
	      DEFINE_STRING(BGl_string2013z00zzbackend_c_emitz00,
		BgL_bgl_string2013za700za7za7b2087za7, "#define BGL_GC BGL_SAW_GC\n\n", 27);
	      DEFINE_STRING(BGl_string2014z00zzbackend_c_emitz00,
		BgL_bgl_string2014za700za7za7b2088za7, "/* GC selection */", 18);
	      DEFINE_STRING(BGl_string2015z00zzbackend_c_emitz00,
		BgL_bgl_string2015za700za7za7b2089za7, "#define THE_GC BOEHM_GC\n", 24);
	      DEFINE_STRING(BGl_string2016z00zzbackend_c_emitz00,
		BgL_bgl_string2016za700za7za7b2090za7, "#define THE_GC BOEHM_GC", 23);
	      DEFINE_STRING(BGl_string2017z00zzbackend_c_emitz00,
		BgL_bgl_string2017za700za7za7b2091za7, "#define BUMPY_GC\n", 17);
	      DEFINE_STRING(BGl_string2018z00zzbackend_c_emitz00,
		BgL_bgl_string2018za700za7za7b2092za7, "emit-garbage-collector-selection",
		32);
	      DEFINE_STRING(BGl_string2019z00zzbackend_c_emitz00,
		BgL_bgl_string2019za700za7za7b2093za7, "Can't emit code for gc", 22);
	      DEFINE_STRING(BGl_string2020z00zzbackend_c_emitz00,
		BgL_bgl_string2020za700za7za7b2094za7, "#include <", 10);
	      DEFINE_STRING(BGl_string2021z00zzbackend_c_emitz00,
		BgL_bgl_string2021za700za7za7b2095za7, ">", 1);
	      DEFINE_STRING(BGl_string2022z00zzbackend_c_emitz00,
		BgL_bgl_string2022za700za7za7b2096za7, "/* debug mode */", 16);
	      DEFINE_STRING(BGl_string2023z00zzbackend_c_emitz00,
		BgL_bgl_string2023za700za7za7b2097za7, "#define BIGLOO_DEBUG 1", 22);
	      DEFINE_STRING(BGl_string2024z00zzbackend_c_emitz00,
		BgL_bgl_string2024za700za7za7b2098za7, "/* Libraries setup imports */", 29);
	      DEFINE_STRING(BGl_string2025z00zzbackend_c_emitz00,
		BgL_bgl_string2025za700za7za7b2099za7, "BGL_IMPORT void ", 16);
	      DEFINE_STRING(BGl_string2026z00zzbackend_c_emitz00,
		BgL_bgl_string2026za700za7za7b2100za7, "(int, char *[], char *[]);", 26);
	      DEFINE_STRING(BGl_string2027z00zzbackend_c_emitz00,
		BgL_bgl_string2027za700za7za7b2101za7, "/* Libraries setup */", 21);
	      DEFINE_STRING(BGl_string2028z00zzbackend_c_emitz00,
		BgL_bgl_string2028za700za7za7b2102za7,
		"static int bigloo_libinit( int argc, char *argv[], char *env[] ) {", 66);
	      DEFINE_STRING(BGl_string2029z00zzbackend_c_emitz00,
		BgL_bgl_string2029za700za7za7b2103za7, "(argc, argv, env);\n", 19);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2atomzd2valuezd2envzd2zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2atomza7d2104za7,
		BGl_z62emitzd2atomzd2valuez62zzbackend_c_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2030z00zzbackend_c_emitz00,
		BgL_bgl_string2030za700za7za7b2105za7, "return 0; }\n\n", 13);
	      DEFINE_STRING(BGl_string2031z00zzbackend_c_emitz00,
		BgL_bgl_string2031za700za7za7b2106za7,
		"long bigloo_abort(long n) { return n; }", 39);
	      DEFINE_STRING(BGl_string2032z00zzbackend_c_emitz00,
		BgL_bgl_string2032za700za7za7b2107za7,
		"int BIGLOO_MAIN(int argc, char *argv[], char *env[]) { ", 55);
	      DEFINE_STRING(BGl_string2033z00zzbackend_c_emitz00,
		BgL_bgl_string2033za700za7za7b2108za7,
		"return _bigloo_main(argc, argv, env, &bigloo_main, &bigloo_libinit, ~a);}",
		73);
	      DEFINE_STRING(BGl_string2034z00zzbackend_c_emitz00,
		BgL_bgl_string2034za700za7za7b2109za7, "BGL_EXPORTED_DEF obj_t ", 23);
	      DEFINE_STRING(BGl_string2035z00zzbackend_c_emitz00,
		BgL_bgl_string2035za700za7za7b2110za7, "() {", 4);
	      DEFINE_STRING(BGl_string2036z00zzbackend_c_emitz00,
		BgL_bgl_string2036za700za7za7b2111za7, "  return ", 9);
	      DEFINE_STRING(BGl_string2037z00zzbackend_c_emitz00,
		BgL_bgl_string2037za700za7za7b2112za7, "( 0, \"", 6);
	      DEFINE_STRING(BGl_string2038z00zzbackend_c_emitz00,
		BgL_bgl_string2038za700za7za7b2113za7, "\" );", 4);
	      DEFINE_STRING(BGl_string2039z00zzbackend_c_emitz00,
		BgL_bgl_string2039za700za7za7b2114za7, "}", 1);
	      DEFINE_STRING(BGl_string2040z00zzbackend_c_emitz00,
		BgL_bgl_string2040za700za7za7b2115za7, "(-", 2);
	      DEFINE_STRING(BGl_string2041z00zzbackend_c_emitz00,
		BgL_bgl_string2041za700za7za7b2116za7, ")", 1);
	      DEFINE_STRING(BGl_string2042z00zzbackend_c_emitz00,
		BgL_bgl_string2042za700za7za7b2117za7, ")))", 3);
	      DEFINE_STRING(BGl_string2043z00zzbackend_c_emitz00,
		BgL_bgl_string2043za700za7za7b2118za7, " * (", 4);
	      DEFINE_STRING(BGl_string2044z00zzbackend_c_emitz00,
		BgL_bgl_string2044za700za7za7b2119za7, " + ((BGL_LONGLONG_T)", 20);
	      DEFINE_STRING(BGl_string2045z00zzbackend_c_emitz00,
		BgL_bgl_string2045za700za7za7b2120za7, "(", 1);
	      DEFINE_STRING(BGl_string2046z00zzbackend_c_emitz00,
		BgL_bgl_string2046za700za7za7b2121za7, "((BGL_LONGLONG_T)", 17);
	      DEFINE_STRING(BGl_string2047z00zzbackend_c_emitz00,
		BgL_bgl_string2047za700za7za7b2122za7, "((", 2);
	      DEFINE_STRING(BGl_string2048z00zzbackend_c_emitz00,
		BgL_bgl_string2048za700za7za7b2123za7, "BNIL", 4);
	      DEFINE_STRING(BGl_string2049z00zzbackend_c_emitz00,
		BgL_bgl_string2049za700za7za7b2124za7, "'\\000'", 6);
	      DEFINE_STRING(BGl_string2050z00zzbackend_c_emitz00,
		BgL_bgl_string2050za700za7za7b2125za7, "'\\''", 4);
	      DEFINE_STRING(BGl_string2051z00zzbackend_c_emitz00,
		BgL_bgl_string2051za700za7za7b2126za7, "'\\\\'", 4);
	      DEFINE_STRING(BGl_string2052z00zzbackend_c_emitz00,
		BgL_bgl_string2052za700za7za7b2127za7, "(int8_t)(", 9);
	      DEFINE_STRING(BGl_string2053z00zzbackend_c_emitz00,
		BgL_bgl_string2053za700za7za7b2128za7, "(uint8_t)(", 10);
	      DEFINE_STRING(BGl_string2054z00zzbackend_c_emitz00,
		BgL_bgl_string2054za700za7za7b2129za7, "(int16_t)(", 10);
	      DEFINE_STRING(BGl_string2055z00zzbackend_c_emitz00,
		BgL_bgl_string2055za700za7za7b2130za7, "(uint16_t)(", 11);
	      DEFINE_STRING(BGl_string2056z00zzbackend_c_emitz00,
		BgL_bgl_string2056za700za7za7b2131za7, "(int32_t)(", 10);
	      DEFINE_STRING(BGl_string2057z00zzbackend_c_emitz00,
		BgL_bgl_string2057za700za7za7b2132za7, "(uint32_t)(", 11);
	      DEFINE_STRING(BGl_string2058z00zzbackend_c_emitz00,
		BgL_bgl_string2058za700za7za7b2133za7, "(int64_t)(", 10);
	      DEFINE_STRING(BGl_string2059z00zzbackend_c_emitz00,
		BgL_bgl_string2059za700za7za7b2134za7, "(uint64_t)(", 11);
	      DEFINE_STRING(BGl_string2060z00zzbackend_c_emitz00,
		BgL_bgl_string2060za700za7za7b2135za7, "BUCS2(", 6);
	      DEFINE_STRING(BGl_string2061z00zzbackend_c_emitz00,
		BgL_bgl_string2061za700za7za7b2136za7, "BUNSPEC", 7);
	      DEFINE_STRING(BGl_string2062z00zzbackend_c_emitz00,
		BgL_bgl_string2062za700za7za7b2137za7, "BGL_NAN", 7);
	      DEFINE_STRING(BGl_string2063z00zzbackend_c_emitz00,
		BgL_bgl_string2063za700za7za7b2138za7, "BGL_INFINITY", 12);
	      DEFINE_STRING(BGl_string2064z00zzbackend_c_emitz00,
		BgL_bgl_string2064za700za7za7b2139za7, "(-BGL_INFINITY)", 15);
	      DEFINE_STRING(BGl_string2065z00zzbackend_c_emitz00,
		BgL_bgl_string2065za700za7za7b2140za7, "BCNST(", 6);
	      DEFINE_STRING(BGl_string2066z00zzbackend_c_emitz00,
		BgL_bgl_string2066za700za7za7b2141za7, "(bgl_string_to_bignum( \"", 24);
	      DEFINE_STRING(BGl_string2067z00zzbackend_c_emitz00,
		BgL_bgl_string2067za700za7za7b2142za7, "\", 16 ))", 8);
	      DEFINE_STRING(BGl_string2068z00zzbackend_c_emitz00,
		BgL_bgl_string2068za700za7za7b2143za7, "backend_c_emit", 14);
	      DEFINE_STRING(BGl_string2069z00zzbackend_c_emitz00,
		BgL_bgl_string2069za700za7za7b2144za7,
		"bumpy boehm --to-stdout so ld (cgen distrib cc cindent hgen) ", 61);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2includezd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2includ2145z00,
		BGl_z62emitzd2includezb0zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2headerzd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2header2146z00,
		BGl_z62emitzd2headerzb0zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2dlopenzd2initzd2envzd2zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2dlopen2147z00,
		BGl_z62emitzd2dlopenzd2initz62zzbackend_c_emitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_startzd2emissionz12zd2envz12zzbackend_c_emitz00,
		BgL_bgl_za762startza7d2emiss2148z00,
		BGl_z62startzd2emissionz12za2zzbackend_c_emitz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2commentzd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2commen2149z00,
		BGl_z62emitzd2commentzb0zzbackend_c_emitz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzbackend_c_emitz00));
		     ADD_ROOT((void *) (&BGl_za2czd2portza2zd2zzbackend_c_emitz00));
		     ADD_ROOT((void *) (&BGl_za2destzd2prefixza2zd2zzbackend_c_emitz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(long
		BgL_checksumz00_2620, char *BgL_fromz00_2621)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_c_emitz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_c_emitz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_c_emitz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_c_emitz00();
					BGl_cnstzd2initzd2zzbackend_c_emitz00();
					BGl_importedzd2moduleszd2initz00zzbackend_c_emitz00();
					return BGl_toplevelzd2initzd2zzbackend_c_emitz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__ucs2z00(((long) 0), "backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"backend_c_emit");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			{	/* BackEnd/c_emit.scm 15 */
				obj_t BgL_cportz00_2607;

				{	/* BackEnd/c_emit.scm 15 */
					obj_t BgL_startz00_2616;

					BgL_startz00_2616 = BINT(((long) 0));
					{	/* BackEnd/c_emit.scm 15 */
						obj_t BgL_endz00_2617;

						BgL_endz00_2617 =
							BINT(STRING_LENGTH(BGl_string2069z00zzbackend_c_emitz00));
						{	/* BackEnd/c_emit.scm 15 */

							BgL_cportz00_2607 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string2069z00zzbackend_c_emitz00, BgL_startz00_2616,
								BgL_endz00_2617);
				}}}
				{
					long BgL_iz00_2608;

					BgL_iz00_2608 = ((long) 5);
				BgL_loopz00_2609:
					if ((BgL_iz00_2608 == ((long) -1)))
						{	/* BackEnd/c_emit.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/c_emit.scm 15 */
							{	/* BackEnd/c_emit.scm 15 */
								obj_t BgL_arg2071z00_2611;

								{	/* BackEnd/c_emit.scm 15 */

									{	/* BackEnd/c_emit.scm 15 */
										obj_t BgL_locationz00_2613;

										BgL_locationz00_2613 = BBOOL(((bool_t) 0));
										{	/* BackEnd/c_emit.scm 15 */

											BgL_arg2071z00_2611 =
												BGl_readz00zz__readerz00(BgL_cportz00_2607,
												BgL_locationz00_2613);
										}
									}
								}
								{	/* BackEnd/c_emit.scm 15 */
									int BgL_tmpz00_2655;

									BgL_tmpz00_2655 = (int) (BgL_iz00_2608);
									CNST_TABLE_SET(BgL_tmpz00_2655, BgL_arg2071z00_2611);
							}}
							{	/* BackEnd/c_emit.scm 15 */
								int BgL_auxz00_2614;

								BgL_auxz00_2614 = (int) ((BgL_iz00_2608 - ((long) 1)));
								{
									long BgL_iz00_2660;

									BgL_iz00_2660 = (long) (BgL_auxz00_2614);
									BgL_iz00_2608 = BgL_iz00_2660;
									goto BgL_loopz00_2609;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			BGl_za2destzd2prefixza2zd2zzbackend_c_emitz00 = BFALSE;
			BGl_za2czd2portza2zd2zzbackend_c_emitz00 = BFALSE;
			return (BGl_za2maxzd2colza2zd2zzbackend_c_emitz00 = ((long) 79), BUNSPEC);
		}
	}



/* start-emission! */
	BGL_EXPORTED_DEF obj_t BGl_startzd2emissionz12zc0zzbackend_c_emitz00(obj_t
		BgL_suffixz00_3)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 49 */
			{	/* BackEnd/c_emit.scm 50 */
				obj_t BgL_prefixz00_1550;

				{	/* BackEnd/c_emit.scm 51 */
					bool_t BgL_testz00_2663;

					if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
						{	/* BackEnd/c_emit.scm 51 */
							BgL_testz00_2663 =
								CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
								(BGl_za2passza2z00zzengine_paramz00,
									CNST_TABLE_REF(((long) 0))));
						}
					else
						{	/* BackEnd/c_emit.scm 51 */
							BgL_testz00_2663 = ((bool_t) 0);
						}
					if (BgL_testz00_2663)
						{	/* BackEnd/c_emit.scm 51 */
							BgL_prefixz00_1550 =
								BGl_prefixz00zz__osz00(BGl_za2destza2z00zzengine_paramz00);
						}
					else
						{	/* BackEnd/c_emit.scm 54 */
							bool_t BgL_testz00_2670;

							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* BackEnd/c_emit.scm 54 */
									obj_t BgL_tmpz00_2673;

									BgL_tmpz00_2673 =
										CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
									BgL_testz00_2670 = STRINGP(BgL_tmpz00_2673);
								}
							else
								{	/* BackEnd/c_emit.scm 54 */
									BgL_testz00_2670 = ((bool_t) 0);
								}
							if (BgL_testz00_2670)
								{	/* BackEnd/c_emit.scm 54 */
									BgL_prefixz00_1550 =
										BGl_prefixz00zz__osz00(CAR
										(BGl_za2srczd2filesza2zd2zzengine_paramz00));
								}
							else
								{	/* BackEnd/c_emit.scm 56 */
									bool_t BgL_testz00_2678;

									if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
										{	/* BackEnd/c_emit.scm 56 */
											BgL_testz00_2678 =
												(BGl_za2passza2z00zzengine_paramz00 ==
												CNST_TABLE_REF(((long) 1)));
										}
									else
										{	/* BackEnd/c_emit.scm 56 */
											BgL_testz00_2678 = ((bool_t) 0);
										}
									if (BgL_testz00_2678)
										{	/* BackEnd/c_emit.scm 56 */
											BgL_prefixz00_1550 =
												BGl_prefixz00zz__osz00
												(BGl_za2destza2z00zzengine_paramz00);
										}
									else
										{	/* BackEnd/c_emit.scm 58 */
											bool_t BgL_testz00_2684;

											if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
												{	/* BackEnd/c_emit.scm 58 */
													BgL_testz00_2684 =
														(BGl_za2passza2z00zzengine_paramz00 ==
														CNST_TABLE_REF(((long) 2)));
												}
											else
												{	/* BackEnd/c_emit.scm 58 */
													BgL_testz00_2684 = ((bool_t) 0);
												}
											if (BgL_testz00_2684)
												{	/* BackEnd/c_emit.scm 58 */
													BgL_prefixz00_1550 =
														BGl_prefixz00zz__osz00
														(BGl_za2destza2z00zzengine_paramz00);
												}
											else
												{	/* BackEnd/c_emit.scm 58 */
													BgL_prefixz00_1550 = BFALSE;
												}
										}
								}
						}
				}
				{	/* BackEnd/c_emit.scm 50 */

					{	/* BackEnd/c_emit.scm 62 */
						bool_t BgL_testz00_2690;

						if (
							(BGl_za2destza2z00zzengine_paramz00 ==
								CNST_TABLE_REF(((long) 3))))
							{	/* BackEnd/c_emit.scm 62 */
								BgL_testz00_2690 = ((bool_t) 1);
							}
						else
							{	/* BackEnd/c_emit.scm 62 */
								if (STRINGP(BgL_prefixz00_1550))
									{	/* BackEnd/c_emit.scm 62 */
										BgL_testz00_2690 = ((bool_t) 0);
									}
								else
									{	/* BackEnd/c_emit.scm 62 */
										BgL_testz00_2690 = ((bool_t) 1);
									}
							}
						if (BgL_testz00_2690)
							{	/* BackEnd/c_emit.scm 63 */
								obj_t BgL_res1879z00_2088;

								{	/* BackEnd/c_emit.scm 63 */
									obj_t BgL_tmpz00_2696;

									BgL_tmpz00_2696 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res1879z00_2088 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2696);
								}
								return (BGl_za2czd2portza2zd2zzbackend_c_emitz00 =
									BgL_res1879z00_2088, BUNSPEC);
							}
						else
							{	/* BackEnd/c_emit.scm 64 */
								obj_t BgL_fzd2namezd2_1554;

								BgL_fzd2namezd2_1554 =
									string_append(BgL_prefixz00_1550, BgL_suffixz00_3);
								BGl_za2destzd2prefixza2zd2zzbackend_c_emitz00 =
									BgL_prefixz00_1550;
								{	/* BackEnd/c_emit.scm 66 */

									BGl_za2czd2portza2zd2zzbackend_c_emitz00 =
										BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
										(BgL_fzd2namezd2_1554, BTRUE);
								}
								if (OUTPUT_PORTP(BGl_za2czd2portza2zd2zzbackend_c_emitz00))
									{	/* BackEnd/c_emit.scm 67 */
										return BUNSPEC;
									}
								else
									{	/* BackEnd/c_emit.scm 67 */
										return
											BGl_errorz00zz__errorz00
											(BGl_za2bigloozd2nameza2zd2zzengine_paramz00,
											BGl_string2005z00zzbackend_c_emitz00,
											BgL_fzd2namezd2_1554);
									}
							}
					}
				}
			}
		}
	}



/* &start-emission! */
	obj_t BGl_z62startzd2emissionz12za2zzbackend_c_emitz00(obj_t BgL_envz00_2583,
		obj_t BgL_suffixz00_2584)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 49 */
			return BGl_startzd2emissionz12zc0zzbackend_c_emitz00(BgL_suffixz00_2584);
		}
	}



/* stop-emission! */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2emissionz12zc0zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 74 */
			if (OUTPUT_PORTP(BGl_za2czd2portza2zd2zzbackend_c_emitz00))
				{	/* BackEnd/c_emit.scm 78 */
					bool_t BgL_testz00_2707;

					{	/* BackEnd/c_emit.scm 78 */
						obj_t BgL_arg1413z00_1578;

						{	/* BackEnd/c_emit.scm 78 */
							obj_t BgL_res1880z00_2092;

							{	/* BackEnd/c_emit.scm 78 */
								obj_t BgL_tmpz00_2708;

								BgL_tmpz00_2708 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1880z00_2092 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2708);
							}
							BgL_arg1413z00_1578 = BgL_res1880z00_2092;
						}
						BgL_testz00_2707 =
							(BGl_za2czd2portza2zd2zzbackend_c_emitz00 == BgL_arg1413z00_1578);
					}
					if (BgL_testz00_2707)
						{	/* BackEnd/c_emit.scm 78 */
							return BFALSE;
						}
					else
						{	/* BackEnd/c_emit.scm 78 */
							bgl_flush_output_port(BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							bgl_close_output_port(BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							BGl_za2czd2portza2zd2zzbackend_c_emitz00 = BFALSE;
							return BGl_za2destzd2prefixza2zd2zzbackend_c_emitz00;
						}
				}
			else
				{	/* BackEnd/c_emit.scm 76 */
					return BFALSE;
				}
		}
	}



/* &stop-emission! */
	obj_t BGl_z62stopzd2emissionz12za2zzbackend_c_emitz00(obj_t BgL_envz00_2585)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 74 */
			return BGl_stopzd2emissionz12zc0zzbackend_c_emitz00();
		}
	}



/* emit-comment */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2commentzd2zzbackend_c_emitz00(obj_t
		BgL_stringz00_4, unsigned char BgL_fillz00_5)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 94 */
			{	/* BackEnd/c_emit.scm 95 */
				obj_t BgL_stringz00_1579;

				if ((STRING_LENGTH(BgL_stringz00_4) > (((long) 79) - ((long) 8))))
					{	/* BackEnd/c_emit.scm 95 */
						BgL_stringz00_1579 =
							c_substring(BgL_stringz00_4, ((long) 0),
							(((long) 79) - ((long) 9)));
					}
				else
					{	/* BackEnd/c_emit.scm 95 */
						BgL_stringz00_1579 = BgL_stringz00_4;
					}
				bgl_display_string(BGl_string2006z00zzbackend_c_emitz00,
					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				{	/* BackEnd/c_emit.scm 99 */
					long BgL_lenz00_1580;

					BgL_lenz00_1580 = STRING_LENGTH(BgL_stringz00_1579);
					if ((BgL_lenz00_1580 == ((long) 0)))
						{	/* BackEnd/c_emit.scm 101 */
							obj_t BgL_port1293z00_1582;

							BgL_port1293z00_1582 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
							bgl_display_obj(make_string(
									(((long) 79) - ((long) 4)),
									(unsigned char) (BgL_fillz00_5)), BgL_port1293z00_1582);
							bgl_display_string(BGl_string2007z00zzbackend_c_emitz00,
								BgL_port1293z00_1582);
							return bgl_display_char(((unsigned char) 10),
								BgL_port1293z00_1582);
						}
					else
						{	/* BackEnd/c_emit.scm 100 */
							{	/* BackEnd/c_emit.scm 103 */
								obj_t BgL_arg1423z00_1585;

								BgL_arg1423z00_1585 =
									make_string(((long) 2), (unsigned char) (BgL_fillz00_5));
								bgl_display_obj(BgL_arg1423z00_1585,
									BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							}
							bgl_display_char(((unsigned char) ' '),
								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							bgl_display_obj(BgL_stringz00_1579,
								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							bgl_display_char(((unsigned char) ' '),
								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							{	/* BackEnd/c_emit.scm 107 */
								obj_t BgL_port1294z00_1586;

								BgL_port1294z00_1586 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
								{	/* BackEnd/c_emit.scm 108 */
									obj_t BgL_arg1436z00_1587;

									{	/* BackEnd/c_emit.scm 108 */
										long BgL_arg1437z00_1588;

										{	/* BackEnd/c_emit.scm 108 */
											obj_t BgL_arg1446z00_1589;

											BgL_arg1446z00_1589 =
												BGL_SAFE_PLUS_FX(((long) 8), BgL_lenz00_1580);
											BgL_arg1437z00_1588 =
												(((long) 79) - (long) CINT(BgL_arg1446z00_1589));
										}
										BgL_arg1436z00_1587 =
											make_string(BgL_arg1437z00_1588,
											(unsigned char) (BgL_fillz00_5));
									}
									bgl_display_obj(BgL_arg1436z00_1587, BgL_port1294z00_1586);
								}
								bgl_display_string(BGl_string2007z00zzbackend_c_emitz00,
									BgL_port1294z00_1586);
								return bgl_display_char(((unsigned char) 10),
									BgL_port1294z00_1586);
		}}}}}
	}



/* &emit-comment */
	obj_t BGl_z62emitzd2commentzb0zzbackend_c_emitz00(obj_t BgL_envz00_2586,
		obj_t BgL_stringz00_2587, obj_t BgL_fillz00_2588)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 94 */
			return
				BGl_emitzd2commentzd2zzbackend_c_emitz00(BgL_stringz00_2587,
				CCHAR(BgL_fillz00_2588));
		}
	}



/* emit-license */
	obj_t BGl_emitzd2licensezd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 114 */
			{	/* BackEnd/c_emit.scm 115 */
				obj_t BgL_inz00_1597;

				{	/* BackEnd/c_emit.scm 115 */
					obj_t BgL_arg1484z00_1605;

					BgL_arg1484z00_1605 = BGl_bigloozd2licensezd2zztools_licensez00();
					{	/* BackEnd/c_emit.scm 115 */
						long BgL_endz00_1608;

						BgL_endz00_1608 = STRING_LENGTH(BgL_arg1484z00_1605);
						{	/* BackEnd/c_emit.scm 115 */

							BgL_inz00_1597 =
								BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00
								(BgL_arg1484z00_1605, BINT(((long) 0)), BINT(BgL_endz00_1608));
				}}}
				{	/* BackEnd/c_emit.scm 116 */
					obj_t BgL_g1125z00_1598;

					BgL_g1125z00_1598 =
						BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_inz00_1597);
					{
						obj_t BgL_strz00_1600;

						BgL_strz00_1600 = BgL_g1125z00_1598;
					BgL_zc3anonymousza31471ze3z83_1601:
						{	/* BackEnd/c_emit.scm 117 */
							bool_t BgL_testz00_2753;

							{	/* BackEnd/c_emit.scm 117 */
								bool_t BgL_res1895z00_2132;

								BgL_res1895z00_2132 = EOF_OBJECTP(BgL_strz00_1600);
								BgL_testz00_2753 = BgL_res1895z00_2132;
							}
							if (BgL_testz00_2753)
								{	/* BackEnd/c_emit.scm 117 */
									return bgl_close_input_port(BgL_inz00_1597);
								}
							else
								{	/* BackEnd/c_emit.scm 117 */
									BGl_emitzd2commentzd2zzbackend_c_emitz00(BgL_strz00_1600,
										(char) (((unsigned char) ' ')));
									{
										obj_t BgL_strz00_2758;

										BgL_strz00_2758 =
											BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_inz00_1597);
										BgL_strz00_1600 = BgL_strz00_2758;
										goto BgL_zc3anonymousza31471ze3z83_1601;
									}
								}
						}
					}
				}
			}
		}
	}



/* emit-header */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2headerzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 126 */
			BGl_emitzd2commentzd2zzbackend_c_emitz00
				(BGl_string2008z00zzbackend_c_emitz00, (char) (((unsigned char) '=')));
			{	/* BackEnd/c_emit.scm 128 */
				obj_t BgL_arg1485z00_1609;

				{	/* BackEnd/c_emit.scm 128 */
					obj_t BgL_pz00_1610;

					{	/* BackEnd/c_emit.scm 128 */

						{	/* BackEnd/c_emit.scm 128 */

							BgL_pz00_1610 =
								BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE);
					}}
					bgl_display_obj(BGl_za2srczd2filesza2zd2zzengine_paramz00,
						BgL_pz00_1610);
					BgL_arg1485z00_1609 = bgl_close_output_port(BgL_pz00_1610);
				}
				BGl_emitzd2commentzd2zzbackend_c_emitz00(BgL_arg1485z00_1609,
					(char) (((unsigned char) ' ')));
			}
			BGl_emitzd2commentzd2zzbackend_c_emitz00
				(BGl_za2bigloozd2nameza2zd2zzengine_paramz00,
				(char) (((unsigned char) ' ')));
			BGl_emitzd2commentzd2zzbackend_c_emitz00(string_append_3
				(BGl_za2bigloozd2authorza2zd2zzengine_paramz00,
					BGl_string2009z00zzbackend_c_emitz00,
					BGl_za2bigloozd2dateza2zd2zzengine_paramz00),
				(char) (((unsigned char) ' ')));
			if (CBOOL(BGl_za2bigloozd2licensingzf3za2z21zzengine_paramz00))
				{	/* BackEnd/c_emit.scm 135 */
					BGl_emitzd2licensezd2zzbackend_c_emitz00();
				}
			else
				{	/* BackEnd/c_emit.scm 135 */
					BFALSE;
				}
			BGl_emitzd2commentzd2zzbackend_c_emitz00
				(BGl_string2008z00zzbackend_c_emitz00, (char) (((unsigned char) '=')));
			bgl_display_string(BGl_string2010z00zzbackend_c_emitz00,
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			{	/* BackEnd/c_emit.scm 138 */
				obj_t BgL_arg1491z00_1613;

				BgL_arg1491z00_1613 = BGl_commandzd2linezd2zz__osz00();
				bgl_display_obj(BgL_arg1491z00_1613,
					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			}
			bgl_display_string(BGl_string2011z00zzbackend_c_emitz00,
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			bgl_display_char(((unsigned char) 10),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			if (CBOOL(BGl_za2sawza2z00zzengine_paramz00))
				{	/* BackEnd/c_emit.scm 141 */
					bgl_display_string(BGl_string2012z00zzbackend_c_emitz00,
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					return bgl_display_string(BGl_string2013z00zzbackend_c_emitz00,
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				}
			else
				{	/* BackEnd/c_emit.scm 141 */
					return BFALSE;
				}
		}
	}



/* &emit-header */
	obj_t BGl_z62emitzd2headerzb0zzbackend_c_emitz00(obj_t BgL_envz00_2589)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 126 */
			return BGl_emitzd2headerzd2zzbackend_c_emitz00();
		}
	}



/* emit-garbage-collector-selection */
	BGL_EXPORTED_DEF obj_t
		BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 148 */
			{	/* BackEnd/c_emit.scm 149 */
				obj_t BgL_port1295z00_1614;

				BgL_port1295z00_1614 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2014z00zzbackend_c_emitz00,
					BgL_port1295z00_1614);
				bgl_display_char(((unsigned char) 10), BgL_port1295z00_1614);
			}
			{	/* BackEnd/c_emit.scm 150 */
				obj_t BgL_casezd2valuezd2_1615;

				BgL_casezd2valuezd2_1615 =
					BGl_za2garbagezd2collectorza2zd2zzengine_paramz00;
				if ((BgL_casezd2valuezd2_1615 == CNST_TABLE_REF(((long) 4))))
					{	/* BackEnd/c_emit.scm 152 */
						obj_t BgL_port1296z00_1617;

						BgL_port1296z00_1617 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
						bgl_display_string(BGl_string2015z00zzbackend_c_emitz00,
							BgL_port1296z00_1617);
						return bgl_display_char(((unsigned char) 10), BgL_port1296z00_1617);
					}
				else
					{	/* BackEnd/c_emit.scm 150 */
						if ((BgL_casezd2valuezd2_1615 == CNST_TABLE_REF(((long) 5))))
							{	/* BackEnd/c_emit.scm 150 */
								{	/* BackEnd/c_emit.scm 154 */
									obj_t BgL_port1297z00_1619;

									BgL_port1297z00_1619 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									bgl_display_string(BGl_string2016z00zzbackend_c_emitz00,
										BgL_port1297z00_1619);
									bgl_display_char(((unsigned char) 10), BgL_port1297z00_1619);
								}
								{	/* BackEnd/c_emit.scm 155 */
									obj_t BgL_port1298z00_1620;

									BgL_port1298z00_1620 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									bgl_display_string(BGl_string2017z00zzbackend_c_emitz00,
										BgL_port1298z00_1620);
									return bgl_display_char(((unsigned char) 10),
										BgL_port1298z00_1620);
							}}
						else
							{	/* BackEnd/c_emit.scm 150 */
								return
									BGl_errorz00zz__errorz00(BGl_string2018z00zzbackend_c_emitz00,
									BGl_string2019z00zzbackend_c_emitz00,
									BGl_za2garbagezd2collectorza2zd2zzengine_paramz00);
							}
					}
			}
		}
	}



/* &emit-garbage-collector-selection */
	obj_t
		BGl_z62emitzd2garbagezd2collectorzd2selectionzb0zzbackend_c_emitz00(obj_t
		BgL_envz00_2590)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 148 */
			return BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00();
		}
	}



/* emit-include */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2includezd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 164 */
			{	/* BackEnd/c_emit.scm 166 */
				obj_t BgL_g1302z00_1621;

				BgL_g1302z00_1621 =
					bgl_reverse_bang(BGl_za2includezd2foreignza2zd2zzengine_paramz00);
				{
					obj_t BgL_l1300z00_1623;

					BgL_l1300z00_1623 = BgL_g1302z00_1621;
				BgL_zc3anonymousza31496ze3z83_1624:
					if (PAIRP(BgL_l1300z00_1623))
						{	/* BackEnd/c_emit.scm 167 */
							{	/* BackEnd/c_emit.scm 166 */
								obj_t BgL_iz00_1626;

								BgL_iz00_1626 = CAR(BgL_l1300z00_1623);
								{	/* BackEnd/c_emit.scm 166 */
									obj_t BgL_port1299z00_1627;

									BgL_port1299z00_1627 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									bgl_display_string(BGl_string2020z00zzbackend_c_emitz00,
										BgL_port1299z00_1627);
									bgl_display_obj(BgL_iz00_1626, BgL_port1299z00_1627);
									bgl_display_string(BGl_string2021z00zzbackend_c_emitz00,
										BgL_port1299z00_1627);
									bgl_display_char(((unsigned char) 10), BgL_port1299z00_1627);
							}}
							{
								obj_t BgL_l1300z00_2811;

								BgL_l1300z00_2811 = CDR(BgL_l1300z00_1623);
								BgL_l1300z00_1623 = BgL_l1300z00_2811;
								goto BgL_zc3anonymousza31496ze3z83_1624;
							}
						}
					else
						{	/* BackEnd/c_emit.scm 167 */
							((bool_t) 1);
						}
				}
			}
			{	/* BackEnd/c_emit.scm 169 */
				obj_t BgL_g1306z00_1630;

				BgL_g1306z00_1630 =
					bgl_reverse_bang
					(BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00);
				{
					obj_t BgL_l1304z00_1632;

					BgL_l1304z00_1632 = BgL_g1306z00_1630;
				BgL_zc3anonymousza31505ze3z83_1633:
					if (PAIRP(BgL_l1304z00_1632))
						{	/* BackEnd/c_emit.scm 170 */
							{	/* BackEnd/c_emit.scm 169 */
								obj_t BgL_iz00_1635;

								BgL_iz00_1635 = CAR(BgL_l1304z00_1632);
								{	/* BackEnd/c_emit.scm 169 */
									obj_t BgL_port1303z00_1636;

									BgL_port1303z00_1636 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									bgl_display_string(BGl_string2020z00zzbackend_c_emitz00,
										BgL_port1303z00_1636);
									bgl_display_obj(BgL_iz00_1635, BgL_port1303z00_1636);
									bgl_display_string(BGl_string2021z00zzbackend_c_emitz00,
										BgL_port1303z00_1636);
									bgl_display_char(((unsigned char) 10), BgL_port1303z00_1636);
							}}
							{
								obj_t BgL_l1304z00_2821;

								BgL_l1304z00_2821 = CDR(BgL_l1304z00_1632);
								BgL_l1304z00_1632 = BgL_l1304z00_2821;
								goto BgL_zc3anonymousza31505ze3z83_1633;
							}
						}
					else
						{	/* BackEnd/c_emit.scm 170 */
							((bool_t) 1);
						}
				}
			}
			return
				bgl_display_char(((unsigned char) 10),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}
	}



/* &emit-include */
	obj_t BGl_z62emitzd2includezb0zzbackend_c_emitz00(obj_t BgL_envz00_2591)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 164 */
			return BGl_emitzd2includezd2zzbackend_c_emitz00();
		}
	}



/* emit-debug-activation */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 176 */
			{	/* BackEnd/c_emit.scm 177 */
				obj_t BgL_port1307z00_1639;

				BgL_port1307z00_1639 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2022z00zzbackend_c_emitz00,
					BgL_port1307z00_1639);
				bgl_display_char(((unsigned char) 10), BgL_port1307z00_1639);
			}
			{	/* BackEnd/c_emit.scm 178 */
				obj_t BgL_port1308z00_1640;

				BgL_port1308z00_1640 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2023z00zzbackend_c_emitz00,
					BgL_port1308z00_1640);
				bgl_display_char(((unsigned char) 10), BgL_port1308z00_1640);
			}
			return
				bgl_display_char(((unsigned char) 10),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}
	}



/* &emit-debug-activation */
	obj_t BGl_z62emitzd2debugzd2activationz62zzbackend_c_emitz00(obj_t
		BgL_envz00_2592)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 176 */
			return BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00();
		}
	}



/* emit-main */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2mainzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 184 */
			BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
			if (PAIRP(BGl_za2bigloozd2librarieszd2czd2setupza2zd2zzengine_paramz00))
				{	/* BackEnd/c_emit.scm 187 */
					{	/* BackEnd/c_emit.scm 188 */
						obj_t BgL_port1309z00_1642;

						BgL_port1309z00_1642 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
						bgl_display_string(BGl_string2024z00zzbackend_c_emitz00,
							BgL_port1309z00_1642);
						bgl_display_char(((unsigned char) 10), BgL_port1309z00_1642);
					}
					{
						obj_t BgL_l1311z00_1644;

						BgL_l1311z00_1644 =
							BGl_za2bigloozd2librarieszd2czd2setupza2zd2zzengine_paramz00;
					BgL_zc3anonymousza31509ze3z83_1645:
						if (PAIRP(BgL_l1311z00_1644))
							{	/* BackEnd/c_emit.scm 189 */
								{	/* BackEnd/c_emit.scm 190 */
									obj_t BgL_fz00_1647;

									BgL_fz00_1647 = CAR(BgL_l1311z00_1644);
									{	/* BackEnd/c_emit.scm 190 */
										obj_t BgL_port1310z00_1648;

										BgL_port1310z00_1648 =
											BGl_za2czd2portza2zd2zzbackend_c_emitz00;
										bgl_display_string(BGl_string2025z00zzbackend_c_emitz00,
											BgL_port1310z00_1648);
										bgl_display_obj(BgL_fz00_1647, BgL_port1310z00_1648);
										bgl_display_string(BGl_string2026z00zzbackend_c_emitz00,
											BgL_port1310z00_1648);
										bgl_display_char(((unsigned char) 10),
											BgL_port1310z00_1648);
								}}
								{
									obj_t BgL_l1311z00_2843;

									BgL_l1311z00_2843 = CDR(BgL_l1311z00_1644);
									BgL_l1311z00_1644 = BgL_l1311z00_2843;
									goto BgL_zc3anonymousza31509ze3z83_1645;
								}
							}
						else
							{	/* BackEnd/c_emit.scm 189 */
								((bool_t) 1);
							}
					}
					bgl_display_char(((unsigned char) 10),
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				}
			else
				{	/* BackEnd/c_emit.scm 187 */
					BFALSE;
				}
			{	/* BackEnd/c_emit.scm 196 */
				obj_t BgL_port1313z00_1651;

				BgL_port1313z00_1651 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2027z00zzbackend_c_emitz00,
					BgL_port1313z00_1651);
				bgl_display_char(((unsigned char) 10), BgL_port1313z00_1651);
			}
			{	/* BackEnd/c_emit.scm 197 */
				obj_t BgL_port1314z00_1652;

				BgL_port1314z00_1652 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2028z00zzbackend_c_emitz00,
					BgL_port1314z00_1652);
				bgl_display_char(((unsigned char) 10), BgL_port1314z00_1652);
			}
			{
				obj_t BgL_l1316z00_1654;

				BgL_l1316z00_1654 =
					BGl_za2bigloozd2librarieszd2czd2setupza2zd2zzengine_paramz00;
			BgL_zc3anonymousza31512ze3z83_1655:
				if (PAIRP(BgL_l1316z00_1654))
					{	/* BackEnd/c_emit.scm 198 */
						{	/* BackEnd/c_emit.scm 199 */
							obj_t BgL_fz00_1657;

							BgL_fz00_1657 = CAR(BgL_l1316z00_1654);
							{	/* BackEnd/c_emit.scm 199 */
								obj_t BgL_port1315z00_1658;

								BgL_port1315z00_1658 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
								bgl_display_obj(BgL_fz00_1657, BgL_port1315z00_1658);
								bgl_display_string(BGl_string2029z00zzbackend_c_emitz00,
									BgL_port1315z00_1658);
								bgl_display_char(((unsigned char) 10), BgL_port1315z00_1658);
						}}
						{
							obj_t BgL_l1316z00_2856;

							BgL_l1316z00_2856 = CDR(BgL_l1316z00_1654);
							BgL_l1316z00_1654 = BgL_l1316z00_2856;
							goto BgL_zc3anonymousza31512ze3z83_1655;
						}
					}
				else
					{	/* BackEnd/c_emit.scm 198 */
						((bool_t) 1);
					}
			}
			{	/* BackEnd/c_emit.scm 201 */
				obj_t BgL_port1318z00_1661;

				BgL_port1318z00_1661 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2030z00zzbackend_c_emitz00,
					BgL_port1318z00_1661);
				bgl_display_char(((unsigned char) 10), BgL_port1318z00_1661);
			}
			{	/* BackEnd/c_emit.scm 207 */
				obj_t BgL_port1319z00_1662;

				BgL_port1319z00_1662 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2031z00zzbackend_c_emitz00,
					BgL_port1319z00_1662);
				bgl_display_char(((unsigned char) 10), BgL_port1319z00_1662);
			}
			BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
			{	/* BackEnd/c_emit.scm 209 */
				obj_t BgL_port1320z00_1663;

				BgL_port1320z00_1663 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				bgl_display_string(BGl_string2032z00zzbackend_c_emitz00,
					BgL_port1320z00_1663);
				bgl_display_char(((unsigned char) 10), BgL_port1320z00_1663);
			}
			{	/* BackEnd/c_emit.scm 211 */
				obj_t BgL_list1527z00_1664;

				BgL_list1527z00_1664 =
					MAKE_YOUNG_PAIR(BGl_za2userzd2heapzd2siza7eza2za7zzengine_paramz00,
					BNIL);
				BGl_fprintfz00zz__r4_output_6_10_3z00
					(BGl_za2czd2portza2zd2zzbackend_c_emitz00,
					BGl_string2033z00zzbackend_c_emitz00, BgL_list1527z00_1664);
			}
			return
				bgl_display_char(((unsigned char) 10),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}
	}



/* &emit-main */
	obj_t BGl_z62emitzd2mainzb0zzbackend_c_emitz00(obj_t BgL_envz00_2593)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 184 */
			return BGl_emitzd2mainzd2zzbackend_c_emitz00();
		}
	}



/* emit-dlopen-init */
	BGL_EXPORTED_DEF obj_t
		BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(BgL_globalz00_bglt
		BgL_globalz00_6, obj_t BgL_initz00_7)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 218 */
			{	/* BackEnd/c_emit.scm 219 */
				obj_t BgL_symz00_1665;

				if (BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_initz00_7))
					{	/* BackEnd/c_emit.scm 219 */
						BgL_symz00_1665 = bigloo_mangle(BgL_initz00_7);
					}
				else
					{	/* BackEnd/c_emit.scm 219 */
						BgL_symz00_1665 = BgL_initz00_7;
					}
				BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
				{	/* BackEnd/c_emit.scm 223 */
					obj_t BgL_port1321z00_1666;

					BgL_port1321z00_1666 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					bgl_display_string(BGl_string2034z00zzbackend_c_emitz00,
						BgL_port1321z00_1666);
					bgl_display_obj(BgL_symz00_1665, BgL_port1321z00_1666);
					bgl_display_string(BGl_string2035z00zzbackend_c_emitz00,
						BgL_port1321z00_1666);
					bgl_display_char(((unsigned char) 10), BgL_port1321z00_1666);
				}
				BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
				{	/* BackEnd/c_emit.scm 225 */
					obj_t BgL_port1322z00_1667;

					BgL_port1322z00_1667 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					bgl_display_string(BGl_string2036z00zzbackend_c_emitz00,
						BgL_port1322z00_1667);
					{	/* BackEnd/c_emit.scm 225 */
						obj_t BgL_arg1530z00_1668;

						BgL_arg1530z00_1668 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_globalz00_6)))->BgL_namez00);
						bgl_display_obj(BgL_arg1530z00_1668, BgL_port1322z00_1667);
					}
					bgl_display_string(BGl_string2037z00zzbackend_c_emitz00,
						BgL_port1322z00_1667);
					bgl_display_obj(CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00),
						BgL_port1322z00_1667);
					bgl_display_string(BGl_string2038z00zzbackend_c_emitz00,
						BgL_port1322z00_1667);
					bgl_display_char(((unsigned char) 10), BgL_port1322z00_1667);
				}
				BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
				{	/* BackEnd/c_emit.scm 228 */
					obj_t BgL_port1323z00_1670;

					BgL_port1323z00_1670 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					bgl_display_string(BGl_string2039z00zzbackend_c_emitz00,
						BgL_port1323z00_1670);
					bgl_display_char(((unsigned char) 10), BgL_port1323z00_1670);
				}
				return
					bgl_display_char(((unsigned char) 10),
					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}}
	}



/* &emit-dlopen-init */
	obj_t BGl_z62emitzd2dlopenzd2initz62zzbackend_c_emitz00(obj_t BgL_envz00_2594,
		obj_t BgL_globalz00_2595, obj_t BgL_initz00_2596)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 218 */
			return
				BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(
				((BgL_globalz00_bglt) BgL_globalz00_2595), BgL_initz00_2596);
		}
	}



/* llong->c-iso */
	BGL_EXPORTED_DEF obj_t
		BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00(BGL_LONGLONG_T BgL_llongz00_8)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 234 */
			if ((BgL_llongz00_8 >= ((BGL_LONGLONG_T) 0)))
				{	/* BackEnd/c_emit.scm 249 */
					return BGl_positiveze70ze7zzbackend_c_emitz00(BgL_llongz00_8);
				}
			else
				{	/* BackEnd/c_emit.scm 251 */
					obj_t BgL_arg1537z00_1674;

					{	/* BackEnd/c_emit.scm 251 */
						BGL_LONGLONG_T BgL_arg1540z00_1675;

						if ((BgL_llongz00_8 < ((BGL_LONGLONG_T) 0)))
							{	/* BackEnd/c_emit.scm 251 */
								BgL_arg1540z00_1675 = NEG(BgL_llongz00_8);
							}
						else
							{	/* BackEnd/c_emit.scm 251 */
								BgL_arg1540z00_1675 = BgL_llongz00_8;
							}
						BgL_arg1537z00_1674 =
							BGl_positiveze70ze7zzbackend_c_emitz00(BgL_arg1540z00_1675);
					}
					return
						string_append_3(BGl_string2040z00zzbackend_c_emitz00,
						BgL_arg1537z00_1674, BGl_string2041z00zzbackend_c_emitz00);
				}
		}
	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzbackend_c_emitz00(BGL_LONGLONG_T BgL_shiftz00_2606,
		obj_t BgL_sshiftz00_2605, long BgL_bitsz00_2604,
		BGL_LONGLONG_T BgL_maskz00_2603, BGL_LONGLONG_T BgL_allongz00_1683)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 240 */
			if ((BgL_allongz00_1683 >= BgL_shiftz00_2606))
				{	/* BackEnd/c_emit.scm 244 */
					obj_t BgL_arg1545z00_1686;
					obj_t BgL_arg1546z00_1687;

					BgL_arg1545z00_1686 =
						BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(BgL_allongz00_1683 & BgL_maskz00_2603), BNIL);
					BgL_arg1546z00_1687 =
						BGl_loopze70ze7zzbackend_c_emitz00(BgL_shiftz00_2606,
						BgL_sshiftz00_2605, BgL_bitsz00_2604, BgL_maskz00_2603,
						(BgL_allongz00_1683 >> (int) (BgL_bitsz00_2604)));
					{	/* BackEnd/c_emit.scm 242 */
						obj_t BgL_list1547z00_1688;

						{	/* BackEnd/c_emit.scm 242 */
							obj_t BgL_arg1551z00_1689;

							{	/* BackEnd/c_emit.scm 242 */
								obj_t BgL_arg1555z00_1690;

								{	/* BackEnd/c_emit.scm 242 */
									obj_t BgL_arg1556z00_1691;

									{	/* BackEnd/c_emit.scm 242 */
										obj_t BgL_arg1557z00_1692;

										{	/* BackEnd/c_emit.scm 242 */
											obj_t BgL_arg1560z00_1693;

											{	/* BackEnd/c_emit.scm 242 */
												obj_t BgL_arg1568z00_1694;

												BgL_arg1568z00_1694 =
													MAKE_YOUNG_PAIR(BGl_string2042z00zzbackend_c_emitz00,
													BNIL);
												BgL_arg1560z00_1693 =
													MAKE_YOUNG_PAIR(BgL_arg1546z00_1687,
													BgL_arg1568z00_1694);
											}
											BgL_arg1557z00_1692 =
												MAKE_YOUNG_PAIR(BGl_string2043z00zzbackend_c_emitz00,
												BgL_arg1560z00_1693);
										}
										BgL_arg1556z00_1691 =
											MAKE_YOUNG_PAIR(BgL_sshiftz00_2605, BgL_arg1557z00_1692);
									}
									BgL_arg1555z00_1690 =
										MAKE_YOUNG_PAIR(BGl_string2044z00zzbackend_c_emitz00,
										BgL_arg1556z00_1691);
								}
								BgL_arg1551z00_1689 =
									MAKE_YOUNG_PAIR(BgL_arg1545z00_1686, BgL_arg1555z00_1690);
							}
							BgL_list1547z00_1688 =
								MAKE_YOUNG_PAIR(BGl_string2045z00zzbackend_c_emitz00,
								BgL_arg1551z00_1689);
						}
						return
							BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1547z00_1688);
					}
				}
			else
				{	/* BackEnd/c_emit.scm 241 */
					return
						string_append_3(BGl_string2046z00zzbackend_c_emitz00,
						BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
						(BgL_allongz00_1683, BNIL), BGl_string2041z00zzbackend_c_emitz00);
				}
		}
	}



/* positive~0 */
	obj_t BGl_positiveze70ze7zzbackend_c_emitz00(BGL_LONGLONG_T
		BgL_allongz00_1676)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 248 */
			{	/* BackEnd/c_emit.scm 236 */
				BGL_LONGLONG_T BgL_shiftz00_1679;

				BgL_shiftz00_1679 = (((BGL_LONGLONG_T) 1) << (int) (((long) 16)));
				{	/* BackEnd/c_emit.scm 237 */
					obj_t BgL_sshiftz00_1680;

					BgL_sshiftz00_1680 =
						BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
						(BgL_shiftz00_1679, BNIL);
					{	/* BackEnd/c_emit.scm 238 */
						BGL_LONGLONG_T BgL_maskz00_1681;

						BgL_maskz00_1681 = (BgL_shiftz00_1679 - ((BGL_LONGLONG_T) 1));
						{	/* BackEnd/c_emit.scm 239 */

							return
								BGl_loopze70ze7zzbackend_c_emitz00(BgL_shiftz00_1679,
								BgL_sshiftz00_1680, ((long) 16), BgL_maskz00_1681,
								BgL_allongz00_1676);
		}}}}}
	}



/* &llong->c-iso */
	obj_t BGl_z62llongzd2ze3czd2isoz81zzbackend_c_emitz00(obj_t BgL_envz00_2597,
		obj_t BgL_llongz00_2598)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 234 */
			return
				BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00(BLLONG_TO_LLONG
				(BgL_llongz00_2598));
		}
	}



/* emit-atom-value */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2atomzd2valuez00zzbackend_c_emitz00(obj_t
		BgL_valuez00_9)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 256 */
			if (BOOLEANP(BgL_valuez00_9))
				{	/* BackEnd/c_emit.scm 258 */
					bgl_display_string(BGl_string2047z00zzbackend_c_emitz00,
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					{	/* BackEnd/c_emit.scm 260 */
						obj_t BgL_arg1586z00_1704;

						{	/* BackEnd/c_emit.scm 260 */
							obj_t BgL_arg1590z00_1705;

							{	/* BackEnd/c_emit.scm 260 */
								BgL_typez00_bglt BgL_oz00_2267;

								BgL_oz00_2267 =
									((BgL_typez00_bglt) BGl_za2boolza2z00zztype_cachez00);
								BgL_arg1590z00_1705 =
									(((BgL_typez00_bglt) CREF(BgL_oz00_2267))->BgL_namez00);
							}
							BgL_arg1586z00_1704 =
								BGl_stringzd2sanszd2z42z42zztype_toolsz00(BgL_arg1590z00_1705);
						}
						bgl_display_obj(BgL_arg1586z00_1704,
							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					}
					bgl_display_char(((unsigned char) ')'),
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					{	/* BackEnd/c_emit.scm 262 */
						long BgL_arg1591z00_1706;

						if (CBOOL(BgL_valuez00_9))
							{	/* BackEnd/c_emit.scm 262 */
								BgL_arg1591z00_1706 = ((long) 1);
							}
						else
							{	/* BackEnd/c_emit.scm 262 */
								BgL_arg1591z00_1706 = ((long) 0);
							}
						bgl_display_obj(BINT(BgL_arg1591z00_1706),
							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					}
					return
						bgl_display_char(((unsigned char) ')'),
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				}
			else
				{	/* BackEnd/c_emit.scm 258 */
					if (NULLP(BgL_valuez00_9))
						{	/* BackEnd/c_emit.scm 264 */
							return
								bgl_display_string(BGl_string2048z00zzbackend_c_emitz00,
								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
						}
					else
						{	/* BackEnd/c_emit.scm 264 */
							if (CHARP(BgL_valuez00_9))
								{	/* BackEnd/c_emit.scm 266 */
									bgl_display_string(BGl_string2047z00zzbackend_c_emitz00,
										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
									{	/* BackEnd/c_emit.scm 268 */
										obj_t BgL_arg1595z00_1709;

										{	/* BackEnd/c_emit.scm 268 */
											obj_t BgL_arg1598z00_1710;

											{	/* BackEnd/c_emit.scm 268 */
												BgL_typez00_bglt BgL_oz00_2278;

												BgL_oz00_2278 =
													((BgL_typez00_bglt) BGl_za2charza2z00zztype_cachez00);
												BgL_arg1598z00_1710 =
													(((BgL_typez00_bglt) CREF(BgL_oz00_2278))->
													BgL_namez00);
											}
											BgL_arg1595z00_1709 =
												BGl_stringzd2sanszd2z42z42zztype_toolsz00
												(BgL_arg1598z00_1710);
										}
										bgl_display_obj(BgL_arg1595z00_1709,
											BGl_za2czd2portza2zd2zzbackend_c_emitz00);
									}
									bgl_display_string(BGl_string2041z00zzbackend_c_emitz00,
										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
									if (((CCHAR(BgL_valuez00_9)) == ((long) 0)))
										{	/* BackEnd/c_emit.scm 271 */
											bgl_display_string(BGl_string2049z00zzbackend_c_emitz00,
												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
										}
									else
										{	/* BackEnd/c_emit.scm 271 */
											if ((CCHAR(BgL_valuez00_9) == ((unsigned char) '\'')))
												{	/* BackEnd/c_emit.scm 273 */
													bgl_display_string
														(BGl_string2050z00zzbackend_c_emitz00,
														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
												}
											else
												{	/* BackEnd/c_emit.scm 273 */
													if ((CCHAR(BgL_valuez00_9) == ((unsigned char) '\\')))
														{	/* BackEnd/c_emit.scm 275 */
															bgl_display_string
																(BGl_string2051z00zzbackend_c_emitz00,
																BGl_za2czd2portza2zd2zzbackend_c_emitz00);
														}
													else
														{	/* BackEnd/c_emit.scm 277 */
															bool_t BgL_testz00_2962;

															if (((CCHAR(BgL_valuez00_9)) >= ((long) 32)))
																{	/* BackEnd/c_emit.scm 277 */
																	BgL_testz00_2962 =
																		((CCHAR(BgL_valuez00_9)) < ((long) 128));
																}
															else
																{	/* BackEnd/c_emit.scm 277 */
																	BgL_testz00_2962 = ((bool_t) 0);
																}
															if (BgL_testz00_2962)
																{	/* BackEnd/c_emit.scm 277 */
																	bgl_display_char(((unsigned char) '\''),
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																	{	/* BackEnd/c_emit.scm 279 */
																		unsigned char BgL_tmpz00_2971;

																		BgL_tmpz00_2971 = CCHAR(BgL_valuez00_9);
																		bgl_display_char(BgL_tmpz00_2971,
																			BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																	}
																	bgl_display_char(((unsigned char) '\''),
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																}
															else
																{	/* BackEnd/c_emit.scm 282 */
																	obj_t BgL_arg1615z00_1720;

																	{	/* BackEnd/c_emit.scm 282 */

																		BgL_arg1615z00_1720 =
																			BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																			((CCHAR(BgL_valuez00_9)), ((long) 10));
																	}
																	bgl_display_obj(BgL_arg1615z00_1720,
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
										}}}}
									return
										bgl_display_char(((unsigned char) ')'),
										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
								}
							else
								{	/* BackEnd/c_emit.scm 266 */
									if (BGL_INT8P(BgL_valuez00_9))
										{	/* BackEnd/c_emit.scm 284 */
											bgl_display_string(BGl_string2052z00zzbackend_c_emitz00,
												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
											{	/* BackEnd/c_emit.scm 286 */
												long BgL_arg1638z00_1729;

												{	/* BackEnd/c_emit.scm 286 */
													long BgL_res1928z00_2322;

													{	/* BackEnd/c_emit.scm 286 */
														int8_t BgL_xz00_2318;

														BgL_xz00_2318 = BGL_BINT8_TO_INT8(BgL_valuez00_9);
														{	/* BackEnd/c_emit.scm 286 */
															long BgL_arg1373z00_2319;

															BgL_arg1373z00_2319 = (long) (BgL_xz00_2318);
															{	/* BackEnd/c_emit.scm 286 */
																long BgL_res1927z00_2321;

																{	/* BackEnd/c_emit.scm 286 */
																	long BgL_tmpz00_2985;

																	{	/* BackEnd/c_emit.scm 286 */
																		long BgL_tmpz00_2986;

																		BgL_tmpz00_2986 =
																			(long) (BgL_arg1373z00_2319);
																		BgL_tmpz00_2985 = (long) (BgL_tmpz00_2986);
																	}
																	BgL_res1927z00_2321 =
																		(long) (BgL_tmpz00_2985);
																}
																BgL_res1928z00_2322 = BgL_res1927z00_2321;
													}}}
													BgL_arg1638z00_1729 = BgL_res1928z00_2322;
												}
												bgl_display_obj(BINT(BgL_arg1638z00_1729),
													BGl_za2czd2portza2zd2zzbackend_c_emitz00);
											}
											return
												bgl_display_char(((unsigned char) ')'),
												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
										}
									else
										{	/* BackEnd/c_emit.scm 284 */
											if (BGL_UINT8P(BgL_valuez00_9))
												{	/* BackEnd/c_emit.scm 288 */
													bgl_display_string
														(BGl_string2053z00zzbackend_c_emitz00,
														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
													{	/* BackEnd/c_emit.scm 290 */
														long BgL_arg1641z00_1731;

														{	/* BackEnd/c_emit.scm 290 */
															long BgL_res1931z00_2332;

															{	/* BackEnd/c_emit.scm 290 */
																uint8_t BgL_xz00_2328;

																BgL_xz00_2328 =
																	BGL_BUINT8_TO_UINT8(BgL_valuez00_9);
																{	/* BackEnd/c_emit.scm 290 */
																	long BgL_arg1372z00_2329;

																	BgL_arg1372z00_2329 = (long) (BgL_xz00_2328);
																	{	/* BackEnd/c_emit.scm 290 */
																		long BgL_res1930z00_2331;

																		{	/* BackEnd/c_emit.scm 290 */
																			long BgL_tmpz00_2998;

																			{	/* BackEnd/c_emit.scm 290 */
																				long BgL_tmpz00_2999;

																				BgL_tmpz00_2999 =
																					(long) (BgL_arg1372z00_2329);
																				BgL_tmpz00_2998 =
																					(long) (BgL_tmpz00_2999);
																			}
																			BgL_res1930z00_2331 =
																				(long) (BgL_tmpz00_2998);
																		}
																		BgL_res1931z00_2332 = BgL_res1930z00_2331;
															}}}
															BgL_arg1641z00_1731 = BgL_res1931z00_2332;
														}
														bgl_display_obj(BINT(BgL_arg1641z00_1731),
															BGl_za2czd2portza2zd2zzbackend_c_emitz00);
													}
													return
														bgl_display_char(((unsigned char) ')'),
														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
												}
											else
												{	/* BackEnd/c_emit.scm 288 */
													if (BGL_INT16P(BgL_valuez00_9))
														{	/* BackEnd/c_emit.scm 292 */
															bgl_display_string
																(BGl_string2054z00zzbackend_c_emitz00,
																BGl_za2czd2portza2zd2zzbackend_c_emitz00);
															{	/* BackEnd/c_emit.scm 294 */
																long BgL_arg1643z00_1733;

																{	/* BackEnd/c_emit.scm 294 */
																	long BgL_res1936z00_2342;

																	{	/* BackEnd/c_emit.scm 294 */
																		int16_t BgL_xz00_2338;

																		BgL_xz00_2338 =
																			BGL_BINT16_TO_INT16(BgL_valuez00_9);
																		{	/* BackEnd/c_emit.scm 294 */
																			long BgL_arg1371z00_2339;

																			BgL_arg1371z00_2339 =
																				(long) (BgL_xz00_2338);
																			{	/* BackEnd/c_emit.scm 294 */
																				long BgL_res1935z00_2341;

																				{	/* BackEnd/c_emit.scm 294 */
																					long BgL_tmpz00_3011;

																					{	/* BackEnd/c_emit.scm 294 */
																						long BgL_tmpz00_3012;

																						BgL_tmpz00_3012 =
																							(long) (BgL_arg1371z00_2339);
																						BgL_tmpz00_3011 =
																							(long) (BgL_tmpz00_3012);
																					}
																					BgL_res1935z00_2341 =
																						(long) (BgL_tmpz00_3011);
																				}
																				BgL_res1936z00_2342 =
																					BgL_res1935z00_2341;
																	}}}
																	BgL_arg1643z00_1733 = BgL_res1936z00_2342;
																}
																bgl_display_obj(BINT(BgL_arg1643z00_1733),
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
															}
															return
																bgl_display_char(((unsigned char) ')'),
																BGl_za2czd2portza2zd2zzbackend_c_emitz00);
														}
													else
														{	/* BackEnd/c_emit.scm 292 */
															if (BGL_UINT16P(BgL_valuez00_9))
																{	/* BackEnd/c_emit.scm 296 */
																	bgl_display_string
																		(BGl_string2055z00zzbackend_c_emitz00,
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																	{	/* BackEnd/c_emit.scm 298 */
																		long BgL_arg1645z00_1735;

																		{	/* BackEnd/c_emit.scm 298 */
																			long BgL_res1939z00_2352;

																			{	/* BackEnd/c_emit.scm 298 */
																				uint16_t BgL_xz00_2348;

																				BgL_xz00_2348 =
																					BGL_BUINT16_TO_UINT16(BgL_valuez00_9);
																				{	/* BackEnd/c_emit.scm 298 */
																					long BgL_arg1370z00_2349;

																					BgL_arg1370z00_2349 =
																						(long) (BgL_xz00_2348);
																					{	/* BackEnd/c_emit.scm 298 */
																						long BgL_res1938z00_2351;

																						{	/* BackEnd/c_emit.scm 298 */
																							long BgL_tmpz00_3024;

																							{	/* BackEnd/c_emit.scm 298 */
																								long BgL_tmpz00_3025;

																								BgL_tmpz00_3025 =
																									(long) (BgL_arg1370z00_2349);
																								BgL_tmpz00_3024 =
																									(long) (BgL_tmpz00_3025);
																							}
																							BgL_res1938z00_2351 =
																								(long) (BgL_tmpz00_3024);
																						}
																						BgL_res1939z00_2352 =
																							BgL_res1938z00_2351;
																			}}}
																			BgL_arg1645z00_1735 = BgL_res1939z00_2352;
																		}
																		bgl_display_obj(BINT(BgL_arg1645z00_1735),
																			BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																	}
																	return
																		bgl_display_char(((unsigned char) ')'),
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																}
															else
																{	/* BackEnd/c_emit.scm 296 */
																	if (BGL_INT32P(BgL_valuez00_9))
																		{	/* BackEnd/c_emit.scm 300 */
																			bgl_display_string
																				(BGl_string2056z00zzbackend_c_emitz00,
																				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																			{	/* BackEnd/c_emit.scm 302 */
																				long BgL_arg1647z00_1737;

																				{	/* BackEnd/c_emit.scm 302 */
																					long BgL_res1942z00_2362;

																					{	/* BackEnd/c_emit.scm 302 */
																						int32_t BgL_xz00_2358;

																						BgL_xz00_2358 =
																							BGL_BINT32_TO_INT32
																							(BgL_valuez00_9);
																						{	/* BackEnd/c_emit.scm 302 */
																							long BgL_arg1369z00_2359;

																							BgL_arg1369z00_2359 =
																								(long) (BgL_xz00_2358);
																							{	/* BackEnd/c_emit.scm 302 */
																								long BgL_res1941z00_2361;

																								{	/* BackEnd/c_emit.scm 302 */
																									long BgL_tmpz00_3037;

																									{	/* BackEnd/c_emit.scm 302 */
																										long BgL_tmpz00_3038;

																										BgL_tmpz00_3038 =
																											(long)
																											(BgL_arg1369z00_2359);
																										BgL_tmpz00_3037 =
																											(long) (BgL_tmpz00_3038);
																									}
																									BgL_res1941z00_2361 =
																										(long) (BgL_tmpz00_3037);
																								}
																								BgL_res1942z00_2362 =
																									BgL_res1941z00_2361;
																					}}}
																					BgL_arg1647z00_1737 =
																						BgL_res1942z00_2362;
																				}
																				bgl_display_obj(BINT
																					(BgL_arg1647z00_1737),
																					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																			}
																			return
																				bgl_display_char(((unsigned char) ')'),
																				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																		}
																	else
																		{	/* BackEnd/c_emit.scm 300 */
																			if (BGL_UINT32P(BgL_valuez00_9))
																				{	/* BackEnd/c_emit.scm 304 */
																					bgl_display_string
																						(BGl_string2057z00zzbackend_c_emitz00,
																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																					{	/* BackEnd/c_emit.scm 306 */
																						BGL_LONGLONG_T BgL_arg1650z00_1739;

																						{	/* BackEnd/c_emit.scm 306 */
																							BGL_LONGLONG_T
																								BgL_res1944z00_2369;
																							{	/* BackEnd/c_emit.scm 306 */
																								uint32_t BgL_nz00_2368;

																								BgL_nz00_2368 =
																									BGL_BUINT32_TO_UINT32
																									(BgL_valuez00_9);
																								BgL_res1944z00_2369 =
																									(BGL_LONGLONG_T)
																									(BgL_nz00_2368);
																							}
																							BgL_arg1650z00_1739 =
																								BgL_res1944z00_2369;
																						}
																						bgl_display_obj(make_bllong
																							(BgL_arg1650z00_1739),
																							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																					}
																					return
																						bgl_display_char(((unsigned char)
																							')'),
																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																				}
																			else
																				{	/* BackEnd/c_emit.scm 304 */
																					if (BGL_INT64P(BgL_valuez00_9))
																						{	/* BackEnd/c_emit.scm 308 */
																							bgl_display_string
																								(BGl_string2058z00zzbackend_c_emitz00,
																								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																							{	/* BackEnd/c_emit.scm 310 */
																								BGL_LONGLONG_T
																									BgL_arg1658z00_1741;
																								{	/* BackEnd/c_emit.scm 310 */
																									BGL_LONGLONG_T
																										BgL_res1946z00_2376;
																									{	/* BackEnd/c_emit.scm 310 */
																										int64_t BgL_nz00_2375;

																										BgL_nz00_2375 =
																											BGL_BINT64_TO_INT64
																											(BgL_valuez00_9);
																										BgL_res1946z00_2376 =
																											(BGL_LONGLONG_T)
																											(BgL_nz00_2375);
																									}
																									BgL_arg1658z00_1741 =
																										BgL_res1946z00_2376;
																								}
																								bgl_display_obj(make_bllong
																									(BgL_arg1658z00_1741),
																									BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																							}
																							return
																								bgl_display_char(((unsigned
																										char) ')'),
																								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																						}
																					else
																						{	/* BackEnd/c_emit.scm 308 */
																							if (BGL_UINT64P(BgL_valuez00_9))
																								{	/* BackEnd/c_emit.scm 312 */
																									bgl_display_string
																										(BGl_string2059z00zzbackend_c_emitz00,
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																									{	/* BackEnd/c_emit.scm 314 */
																										BGL_LONGLONG_T
																											BgL_arg1660z00_1743;
																										{	/* BackEnd/c_emit.scm 314 */
																											BGL_LONGLONG_T
																												BgL_res1948z00_2383;
																											{	/* BackEnd/c_emit.scm 314 */
																												uint64_t BgL_nz00_2382;

																												BgL_nz00_2382 =
																													BGL_BINT64_TO_INT64
																													(BgL_valuez00_9);
																												BgL_res1948z00_2383 =
																													(BGL_LONGLONG_T)
																													(BgL_nz00_2382);
																											}
																											BgL_arg1660z00_1743 =
																												BgL_res1948z00_2383;
																										}
																										bgl_display_obj(make_bllong
																											(BgL_arg1660z00_1743),
																											BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																									}
																									return
																										bgl_display_char(((unsigned
																												char) ')'),
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																								}
																							else
																								{	/* BackEnd/c_emit.scm 312 */
																									if (UCS2P(BgL_valuez00_9))
																										{	/* BackEnd/c_emit.scm 316 */
																											bgl_display_string
																												(BGl_string2060z00zzbackend_c_emitz00,
																												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																											{	/* BackEnd/c_emit.scm 318 */
																												int BgL_arg1662z00_1745;

																												{	/* BackEnd/c_emit.scm 318 */
																													int
																														BgL_res1950z00_2390;
																													{	/* BackEnd/c_emit.scm 318 */
																														ucs2_t
																															BgL_ucs2z00_2389;
																														BgL_ucs2z00_2389 =
																															CUCS2
																															(BgL_valuez00_9);
																														{	/* BackEnd/c_emit.scm 318 */
																															obj_t
																																BgL_tmpz00_3073;
																															BgL_tmpz00_3073 =
																																BUCS2
																																(BgL_ucs2z00_2389);
																															BgL_res1950z00_2390
																																=
																																CUCS2
																																(BgL_tmpz00_3073);
																													}}
																													BgL_arg1662z00_1745 =
																														BgL_res1950z00_2390;
																												}
																												bgl_display_obj(BINT
																													(BgL_arg1662z00_1745),
																													BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																											}
																											return
																												bgl_display_char((
																													(unsigned char) ')'),
																												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																										}
																									else
																										{	/* BackEnd/c_emit.scm 316 */
																											if (
																												(BgL_valuez00_9 ==
																													BUNSPEC))
																												{	/* BackEnd/c_emit.scm 320 */
																													return
																														bgl_display_string
																														(BGl_string2061z00zzbackend_c_emitz00,
																														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																												}
																											else
																												{	/* BackEnd/c_emit.scm 320 */
																													if (STRINGP
																														(BgL_valuez00_9))
																														{	/* BackEnd/c_emit.scm 322 */
																															bgl_display_char((
																																	(unsigned
																																		char) '"'),
																																BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																															{	/* BackEnd/c_emit.scm 324 */
																																obj_t
																																	BgL_arg1665z00_1748;
																																BgL_arg1665z00_1748
																																	=
																																	BGl_untrigraphz00zzbackend_c_emitz00
																																	(string_for_read
																																	(BgL_valuez00_9));
																																bgl_display_obj
																																	(BgL_arg1665z00_1748,
																																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																															}
																															return
																																bgl_display_char
																																(((unsigned
																																		char) '"'),
																																BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																														}
																													else
																														{	/* BackEnd/c_emit.scm 322 */
																															if (INTEGERP
																																(BgL_valuez00_9))
																																{	/* BackEnd/c_emit.scm 326 */
																																	bgl_display_string
																																		(BGl_string2047z00zzbackend_c_emitz00,
																																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																	{	/* BackEnd/c_emit.scm 328 */
																																		obj_t
																																			BgL_arg1668z00_1751;
																																		{	/* BackEnd/c_emit.scm 328 */
																																			obj_t
																																				BgL_arg1669z00_1752;
																																			{	/* BackEnd/c_emit.scm 328 */
																																				BgL_typez00_bglt
																																					BgL_oz00_2405;
																																				BgL_oz00_2405
																																					=
																																					(
																																					(BgL_typez00_bglt)
																																					BGl_za2longza2z00zztype_cachez00);
																																				BgL_arg1669z00_1752
																																					=
																																					(((BgL_typez00_bglt) CREF(BgL_oz00_2405))->BgL_namez00);
																																			}
																																			BgL_arg1668z00_1751
																																				=
																																				BGl_stringzd2sanszd2z42z42zztype_toolsz00
																																				(BgL_arg1669z00_1752);
																																		}
																																		bgl_display_obj
																																			(BgL_arg1668z00_1751,
																																			BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																	}
																																	bgl_display_string
																																		(BGl_string2041z00zzbackend_c_emitz00,
																																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																	bgl_display_obj
																																		(BgL_valuez00_9,
																																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																	return
																																		bgl_display_string
																																		(BGl_string2041z00zzbackend_c_emitz00,
																																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																}
																															else
																																{	/* BackEnd/c_emit.scm 326 */
																																	if (REALP
																																		(BgL_valuez00_9))
																																		{	/* BackEnd/c_emit.scm 332 */
																																			if (BGL_IS_NAN(REAL_TO_DOUBLE(BgL_valuez00_9)))
																																				{	/* BackEnd/c_emit.scm 334 */
																																					return
																																						bgl_display_string
																																						(BGl_string2062z00zzbackend_c_emitz00,
																																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																				}
																																			else
																																				{	/* BackEnd/c_emit.scm 336 */
																																					bool_t
																																						BgL_testz00_3105;
																																					if (BGL_IS_INF(REAL_TO_DOUBLE(BgL_valuez00_9)))
																																						{	/* BackEnd/c_emit.scm 336 */
																																							BgL_testz00_3105
																																								=
																																								(REAL_TO_DOUBLE
																																								(BgL_valuez00_9)
																																								>
																																								((double) 0.0));
																																						}
																																					else
																																						{	/* BackEnd/c_emit.scm 336 */
																																							BgL_testz00_3105
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																					if (BgL_testz00_3105)
																																						{	/* BackEnd/c_emit.scm 336 */
																																							return
																																								bgl_display_string
																																								(BGl_string2063z00zzbackend_c_emitz00,
																																								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																						}
																																					else
																																						{	/* BackEnd/c_emit.scm 336 */
																																							if (BGL_IS_INF(REAL_TO_DOUBLE(BgL_valuez00_9)))
																																								{	/* BackEnd/c_emit.scm 338 */
																																									return
																																										bgl_display_string
																																										(BGl_string2064z00zzbackend_c_emitz00,
																																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																								}
																																							else
																																								{	/* BackEnd/c_emit.scm 338 */
																																									bgl_display_string
																																										(BGl_string2047z00zzbackend_c_emitz00,
																																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																									{	/* BackEnd/c_emit.scm 342 */
																																										obj_t
																																											BgL_arg1677z00_1758;
																																										{	/* BackEnd/c_emit.scm 342 */
																																											obj_t
																																												BgL_arg1678z00_1759;
																																											{	/* BackEnd/c_emit.scm 342 */
																																												BgL_typez00_bglt
																																													BgL_oz00_2428;
																																												BgL_oz00_2428
																																													=
																																													(
																																													(BgL_typez00_bglt)
																																													BGl_za2realza2z00zztype_cachez00);
																																												BgL_arg1678z00_1759
																																													=
																																													(
																																													((BgL_typez00_bglt) CREF(BgL_oz00_2428))->BgL_namez00);
																																											}
																																											BgL_arg1677z00_1758
																																												=
																																												BGl_stringzd2sanszd2z42z42zztype_toolsz00
																																												(BgL_arg1678z00_1759);
																																										}
																																										bgl_display_obj
																																											(BgL_arg1677z00_1758,
																																											BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																									}
																																									bgl_display_string
																																										(BGl_string2041z00zzbackend_c_emitz00,
																																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																									bgl_display_obj
																																										(BgL_valuez00_9,
																																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																									return
																																										bgl_display_string
																																										(BGl_string2041z00zzbackend_c_emitz00,
																																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* BackEnd/c_emit.scm 332 */
																																			if (ELONGP
																																				(BgL_valuez00_9))
																																				{	/* BackEnd/c_emit.scm 346 */
																																					bgl_display_string
																																						(BGl_string2047z00zzbackend_c_emitz00,
																																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																					{	/* BackEnd/c_emit.scm 348 */
																																						obj_t
																																							BgL_arg1683z00_1762;
																																						{	/* BackEnd/c_emit.scm 348 */
																																							obj_t
																																								BgL_arg1687z00_1763;
																																							{	/* BackEnd/c_emit.scm 348 */
																																								BgL_typez00_bglt
																																									BgL_oz00_2436;
																																								BgL_oz00_2436
																																									=
																																									(
																																									(BgL_typez00_bglt)
																																									BGl_za2elongza2z00zztype_cachez00);
																																								BgL_arg1687z00_1763
																																									=
																																									(
																																									((BgL_typez00_bglt) CREF(BgL_oz00_2436))->BgL_namez00);
																																							}
																																							BgL_arg1683z00_1762
																																								=
																																								BGl_stringzd2sanszd2z42z42zztype_toolsz00
																																								(BgL_arg1687z00_1763);
																																						}
																																						bgl_display_obj
																																							(BgL_arg1683z00_1762,
																																							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																					}
																																					bgl_display_string
																																						(BGl_string2041z00zzbackend_c_emitz00,
																																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																					{	/* BackEnd/c_emit.scm 350 */
																																						obj_t
																																							BgL_arg1690z00_1764;
																																						BgL_arg1690z00_1764
																																							=
																																							BGl_elongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																																							(BELONG_TO_LONG
																																							(BgL_valuez00_9),
																																							BNIL);
																																						bgl_display_obj
																																							(BgL_arg1690z00_1764,
																																							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																					}
																																					return
																																						bgl_display_string
																																						(BGl_string2041z00zzbackend_c_emitz00,
																																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																				}
																																			else
																																				{	/* BackEnd/c_emit.scm 346 */
																																					if (LLONGP(BgL_valuez00_9))
																																						{	/* BackEnd/c_emit.scm 353 */
																																							obj_t
																																								BgL_arg1694z00_1767;
																																							BgL_arg1694z00_1767
																																								=
																																								BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00
																																								(BLLONG_TO_LLONG
																																								(BgL_valuez00_9));
																																							return
																																								bgl_display_obj
																																								(BgL_arg1694z00_1767,
																																								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																						}
																																					else
																																						{	/* BackEnd/c_emit.scm 352 */
																																							if (CNSTP(BgL_valuez00_9))
																																								{	/* BackEnd/c_emit.scm 354 */
																																									bgl_display_string
																																										(BGl_string2065z00zzbackend_c_emitz00,
																																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																									{	/* BackEnd/c_emit.scm 356 */
																																										long
																																											BgL_arg1700z00_1769;
																																										BgL_arg1700z00_1769
																																											=
																																											CCNST
																																											(BgL_valuez00_9);
																																										bgl_display_obj
																																											(BINT
																																											(BgL_arg1700z00_1769),
																																											BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																									}
																																									return
																																										bgl_display_char
																																										(
																																										((unsigned char) ')'), BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																								}
																																							else
																																								{	/* BackEnd/c_emit.scm 354 */
																																									if (BIGNUMP(BgL_valuez00_9))
																																										{	/* BackEnd/c_emit.scm 358 */
																																											bgl_display_string
																																												(BGl_string2066z00zzbackend_c_emitz00,
																																												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																											{	/* BackEnd/c_emit.scm 360 */
																																												obj_t
																																													BgL_arg1713z00_1771;
																																												BgL_arg1713z00_1771
																																													=
																																													BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																																													(BgL_valuez00_9,
																																													BINT
																																													(((long) 16)));
																																												bgl_display_obj
																																													(BgL_arg1713z00_1771,
																																													BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																											}
																																											return
																																												bgl_display_string
																																												(BGl_string2067z00zzbackend_c_emitz00,
																																												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																										}
																																									else
																																										{	/* BackEnd/c_emit.scm 358 */
																																											return
																																												bgl_display_obj
																																												(BgL_valuez00_9,
																																												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* &emit-atom-value */
	obj_t BGl_z62emitzd2atomzd2valuez62zzbackend_c_emitz00(obj_t BgL_envz00_2599,
		obj_t BgL_valuez00_2600)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 256 */
			return BGl_emitzd2atomzd2valuez00zzbackend_c_emitz00(BgL_valuez00_2600);
		}
	}



/* untrigraph */
	BGL_EXPORTED_DEF obj_t BGl_untrigraphz00zzbackend_c_emitz00(obj_t
		BgL_fromz00_10)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 371 */
			{	/* BackEnd/c_emit.scm 372 */
				long BgL_lenz00_1772;

				BgL_lenz00_1772 = STRING_LENGTH(BgL_fromz00_10);
				{	/* BackEnd/c_emit.scm 372 */
					long BgL_lenzd22zd2_1773;

					BgL_lenzd22zd2_1773 = (BgL_lenz00_1772 - ((long) 2));
					{	/* BackEnd/c_emit.scm 373 */

						{	/* BackEnd/c_emit.scm 375 */
							long BgL_nbzd2colzd2_1774;

							{
								long BgL_iz00_1818;
								long BgL_nbzd2colzd2_1819;

								BgL_iz00_1818 = ((long) 0);
								BgL_nbzd2colzd2_1819 = ((long) 0);
							BgL_zc3anonymousza31760ze3z83_1820:
								if ((BgL_iz00_1818 > BgL_lenzd22zd2_1773))
									{	/* BackEnd/c_emit.scm 378 */
										BgL_nbzd2colzd2_1774 = BgL_nbzd2colzd2_1819;
									}
								else
									{	/* BackEnd/c_emit.scm 378 */
										if (
											(STRING_REF(BgL_fromz00_10,
													BgL_iz00_1818) == ((unsigned char) '?')))
											{	/* BackEnd/c_emit.scm 380 */
												if (
													(STRING_REF(BgL_fromz00_10,
															(BgL_iz00_1818 + ((long) 1))) ==
														((unsigned char) '?')))
													{
														long BgL_nbzd2colzd2_3170;
														long BgL_iz00_3168;

														BgL_iz00_3168 = (BgL_iz00_1818 + ((long) 2));
														BgL_nbzd2colzd2_3170 =
															(BgL_nbzd2colzd2_1819 + ((long) 1));
														BgL_nbzd2colzd2_1819 = BgL_nbzd2colzd2_3170;
														BgL_iz00_1818 = BgL_iz00_3168;
														goto BgL_zc3anonymousza31760ze3z83_1820;
													}
												else
													{
														long BgL_iz00_3172;

														BgL_iz00_3172 = (BgL_iz00_1818 + ((long) 2));
														BgL_iz00_1818 = BgL_iz00_3172;
														goto BgL_zc3anonymousza31760ze3z83_1820;
													}
											}
										else
											{
												long BgL_iz00_3174;

												BgL_iz00_3174 = (BgL_iz00_1818 + ((long) 1));
												BgL_iz00_1818 = BgL_iz00_3174;
												goto BgL_zc3anonymousza31760ze3z83_1820;
											}
									}
							}
							if ((BgL_nbzd2colzd2_1774 == ((long) 0)))
								{	/* BackEnd/c_emit.scm 387 */
									return BgL_fromz00_10;
								}
							else
								{	/* BackEnd/c_emit.scm 392 */
									obj_t BgL_resz00_1776;

									{	/* BackEnd/c_emit.scm 392 */
										long BgL_arg1756z00_1812;

										BgL_arg1756z00_1812 =
											(BgL_lenz00_1772 +
											(((long) 3) * (BgL_nbzd2colzd2_1774 * ((long) 2))));
										{	/* BackEnd/c_emit.scm 392 */

											BgL_resz00_1776 =
												make_string(BgL_arg1756z00_1812, ((unsigned char) ' '));
									}}
									{
										long BgL_rz00_1779;
										long BgL_wz00_1780;

										BgL_rz00_1779 = ((long) 0);
										BgL_wz00_1780 = ((long) 0);
									BgL_zc3anonymousza31716ze3z83_1781:
										if ((BgL_rz00_1779 == BgL_lenz00_1772))
											{	/* BackEnd/c_emit.scm 397 */
												return BgL_resz00_1776;
											}
										else
											{	/* BackEnd/c_emit.scm 399 */
												bool_t BgL_testz00_3184;

												if (
													(STRING_REF(BgL_fromz00_10,
															BgL_rz00_1779) == ((unsigned char) '?')))
													{	/* BackEnd/c_emit.scm 399 */
														BgL_testz00_3184 =
															(BgL_rz00_1779 > BgL_lenzd22zd2_1773);
													}
												else
													{	/* BackEnd/c_emit.scm 399 */
														BgL_testz00_3184 = ((bool_t) 1);
													}
												if (BgL_testz00_3184)
													{	/* BackEnd/c_emit.scm 399 */
														{	/* BackEnd/c_emit.scm 401 */
															unsigned char BgL_tmpz00_3189;

															BgL_tmpz00_3189 =
																STRING_REF(BgL_fromz00_10, BgL_rz00_1779);
															STRING_SET(BgL_resz00_1776, BgL_wz00_1780,
																BgL_tmpz00_3189);
														}
														{
															long BgL_wz00_3194;
															long BgL_rz00_3192;

															BgL_rz00_3192 = (BgL_rz00_1779 + ((long) 1));
															BgL_wz00_3194 = (BgL_wz00_1780 + ((long) 1));
															BgL_wz00_1780 = BgL_wz00_3194;
															BgL_rz00_1779 = BgL_rz00_3192;
															goto BgL_zc3anonymousza31716ze3z83_1781;
														}
													}
												else
													{	/* BackEnd/c_emit.scm 399 */
														if (
															(STRING_REF(BgL_fromz00_10,
																	(BgL_rz00_1779 + ((long) 1))) ==
																((unsigned char) '?')))
															{	/* BackEnd/c_emit.scm 403 */
																STRING_SET(BgL_resz00_1776, BgL_wz00_1780,
																	((unsigned char) '\\'));
																{	/* BackEnd/c_emit.scm 410 */
																	long BgL_tmpz00_3201;

																	BgL_tmpz00_3201 =
																		(BgL_wz00_1780 + ((long) 1));
																	STRING_SET(BgL_resz00_1776, BgL_tmpz00_3201,
																		((unsigned char) '0'));
																}
																{	/* BackEnd/c_emit.scm 411 */
																	long BgL_tmpz00_3204;

																	BgL_tmpz00_3204 =
																		(BgL_wz00_1780 + ((long) 2));
																	STRING_SET(BgL_resz00_1776, BgL_tmpz00_3204,
																		((unsigned char) '7'));
																}
																{	/* BackEnd/c_emit.scm 412 */
																	long BgL_tmpz00_3207;

																	BgL_tmpz00_3207 =
																		(BgL_wz00_1780 + ((long) 3));
																	STRING_SET(BgL_resz00_1776, BgL_tmpz00_3207,
																		((unsigned char) '7'));
																}
																{	/* BackEnd/c_emit.scm 413 */
																	long BgL_tmpz00_3210;

																	BgL_tmpz00_3210 =
																		(BgL_wz00_1780 + ((long) 4));
																	STRING_SET(BgL_resz00_1776, BgL_tmpz00_3210,
																		((unsigned char) '\\'));
																}
																{	/* BackEnd/c_emit.scm 414 */
																	long BgL_tmpz00_3213;

																	BgL_tmpz00_3213 =
																		(BgL_wz00_1780 + ((long) 5));
																	STRING_SET(BgL_resz00_1776, BgL_tmpz00_3213,
																		((unsigned char) '0'));
																}
																{	/* BackEnd/c_emit.scm 415 */
																	long BgL_tmpz00_3216;

																	BgL_tmpz00_3216 =
																		(BgL_wz00_1780 + ((long) 6));
																	STRING_SET(BgL_resz00_1776, BgL_tmpz00_3216,
																		((unsigned char) '7'));
																}
																{	/* BackEnd/c_emit.scm 416 */
																	long BgL_tmpz00_3219;

																	BgL_tmpz00_3219 =
																		(BgL_wz00_1780 + ((long) 7));
																	STRING_SET(BgL_resz00_1776, BgL_tmpz00_3219,
																		((unsigned char) '7'));
																}
																{
																	long BgL_wz00_3224;
																	long BgL_rz00_3222;

																	BgL_rz00_3222 = (BgL_rz00_1779 + ((long) 2));
																	BgL_wz00_3224 = (BgL_wz00_1780 + ((long) 8));
																	BgL_wz00_1780 = BgL_wz00_3224;
																	BgL_rz00_1779 = BgL_rz00_3222;
																	goto BgL_zc3anonymousza31716ze3z83_1781;
																}
															}
														else
															{	/* BackEnd/c_emit.scm 403 */
																STRING_SET(BgL_resz00_1776, BgL_wz00_1780,
																	((unsigned char) '?'));
																{	/* BackEnd/c_emit.scm 405 */
																	unsigned char BgL_auxz00_3229;
																	long BgL_tmpz00_3227;

																	BgL_auxz00_3229 =
																		STRING_REF(BgL_fromz00_10,
																		(BgL_rz00_1779 + ((long) 1)));
																	BgL_tmpz00_3227 =
																		(BgL_wz00_1780 + ((long) 1));
																	STRING_SET(BgL_resz00_1776, BgL_tmpz00_3227,
																		BgL_auxz00_3229);
																}
																{
																	long BgL_wz00_3235;
																	long BgL_rz00_3233;

																	BgL_rz00_3233 = (BgL_rz00_1779 + ((long) 2));
																	BgL_wz00_3235 = (BgL_wz00_1780 + ((long) 2));
																	BgL_wz00_1780 = BgL_wz00_3235;
																	BgL_rz00_1779 = BgL_rz00_3233;
																	goto BgL_zc3anonymousza31716ze3z83_1781;
																}
															}
													}
											}
									}
								}
						}
					}
				}
			}
		}
	}



/* &untrigraph */
	obj_t BGl_z62untrigraphz62zzbackend_c_emitz00(obj_t BgL_envz00_2601,
		obj_t BgL_fromz00_2602)
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 371 */
			return BGl_untrigraphz00zzbackend_c_emitz00(BgL_fromz00_2602);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_c_emitz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_emit.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 209108747),
				BSTRING_TO_STRING(BGl_string2068z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzengine_configurez00(((long) 272817175),
				BSTRING_TO_STRING(BGl_string2068z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zztools_licensez00(((long) 110617375),
				BSTRING_TO_STRING(BGl_string2068z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2068z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2068z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2068z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string2068z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzcgen_copz00(((long) 470780691),
				BSTRING_TO_STRING(BGl_string2068z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzcgen_emitzd2copzd2(((long) 371489745),
				BSTRING_TO_STRING(BGl_string2068z00zzbackend_c_emitz00));
			return
				BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string2068z00zzbackend_c_emitz00));
		}
	}

#ifdef __cplusplus
}
#endif
