/*===========================================================================*/
/*   (BackEnd/c_main.scm)                                                    */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/c_main.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;


	static obj_t BGl_objectzd2initzd2zzbackend_c_mainz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_c_mainz00();
	BGL_EXPORTED_DECL obj_t BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00();
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_c_mainz00();
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_c_mainz00 = BUNSPEC;
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzbackend_c_mainz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzbackend_c_mainz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_c_mainz00();
	static obj_t BGl_z62makezd2bigloozd2mainz62zzbackend_c_mainz00(obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_c_mainz00();
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[17];


	   
		 
		DEFINE_STRING(BGl_string1648z00zzbackend_c_mainz00,
		BgL_bgl_string1648za700za7za7b1660za7, "bigloo_main", 11);
	      DEFINE_STRING(BGl_string1649z00zzbackend_c_mainz00,
		BgL_bgl_string1649za700za7za7b1661za7, "backend_c_main", 14);
	      DEFINE_STRING(BGl_string1650z00zzbackend_c_mainz00,
		BgL_bgl_string1650za700za7za7b1662za7,
		"export now bigloo-main-procedure sfun (argv::obj) bigloo_main::obj value let z z::bint $int->bint begin %exit @ bigloo-initialized! __param argv ",
		145);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2bigloozd2mainzd2envzd2zzbackend_c_mainz00,
		BgL_bgl_za762makeza7d2bigloo1663z00,
		BGl_z62makezd2bigloozd2mainz62zzbackend_c_mainz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzbackend_c_mainz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(long
		BgL_checksumz00_1762, char *BgL_fromz00_1763)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_c_mainz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_c_mainz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_c_mainz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_c_mainz00();
					BGl_cnstzd2initzd2zzbackend_c_mainz00();
					BGl_importedzd2moduleszd2initz00zzbackend_c_mainz00();
					return BGl_methodzd2initzd2zzbackend_c_mainz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_c_mainz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_main.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"backend_c_main");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_c_main");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"backend_c_main");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_c_main");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"backend_c_main");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_c_main");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_c_mainz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_main.scm 15 */
			{	/* BackEnd/c_main.scm 15 */
				obj_t BgL_cportz00_1749;

				{	/* BackEnd/c_main.scm 15 */
					obj_t BgL_startz00_1758;

					BgL_startz00_1758 = BINT(((long) 0));
					{	/* BackEnd/c_main.scm 15 */
						obj_t BgL_endz00_1759;

						BgL_endz00_1759 =
							BINT(STRING_LENGTH(BGl_string1650z00zzbackend_c_mainz00));
						{	/* BackEnd/c_main.scm 15 */

							BgL_cportz00_1749 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1650z00zzbackend_c_mainz00, BgL_startz00_1758,
								BgL_endz00_1759);
				}}}
				{
					long BgL_iz00_1750;

					BgL_iz00_1750 = ((long) 16);
				BgL_loopz00_1751:
					if ((BgL_iz00_1750 == ((long) -1)))
						{	/* BackEnd/c_main.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/c_main.scm 15 */
							{	/* BackEnd/c_main.scm 15 */
								obj_t BgL_arg1658z00_1753;

								{	/* BackEnd/c_main.scm 15 */

									{	/* BackEnd/c_main.scm 15 */
										obj_t BgL_locationz00_1755;

										BgL_locationz00_1755 = BBOOL(((bool_t) 0));
										{	/* BackEnd/c_main.scm 15 */

											BgL_arg1658z00_1753 =
												BGl_readz00zz__readerz00(BgL_cportz00_1749,
												BgL_locationz00_1755);
										}
									}
								}
								{	/* BackEnd/c_main.scm 15 */
									int BgL_tmpz00_1786;

									BgL_tmpz00_1786 = (int) (BgL_iz00_1750);
									CNST_TABLE_SET(BgL_tmpz00_1786, BgL_arg1658z00_1753);
							}}
							{	/* BackEnd/c_main.scm 15 */
								int BgL_auxz00_1756;

								BgL_auxz00_1756 = (int) ((BgL_iz00_1750 - ((long) 1)));
								{
									long BgL_iz00_1791;

									BgL_iz00_1791 = (long) (BgL_auxz00_1756);
									BgL_iz00_1750 = BgL_iz00_1791;
									goto BgL_loopz00_1751;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_c_mainz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_main.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* make-bigloo-main */
	BGL_EXPORTED_DEF obj_t BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_main.scm 37 */
			{	/* BackEnd/c_main.scm 38 */
				obj_t BgL_argsz00_1505;

				{	/* BackEnd/c_main.scm 38 */
					BgL_localz00_bglt BgL_arg1469z00_1555;

					BgL_arg1469z00_1555 =
						BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF(((long) 0)),
						((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
					{	/* BackEnd/c_main.scm 38 */
						obj_t BgL_list1470z00_1556;

						BgL_list1470z00_1556 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg1469z00_1555), BNIL);
						BgL_argsz00_1505 = BgL_list1470z00_1556;
				}}
				{	/* BackEnd/c_main.scm 38 */
					obj_t BgL_mainzd2bodyzd2_1506;

					{	/* BackEnd/c_main.scm 39 */
						bool_t BgL_testz00_1799;

						{	/* BackEnd/c_main.scm 39 */
							bool_t BgL_res1645z00_1736;

							{	/* BackEnd/c_main.scm 39 */
								obj_t BgL_objz00_1735;

								BgL_objz00_1735 = BGl_za2mainza2z00zzmodule_modulez00;
								BgL_res1645z00_1736 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_1735,
									BGl_globalz00zzast_varz00);
							}
							BgL_testz00_1799 = BgL_res1645z00_1736;
						}
						if (BgL_testz00_1799)
							{	/* BackEnd/c_main.scm 41 */
								obj_t BgL_arg1238z00_1511;

								{	/* BackEnd/c_main.scm 41 */
									obj_t BgL_arg1239z00_1512;
									obj_t BgL_arg1240z00_1513;

									{	/* BackEnd/c_main.scm 41 */
										obj_t BgL_arg1242z00_1514;
										obj_t BgL_arg1247z00_1515;

										BgL_arg1242z00_1514 =
											BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
											(BGl_za2moduleza2z00zzmodule_modulez00);
										{	/* BackEnd/c_main.scm 43 */
											obj_t BgL_arg1248z00_1516;

											{	/* BackEnd/c_main.scm 43 */
												obj_t BgL_arg1250z00_1517;

												{	/* BackEnd/c_main.scm 43 */
													obj_t BgL_res1646z00_1739;

													{	/* BackEnd/c_main.scm 43 */
														obj_t BgL_symbolz00_1737;

														BgL_symbolz00_1737 =
															BGl_za2moduleza2z00zzmodule_modulez00;
														{	/* BackEnd/c_main.scm 43 */
															obj_t BgL_arg1377z00_1738;

															BgL_arg1377z00_1738 =
																SYMBOL_TO_STRING(BgL_symbolz00_1737);
															BgL_res1646z00_1739 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1377z00_1738);
														}
													}
													BgL_arg1250z00_1517 = BgL_res1646z00_1739;
												}
												BgL_arg1248z00_1516 =
													MAKE_YOUNG_PAIR(BgL_arg1250z00_1517, BNIL);
											}
											BgL_arg1247z00_1515 =
												MAKE_YOUNG_PAIR(BINT(((long) 0)), BgL_arg1248z00_1516);
										}
										BgL_arg1239z00_1512 =
											MAKE_YOUNG_PAIR(BgL_arg1242z00_1514, BgL_arg1247z00_1515);
									}
									{	/* BackEnd/c_main.scm 44 */
										obj_t BgL_arg1251z00_1518;
										obj_t BgL_arg1252z00_1519;

										{	/* BackEnd/c_main.scm 44 */
											obj_t BgL_arg1253z00_1520;

											{	/* BackEnd/c_main.scm 44 */
												obj_t BgL_arg1262z00_1521;

												{	/* BackEnd/c_main.scm 44 */
													obj_t BgL_arg1263z00_1522;

													BgL_arg1263z00_1522 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 1)), BNIL);
													BgL_arg1262z00_1521 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)),
														BgL_arg1263z00_1522);
												}
												BgL_arg1253z00_1520 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
													BgL_arg1262z00_1521);
											}
											BgL_arg1251z00_1518 =
												MAKE_YOUNG_PAIR(BgL_arg1253z00_1520, BNIL);
										}
										{	/* BackEnd/c_main.scm 45 */
											obj_t BgL_arg1264z00_1523;

											{	/* BackEnd/c_main.scm 45 */
												obj_t BgL_arg1266z00_1524;

												{	/* BackEnd/c_main.scm 45 */
													obj_t BgL_arg1272z00_1525;

													{	/* BackEnd/c_main.scm 45 */
														obj_t BgL_arg1276z00_1526;
														obj_t BgL_arg1284z00_1527;

														{	/* BackEnd/c_main.scm 45 */
															obj_t BgL_arg1285z00_1528;

															{	/* BackEnd/c_main.scm 45 */
																obj_t BgL_arg1292z00_1529;
																obj_t BgL_arg1313z00_1530;

																{	/* BackEnd/c_main.scm 45 */
																	BgL_globalz00_bglt BgL_oz00_1740;

																	BgL_oz00_1740 =
																		((BgL_globalz00_bglt)
																		BGl_za2mainza2z00zzmodule_modulez00);
																	BgL_arg1292z00_1529 =
																		(((BgL_variablez00_bglt)
																			CREF(((BgL_variablez00_bglt)
																					BgL_oz00_1740)))->BgL_idz00);
																}
																{	/* BackEnd/c_main.scm 46 */
																	obj_t BgL_arg1316z00_1531;

																	{	/* BackEnd/c_main.scm 46 */
																		BgL_globalz00_bglt BgL_oz00_1741;

																		BgL_oz00_1741 =
																			((BgL_globalz00_bglt)
																			BGl_za2mainza2z00zzmodule_modulez00);
																		BgL_arg1316z00_1531 =
																			(((BgL_globalz00_bglt)
																				CREF(BgL_oz00_1741))->BgL_modulez00);
																	}
																	BgL_arg1313z00_1530 =
																		MAKE_YOUNG_PAIR(BgL_arg1316z00_1531, BNIL);
																}
																BgL_arg1285z00_1528 =
																	MAKE_YOUNG_PAIR(BgL_arg1292z00_1529,
																	BgL_arg1313z00_1530);
															}
															BgL_arg1276z00_1526 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
																BgL_arg1285z00_1528);
														}
														BgL_arg1284z00_1527 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
														BgL_arg1272z00_1525 =
															MAKE_YOUNG_PAIR(BgL_arg1276z00_1526,
															BgL_arg1284z00_1527);
													}
													BgL_arg1266z00_1524 =
														MAKE_YOUNG_PAIR(BgL_arg1272z00_1525, BNIL);
												}
												BgL_arg1264z00_1523 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)),
													BgL_arg1266z00_1524);
											}
											BgL_arg1252z00_1519 =
												MAKE_YOUNG_PAIR(BgL_arg1264z00_1523, BNIL);
										}
										BgL_arg1240z00_1513 =
											MAKE_YOUNG_PAIR(BgL_arg1251z00_1518, BgL_arg1252z00_1519);
									}
									BgL_arg1238z00_1511 =
										MAKE_YOUNG_PAIR(BgL_arg1239z00_1512, BgL_arg1240z00_1513);
								}
								BgL_mainzd2bodyzd2_1506 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)),
									BgL_arg1238z00_1511);
							}
						else
							{	/* BackEnd/c_main.scm 49 */
								obj_t BgL_arg1317z00_1532;

								{	/* BackEnd/c_main.scm 49 */
									obj_t BgL_arg1322z00_1533;
									obj_t BgL_arg1328z00_1534;

									{	/* BackEnd/c_main.scm 49 */
										obj_t BgL_arg1332z00_1535;
										obj_t BgL_arg1333z00_1536;

										BgL_arg1332z00_1535 =
											BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
											(BGl_za2moduleza2z00zzmodule_modulez00);
										{	/* BackEnd/c_main.scm 51 */
											obj_t BgL_arg1338z00_1537;

											{	/* BackEnd/c_main.scm 51 */
												obj_t BgL_arg1367z00_1538;

												{	/* BackEnd/c_main.scm 51 */
													obj_t BgL_res1647z00_1744;

													{	/* BackEnd/c_main.scm 51 */
														obj_t BgL_symbolz00_1742;

														BgL_symbolz00_1742 =
															BGl_za2moduleza2z00zzmodule_modulez00;
														{	/* BackEnd/c_main.scm 51 */
															obj_t BgL_arg1377z00_1743;

															BgL_arg1377z00_1743 =
																SYMBOL_TO_STRING(BgL_symbolz00_1742);
															BgL_res1647z00_1744 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1377z00_1743);
														}
													}
													BgL_arg1367z00_1538 = BgL_res1647z00_1744;
												}
												BgL_arg1338z00_1537 =
													MAKE_YOUNG_PAIR(BgL_arg1367z00_1538, BNIL);
											}
											BgL_arg1333z00_1536 =
												MAKE_YOUNG_PAIR(BINT(((long) 0)), BgL_arg1338z00_1537);
										}
										BgL_arg1322z00_1533 =
											MAKE_YOUNG_PAIR(BgL_arg1332z00_1535, BgL_arg1333z00_1536);
									}
									{	/* BackEnd/c_main.scm 52 */
										obj_t BgL_arg1368z00_1539;
										obj_t BgL_arg1375z00_1540;

										{	/* BackEnd/c_main.scm 52 */
											obj_t BgL_arg1376z00_1541;

											{	/* BackEnd/c_main.scm 52 */
												obj_t BgL_arg1406z00_1542;

												{	/* BackEnd/c_main.scm 52 */
													obj_t BgL_arg1409z00_1543;

													BgL_arg1409z00_1543 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 1)), BNIL);
													BgL_arg1406z00_1542 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)),
														BgL_arg1409z00_1543);
												}
												BgL_arg1376z00_1541 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
													BgL_arg1406z00_1542);
											}
											BgL_arg1368z00_1539 =
												MAKE_YOUNG_PAIR(BgL_arg1376z00_1541, BNIL);
										}
										{	/* BackEnd/c_main.scm 53 */
											obj_t BgL_arg1413z00_1544;
											obj_t BgL_arg1414z00_1545;

											{	/* BackEnd/c_main.scm 53 */
												obj_t BgL_arg1415z00_1546;

												{	/* BackEnd/c_main.scm 53 */
													obj_t BgL_arg1416z00_1547;
													obj_t BgL_arg1423z00_1548;

													{	/* BackEnd/c_main.scm 53 */
														obj_t BgL_arg1436z00_1549;

														{	/* BackEnd/c_main.scm 53 */
															obj_t BgL_arg1437z00_1550;

															{	/* BackEnd/c_main.scm 53 */
																obj_t BgL_arg1446z00_1551;

																{	/* BackEnd/c_main.scm 53 */
																	obj_t BgL_arg1454z00_1552;

																	BgL_arg1454z00_1552 =
																		MAKE_YOUNG_PAIR(BINT(((long) 0)), BNIL);
																	BgL_arg1446z00_1551 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
																		BgL_arg1454z00_1552);
																}
																BgL_arg1437z00_1550 =
																	MAKE_YOUNG_PAIR(BgL_arg1446z00_1551, BNIL);
															}
															BgL_arg1436z00_1549 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
																BgL_arg1437z00_1550);
														}
														BgL_arg1416z00_1547 =
															MAKE_YOUNG_PAIR(BgL_arg1436z00_1549, BNIL);
													}
													{	/* BackEnd/c_main.scm 54 */
														obj_t BgL_arg1460z00_1553;

														{	/* BackEnd/c_main.scm 54 */
															obj_t BgL_arg1465z00_1554;

															BgL_arg1465z00_1554 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 8)),
																BNIL);
															BgL_arg1460z00_1553 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)),
																BgL_arg1465z00_1554);
														}
														BgL_arg1423z00_1548 =
															MAKE_YOUNG_PAIR(BgL_arg1460z00_1553, BNIL);
													}
													BgL_arg1415z00_1546 =
														MAKE_YOUNG_PAIR(BgL_arg1416z00_1547,
														BgL_arg1423z00_1548);
												}
												BgL_arg1413z00_1544 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 9)),
													BgL_arg1415z00_1546);
											}
											BgL_arg1414z00_1545 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
											BgL_arg1375z00_1540 =
												MAKE_YOUNG_PAIR(BgL_arg1413z00_1544,
												BgL_arg1414z00_1545);
										}
										BgL_arg1328z00_1534 =
											MAKE_YOUNG_PAIR(BgL_arg1368z00_1539, BgL_arg1375z00_1540);
									}
									BgL_arg1317z00_1532 =
										MAKE_YOUNG_PAIR(BgL_arg1322z00_1533, BgL_arg1328z00_1534);
								}
								BgL_mainzd2bodyzd2_1506 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 5)),
									BgL_arg1317z00_1532);
					}}
					{	/* BackEnd/c_main.scm 39 */
						BgL_nodez00_bglt BgL_nodez00_1507;

						{	/* BackEnd/c_main.scm 56 */
							BgL_nodez00_bglt BgL_nodez00_1509;

							BgL_nodez00_1509 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_mainzd2bodyzd2_1506,
								BgL_argsz00_1505, BFALSE, CNST_TABLE_REF(((long) 10)));
							BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_1509);
							BgL_nodez00_1507 = BgL_nodez00_1509;
						}
						{	/* BackEnd/c_main.scm 56 */
							BgL_globalz00_bglt BgL_bigloozd2mainzd2_1508;

							BgL_bigloozd2mainzd2_1508 =
								BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(CNST_TABLE_REF((
										(long) 11)), CNST_TABLE_REF(((long) 12)), BgL_argsz00_1505,
								BGl_za2moduleza2z00zzmodule_modulez00,
								CNST_TABLE_REF(((long) 13)), CNST_TABLE_REF(((long) 14)),
								CNST_TABLE_REF(((long) 15)), ((obj_t) BgL_nodez00_1507));
							{	/* BackEnd/c_main.scm 59 */

								{	/* BackEnd/c_main.scm 67 */
									obj_t BgL_vz00_1746;

									BgL_vz00_1746 = CNST_TABLE_REF(((long) 16));
									((((BgL_globalz00_bglt) CREF(BgL_bigloozd2mainzd2_1508))->
											BgL_importz00) = ((obj_t) BgL_vz00_1746), BUNSPEC);
								}
								((((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_bigloozd2mainzd2_1508)))->
										BgL_namez00) =
									((obj_t) BGl_string1648z00zzbackend_c_mainz00), BUNSPEC);
								return ((obj_t) BgL_bigloozd2mainzd2_1508);
							}
						}
					}
				}
			}
		}
	}



/* &make-bigloo-main */
	obj_t BGl_z62makezd2bigloozd2mainz62zzbackend_c_mainz00(obj_t BgL_envz00_1748)
	{
		AN_OBJECT;
		{	/* BackEnd/c_main.scm 37 */
			return BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00();
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_c_mainz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_main.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_c_mainz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_main.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_c_mainz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_main.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_c_mainz00()
	{
		AN_OBJECT;
		{	/* BackEnd/c_main.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 209108747),
				BSTRING_TO_STRING(BGl_string1649z00zzbackend_c_mainz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1649z00zzbackend_c_mainz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1649z00zzbackend_c_mainz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1649z00zzbackend_c_mainz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string1649z00zzbackend_c_mainz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string1649z00zzbackend_c_mainz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1649z00zzbackend_c_mainz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1649z00zzbackend_c_mainz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1649z00zzbackend_c_mainz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1649z00zzbackend_c_mainz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1649z00zzbackend_c_mainz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string1649z00zzbackend_c_mainz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1649z00zzbackend_c_mainz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1649z00zzbackend_c_mainz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(((long)
					364917963), BSTRING_TO_STRING(BGl_string1649z00zzbackend_c_mainz00));
			return BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long)
					395792377), BSTRING_TO_STRING(BGl_string1649z00zzbackend_c_mainz00));
		}
	}

#ifdef __cplusplus
}
#endif
