/*===========================================================================*/
/*   (Bdb/bdb_emit.scm)                                                      */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Bdb/bdb_emit.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;


	static obj_t BGl_z62bdbz12zd2app1329za2zzbdb_emitz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62bdbz12zd2sequence1297za2zzbdb_emitz00(obj_t, obj_t);
	BGL_IMPORT obj_t bigloo_module_mangle(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzbdb_emitz00();
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_za2stringza2z00zztype_cachez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbdb_emitz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62bdbz12zd2funcall1327za2zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_svarz00zzast_varz00;
	extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_bdbzd2globalzd2sfunz12z12zzbdb_emitz00(obj_t);
	static obj_t BGl_z62bdbz12zd2setzd2exzd2it1317za2zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_z62bdbz12zd2conditional1307za2zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_bdbz12z12zzbdb_emitz00(BgL_nodez00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zzbdb_emitz00();
	extern obj_t BGl_unitzd2initializa7erzd2idza7zzast_unitz00(obj_t);
	static obj_t BGl_z62bdbz12zd2cast1303za2zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_z62bdbz12zd2setq1305za2zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_z62bdbz121294z70zzbdb_emitz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62bdbz12zd2select1311za2zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_bdbzd2sfunz12zc0zzbdb_emitz00(BgL_valuez00_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_getzd2classzd2listz00zzobject_classz00();
	static obj_t BGl_z62bdbz12zd2appzd2ly1325z70zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	static obj_t BGl_z62bdbz12zd2letzd2fun1313z70zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_bdbzd2globalzd2svarz12z12zzbdb_emitz00(obj_t);
	static obj_t BGl_z62bdbz12zd2extern1301za2zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzbdb_emitz00 = BUNSPEC;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_za2czd2portza2zd2zzbdb_emitz00 = BUNSPEC;
	static obj_t BGl_z62bdbz12zd2sync1299za2zzbdb_emitz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62bdbz12zd2jumpzd2exzd2it1319za2zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzbdb_emitz00();
	static obj_t BGl_genericzd2initzd2zzbdb_emitz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static obj_t BGl_z62emitzd2bdbzd2infoz62zzbdb_emitz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static bool_t BGl_bdbzd2localzd2variablezf3zf3zzbdb_emitz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_bdbzd2emitzd2localzd2infoz12zc0zzbdb_emitz00(obj_t);
	static obj_t BGl_z62bdbz12zd2letzd2var1315z70zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_bdbza2z12zb0zzbdb_emitz00(obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static bool_t BGl_emitzd2bdbzd2classzd2typeszd2zzbdb_emitz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31483ze3ze1zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbdb_emitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_configurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62bdbz12z70zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62bdbz12zd2boxzd2setz121323z62zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62bdbz12zd2makezd2box1321z70zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzbdb_emitz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbdb_emitz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzbdb_emitz00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62bdbz12zd2fail1309za2zzbdb_emitz00(obj_t, obj_t);
	extern obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[6];


	   
		 
		DEFINE_STRING(BGl_string1822z00zzbdb_emitz00,
		BgL_bgl_string1822za700za7za7b1879za7, "/* bdb association table */", 27);
	      DEFINE_STRING(BGl_string1823z00zzbdb_emitz00,
		BgL_bgl_string1823za700za7za7b1880za7, "static struct bdb_fun_info {\n",
		29);
	      DEFINE_STRING(BGl_string1824z00zzbdb_emitz00,
		BgL_bgl_string1824za700za7za7b1881za7, "   char *sname, *cname;\n", 24);
	      DEFINE_STRING(BGl_string1825z00zzbdb_emitz00,
		BgL_bgl_string1825za700za7za7b1882za7, "} ", 2);
	      DEFINE_STRING(BGl_string1826z00zzbdb_emitz00,
		BgL_bgl_string1826za700za7za7b1883za7, "__bdb_info", 10);
	      DEFINE_STRING(BGl_string1827z00zzbdb_emitz00,
		BgL_bgl_string1827za700za7za7b1884za7, "[] = { ", 7);
	      DEFINE_STRING(BGl_string1828z00zzbdb_emitz00,
		BgL_bgl_string1828za700za7za7b1885za7,
		"   /* Magic number to ensure comp/dbg compatibility */", 54);
	      DEFINE_STRING(BGl_string1829z00zzbdb_emitz00,
		BgL_bgl_string1829za700za7za7b1886za7, "   {(char *)", 12);
	      DEFINE_STRING(BGl_string1830z00zzbdb_emitz00,
		BgL_bgl_string1830za700za7za7b1887za7, ", (char *)", 10);
	      DEFINE_STRING(BGl_string1831z00zzbdb_emitz00,
		BgL_bgl_string1831za700za7za7b1888za7, "},", 2);
	      DEFINE_STRING(BGl_string1832z00zzbdb_emitz00,
		BgL_bgl_string1832za700za7za7b1889za7,
		"   /* Module and source file identification */", 46);
	      DEFINE_STRING(BGl_string1833z00zzbdb_emitz00,
		BgL_bgl_string1833za700za7za7b1890za7, "   {\"", 5);
	      DEFINE_STRING(BGl_string1834z00zzbdb_emitz00,
		BgL_bgl_string1834za700za7za7b1891za7, "\", \"", 4);
	      DEFINE_STRING(BGl_string1835z00zzbdb_emitz00,
		BgL_bgl_string1835za700za7za7b1892za7, "\" },", 4);
	      DEFINE_STRING(BGl_string1836z00zzbdb_emitz00,
		BgL_bgl_string1836za700za7za7b1893za7, "\", 0 },", 7);
	      DEFINE_STRING(BGl_string1837z00zzbdb_emitz00,
		BgL_bgl_string1837za700za7za7b1894za7, "   { 0, (char *)", 16);
	      DEFINE_STRING(BGl_string1838z00zzbdb_emitz00,
		BgL_bgl_string1838za700za7za7b1895za7, "0", 1);
	      DEFINE_STRING(BGl_string1839z00zzbdb_emitz00,
		BgL_bgl_string1839za700za7za7b1896za7, " },", 3);
	      DEFINE_STRING(BGl_string1840z00zzbdb_emitz00,
		BgL_bgl_string1840za700za7za7b1897za7, "   /* Global functions */", 25);
	      DEFINE_STRING(BGl_string1841z00zzbdb_emitz00,
		BgL_bgl_string1841za700za7za7b1898za7, "   /* Global variables */", 25);
	      DEFINE_STRING(BGl_string1843z00zzbdb_emitz00,
		BgL_bgl_string1843za700za7za7b1899za7, "   {0, 0},", 10);
	      DEFINE_STRING(BGl_string1844z00zzbdb_emitz00,
		BgL_bgl_string1844za700za7za7b1900za7, "   0};\n", 7);
	      DEFINE_STRING(BGl_string1845z00zzbdb_emitz00,
		BgL_bgl_string1845za700za7za7b1901za7, "   /* Bigloo classes */", 23);
	      DEFINE_STRING(BGl_string1846z00zzbdb_emitz00,
		BgL_bgl_string1846za700za7za7b1902za7, " *\", 0 },", 9);
	      DEFINE_STRING(BGl_string1847z00zzbdb_emitz00,
		BgL_bgl_string1847za700za7za7b1903za7, "\", (char *)", 11);
	      DEFINE_STRING(BGl_string1848z00zzbdb_emitz00,
		BgL_bgl_string1848za700za7za7b1904za7, "\", 0},", 6);
	      DEFINE_STRING(BGl_string1849z00zzbdb_emitz00,
		BgL_bgl_string1849za700za7za7b1905za7, "   {", 4);
	      DEFINE_STRING(BGl_string1850z00zzbdb_emitz00,
		BgL_bgl_string1850za700za7za7b1906za7, ", \"", 3);
	      DEFINE_STRING(BGl_string1851z00zzbdb_emitz00,
		BgL_bgl_string1851za700za7za7b1907za7, "\"},", 3);
	      DEFINE_STRING(BGl_string1852z00zzbdb_emitz00,
		BgL_bgl_string1852za700za7za7b1908za7, "     {0, 0},", 12);
	      DEFINE_STRING(BGl_string1853z00zzbdb_emitz00,
		BgL_bgl_string1853za700za7za7b1909za7, "     {\"", 7);
	      DEFINE_STRING(BGl_string1855z00zzbdb_emitz00,
		BgL_bgl_string1855za700za7za7b1910za7, "bdb!1294", 8);
	      DEFINE_STRING(BGl_string1857z00zzbdb_emitz00,
		BgL_bgl_string1857za700za7za7b1911za7, "bdb!", 4);
	      DEFINE_STRING(BGl_string1874z00zzbdb_emitz00,
		BgL_bgl_string1874za700za7za7b1912za7, "bdb_emit", 8);
	      DEFINE_STRING(BGl_string1875z00zzbdb_emitz00,
		BgL_bgl_string1875za700za7za7b1913za7,
		"done bigloo @ TOPLEVEL-INIT export location ", 44);
	      DEFINE_STATIC_BGL_GENERIC(BGl_bdbz12zd2envzc0zzbdb_emitz00,
		BgL_bgl_za762bdbza712za770za7za7bd1914za7, BGl_z62bdbz12z70zzbdb_emitz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2bdbzd2infozd2envzd2zzbdb_emitz00,
		BgL_bgl_za762emitza7d2bdbza7d21915za7,
		BGl_z62emitzd2bdbzd2infoz62zzbdb_emitz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1842z00zzbdb_emitz00,
		BgL_bgl_za762za7c3anonymousza71916za7,
		BGl_z62zc3anonymousza31483ze3ze1zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1854z00zzbdb_emitz00,
		BgL_bgl_za762bdbza7121294za7701917za7, BGl_z62bdbz121294z70zzbdb_emitz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1856z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2sequ1918za7,
		BGl_z62bdbz12zd2sequence1297za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1858z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2sync1919za7,
		BGl_z62bdbz12zd2sync1299za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1859z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2exte1920za7,
		BGl_z62bdbz12zd2extern1301za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1860z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2cast1921za7,
		BGl_z62bdbz12zd2cast1303za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2setq1922za7,
		BGl_z62bdbz12zd2setq1305za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1862z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2cond1923za7,
		BGl_z62bdbz12zd2conditional1307za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1863z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2fail1924za7,
		BGl_z62bdbz12zd2fail1309za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2sele1925za7,
		BGl_z62bdbz12zd2select1311za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2letza71926z00,
		BGl_z62bdbz12zd2letzd2fun1313z70zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2letza71927z00,
		BGl_z62bdbz12zd2letzd2var1315z70zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2setza71928z00,
		BGl_z62bdbz12zd2setzd2exzd2it1317za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2jump1929za7,
		BGl_z62bdbz12zd2jumpzd2exzd2it1319za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2make1930za7,
		BGl_z62bdbz12zd2makezd2box1321z70zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2boxza71931z00,
		BGl_z62bdbz12zd2boxzd2setz121323z62zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2appza71932z00,
		BGl_z62bdbz12zd2appzd2ly1325z70zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2func1933za7,
		BGl_z62bdbz12zd2funcall1327za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2app11934za7,
		BGl_z62bdbz12zd2app1329za2zzbdb_emitz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzbdb_emitz00));
		     ADD_ROOT((void *) (&BGl_za2czd2portza2zd2zzbdb_emitz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbdb_emitz00(long
		BgL_checksumz00_2434, char *BgL_fromz00_2435)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbdb_emitz00))
				{
					BGl_requirezd2initializa7ationz75zzbdb_emitz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbdb_emitz00();
					BGl_libraryzd2moduleszd2initz00zzbdb_emitz00();
					BGl_cnstzd2initzd2zzbdb_emitz00();
					BGl_importedzd2moduleszd2initz00zzbdb_emitz00();
					BGl_genericzd2initzd2zzbdb_emitz00();
					BGl_methodzd2initzd2zzbdb_emitz00();
					return BGl_toplevelzd2initzd2zzbdb_emitz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbdb_emitz00()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"bdb_emit");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "bdb_emit");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "bdb_emit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"bdb_emit");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"bdb_emit");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "bdb_emit");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"bdb_emit");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"bdb_emit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"bdb_emit");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"bdb_emit");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"bdb_emit");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "bdb_emit");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbdb_emitz00()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 15 */
			{	/* Bdb/bdb_emit.scm 15 */
				obj_t BgL_cportz00_2385;

				{	/* Bdb/bdb_emit.scm 15 */
					obj_t BgL_startz00_2394;

					BgL_startz00_2394 = BINT(((long) 0));
					{	/* Bdb/bdb_emit.scm 15 */
						obj_t BgL_endz00_2395;

						BgL_endz00_2395 =
							BINT(STRING_LENGTH(BGl_string1875z00zzbdb_emitz00));
						{	/* Bdb/bdb_emit.scm 15 */

							BgL_cportz00_2385 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1875z00zzbdb_emitz00, BgL_startz00_2394,
								BgL_endz00_2395);
				}}}
				{
					long BgL_iz00_2386;

					BgL_iz00_2386 = ((long) 5);
				BgL_loopz00_2387:
					if ((BgL_iz00_2386 == ((long) -1)))
						{	/* Bdb/bdb_emit.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Bdb/bdb_emit.scm 15 */
							{	/* Bdb/bdb_emit.scm 15 */
								obj_t BgL_arg1877z00_2389;

								{	/* Bdb/bdb_emit.scm 15 */

									{	/* Bdb/bdb_emit.scm 15 */
										obj_t BgL_locationz00_2391;

										BgL_locationz00_2391 = BBOOL(((bool_t) 0));
										{	/* Bdb/bdb_emit.scm 15 */

											BgL_arg1877z00_2389 =
												BGl_readz00zz__readerz00(BgL_cportz00_2385,
												BgL_locationz00_2391);
										}
									}
								}
								{	/* Bdb/bdb_emit.scm 15 */
									int BgL_tmpz00_2466;

									BgL_tmpz00_2466 = (int) (BgL_iz00_2386);
									CNST_TABLE_SET(BgL_tmpz00_2466, BgL_arg1877z00_2389);
							}}
							{	/* Bdb/bdb_emit.scm 15 */
								int BgL_auxz00_2392;

								BgL_auxz00_2392 = (int) ((BgL_iz00_2386 - ((long) 1)));
								{
									long BgL_iz00_2471;

									BgL_iz00_2471 = (long) (BgL_auxz00_2392);
									BgL_iz00_2386 = BgL_iz00_2471;
									goto BgL_loopz00_2387;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbdb_emitz00()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbdb_emitz00()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 15 */
			BGl_za2czd2portza2zd2zzbdb_emitz00 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* emit-bdb-info */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(obj_t
		BgL_globalsz00_39, obj_t BgL_portz00_40)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 43 */
			BGl_za2czd2portza2zd2zzbdb_emitz00 = BgL_portz00_40;
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			bgl_display_string(BGl_string1822z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			bgl_display_string(BGl_string1823z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_string(BGl_string1824z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_string(BGl_string1825z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_obj(BGl_string1826z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_string(BGl_string1827z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			bgl_display_string(BGl_string1828z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			bgl_display_string(BGl_string1829z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_obj(BINT(BDB_LIBRARY_MAGIC_NUMBER), BgL_portz00_40);
			bgl_display_string(BGl_string1830z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_obj(BINT(BDB_LIBRARY_MAGIC_NUMBER), BgL_portz00_40);
			bgl_display_string(BGl_string1831z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			bgl_display_string(BGl_string1832z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			bgl_display_string(BGl_string1833z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_obj(BGl_za2moduleza2z00zzmodule_modulez00, BgL_portz00_40);
			bgl_display_string(BGl_string1834z00zzbdb_emitz00, BgL_portz00_40);
			{	/* Bdb/bdb_emit.scm 66 */
				obj_t BgL_arg1416z00_1591;

				{	/* Bdb/bdb_emit.scm 66 */
					obj_t BgL_arg1423z00_1592;
					obj_t BgL_arg1436z00_1593;

					{	/* Bdb/bdb_emit.scm 66 */
						obj_t BgL_arg1437z00_1594;

						BgL_arg1437z00_1594 =
							BGl_unitzd2initializa7erzd2idza7zzast_unitz00(STRUCT_REF
							(BGl_getzd2toplevelzd2unitz00zzmodule_includez00(),
								(int) (((long) 0))));
						{	/* Bdb/bdb_emit.scm 64 */
							obj_t BgL_res1792z00_2103;

							{	/* Bdb/bdb_emit.scm 64 */
								obj_t BgL_arg1377z00_2102;

								BgL_arg1377z00_2102 = SYMBOL_TO_STRING(BgL_arg1437z00_1594);
								BgL_res1792z00_2103 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1377z00_2102);
							}
							BgL_arg1423z00_1592 = BgL_res1792z00_2103;
					}}
					{	/* Bdb/bdb_emit.scm 67 */
						obj_t BgL_res1793z00_2106;

						{	/* Bdb/bdb_emit.scm 67 */
							obj_t BgL_symbolz00_2104;

							BgL_symbolz00_2104 = BGl_za2moduleza2z00zzmodule_modulez00;
							{	/* Bdb/bdb_emit.scm 67 */
								obj_t BgL_arg1377z00_2105;

								BgL_arg1377z00_2105 = SYMBOL_TO_STRING(BgL_symbolz00_2104);
								BgL_res1793z00_2106 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1377z00_2105);
						}}
						BgL_arg1436z00_1593 = BgL_res1793z00_2106;
					}
					BgL_arg1416z00_1591 =
						bigloo_module_mangle(BgL_arg1423z00_1592, BgL_arg1436z00_1593);
				}
				bgl_display_obj(BgL_arg1416z00_1591, BgL_portz00_40);
			}
			bgl_display_string(BGl_string1835z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			{
				obj_t BgL_l1260z00_1598;

				BgL_l1260z00_1598 = BGl_za2srczd2filesza2zd2zzengine_paramz00;
			BgL_zc3anonymousza31455ze3z83_1599:
				if (PAIRP(BgL_l1260z00_1598))
					{	/* Bdb/bdb_emit.scm 69 */
						{	/* Bdb/bdb_emit.scm 70 */
							obj_t BgL_srcz00_1601;

							BgL_srcz00_1601 = CAR(BgL_l1260z00_1598);
							bgl_display_string(BGl_string1833z00zzbdb_emitz00,
								BgL_portz00_40);
							bgl_display_obj(BgL_srcz00_1601, BgL_portz00_40);
							bgl_display_string(BGl_string1836z00zzbdb_emitz00,
								BgL_portz00_40);
							bgl_display_char(((unsigned char) 10), BgL_portz00_40);
						}
						{
							obj_t BgL_l1260z00_2518;

							BgL_l1260z00_2518 = CDR(BgL_l1260z00_1598);
							BgL_l1260z00_1598 = BgL_l1260z00_2518;
							goto BgL_zc3anonymousza31455ze3z83_1599;
						}
					}
				else
					{	/* Bdb/bdb_emit.scm 69 */
						((bool_t) 1);
					}
			}
			bgl_display_string(BGl_string1837z00zzbdb_emitz00, BgL_portz00_40);
			{	/* Bdb/bdb_emit.scm 74 */
				obj_t BgL_arg1465z00_1606;

				{	/* Bdb/bdb_emit.scm 74 */
					obj_t BgL_locz00_1607;

					BgL_locz00_1607 =
						BGl_findzd2locationzd2zztools_locationz00
						(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00);
					{	/* Bdb/bdb_emit.scm 75 */
						bool_t BgL_testz00_2522;

						if (STRUCTP(BgL_locz00_1607))
							{	/* Bdb/bdb_emit.scm 75 */
								BgL_testz00_2522 =
									(STRUCT_KEY(BgL_locz00_1607) == CNST_TABLE_REF(((long) 0)));
							}
						else
							{	/* Bdb/bdb_emit.scm 75 */
								BgL_testz00_2522 = ((bool_t) 0);
							}
						if (BgL_testz00_2522)
							{	/* Bdb/bdb_emit.scm 75 */
								BgL_arg1465z00_1606 =
									STRUCT_REF(BgL_locz00_1607, (int) (((long) 2)));
							}
						else
							{	/* Bdb/bdb_emit.scm 75 */
								BgL_arg1465z00_1606 = BGl_string1838z00zzbdb_emitz00;
							}
					}
				}
				bgl_display_obj(BgL_arg1465z00_1606, BgL_portz00_40);
			}
			bgl_display_string(BGl_string1839z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			bgl_display_string(BGl_string1840z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			{
				obj_t BgL_l1264z00_1611;

				BgL_l1264z00_1611 = BgL_globalsz00_39;
			BgL_zc3anonymousza31467ze3z83_1612:
				if (PAIRP(BgL_l1264z00_1611))
					{	/* Bdb/bdb_emit.scm 81 */
						{	/* Bdb/bdb_emit.scm 82 */
							obj_t BgL_globalz00_1614;

							BgL_globalz00_1614 = CAR(BgL_l1264z00_1611);
							{	/* Bdb/bdb_emit.scm 82 */
								obj_t BgL_arg1469z00_1615;

								BgL_arg1469z00_1615 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1614))))->
									BgL_idz00);
								BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1469z00_1615);
							}
							BGl_bdbzd2globalzd2sfunz12z12zzbdb_emitz00(BgL_globalz00_1614);
							BGl_leavezd2functionzd2zztools_errorz00();
						}
						{
							obj_t BgL_l1264z00_2544;

							BgL_l1264z00_2544 = CDR(BgL_l1264z00_1611);
							BgL_l1264z00_1611 = BgL_l1264z00_2544;
							goto BgL_zc3anonymousza31467ze3z83_1612;
						}
					}
				else
					{	/* Bdb/bdb_emit.scm 81 */
						((bool_t) 1);
					}
			}
			bgl_display_string(BGl_string1841z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc1842z00zzbdb_emitz00,
				BNIL);
			bgl_display_string(BGl_string1843z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			BGl_emitzd2bdbzd2classzd2typeszd2zzbdb_emitz00(BgL_portz00_40);
			bgl_display_string(BGl_string1844z00zzbdb_emitz00, BgL_portz00_40);
			return bgl_display_char(((unsigned char) 10), BgL_portz00_40);
		}
	}



/* &emit-bdb-info */
	obj_t BGl_z62emitzd2bdbzd2infoz62zzbdb_emitz00(obj_t BgL_envz00_2322,
		obj_t BgL_globalsz00_2323, obj_t BgL_portz00_2324)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 43 */
			return
				BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(BgL_globalsz00_2323,
				BgL_portz00_2324);
		}
	}



/* &<anonymous:1483> */
	obj_t BGl_z62zc3anonymousza31483ze3ze1zzbdb_emitz00(obj_t BgL_envz00_2325,
		obj_t BgL_globalz00_2326)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 88 */
			{	/* Bdb/bdb_emit.scm 89 */
				bool_t BgL_testz00_2555;

				{	/* Bdb/bdb_emit.scm 89 */
					bool_t BgL_testz00_2556;

					{	/* Bdb/bdb_emit.scm 89 */
						bool_t BgL_testz00_2557;

						{	/* Bdb/bdb_emit.scm 89 */
							bool_t BgL_testz00_2558;

							{	/* Bdb/bdb_emit.scm 89 */
								obj_t BgL_arg1537z00_2398;

								BgL_arg1537z00_2398 =
									(((BgL_globalz00_bglt) CREF(
											((BgL_globalz00_bglt) BgL_globalz00_2326)))->
									BgL_modulez00);
								BgL_testz00_2558 =
									(BgL_arg1537z00_2398 ==
									BGl_za2moduleza2z00zzmodule_modulez00);
							}
							if (BgL_testz00_2558)
								{	/* Bdb/bdb_emit.scm 89 */
									BgL_testz00_2557 =
										(
										(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_globalz00_2326)))->
											BgL_importz00) == CNST_TABLE_REF(((long) 1)));
								}
							else
								{	/* Bdb/bdb_emit.scm 89 */
									BgL_testz00_2557 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_2557)
							{	/* Bdb/bdb_emit.scm 89 */
								BgL_testz00_2556 = ((bool_t) 1);
							}
						else
							{	/* Bdb/bdb_emit.scm 89 */
								BgL_testz00_2556 =
									(
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_2326))))->
										BgL_occurrencez00) > ((long) 0));
					}}
					if (BgL_testz00_2556)
						{	/* Bdb/bdb_emit.scm 92 */
							BgL_valuez00_bglt BgL_arg1530z00_2399;

							BgL_arg1530z00_2399 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_2326))))->
								BgL_valuez00);
							{	/* Bdb/bdb_emit.scm 92 */
								bool_t BgL_res1799z00_2400;

								BgL_res1799z00_2400 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_arg1530z00_2399), BGl_svarz00zzast_varz00);
								BgL_testz00_2555 = BgL_res1799z00_2400;
							}
						}
					else
						{	/* Bdb/bdb_emit.scm 89 */
							BgL_testz00_2555 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2555)
					{	/* Bdb/bdb_emit.scm 89 */
						return
							BGl_bdbzd2globalzd2svarz12z12zzbdb_emitz00(BgL_globalz00_2326);
					}
				else
					{	/* Bdb/bdb_emit.scm 89 */
						return BFALSE;
					}
			}
		}
	}



/* emit-bdb-class-types */
	bool_t BGl_emitzd2bdbzd2classzd2typeszd2zzbdb_emitz00(obj_t BgL_oportz00_41)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 102 */
			if (NULLP(BGl_getzd2classzd2listz00zzobject_classz00()))
				{	/* Bdb/bdb_emit.scm 103 */
					BFALSE;
				}
			else
				{	/* Bdb/bdb_emit.scm 103 */
					bgl_display_string(BGl_string1845z00zzbdb_emitz00, BgL_oportz00_41);
					bgl_display_char(((unsigned char) 10), BgL_oportz00_41);
				}
			{	/* Bdb/bdb_emit.scm 105 */
				obj_t BgL_g1273z00_1654;

				BgL_g1273z00_1654 = BGl_getzd2classzd2listz00zzobject_classz00();
				{
					obj_t BgL_l1271z00_1656;

					BgL_l1271z00_1656 = BgL_g1273z00_1654;
				BgL_zc3anonymousza31543ze3z83_1657:
					if (PAIRP(BgL_l1271z00_1656))
						{	/* Bdb/bdb_emit.scm 111 */
							{	/* Bdb/bdb_emit.scm 106 */
								obj_t BgL_classz00_1659;

								BgL_classz00_1659 = CAR(BgL_l1271z00_1656);
								{	/* Bdb/bdb_emit.scm 107 */
									bool_t BgL_testz00_2585;

									{	/* Bdb/bdb_emit.scm 107 */
										obj_t BgL_arg1555z00_1666;

										{
											BgL_globalz00_bglt BgL_auxz00_2586;

											{
												BgL_tclassz00_bglt BgL_auxz00_2587;

												{
													obj_t BgL_auxz00_2588;

													{	/* Bdb/bdb_emit.scm 107 */
														BgL_objectz00_bglt BgL_tmpz00_2589;

														BgL_tmpz00_2589 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_classz00_1659));
														BgL_auxz00_2588 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2589);
													}
													BgL_auxz00_2587 =
														((BgL_tclassz00_bglt) BgL_auxz00_2588);
												}
												BgL_auxz00_2586 =
													(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2587))->
													BgL_holderz00);
											}
											BgL_arg1555z00_1666 =
												(((BgL_globalz00_bglt) CREF(BgL_auxz00_2586))->
												BgL_modulez00);
										}
										BgL_testz00_2585 =
											(BgL_arg1555z00_1666 ==
											BGl_za2moduleza2z00zzmodule_modulez00);
									}
									if (BgL_testz00_2585)
										{	/* Bdb/bdb_emit.scm 107 */
											bgl_display_string(BGl_string1833z00zzbdb_emitz00,
												BgL_oportz00_41);
											{	/* Bdb/bdb_emit.scm 109 */
												obj_t BgL_arg1551z00_1665;

												BgL_arg1551z00_1665 =
													(((BgL_typez00_bglt) CREF(
															((BgL_typez00_bglt) BgL_classz00_1659)))->
													BgL_siza7eza7);
												bgl_display_obj(BgL_arg1551z00_1665, BgL_oportz00_41);
											}
											bgl_display_string(BGl_string1846z00zzbdb_emitz00,
												BgL_oportz00_41);
											bgl_display_char(((unsigned char) 10), BgL_oportz00_41);
										}
									else
										{	/* Bdb/bdb_emit.scm 107 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1271z00_2603;

								BgL_l1271z00_2603 = CDR(BgL_l1271z00_1656);
								BgL_l1271z00_1656 = BgL_l1271z00_2603;
								goto BgL_zc3anonymousza31543ze3z83_1657;
							}
						}
					else
						{	/* Bdb/bdb_emit.scm 111 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* bdb-global-sfun! */
	obj_t BGl_bdbzd2globalzd2sfunz12z12zzbdb_emitz00(obj_t BgL_globalz00_42)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 116 */
			{	/* Bdb/bdb_emit.scm 117 */
				BgL_valuez00_bglt BgL_sfunz00_1670;

				BgL_sfunz00_1670 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_42))))->BgL_valuez00);
				{	/* Bdb/bdb_emit.scm 117 */
					obj_t BgL_sfunzd2loczd2_1671;

					BgL_sfunzd2loczd2_1671 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_sfunz00_1670)))->BgL_locz00);
					{	/* Bdb/bdb_emit.scm 118 */
						obj_t BgL_cloz00_1672;

						BgL_cloz00_1672 =
							(((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt)
										((BgL_sfunz00_bglt) BgL_sfunz00_1670))))->
							BgL_thezd2closurezd2);
						{	/* Bdb/bdb_emit.scm 119 */

							{	/* Bdb/bdb_emit.scm 120 */
								bool_t BgL_testz00_2613;

								{	/* Bdb/bdb_emit.scm 120 */
									bool_t BgL_testz00_2614;

									if (STRUCTP(BgL_sfunzd2loczd2_1671))
										{	/* Bdb/bdb_emit.scm 120 */
											BgL_testz00_2614 =
												(STRUCT_KEY(BgL_sfunzd2loczd2_1671) ==
												CNST_TABLE_REF(((long) 0)));
										}
									else
										{	/* Bdb/bdb_emit.scm 120 */
											BgL_testz00_2614 = ((bool_t) 0);
										}
									if (BgL_testz00_2614)
										{	/* Bdb/bdb_emit.scm 120 */
											BgL_testz00_2613 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_globalz00_42))))->
												BgL_userzf3zf3);
										}
									else
										{	/* Bdb/bdb_emit.scm 120 */
											BgL_testz00_2613 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2613)
									{	/* Bdb/bdb_emit.scm 120 */
										BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
											((BgL_variablez00_bglt) BgL_globalz00_42));
										{	/* Bdb/bdb_emit.scm 124 */
											obj_t BgL_fnamez00_1675;
											obj_t BgL_lnumz00_1676;
											obj_t BgL_idz00_1677;
											obj_t BgL_valzd2namezd2_1678;
											obj_t BgL_bpzd2namezd2_1679;

											BgL_fnamez00_1675 =
												STRUCT_REF(BgL_sfunzd2loczd2_1671, (int) (((long) 0)));
											BgL_lnumz00_1676 =
												STRUCT_REF(BgL_sfunzd2loczd2_1671, (int) (((long) 2)));
											{	/* Bdb/bdb_emit.scm 126 */
												obj_t BgL_idz00_1686;

												BgL_idz00_1686 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_globalz00_42))))->
													BgL_idz00);
												if ((BgL_idz00_1686 == CNST_TABLE_REF(((long) 2))))
													{	/* Bdb/bdb_emit.scm 128 */
														obj_t BgL_arg1568z00_1688;

														{	/* Bdb/bdb_emit.scm 128 */
															obj_t BgL_arg1570z00_1689;
															obj_t BgL_arg1579z00_1690;

															{	/* Bdb/bdb_emit.scm 128 */
																obj_t BgL_res1804z00_2180;

																{	/* Bdb/bdb_emit.scm 128 */
																	obj_t BgL_symbolz00_2178;

																	BgL_symbolz00_2178 =
																		CNST_TABLE_REF(((long) 3));
																	{	/* Bdb/bdb_emit.scm 128 */
																		obj_t BgL_arg1377z00_2179;

																		BgL_arg1377z00_2179 =
																			SYMBOL_TO_STRING(BgL_symbolz00_2178);
																		BgL_res1804z00_2180 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1377z00_2179);
																}}
																BgL_arg1570z00_1689 = BgL_res1804z00_2180;
															}
															{	/* Bdb/bdb_emit.scm 128 */
																obj_t BgL_arg1580z00_1691;

																BgL_arg1580z00_1691 =
																	(((BgL_globalz00_bglt) CREF(
																			((BgL_globalz00_bglt)
																				BgL_globalz00_42)))->BgL_modulez00);
																{	/* Bdb/bdb_emit.scm 128 */
																	obj_t BgL_res1805z00_2184;

																	{	/* Bdb/bdb_emit.scm 128 */
																		obj_t BgL_arg1377z00_2183;

																		BgL_arg1377z00_2183 =
																			SYMBOL_TO_STRING(BgL_arg1580z00_1691);
																		BgL_res1805z00_2184 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1377z00_2183);
																	}
																	BgL_arg1579z00_1690 = BgL_res1805z00_2184;
															}}
															BgL_arg1568z00_1688 =
																string_append(BgL_arg1570z00_1689,
																BgL_arg1579z00_1690);
														}
														BgL_idz00_1677 =
															bstring_to_symbol(BgL_arg1568z00_1688);
													}
												else
													{	/* Bdb/bdb_emit.scm 127 */
														BgL_idz00_1677 = BgL_idz00_1686;
													}
											}
											if (BGl_isazf3zf3zz__objectz00(BgL_cloz00_1672,
													BGl_globalz00zzast_varz00))
												{	/* Bdb/bdb_emit.scm 130 */
													BgL_valzd2namezd2_1678 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_cloz00_1672))))->
														BgL_namez00);
												}
											else
												{	/* Bdb/bdb_emit.scm 130 */
													BgL_valzd2namezd2_1678 = BINT(((long) 0));
												}
											BgL_bpzd2namezd2_1679 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_globalz00_42))))->
												BgL_namez00);
											{	/* Bdb/bdb_emit.scm 134 */
												obj_t BgL_port1274z00_1680;

												BgL_port1274z00_1680 =
													BGl_za2czd2portza2zd2zzbdb_emitz00;
												bgl_display_string(BGl_string1833z00zzbdb_emitz00,
													BgL_port1274z00_1680);
												bgl_display_obj(BgL_fnamez00_1675,
													BgL_port1274z00_1680);
												bgl_display_string(BGl_string1847z00zzbdb_emitz00,
													BgL_port1274z00_1680);
												bgl_display_obj(BgL_lnumz00_1676, BgL_port1274z00_1680);
												bgl_display_string(BGl_string1839z00zzbdb_emitz00,
													BgL_port1274z00_1680);
												bgl_display_char(((unsigned char) 10),
													BgL_port1274z00_1680);
											}
											{	/* Bdb/bdb_emit.scm 135 */
												obj_t BgL_port1275z00_1681;

												BgL_port1275z00_1681 =
													BGl_za2czd2portza2zd2zzbdb_emitz00;
												bgl_display_string(BGl_string1833z00zzbdb_emitz00,
													BgL_port1275z00_1681);
												bgl_display_obj(BgL_idz00_1677, BgL_port1275z00_1681);
												bgl_display_string(BGl_string1848z00zzbdb_emitz00,
													BgL_port1275z00_1681);
												bgl_display_char(((unsigned char) 10),
													BgL_port1275z00_1681);
											}
											if (BGl_numberzf3zf3zz__r4_numbers_6_5z00
												(BgL_valzd2namezd2_1678))
												{	/* Bdb/bdb_emit.scm 138 */
													obj_t BgL_port1277z00_1683;

													BgL_port1277z00_1683 =
														BGl_za2czd2portza2zd2zzbdb_emitz00;
													bgl_display_string(BGl_string1849z00zzbdb_emitz00,
														BgL_port1277z00_1683);
													bgl_display_obj(BgL_valzd2namezd2_1678,
														BgL_port1277z00_1683);
													bgl_display_string(BGl_string1850z00zzbdb_emitz00,
														BgL_port1277z00_1683);
													bgl_display_obj(BgL_bpzd2namezd2_1679,
														BgL_port1277z00_1683);
													bgl_display_string(BGl_string1851z00zzbdb_emitz00,
														BgL_port1277z00_1683);
													bgl_display_char(((unsigned char) 10),
														BgL_port1277z00_1683);
												}
											else
												{	/* Bdb/bdb_emit.scm 137 */
													obj_t BgL_port1276z00_1684;

													BgL_port1276z00_1684 =
														BGl_za2czd2portza2zd2zzbdb_emitz00;
													bgl_display_string(BGl_string1833z00zzbdb_emitz00,
														BgL_port1276z00_1684);
													bgl_display_obj(BgL_valzd2namezd2_1678,
														BgL_port1276z00_1684);
													bgl_display_string(BGl_string1834z00zzbdb_emitz00,
														BgL_port1276z00_1684);
													bgl_display_obj(BgL_bpzd2namezd2_1679,
														BgL_port1276z00_1684);
													bgl_display_string(BGl_string1851z00zzbdb_emitz00,
														BgL_port1276z00_1684);
													bgl_display_char(((unsigned char) 10),
														BgL_port1276z00_1684);
												}
											BGl_bdbzd2sfunz12zc0zzbdb_emitz00(BgL_sfunz00_1670);
											{	/* Bdb/bdb_emit.scm 140 */
												obj_t BgL_port1278z00_1685;

												BgL_port1278z00_1685 =
													BGl_za2czd2portza2zd2zzbdb_emitz00;
												bgl_display_string(BGl_string1852z00zzbdb_emitz00,
													BgL_port1278z00_1685);
												return bgl_display_char(((unsigned char) 10),
													BgL_port1278z00_1685);
									}}}
								else
									{	/* Bdb/bdb_emit.scm 120 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
	}



/* bdb-global-svar! */
	obj_t BGl_bdbzd2globalzd2svarz12z12zzbdb_emitz00(obj_t BgL_globalz00_43)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 145 */
			{	/* Bdb/bdb_emit.scm 146 */
				BgL_valuez00_bglt BgL_svarz00_1694;

				BgL_svarz00_1694 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_43))))->BgL_valuez00);
				{	/* Bdb/bdb_emit.scm 146 */
					obj_t BgL_svarzd2loczd2_1695;

					BgL_svarzd2loczd2_1695 =
						(((BgL_svarz00_bglt) CREF(
								((BgL_svarz00_bglt) BgL_svarz00_1694)))->BgL_locz00);
					{	/* Bdb/bdb_emit.scm 147 */

						{	/* Bdb/bdb_emit.scm 148 */
							bool_t BgL_testz00_2685;

							if (STRUCTP(BgL_svarzd2loczd2_1695))
								{	/* Bdb/bdb_emit.scm 148 */
									BgL_testz00_2685 =
										(STRUCT_KEY(BgL_svarzd2loczd2_1695) ==
										CNST_TABLE_REF(((long) 0)));
								}
							else
								{	/* Bdb/bdb_emit.scm 148 */
									BgL_testz00_2685 = ((bool_t) 0);
								}
							if (BgL_testz00_2685)
								{	/* Bdb/bdb_emit.scm 148 */
									BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
										((BgL_variablez00_bglt) BgL_globalz00_43));
									{	/* Bdb/bdb_emit.scm 151 */
										obj_t BgL_fnamez00_1697;
										obj_t BgL_lnumz00_1698;
										obj_t BgL_idz00_1699;
										obj_t BgL_namez00_1700;

										BgL_fnamez00_1697 =
											STRUCT_REF(BgL_svarzd2loczd2_1695, (int) (((long) 0)));
										BgL_lnumz00_1698 =
											STRUCT_REF(BgL_svarzd2loczd2_1695, (int) (((long) 2)));
										BgL_idz00_1699 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_43))))->
											BgL_idz00);
										BgL_namez00_1700 =
											(((BgL_variablez00_bglt)
												CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
															BgL_globalz00_43))))->BgL_namez00);
										{	/* Bdb/bdb_emit.scm 155 */
											obj_t BgL_port1279z00_1701;

											BgL_port1279z00_1701 = BGl_za2czd2portza2zd2zzbdb_emitz00;
											bgl_display_string(BGl_string1833z00zzbdb_emitz00,
												BgL_port1279z00_1701);
											bgl_display_obj(BgL_fnamez00_1697, BgL_port1279z00_1701);
											bgl_display_string(BGl_string1847z00zzbdb_emitz00,
												BgL_port1279z00_1701);
											bgl_display_obj(BgL_lnumz00_1698, BgL_port1279z00_1701);
											bgl_display_string(BGl_string1839z00zzbdb_emitz00,
												BgL_port1279z00_1701);
											bgl_display_char(((unsigned char) 10),
												BgL_port1279z00_1701);
										}
										{	/* Bdb/bdb_emit.scm 156 */
											obj_t BgL_port1280z00_1702;

											BgL_port1280z00_1702 = BGl_za2czd2portza2zd2zzbdb_emitz00;
											bgl_display_string(BGl_string1833z00zzbdb_emitz00,
												BgL_port1280z00_1702);
											bgl_display_obj(BgL_idz00_1699, BgL_port1280z00_1702);
											bgl_display_string(BGl_string1834z00zzbdb_emitz00,
												BgL_port1280z00_1702);
											bgl_display_obj(BgL_namez00_1700, BgL_port1280z00_1702);
											bgl_display_string(BGl_string1851z00zzbdb_emitz00,
												BgL_port1280z00_1702);
											return bgl_display_char(((unsigned char) 10),
												BgL_port1280z00_1702);
								}}}
							else
								{	/* Bdb/bdb_emit.scm 148 */
									return BFALSE;
								}
						}
					}
				}
			}
		}
	}



/* bdb-sfun! */
	obj_t BGl_bdbzd2sfunz12zc0zzbdb_emitz00(BgL_valuez00_bglt BgL_sfunz00_44)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 161 */
			{	/* Bdb/bdb_emit.scm 163 */
				obj_t BgL_g1283z00_1704;

				BgL_g1283z00_1704 =
					(((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_sfunz00_44)))->BgL_argsz00);
				{
					obj_t BgL_l1281z00_1706;

					BgL_l1281z00_1706 = BgL_g1283z00_1704;
				BgL_zc3anonymousza31583ze3z83_1707:
					if (PAIRP(BgL_l1281z00_1706))
						{	/* Bdb/bdb_emit.scm 163 */
							BGl_bdbzd2emitzd2localzd2infoz12zc0zzbdb_emitz00(CAR
								(BgL_l1281z00_1706));
							{
								obj_t BgL_l1281z00_2721;

								BgL_l1281z00_2721 = CDR(BgL_l1281z00_1706);
								BgL_l1281z00_1706 = BgL_l1281z00_2721;
								goto BgL_zc3anonymousza31583ze3z83_1707;
							}
						}
					else
						{	/* Bdb/bdb_emit.scm 163 */
							((bool_t) 1);
						}
				}
			}
			{	/* Bdb/bdb_emit.scm 164 */
				obj_t BgL_arg1591z00_1712;

				BgL_arg1591z00_1712 =
					(((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_sfunz00_44)))->BgL_bodyz00);
				return
					BGl_bdbz12z12zzbdb_emitz00(((BgL_nodez00_bglt) BgL_arg1591z00_1712));
			}
		}
	}



/* bdb-local-variable? */
	bool_t BGl_bdbzd2localzd2variablezf3zf3zzbdb_emitz00(obj_t BgL_localz00_45)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 176 */
			{
				obj_t BgL_localz00_1715;

				if (
					(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_localz00_45))))->BgL_userzf3zf3))
					{	/* Bdb/bdb_emit.scm 190 */
						BgL_localz00_1715 = BgL_localz00_45;
						{	/* Bdb/bdb_emit.scm 180 */
							BgL_typez00_bglt BgL_tz00_1717;

							BgL_tz00_1717 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_localz00_1715))))->BgL_typez00);
							{	/* Bdb/bdb_emit.scm 181 */
								bool_t BgL__ortest_1104z00_1718;

								BgL__ortest_1104z00_1718 =
									(
									(((BgL_typez00_bglt) CREF(BgL_tz00_1717))->BgL_classz00) ==
									CNST_TABLE_REF(((long) 4)));
								if (BgL__ortest_1104z00_1718)
									{	/* Bdb/bdb_emit.scm 181 */
										return BgL__ortest_1104z00_1718;
									}
								else
									{	/* Bdb/bdb_emit.scm 182 */
										bool_t BgL__ortest_1105z00_1719;

										BgL__ortest_1105z00_1719 =
											(
											((obj_t) BgL_tz00_1717) ==
											BGl_za2intza2z00zztype_cachez00);
										if (BgL__ortest_1105z00_1719)
											{	/* Bdb/bdb_emit.scm 182 */
												return BgL__ortest_1105z00_1719;
											}
										else
											{	/* Bdb/bdb_emit.scm 183 */
												bool_t BgL__ortest_1106z00_1720;

												BgL__ortest_1106z00_1720 =
													(
													((obj_t) BgL_tz00_1717) ==
													BGl_za2longza2z00zztype_cachez00);
												if (BgL__ortest_1106z00_1720)
													{	/* Bdb/bdb_emit.scm 183 */
														return BgL__ortest_1106z00_1720;
													}
												else
													{	/* Bdb/bdb_emit.scm 184 */
														bool_t BgL__ortest_1107z00_1721;

														BgL__ortest_1107z00_1721 =
															(
															((obj_t) BgL_tz00_1717) ==
															BGl_za2boolza2z00zztype_cachez00);
														if (BgL__ortest_1107z00_1721)
															{	/* Bdb/bdb_emit.scm 184 */
																return BgL__ortest_1107z00_1721;
															}
														else
															{	/* Bdb/bdb_emit.scm 185 */
																bool_t BgL__ortest_1108z00_1722;

																BgL__ortest_1108z00_1722 =
																	(
																	((obj_t) BgL_tz00_1717) ==
																	BGl_za2realza2z00zztype_cachez00);
																if (BgL__ortest_1108z00_1722)
																	{	/* Bdb/bdb_emit.scm 185 */
																		return BgL__ortest_1108z00_1722;
																	}
																else
																	{	/* Bdb/bdb_emit.scm 186 */
																		bool_t BgL__ortest_1109z00_1723;

																		BgL__ortest_1109z00_1723 =
																			(
																			((obj_t) BgL_tz00_1717) ==
																			BGl_za2charza2z00zztype_cachez00);
																		if (BgL__ortest_1109z00_1723)
																			{	/* Bdb/bdb_emit.scm 186 */
																				return BgL__ortest_1109z00_1723;
																			}
																		else
																			{	/* Bdb/bdb_emit.scm 186 */
																				return
																					(
																					((obj_t) BgL_tz00_1717) ==
																					BGl_za2stringza2z00zztype_cachez00);
																			}
																	}
															}
													}
											}
									}
							}
						}
					}
				else
					{	/* Bdb/bdb_emit.scm 190 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* bdb-emit-local-info! */
	obj_t BGl_bdbzd2emitzd2localzd2infoz12zc0zzbdb_emitz00(obj_t BgL_localz00_46)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 195 */
			if (BGl_bdbzd2localzd2variablezf3zf3zzbdb_emitz00(BgL_localz00_46))
				{	/* Bdb/bdb_emit.scm 196 */
					BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
						((BgL_variablez00_bglt) BgL_localz00_46));
					{	/* Bdb/bdb_emit.scm 199 */
						obj_t BgL_idz00_1727;
						obj_t BgL_namez00_1728;

						BgL_idz00_1727 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_localz00_46))))->BgL_idz00);
						BgL_namez00_1728 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_localz00_46))))->BgL_namez00);
						{	/* Bdb/bdb_emit.scm 201 */
							obj_t BgL_port1284z00_1729;

							BgL_port1284z00_1729 = BGl_za2czd2portza2zd2zzbdb_emitz00;
							bgl_display_string(BGl_string1853z00zzbdb_emitz00,
								BgL_port1284z00_1729);
							bgl_display_obj(BgL_idz00_1727, BgL_port1284z00_1729);
							bgl_display_string(BGl_string1834z00zzbdb_emitz00,
								BgL_port1284z00_1729);
							bgl_display_obj(BgL_namez00_1728, BgL_port1284z00_1729);
							bgl_display_string(BGl_string1851z00zzbdb_emitz00,
								BgL_port1284z00_1729);
							return bgl_display_char(((unsigned char) 10),
								BgL_port1284z00_1729);
				}}}
			else
				{	/* Bdb/bdb_emit.scm 196 */
					return BFALSE;
				}
		}
	}



/* bdb*! */
	obj_t BGl_bdbza2z12zb0zzbdb_emitz00(obj_t BgL_nodesz00_64)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 342 */
			{
				obj_t BgL_hookz00_1731;

				BgL_hookz00_1731 = BgL_nodesz00_64;
			BgL_zc3anonymousza31598ze3z83_1732:
				if (NULLP(BgL_hookz00_1731))
					{	/* Bdb/bdb_emit.scm 344 */
						return CNST_TABLE_REF(((long) 5));
					}
				else
					{	/* Bdb/bdb_emit.scm 344 */
						{	/* Bdb/bdb_emit.scm 347 */
							obj_t BgL_arg1601z00_1734;

							BgL_arg1601z00_1734 = CAR(BgL_hookz00_1731);
							BGl_bdbz12z12zzbdb_emitz00(
								((BgL_nodez00_bglt) BgL_arg1601z00_1734));
						}
						{
							obj_t BgL_hookz00_2777;

							BgL_hookz00_2777 = CDR(BgL_hookz00_1731);
							BgL_hookz00_1731 = BgL_hookz00_2777;
							goto BgL_zc3anonymousza31598ze3z83_1732;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbdb_emitz00()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbdb_emitz00()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_proc1854z00zzbdb_emitz00,
				BGl_nodez00zzast_nodez00, BGl_string1855z00zzbdb_emitz00);
		}
	}



/* &bdb!1294 */
	obj_t BGl_z62bdbz121294z70zzbdb_emitz00(obj_t BgL_envz00_2328,
		obj_t BgL_nodez00_2329)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 206 */
			return BUNSPEC;
		}
	}



/* bdb! */
	obj_t BGl_bdbz12z12zzbdb_emitz00(BgL_nodez00_bglt BgL_nodez00_47)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 206 */
			{	/* Bdb/bdb_emit.scm 206 */
				obj_t BgL_method1295z00_1741;

				{	/* Bdb/bdb_emit.scm 206 */
					obj_t BgL_res1818z00_2290;

					{	/* Bdb/bdb_emit.scm 206 */
						long BgL_objzd2classzd2numz00_2263;

						{	/* Bdb/bdb_emit.scm 206 */
							long BgL_res1812z00_2266;

							BgL_res1812z00_2266 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_47));
							BgL_objzd2classzd2numz00_2263 = BgL_res1812z00_2266;
						}
						{	/* Bdb/bdb_emit.scm 206 */
							obj_t BgL_arg1718z00_2264;

							BgL_arg1718z00_2264 =
								PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00,
								(int) (((long) 1)));
							{	/* Bdb/bdb_emit.scm 206 */
								int BgL_offsetz00_2268;

								BgL_offsetz00_2268 = (int) (BgL_objzd2classzd2numz00_2263);
								{	/* Bdb/bdb_emit.scm 206 */
									long BgL_offsetz00_2269;

									BgL_offsetz00_2269 =
										((long) (BgL_offsetz00_2268) - OBJECT_TYPE);
									{	/* Bdb/bdb_emit.scm 206 */
										long BgL_modz00_2270;

										{	/* Bdb/bdb_emit.scm 206 */
											int BgL_arg1721z00_2271;

											BgL_arg1721z00_2271 = (int) (((long) 16));
											{	/* Bdb/bdb_emit.scm 206 */
												long BgL_res1815z00_2281;

												{	/* Bdb/bdb_emit.scm 206 */
													long BgL_tmpz00_2788;

													BgL_tmpz00_2788 = (long) (BgL_arg1721z00_2271);
													BgL_res1815z00_2281 =
														(BgL_offsetz00_2269 / BgL_tmpz00_2788);
												}
												BgL_modz00_2270 = BgL_res1815z00_2281;
										}}
										{	/* Bdb/bdb_emit.scm 206 */
											long BgL_restz00_2272;

											{	/* Bdb/bdb_emit.scm 206 */
												int BgL_arg1719z00_2273;

												BgL_arg1719z00_2273 = (int) (((long) 16));
												{	/* Bdb/bdb_emit.scm 206 */
													long BgL_res1817z00_2285;

													{	/* Bdb/bdb_emit.scm 206 */
														long BgL_tmpz00_2792;

														BgL_tmpz00_2792 = (long) (BgL_arg1719z00_2273);
														BgL_res1817z00_2285 =
															(BgL_offsetz00_2269 % BgL_tmpz00_2792);
													}
													BgL_restz00_2272 = BgL_res1817z00_2285;
											}}
											{	/* Bdb/bdb_emit.scm 206 */

												BgL_res1818z00_2290 =
													VECTOR_REF(VECTOR_REF(BgL_arg1718z00_2264,
														(int) (BgL_modz00_2270)), (int) (BgL_restz00_2272));
					}}}}}}}
					BgL_method1295z00_1741 = BgL_res1818z00_2290;
				}
				return
					PROCEDURE_ENTRY(BgL_method1295z00_1741) (BgL_method1295z00_1741,
					((obj_t) BgL_nodez00_47), BEOA);
			}
		}
	}



/* &bdb! */
	obj_t BGl_z62bdbz12z70zzbdb_emitz00(obj_t BgL_envz00_2330,
		obj_t BgL_nodez00_2331)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 206 */
			return BGl_bdbz12z12zzbdb_emitz00(((BgL_nodez00_bglt) BgL_nodez00_2331));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbdb_emitz00()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_sequencez00zzast_nodez00,
				BGl_proc1856z00zzbdb_emitz00, BGl_string1857z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_syncz00zzast_nodez00,
				BGl_proc1858z00zzbdb_emitz00, BGl_string1857z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_externz00zzast_nodez00,
				BGl_proc1859z00zzbdb_emitz00, BGl_string1857z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_castz00zzast_nodez00,
				BGl_proc1860z00zzbdb_emitz00, BGl_string1857z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_setqz00zzast_nodez00,
				BGl_proc1861z00zzbdb_emitz00, BGl_string1857z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc1862z00zzbdb_emitz00, BGl_string1857z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_failz00zzast_nodez00,
				BGl_proc1863z00zzbdb_emitz00, BGl_string1857z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_selectz00zzast_nodez00,
				BGl_proc1864z00zzbdb_emitz00, BGl_string1857z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc1865z00zzbdb_emitz00, BGl_string1857z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1866z00zzbdb_emitz00, BGl_string1857z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1867z00zzbdb_emitz00, BGl_string1857z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1868z00zzbdb_emitz00, BGl_string1857z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc1869z00zzbdb_emitz00, BGl_string1857z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1870z00zzbdb_emitz00, BGl_string1857z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc1871z00zzbdb_emitz00, BGl_string1857z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_funcallz00zzast_nodez00,
				BGl_proc1872z00zzbdb_emitz00, BGl_string1857z00zzbdb_emitz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_appz00zzast_nodez00,
				BGl_proc1873z00zzbdb_emitz00, BGl_string1857z00zzbdb_emitz00);
		}
	}



/* &bdb!-app1329 */
	obj_t BGl_z62bdbz12zd2app1329za2zzbdb_emitz00(obj_t BgL_envz00_2349,
		obj_t BgL_nodez00_2350)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 353 */
			return
				BGl_bdbza2z12zb0zzbdb_emitz00(
				(((BgL_appz00_bglt) CREF(
							((BgL_appz00_bglt) BgL_nodez00_2350)))->BgL_argsz00));
		}
	}



/* &bdb!-funcall1327 */
	obj_t BGl_z62bdbz12zd2funcall1327za2zzbdb_emitz00(obj_t BgL_envz00_2351,
		obj_t BgL_nodez00_2352)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 334 */
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_funcallz00_bglt) CREF(
							((BgL_funcallz00_bglt) BgL_nodez00_2352)))->BgL_funz00));
			return
				BGl_bdbza2z12zb0zzbdb_emitz00(
				(((BgL_funcallz00_bglt) CREF(
							((BgL_funcallz00_bglt) BgL_nodez00_2352)))->BgL_argsz00));
		}
	}



/* &bdb!-app-ly1325 */
	obj_t BGl_z62bdbz12zd2appzd2ly1325z70zzbdb_emitz00(obj_t BgL_envz00_2353,
		obj_t BgL_nodez00_2354)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 326 */
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_appzd2lyzd2_bglt) CREF(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2354)))->BgL_funz00));
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_appzd2lyzd2_bglt) CREF(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2354)))->BgL_argz00));
		}
	}



/* &bdb!-box-set!1323 */
	obj_t BGl_z62bdbz12zd2boxzd2setz121323z62zzbdb_emitz00(obj_t BgL_envz00_2355,
		obj_t BgL_nodez00_2356)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 319 */
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_boxzd2setz12zc0_bglt) CREF(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2356)))->BgL_valuez00));
		}
	}



/* &bdb!-make-box1321 */
	obj_t BGl_z62bdbz12zd2makezd2box1321z70zzbdb_emitz00(obj_t BgL_envz00_2357,
		obj_t BgL_nodez00_2358)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 312 */
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_makezd2boxzd2_bglt) CREF(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2358)))->BgL_valuez00));
		}
	}



/* &bdb!-jump-ex-it1319 */
	obj_t BGl_z62bdbz12zd2jumpzd2exzd2it1319za2zzbdb_emitz00(obj_t
		BgL_envz00_2359, obj_t BgL_nodez00_2360)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 304 */
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_jumpzd2exzd2itz00_bglt) CREF(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2360)))->BgL_exitz00));
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_jumpzd2exzd2itz00_bglt) CREF(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2360)))->BgL_valuez00));
		}
	}



/* &bdb!-set-ex-it1317 */
	obj_t BGl_z62bdbz12zd2setzd2exzd2it1317za2zzbdb_emitz00(obj_t BgL_envz00_2361,
		obj_t BgL_nodez00_2362)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 297 */
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_setzd2exzd2itz00_bglt) CREF(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2362)))->BgL_bodyz00));
		}
	}



/* &bdb!-let-var1315 */
	obj_t BGl_z62bdbz12zd2letzd2var1315z70zzbdb_emitz00(obj_t BgL_envz00_2363,
		obj_t BgL_nodez00_2364)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 285 */
			{	/* Bdb/bdb_emit.scm 287 */
				obj_t BgL_g1293z00_2410;

				BgL_g1293z00_2410 =
					(((BgL_letzd2varzd2_bglt) CREF(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2364)))->BgL_bindingsz00);
				{
					obj_t BgL_l1291z00_2412;

					BgL_l1291z00_2412 = BgL_g1293z00_2410;
				BgL_zc3anonymousza31659ze3z83_2411:
					if (PAIRP(BgL_l1291z00_2412))
						{	/* Bdb/bdb_emit.scm 287 */
							{	/* Bdb/bdb_emit.scm 288 */
								obj_t BgL_bindingz00_2413;

								BgL_bindingz00_2413 = CAR(BgL_l1291z00_2412);
								{	/* Bdb/bdb_emit.scm 289 */
									obj_t BgL_arg1662z00_2414;

									BgL_arg1662z00_2414 = CDR(BgL_bindingz00_2413);
									BGl_bdbz12z12zzbdb_emitz00(
										((BgL_nodez00_bglt) BgL_arg1662z00_2414));
								}
								BGl_bdbzd2emitzd2localzd2infoz12zc0zzbdb_emitz00(CAR
									(BgL_bindingz00_2413));
							}
							{
								obj_t BgL_l1291z00_2863;

								BgL_l1291z00_2863 = CDR(BgL_l1291z00_2412);
								BgL_l1291z00_2412 = BgL_l1291z00_2863;
								goto BgL_zc3anonymousza31659ze3z83_2411;
							}
						}
					else
						{	/* Bdb/bdb_emit.scm 287 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_letzd2varzd2_bglt) CREF(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2364)))->BgL_bodyz00));
		}
	}



/* &bdb!-let-fun1313 */
	obj_t BGl_z62bdbz12zd2letzd2fun1313z70zzbdb_emitz00(obj_t BgL_envz00_2365,
		obj_t BgL_nodez00_2366)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 275 */
			{	/* Bdb/bdb_emit.scm 277 */
				obj_t BgL_g1290z00_2416;

				BgL_g1290z00_2416 =
					(((BgL_letzd2funzd2_bglt) CREF(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2366)))->BgL_localsz00);
				{
					obj_t BgL_l1288z00_2418;

					BgL_l1288z00_2418 = BgL_g1290z00_2416;
				BgL_zc3anonymousza31646ze3z83_2417:
					if (PAIRP(BgL_l1288z00_2418))
						{	/* Bdb/bdb_emit.scm 277 */
							{	/* Bdb/bdb_emit.scm 278 */
								obj_t BgL_localz00_2419;

								BgL_localz00_2419 = CAR(BgL_l1288z00_2418);
								{	/* Bdb/bdb_emit.scm 278 */
									BgL_valuez00_bglt BgL_arg1649z00_2420;

									BgL_arg1649z00_2420 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2419))))->
										BgL_valuez00);
									BGl_bdbzd2sfunz12zc0zzbdb_emitz00(BgL_arg1649z00_2420);
								}
							}
							{
								obj_t BgL_l1288z00_2877;

								BgL_l1288z00_2877 = CDR(BgL_l1288z00_2418);
								BgL_l1288z00_2418 = BgL_l1288z00_2877;
								goto BgL_zc3anonymousza31646ze3z83_2417;
							}
						}
					else
						{	/* Bdb/bdb_emit.scm 277 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_letzd2funzd2_bglt) CREF(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2366)))->BgL_bodyz00));
		}
	}



/* &bdb!-select1311 */
	obj_t BGl_z62bdbz12zd2select1311za2zzbdb_emitz00(obj_t BgL_envz00_2367,
		obj_t BgL_nodez00_2368)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 267 */
			{	/* Bdb/bdb_emit.scm 268 */
				bool_t BgL_tmpz00_2882;

				BGl_bdbz12z12zzbdb_emitz00(
					(((BgL_selectz00_bglt) CREF(
								((BgL_selectz00_bglt) BgL_nodez00_2368)))->BgL_testz00));
				{	/* Bdb/bdb_emit.scm 270 */
					obj_t BgL_g1287z00_2422;

					BgL_g1287z00_2422 =
						(((BgL_selectz00_bglt) CREF(
								((BgL_selectz00_bglt) BgL_nodez00_2368)))->BgL_clausesz00);
					{
						obj_t BgL_l1285z00_2424;

						BgL_l1285z00_2424 = BgL_g1287z00_2422;
					BgL_zc3anonymousza31642ze3z83_2423:
						if (PAIRP(BgL_l1285z00_2424))
							{	/* Bdb/bdb_emit.scm 270 */
								{	/* Bdb/bdb_emit.scm 270 */
									obj_t BgL_clausez00_2425;

									BgL_clausez00_2425 = CAR(BgL_l1285z00_2424);
									{	/* Bdb/bdb_emit.scm 270 */
										obj_t BgL_arg1644z00_2426;

										BgL_arg1644z00_2426 = CDR(BgL_clausez00_2425);
										BGl_bdbz12z12zzbdb_emitz00(
											((BgL_nodez00_bglt) BgL_arg1644z00_2426));
									}
								}
								{
									obj_t BgL_l1285z00_2894;

									BgL_l1285z00_2894 = CDR(BgL_l1285z00_2424);
									BgL_l1285z00_2424 = BgL_l1285z00_2894;
									goto BgL_zc3anonymousza31642ze3z83_2423;
								}
							}
						else
							{	/* Bdb/bdb_emit.scm 270 */
								BgL_tmpz00_2882 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2882);
			}
		}
	}



/* &bdb!-fail1309 */
	obj_t BGl_z62bdbz12zd2fail1309za2zzbdb_emitz00(obj_t BgL_envz00_2369,
		obj_t BgL_nodez00_2370)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 258 */
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_failz00_bglt) CREF(
							((BgL_failz00_bglt) BgL_nodez00_2370)))->BgL_procz00));
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_failz00_bglt) CREF(
							((BgL_failz00_bglt) BgL_nodez00_2370)))->BgL_msgz00));
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_failz00_bglt) CREF(
							((BgL_failz00_bglt) BgL_nodez00_2370)))->BgL_objz00));
		}
	}



/* &bdb!-conditional1307 */
	obj_t BGl_z62bdbz12zd2conditional1307za2zzbdb_emitz00(obj_t BgL_envz00_2371,
		obj_t BgL_nodez00_2372)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 249 */
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_conditionalz00_bglt) CREF(
							((BgL_conditionalz00_bglt) BgL_nodez00_2372)))->BgL_testz00));
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_conditionalz00_bglt) CREF(
							((BgL_conditionalz00_bglt) BgL_nodez00_2372)))->BgL_truez00));
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_conditionalz00_bglt) CREF(
							((BgL_conditionalz00_bglt) BgL_nodez00_2372)))->BgL_falsez00));
		}
	}



/* &bdb!-setq1305 */
	obj_t BGl_z62bdbz12zd2setq1305za2zzbdb_emitz00(obj_t BgL_envz00_2373,
		obj_t BgL_nodez00_2374)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 242 */
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_setqz00_bglt) CREF(
							((BgL_setqz00_bglt) BgL_nodez00_2374)))->BgL_valuez00));
		}
	}



/* &bdb!-cast1303 */
	obj_t BGl_z62bdbz12zd2cast1303za2zzbdb_emitz00(obj_t BgL_envz00_2375,
		obj_t BgL_nodez00_2376)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 235 */
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_castz00_bglt) CREF(
							((BgL_castz00_bglt) BgL_nodez00_2376)))->BgL_argz00));
		}
	}



/* &bdb!-extern1301 */
	obj_t BGl_z62bdbz12zd2extern1301za2zzbdb_emitz00(obj_t BgL_envz00_2377,
		obj_t BgL_nodez00_2378)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 228 */
			return
				BGl_bdbza2z12zb0zzbdb_emitz00(
				(((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_nodez00_2378)))->BgL_exprza2za2));
		}
	}



/* &bdb!-sync1299 */
	obj_t BGl_z62bdbz12zd2sync1299za2zzbdb_emitz00(obj_t BgL_envz00_2379,
		obj_t BgL_nodez00_2380)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 219 */
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_syncz00_bglt) CREF(
							((BgL_syncz00_bglt) BgL_nodez00_2380)))->BgL_mutexz00));
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_syncz00_bglt) CREF(
							((BgL_syncz00_bglt) BgL_nodez00_2380)))->BgL_prelockz00));
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_syncz00_bglt) CREF(
							((BgL_syncz00_bglt) BgL_nodez00_2380)))->BgL_bodyz00));
		}
	}



/* &bdb!-sequence1297 */
	obj_t BGl_z62bdbz12zd2sequence1297za2zzbdb_emitz00(obj_t BgL_envz00_2381,
		obj_t BgL_nodez00_2382)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 212 */
			return
				BGl_bdbza2z12zb0zzbdb_emitz00(
				(((BgL_sequencez00_bglt) CREF(
							((BgL_sequencez00_bglt) BgL_nodez00_2382)))->BgL_nodesz00));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbdb_emitz00()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzast_unitz00(((long) 234044111),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 184800657),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 209108747),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzengine_configurez00(((long) 272817175),
				BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(((long)
					364917963), BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
			return BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long)
					395792377), BSTRING_TO_STRING(BGl_string1874z00zzbdb_emitz00));
		}
	}

#ifdef __cplusplus
}
#endif
