/*===========================================================================*/
/*   (Coerce/app.scm)                                                        */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/app.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;


	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_objectzd2initzd2zzcoerce_appz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_appz00();
	static BgL_nodez00_bglt
		BGl_coercezd2bigloozd2externzd2appz12zc0zzcoerce_appz00
		(BgL_variablez00_bglt, obj_t, BgL_appz00_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_coercezd2bigloozd2appz12z12zzcoerce_appz00(BgL_variablez00_bglt, obj_t,
		BgL_appz00_bglt, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt
		BGl_coercezd2foreignzd2appz12z12zzcoerce_appz00(BgL_variablez00_bglt, obj_t,
		BgL_appz00_bglt, obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_gczd2rootszd2initz00zzcoerce_appz00();
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_coercezd2bigloozd2internzd2appz12zc0zzcoerce_appz00
		(BgL_variablez00_bglt, obj_t, BgL_appz00_bglt, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	static obj_t BGl_makezd2procedurezd2idsz00zzcoerce_appz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_appz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcoerce_appz00();
	static BgL_nodez00_bglt
		BGl_coercezd2foreignzd2vazd2appz12zc0zzcoerce_appz00(BgL_valuez00_bglt,
		BgL_variablez00_bglt, obj_t, BgL_appz00_bglt, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcoerce_appz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	static bool_t BGl_coercezd2argsz12ze70z27zzcoerce_appz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcoerce_appz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62coercez12zd2app1224za2zzcoerce_appz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcoerce_appz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_appz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_appz00();
	static BgL_nodez00_bglt
		BGl_coercezd2foreignzd2fxzd2appz12zc0zzcoerce_appz00(BgL_valuez00_bglt,
		BgL_variablez00_bglt, obj_t, BgL_appz00_bglt, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string1682z00zzcoerce_appz00,
		BgL_bgl_string1682za700za7za7c1692za7, "procedure", 9);
	      DEFINE_STRING(BGl_string1684z00zzcoerce_appz00,
		BgL_bgl_string1684za700za7za7c1693za7, "coerce!", 7);
	      DEFINE_STRING(BGl_string1685z00zzcoerce_appz00,
		BgL_bgl_string1685za700za7za7c1694za7, "coerce_app", 10);
	      DEFINE_STRING(BGl_string1686z00zzcoerce_appz00,
		BgL_bgl_string1686za700za7za7c1695za7,
		"import (make-fx-procedure make-va-procedure make-l-procedure) ", 62);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1683z00zzcoerce_appz00,
		BgL_bgl_za762coerceza712za7d2a1696za7,
		BGl_z62coercez12zd2app1224za2zzcoerce_appz00, 0L, BUNSPEC, 4);
	extern obj_t BGl_coercez12zd2envzc0zzcoerce_coercez00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_makezd2procedurezd2idsz00zzcoerce_appz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcoerce_appz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcoerce_appz00(long
		BgL_checksumz00_1685, char *BgL_fromz00_1686)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_appz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_appz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcoerce_appz00();
					BGl_libraryzd2moduleszd2initz00zzcoerce_appz00();
					BGl_cnstzd2initzd2zzcoerce_appz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_appz00();
					BGl_methodzd2initzd2zzcoerce_appz00();
					return BGl_toplevelzd2initzd2zzcoerce_appz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_appz00()
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_app");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "coerce_app");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "coerce_app");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"coerce_app");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_app");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_app");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_appz00()
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 15 */
			{	/* Coerce/app.scm 15 */
				obj_t BgL_cportz00_1667;

				{	/* Coerce/app.scm 15 */
					obj_t BgL_startz00_1676;

					BgL_startz00_1676 = BINT(((long) 0));
					{	/* Coerce/app.scm 15 */
						obj_t BgL_endz00_1677;

						BgL_endz00_1677 =
							BINT(STRING_LENGTH(BGl_string1686z00zzcoerce_appz00));
						{	/* Coerce/app.scm 15 */

							BgL_cportz00_1667 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1686z00zzcoerce_appz00, BgL_startz00_1676,
								BgL_endz00_1677);
				}}}
				{
					long BgL_iz00_1668;

					BgL_iz00_1668 = ((long) 1);
				BgL_loopz00_1669:
					if ((BgL_iz00_1668 == ((long) -1)))
						{	/* Coerce/app.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/app.scm 15 */
							{	/* Coerce/app.scm 15 */
								obj_t BgL_arg1690z00_1671;

								{	/* Coerce/app.scm 15 */

									{	/* Coerce/app.scm 15 */
										obj_t BgL_locationz00_1673;

										BgL_locationz00_1673 = BBOOL(((bool_t) 0));
										{	/* Coerce/app.scm 15 */

											BgL_arg1690z00_1671 =
												BGl_readz00zz__readerz00(BgL_cportz00_1667,
												BgL_locationz00_1673);
										}
									}
								}
								{	/* Coerce/app.scm 15 */
									int BgL_tmpz00_1710;

									BgL_tmpz00_1710 = (int) (BgL_iz00_1668);
									CNST_TABLE_SET(BgL_tmpz00_1710, BgL_arg1690z00_1671);
							}}
							{	/* Coerce/app.scm 15 */
								int BgL_auxz00_1674;

								BgL_auxz00_1674 = (int) ((BgL_iz00_1668 - ((long) 1)));
								{
									long BgL_iz00_1715;

									BgL_iz00_1715 = (long) (BgL_auxz00_1674);
									BgL_iz00_1668 = BgL_iz00_1715;
									goto BgL_loopz00_1669;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcoerce_appz00()
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_appz00()
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 15 */
			return (BGl_makezd2procedurezd2idsz00zzcoerce_appz00 =
				CNST_TABLE_REF(((long) 0)), BUNSPEC);
		}
	}



/* coerce-foreign-app! */
	BgL_nodez00_bglt
		BGl_coercezd2foreignzd2appz12z12zzcoerce_appz00(BgL_variablez00_bglt
		BgL_calleez00_7, obj_t BgL_callerz00_8, BgL_appz00_bglt BgL_nodez00_9,
		obj_t BgL_toz00_10, obj_t BgL_safez00_11)
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 42 */
			{	/* Coerce/app.scm 45 */
				BgL_valuez00_bglt BgL_ffunz00_1274;

				BgL_ffunz00_1274 =
					(((BgL_variablez00_bglt) CREF(BgL_calleez00_7))->BgL_valuez00);
				{	/* Coerce/app.scm 45 */
					long BgL_arityz00_1275;

					BgL_arityz00_1275 =
						(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_ffunz00_1274)))->BgL_arityz00);
					{	/* Coerce/app.scm 46 */

						if ((BgL_arityz00_1275 >= ((long) 0)))
							{	/* Coerce/app.scm 47 */
								return
									BGl_coercezd2foreignzd2fxzd2appz12zc0zzcoerce_appz00
									(BgL_ffunz00_1274, BgL_calleez00_7, BgL_callerz00_8,
									BgL_nodez00_9, BgL_toz00_10, BgL_safez00_11);
							}
						else
							{	/* Coerce/app.scm 47 */
								return
									BGl_coercezd2foreignzd2vazd2appz12zc0zzcoerce_appz00
									(BgL_ffunz00_1274, BgL_calleez00_7, BgL_callerz00_8,
									BgL_nodez00_9, BgL_toz00_10, BgL_safez00_11);
							}
					}
				}
			}
		}
	}



/* coerce-foreign-fx-app! */
	BgL_nodez00_bglt
		BGl_coercezd2foreignzd2fxzd2appz12zc0zzcoerce_appz00(BgL_valuez00_bglt
		BgL_funz00_12, BgL_variablez00_bglt BgL_calleez00_13,
		obj_t BgL_callerz00_14, BgL_appz00_bglt BgL_nodez00_15, obj_t BgL_toz00_16,
		obj_t BgL_safez00_17)
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 60 */
			{
				obj_t BgL_argsz00_1303;
				obj_t BgL_typesz00_1304;
				obj_t BgL_locz00_1305;

				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_calleez00_13))))->BgL_idz00),
							CNST_TABLE_REF(((long) 0)))))
					{	/* Coerce/app.scm 82 */
						obj_t BgL_arg1236z00_1282;
						obj_t BgL_arg1238z00_1283;
						obj_t BgL_arg1239z00_1284;

						BgL_arg1236z00_1282 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_15))->BgL_argsz00);
						BgL_arg1238z00_1283 =
							(((BgL_cfunz00_bglt) CREF(
									((BgL_cfunz00_bglt) BgL_funz00_12)))->BgL_argszd2typezd2);
						BgL_arg1239z00_1284 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_15)))->BgL_locz00);
						BgL_argsz00_1303 = BgL_arg1236z00_1282;
						BgL_typesz00_1304 = BgL_arg1238z00_1283;
						BgL_locz00_1305 = BgL_arg1239z00_1284;
						BGl_coercezd2argsz12ze70z27zzcoerce_appz00(BgL_safez00_17,
							BgL_callerz00_14, CDR(BgL_argsz00_1303), CDR(BgL_typesz00_1304));
						{	/* Coerce/app.scm 69 */
							obj_t BgL_cloz00_1309;

							BgL_cloz00_1309 = CAR(BgL_argsz00_1303);
							if (BGl_isazf3zf3zz__objectz00(BgL_cloz00_1309,
									BGl_varz00zzast_nodez00))
								{	/* Coerce/app.scm 71 */
									bool_t BgL_testz00_1744;

									{	/* Coerce/app.scm 71 */
										BgL_valuez00_bglt BgL_arg1328z00_1320;

										BgL_arg1328z00_1320 =
											(((BgL_variablez00_bglt) CREF(
													(((BgL_varz00_bglt) CREF(
																((BgL_varz00_bglt) BgL_cloz00_1309)))->
														BgL_variablez00)))->BgL_valuez00);
										{	/* Coerce/app.scm 71 */
											bool_t BgL_res1667z00_1593;

											BgL_res1667z00_1593 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_arg1328z00_1320), BGl_sfunz00zzast_varz00);
											BgL_testz00_1744 = BgL_res1667z00_1593;
										}
									}
									if (BgL_testz00_1744)
										{	/* Coerce/app.scm 71 */
											BFALSE;
										}
									else
										{	/* Coerce/app.scm 73 */
											obj_t BgL_arg1292z00_1314;
											obj_t BgL_arg1313z00_1315;

											BgL_arg1292z00_1314 =
												(((BgL_variablez00_bglt) CREF(
														(((BgL_varz00_bglt) CREF(
																	((BgL_varz00_bglt) BgL_cloz00_1309)))->
															BgL_variablez00)))->BgL_namez00);
											{	/* Coerce/app.scm 74 */
												BgL_typez00_bglt BgL_arg1317z00_1318;

												BgL_arg1317z00_1318 =
													(((BgL_variablez00_bglt) CREF(
															(((BgL_varz00_bglt) CREF(
																		((BgL_varz00_bglt) BgL_cloz00_1309)))->
																BgL_variablez00)))->BgL_typez00);
												BgL_arg1313z00_1315 =
													BGl_shapez00zztools_shapez00(((obj_t)
														BgL_arg1317z00_1318));
											}
											BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_locz00_1305, BgL_arg1292z00_1314,
												BgL_arg1313z00_1315, BGl_string1682z00zzcoerce_appz00,
												BNIL);
										}
								}
							else
								{	/* Coerce/app.scm 76 */
									BgL_nodez00_bglt BgL_arg1333z00_1322;

									BgL_arg1333z00_1322 =
										BGl_coercez12z12zzcoerce_coercez00(
										((BgL_nodez00_bglt) BgL_cloz00_1309), BgL_callerz00_14,
										((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00),
										CBOOL(BgL_safez00_17));
									{	/* Coerce/app.scm 76 */
										obj_t BgL_tmpz00_1763;

										BgL_tmpz00_1763 = ((obj_t) BgL_arg1333z00_1322);
										SET_CAR(BgL_argsz00_1303, BgL_tmpz00_1763);
									}
								}
						}
					}
				else
					{	/* Coerce/app.scm 83 */
						obj_t BgL_arg1240z00_1285;
						obj_t BgL_arg1242z00_1286;

						BgL_arg1240z00_1285 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_15))->BgL_argsz00);
						BgL_arg1242z00_1286 =
							(((BgL_cfunz00_bglt) CREF(
									((BgL_cfunz00_bglt) BgL_funz00_12)))->BgL_argszd2typezd2);
						BBOOL(BGl_coercezd2argsz12ze70z27zzcoerce_appz00(BgL_safez00_17,
								BgL_callerz00_14, BgL_arg1240z00_1285, BgL_arg1242z00_1286));
					}
				{	/* Coerce/app.scm 84 */
					BgL_typez00_bglt BgL_arg1248z00_1288;

					BgL_arg1248z00_1288 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_nodez00_15), ((bool_t) 0));
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_15), BgL_arg1248z00_1288,
						((BgL_typez00_bglt) BgL_toz00_16), CBOOL(BgL_safez00_17));
				}
			}
		}
	}



/* coerce-args!~0 */
	bool_t BGl_coercezd2argsz12ze70z27zzcoerce_appz00(obj_t BgL_safez00_1666,
		obj_t BgL_callerz00_1665, obj_t BgL_argsz00_1289, obj_t BgL_typesz00_1290)
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 66 */
			{
				obj_t BgL_actualsz00_1293;
				obj_t BgL_typesz00_1294;

				BgL_actualsz00_1293 = BgL_argsz00_1289;
				BgL_typesz00_1294 = BgL_typesz00_1290;
			BgL_zc3anonymousza31250ze3z83_1295:
				if (PAIRP(BgL_actualsz00_1293))
					{	/* Coerce/app.scm 64 */
						{	/* Coerce/app.scm 65 */
							BgL_nodez00_bglt BgL_arg1252z00_1297;

							{	/* Coerce/app.scm 65 */
								obj_t BgL_arg1253z00_1298;
								obj_t BgL_arg1262z00_1299;

								BgL_arg1253z00_1298 = CAR(BgL_actualsz00_1293);
								BgL_arg1262z00_1299 = CAR(BgL_typesz00_1294);
								BgL_arg1252z00_1297 =
									BGl_coercez12z12zzcoerce_coercez00(
									((BgL_nodez00_bglt) BgL_arg1253z00_1298), BgL_callerz00_1665,
									((BgL_typez00_bglt) BgL_arg1262z00_1299),
									CBOOL(BgL_safez00_1666));
							}
							{	/* Coerce/app.scm 65 */
								obj_t BgL_tmpz00_1785;

								BgL_tmpz00_1785 = ((obj_t) BgL_arg1252z00_1297);
								SET_CAR(BgL_actualsz00_1293, BgL_tmpz00_1785);
							}
						}
						{
							obj_t BgL_typesz00_1790;
							obj_t BgL_actualsz00_1788;

							BgL_actualsz00_1788 = CDR(BgL_actualsz00_1293);
							BgL_typesz00_1790 = CDR(BgL_typesz00_1294);
							BgL_typesz00_1294 = BgL_typesz00_1790;
							BgL_actualsz00_1293 = BgL_actualsz00_1788;
							goto BgL_zc3anonymousza31250ze3z83_1295;
						}
					}
				else
					{	/* Coerce/app.scm 64 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* coerce-foreign-va-app! */
	BgL_nodez00_bglt
		BGl_coercezd2foreignzd2vazd2appz12zc0zzcoerce_appz00(BgL_valuez00_bglt
		BgL_funz00_18, BgL_variablez00_bglt BgL_calleez00_19,
		obj_t BgL_callerz00_20, BgL_appz00_bglt BgL_nodez00_21, obj_t BgL_toz00_22,
		obj_t BgL_safez00_23)
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 89 */
			{	/* Coerce/app.scm 90 */
				obj_t BgL_g1102z00_1325;
				obj_t BgL_g1103z00_1326;
				long BgL_g1107z00_1327;

				BgL_g1102z00_1325 =
					(((BgL_appz00_bglt) CREF(BgL_nodez00_21))->BgL_argsz00);
				BgL_g1103z00_1326 =
					(((BgL_cfunz00_bglt) CREF(
							((BgL_cfunz00_bglt) BgL_funz00_18)))->BgL_argszd2typezd2);
				BgL_g1107z00_1327 =
					(((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_funz00_18)))->BgL_arityz00);
				{
					obj_t BgL_actualsz00_1329;
					obj_t BgL_typesz00_1330;
					long BgL_counterz00_1331;

					BgL_actualsz00_1329 = BgL_g1102z00_1325;
					BgL_typesz00_1330 = BgL_g1103z00_1326;
					BgL_counterz00_1331 = BgL_g1107z00_1327;
				BgL_zc3anonymousza31334ze3z83_1332:
					if ((BgL_counterz00_1331 == ((long) -1)))
						{
							obj_t BgL_actualsz00_1335;

							BgL_actualsz00_1335 = BgL_actualsz00_1329;
						BgL_zc3anonymousza31336ze3z83_1336:
							if (NULLP(BgL_actualsz00_1335))
								{	/* Coerce/app.scm 97 */
									BgL_typez00_bglt BgL_arg1338z00_1338;

									BgL_arg1338z00_1338 =
										BGl_getzd2typezd2zztype_typeofz00(
										((BgL_nodez00_bglt) BgL_nodez00_21), ((bool_t) 0));
									return
										BGl_convertz12z12zzcoerce_convertz00(
										((BgL_nodez00_bglt) BgL_nodez00_21), BgL_arg1338z00_1338,
										((BgL_typez00_bglt) BgL_toz00_22), CBOOL(BgL_safez00_23));
								}
							else
								{	/* Coerce/app.scm 96 */
									{	/* Coerce/app.scm 99 */
										BgL_nodez00_bglt BgL_arg1367z00_1339;

										{	/* Coerce/app.scm 99 */
											obj_t BgL_arg1368z00_1340;
											obj_t BgL_arg1375z00_1341;

											BgL_arg1368z00_1340 = CAR(BgL_actualsz00_1335);
											BgL_arg1375z00_1341 = CAR(BgL_typesz00_1330);
											BgL_arg1367z00_1339 =
												BGl_coercez12z12zzcoerce_coercez00(
												((BgL_nodez00_bglt) BgL_arg1368z00_1340),
												BgL_callerz00_20,
												((BgL_typez00_bglt) BgL_arg1375z00_1341),
												CBOOL(BgL_safez00_23));
										}
										{	/* Coerce/app.scm 99 */
											obj_t BgL_tmpz00_1813;

											BgL_tmpz00_1813 = ((obj_t) BgL_arg1367z00_1339);
											SET_CAR(BgL_actualsz00_1335, BgL_tmpz00_1813);
										}
									}
									{
										obj_t BgL_actualsz00_1816;

										BgL_actualsz00_1816 = CDR(BgL_actualsz00_1335);
										BgL_actualsz00_1335 = BgL_actualsz00_1816;
										goto BgL_zc3anonymousza31336ze3z83_1336;
									}
								}
						}
					else
						{	/* Coerce/app.scm 93 */
							{	/* Coerce/app.scm 105 */
								BgL_nodez00_bglt BgL_arg1406z00_1344;

								{	/* Coerce/app.scm 105 */
									obj_t BgL_arg1409z00_1345;
									obj_t BgL_arg1413z00_1346;

									BgL_arg1409z00_1345 = CAR(BgL_actualsz00_1329);
									BgL_arg1413z00_1346 = CAR(BgL_typesz00_1330);
									BgL_arg1406z00_1344 =
										BGl_coercez12z12zzcoerce_coercez00(
										((BgL_nodez00_bglt) BgL_arg1409z00_1345), BgL_callerz00_20,
										((BgL_typez00_bglt) BgL_arg1413z00_1346),
										CBOOL(BgL_safez00_23));
								}
								{	/* Coerce/app.scm 105 */
									obj_t BgL_tmpz00_1824;

									BgL_tmpz00_1824 = ((obj_t) BgL_arg1406z00_1344);
									SET_CAR(BgL_actualsz00_1329, BgL_tmpz00_1824);
								}
							}
							{
								long BgL_counterz00_1831;
								obj_t BgL_typesz00_1829;
								obj_t BgL_actualsz00_1827;

								BgL_actualsz00_1827 = CDR(BgL_actualsz00_1329);
								BgL_typesz00_1829 = CDR(BgL_typesz00_1330);
								BgL_counterz00_1831 = (BgL_counterz00_1331 + ((long) 1));
								BgL_counterz00_1331 = BgL_counterz00_1831;
								BgL_typesz00_1330 = BgL_typesz00_1829;
								BgL_actualsz00_1329 = BgL_actualsz00_1827;
								goto BgL_zc3anonymousza31334ze3z83_1332;
							}
						}
				}
			}
		}
	}



/* coerce-bigloo-app! */
	BgL_nodez00_bglt
		BGl_coercezd2bigloozd2appz12z12zzcoerce_appz00(BgL_variablez00_bglt
		BgL_calleez00_24, obj_t BgL_callerz00_25, BgL_appz00_bglt BgL_nodez00_26,
		obj_t BgL_toz00_27, obj_t BgL_safez00_28)
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 114 */
			{	/* Coerce/app.scm 118 */
				bool_t BgL_testz00_1833;

				{	/* Coerce/app.scm 118 */
					bool_t BgL_testz00_1834;

					{	/* Coerce/app.scm 118 */
						bool_t BgL_res1671z00_1619;

						BgL_res1671z00_1619 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_calleez00_24), BGl_globalz00zzast_varz00);
						BgL_testz00_1834 = BgL_res1671z00_1619;
					}
					if (BgL_testz00_1834)
						{	/* Coerce/app.scm 118 */
							if (
								((((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_calleez00_24)))->
										BgL_importz00) == CNST_TABLE_REF(((long) 1))))
								{	/* Coerce/app.scm 120 */
									bool_t BgL_testz00_1842;

									{	/* Coerce/app.scm 120 */
										obj_t BgL_tmpz00_1843;

										BgL_tmpz00_1843 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(BgL_calleez00_24))->
															BgL_valuez00))))->BgL_argsz00);
										BgL_testz00_1842 = PAIRP(BgL_tmpz00_1843);
									}
									if (BgL_testz00_1842)
										{	/* Coerce/app.scm 121 */
											obj_t BgL_arg1481z00_1367;

											{	/* Coerce/app.scm 121 */
												obj_t BgL_pairz00_1626;

												BgL_pairz00_1626 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt)
																		CREF(BgL_calleez00_24))->BgL_valuez00))))->
													BgL_argsz00);
												BgL_arg1481z00_1367 = CAR(BgL_pairz00_1626);
											}
											BgL_testz00_1833 =
												BGl_isazf3zf3zz__objectz00(BgL_arg1481z00_1367,
												BGl_typez00zztype_typez00);
										}
									else
										{	/* Coerce/app.scm 120 */
											BgL_testz00_1833 = ((bool_t) 0);
										}
								}
							else
								{	/* Coerce/app.scm 119 */
									BgL_testz00_1833 = ((bool_t) 0);
								}
						}
					else
						{	/* Coerce/app.scm 118 */
							BgL_testz00_1833 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_1833)
					{	/* Coerce/app.scm 118 */
						return
							BGl_coercezd2bigloozd2externzd2appz12zc0zzcoerce_appz00
							(BgL_calleez00_24, BgL_callerz00_25, BgL_nodez00_26, BgL_toz00_27,
							BgL_safez00_28);
					}
				else
					{	/* Coerce/app.scm 118 */
						return
							BGl_coercezd2bigloozd2internzd2appz12zc0zzcoerce_appz00
							(BgL_calleez00_24, BgL_callerz00_25, BgL_nodez00_26, BgL_toz00_27,
							BgL_safez00_28);
					}
			}
		}
	}



/* coerce-bigloo-intern-app! */
	BgL_nodez00_bglt
		BGl_coercezd2bigloozd2internzd2appz12zc0zzcoerce_appz00(BgL_variablez00_bglt
		BgL_calleez00_29, obj_t BgL_callerz00_30, BgL_appz00_bglt BgL_nodez00_31,
		obj_t BgL_toz00_32, obj_t BgL_safez00_33)
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 128 */
			{	/* Coerce/app.scm 132 */
				BgL_valuez00_bglt BgL_funz00_1373;

				BgL_funz00_1373 =
					(((BgL_variablez00_bglt) CREF(BgL_calleez00_29))->BgL_valuez00);
				{	/* Coerce/app.scm 133 */
					obj_t BgL_shz00_1375;

					BgL_shz00_1375 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_calleez00_29));
					{	/* Coerce/app.scm 134 */
						BgL_typez00_bglt BgL_ntypez00_1376;

						BgL_ntypez00_1376 =
							BGl_getzd2typezd2zztype_typeofz00(
							((BgL_nodez00_bglt) BgL_nodez00_31), ((bool_t) 0));
						{	/* Coerce/app.scm 135 */

							{	/* Coerce/app.scm 136 */
								obj_t BgL_g1108z00_1377;
								obj_t BgL_g1109z00_1378;

								BgL_g1108z00_1377 =
									(((BgL_appz00_bglt) CREF(BgL_nodez00_31))->BgL_argsz00);
								BgL_g1109z00_1378 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt) BgL_funz00_1373)))->BgL_argsz00);
								{
									obj_t BgL_actualsz00_1380;
									obj_t BgL_formalsz00_1381;

									BgL_actualsz00_1380 = BgL_g1108z00_1377;
									BgL_formalsz00_1381 = BgL_g1109z00_1378;
								BgL_zc3anonymousza31493ze3z83_1382:
									if (NULLP(BgL_actualsz00_1380))
										{	/* Coerce/app.scm 140 */
											bool_t BgL_testz00_1865;

											if ((BgL_callerz00_30 == ((obj_t) BgL_calleez00_29)))
												{	/* Coerce/app.scm 140 */
													if (CBOOL
														(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
														{	/* Coerce/app.scm 140 */
															BgL_testz00_1865 = ((bool_t) 0);
														}
													else
														{	/* Coerce/app.scm 140 */
															BgL_testz00_1865 = ((bool_t) 1);
														}
												}
											else
												{	/* Coerce/app.scm 140 */
													BgL_testz00_1865 = ((bool_t) 0);
												}
											if (BgL_testz00_1865)
												{	/* Coerce/app.scm 140 */
													return
														BGl_convertz12z12zzcoerce_convertz00(
														((BgL_nodez00_bglt) BgL_nodez00_31),
														BgL_ntypez00_1376,
														((BgL_typez00_bglt) BgL_toz00_32), ((bool_t) 0));
												}
											else
												{	/* Coerce/app.scm 140 */
													return
														BGl_convertz12z12zzcoerce_convertz00(
														((BgL_nodez00_bglt) BgL_nodez00_31),
														BgL_ntypez00_1376,
														((BgL_typez00_bglt) BgL_toz00_32),
														CBOOL(BgL_safez00_33));
												}
										}
									else
										{	/* Coerce/app.scm 147 */
											BgL_typez00_bglt BgL_typez00_1387;

											BgL_typez00_1387 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(BgL_formalsz00_1381)))))->BgL_typez00);
											{	/* Coerce/app.scm 148 */
												BgL_nodez00_bglt BgL_arg1504z00_1388;

												{	/* Coerce/app.scm 148 */
													obj_t BgL_arg1507z00_1389;

													BgL_arg1507z00_1389 = CAR(BgL_actualsz00_1380);
													BgL_arg1504z00_1388 =
														BGl_coercez12z12zzcoerce_coercez00(
														((BgL_nodez00_bglt) BgL_arg1507z00_1389),
														BgL_callerz00_30, BgL_typez00_1387,
														CBOOL(BgL_safez00_33));
												}
												{	/* Coerce/app.scm 148 */
													obj_t BgL_tmpz00_1886;

													BgL_tmpz00_1886 = ((obj_t) BgL_arg1504z00_1388);
													SET_CAR(BgL_actualsz00_1380, BgL_tmpz00_1886);
												}
											}
											{
												obj_t BgL_formalsz00_1891;
												obj_t BgL_actualsz00_1889;

												BgL_actualsz00_1889 = CDR(BgL_actualsz00_1380);
												BgL_formalsz00_1891 = CDR(BgL_formalsz00_1381);
												BgL_formalsz00_1381 = BgL_formalsz00_1891;
												BgL_actualsz00_1380 = BgL_actualsz00_1889;
												goto BgL_zc3anonymousza31493ze3z83_1382;
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* coerce-bigloo-extern-app! */
	BgL_nodez00_bglt
		BGl_coercezd2bigloozd2externzd2appz12zc0zzcoerce_appz00(BgL_variablez00_bglt
		BgL_calleez00_34, obj_t BgL_callerz00_35, BgL_appz00_bglt BgL_nodez00_36,
		obj_t BgL_toz00_37, obj_t BgL_safez00_38)
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 154 */
			{	/* Coerce/app.scm 155 */
				BgL_valuez00_bglt BgL_funz00_1394;

				BgL_funz00_1394 =
					(((BgL_variablez00_bglt) CREF(BgL_calleez00_34))->BgL_valuez00);
				{	/* Coerce/app.scm 156 */
					BgL_typez00_bglt BgL_ntypez00_1396;

					BgL_ntypez00_1396 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_nodez00_36), ((bool_t) 0));
					{	/* Coerce/app.scm 157 */

						{	/* Coerce/app.scm 158 */
							obj_t BgL_g1110z00_1397;
							obj_t BgL_g1112z00_1398;

							BgL_g1110z00_1397 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_36))->BgL_argsz00);
							BgL_g1112z00_1398 =
								(((BgL_sfunz00_bglt) CREF(
										((BgL_sfunz00_bglt) BgL_funz00_1394)))->BgL_argsz00);
							{
								obj_t BgL_actualsz00_1400;
								obj_t BgL_formalsz00_1401;

								BgL_actualsz00_1400 = BgL_g1110z00_1397;
								BgL_formalsz00_1401 = BgL_g1112z00_1398;
							BgL_zc3anonymousza31512ze3z83_1402:
								if (NULLP(BgL_actualsz00_1400))
									{	/* Coerce/app.scm 160 */
										return
											BGl_convertz12z12zzcoerce_convertz00(
											((BgL_nodez00_bglt) BgL_nodez00_36), BgL_ntypez00_1396,
											((BgL_typez00_bglt) BgL_toz00_37), CBOOL(BgL_safez00_38));
									}
								else
									{	/* Coerce/app.scm 162 */
										obj_t BgL_typez00_1404;

										BgL_typez00_1404 = CAR(BgL_formalsz00_1401);
										{	/* Coerce/app.scm 163 */
											BgL_nodez00_bglt BgL_arg1526z00_1405;

											{	/* Coerce/app.scm 163 */
												obj_t BgL_arg1527z00_1406;

												BgL_arg1527z00_1406 = CAR(BgL_actualsz00_1400);
												BgL_arg1526z00_1405 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_arg1527z00_1406),
													BgL_callerz00_35,
													((BgL_typez00_bglt) BgL_typez00_1404),
													CBOOL(BgL_safez00_38));
											}
											{	/* Coerce/app.scm 163 */
												obj_t BgL_tmpz00_1911;

												BgL_tmpz00_1911 = ((obj_t) BgL_arg1526z00_1405);
												SET_CAR(BgL_actualsz00_1400, BgL_tmpz00_1911);
											}
										}
										{
											obj_t BgL_formalsz00_1916;
											obj_t BgL_actualsz00_1914;

											BgL_actualsz00_1914 = CDR(BgL_actualsz00_1400);
											BgL_formalsz00_1916 = CDR(BgL_formalsz00_1401);
											BgL_formalsz00_1401 = BgL_formalsz00_1916;
											BgL_actualsz00_1400 = BgL_actualsz00_1914;
											goto BgL_zc3anonymousza31512ze3z83_1402;
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_appz00()
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_appz00()
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_appz00()
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_appz00zzast_nodez00,
				BGl_proc1683z00zzcoerce_appz00, BGl_string1684z00zzcoerce_appz00);
		}
	}



/* &coerce!-app1224 */
	BgL_nodez00_bglt BGl_z62coercez12zd2app1224za2zzcoerce_appz00(obj_t
		BgL_envz00_1655, obj_t BgL_nodez00_1656, obj_t BgL_callerz00_1657,
		obj_t BgL_toz00_1658, obj_t BgL_safez00_1659)
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 31 */
			{	/* Tools/trace.sch 53 */
				BgL_variablez00_bglt BgL_funz00_1681;

				BgL_funz00_1681 =
					(((BgL_varz00_bglt) CREF(
							(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_1656)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Tools/trace.sch 53 */
					bool_t BgL_testz00_1922;

					{	/* Tools/trace.sch 53 */
						bool_t BgL_testz00_1923;

						{	/* Tools/trace.sch 53 */
							bool_t BgL_res1676z00_1682;

							BgL_res1676z00_1682 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_funz00_1681), BGl_globalz00zzast_varz00);
							BgL_testz00_1923 = BgL_res1676z00_1682;
						}
						if (BgL_testz00_1923)
							{	/* Tools/trace.sch 53 */
								BgL_valuez00_bglt BgL_arg1537z00_1683;

								BgL_arg1537z00_1683 =
									(((BgL_variablez00_bglt) CREF(BgL_funz00_1681))->
									BgL_valuez00);
								{	/* Tools/trace.sch 53 */
									bool_t BgL_res1677z00_1684;

									BgL_res1677z00_1684 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_arg1537z00_1683), BGl_cfunz00zzast_varz00);
									BgL_testz00_1922 = BgL_res1677z00_1684;
								}
							}
						else
							{	/* Tools/trace.sch 53 */
								BgL_testz00_1922 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_1922)
						{	/* Tools/trace.sch 53 */
							return
								BGl_coercezd2foreignzd2appz12z12zzcoerce_appz00(BgL_funz00_1681,
								BgL_callerz00_1657, ((BgL_appz00_bglt) BgL_nodez00_1656),
								BgL_toz00_1658, BgL_safez00_1659);
						}
					else
						{	/* Tools/trace.sch 53 */
							return
								BGl_coercezd2bigloozd2appz12z12zzcoerce_appz00(BgL_funz00_1681,
								BgL_callerz00_1657, ((BgL_appz00_bglt) BgL_nodez00_1656),
								BgL_toz00_1658, BgL_safez00_1659);
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_appz00()
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1685z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 209108747),
				BSTRING_TO_STRING(BGl_string1685z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1685z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1685z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1685z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1685z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1685z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1685z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1685z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1685z00zzcoerce_appz00));
			return
				BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 87995645),
				BSTRING_TO_STRING(BGl_string1685z00zzcoerce_appz00));
		}
	}

#ifdef __cplusplus
}
#endif
