/*===========================================================================*/
/*   (Integrate/loc2glo.scm)                                                 */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/loc2glo.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
		obj_t BgL_xhdlz00;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	extern obj_t BGl_zb2zd2arityz60zztools_argsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62thezd2globalzb0zzintegrate_localzd2ze3globalz31(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_localzd2ze3globalz31();
	static obj_t
		BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31
		(BgL_localz00_bglt);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzintegrate_localzd2ze3globalz31(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_localzd2ze3globalz31();
	extern obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_svarz00zzast_varz00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_localzd2ze3globalz31();
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31
		= BUNSPEC;
	static obj_t BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31();
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_localzd2ze3globalz31();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
	static obj_t
		BGl_z62localzd2ze3globalz53zzintegrate_localzd2ze3globalz31(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31();
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
	static obj_t
		BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string1682z00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_string1682za700za7za7i1689za7, "'", 1);
	      DEFINE_STRING(BGl_string1683z00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_string1683za700za7za7i1690za7, "~", 1);
	      DEFINE_STRING(BGl_string1684z00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_string1684za700za7za7i1691za7, "integrate_local->global", 23);
	      DEFINE_STRING(BGl_string1685z00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_string1685za700za7za7i1692za7, "now a-integrated-body sfun ", 27);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2ze3globalzd2envze3zzintegrate_localzd2ze3globalz31,
		BgL_bgl_za762localza7d2za7e3gl1693za7,
		BGl_z62localzd2ze3globalz53zzintegrate_localzd2ze3globalz31, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_thezd2globalzd2envz00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_za762theza7d2globalza71694za7,
		BGl_z62thezd2globalzb0zzintegrate_localzd2ze3globalz31, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*)
			(&BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31));
		     ADD_ROOT((void
				*) (&BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long
		BgL_checksumz00_1826, char *BgL_fromz00_1827)
	{
		AN_OBJECT;
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_localzd2ze3globalz31();
					BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
					BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31();
					BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
					return BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31()
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"integrate_local->global");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31()
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 15 */
			{	/* Integrate/loc2glo.scm 15 */
				obj_t BgL_cportz00_1813;

				{	/* Integrate/loc2glo.scm 15 */
					obj_t BgL_startz00_1822;

					BgL_startz00_1822 = BINT(((long) 0));
					{	/* Integrate/loc2glo.scm 15 */
						obj_t BgL_endz00_1823;

						BgL_endz00_1823 =
							BINT(STRING_LENGTH
							(BGl_string1685z00zzintegrate_localzd2ze3globalz31));
						{	/* Integrate/loc2glo.scm 15 */

							BgL_cportz00_1813 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1685z00zzintegrate_localzd2ze3globalz31,
								BgL_startz00_1822, BgL_endz00_1823);
				}}}
				{
					long BgL_iz00_1814;

					BgL_iz00_1814 = ((long) 2);
				BgL_loopz00_1815:
					if ((BgL_iz00_1814 == ((long) -1)))
						{	/* Integrate/loc2glo.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/loc2glo.scm 15 */
							{	/* Integrate/loc2glo.scm 15 */
								obj_t BgL_arg1687z00_1817;

								{	/* Integrate/loc2glo.scm 15 */

									{	/* Integrate/loc2glo.scm 15 */
										obj_t BgL_locationz00_1819;

										BgL_locationz00_1819 = BBOOL(((bool_t) 0));
										{	/* Integrate/loc2glo.scm 15 */

											BgL_arg1687z00_1817 =
												BGl_readz00zz__readerz00(BgL_cportz00_1813,
												BgL_locationz00_1819);
										}
									}
								}
								{	/* Integrate/loc2glo.scm 15 */
									int BgL_tmpz00_1851;

									BgL_tmpz00_1851 = (int) (BgL_iz00_1814);
									CNST_TABLE_SET(BgL_tmpz00_1851, BgL_arg1687z00_1817);
							}}
							{	/* Integrate/loc2glo.scm 15 */
								int BgL_auxz00_1820;

								BgL_auxz00_1820 = (int) ((BgL_iz00_1814 - ((long) 1)));
								{
									long BgL_iz00_1856;

									BgL_iz00_1856 = (long) (BgL_auxz00_1820);
									BgL_iz00_1814 = BgL_iz00_1856;
									goto BgL_loopz00_1815;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_localzd2ze3globalz31()
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31()
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 15 */
			return (BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31 =
				bstring_to_symbol(BGl_string1682z00zzintegrate_localzd2ze3globalz31),
				BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_localzd2ze3globalz31(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1433;

				BgL_headz00_1433 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1434;
					obj_t BgL_tailz00_1435;

					BgL_prevz00_1434 = BgL_headz00_1433;
					BgL_tailz00_1435 = BgL_l1z00_1;
				BgL_loopz00_1436:
					if (PAIRP(BgL_tailz00_1435))
						{
							obj_t BgL_newzd2prevzd2_1438;

							BgL_newzd2prevzd2_1438 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1435), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1434, BgL_newzd2prevzd2_1438);
							{
								obj_t BgL_tailz00_1867;
								obj_t BgL_prevz00_1866;

								BgL_prevz00_1866 = BgL_newzd2prevzd2_1438;
								BgL_tailz00_1867 = CDR(BgL_tailz00_1435);
								BgL_tailz00_1435 = BgL_tailz00_1867;
								BgL_prevz00_1434 = BgL_prevz00_1866;
								goto BgL_loopz00_1436;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1433);
				}
			}
		}
	}



/* local->global */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt
		BgL_localz00_3)
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 35 */
			{	/* Integrate/loc2glo.scm 38 */
				obj_t BgL_globalz00_1441;

				BgL_globalz00_1441 =
					BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_3);
				{	/* Integrate/loc2glo.scm 38 */
					obj_t BgL_kapturedz00_1442;

					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_1871;

						{
							obj_t BgL_auxz00_1872;

							{	/* Integrate/loc2glo.scm 39 */
								BgL_objectz00_bglt BgL_tmpz00_1873;

								BgL_tmpz00_1873 =
									((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_localz00_3)))->
											BgL_valuez00)));
								BgL_auxz00_1872 = BGL_OBJECT_WIDENING(BgL_tmpz00_1873);
							}
							BgL_auxz00_1871 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_1872);
						}
						BgL_kapturedz00_1442 =
							(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1871))->
							BgL_kapturedz00);
					}
					{	/* Integrate/loc2glo.scm 39 */
						obj_t BgL_addzd2argszd2_1443;

						if (NULLP(BgL_kapturedz00_1442))
							{	/* Integrate/loc2glo.scm 40 */
								BgL_addzd2argszd2_1443 = BNIL;
							}
						else
							{	/* Integrate/loc2glo.scm 40 */
								obj_t BgL_head1255z00_1501;

								{	/* Integrate/loc2glo.scm 40 */
									obj_t BgL_res1666z00_1737;

									BgL_res1666z00_1737 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									BgL_head1255z00_1501 = BgL_res1666z00_1737;
								}
								{
									obj_t BgL_l1253z00_1503;
									obj_t BgL_tail1256z00_1504;

									BgL_l1253z00_1503 = BgL_kapturedz00_1442;
									BgL_tail1256z00_1504 = BgL_head1255z00_1501;
								BgL_zc3anonymousza31416ze3z83_1505:
									if (NULLP(BgL_l1253z00_1503))
										{	/* Integrate/loc2glo.scm 40 */
											BgL_addzd2argszd2_1443 = CDR(BgL_head1255z00_1501);
										}
									else
										{	/* Integrate/loc2glo.scm 40 */
											obj_t BgL_newtail1257z00_1507;

											{	/* Integrate/loc2glo.scm 40 */
												BgL_localz00_bglt BgL_arg1436z00_1509;

												{	/* Integrate/loc2glo.scm 40 */
													obj_t BgL_oldz00_1510;

													BgL_oldz00_1510 = CAR(BgL_l1253z00_1503);
													{	/* Integrate/loc2glo.scm 42 */
														BgL_svarz00_bglt BgL_arg1437z00_1511;

														{	/* Integrate/loc2glo.scm 42 */
															BgL_svarz00_bglt BgL_duplicated1110z00_1512;
															BgL_svarz00_bglt BgL_new1108z00_1513;

															BgL_duplicated1110z00_1512 =
																((BgL_svarz00_bglt)
																(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_oldz00_1510))))->BgL_valuez00));
															{	/* Integrate/loc2glo.scm 42 */
																BgL_svarz00_bglt BgL_tmp1117z00_1519;
																BgL_svarzf2iinfozf2_bglt BgL_wide1118z00_1520;

																{
																	BgL_svarz00_bglt BgL_auxz00_1892;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_svarz00_bglt BgL_new1116z00_1522;

																		BgL_new1116z00_1522 =
																			((BgL_svarz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_svarz00_bgl))));
																		{	/* Integrate/loc2glo.scm 42 */
																			long BgL_arg1454z00_1523;

																			{	/* Integrate/loc2glo.scm 42 */
																				long BgL_res1668z00_1743;

																				BgL_res1668z00_1743 =
																					BGL_CLASS_INDEX
																					(BGl_svarz00zzast_varz00);
																				BgL_arg1454z00_1523 =
																					BgL_res1668z00_1743;
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1116z00_1522),
																				BgL_arg1454z00_1523);
																		}
																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_tmpz00_1897;

																			BgL_tmpz00_1897 =
																				((BgL_objectz00_bglt)
																				BgL_new1116z00_1522);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1897,
																				BFALSE);
																		}
																		BgL_auxz00_1892 = BgL_new1116z00_1522;
																	}
																	BgL_tmp1117z00_1519 =
																		((BgL_svarz00_bglt) BgL_auxz00_1892);
																}
																BgL_wide1118z00_1520 =
																	((BgL_svarzf2iinfozf2_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_svarzf2iinfozf2_bgl))));
																{	/* Integrate/loc2glo.scm 42 */
																	obj_t BgL_auxz00_1904;
																	BgL_objectz00_bglt BgL_tmpz00_1902;

																	BgL_auxz00_1904 =
																		((obj_t) BgL_wide1118z00_1520);
																	BgL_tmpz00_1902 =
																		((BgL_objectz00_bglt) BgL_tmp1117z00_1519);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1902,
																		BgL_auxz00_1904);
																}
																{	/* Integrate/loc2glo.scm 42 */
																	long BgL_arg1446z00_1521;

																	{	/* Integrate/loc2glo.scm 42 */
																		long BgL_res1669z00_1747;

																		BgL_res1669z00_1747 =
																			BGL_CLASS_INDEX
																			(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
																		BgL_arg1446z00_1521 = BgL_res1669z00_1747;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_tmp1117z00_1519),
																		BgL_arg1446z00_1521);
																}
																BgL_new1108z00_1513 =
																	((BgL_svarz00_bglt) BgL_tmp1117z00_1519);
															}
															((((BgL_svarz00_bglt) CREF(
																			((BgL_svarz00_bglt)
																				BgL_new1108z00_1513)))->BgL_locz00) =
																((obj_t) (((BgL_svarz00_bglt)
																			CREF(BgL_duplicated1110z00_1512))->
																		BgL_locz00)), BUNSPEC);
															{
																obj_t BgL_auxz00_1920;
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_1914;

																{
																	BgL_svarzf2iinfozf2_bglt BgL_auxz00_1921;

																	{
																		obj_t BgL_auxz00_1922;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_tmpz00_1923;

																			BgL_tmpz00_1923 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_duplicated1110z00_1512));
																			BgL_auxz00_1922 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_1923);
																		}
																		BgL_auxz00_1921 =
																			((BgL_svarzf2iinfozf2_bglt)
																			BgL_auxz00_1922);
																	}
																	BgL_auxz00_1920 =
																		(((BgL_svarzf2iinfozf2_bglt)
																			CREF(BgL_auxz00_1921))->BgL_fzd2markzd2);
																}
																{
																	obj_t BgL_auxz00_1915;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_objectz00_bglt BgL_tmpz00_1916;

																		BgL_tmpz00_1916 =
																			((BgL_objectz00_bglt)
																			BgL_new1108z00_1513);
																		BgL_auxz00_1915 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_1916);
																	}
																	BgL_auxz00_1914 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_1915);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			CREF(BgL_auxz00_1914))->BgL_fzd2markzd2) =
																	((obj_t) BgL_auxz00_1920), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_1936;
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_1930;

																{
																	BgL_svarzf2iinfozf2_bglt BgL_auxz00_1937;

																	{
																		obj_t BgL_auxz00_1938;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_tmpz00_1939;

																			BgL_tmpz00_1939 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_duplicated1110z00_1512));
																			BgL_auxz00_1938 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_1939);
																		}
																		BgL_auxz00_1937 =
																			((BgL_svarzf2iinfozf2_bglt)
																			BgL_auxz00_1938);
																	}
																	BgL_auxz00_1936 =
																		(((BgL_svarzf2iinfozf2_bglt)
																			CREF(BgL_auxz00_1937))->BgL_uzd2markzd2);
																}
																{
																	obj_t BgL_auxz00_1931;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_objectz00_bglt BgL_tmpz00_1932;

																		BgL_tmpz00_1932 =
																			((BgL_objectz00_bglt)
																			BgL_new1108z00_1513);
																		BgL_auxz00_1931 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_1932);
																	}
																	BgL_auxz00_1930 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_1931);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			CREF(BgL_auxz00_1930))->BgL_uzd2markzd2) =
																	((obj_t) BgL_auxz00_1936), BUNSPEC);
															}
															{
																bool_t BgL_auxz00_1952;
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_1946;

																{
																	BgL_svarzf2iinfozf2_bglt BgL_auxz00_1953;

																	{
																		obj_t BgL_auxz00_1954;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_tmpz00_1955;

																			BgL_tmpz00_1955 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_duplicated1110z00_1512));
																			BgL_auxz00_1954 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_1955);
																		}
																		BgL_auxz00_1953 =
																			((BgL_svarzf2iinfozf2_bglt)
																			BgL_auxz00_1954);
																	}
																	BgL_auxz00_1952 =
																		(((BgL_svarzf2iinfozf2_bglt)
																			CREF(BgL_auxz00_1953))->
																		BgL_kapturedzf3zf3);
																}
																{
																	obj_t BgL_auxz00_1947;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_objectz00_bglt BgL_tmpz00_1948;

																		BgL_tmpz00_1948 =
																			((BgL_objectz00_bglt)
																			BgL_new1108z00_1513);
																		BgL_auxz00_1947 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_1948);
																	}
																	BgL_auxz00_1946 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_1947);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			CREF(BgL_auxz00_1946))->
																		BgL_kapturedzf3zf3) =
																	((bool_t) BgL_auxz00_1952), BUNSPEC);
															}
															{
																bool_t BgL_auxz00_1968;
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_1962;

																{
																	BgL_svarzf2iinfozf2_bglt BgL_auxz00_1969;

																	{
																		obj_t BgL_auxz00_1970;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_tmpz00_1971;

																			BgL_tmpz00_1971 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_duplicated1110z00_1512));
																			BgL_auxz00_1970 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_1971);
																		}
																		BgL_auxz00_1969 =
																			((BgL_svarzf2iinfozf2_bglt)
																			BgL_auxz00_1970);
																	}
																	BgL_auxz00_1968 =
																		(((BgL_svarzf2iinfozf2_bglt)
																			CREF(BgL_auxz00_1969))->BgL_celledzf3zf3);
																}
																{
																	obj_t BgL_auxz00_1963;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_objectz00_bglt BgL_tmpz00_1964;

																		BgL_tmpz00_1964 =
																			((BgL_objectz00_bglt)
																			BgL_new1108z00_1513);
																		BgL_auxz00_1963 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_1964);
																	}
																	BgL_auxz00_1962 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_1963);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			CREF(BgL_auxz00_1962))->
																		BgL_celledzf3zf3) =
																	((bool_t) BgL_auxz00_1968), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_1984;
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_1978;

																{
																	BgL_svarzf2iinfozf2_bglt BgL_auxz00_1985;

																	{
																		obj_t BgL_auxz00_1986;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_tmpz00_1987;

																			BgL_tmpz00_1987 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_duplicated1110z00_1512));
																			BgL_auxz00_1986 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_1987);
																		}
																		BgL_auxz00_1985 =
																			((BgL_svarzf2iinfozf2_bglt)
																			BgL_auxz00_1986);
																	}
																	BgL_auxz00_1984 =
																		(((BgL_svarzf2iinfozf2_bglt)
																			CREF(BgL_auxz00_1985))->BgL_xhdlz00);
																}
																{
																	obj_t BgL_auxz00_1979;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_objectz00_bglt BgL_tmpz00_1980;

																		BgL_tmpz00_1980 =
																			((BgL_objectz00_bglt)
																			BgL_new1108z00_1513);
																		BgL_auxz00_1979 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_1980);
																	}
																	BgL_auxz00_1978 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_1979);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			CREF(BgL_auxz00_1978))->BgL_xhdlz00) =
																	((obj_t) BgL_auxz00_1984), BUNSPEC);
															}
															BgL_arg1437z00_1511 = BgL_new1108z00_1513;
														}
														BgL_arg1436z00_1509 =
															BGl_clonezd2localzd2zzast_localz00(
															((BgL_localz00_bglt) BgL_oldz00_1510),
															((BgL_valuez00_bglt) BgL_arg1437z00_1511));
												}}
												{	/* Integrate/loc2glo.scm 40 */
													obj_t BgL_res1670z00_1750;

													BgL_res1670z00_1750 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg1436z00_1509), BNIL);
													BgL_newtail1257z00_1507 = BgL_res1670z00_1750;
											}}
											SET_CDR(BgL_tail1256z00_1504, BgL_newtail1257z00_1507);
											{
												obj_t BgL_tail1256z00_2002;
												obj_t BgL_l1253z00_2000;

												BgL_l1253z00_2000 = CDR(BgL_l1253z00_1503);
												BgL_tail1256z00_2002 = BgL_newtail1257z00_1507;
												BgL_tail1256z00_1504 = BgL_tail1256z00_2002;
												BgL_l1253z00_1503 = BgL_l1253z00_2000;
												goto BgL_zc3anonymousza31416ze3z83_1505;
											}
										}
								}
							}
						{	/* Integrate/loc2glo.scm 40 */
							BgL_valuez00_bglt BgL_oldzd2funzd2_1444;

							BgL_oldzd2funzd2_1444 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_localz00_3)))->BgL_valuez00);
							{	/* Integrate/loc2glo.scm 45 */
								BgL_sfunz00_bglt BgL_newzd2funzd2_1445;

								{	/* Integrate/loc2glo.scm 46 */
									BgL_sfunz00_bglt BgL_new1119z00_1482;

									{	/* Integrate/loc2glo.scm 47 */
										BgL_sfunz00_bglt BgL_new1132z00_1497;

										BgL_new1132z00_1497 =
											((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
														BgL_sfunz00_bgl))));
										{	/* Integrate/loc2glo.scm 47 */
											long BgL_arg1414z00_1498;

											{	/* Integrate/loc2glo.scm 47 */
												long BgL_res1671z00_1755;

												BgL_res1671z00_1755 =
													BGL_CLASS_INDEX(BGl_sfunz00zzast_varz00);
												BgL_arg1414z00_1498 = BgL_res1671z00_1755;
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1132z00_1497),
												BgL_arg1414z00_1498);
										}
										{	/* Integrate/loc2glo.scm 47 */
											BgL_objectz00_bglt BgL_tmpz00_2009;

											BgL_tmpz00_2009 =
												((BgL_objectz00_bglt) BgL_new1132z00_1497);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2009, BFALSE);
										}
										BgL_new1119z00_1482 = BgL_new1132z00_1497;
									}
									{
										long BgL_auxz00_2012;

										{	/* Integrate/loc2glo.scm 47 */
											long BgL_arg1376z00_1483;
											long BgL_arg1406z00_1484;

											BgL_arg1376z00_1483 =
												(((BgL_funz00_bglt) CREF(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1444))))->
												BgL_arityz00);
											BgL_arg1406z00_1484 =
												bgl_list_length(BgL_addzd2argszd2_1443);
											BgL_auxz00_2012 =
												(long)
												CINT(BGl_zb2zd2arityz60zztools_argsz00(BINT
													(BgL_arg1376z00_1483), BINT(BgL_arg1406z00_1484)));
										}
										((((BgL_funz00_bglt) CREF(
														((BgL_funz00_bglt) BgL_new1119z00_1482)))->
												BgL_arityz00) = ((long) BgL_auxz00_2012), BUNSPEC);
									}
									((((BgL_funz00_bglt) CREF(
													((BgL_funz00_bglt) BgL_new1119z00_1482)))->
											BgL_sidezd2effectzd2) =
										((obj_t) (((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1444)))->BgL_sidezd2effectzd2)),
										BUNSPEC);
									((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
														BgL_new1119z00_1482)))->BgL_predicatezd2ofzd2) =
										((obj_t) (((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1444)))->BgL_predicatezd2ofzd2)),
										BUNSPEC);
									((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
														BgL_new1119z00_1482)))->BgL_stackzd2allocatorzd2) =
										((obj_t) (((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1444)))->
												BgL_stackzd2allocatorzd2)), BUNSPEC);
									((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
														BgL_new1119z00_1482)))->BgL_topzf3zf3) =
										((bool_t) (((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1444)))->BgL_topzf3zf3)),
										BUNSPEC);
									((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
														BgL_new1119z00_1482)))->BgL_thezd2closurezd2) =
										((obj_t) (((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1444)))->BgL_thezd2closurezd2)),
										BUNSPEC);
									((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
														BgL_new1119z00_1482)))->BgL_effectz00) =
										((obj_t) (((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1444)))->BgL_effectz00)),
										BUNSPEC);
									((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
														BgL_new1119z00_1482)))->BgL_failsafez00) =
										((obj_t) (((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1444)))->BgL_failsafez00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) CREF(BgL_new1119z00_1482))->
											BgL_propertyz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													CREF(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1444))))->BgL_propertyz00)),
										BUNSPEC);
									{
										obj_t BgL_auxz00_2055;

										{	/* Integrate/loc2glo.scm 48 */
											obj_t BgL_arg1409z00_1486;
											obj_t BgL_arg1413z00_1487;

											BgL_arg1409z00_1486 = bgl_reverse(BgL_addzd2argszd2_1443);
											BgL_arg1413z00_1487 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1444)))->
												BgL_argsz00);
											BgL_auxz00_2055 =
												BGl_appendzd221011zd2zzintegrate_localzd2ze3globalz31
												(BgL_arg1409z00_1486, BgL_arg1413z00_1487);
										}
										((((BgL_sfunz00_bglt) CREF(BgL_new1119z00_1482))->
												BgL_argsz00) = ((obj_t) BgL_auxz00_2055), BUNSPEC);
									}
									((((BgL_sfunz00_bglt) CREF(BgL_new1119z00_1482))->
											BgL_argszd2namezd2) =
										((obj_t) (((BgL_sfunz00_bglt)
													CREF(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1444))))->BgL_argszd2namezd2)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) CREF(BgL_new1119z00_1482))->
											BgL_bodyz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													CREF(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1444))))->BgL_bodyz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) CREF(BgL_new1119z00_1482))->
											BgL_classz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													CREF(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1444))))->BgL_classz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) CREF(BgL_new1119z00_1482))->
											BgL_dssslzd2keywordszd2) =
										((obj_t) (((BgL_sfunz00_bglt)
													CREF(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1444))))->
												BgL_dssslzd2keywordszd2)), BUNSPEC);
									((((BgL_sfunz00_bglt) CREF(BgL_new1119z00_1482))->
											BgL_locz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													CREF(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1444))))->BgL_locz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) CREF(BgL_new1119z00_1482))->
											BgL_optionalsz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													CREF(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1444))))->BgL_optionalsz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) CREF(BgL_new1119z00_1482))->
											BgL_keysz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													CREF(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1444))))->BgL_keysz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) CREF(BgL_new1119z00_1482))->
											BgL_thezd2closurezd2globalz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													CREF(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1444))))->
												BgL_thezd2closurezd2globalz00)), BUNSPEC);
									((((BgL_sfunz00_bglt) CREF(BgL_new1119z00_1482))->
											BgL_strengthz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													CREF(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1444))))->BgL_strengthz00)),
										BUNSPEC);
									BgL_newzd2funzd2_1445 = BgL_new1119z00_1482;
								}
								{	/* Integrate/loc2glo.scm 46 */

									{	/* Integrate/loc2glo.scm 51 */
										BgL_typez00_bglt BgL_arg1284z00_1446;

										BgL_arg1284z00_1446 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_localz00_3)))->
											BgL_typez00);
										((((BgL_variablez00_bglt)
													CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
																BgL_globalz00_1441))))->BgL_typez00) =
											((BgL_typez00_bglt) BgL_arg1284z00_1446), BUNSPEC);
									}
									{	/* Integrate/loc2glo.scm 52 */
										obj_t BgL_g1260z00_1447;

										BgL_g1260z00_1447 =
											(((BgL_sfunz00_bglt) CREF(BgL_newzd2funzd2_1445))->
											BgL_argsz00);
										{
											obj_t BgL_l1258z00_1449;

											BgL_l1258z00_1449 = BgL_g1260z00_1447;
										BgL_zc3anonymousza31285ze3z83_1450:
											if (PAIRP(BgL_l1258z00_1449))
												{	/* Integrate/loc2glo.scm 55 */
													{	/* Integrate/loc2glo.scm 53 */
														obj_t BgL_lz00_1452;

														BgL_lz00_1452 = CAR(BgL_l1258z00_1449);
														if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
																((BgL_localz00_bglt) BgL_lz00_1452)))
															{	/* Integrate/loc2glo.scm 54 */
																BgL_typez00_bglt BgL_vz00_1767;

																BgL_vz00_1767 =
																	((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00);
																((((BgL_variablez00_bglt)
																			CREF(((BgL_variablez00_bglt) (
																						(BgL_localz00_bglt)
																						BgL_lz00_1452))))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_1767), BUNSPEC);
															}
														else
															{	/* Integrate/loc2glo.scm 53 */
																BFALSE;
															}
													}
													{
														obj_t BgL_l1258z00_2113;

														BgL_l1258z00_2113 = CDR(BgL_l1258z00_1449);
														BgL_l1258z00_1449 = BgL_l1258z00_2113;
														goto BgL_zc3anonymousza31285ze3z83_1450;
													}
												}
											else
												{	/* Integrate/loc2glo.scm 55 */
													((bool_t) 1);
												}
										}
									}
									{	/* Integrate/loc2glo.scm 57 */
										obj_t BgL_arg1313z00_1456;

										{	/* Integrate/loc2glo.scm 57 */
											obj_t BgL_arg1316z00_1457;
											obj_t BgL_arg1317z00_1458;

											BgL_arg1316z00_1457 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1444)))->
												BgL_bodyz00);
											if (NULLP(BgL_kapturedz00_1442))
												{	/* Integrate/loc2glo.scm 59 */
													BgL_arg1317z00_1458 = BNIL;
												}
											else
												{	/* Integrate/loc2glo.scm 59 */
													obj_t BgL_head1263z00_1462;

													{	/* Integrate/loc2glo.scm 59 */
														obj_t BgL_arg1367z00_1478;

														BgL_arg1367z00_1478 =
															MAKE_YOUNG_PAIR(CAR(BgL_kapturedz00_1442),
															CAR(BgL_addzd2argszd2_1443));
														{	/* Integrate/loc2glo.scm 59 */
															obj_t BgL_res1674z00_1773;

															BgL_res1674z00_1773 =
																MAKE_YOUNG_PAIR(BgL_arg1367z00_1478, BNIL);
															BgL_head1263z00_1462 = BgL_res1674z00_1773;
														}
													}
													{	/* Integrate/loc2glo.scm 59 */
														obj_t BgL_g1267z00_1463;
														obj_t BgL_g1268z00_1464;

														BgL_g1267z00_1463 = CDR(BgL_kapturedz00_1442);
														BgL_g1268z00_1464 = CDR(BgL_addzd2argszd2_1443);
														{
															obj_t BgL_ll1261z00_1466;
															obj_t BgL_ll1262z00_1467;
															obj_t BgL_tail1264z00_1468;

															BgL_ll1261z00_1466 = BgL_g1267z00_1463;
															BgL_ll1262z00_1467 = BgL_g1268z00_1464;
															BgL_tail1264z00_1468 = BgL_head1263z00_1462;
														BgL_zc3anonymousza31319ze3z83_1469:
															if (NULLP(BgL_ll1261z00_1466))
																{	/* Integrate/loc2glo.scm 59 */
																	BgL_arg1317z00_1458 = BgL_head1263z00_1462;
																}
															else
																{	/* Integrate/loc2glo.scm 59 */
																	obj_t BgL_newtail1265z00_1471;

																	{	/* Integrate/loc2glo.scm 59 */
																		obj_t BgL_arg1332z00_1474;

																		BgL_arg1332z00_1474 =
																			MAKE_YOUNG_PAIR(CAR(BgL_ll1261z00_1466),
																			CAR(BgL_ll1262z00_1467));
																		{	/* Integrate/loc2glo.scm 59 */
																			obj_t BgL_res1676z00_1779;

																			BgL_res1676z00_1779 =
																				MAKE_YOUNG_PAIR(BgL_arg1332z00_1474,
																				BNIL);
																			BgL_newtail1265z00_1471 =
																				BgL_res1676z00_1779;
																		}
																	}
																	SET_CDR(BgL_tail1264z00_1468,
																		BgL_newtail1265z00_1471);
																	{
																		obj_t BgL_tail1264z00_2136;
																		obj_t BgL_ll1262z00_2134;
																		obj_t BgL_ll1261z00_2132;

																		BgL_ll1261z00_2132 =
																			CDR(BgL_ll1261z00_1466);
																		BgL_ll1262z00_2134 =
																			CDR(BgL_ll1262z00_1467);
																		BgL_tail1264z00_2136 =
																			BgL_newtail1265z00_1471;
																		BgL_tail1264z00_1468 = BgL_tail1264z00_2136;
																		BgL_ll1262z00_1467 = BgL_ll1262z00_2134;
																		BgL_ll1261z00_1466 = BgL_ll1261z00_2132;
																		goto BgL_zc3anonymousza31319ze3z83_1469;
																	}
																}
														}
													}
												}
											BgL_arg1313z00_1456 =
												BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_arg1316z00_1457),
												((BgL_variablez00_bglt) BgL_localz00_3),
												BgL_arg1317z00_1458);
										}
										((((BgL_sfunz00_bglt) CREF(BgL_newzd2funzd2_1445))->
												BgL_bodyz00) = ((obj_t) BgL_arg1313z00_1456), BUNSPEC);
									}
									((((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_1441))))->
											BgL_valuez00) =
										((BgL_valuez00_bglt) ((BgL_valuez00_bglt)
												BgL_newzd2funzd2_1445)), BUNSPEC);
									return BgL_globalz00_1441;
								}
							}
						}
					}
				}
			}
		}
	}



/* &local->global */
	obj_t BGl_z62localzd2ze3globalz53zzintegrate_localzd2ze3globalz31(obj_t
		BgL_envz00_1809, obj_t BgL_localz00_1810)
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 35 */
			return
				BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(
				((BgL_localz00_bglt) BgL_localz00_1810));
		}
	}



/* local-id->global-id */
	obj_t
		BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31
		(BgL_localz00_bglt BgL_localz00_4)
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 73 */
			{	/* Integrate/loc2glo.scm 74 */
				obj_t BgL_pz00_1526;

				{	/* Integrate/loc2glo.scm 74 */
					obj_t BgL_arg1485z00_1540;

					{	/* Integrate/loc2glo.scm 74 */
						obj_t BgL_arg1490z00_1541;

						BgL_arg1490z00_1541 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_localz00_4)))->BgL_idz00);
						{	/* Integrate/loc2glo.scm 74 */
							obj_t BgL_res1677z00_1789;

							{	/* Integrate/loc2glo.scm 74 */
								obj_t BgL_arg1377z00_1788;

								BgL_arg1377z00_1788 = SYMBOL_TO_STRING(BgL_arg1490z00_1541);
								BgL_res1677z00_1789 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1377z00_1788);
							}
							BgL_arg1485z00_1540 = BgL_res1677z00_1789;
						}
					}
					BgL_pz00_1526 =
						string_append(BgL_arg1485z00_1540,
						BGl_string1683z00zzintegrate_localzd2ze3globalz31);
				}
				{
					long BgL_countz00_1528;

					BgL_countz00_1528 = ((long) 0);
				BgL_zc3anonymousza31461ze3z83_1529:
					{	/* Integrate/loc2glo.scm 76 */
						obj_t BgL_idz00_1530;

						{	/* Integrate/loc2glo.scm 76 */
							obj_t BgL_arg1481z00_1535;

							{	/* Integrate/loc2glo.scm 76 */
								obj_t BgL_arg1484z00_1536;

								{	/* Integrate/loc2glo.scm 76 */

									BgL_arg1484z00_1536 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_countz00_1528, ((long) 10));
								}
								BgL_arg1481z00_1535 =
									string_append(BgL_pz00_1526, BgL_arg1484z00_1536);
							}
							BgL_idz00_1530 = bstring_to_symbol(BgL_arg1481z00_1535);
						}
						{	/* Integrate/loc2glo.scm 77 */
							bool_t BgL_testz00_2155;

							{	/* Integrate/loc2glo.scm 77 */
								obj_t BgL_arg1470z00_1534;

								BgL_arg1470z00_1534 =
									BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1530,
									BGl_za2moduleza2z00zzmodule_modulez00);
								BgL_testz00_2155 =
									BGl_isazf3zf3zz__objectz00(BgL_arg1470z00_1534,
									BGl_globalz00zzast_varz00);
							}
							if (BgL_testz00_2155)
								{
									long BgL_countz00_2158;

									BgL_countz00_2158 = (BgL_countz00_1528 + ((long) 1));
									BgL_countz00_1528 = BgL_countz00_2158;
									goto BgL_zc3anonymousza31461ze3z83_1529;
								}
							else
								{	/* Integrate/loc2glo.scm 77 */
									return BgL_idz00_1530;
								}
						}
					}
				}
			}
		}
	}



/* the-global */
	BGL_EXPORTED_DEF obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt
		BgL_localz00_5)
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 84 */
			{	/* Integrate/loc2glo.scm 85 */
				BgL_valuez00_bglt BgL_valuez00_1542;

				BgL_valuez00_1542 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_localz00_5)))->BgL_valuez00);
				{	/* Integrate/loc2glo.scm 86 */
					bool_t BgL_testz00_2162;

					{	/* Integrate/loc2glo.scm 86 */
						obj_t BgL_arg1510z00_1552;

						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2163;

							{
								obj_t BgL_auxz00_2164;

								{	/* Integrate/loc2glo.scm 86 */
									BgL_objectz00_bglt BgL_tmpz00_2165;

									BgL_tmpz00_2165 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_valuez00_1542));
									BgL_auxz00_2164 = BGL_OBJECT_WIDENING(BgL_tmpz00_2165);
								}
								BgL_auxz00_2163 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2164);
							}
							BgL_arg1510z00_1552 =
								(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_2163))->
								BgL_globalz00);
						}
						BgL_testz00_2162 =
							BGl_isazf3zf3zz__objectz00(BgL_arg1510z00_1552,
							BGl_globalz00zzast_varz00);
					}
					if (BgL_testz00_2162)
						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2172;

							{
								obj_t BgL_auxz00_2173;

								{	/* Integrate/loc2glo.scm 87 */
									BgL_objectz00_bglt BgL_tmpz00_2174;

									BgL_tmpz00_2174 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_valuez00_1542));
									BgL_auxz00_2173 = BGL_OBJECT_WIDENING(BgL_tmpz00_2174);
								}
								BgL_auxz00_2172 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2173);
							}
							return
								(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_2172))->
								BgL_globalz00);
						}
					else
						{	/* Integrate/loc2glo.scm 88 */
							obj_t BgL_idz00_1545;

							BgL_idz00_1545 =
								BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31
								(BgL_localz00_5);
							{	/* Integrate/loc2glo.scm 88 */
								BgL_globalz00_bglt BgL_globalz00_1546;

								BgL_globalz00_1546 =
									BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
									(BgL_idz00_1545, BNIL, BNIL,
									BGl_za2moduleza2z00zzmodule_modulez00,
									CNST_TABLE_REF(((long) 0)), CNST_TABLE_REF(((long) 1)),
									CNST_TABLE_REF(((long) 2)), BUNSPEC);
								{	/* Integrate/loc2glo.scm 89 */

									{	/* Integrate/loc2glo.scm 102 */
										BgL_valuez00_bglt BgL_arg1494z00_1547;
										obj_t BgL_arg1504z00_1548;

										BgL_arg1494z00_1547 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_globalz00_1546)))->
											BgL_valuez00);
										BgL_arg1504z00_1548 =
											(((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
														BgL_valuez00_1542)))->BgL_locz00);
										((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
															BgL_arg1494z00_1547)))->BgL_locz00) =
											((obj_t) BgL_arg1504z00_1548), BUNSPEC);
									}
									if (
										(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_localz00_5)))->
											BgL_userzf3zf3))
										{	/* Integrate/loc2glo.scm 104 */
											BFALSE;
										}
									else
										{	/* Integrate/loc2glo.scm 104 */
											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_globalz00_1546)))->
													BgL_userzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
										}
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2196;

										{
											obj_t BgL_auxz00_2197;

											{	/* Integrate/loc2glo.scm 106 */
												BgL_objectz00_bglt BgL_tmpz00_2198;

												BgL_tmpz00_2198 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_valuez00_1542));
												BgL_auxz00_2197 = BGL_OBJECT_WIDENING(BgL_tmpz00_2198);
											}
											BgL_auxz00_2196 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2197);
										}
										((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_2196))->
												BgL_globalz00) =
											((obj_t) ((obj_t) BgL_globalz00_1546)), BUNSPEC);
									}
									{	/* Integrate/loc2glo.scm 107 */
										BgL_valuez00_bglt BgL_arg1507z00_1550;
										obj_t BgL_arg1509z00_1551;

										BgL_arg1507z00_1550 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_globalz00_1546)))->
											BgL_valuez00);
										BgL_arg1509z00_1551 =
											(((BgL_funz00_bglt)
												CREF(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
															BgL_valuez00_1542))))->BgL_sidezd2effectzd2);
										((((BgL_funz00_bglt)
													CREF(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																BgL_arg1507z00_1550))))->BgL_sidezd2effectzd2) =
											((obj_t) BgL_arg1509z00_1551), BUNSPEC);
									}
									return ((obj_t) BgL_globalz00_1546);
								}
							}
						}
				}
			}
		}
	}



/* &the-global */
	obj_t BGl_z62thezd2globalzb0zzintegrate_localzd2ze3globalz31(obj_t
		BgL_envz00_1811, obj_t BgL_localz00_1812)
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 84 */
			return
				BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
				((BgL_localz00_bglt) BgL_localz00_1812));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_localzd2ze3globalz31()
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_localzd2ze3globalz31()
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_localzd2ze3globalz31()
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31()
	{
		AN_OBJECT;
		{	/* Integrate/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1684z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1684z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1684z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1684z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1684z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1684z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1684z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1684z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string1684z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1684z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1684z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1684z00zzintegrate_localzd2ze3globalz31));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_nodez00(((long) 347237104),
				BSTRING_TO_STRING(BGl_string1684z00zzintegrate_localzd2ze3globalz31));
		}
	}

#ifdef __cplusplus
}
#endif
