/*===========================================================================*/
/*   (Object/method.scm)                                                     */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/method.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzobject_methodz00();
	BGL_EXPORTED_DECL obj_t BGl_markzd2methodz12zc0zzobject_methodz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static bool_t BGl_dssslzd2methodzf3z21zzobject_methodz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_methodz00();
	static obj_t BGl_z62makezd2methodzd2bodyz62zzobject_methodz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_z62markzd2methodz12za2zzobject_methodz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzobject_methodz00();
	BGL_IMPORT obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_methodz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2iszd2methodzf3z91zzobject_methodz00(obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_za2methodsza2z00zzobject_methodz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzobject_methodz00();
	BGL_EXPORTED_DECL obj_t BGl_makezd2methodzd2bodyz00zzobject_methodz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_methodz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_methodz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_methodz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_methodz00();
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_methodz00();
	BGL_EXPORTED_DECL bool_t
		BGl_localzd2iszd2methodzf3zf3zzobject_methodz00(BgL_localz00_bglt);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_pairzd2ze3listz31zzobject_methodz00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[13];


	   
		 
		DEFINE_STRING(BGl_string1644z00zzobject_methodz00,
		BgL_bgl_string1644za700za7za7o1660za7, "\"); ", 4);
	      DEFINE_STRING(BGl_string1645z00zzobject_methodz00,
		BgL_bgl_string1645za700za7za7o1661za7, " ::", 3);
	      DEFINE_STRING(BGl_string1646z00zzobject_methodz00,
		BgL_bgl_string1646za700za7za7o1662za7,
		"bgl_init_module_debug_string( \"generic-add-method: ", 51);
	      DEFINE_STRING(BGl_string1647z00zzobject_methodz00,
		BgL_bgl_string1647za700za7za7o1663za7, "Can't find generic for method", 29);
	      DEFINE_STRING(BGl_string1648z00zzobject_methodz00,
		BgL_bgl_string1648za700za7za7o1664za7,
		"method has a non-class dispatching type arg", 43);
	      DEFINE_STRING(BGl_string1649z00zzobject_methodz00,
		BgL_bgl_string1649za700za7za7o1665za7, "object_method", 13);
	      DEFINE_STRING(BGl_string1650z00zzobject_methodz00,
		BgL_bgl_string1650za700za7za7o1666za7,
		"(quote method-definition-error) generic-add-method! pragma::void module labels call-next-method let apply cons* find-super-class-method @ - next-method ",
		152);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_markzd2methodz12zd2envz12zzobject_methodz00,
		BgL_bgl_za762markza7d2method1667z00,
		BGl_z62markzd2methodz12za2zzobject_methodz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2iszd2methodzf3zd2envz21zzobject_methodz00,
		BgL_bgl_za762localza7d2isza7d21668za7,
		BGl_z62localzd2iszd2methodzf3z91zzobject_methodz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2methodzd2bodyzd2envzd2zzobject_methodz00,
		BgL_bgl_za762makeza7d2method1669z00,
		BGl_z62makezd2methodzd2bodyz62zzobject_methodz00, 0L, BUNSPEC, 5);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzobject_methodz00));
		     ADD_ROOT((void *) (&BGl_za2methodsza2z00zzobject_methodz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_methodz00(long
		BgL_checksumz00_1097, char *BgL_fromz00_1098)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_methodz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_methodz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzobject_methodz00();
					BGl_libraryzd2moduleszd2initz00zzobject_methodz00();
					BGl_cnstzd2initzd2zzobject_methodz00();
					BGl_importedzd2moduleszd2initz00zzobject_methodz00();
					return BGl_toplevelzd2initzd2zzobject_methodz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "object_method");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "object_method");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"object_method");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			{	/* Object/method.scm 15 */
				obj_t BgL_cportz00_1084;

				{	/* Object/method.scm 15 */
					obj_t BgL_startz00_1093;

					BgL_startz00_1093 = BINT(((long) 0));
					{	/* Object/method.scm 15 */
						obj_t BgL_endz00_1094;

						BgL_endz00_1094 =
							BINT(STRING_LENGTH(BGl_string1650z00zzobject_methodz00));
						{	/* Object/method.scm 15 */

							BgL_cportz00_1084 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1650z00zzobject_methodz00, BgL_startz00_1093,
								BgL_endz00_1094);
				}}}
				{
					long BgL_iz00_1085;

					BgL_iz00_1085 = ((long) 12);
				BgL_loopz00_1086:
					if ((BgL_iz00_1085 == ((long) -1)))
						{	/* Object/method.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/method.scm 15 */
							{	/* Object/method.scm 15 */
								obj_t BgL_arg1658z00_1088;

								{	/* Object/method.scm 15 */

									{	/* Object/method.scm 15 */
										obj_t BgL_locationz00_1090;

										BgL_locationz00_1090 = BBOOL(((bool_t) 0));
										{	/* Object/method.scm 15 */

											BgL_arg1658z00_1088 =
												BGl_readz00zz__readerz00(BgL_cportz00_1084,
												BgL_locationz00_1090);
										}
									}
								}
								{	/* Object/method.scm 15 */
									int BgL_tmpz00_1124;

									BgL_tmpz00_1124 = (int) (BgL_iz00_1085);
									CNST_TABLE_SET(BgL_tmpz00_1124, BgL_arg1658z00_1088);
							}}
							{	/* Object/method.scm 15 */
								int BgL_auxz00_1091;

								BgL_auxz00_1091 = (int) ((BgL_iz00_1085 - ((long) 1)));
								{
									long BgL_iz00_1129;

									BgL_iz00_1129 = (long) (BgL_auxz00_1091);
									BgL_iz00_1085 = BgL_iz00_1129;
									goto BgL_loopz00_1086;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			return (BGl_za2methodsza2z00zzobject_methodz00 = BNIL, BUNSPEC);
		}
	}



/* make-method-body */
	BGL_EXPORTED_DEF obj_t BGl_makezd2methodzd2bodyz00zzobject_methodz00(obj_t
		BgL_identz00_3, obj_t BgL_argsz00_4, obj_t BgL_localsz00_5,
		obj_t BgL_bodyz00_6, obj_t BgL_srcz00_7)
	{
		AN_OBJECT;
		{	/* Object/method.scm 35 */
			{	/* Object/method.scm 36 */
				obj_t BgL_idz00_735;

				BgL_idz00_735 =
					BGl_idzd2ofzd2idz00zzast_identz00(BgL_identz00_3,
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_7));
				{	/* Object/method.scm 36 */
					obj_t BgL_metz00_736;

					BgL_metz00_736 =
						BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 0)));
					{	/* Object/method.scm 37 */
						long BgL_arityz00_737;

						BgL_arityz00_737 =
							BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_4);
						{	/* Object/method.scm 38 */
							bool_t BgL_dssslz00_738;

							BgL_dssslz00_738 =
								BGl_dssslzd2methodzf3z21zzobject_methodz00(BgL_argsz00_4);
							{	/* Object/method.scm 39 */
								obj_t BgL_argszd2idzd2_739;

								if (BgL_dssslz00_738)
									{	/* Object/method.scm 40 */
										BgL_argszd2idzd2_739 =
											BGl_pairzd2ze3listz31zzobject_methodz00
											(BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
											(BgL_argsz00_4, BGl_errorzd2envzd2zz__errorz00,
												((bool_t) 0)));
									}
								else
									{	/* Object/method.scm 40 */
										if (NULLP(BgL_localsz00_5))
											{	/* Object/method.scm 42 */
												BgL_argszd2idzd2_739 = BNIL;
											}
										else
											{	/* Object/method.scm 42 */
												obj_t BgL_head1165z00_845;

												{	/* Object/method.scm 42 */
													obj_t BgL_arg1533z00_857;

													BgL_arg1533z00_857 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt)
																		CAR(BgL_localsz00_5)))))->BgL_idz00);
													{	/* Object/method.scm 42 */
														obj_t BgL_res1617z00_997;

														BgL_res1617z00_997 =
															MAKE_YOUNG_PAIR(BgL_arg1533z00_857, BNIL);
														BgL_head1165z00_845 = BgL_res1617z00_997;
													}
												}
												{	/* Object/method.scm 42 */
													obj_t BgL_g1168z00_846;

													BgL_g1168z00_846 = CDR(BgL_localsz00_5);
													{
														obj_t BgL_l1163z00_848;
														obj_t BgL_tail1166z00_849;

														BgL_l1163z00_848 = BgL_g1168z00_846;
														BgL_tail1166z00_849 = BgL_head1165z00_845;
													BgL_zc3anonymousza31513ze3z83_850:
														if (NULLP(BgL_l1163z00_848))
															{	/* Object/method.scm 42 */
																BgL_argszd2idzd2_739 = BgL_head1165z00_845;
															}
														else
															{	/* Object/method.scm 42 */
																obj_t BgL_newtail1167z00_852;

																{	/* Object/method.scm 42 */
																	obj_t BgL_arg1527z00_854;

																	BgL_arg1527z00_854 =
																		(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						CAR(BgL_l1163z00_848)))))->
																		BgL_idz00);
																	{	/* Object/method.scm 42 */
																		obj_t BgL_res1619z00_1002;

																		BgL_res1619z00_1002 =
																			MAKE_YOUNG_PAIR(BgL_arg1527z00_854, BNIL);
																		BgL_newtail1167z00_852 =
																			BgL_res1619z00_1002;
																	}
																}
																SET_CDR(BgL_tail1166z00_849,
																	BgL_newtail1167z00_852);
																{
																	obj_t BgL_tail1166z00_1159;
																	obj_t BgL_l1163z00_1157;

																	BgL_l1163z00_1157 = CDR(BgL_l1163z00_848);
																	BgL_tail1166z00_1159 = BgL_newtail1167z00_852;
																	BgL_tail1166z00_849 = BgL_tail1166z00_1159;
																	BgL_l1163z00_848 = BgL_l1163z00_1157;
																	goto BgL_zc3anonymousza31513ze3z83_850;
																}
															}
													}
												}
											}
									}
								{	/* Object/method.scm 40 */
									BgL_typez00_bglt BgL_typez00_740;

									BgL_typez00_740 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt)
														CAR(BgL_localsz00_5)))))->BgL_typez00);
									{	/* Object/method.scm 43 */
										obj_t BgL_mzd2idzd2_741;

										{	/* Object/method.scm 44 */
											obj_t BgL_arg1494z00_836;

											{	/* Object/method.scm 44 */
												obj_t BgL_arg1504z00_837;

												BgL_arg1504z00_837 =
													(((BgL_typez00_bglt) CREF(BgL_typez00_740))->
													BgL_idz00);
												{	/* Object/method.scm 44 */
													obj_t BgL_list1505z00_838;

													{	/* Object/method.scm 44 */
														obj_t BgL_arg1507z00_839;

														{	/* Object/method.scm 44 */
															obj_t BgL_arg1509z00_840;

															BgL_arg1509z00_840 =
																MAKE_YOUNG_PAIR(BgL_arg1504z00_837, BNIL);
															BgL_arg1507z00_839 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 1)),
																BgL_arg1509z00_840);
														}
														BgL_list1505z00_838 =
															MAKE_YOUNG_PAIR(BgL_idz00_735,
															BgL_arg1507z00_839);
													}
													BgL_arg1494z00_836 =
														BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
														(BgL_list1505z00_838);
											}}
											BgL_mzd2idzd2_741 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1494z00_836);
										}
										{	/* Object/method.scm 44 */

											{	/* Object/method.scm 46 */
												bool_t BgL_testz00_1171;

												{	/* Object/method.scm 46 */
													bool_t BgL_res1620z00_1008;

													BgL_res1620z00_1008 =
														BGl_isazf3zf3zz__objectz00(
														((obj_t) BgL_typez00_740),
														BGl_tclassz00zzobject_classz00);
													BgL_testz00_1171 = BgL_res1620z00_1008;
												}
												if (BgL_testz00_1171)
													{	/* Object/method.scm 49 */
														BgL_globalz00_bglt BgL_holderz00_743;

														{
															BgL_tclassz00_bglt BgL_auxz00_1174;

															{
																obj_t BgL_auxz00_1175;

																{	/* Object/method.scm 49 */
																	BgL_objectz00_bglt BgL_tmpz00_1176;

																	BgL_tmpz00_1176 =
																		((BgL_objectz00_bglt)
																		((BgL_typez00_bglt) BgL_typez00_740));
																	BgL_auxz00_1175 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_1176);
																}
																BgL_auxz00_1174 =
																	((BgL_tclassz00_bglt) BgL_auxz00_1175);
															}
															BgL_holderz00_743 =
																(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1174))->
																BgL_holderz00);
														}
														{	/* Object/method.scm 49 */
															obj_t BgL_modulez00_744;

															BgL_modulez00_744 =
																(((BgL_globalz00_bglt)
																	CREF(BgL_holderz00_743))->BgL_modulez00);
															{	/* Object/method.scm 50 */
																obj_t BgL_genericz00_745;

																BgL_genericz00_745 =
																	BGl_findzd2globalzd2zzast_envz00
																	(BgL_idz00_735, BNIL);
																{	/* Object/method.scm 51 */

																	if (BGl_isazf3zf3zz__objectz00
																		(BgL_genericz00_745,
																			BGl_globalz00zzast_varz00))
																		{	/* Object/method.scm 56 */
																			obj_t BgL_bodyz00_747;

																			{	/* Object/method.scm 58 */
																				obj_t BgL_arg1313z00_802;

																				{	/* Object/method.scm 58 */
																					obj_t BgL_arg1316z00_803;
																					obj_t BgL_arg1317z00_804;

																					{	/* Object/method.scm 58 */
																						obj_t BgL_arg1322z00_805;

																						{	/* Object/method.scm 58 */
																							obj_t BgL_arg1328z00_806;

																							{	/* Object/method.scm 58 */
																								obj_t BgL_arg1332z00_807;

																								{	/* Object/method.scm 58 */
																									obj_t BgL_arg1333z00_808;

																									{	/* Object/method.scm 58 */
																										obj_t BgL_arg1338z00_809;

																										{	/* Object/method.scm 58 */
																											obj_t BgL_arg1367z00_810;
																											obj_t BgL_arg1368z00_811;

																											{	/* Object/method.scm 58 */
																												obj_t
																													BgL_arg1375z00_812;
																												{	/* Object/method.scm 58 */
																													obj_t
																														BgL_arg1376z00_813;
																													{	/* Object/method.scm 58 */
																														obj_t
																															BgL_arg1406z00_814;
																														{	/* Object/method.scm 58 */
																															obj_t
																																BgL_arg1409z00_815;
																															{	/* Object/method.scm 58 */
																																obj_t
																																	BgL_arg1413z00_816;
																																obj_t
																																	BgL_arg1414z00_817;
																																BgL_arg1413z00_816
																																	=
																																	CAR
																																	(BgL_argszd2idzd2_739);
																																{	/* Object/method.scm 60 */
																																	obj_t
																																		BgL_arg1415z00_818;
																																	{	/* Object/method.scm 60 */
																																		obj_t
																																			BgL_arg1416z00_819;
																																		{	/* Object/method.scm 60 */
																																			obj_t
																																				BgL_arg1423z00_820;
																																			{	/* Object/method.scm 60 */
																																				obj_t
																																					BgL_arg1436z00_821;
																																				obj_t
																																					BgL_arg1437z00_822;
																																				BgL_arg1436z00_821
																																					=
																																					(((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) BgL_holderz00_743)))->BgL_idz00);
																																				BgL_arg1437z00_822
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_modulez00_744,
																																					BNIL);
																																				BgL_arg1423z00_820
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg1436z00_821,
																																					BgL_arg1437z00_822);
																																			}
																																			BgL_arg1416z00_819
																																				=
																																				MAKE_YOUNG_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						2)),
																																				BgL_arg1423z00_820);
																																		}
																																		BgL_arg1415z00_818
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1416z00_819,
																																			BNIL);
																																	}
																																	BgL_arg1414z00_817
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_idz00_735,
																																		BgL_arg1415z00_818);
																																}
																																BgL_arg1409z00_815
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1413z00_816,
																																	BgL_arg1414z00_817);
																															}
																															BgL_arg1406z00_814
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 3)),
																																BgL_arg1409z00_815);
																														}
																														BgL_arg1376z00_813 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1406z00_814,
																															BNIL);
																													}
																													BgL_arg1375z00_812 =
																														MAKE_YOUNG_PAIR
																														(BgL_metz00_736,
																														BgL_arg1376z00_813);
																												}
																												BgL_arg1367z00_810 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1375z00_812,
																													BNIL);
																											}
																											{	/* Object/method.scm 62 */
																												obj_t
																													BgL_arg1446z00_823;
																												if (BgL_dssslz00_738)
																													{	/* Object/method.scm 63 */
																														obj_t
																															BgL_arg1454z00_824;
																														{	/* Object/method.scm 63 */
																															obj_t
																																BgL_arg1460z00_825;
																															{	/* Object/method.scm 63 */
																																obj_t
																																	BgL_arg1465z00_826;
																																{	/* Object/method.scm 63 */
																																	obj_t
																																		BgL_arg1469z00_827;
																																	BgL_arg1469z00_827
																																		=
																																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_argszd2idzd2_739,
																																		BNIL);
																																	BgL_arg1465z00_826
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				4)),
																																		BgL_arg1469z00_827);
																																}
																																BgL_arg1460z00_825
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1465z00_826,
																																	BNIL);
																															}
																															BgL_arg1454z00_824
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_metz00_736,
																																BgL_arg1460z00_825);
																														}
																														BgL_arg1446z00_823 =
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 5)),
																															BgL_arg1454z00_824);
																													}
																												else
																													{	/* Object/method.scm 62 */
																														if (
																															(BgL_arityz00_737
																																>= ((long) 0)))
																															{	/* Object/method.scm 64 */
																																BgL_arg1446z00_823
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_metz00_736,
																																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_argszd2idzd2_739,
																																		BNIL));
																															}
																														else
																															{	/* Object/method.scm 67 */
																																obj_t
																																	BgL_arg1484z00_830;
																																{	/* Object/method.scm 67 */
																																	obj_t
																																		BgL_arg1485z00_831;
																																	{	/* Object/method.scm 67 */
																																		obj_t
																																			BgL_arg1490z00_832;
																																		{	/* Object/method.scm 67 */
																																			obj_t
																																				BgL_arg1491z00_833;
																																			BgL_arg1491z00_833
																																				=
																																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																				(BgL_argszd2idzd2_739,
																																				BNIL);
																																			BgL_arg1490z00_832
																																				=
																																				MAKE_YOUNG_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						4)),
																																				BgL_arg1491z00_833);
																																		}
																																		BgL_arg1485z00_831
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1490z00_832,
																																			BNIL);
																																	}
																																	BgL_arg1484z00_830
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_metz00_736,
																																		BgL_arg1485z00_831);
																																}
																																BgL_arg1446z00_823
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 5)),
																																	BgL_arg1484z00_830);
																													}}
																												BgL_arg1368z00_811 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1446z00_823,
																													BNIL);
																											}
																											BgL_arg1338z00_809 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1367z00_810,
																												BgL_arg1368z00_811);
																										}
																										BgL_arg1333z00_808 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													6)),
																											BgL_arg1338z00_809);
																									}
																									BgL_arg1332z00_807 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1333z00_808, BNIL);
																								}
																								BgL_arg1328z00_806 =
																									MAKE_YOUNG_PAIR(BNIL,
																									BgL_arg1332z00_807);
																							}
																							BgL_arg1322z00_805 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 7)),
																								BgL_arg1328z00_806);
																						}
																						BgL_arg1316z00_803 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1322z00_805, BNIL);
																					}
																					{	/* Object/method.scm 68 */
																						obj_t BgL_arg1492z00_834;

																						if (BgL_dssslz00_738)
																							{	/* Object/method.scm 68 */
																								BgL_arg1492z00_834 =
																									BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
																									(BgL_identz00_3,
																									BgL_argsz00_4, BgL_bodyz00_6,
																									BGl_errorzd2envzd2zz__errorz00);
																							}
																						else
																							{	/* Object/method.scm 68 */
																								BgL_arg1492z00_834 =
																									BgL_bodyz00_6;
																							}
																						BgL_arg1317z00_804 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1492z00_834, BNIL);
																					}
																					BgL_arg1313z00_802 =
																						MAKE_YOUNG_PAIR(BgL_arg1316z00_803,
																						BgL_arg1317z00_804);
																				}
																				BgL_bodyz00_747 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							8)), BgL_arg1313z00_802);
																			}
																			{	/* Object/method.scm 56 */
																				obj_t BgL_ebodyz00_748;

																				{	/* Object/method.scm 71 */
																					bool_t BgL_testz00_1235;

																					{	/* Object/method.scm 71 */
																						bool_t BgL_res1623z00_1016;

																						BgL_res1623z00_1016 =
																							EPAIRP(BgL_srcz00_7);
																						BgL_testz00_1235 =
																							BgL_res1623z00_1016;
																					}
																					if (BgL_testz00_1235)
																						{	/* Object/method.scm 72 */
																							obj_t BgL_arg1284z00_799;
																							obj_t BgL_arg1285z00_800;
																							obj_t BgL_arg1292z00_801;

																							BgL_arg1284z00_799 =
																								CAR(BgL_bodyz00_747);
																							BgL_arg1285z00_800 =
																								CDR(BgL_bodyz00_747);
																							BgL_arg1292z00_801 =
																								CER(BgL_srcz00_7);
																							{	/* Object/method.scm 72 */
																								obj_t BgL_res1624z00_1020;

																								BgL_res1624z00_1020 =
																									MAKE_YOUNG_EPAIR
																									(BgL_arg1284z00_799,
																									BgL_arg1285z00_800,
																									BgL_arg1292z00_801);
																								BgL_ebodyz00_748 =
																									BgL_res1624z00_1020;
																							}
																						}
																					else
																						{	/* Object/method.scm 71 */
																							BgL_ebodyz00_748 =
																								BgL_bodyz00_747;
																						}
																				}
																				{	/* Object/method.scm 71 */
																					obj_t BgL_tmzd2idzd2_749;

																					{	/* Object/method.scm 74 */
																						bool_t BgL_testz00_1241;

																						{	/* Object/method.scm 74 */
																							BgL_typez00_bglt
																								BgL_arg1276z00_797;
																							BgL_arg1276z00_797 =
																								(((BgL_variablez00_bglt)
																									CREF(((BgL_variablez00_bglt) (
																												(BgL_globalz00_bglt)
																												BgL_genericz00_745))))->
																								BgL_typez00);
																							BgL_testz00_1241 =
																								BGl_bigloozd2typezf3z21zztype_typez00
																								(BgL_arg1276z00_797);
																						}
																						if (BgL_testz00_1241)
																							{	/* Object/method.scm 75 */
																								obj_t BgL_arg1266z00_795;

																								BgL_arg1266z00_795 =
																									(((BgL_typez00_bglt) CREF(
																											(((BgL_variablez00_bglt)
																													CREF((
																															(BgL_variablez00_bglt)
																															((BgL_globalz00_bglt) BgL_genericz00_745))))->BgL_typez00)))->BgL_idz00);
																								BgL_tmzd2idzd2_749 =
																									BGl_makezd2typedzd2identz00zzast_identz00
																									(BgL_mzd2idzd2_741,
																									BgL_arg1266z00_795);
																							}
																						else
																							{	/* Object/method.scm 74 */
																								BgL_tmzd2idzd2_749 =
																									BgL_mzd2idzd2_741;
																							}
																					}
																					{	/* Object/method.scm 74 */
																						obj_t BgL_bdgz00_750;

																						{	/* Object/method.scm 77 */
																							obj_t BgL_arg1253z00_790;

																							{	/* Object/method.scm 77 */
																								obj_t BgL_arg1262z00_791;
																								obj_t BgL_arg1263z00_792;

																								if (BgL_dssslz00_738)
																									{	/* Object/method.scm 77 */
																										BgL_arg1262z00_791 =
																											BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
																											(BgL_argsz00_4,
																											BGl_errorzd2envzd2zz__errorz00,
																											((bool_t) 0));
																									}
																								else
																									{	/* Object/method.scm 77 */
																										BgL_arg1262z00_791 =
																											BgL_argsz00_4;
																									}
																								BgL_arg1263z00_792 =
																									MAKE_YOUNG_PAIR
																									(BgL_ebodyz00_748, BNIL);
																								BgL_arg1253z00_790 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1262z00_791,
																									BgL_arg1263z00_792);
																							}
																							BgL_bdgz00_750 =
																								MAKE_YOUNG_PAIR
																								(BgL_tmzd2idzd2_749,
																								BgL_arg1253z00_790);
																						}
																						{	/* Object/method.scm 77 */
																							obj_t BgL_ebdgz00_751;

																							{	/* Object/method.scm 81 */
																								bool_t BgL_testz00_1256;

																								{	/* Object/method.scm 81 */
																									bool_t BgL_res1625z00_1024;

																									BgL_res1625z00_1024 =
																										EPAIRP(BgL_srcz00_7);
																									BgL_testz00_1256 =
																										BgL_res1625z00_1024;
																								}
																								if (BgL_testz00_1256)
																									{	/* Object/method.scm 82 */
																										obj_t BgL_arg1250z00_787;
																										obj_t BgL_arg1251z00_788;
																										obj_t BgL_arg1252z00_789;

																										BgL_arg1250z00_787 =
																											CAR(BgL_bdgz00_750);
																										BgL_arg1251z00_788 =
																											CDR(BgL_bdgz00_750);
																										BgL_arg1252z00_789 =
																											CER(BgL_srcz00_7);
																										{	/* Object/method.scm 82 */
																											obj_t BgL_res1626z00_1028;

																											BgL_res1626z00_1028 =
																												MAKE_YOUNG_EPAIR
																												(BgL_arg1250z00_787,
																												BgL_arg1251z00_788,
																												BgL_arg1252z00_789);
																											BgL_ebdgz00_751 =
																												BgL_res1626z00_1028;
																										}
																									}
																								else
																									{	/* Object/method.scm 81 */
																										BgL_ebdgz00_751 =
																											BgL_bdgz00_750;
																									}
																							}
																							{	/* Object/method.scm 81 */

																								BGl_za2methodsza2z00zzobject_methodz00
																									=
																									MAKE_YOUNG_PAIR
																									(BgL_mzd2idzd2_741,
																									BGl_za2methodsza2z00zzobject_methodz00);
																								{	/* Object/method.scm 85 */
																									obj_t BgL_arg1179z00_752;

																									{	/* Object/method.scm 85 */
																										obj_t BgL_arg1181z00_754;

																										{	/* Object/method.scm 85 */
																											obj_t BgL_arg1183z00_755;
																											obj_t BgL_arg1185z00_756;

																											BgL_arg1183z00_755 =
																												MAKE_YOUNG_PAIR
																												(BgL_ebdgz00_751, BNIL);
																											{	/* Object/method.scm 86 */
																												obj_t
																													BgL_arg1186z00_757;
																												obj_t
																													BgL_arg1189z00_758;
																												{	/* Object/method.scm 86 */
																													bool_t
																														BgL_testz00_1264;
																													if (((long)
																															CINT
																															(BGl_za2debugzd2moduleza2zd2zzengine_paramz00)
																															>= ((long) 1)))
																														{	/* Object/method.scm 89 */
																															obj_t
																																BgL_arg1214z00_774;
																															{	/* Object/method.scm 89 */
																																obj_t
																																	BgL_arg1215z00_775;
																																BgL_arg1215z00_775
																																	=
																																	BGl_thezd2backendzd2zzbackend_backendz00
																																	();
																																BgL_arg1214z00_774
																																	=
																																	(((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt) BgL_arg1215z00_775)))->BgL_debugzd2supportzd2);
																															}
																															BgL_testz00_1264 =
																																CBOOL
																																(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																																(CNST_TABLE_REF(
																																		((long) 9)),
																																	BgL_arg1214z00_774));
																														}
																													else
																														{	/* Object/method.scm 86 */
																															BgL_testz00_1264 =
																																((bool_t) 0);
																														}
																													if (BgL_testz00_1264)
																														{	/* Object/method.scm 91 */
																															obj_t
																																BgL_arg1197z00_763;
																															{	/* Object/method.scm 91 */
																																obj_t
																																	BgL_arg1199z00_764;
																																{	/* Object/method.scm 91 */
																																	obj_t
																																		BgL_arg1200z00_765;
																																	obj_t
																																		BgL_arg1203z00_766;
																																	{	/* Object/method.scm 91 */
																																		obj_t
																																			BgL_res1629z00_1037;
																																		{	/* Object/method.scm 91 */
																																			obj_t
																																				BgL_arg1377z00_1036;
																																			BgL_arg1377z00_1036
																																				=
																																				SYMBOL_TO_STRING
																																				(BgL_identz00_3);
																																			BgL_res1629z00_1037
																																				=
																																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																				(BgL_arg1377z00_1036);
																																		}
																																		BgL_arg1200z00_765
																																			=
																																			BgL_res1629z00_1037;
																																	}
																																	{	/* Object/method.scm 91 */
																																		obj_t
																																			BgL_arg1213z00_772;
																																		BgL_arg1213z00_772
																																			=
																																			(((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) BgL_holderz00_743)))->BgL_idz00);
																																		{	/* Object/method.scm 91 */
																																			obj_t
																																				BgL_res1630z00_1041;
																																			{	/* Object/method.scm 91 */
																																				obj_t
																																					BgL_arg1377z00_1040;
																																				BgL_arg1377z00_1040
																																					=
																																					SYMBOL_TO_STRING
																																					(BgL_arg1213z00_772);
																																				BgL_res1630z00_1041
																																					=
																																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																					(BgL_arg1377z00_1040);
																																			}
																																			BgL_arg1203z00_766
																																				=
																																				BgL_res1630z00_1041;
																																		}
																																	}
																																	{	/* Object/method.scm 91 */
																																		obj_t
																																			BgL_list1204z00_767;
																																		{	/* Object/method.scm 91 */
																																			obj_t
																																				BgL_arg1205z00_768;
																																			{	/* Object/method.scm 91 */
																																				obj_t
																																					BgL_arg1206z00_769;
																																				{	/* Object/method.scm 91 */
																																					obj_t
																																						BgL_arg1207z00_770;
																																					{	/* Object/method.scm 91 */
																																						obj_t
																																							BgL_arg1211z00_771;
																																						BgL_arg1211z00_771
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BGl_string1644z00zzobject_methodz00,
																																							BNIL);
																																						BgL_arg1207z00_770
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_arg1203z00_766,
																																							BgL_arg1211z00_771);
																																					}
																																					BgL_arg1206z00_769
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BGl_string1645z00zzobject_methodz00,
																																						BgL_arg1207z00_770);
																																				}
																																				BgL_arg1205z00_768
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg1200z00_765,
																																					BgL_arg1206z00_769);
																																			}
																																			BgL_list1204z00_767
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_string1646z00zzobject_methodz00,
																																				BgL_arg1205z00_768);
																																		}
																																		BgL_arg1199z00_764
																																			=
																																			BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																			(BgL_list1204z00_767);
																																	}
																																}
																																BgL_arg1197z00_763
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1199z00_764,
																																	BNIL);
																															}
																															BgL_arg1186z00_757
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 10)),
																																BgL_arg1197z00_763);
																														}
																													else
																														{	/* Object/method.scm 86 */
																															BgL_arg1186z00_757
																																= BFALSE;
																														}
																												}
																												{	/* Object/method.scm 94 */
																													obj_t
																														BgL_arg1224z00_776;
																													{	/* Object/method.scm 94 */
																														obj_t
																															BgL_arg1227z00_777;
																														{	/* Object/method.scm 94 */
																															obj_t
																																BgL_arg1228z00_778;
																															{	/* Object/method.scm 94 */
																																obj_t
																																	BgL_arg1232z00_779;
																																obj_t
																																	BgL_arg1236z00_780;
																																{	/* Object/method.scm 94 */
																																	obj_t
																																		BgL_arg1238z00_781;
																																	{	/* Object/method.scm 94 */
																																		obj_t
																																			BgL_arg1239z00_782;
																																		obj_t
																																			BgL_arg1240z00_783;
																																		BgL_arg1239z00_782
																																			=
																																			(((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) BgL_holderz00_743)))->BgL_idz00);
																																		BgL_arg1240z00_783
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_modulez00_744,
																																			BNIL);
																																		BgL_arg1238z00_781
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1239z00_782,
																																			BgL_arg1240z00_783);
																																	}
																																	BgL_arg1232z00_779
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				2)),
																																		BgL_arg1238z00_781);
																																}
																																{	/* Object/method.scm 96 */
																																	obj_t
																																		BgL_arg1242z00_784;
																																	{	/* Object/method.scm 96 */
																																		obj_t
																																			BgL_arg1247z00_785;
																																		{	/* Object/method.scm 96 */
																																			obj_t
																																				BgL_res1631z00_1045;
																																			{	/* Object/method.scm 96 */
																																				obj_t
																																					BgL_arg1377z00_1044;
																																				BgL_arg1377z00_1044
																																					=
																																					SYMBOL_TO_STRING
																																					(BgL_identz00_3);
																																				BgL_res1631z00_1045
																																					=
																																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																					(BgL_arg1377z00_1044);
																																			}
																																			BgL_arg1247z00_785
																																				=
																																				BgL_res1631z00_1045;
																																		}
																																		BgL_arg1242z00_784
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1247z00_785,
																																			BNIL);
																																	}
																																	BgL_arg1236z00_780
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_mzd2idzd2_741,
																																		BgL_arg1242z00_784);
																																}
																																BgL_arg1228z00_778
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1232z00_779,
																																	BgL_arg1236z00_780);
																															}
																															BgL_arg1227z00_777
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_idz00_735,
																																BgL_arg1228z00_778);
																														}
																														BgL_arg1224z00_776 =
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 11)),
																															BgL_arg1227z00_777);
																													}
																													BgL_arg1189z00_758 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1224z00_776,
																														BNIL);
																												}
																												BgL_arg1185z00_756 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1186z00_757,
																													BgL_arg1189z00_758);
																											}
																											BgL_arg1181z00_754 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1183z00_755,
																												BgL_arg1185z00_756);
																										}
																										BgL_arg1179z00_752 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													8)),
																											BgL_arg1181z00_754);
																									}
																									{	/* Object/method.scm 85 */
																										obj_t BgL_list1180z00_753;

																										BgL_list1180z00_753 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1179z00_752,
																											BNIL);
																										return BgL_list1180z00_753;
																									}
																								}
																							}
																						}
																					}
																				}
																			}
																		}
																	else
																		{	/* Object/method.scm 135 */
																			obj_t BgL_arg1556z00_1047;

																			{	/* Object/method.scm 135 */
																				obj_t BgL_list1558z00_1048;

																				BgL_list1558z00_1048 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							12)), BNIL);
																				BgL_arg1556z00_1047 =
																					BgL_list1558z00_1048;
																			}
																			{	/* Object/method.scm 135 */
																				obj_t BgL_list1557z00_1049;

																				BgL_list1557z00_1049 =
																					MAKE_YOUNG_PAIR(BgL_arg1556z00_1047,
																					BNIL);
																				return
																					BGl_userzd2errorzd2zztools_errorz00
																					(BgL_idz00_735,
																					BGl_string1647z00zzobject_methodz00,
																					BgL_srcz00_7, BgL_list1557z00_1049);
																			}
																		}
																}
															}
														}
													}
												else
													{	/* Object/method.scm 135 */
														obj_t BgL_arg1556z00_1051;

														{	/* Object/method.scm 135 */
															obj_t BgL_list1558z00_1052;

															BgL_list1558z00_1052 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
																BNIL);
															BgL_arg1556z00_1051 = BgL_list1558z00_1052;
														}
														{	/* Object/method.scm 135 */
															obj_t BgL_list1557z00_1053;

															BgL_list1557z00_1053 =
																MAKE_YOUNG_PAIR(BgL_arg1556z00_1051, BNIL);
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BgL_idz00_735,
																BGl_string1648z00zzobject_methodz00,
																BgL_srcz00_7, BgL_list1557z00_1053);
														}
													}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &make-method-body */
	obj_t BGl_z62makezd2methodzd2bodyz62zzobject_methodz00(obj_t BgL_envz00_1070,
		obj_t BgL_identz00_1071, obj_t BgL_argsz00_1072, obj_t BgL_localsz00_1073,
		obj_t BgL_bodyz00_1074, obj_t BgL_srcz00_1075)
	{
		AN_OBJECT;
		{	/* Object/method.scm 35 */
			return
				BGl_makezd2methodzd2bodyz00zzobject_methodz00(BgL_identz00_1071,
				BgL_argsz00_1072, BgL_localsz00_1073, BgL_bodyz00_1074,
				BgL_srcz00_1075);
		}
	}



/* dsssl-method? */
	bool_t BGl_dssslzd2methodzf3z21zzobject_methodz00(obj_t BgL_argsz00_8)
	{
		AN_OBJECT;
		{	/* Object/method.scm 101 */
			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_8))
				{
					obj_t BgL_l1169z00_862;

					BgL_l1169z00_862 = BgL_argsz00_8;
				BgL_zc3anonymousza31538ze3z83_863:
					if (NULLP(BgL_l1169z00_862))
						{	/* Object/method.scm 102 */
							return ((bool_t) 0);
						}
					else
						{	/* Object/method.scm 102 */
							bool_t BgL__ortest_1171z00_865;

							BgL__ortest_1171z00_865 =
								BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
								(BgL_l1169z00_862));
							if (BgL__ortest_1171z00_865)
								{	/* Object/method.scm 102 */
									return BgL__ortest_1171z00_865;
								}
							else
								{
									obj_t BgL_l1169z00_1325;

									BgL_l1169z00_1325 = CDR(BgL_l1169z00_862);
									BgL_l1169z00_862 = BgL_l1169z00_1325;
									goto BgL_zc3anonymousza31538ze3z83_863;
								}
						}
				}
			else
				{	/* Object/method.scm 102 */
					return ((bool_t) 0);
				}
		}
	}



/* pair->list */
	obj_t BGl_pairzd2ze3listz31zzobject_methodz00(obj_t BgL_pz00_9)
	{
		AN_OBJECT;
		{	/* Object/method.scm 108 */
			if (PAIRP(BgL_pz00_9))
				{	/* Object/method.scm 110 */
					return
						MAKE_YOUNG_PAIR(CAR(BgL_pz00_9),
						BGl_pairzd2ze3listz31zzobject_methodz00(CDR(BgL_pz00_9)));
				}
			else
				{	/* Object/method.scm 110 */
					if (NULLP(BgL_pz00_9))
						{	/* Object/method.scm 111 */
							return BNIL;
						}
					else
						{	/* Object/method.scm 112 */
							obj_t BgL_list1553z00_874;

							BgL_list1553z00_874 = MAKE_YOUNG_PAIR(BgL_pz00_9, BNIL);
							return BgL_list1553z00_874;
						}
				}
		}
	}



/* mark-method! */
	BGL_EXPORTED_DEF obj_t BGl_markzd2methodz12zc0zzobject_methodz00(obj_t
		BgL_idz00_10)
	{
		AN_OBJECT;
		{	/* Object/method.scm 122 */
			return (BGl_za2methodsza2z00zzobject_methodz00 =
				MAKE_YOUNG_PAIR(BgL_idz00_10, BGl_za2methodsza2z00zzobject_methodz00),
				BUNSPEC);
		}
	}



/* &mark-method! */
	obj_t BGl_z62markzd2methodz12za2zzobject_methodz00(obj_t BgL_envz00_1080,
		obj_t BgL_idz00_1081)
	{
		AN_OBJECT;
		{	/* Object/method.scm 122 */
			return BGl_markzd2methodz12zc0zzobject_methodz00(BgL_idz00_1081);
		}
	}



/* local-is-method? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzd2iszd2methodzf3zf3zzobject_methodz00(BgL_localz00_bglt
		BgL_localz00_11)
	{
		AN_OBJECT;
		{	/* Object/method.scm 128 */
			{	/* Object/method.scm 129 */
				obj_t BgL_arg1555z00_1063;

				BgL_arg1555z00_1063 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_localz00_11)))->BgL_idz00);
				return
					CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1555z00_1063,
						BGl_za2methodsza2z00zzobject_methodz00));
			}
		}
	}



/* &local-is-method? */
	obj_t BGl_z62localzd2iszd2methodzf3z91zzobject_methodz00(obj_t
		BgL_envz00_1082, obj_t BgL_localz00_1083)
	{
		AN_OBJECT;
		{	/* Object/method.scm 128 */
			return
				BBOOL(BGl_localzd2iszd2methodzf3zf3zzobject_methodz00(
					((BgL_localz00_bglt) BgL_localz00_1083)));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1649z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1649z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1649z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1649z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1649z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1649z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1649z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1649z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string1649z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1649z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 209108747),
				BSTRING_TO_STRING(BGl_string1649z00zzobject_methodz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1649z00zzobject_methodz00));
		}
	}

#ifdef __cplusplus
}
#endif
