/*===========================================================================*/
/*   (Reduce/walk.scm)                                                       */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL obj_t BGl_reducezd2walkz12zc0zzreduce_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_reducezd2conditionalz12zc0zzreduce_condz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_walkz00();
	static obj_t BGl_z62reducezd2walkz12za2zzreduce_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzreduce_walkz00();
	extern obj_t BGl_za2optimzd2dataflowzf3za2z21zzengine_paramz00;
	extern obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2optimzd2reducezd2betazf3za2zf3zzengine_paramz00;
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_walkz00 = BUNSPEC;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzreduce_walkz00();
	extern obj_t BGl_reducezd2csez12zc0zzreduce_csez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_reducezd2copyz12zc0zzreduce_copyz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_betaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_flowzd2typeczd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_typecz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_condz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_copyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzreduce_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_walkz00();
	extern obj_t BGl_reducezd2typezd2checkz12z12zzreduce_typecz00(obj_t);
	extern obj_t BGl_reducezd2betaz12zc0zzreduce_betaz00(obj_t);
	extern obj_t
		BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2(obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string1573z00zzreduce_walkz00,
		BgL_bgl_string1573za700za7za7r1585za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1574z00zzreduce_walkz00,
		BgL_bgl_string1574za700za7za7r1586za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1575z00zzreduce_walkz00,
		BgL_bgl_string1575za700za7za7r1587za7, " error", 6);
	      DEFINE_STRING(BGl_string1576z00zzreduce_walkz00,
		BgL_bgl_string1576za700za7za7r1588za7, "s", 1);
	      DEFINE_STRING(BGl_string1577z00zzreduce_walkz00,
		BgL_bgl_string1577za700za7za7r1589za7, "", 0);
	      DEFINE_STRING(BGl_string1578z00zzreduce_walkz00,
		BgL_bgl_string1578za700za7za7r1590za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1579z00zzreduce_walkz00,
		BgL_bgl_string1579za700za7za7r1591za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1580z00zzreduce_walkz00,
		BgL_bgl_string1580za700za7za7r1592za7, "reduce_walk", 11);
	      DEFINE_STRING(BGl_string1581z00zzreduce_walkz00,
		BgL_bgl_string1581za700za7za7r1593za7, "reduce pass-started ", 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd2walkz12zd2envz12zzreduce_walkz00,
		BgL_bgl_za762reduceza7d2walk1594z00, va_generic_entry,
		BGl_z62reducezd2walkz12za2zzreduce_walkz00, BUNSPEC, -3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_walkz00(long
		BgL_checksumz00_1531, char *BgL_fromz00_1532)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_walkz00();
					BGl_libraryzd2moduleszd2initz00zzreduce_walkz00();
					BGl_cnstzd2initzd2zzreduce_walkz00();
					BGl_importedzd2moduleszd2initz00zzreduce_walkz00();
					return BGl_methodzd2initzd2zzreduce_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_walkz00()
	{
		AN_OBJECT;
		{	/* Reduce/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"reduce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"reduce_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"reduce_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_walkz00()
	{
		AN_OBJECT;
		{	/* Reduce/walk.scm 15 */
			{	/* Reduce/walk.scm 15 */
				obj_t BgL_cportz00_1518;

				{	/* Reduce/walk.scm 15 */
					obj_t BgL_startz00_1527;

					BgL_startz00_1527 = BINT(((long) 0));
					{	/* Reduce/walk.scm 15 */
						obj_t BgL_endz00_1528;

						BgL_endz00_1528 =
							BINT(STRING_LENGTH(BGl_string1581z00zzreduce_walkz00));
						{	/* Reduce/walk.scm 15 */

							BgL_cportz00_1518 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1581z00zzreduce_walkz00, BgL_startz00_1527,
								BgL_endz00_1528);
				}}}
				{
					long BgL_iz00_1519;

					BgL_iz00_1519 = ((long) 1);
				BgL_loopz00_1520:
					if ((BgL_iz00_1519 == ((long) -1)))
						{	/* Reduce/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/walk.scm 15 */
							{	/* Reduce/walk.scm 15 */
								obj_t BgL_arg1583z00_1522;

								{	/* Reduce/walk.scm 15 */

									{	/* Reduce/walk.scm 15 */
										obj_t BgL_locationz00_1524;

										BgL_locationz00_1524 = BBOOL(((bool_t) 0));
										{	/* Reduce/walk.scm 15 */

											BgL_arg1583z00_1522 =
												BGl_readz00zz__readerz00(BgL_cportz00_1518,
												BgL_locationz00_1524);
										}
									}
								}
								{	/* Reduce/walk.scm 15 */
									int BgL_tmpz00_1557;

									BgL_tmpz00_1557 = (int) (BgL_iz00_1519);
									CNST_TABLE_SET(BgL_tmpz00_1557, BgL_arg1583z00_1522);
							}}
							{	/* Reduce/walk.scm 15 */
								int BgL_auxz00_1525;

								BgL_auxz00_1525 = (int) ((BgL_iz00_1519 - ((long) 1)));
								{
									long BgL_iz00_1562;

									BgL_iz00_1562 = (long) (BgL_auxz00_1525);
									BgL_iz00_1519 = BgL_iz00_1562;
									goto BgL_loopz00_1520;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_walkz00()
	{
		AN_OBJECT;
		{	/* Reduce/walk.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* reduce-walk! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2walkz12zc0zzreduce_walkz00(obj_t
		BgL_globalsz00_3, obj_t BgL_msgz00_4, obj_t BgL_typezd2unsafezd2_5)
	{
		AN_OBJECT;
		{	/* Reduce/walk.scm 36 */
			{	/* Reduce/walk.scm 37 */
				obj_t BgL_list1228z00_1241;

				{	/* Reduce/walk.scm 37 */
					obj_t BgL_arg1232z00_1242;

					{	/* Reduce/walk.scm 37 */
						obj_t BgL_arg1236z00_1243;

						BgL_arg1236z00_1243 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1232z00_1242 =
							MAKE_YOUNG_PAIR(BgL_msgz00_4, BgL_arg1236z00_1243);
					}
					BgL_list1228z00_1241 =
						MAKE_YOUNG_PAIR(BGl_string1573z00zzreduce_walkz00,
						BgL_arg1232z00_1242);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1228z00_1241);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 = BgL_msgz00_4;
			{
				obj_t BgL_hooksz00_1247;
				obj_t BgL_hnamesz00_1248;

				BgL_hooksz00_1247 = BNIL;
				BgL_hnamesz00_1248 = BNIL;
			BgL_zc3anonymousza31237ze3z83_1249:
				if (NULLP(BgL_hooksz00_1247))
					{	/* Reduce/walk.scm 37 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Reduce/walk.scm 37 */
						bool_t BgL_testz00_1575;

						{	/* Reduce/walk.scm 37 */
							obj_t BgL_fun1249z00_1256;

							BgL_fun1249z00_1256 = CAR(BgL_hooksz00_1247);
							BgL_testz00_1575 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun1249z00_1256) (BgL_fun1249z00_1256,
									BEOA));
						}
						if (BgL_testz00_1575)
							{
								obj_t BgL_hnamesz00_1583;
								obj_t BgL_hooksz00_1581;

								BgL_hooksz00_1581 = CDR(BgL_hooksz00_1247);
								BgL_hnamesz00_1583 = CDR(BgL_hnamesz00_1248);
								BgL_hnamesz00_1248 = BgL_hnamesz00_1583;
								BgL_hooksz00_1247 = BgL_hooksz00_1581;
								goto BgL_zc3anonymousza31237ze3z83_1249;
							}
						else
							{	/* Reduce/walk.scm 37 */
								BGl_internalzd2errorzd2zztools_errorz00(BgL_msgz00_4,
									BGl_string1574z00zzreduce_walkz00, CAR(BgL_hnamesz00_1248));
							}
					}
			}
			{	/* Reduce/walk.scm 39 */
				bool_t BgL_testz00_1587;

				if (PAIRP(BgL_typezd2unsafezd2_5))
					{	/* Reduce/walk.scm 39 */
						BgL_testz00_1587 = CBOOL(CAR(BgL_typezd2unsafezd2_5));
					}
				else
					{	/* Reduce/walk.scm 39 */
						BgL_testz00_1587 = ((bool_t) 0);
					}
				if (BgL_testz00_1587)
					{	/* Reduce/walk.scm 39 */
						BGl_reducezd21occz12zc0zzreduce_1occz00(BgL_globalsz00_3);
						BGl_reducezd2typezd2checkz12z12zzreduce_typecz00(BgL_globalsz00_3);
						BGl_reducezd2conditionalz12zc0zzreduce_condz00(BgL_globalsz00_3);
						{	/* Reduce/walk.scm 43 */
							obj_t BgL_valuez00_1261;

							BgL_valuez00_1261 =
								BGl_removezd2varzd2zzast_removez00(CNST_TABLE_REF(((long) 1)),
								BgL_globalsz00_3);
							if (((long)
									CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
									((long) 0)))
								{	/* Reduce/walk.scm 43 */
									{	/* Reduce/walk.scm 43 */
										obj_t BgL_port1220z00_1263;

										{	/* Reduce/walk.scm 43 */
											obj_t BgL_res1561z00_1477;

											{	/* Reduce/walk.scm 43 */
												obj_t BgL_tmpz00_1600;

												BgL_tmpz00_1600 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1561z00_1477 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1600);
											}
											BgL_port1220z00_1263 = BgL_res1561z00_1477;
										}
										bgl_display_obj
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
											BgL_port1220z00_1263);
										bgl_display_string(BGl_string1575z00zzreduce_walkz00,
											BgL_port1220z00_1263);
										{	/* Reduce/walk.scm 43 */
											obj_t BgL_arg1262z00_1264;

											{	/* Reduce/walk.scm 43 */
												bool_t BgL_testz00_1605;

												if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
													{	/* Reduce/walk.scm 43 */
														if (INTEGERP
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
															{	/* Reduce/walk.scm 43 */
																BgL_testz00_1605 =
																	(
																	(long)
																	CINT
																	(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
																	> ((long) 1));
															}
														else
															{	/* Reduce/walk.scm 43 */
																BgL_testz00_1605 =
																	BGl_2ze3ze3zz__r4_numbers_6_5z00
																	(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
																	BINT(((long) 1)));
													}}
												else
													{	/* Reduce/walk.scm 43 */
														BgL_testz00_1605 = ((bool_t) 0);
													}
												if (BgL_testz00_1605)
													{	/* Reduce/walk.scm 43 */
														BgL_arg1262z00_1264 =
															BGl_string1576z00zzreduce_walkz00;
													}
												else
													{	/* Reduce/walk.scm 43 */
														BgL_arg1262z00_1264 =
															BGl_string1577z00zzreduce_walkz00;
													}
											}
											bgl_display_obj(BgL_arg1262z00_1264,
												BgL_port1220z00_1263);
										}
										bgl_display_string(BGl_string1578z00zzreduce_walkz00,
											BgL_port1220z00_1263);
										bgl_display_char(((unsigned char) 10),
											BgL_port1220z00_1263);
									}
									{	/* Reduce/walk.scm 43 */
										obj_t BgL_list1266z00_1270;

										BgL_list1266z00_1270 =
											MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
										return BGl_exitz00zz__errorz00(BgL_list1266z00_1270);
									}
								}
							else
								{
									obj_t BgL_hooksz00_1274;
									obj_t BgL_hnamesz00_1275;

									BgL_hooksz00_1274 = BNIL;
									BgL_hnamesz00_1275 = BNIL;
								BgL_zc3anonymousza31267ze3z83_1276:
									if (NULLP(BgL_hooksz00_1274))
										{	/* Reduce/walk.scm 43 */
											return BgL_valuez00_1261;
										}
									else
										{	/* Reduce/walk.scm 43 */
											bool_t BgL_testz00_1622;

											{	/* Reduce/walk.scm 43 */
												obj_t BgL_fun1286z00_1283;

												BgL_fun1286z00_1283 = CAR(BgL_hooksz00_1274);
												BgL_testz00_1622 =
													CBOOL(PROCEDURE_ENTRY(BgL_fun1286z00_1283)
													(BgL_fun1286z00_1283, BEOA));
											}
											if (BgL_testz00_1622)
												{
													obj_t BgL_hnamesz00_1630;
													obj_t BgL_hooksz00_1628;

													BgL_hooksz00_1628 = CDR(BgL_hooksz00_1274);
													BgL_hnamesz00_1630 = CDR(BgL_hnamesz00_1275);
													BgL_hnamesz00_1275 = BgL_hnamesz00_1630;
													BgL_hooksz00_1274 = BgL_hooksz00_1628;
													goto BgL_zc3anonymousza31267ze3z83_1276;
												}
											else
												{	/* Reduce/walk.scm 43 */
													obj_t BgL_arg1284z00_1282;

													BgL_arg1284z00_1282 = CAR(BgL_hnamesz00_1275);
													return
														BGl_internalzd2errorzd2zztools_errorz00
														(BGl_za2currentzd2passza2zd2zzengine_passz00,
														BGl_string1579z00zzreduce_walkz00,
														BgL_arg1284z00_1282);
												}
										}
								}
						}
					}
				else
					{	/* Reduce/walk.scm 39 */
						if (CBOOL(BGl_za2optimzd2dataflowzf3za2z21zzengine_paramz00))
							{	/* Reduce/walk.scm 44 */
								BGl_reducezd2copyz12zc0zzreduce_copyz00(BgL_globalsz00_3);
								if (
									((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >=
										((long) 2)))
									{	/* Reduce/walk.scm 46 */
										BGl_reducezd2csez12zc0zzreduce_csez00(BgL_globalsz00_3);
									}
								else
									{	/* Reduce/walk.scm 46 */
										BFALSE;
									}
								BGl_reducezd2typezd2checkz12z12zzreduce_typecz00
									(BgL_globalsz00_3);
								BGl_reducezd2copyz12zc0zzreduce_copyz00(BgL_globalsz00_3);
								BGl_reducezd2conditionalz12zc0zzreduce_condz00
									(BgL_globalsz00_3);
								BGl_reducezd21occz12zc0zzreduce_1occz00(BgL_globalsz00_3);
								if (CBOOL
									(BGl_za2optimzd2reducezd2betazf3za2zf3zzengine_paramz00))
									{	/* Reduce/walk.scm 51 */
										BGl_reducezd2betaz12zc0zzreduce_betaz00(BgL_globalsz00_3);
									}
								else
									{	/* Reduce/walk.scm 51 */
										BFALSE;
									}
								BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2
									(BgL_globalsz00_3);
								{	/* Reduce/walk.scm 53 */
									obj_t BgL_valuez00_1287;

									BgL_valuez00_1287 =
										BGl_removezd2varzd2zzast_removez00(CNST_TABLE_REF(((long)
												1)), BgL_globalsz00_3);
									if (((long)
											CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
											> ((long) 0)))
										{	/* Reduce/walk.scm 53 */
											{	/* Reduce/walk.scm 53 */
												obj_t BgL_port1221z00_1289;

												{	/* Reduce/walk.scm 53 */
													obj_t BgL_res1568z00_1498;

													{	/* Reduce/walk.scm 53 */
														obj_t BgL_tmpz00_1654;

														BgL_tmpz00_1654 = BGL_CURRENT_DYNAMIC_ENV();
														BgL_res1568z00_1498 =
															BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1654);
													}
													BgL_port1221z00_1289 = BgL_res1568z00_1498;
												}
												bgl_display_obj
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BgL_port1221z00_1289);
												bgl_display_string(BGl_string1575z00zzreduce_walkz00,
													BgL_port1221z00_1289);
												{	/* Reduce/walk.scm 53 */
													obj_t BgL_arg1292z00_1290;

													{	/* Reduce/walk.scm 53 */
														bool_t BgL_testz00_1659;

														if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
															{	/* Reduce/walk.scm 53 */
																if (INTEGERP
																	(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
																	{	/* Reduce/walk.scm 53 */
																		BgL_testz00_1659 =
																			(
																			(long)
																			CINT
																			(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
																			> ((long) 1));
																	}
																else
																	{	/* Reduce/walk.scm 53 */
																		BgL_testz00_1659 =
																			BGl_2ze3ze3zz__r4_numbers_6_5z00
																			(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
																			BINT(((long) 1)));
															}}
														else
															{	/* Reduce/walk.scm 53 */
																BgL_testz00_1659 = ((bool_t) 0);
															}
														if (BgL_testz00_1659)
															{	/* Reduce/walk.scm 53 */
																BgL_arg1292z00_1290 =
																	BGl_string1576z00zzreduce_walkz00;
															}
														else
															{	/* Reduce/walk.scm 53 */
																BgL_arg1292z00_1290 =
																	BGl_string1577z00zzreduce_walkz00;
															}
													}
													bgl_display_obj(BgL_arg1292z00_1290,
														BgL_port1221z00_1289);
												}
												bgl_display_string(BGl_string1578z00zzreduce_walkz00,
													BgL_port1221z00_1289);
												bgl_display_char(((unsigned char) 10),
													BgL_port1221z00_1289);
											}
											{	/* Reduce/walk.scm 53 */
												obj_t BgL_list1302z00_1296;

												BgL_list1302z00_1296 =
													MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
												return BGl_exitz00zz__errorz00(BgL_list1302z00_1296);
											}
										}
									else
										{
											obj_t BgL_hooksz00_1300;
											obj_t BgL_hnamesz00_1301;

											BgL_hooksz00_1300 = BNIL;
											BgL_hnamesz00_1301 = BNIL;
										BgL_zc3anonymousza31303ze3z83_1302:
											if (NULLP(BgL_hooksz00_1300))
												{	/* Reduce/walk.scm 53 */
													return BgL_valuez00_1287;
												}
											else
												{	/* Reduce/walk.scm 53 */
													bool_t BgL_testz00_1676;

													{	/* Reduce/walk.scm 53 */
														obj_t BgL_fun1318z00_1309;

														BgL_fun1318z00_1309 = CAR(BgL_hooksz00_1300);
														BgL_testz00_1676 =
															CBOOL(PROCEDURE_ENTRY(BgL_fun1318z00_1309)
															(BgL_fun1318z00_1309, BEOA));
													}
													if (BgL_testz00_1676)
														{
															obj_t BgL_hnamesz00_1684;
															obj_t BgL_hooksz00_1682;

															BgL_hooksz00_1682 = CDR(BgL_hooksz00_1300);
															BgL_hnamesz00_1684 = CDR(BgL_hnamesz00_1301);
															BgL_hnamesz00_1301 = BgL_hnamesz00_1684;
															BgL_hooksz00_1300 = BgL_hooksz00_1682;
															goto BgL_zc3anonymousza31303ze3z83_1302;
														}
													else
														{	/* Reduce/walk.scm 53 */
															obj_t BgL_arg1317z00_1308;

															BgL_arg1317z00_1308 = CAR(BgL_hnamesz00_1301);
															return
																BGl_internalzd2errorzd2zztools_errorz00
																(BGl_za2currentzd2passza2zd2zzengine_passz00,
																BGl_string1579z00zzreduce_walkz00,
																BgL_arg1317z00_1308);
														}
												}
										}
								}
							}
						else
							{	/* Reduce/walk.scm 44 */
								return
									BGl_removezd2varzd2zzast_removez00(CNST_TABLE_REF(((long) 1)),
									BgL_globalsz00_3);
		}}}}
	}



/* &reduce-walk! */
	obj_t BGl_z62reducezd2walkz12za2zzreduce_walkz00(obj_t BgL_envz00_1514,
		obj_t BgL_globalsz00_1515, obj_t BgL_msgz00_1516,
		obj_t BgL_typezd2unsafezd2_1517)
	{
		AN_OBJECT;
		{	/* Reduce/walk.scm 36 */
			return
				BGl_reducezd2walkz12zc0zzreduce_walkz00(BgL_globalsz00_1515,
				BgL_msgz00_1516, BgL_typezd2unsafezd2_1517);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_walkz00()
	{
		AN_OBJECT;
		{	/* Reduce/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_walkz00()
	{
		AN_OBJECT;
		{	/* Reduce/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_walkz00()
	{
		AN_OBJECT;
		{	/* Reduce/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_walkz00()
	{
		AN_OBJECT;
		{	/* Reduce/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1580z00zzreduce_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1580z00zzreduce_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1580z00zzreduce_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1580z00zzreduce_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 209108747),
				BSTRING_TO_STRING(BGl_string1580z00zzreduce_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1580z00zzreduce_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1580z00zzreduce_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1580z00zzreduce_walkz00));
			BGl_modulezd2initializa7ationz75zzreduce_copyz00(((long) 215645584),
				BSTRING_TO_STRING(BGl_string1580z00zzreduce_walkz00));
			BGl_modulezd2initializa7ationz75zzreduce_csez00(((long) 347839157),
				BSTRING_TO_STRING(BGl_string1580z00zzreduce_walkz00));
			BGl_modulezd2initializa7ationz75zzreduce_condz00(((long) 39795278),
				BSTRING_TO_STRING(BGl_string1580z00zzreduce_walkz00));
			BGl_modulezd2initializa7ationz75zzreduce_typecz00(((long) 433031772),
				BSTRING_TO_STRING(BGl_string1580z00zzreduce_walkz00));
			BGl_modulezd2initializa7ationz75zzreduce_flowzd2typeczd2(((long)
					67029510), BSTRING_TO_STRING(BGl_string1580z00zzreduce_walkz00));
			BGl_modulezd2initializa7ationz75zzreduce_1occz00(((long) 256644222),
				BSTRING_TO_STRING(BGl_string1580z00zzreduce_walkz00));
			BGl_modulezd2initializa7ationz75zzreduce_betaz00(((long) 214257086),
				BSTRING_TO_STRING(BGl_string1580z00zzreduce_walkz00));
			return BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string1580z00zzreduce_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
