/*===========================================================================*/
/*   (Eval/evaluate_avar.scm)                                                */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Apr 13 12:39:29 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3a/bin/bigloo -srfi enable-unistring -srfi enable-resolv -srfi enable-gmp -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3a/lib/bigloo/4.3a -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3a/lib/bigloo/4.3a -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -copt -fPIC -srfi bigloo-profile -c Eval/evaluate_avar.scm -o objs/obj_p/Eval/evaluate_avar.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_z62avarzd2ev_labels1233zb0zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31362ze3ze70z64zz__evaluate_avarz00(obj_t);
static obj_t BGl_z62avarzd2ev_hook1215zb0zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
static obj_t BGl_objectzd2initzd2zz__evaluate_avarz00();
static obj_t BGl_z62avarzd2ev_goto1235zb0zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avarzd2ev_synchroniza7e1225z17zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static bool_t BGl_za2za2callzf2cczd2compliantza2za2z20zz__evaluate_avarz00;
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_appendzd221009zd2zz__evaluate_avarz00(obj_t, obj_t);
static obj_t BGl_z62avarzd2ev_var1203zb0zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
static obj_t BGl_methodzd2initzd2zz__evaluate_avarz00();
static obj_t BGl_z62avarzd2ev_withzd2handler1223z62zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
static obj_t BGl_diffz00zz__evaluate_avarz00(obj_t, obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
BGL_EXPORTED_DECL obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_unionz00zz__evaluate_avarz00(obj_t, obj_t);
extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_avarz00();
static obj_t BGl_z62avarzd2ev_bindzd2exit1219z62zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avar1200z62zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_avarz00zz__evaluate_avarz00(BgL_ev_exprz00_bglt, obj_t, obj_t);
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_profzd2initzd2zz__evaluate_avarz00();
static obj_t BGl_z62analysezd2varszb0zz__evaluate_avarz00(obj_t, obj_t);
static obj_t BGl_z62avarzd2ev_setlocal1217zb0zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avarzd2ev_global1205zb0zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_avarz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_funionze70ze7zz__evaluate_avarz00(obj_t);
extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__evaluate_avarz00();
static obj_t BGl_genericzd2initzd2zz__evaluate_avarz00();
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
static obj_t BGl_z62checkzd2varzb0zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
static obj_t BGl_z62avarzd2ev_letrec1231zb0zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(BgL_ev_absz00_bglt, obj_t);
static obj_t BGl_z62avarzd2ev_let1227zb0zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_ev_varz00_bglt, obj_t, BgL_ev_absz00_bglt);
extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
static obj_t BGl_z62avarzd2ev_unwindzd2prote1221z62zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avarzd2ev_app1237zb0zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avarzd2ev_list1211zb0zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
static obj_t BGl_zc3anonymousza31430ze3ze70z64zz__evaluate_avarz00(obj_t);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_cnstzd2initzd2zz__evaluate_avarz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00();
static obj_t BGl_z62avarzd2ev_letza21229z12zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avarzd2ev_litt1207zb0zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_z62avarz62zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avarzd2ev_abs1239zb0zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
static obj_t BGl_z62avarzd2ev_prog21213zb0zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol1817z00zz__evaluate_avarz00 = BUNSPEC;
static obj_t BGl_symbol1819z00zz__evaluate_avarz00 = BUNSPEC;
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_z62avarzd2ev_if1209zb0zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol1829z00zz__evaluate_avarz00 = BUNSPEC;
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_analysezd2varszd2envz00zz__evaluate_avarz00, BgL_bgl_za762analyseza7d2var1853z00, BGl_z62analysezd2varszb0zz__evaluate_avarz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1818z00zz__evaluate_avarz00, BgL_bgl_string1818za700za7za7_1854za7, "never", 5 );
DEFINE_STRING( BGl_string1820z00zz__evaluate_avarz00, BgL_bgl_string1820za700za7za7_1855za7, "fake", 4 );
DEFINE_STRING( BGl_string1821z00zz__evaluate_avarz00, BgL_bgl_string1821za700za7za7_1856za7, "/builddir/build/BUILD/bigloo4.3a/runtime/Eval/evaluate_avar.scm", 63 );
DEFINE_STRING( BGl_string1822z00zz__evaluate_avarz00, BgL_bgl_string1822za700za7za7_1857za7, "&analyse-vars", 13 );
DEFINE_STRING( BGl_string1823z00zz__evaluate_avarz00, BgL_bgl_string1823za700za7za7_1858za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string1824z00zz__evaluate_avarz00, BgL_bgl_string1824za700za7za7_1859za7, "&check-var", 10 );
DEFINE_STRING( BGl_string1825z00zz__evaluate_avarz00, BgL_bgl_string1825za700za7za7_1860za7, "ev_var", 6 );
DEFINE_STRING( BGl_string1826z00zz__evaluate_avarz00, BgL_bgl_string1826za700za7za7_1861za7, "ev_abs", 6 );
DEFINE_STRING( BGl_string1828z00zz__evaluate_avarz00, BgL_bgl_string1828za700za7za7_1862za7, "avar1200", 8 );
DEFINE_STRING( BGl_string1830z00zz__evaluate_avarz00, BgL_bgl_string1830za700za7za7_1863za7, "No method for this object", 25 );
DEFINE_STRING( BGl_string1831z00zz__evaluate_avarz00, BgL_bgl_string1831za700za7za7_1864za7, "&avar", 5 );
DEFINE_STRING( BGl_string1833z00zz__evaluate_avarz00, BgL_bgl_string1833za700za7za7_1865za7, "avar", 4 );
DEFINE_STRING( BGl_string1852z00zz__evaluate_avarz00, BgL_bgl_string1852za700za7za7_1866za7, "__evaluate_avar", 15 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_checkzd2varzd2envz00zz__evaluate_avarz00, BgL_bgl_za762checkza7d2varza7b1867za7, BGl_z62checkzd2varzb0zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_GENERIC( BGl_avarzd2envzd2zz__evaluate_avarz00, BgL_bgl_za762avarza762za7za7__ev1868z00, BGl_z62avarz62zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1827z00zz__evaluate_avarz00, BgL_bgl_za762avar1200za762za7za71869z00, BGl_z62avar1200z62zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1832z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_var1870z00, BGl_z62avarzd2ev_var1203zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1834z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_glo1871z00, BGl_z62avarzd2ev_global1205zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1835z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_lit1872z00, BGl_z62avarzd2ev_litt1207zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1836z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_if11873z00, BGl_z62avarzd2ev_if1209zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1837z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_lis1874z00, BGl_z62avarzd2ev_list1211zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1838z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_pro1875z00, BGl_z62avarzd2ev_prog21213zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1839z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_hoo1876z00, BGl_z62avarzd2ev_hook1215zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1840z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_set1877z00, BGl_z62avarzd2ev_setlocal1217zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1841z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_bin1878z00, BGl_z62avarzd2ev_bindzd2exit1219z62zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1842z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_unw1879z00, BGl_z62avarzd2ev_unwindzd2prote1221z62zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1843z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_wit1880z00, BGl_z62avarzd2ev_withzd2handler1223z62zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1844z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_syn1881z00, BGl_z62avarzd2ev_synchroniza7e1225z17zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1845z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_let1882z00, BGl_z62avarzd2ev_let1227zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1846z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_let1883z00, BGl_z62avarzd2ev_letza21229z12zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1847z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_let1884z00, BGl_z62avarzd2ev_letrec1231zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1848z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_lab1885z00, BGl_z62avarzd2ev_labels1233zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1849z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_got1886z00, BGl_z62avarzd2ev_goto1235zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1850z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_app1887z00, BGl_z62avarzd2ev_app1237zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1851z00zz__evaluate_avarz00, BgL_bgl_za762avarza7d2ev_abs1888z00, BGl_z62avarzd2ev_abs1239zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_avarz00) );
ADD_ROOT( (void *)(&BGl_symbol1817z00zz__evaluate_avarz00) );
ADD_ROOT( (void *)(&BGl_symbol1819z00zz__evaluate_avarz00) );
ADD_ROOT( (void *)(&BGl_symbol1829z00zz__evaluate_avarz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_avar.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21009\" \"BGl_appendzd221009zd2zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"union\" \"Eval/evaluate_avar.scm\" 2105) \"BGl_unionz00zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"diff\" \"Eval/evaluate_avar.scm\" 2409) \"BGl_diffz00zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"analyse-vars\" \"Eval/evaluate_avar.scm\" 2903) \"BGl_analysezd2varszd2zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&analyse-vars\" \"Eval/evaluate_avar.scm\" 2903) \"BGl_z62analysezd2varszb0zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"check-var\" \"Eval/evaluate_avar.scm\" 3105) \"BGl_checkzd2varzd2zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&check-var\" \"Eval/evaluate_avar.scm\" 3105) \"BGl_z62checkzd2varzb0zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bind-and-reset-effect\" \"Eval/evaluate_avar.scm\" 6695) \"BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"funion~0\" \"Eval/evaluate_avar.scm\" 6917) \"BGl_funionze70ze7zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar1200\" \"Eval/evaluate_avar.scm\" 3282) \"BGl_z62avar1200z62zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"avar\" \"Eval/evaluate_avar.scm\" 3282) \"BGl_avarz00zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar\" \"Eval/evaluate_avar.scm\" 3282) \"BGl_z62avarz62zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_abs1239\" \"Eval/evaluate_avar.scm\" 7221) \"BGl_z62avarzd2ev_abs1239zb0zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<anonymous:1430>~0\" \"Eval/evaluate_avar.scm\" 7565) \"BGl_zc3anonymousza31430ze3ze70z64zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_app1237\" \"Eval/evaluate_avar.scm\" 6529) \"BGl_z62avarzd2ev_app1237zb0zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_goto1235\" \"Eval/evaluate_avar.scm\" 6393) \"BGl_z62avarzd2ev_goto1235zb0zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_labels1233\" \"Eval/evaluate_avar.scm\" 5966) \"BGl_z62avarzd2ev_labels1233zb0zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_letrec1231\" \"Eval/evaluate_avar.scm\" 5603) \"BGl_z62avarzd2ev_letrec1231zb0zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_let*1229\" \"Eval/evaluate_avar.scm\" 5277) \"BGl_z62avarzd2ev_letza21229z12zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_let1227\" \"Eval/evaluate_avar.scm\" 4966) \"BGl_z62avarzd2ev_let1227zb0zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<anonymous:1362>~0\" \"Eval/evaluate_avar.scm\" 5211) \"BGl_zc3anonymousza31362ze3ze70z64zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_synchronize1225\" \"Eval/evaluate_avar.scm\" 4768) \"BGl_z62avarzd2ev_synchroniza7e1225z17zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_with-handler1223\" \"Eval/evaluate_avar.scm\" 4603) \"BGl_z62avarzd2ev_withzd2handler1223z62zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_unwind-prote1221\" \"Eval/evaluate_avar.scm\" 4446) \"BGl_z62avarzd2ev_unwindzd2prote1221z62zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_bind-exit1219\" \"Eval/evaluate_avar.scm\" 4262) \"BGl_z62avarzd2ev_bindzd2exit1219z62zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_setlocal1217\" \"Eval/evaluate_avar.scm\" 4066) \"BGl_z62avarzd2ev_setlocal1217zb0zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_hook1215\" \"Eval/evaluate_avar.scm\" 3962) \"BGl_z62avarzd2ev_hook1215zb0zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_prog21213\" \"Eval/evaluate_avar.scm\" 3825) \"BGl_z62avarzd2ev_prog21213zb0zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_list1211\" \"Eval/evaluate_avar.scm\" 3689) \"BGl_z62avarzd2ev_list1211zb0zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_if1209\" \"Eval/evaluate_avar.scm\" 3535) \"BGl_z62avarzd2ev_if1209zb0zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_litt1207\" \"Eval/evaluate_avar.scm\" 3472) \"BGl_z62avarzd2ev_litt1207zb0zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_global1205\" \"Eval/evaluate_avar.scm\" 3405) \"BGl_z62avarzd2ev_global1205zb0zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&avar-ev_var1203\" \"Eval/evaluate_avar.scm\" 3328) \"BGl_z62avarzd2ev_var1203zb0zz__evaluate_avarz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long BgL_checksumz00_2451, char * BgL_fromz00_2452)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_avarz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_avarz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_avarz00(); 
BGl_cnstzd2initzd2zz__evaluate_avarz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00(); 
BGl_genericzd2initzd2zz__evaluate_avarz00(); 
BGl_methodzd2initzd2zz__evaluate_avarz00(); 
BGl_toplevelzd2initzd2zz__evaluate_avarz00(); 
return 
BGl_profzd2initzd2zz__evaluate_avarz00();}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_avarz00()
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 15 */
BGl_symbol1817z00zz__evaluate_avarz00 = 
bstring_to_symbol(BGl_string1818z00zz__evaluate_avarz00); 
BGl_symbol1819z00zz__evaluate_avarz00 = 
bstring_to_symbol(BGl_string1820z00zz__evaluate_avarz00); 
return ( 
BGl_symbol1829z00zz__evaluate_avarz00 = 
bstring_to_symbol(BGl_string1828z00zz__evaluate_avarz00), BUNSPEC) ;} 
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_avarz00()
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 15 */
return 
bgl_gc_roots_register();} 
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_avarz00()
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 15 */
return 
write_bprof_table();} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_avarz00()
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 15 */
BGl_za2za2callzf2cczd2compliantza2za2z20zz__evaluate_avarz00 = ((bool_t)0); 
return BUNSPEC;} 
}



/* append-21009 */
obj_t BGl_appendzd221009zd2zz__evaluate_avarz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{ AN_OBJECT;
{ 
{ 
obj_t BgL_headz00_1117;
BgL_headz00_1117 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
obj_t BgL_prevz00_1118;obj_t BgL_tailz00_1119;
BgL_prevz00_1118 = BgL_headz00_1117; 
BgL_tailz00_1119 = BgL_l1z00_1; 
BgL_loopz00_1120:
if(
PAIRP(BgL_tailz00_1119))
{ 
obj_t BgL_newzd2prevzd2_1122;
BgL_newzd2prevzd2_1122 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1119), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1118, BgL_newzd2prevzd2_1122); 
{ 
obj_t BgL_tailz00_2475;obj_t BgL_prevz00_2474;
BgL_prevz00_2474 = BgL_newzd2prevzd2_1122; 
BgL_tailz00_2475 = 
CDR(BgL_tailz00_1119); 
BgL_tailz00_1119 = BgL_tailz00_2475; 
BgL_prevz00_1118 = BgL_prevz00_2474; 
goto BgL_loopz00_1120;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1117);} } } 
}



/* union */
obj_t BGl_unionz00zz__evaluate_avarz00(obj_t BgL_l1z00_7, obj_t BgL_l2z00_8)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 76 */
BGl_unionz00zz__evaluate_avarz00:
if(
NULLP(BgL_l1z00_7))
{ /* Eval/evaluate_avar.scm 77 */
return BgL_l2z00_8;}  else 
{ /* Eval/evaluate_avar.scm 79 */
obj_t BgL_xz00_1159;
BgL_xz00_1159 = 
CAR(BgL_l1z00_7); 
{ /* Eval/evaluate_avar.scm 80 */
obj_t BgL_arg1298z00_1160;obj_t BgL_arg1299z00_1161;
BgL_arg1298z00_1160 = 
CDR(BgL_l1z00_7); 
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_xz00_1159, BgL_l2z00_8)))
{ /* Eval/evaluate_avar.scm 80 */
BgL_arg1299z00_1161 = BgL_l2z00_8; }  else 
{ /* Eval/evaluate_avar.scm 80 */
BgL_arg1299z00_1161 = 
MAKE_YOUNG_PAIR(BgL_xz00_1159, BgL_l2z00_8); } 
{ 
obj_t BgL_l2z00_2487;obj_t BgL_l1z00_2486;
BgL_l1z00_2486 = BgL_arg1298z00_1160; 
BgL_l2z00_2487 = BgL_arg1299z00_1161; 
BgL_l2z00_8 = BgL_l2z00_2487; 
BgL_l1z00_7 = BgL_l1z00_2486; 
goto BGl_unionz00zz__evaluate_avarz00;} } } } 
}



/* diff */
obj_t BGl_diffz00zz__evaluate_avarz00(obj_t BgL_l1z00_11, obj_t BgL_l2z00_12)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 90 */
BGl_diffz00zz__evaluate_avarz00:
if(
NULLP(BgL_l1z00_11))
{ /* Eval/evaluate_avar.scm 91 */
return BNIL;}  else 
{ /* Eval/evaluate_avar.scm 93 */
obj_t BgL_xz00_1170;
BgL_xz00_1170 = 
CAR(BgL_l1z00_11); 
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_xz00_1170, BgL_l2z00_12)))
{ 
obj_t BgL_l1z00_2494;
BgL_l1z00_2494 = 
CDR(BgL_l1z00_11); 
BgL_l1z00_11 = BgL_l1z00_2494; 
goto BGl_diffz00zz__evaluate_avarz00;}  else 
{ /* Eval/evaluate_avar.scm 94 */
return 
MAKE_YOUNG_PAIR(BgL_xz00_1170, 
BGl_diffz00zz__evaluate_avarz00(
CDR(BgL_l1z00_11), BgL_l2z00_12));} } } 
}



/* analyse-vars */
BGL_EXPORTED_DEF obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt BgL_ez00_14)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 112 */
{ /* Eval/evaluate_avar.scm 113 */
BgL_ev_absz00_bglt BgL_fakez00_1177;
{ /* Eval/evaluate_avar.scm 113 */
BgL_ev_absz00_bglt BgL_new1065z00_1178;
{ /* Eval/evaluate_avar.scm 113 */
BgL_ev_absz00_bglt BgL_new1064z00_1179;
BgL_new1064z00_1179 = 
((BgL_ev_absz00_bglt)BREF( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_avar.scm 113 */
long BgL_arg1312z00_1180;
{ /* Eval/evaluate_avar.scm 113 */
long BgL_res1726z00_1891;
BgL_res1726z00_1891 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BgL_arg1312z00_1180 = BgL_res1726z00_1891; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_1179), BgL_arg1312z00_1180); } 
BgL_new1065z00_1178 = BgL_new1064z00_1179; } 
((((BgL_ev_absz00_bglt)CREF(BgL_new1065z00_1178))->BgL_locz00)=((obj_t)BGl_symbol1817z00zz__evaluate_avarz00),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1065z00_1178))->BgL_wherez00)=((obj_t)BGl_symbol1819z00zz__evaluate_avarz00),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1065z00_1178))->BgL_arityz00)=((obj_t)
BINT(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1065z00_1178))->BgL_varsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1065z00_1178))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_ez00_14),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1065z00_1178))->BgL_siza7eza7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1065z00_1178))->BgL_bindz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1065z00_1178))->BgL_freez00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1065z00_1178))->BgL_innerz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)CREF(BgL_new1065z00_1178))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_fakez00_1177 = BgL_new1065z00_1178; } 
return 
BGl_avarz00zz__evaluate_avarz00(BgL_ez00_14, BNIL, 
((obj_t)BgL_fakez00_1177));} } 
}



/* &analyse-vars */
obj_t BGl_z62analysezd2varszb0zz__evaluate_avarz00(obj_t BgL_envz00_2204, obj_t BgL_ez00_2205)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 112 */
{ /* Eval/evaluate_avar.scm 113 */
BgL_ev_exprz00_bglt BgL_auxz00_2517;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_2205, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_avar.scm 113 */
BgL_auxz00_2517 = 
((BgL_ev_exprz00_bglt)BgL_ez00_2205)
; }  else 
{ 
obj_t BgL_auxz00_2521;
BgL_auxz00_2521 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1821z00zz__evaluate_avarz00, 
BINT(((long)2941)), BGl_string1822z00zz__evaluate_avarz00, BGl_string1823z00zz__evaluate_avarz00, BgL_ez00_2205); 
FAILURE(BgL_auxz00_2521,BFALSE,BFALSE);} 
return 
BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_auxz00_2517);} } 
}



/* check-var */
BGL_EXPORTED_DEF obj_t BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_ev_varz00_bglt BgL_varz00_15, obj_t BgL_localz00_16, BgL_ev_absz00_bglt BgL_absz00_17)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 117 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_varz00_15), BgL_localz00_16)))
{ /* Eval/evaluate_avar.scm 118 */
return BFALSE;}  else 
{ /* Eval/evaluate_avar.scm 118 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_varz00_15), 
(((BgL_ev_absz00_bglt)CREF(BgL_absz00_17))->BgL_freez00))))
{ /* Eval/evaluate_avar.scm 120 */
return BFALSE;}  else 
{ 
obj_t BgL_auxz00_2535;
{ /* Eval/evaluate_avar.scm 120 */
obj_t BgL_arg1318z00_1185;
BgL_arg1318z00_1185 = 
(((BgL_ev_absz00_bglt)CREF(BgL_absz00_17))->BgL_freez00); 
BgL_auxz00_2535 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_varz00_15), BgL_arg1318z00_1185); } 
return 
((((BgL_ev_absz00_bglt)CREF(BgL_absz00_17))->BgL_freez00)=((obj_t)BgL_auxz00_2535),BUNSPEC);} } } 
}



/* &check-var */
obj_t BGl_z62checkzd2varzb0zz__evaluate_avarz00(obj_t BgL_envz00_2206, obj_t BgL_varz00_2207, obj_t BgL_localz00_2208, obj_t BgL_absz00_2209)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 117 */
{ /* Eval/evaluate_avar.scm 118 */
BgL_ev_absz00_bglt BgL_auxz00_2548;BgL_ev_varz00_bglt BgL_auxz00_2540;
if(
BGl_isazf3zf3zz__objectz00(BgL_absz00_2209, BGl_ev_absz00zz__evaluate_typesz00))
{ /* Eval/evaluate_avar.scm 118 */
BgL_auxz00_2548 = 
((BgL_ev_absz00_bglt)BgL_absz00_2209)
; }  else 
{ 
obj_t BgL_auxz00_2552;
BgL_auxz00_2552 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1821z00zz__evaluate_avarz00, 
BINT(((long)3159)), BGl_string1824z00zz__evaluate_avarz00, BGl_string1826z00zz__evaluate_avarz00, BgL_absz00_2209); 
FAILURE(BgL_auxz00_2552,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_varz00_2207, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate_avar.scm 118 */
BgL_auxz00_2540 = 
((BgL_ev_varz00_bglt)BgL_varz00_2207)
; }  else 
{ 
obj_t BgL_auxz00_2544;
BgL_auxz00_2544 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1821z00zz__evaluate_avarz00, 
BINT(((long)3159)), BGl_string1824z00zz__evaluate_avarz00, BGl_string1825z00zz__evaluate_avarz00, BgL_varz00_2207); 
FAILURE(BgL_auxz00_2544,BFALSE,BFALSE);} 
return 
BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_auxz00_2540, BgL_localz00_2208, BgL_auxz00_2548);} } 
}



/* bind-and-reset-effect */
obj_t BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(BgL_ev_absz00_bglt BgL_absz00_75, obj_t BgL_varsz00_76)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 226 */
{ /* Eval/evaluate_avar.scm 232 */
obj_t BgL_ifreez00_1188;
BgL_ifreez00_1188 = 
BGl_funionze70ze7zz__evaluate_avarz00(
(((BgL_ev_absz00_bglt)CREF(BgL_absz00_75))->BgL_innerz00)); 
{ 
obj_t BgL_auxz00_2559;
{ /* Eval/evaluate_avar.scm 234 */
obj_t BgL_arg1320z00_1190;
BgL_arg1320z00_1190 = 
(((BgL_ev_absz00_bglt)CREF(BgL_absz00_75))->BgL_bindz00); 
BgL_auxz00_2559 = 
BGl_appendzd221009zd2zz__evaluate_avarz00(BgL_varsz00_76, BgL_arg1320z00_1190); } 
((((BgL_ev_absz00_bglt)CREF(BgL_absz00_75))->BgL_bindz00)=((obj_t)BgL_auxz00_2559),BUNSPEC); } 
{ /* Eval/evaluate_avar.scm 236 */
obj_t BgL_g1183z00_1191;
BgL_g1183z00_1191 = 
BGl_diffz00zz__evaluate_avarz00(BgL_varsz00_76, BgL_ifreez00_1188); 
{ 
obj_t BgL_l1181z00_1193;
BgL_l1181z00_1193 = BgL_g1183z00_1191; 
BgL_zc3anonymousza31321ze3z83_1194:
if(
PAIRP(BgL_l1181z00_1193))
{ /* Eval/evaluate_avar.scm 239 */
{ /* Eval/evaluate_avar.scm 237 */
obj_t BgL_vz00_1196;
BgL_vz00_1196 = 
CAR(BgL_l1181z00_1193); 
((((BgL_ev_varz00_bglt)CREF(
((BgL_ev_varz00_bglt)BgL_vz00_1196)))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); } 
{ 
obj_t BgL_l1181z00_2569;
BgL_l1181z00_2569 = 
CDR(BgL_l1181z00_1193); 
BgL_l1181z00_1193 = BgL_l1181z00_2569; 
goto BgL_zc3anonymousza31321ze3z83_1194;} }  else 
{ /* Eval/evaluate_avar.scm 239 */((bool_t)1); } } } 
return BgL_ifreez00_1188;} } 
}



/* funion~0 */
obj_t BGl_funionze70ze7zz__evaluate_avarz00(obj_t BgL_lz00_1202)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 231 */
if(
NULLP(BgL_lz00_1202))
{ /* Eval/evaluate_avar.scm 229 */
return BNIL;}  else 
{ /* Eval/evaluate_avar.scm 231 */
obj_t BgL_arg1327z00_1205;obj_t BgL_arg1328z00_1206;
BgL_arg1327z00_1205 = 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)
CAR(BgL_lz00_1202))))->BgL_freez00); 
BgL_arg1328z00_1206 = 
BGl_funionze70ze7zz__evaluate_avarz00(
CDR(BgL_lz00_1202)); 
return 
BGl_unionz00zz__evaluate_avarz00(BgL_arg1327z00_1205, BgL_arg1328z00_1206);} } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_avarz00()
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 15 */
return BUNSPEC;} 
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_avarz00()
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_proc1827z00zz__evaluate_avarz00, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string1828z00zz__evaluate_avarz00);} 
}



/* &avar1200 */
obj_t BGl_z62avar1200z62zz__evaluate_avarz00(obj_t BgL_envz00_2211, obj_t BgL_ez00_2212, obj_t BgL_localz00_2213, obj_t BgL_absz00_2214)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 122 */
return 
BGl_errorz00zz__errorz00(BGl_symbol1829z00zz__evaluate_avarz00, BGl_string1830z00zz__evaluate_avarz00, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_2212)));} 
}



/* avar */
obj_t BGl_avarz00zz__evaluate_avarz00(BgL_ev_exprz00_bglt BgL_ez00_18, obj_t BgL_localz00_19, obj_t BgL_absz00_20)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 122 */
{ /* Eval/evaluate_avar.scm 122 */
obj_t BgL_method1201z00_1216;
{ /* Eval/evaluate_avar.scm 122 */
obj_t BgL_res1735z00_1928;
{ /* Eval/evaluate_avar.scm 122 */
long BgL_objzd2classzd2numz00_1901;
{ /* Eval/evaluate_avar.scm 122 */
long BgL_res1729z00_1904;
BgL_res1729z00_1904 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_18)); 
BgL_objzd2classzd2numz00_1901 = BgL_res1729z00_1904; } 
{ /* Eval/evaluate_avar.scm 122 */
obj_t BgL_arg1717z00_1902;
BgL_arg1717z00_1902 = 
PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluate_avarz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_avar.scm 122 */
int BgL_offsetz00_1906;
BgL_offsetz00_1906 = 
(int)(BgL_objzd2classzd2numz00_1901); 
{ /* Eval/evaluate_avar.scm 122 */
long BgL_offsetz00_1907;
BgL_offsetz00_1907 = 
(
(long)(BgL_offsetz00_1906)-OBJECT_TYPE); 
{ /* Eval/evaluate_avar.scm 122 */
long BgL_modz00_1908;
{ /* Eval/evaluate_avar.scm 122 */
int BgL_arg1719z00_1909;
BgL_arg1719z00_1909 = 
(int)(((long)16)); 
{ /* Eval/evaluate_avar.scm 122 */
long BgL_res1732z00_1919;
{ /* Eval/evaluate_avar.scm 122 */
long BgL_tmpz00_2591;
BgL_tmpz00_2591 = 
(long)(BgL_arg1719z00_1909); 
BgL_res1732z00_1919 = 
(BgL_offsetz00_1907/BgL_tmpz00_2591); } 
BgL_modz00_1908 = BgL_res1732z00_1919; } } 
{ /* Eval/evaluate_avar.scm 122 */
long BgL_restz00_1910;
{ /* Eval/evaluate_avar.scm 122 */
int BgL_arg1718z00_1911;
BgL_arg1718z00_1911 = 
(int)(((long)16)); 
{ /* Eval/evaluate_avar.scm 122 */
long BgL_res1734z00_1923;
{ /* Eval/evaluate_avar.scm 122 */
long BgL_tmpz00_2595;
BgL_tmpz00_2595 = 
(long)(BgL_arg1718z00_1911); 
BgL_res1734z00_1923 = 
(BgL_offsetz00_1907%BgL_tmpz00_2595); } 
BgL_restz00_1910 = BgL_res1734z00_1923; } } 
{ /* Eval/evaluate_avar.scm 122 */

BgL_res1735z00_1928 = 
VECTOR_REF(
VECTOR_REF(BgL_arg1717z00_1902,
(int)(BgL_modz00_1908)),
(int)(BgL_restz00_1910)); } } } } } } } 
BgL_method1201z00_1216 = BgL_res1735z00_1928; } 
return 
PROCEDURE_ENTRY(BgL_method1201z00_1216)(BgL_method1201z00_1216, 
((obj_t)BgL_ez00_18), BgL_localz00_19, BgL_absz00_20, BEOA);} } 
}



/* &avar */
obj_t BGl_z62avarz62zz__evaluate_avarz00(obj_t BgL_envz00_2215, obj_t BgL_ez00_2216, obj_t BgL_localz00_2217, obj_t BgL_absz00_2218)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 122 */
{ /* Eval/evaluate_avar.scm 122 */
BgL_ev_exprz00_bglt BgL_auxz00_2609;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_2216, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_avar.scm 122 */
BgL_auxz00_2609 = 
((BgL_ev_exprz00_bglt)BgL_ez00_2216)
; }  else 
{ 
obj_t BgL_auxz00_2613;
BgL_auxz00_2613 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1821z00zz__evaluate_avarz00, 
BINT(((long)3282)), BGl_string1831z00zz__evaluate_avarz00, BGl_string1823z00zz__evaluate_avarz00, BgL_ez00_2216); 
FAILURE(BgL_auxz00_2613,BFALSE,BFALSE);} 
return 
BGl_avarz00zz__evaluate_avarz00(BgL_auxz00_2609, BgL_localz00_2217, BgL_absz00_2218);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_avarz00()
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1832z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc1834z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc1835z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc1836z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_listz00zz__evaluate_typesz00, BGl_proc1837z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc1838z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc1839z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc1840z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc1841z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc1842z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc1843z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc1844z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_letz00zz__evaluate_typesz00, BGl_proc1845z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_letza2za2zz__evaluate_typesz00, BGl_proc1846z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc1847z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc1848z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc1849z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc1850z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avarzd2envzd2zz__evaluate_avarz00, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc1851z00zz__evaluate_avarz00, BGl_string1833z00zz__evaluate_avarz00);} 
}



/* &avar-ev_abs1239 */
obj_t BGl_z62avarzd2ev_abs1239zb0zz__evaluate_avarz00(obj_t BgL_envz00_2238, obj_t BgL_ez00_2239, obj_t BgL_localz00_2240, obj_t BgL_absz00_2241)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 242 */
{ 
obj_t BgL_auxz00_2637;
{ /* Eval/evaluate_avar.scm 245 */
obj_t BgL_arg1422z00_2332;
BgL_arg1422z00_2332 = 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_absz00_2241)))->BgL_innerz00); 
BgL_auxz00_2637 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_2239)), BgL_arg1422z00_2332); } 
((((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_absz00_2241)))->BgL_innerz00)=((obj_t)BgL_auxz00_2637),BUNSPEC); } 
{ /* Eval/evaluate_avar.scm 246 */
BgL_ev_exprz00_bglt BgL_arg1425z00_2333;obj_t BgL_arg1426z00_2334;
BgL_arg1425z00_2333 = 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_ez00_2239)))->BgL_bodyz00); 
BgL_arg1426z00_2334 = 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_ez00_2239)))->BgL_varsz00); 
BGl_avarz00zz__evaluate_avarz00(BgL_arg1425z00_2333, BgL_arg1426z00_2334, 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_2239))); } 
{ /* Eval/evaluate_avar.scm 247 */
obj_t BgL_ifreez00_2335;
BgL_ifreez00_2335 = 
BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
((BgL_ev_absz00_bglt)BgL_ez00_2239), 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_ez00_2239)))->BgL_varsz00)); 
{ 
obj_t BgL_auxz00_2656;
{ /* Eval/evaluate_avar.scm 249 */
obj_t BgL_arg1427z00_2336;obj_t BgL_arg1428z00_2337;
{ /* Eval/evaluate_avar.scm 249 */
obj_t BgL_arg1429z00_2338;
BgL_arg1429z00_2338 = 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_ez00_2239)))->BgL_freez00); 
BgL_arg1427z00_2336 = 
BGl_unionz00zz__evaluate_avarz00(BgL_ifreez00_2335, BgL_arg1429z00_2338); } 
BgL_arg1428z00_2337 = 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_ez00_2239)))->BgL_bindz00); 
BgL_auxz00_2656 = 
BGl_diffz00zz__evaluate_avarz00(BgL_arg1427z00_2336, BgL_arg1428z00_2337); } 
((((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_ez00_2239)))->BgL_freez00)=((obj_t)BgL_auxz00_2656),BUNSPEC); } 
{ 
obj_t BgL_auxz00_2665;
{ /* Eval/evaluate_avar.scm 250 */
obj_t BgL_g1189z00_2339;
BgL_g1189z00_2339 = 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_ez00_2239)))->BgL_varsz00); 
BgL_auxz00_2665 = 
BGl_zc3anonymousza31430ze3ze70z64zz__evaluate_avarz00(BgL_g1189z00_2339); } 
return 
((((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_ez00_2239)))->BgL_boxesz00)=((obj_t)BgL_auxz00_2665),BUNSPEC);} } } 
}



/* <anonymous:1430>~0 */
obj_t BGl_zc3anonymousza31430ze3ze70z64zz__evaluate_avarz00(obj_t BgL_lis1185z00_1526)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 250 */
BGl_zc3anonymousza31430ze3ze70z64zz__evaluate_avarz00:
if(
NULLP(BgL_lis1185z00_1526))
{ /* Eval/evaluate_avar.scm 250 */
return BgL_lis1185z00_1526;}  else 
{ /* Eval/evaluate_avar.scm 250 */
obj_t BgL_head1186z00_1529;obj_t BgL_tail1187z00_1530;
BgL_head1186z00_1529 = 
CAR(BgL_lis1185z00_1526); 
BgL_tail1187z00_1530 = 
CDR(BgL_lis1185z00_1526); 
if(
CBOOL(
(((BgL_ev_varz00_bglt)CREF(
((BgL_ev_varz00_bglt)BgL_head1186z00_1529)))->BgL_effz00)))
{ /* Eval/evaluate_avar.scm 250 */
obj_t BgL_newzd2tail1188zd2_1534;
BgL_newzd2tail1188zd2_1534 = 
BGl_zc3anonymousza31430ze3ze70z64zz__evaluate_avarz00(BgL_tail1187z00_1530); 
if(
(BgL_tail1187z00_1530==BgL_newzd2tail1188zd2_1534))
{ /* Eval/evaluate_avar.scm 250 */
return BgL_lis1185z00_1526;}  else 
{ /* Eval/evaluate_avar.scm 250 */
obj_t BgL_res1761z00_1992;
BgL_res1761z00_1992 = 
MAKE_YOUNG_PAIR(BgL_head1186z00_1529, BgL_newzd2tail1188zd2_1534); 
return BgL_res1761z00_1992;} }  else 
{ 
obj_t BgL_lis1185z00_2683;
BgL_lis1185z00_2683 = BgL_tail1187z00_1530; 
BgL_lis1185z00_1526 = BgL_lis1185z00_2683; 
goto BGl_zc3anonymousza31430ze3ze70z64zz__evaluate_avarz00;} } } 
}



/* &avar-ev_app1237 */
obj_t BGl_z62avarzd2ev_app1237zb0zz__evaluate_avarz00(obj_t BgL_envz00_2242, obj_t BgL_ez00_2243, obj_t BgL_localz00_2244, obj_t BgL_absz00_2245)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 220 */
{ /* Eval/evaluate_avar.scm 221 */
bool_t BgL_tmpz00_2684;
BGl_avarz00zz__evaluate_avarz00(
(((BgL_ev_appz00_bglt)CREF(
((BgL_ev_appz00_bglt)BgL_ez00_2243)))->BgL_funz00), BgL_localz00_2244, BgL_absz00_2245); 
{ /* Eval/evaluate_avar.scm 223 */
obj_t BgL_g1180z00_2341;
BgL_g1180z00_2341 = 
(((BgL_ev_appz00_bglt)CREF(
((BgL_ev_appz00_bglt)BgL_ez00_2243)))->BgL_argsz00); 
{ 
obj_t BgL_l1178z00_2343;
BgL_l1178z00_2343 = BgL_g1180z00_2341; 
BgL_zc3anonymousza31419ze3z83_2342:
if(
PAIRP(BgL_l1178z00_2343))
{ /* Eval/evaluate_avar.scm 223 */
{ /* Eval/evaluate_avar.scm 223 */
obj_t BgL_ez00_2344;
BgL_ez00_2344 = 
CAR(BgL_l1178z00_2343); 
BGl_avarz00zz__evaluate_avarz00(
((BgL_ev_exprz00_bglt)BgL_ez00_2344), BgL_localz00_2244, BgL_absz00_2245); } 
{ 
obj_t BgL_l1178z00_2695;
BgL_l1178z00_2695 = 
CDR(BgL_l1178z00_2343); 
BgL_l1178z00_2343 = BgL_l1178z00_2695; 
goto BgL_zc3anonymousza31419ze3z83_2342;} }  else 
{ /* Eval/evaluate_avar.scm 223 */
BgL_tmpz00_2684 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_2684);} } 
}



/* &avar-ev_goto1235 */
obj_t BGl_z62avarzd2ev_goto1235zb0zz__evaluate_avarz00(obj_t BgL_envz00_2246, obj_t BgL_ez00_2247, obj_t BgL_localz00_2248, obj_t BgL_absz00_2249)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 216 */
{ /* Eval/evaluate_avar.scm 217 */
bool_t BgL_tmpz00_2698;
{ /* Eval/evaluate_avar.scm 218 */
obj_t BgL_g1177z00_2346;
BgL_g1177z00_2346 = 
(((BgL_ev_gotoz00_bglt)CREF(
((BgL_ev_gotoz00_bglt)BgL_ez00_2247)))->BgL_argsz00); 
{ 
obj_t BgL_l1175z00_2348;
BgL_l1175z00_2348 = BgL_g1177z00_2346; 
BgL_zc3anonymousza31415ze3z83_2347:
if(
PAIRP(BgL_l1175z00_2348))
{ /* Eval/evaluate_avar.scm 218 */
{ /* Eval/evaluate_avar.scm 218 */
obj_t BgL_ez00_2349;
BgL_ez00_2349 = 
CAR(BgL_l1175z00_2348); 
BGl_avarz00zz__evaluate_avarz00(
((BgL_ev_exprz00_bglt)BgL_ez00_2349), BgL_localz00_2248, BgL_absz00_2249); } 
{ 
obj_t BgL_l1175z00_2706;
BgL_l1175z00_2706 = 
CDR(BgL_l1175z00_2348); 
BgL_l1175z00_2348 = BgL_l1175z00_2706; 
goto BgL_zc3anonymousza31415ze3z83_2347;} }  else 
{ /* Eval/evaluate_avar.scm 218 */
BgL_tmpz00_2698 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_2698);} } 
}



/* &avar-ev_labels1233 */
obj_t BGl_z62avarzd2ev_labels1233zb0zz__evaluate_avarz00(obj_t BgL_envz00_2250, obj_t BgL_ez00_2251, obj_t BgL_localz00_2252, obj_t BgL_absz00_2253)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 204 */
{ /* Eval/evaluate_avar.scm 206 */
obj_t BgL_localz00_2351;
BgL_localz00_2351 = 
BGl_appendzd221009zd2zz__evaluate_avarz00(
(((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_ez00_2251)))->BgL_varsz00), BgL_localz00_2252); 
{ /* Eval/evaluate_avar.scm 207 */
obj_t BgL_g1163z00_2352;
BgL_g1163z00_2352 = 
(((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_ez00_2251)))->BgL_valsz00); 
{ 
obj_t BgL_l1161z00_2354;
BgL_l1161z00_2354 = BgL_g1163z00_2352; 
BgL_zc3anonymousza31389ze3z83_2353:
if(
PAIRP(BgL_l1161z00_2354))
{ /* Eval/evaluate_avar.scm 207 */
{ /* Eval/evaluate_avar.scm 209 */
obj_t BgL_sz00_2355;
BgL_sz00_2355 = 
CAR(BgL_l1161z00_2354); 
{ /* Eval/evaluate_avar.scm 209 */
obj_t BgL_arg1391z00_2356;obj_t BgL_arg1392z00_2357;
BgL_arg1391z00_2356 = 
CDR(BgL_sz00_2355); 
BgL_arg1392z00_2357 = 
BGl_appendzd221009zd2zz__evaluate_avarz00(
CAR(BgL_sz00_2355), BgL_localz00_2351); 
BGl_avarz00zz__evaluate_avarz00(
((BgL_ev_exprz00_bglt)BgL_arg1391z00_2356), BgL_arg1392z00_2357, BgL_absz00_2253); } 
{ /* Eval/evaluate_avar.scm 210 */
obj_t BgL_arg1394z00_2358;
BgL_arg1394z00_2358 = 
CAR(BgL_sz00_2355); 
BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
((BgL_ev_absz00_bglt)BgL_absz00_2253), BgL_arg1394z00_2358); } } 
{ 
obj_t BgL_l1161z00_2725;
BgL_l1161z00_2725 = 
CDR(BgL_l1161z00_2354); 
BgL_l1161z00_2354 = BgL_l1161z00_2725; 
goto BgL_zc3anonymousza31389ze3z83_2353;} }  else 
{ /* Eval/evaluate_avar.scm 207 */((bool_t)1); } } } 
{ 
obj_t BgL_auxz00_2727;
{ /* Eval/evaluate_avar.scm 213 */
obj_t BgL_ll1169z00_2359;obj_t BgL_ll1170z00_2360;
BgL_ll1169z00_2359 = 
(((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_ez00_2251)))->BgL_varsz00); 
BgL_ll1170z00_2360 = 
(((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_ez00_2251)))->BgL_valsz00); 
if(
NULLP(BgL_ll1169z00_2359))
{ /* Eval/evaluate_avar.scm 213 */
BgL_auxz00_2727 = BNIL
; }  else 
{ /* Eval/evaluate_avar.scm 213 */
obj_t BgL_head1171z00_2361;
{ /* Eval/evaluate_avar.scm 213 */
obj_t BgL_res1750z00_2362;
BgL_res1750z00_2362 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1171z00_2361 = BgL_res1750z00_2362; } 
{ 
obj_t BgL_ll1169z00_2364;obj_t BgL_ll1170z00_2365;obj_t BgL_tail1172z00_2366;
BgL_ll1169z00_2364 = BgL_ll1169z00_2359; 
BgL_ll1170z00_2365 = BgL_ll1170z00_2360; 
BgL_tail1172z00_2366 = BgL_head1171z00_2361; 
BgL_zc3anonymousza31397ze3z83_2363:
if(
NULLP(BgL_ll1169z00_2364))
{ /* Eval/evaluate_avar.scm 213 */
BgL_auxz00_2727 = 
CDR(BgL_head1171z00_2361)
; }  else 
{ /* Eval/evaluate_avar.scm 213 */
obj_t BgL_newtail1173z00_2367;
{ /* Eval/evaluate_avar.scm 213 */
obj_t BgL_arg1403z00_2368;
{ /* Eval/evaluate_avar.scm 213 */
obj_t BgL_varz00_2369;obj_t BgL_sz00_2370;
BgL_varz00_2369 = 
CAR(BgL_ll1169z00_2364); 
BgL_sz00_2370 = 
CAR(BgL_ll1170z00_2365); 
{ /* Eval/evaluate_avar.scm 213 */
obj_t BgL_arg1404z00_2371;
{ /* Eval/evaluate_avar.scm 213 */
obj_t BgL_l1164z00_2372;
BgL_l1164z00_2372 = 
CAR(BgL_sz00_2370); 
if(
NULLP(BgL_l1164z00_2372))
{ /* Eval/evaluate_avar.scm 213 */
BgL_arg1404z00_2371 = BNIL; }  else 
{ /* Eval/evaluate_avar.scm 213 */
obj_t BgL_head1166z00_2373;
{ /* Eval/evaluate_avar.scm 213 */
obj_t BgL_res1753z00_2374;
BgL_res1753z00_2374 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1166z00_2373 = BgL_res1753z00_2374; } 
{ 
obj_t BgL_l1164z00_2376;obj_t BgL_tail1167z00_2377;
BgL_l1164z00_2376 = BgL_l1164z00_2372; 
BgL_tail1167z00_2377 = BgL_head1166z00_2373; 
BgL_zc3anonymousza31406ze3z83_2375:
if(
NULLP(BgL_l1164z00_2376))
{ /* Eval/evaluate_avar.scm 213 */
BgL_arg1404z00_2371 = 
CDR(BgL_head1166z00_2373); }  else 
{ /* Eval/evaluate_avar.scm 213 */
obj_t BgL_newtail1168z00_2378;
{ /* Eval/evaluate_avar.scm 213 */
obj_t BgL_arg1411z00_2379;
BgL_arg1411z00_2379 = 
(((BgL_ev_varz00_bglt)CREF(
((BgL_ev_varz00_bglt)
CAR(BgL_l1164z00_2376))))->BgL_effz00); 
{ /* Eval/evaluate_avar.scm 213 */
obj_t BgL_res1755z00_2380;
BgL_res1755z00_2380 = 
MAKE_YOUNG_PAIR(BgL_arg1411z00_2379, BNIL); 
BgL_newtail1168z00_2378 = BgL_res1755z00_2380; } } 
SET_CDR(BgL_tail1167z00_2377, BgL_newtail1168z00_2378); 
{ /* Eval/evaluate_avar.scm 213 */
obj_t BgL_arg1410z00_2381;
BgL_arg1410z00_2381 = 
CDR(BgL_l1164z00_2376); 
{ 
obj_t BgL_tail1167z00_2755;obj_t BgL_l1164z00_2754;
BgL_l1164z00_2754 = BgL_arg1410z00_2381; 
BgL_tail1167z00_2755 = BgL_newtail1168z00_2378; 
BgL_tail1167z00_2377 = BgL_tail1167z00_2755; 
BgL_l1164z00_2376 = BgL_l1164z00_2754; 
goto BgL_zc3anonymousza31406ze3z83_2375;} } } } } } 
BgL_arg1403z00_2368 = 
MAKE_YOUNG_PAIR(BgL_varz00_2369, BgL_arg1404z00_2371); } } 
{ /* Eval/evaluate_avar.scm 213 */
obj_t BgL_res1756z00_2382;
BgL_res1756z00_2382 = 
MAKE_YOUNG_PAIR(BgL_arg1403z00_2368, BNIL); 
BgL_newtail1173z00_2367 = BgL_res1756z00_2382; } } 
SET_CDR(BgL_tail1172z00_2366, BgL_newtail1173z00_2367); 
{ /* Eval/evaluate_avar.scm 213 */
obj_t BgL_arg1399z00_2383;obj_t BgL_arg1400z00_2384;
BgL_arg1399z00_2383 = 
CDR(BgL_ll1169z00_2364); 
BgL_arg1400z00_2384 = 
CDR(BgL_ll1170z00_2365); 
{ 
obj_t BgL_tail1172z00_2763;obj_t BgL_ll1170z00_2762;obj_t BgL_ll1169z00_2761;
BgL_ll1169z00_2761 = BgL_arg1399z00_2383; 
BgL_ll1170z00_2762 = BgL_arg1400z00_2384; 
BgL_tail1172z00_2763 = BgL_newtail1173z00_2367; 
BgL_tail1172z00_2366 = BgL_tail1172z00_2763; 
BgL_ll1170z00_2365 = BgL_ll1170z00_2762; 
BgL_ll1169z00_2364 = BgL_ll1169z00_2761; 
goto BgL_zc3anonymousza31397ze3z83_2363;} } } } } } 
((((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_ez00_2251)))->BgL_boxesz00)=((obj_t)BgL_auxz00_2727),BUNSPEC); } 
return 
BGl_avarz00zz__evaluate_avarz00(
(((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_ez00_2251)))->BgL_bodyz00), BgL_localz00_2351, BgL_absz00_2253);} } 
}



/* &avar-ev_letrec1231 */
obj_t BGl_z62avarzd2ev_letrec1231zb0zz__evaluate_avarz00(obj_t BgL_envz00_2254, obj_t BgL_ez00_2255, obj_t BgL_localz00_2256, obj_t BgL_absz00_2257)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 195 */
{ /* Eval/evaluate_avar.scm 196 */
bool_t BgL_tmpz00_2768;
{ /* Eval/evaluate_avar.scm 197 */
obj_t BgL_localz00_2386;
{ /* Eval/evaluate_avar.scm 197 */
obj_t BgL_arg1388z00_2387;
BgL_arg1388z00_2387 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_2255))))->BgL_varsz00); 
BgL_localz00_2386 = 
BGl_appendzd221009zd2zz__evaluate_avarz00(BgL_arg1388z00_2387, BgL_localz00_2256); } 
{ /* Eval/evaluate_avar.scm 198 */
obj_t BgL_g1157z00_2388;
BgL_g1157z00_2388 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_2255))))->BgL_valsz00); 
{ 
obj_t BgL_l1155z00_2390;
BgL_l1155z00_2390 = BgL_g1157z00_2388; 
BgL_zc3anonymousza31379ze3z83_2389:
if(
PAIRP(BgL_l1155z00_2390))
{ /* Eval/evaluate_avar.scm 198 */
{ /* Eval/evaluate_avar.scm 198 */
obj_t BgL_ez00_2391;
BgL_ez00_2391 = 
CAR(BgL_l1155z00_2390); 
BGl_avarz00zz__evaluate_avarz00(
((BgL_ev_exprz00_bglt)BgL_ez00_2391), BgL_localz00_2386, BgL_absz00_2257); } 
{ 
obj_t BgL_l1155z00_2781;
BgL_l1155z00_2781 = 
CDR(BgL_l1155z00_2390); 
BgL_l1155z00_2390 = BgL_l1155z00_2781; 
goto BgL_zc3anonymousza31379ze3z83_2389;} }  else 
{ /* Eval/evaluate_avar.scm 198 */((bool_t)1); } } } 
{ /* Eval/evaluate_avar.scm 199 */
BgL_ev_exprz00_bglt BgL_arg1382z00_2392;
BgL_arg1382z00_2392 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_2255))))->BgL_bodyz00); 
BGl_avarz00zz__evaluate_avarz00(BgL_arg1382z00_2392, BgL_localz00_2386, BgL_absz00_2257); } 
{ 
obj_t BgL_auxz00_2787;
{ /* Eval/evaluate_avar.scm 201 */
obj_t BgL_arg1383z00_2393;obj_t BgL_arg1384z00_2394;
BgL_arg1383z00_2393 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_2255))))->BgL_varsz00); 
BgL_arg1384z00_2394 = 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_absz00_2257)))->BgL_bindz00); 
BgL_auxz00_2787 = 
BGl_appendzd221009zd2zz__evaluate_avarz00(BgL_arg1383z00_2393, BgL_arg1384z00_2394); } 
((((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_absz00_2257)))->BgL_bindz00)=((obj_t)BgL_auxz00_2787),BUNSPEC); } 
{ /* Eval/evaluate_avar.scm 202 */
obj_t BgL_g1160z00_2395;
BgL_g1160z00_2395 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_2255))))->BgL_varsz00); 
{ 
obj_t BgL_l1158z00_2397;
BgL_l1158z00_2397 = BgL_g1160z00_2395; 
BgL_zc3anonymousza31385ze3z83_2396:
if(
PAIRP(BgL_l1158z00_2397))
{ /* Eval/evaluate_avar.scm 202 */
{ /* Eval/evaluate_avar.scm 202 */
obj_t BgL_vz00_2398;
BgL_vz00_2398 = 
CAR(BgL_l1158z00_2397); 
((((BgL_ev_varz00_bglt)CREF(
((BgL_ev_varz00_bglt)BgL_vz00_2398)))->BgL_effz00)=((obj_t)BTRUE),BUNSPEC); } 
{ 
obj_t BgL_l1158z00_2804;
BgL_l1158z00_2804 = 
CDR(BgL_l1158z00_2397); 
BgL_l1158z00_2397 = BgL_l1158z00_2804; 
goto BgL_zc3anonymousza31385ze3z83_2396;} }  else 
{ /* Eval/evaluate_avar.scm 202 */
BgL_tmpz00_2768 = ((bool_t)1)
; } } } } 
return 
BBOOL(BgL_tmpz00_2768);} } 
}



/* &avar-ev_let*1229 */
obj_t BGl_z62avarzd2ev_letza21229z12zz__evaluate_avarz00(obj_t BgL_envz00_2258, obj_t BgL_ez00_2259, obj_t BgL_localz00_2260, obj_t BgL_absz00_2261)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 187 */
{ /* Eval/evaluate_avar.scm 189 */
obj_t BgL_localz00_2400;
{ /* Eval/evaluate_avar.scm 189 */
obj_t BgL_arg1378z00_2401;
BgL_arg1378z00_2401 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_2259))))->BgL_varsz00); 
BgL_localz00_2400 = 
BGl_appendzd221009zd2zz__evaluate_avarz00(BgL_arg1378z00_2401, BgL_localz00_2260); } 
{ /* Eval/evaluate_avar.scm 190 */
obj_t BgL_g1149z00_2402;
BgL_g1149z00_2402 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_2259))))->BgL_valsz00); 
{ 
obj_t BgL_l1147z00_2404;
BgL_l1147z00_2404 = BgL_g1149z00_2402; 
BgL_zc3anonymousza31366ze3z83_2403:
if(
PAIRP(BgL_l1147z00_2404))
{ /* Eval/evaluate_avar.scm 190 */
{ /* Eval/evaluate_avar.scm 190 */
obj_t BgL_ez00_2405;
BgL_ez00_2405 = 
CAR(BgL_l1147z00_2404); 
BGl_avarz00zz__evaluate_avarz00(
((BgL_ev_exprz00_bglt)BgL_ez00_2405), BgL_localz00_2400, BgL_absz00_2261); } 
{ 
obj_t BgL_l1147z00_2819;
BgL_l1147z00_2819 = 
CDR(BgL_l1147z00_2404); 
BgL_l1147z00_2404 = BgL_l1147z00_2819; 
goto BgL_zc3anonymousza31366ze3z83_2403;} }  else 
{ /* Eval/evaluate_avar.scm 190 */((bool_t)1); } } } 
{ /* Eval/evaluate_avar.scm 191 */
BgL_ev_exprz00_bglt BgL_arg1371z00_2406;
BgL_arg1371z00_2406 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_2259))))->BgL_bodyz00); 
BGl_avarz00zz__evaluate_avarz00(BgL_arg1371z00_2406, BgL_localz00_2400, BgL_absz00_2261); } 
{ /* Eval/evaluate_avar.scm 192 */
obj_t BgL_arg1372z00_2407;
BgL_arg1372z00_2407 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_2259))))->BgL_varsz00); 
BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
((BgL_ev_absz00_bglt)BgL_absz00_2261), BgL_arg1372z00_2407); } 
{ 
obj_t BgL_auxz00_2830;
{ /* Eval/evaluate_avar.scm 193 */
obj_t BgL_l1150z00_2408;
BgL_l1150z00_2408 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_2259))))->BgL_varsz00); 
if(
NULLP(BgL_l1150z00_2408))
{ /* Eval/evaluate_avar.scm 193 */
BgL_auxz00_2830 = BNIL
; }  else 
{ /* Eval/evaluate_avar.scm 193 */
obj_t BgL_head1152z00_2409;
{ /* Eval/evaluate_avar.scm 193 */
obj_t BgL_res1743z00_2410;
BgL_res1743z00_2410 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1152z00_2409 = BgL_res1743z00_2410; } 
{ 
obj_t BgL_l1150z00_2412;obj_t BgL_tail1153z00_2413;
BgL_l1150z00_2412 = BgL_l1150z00_2408; 
BgL_tail1153z00_2413 = BgL_head1152z00_2409; 
BgL_zc3anonymousza31374ze3z83_2411:
if(
NULLP(BgL_l1150z00_2412))
{ /* Eval/evaluate_avar.scm 193 */
BgL_auxz00_2830 = 
CDR(BgL_head1152z00_2409)
; }  else 
{ /* Eval/evaluate_avar.scm 193 */
obj_t BgL_newtail1154z00_2414;
{ /* Eval/evaluate_avar.scm 193 */
obj_t BgL_arg1377z00_2415;
BgL_arg1377z00_2415 = 
(((BgL_ev_varz00_bglt)CREF(
((BgL_ev_varz00_bglt)
CAR(BgL_l1150z00_2412))))->BgL_effz00); 
{ /* Eval/evaluate_avar.scm 193 */
obj_t BgL_res1745z00_2416;
BgL_res1745z00_2416 = 
MAKE_YOUNG_PAIR(BgL_arg1377z00_2415, BNIL); 
BgL_newtail1154z00_2414 = BgL_res1745z00_2416; } } 
SET_CDR(BgL_tail1153z00_2413, BgL_newtail1154z00_2414); 
{ /* Eval/evaluate_avar.scm 193 */
obj_t BgL_arg1376z00_2417;
BgL_arg1376z00_2417 = 
CDR(BgL_l1150z00_2412); 
{ 
obj_t BgL_tail1153z00_2848;obj_t BgL_l1150z00_2847;
BgL_l1150z00_2847 = BgL_arg1376z00_2417; 
BgL_tail1153z00_2848 = BgL_newtail1154z00_2414; 
BgL_tail1153z00_2413 = BgL_tail1153z00_2848; 
BgL_l1150z00_2412 = BgL_l1150z00_2847; 
goto BgL_zc3anonymousza31374ze3z83_2411;} } } } } } 
return 
((((BgL_ev_letza2za2_bglt)CREF(
((BgL_ev_letza2za2_bglt)BgL_ez00_2259)))->BgL_boxesz00)=((obj_t)BgL_auxz00_2830),BUNSPEC);} } } 
}



/* &avar-ev_let1227 */
obj_t BGl_z62avarzd2ev_let1227zb0zz__evaluate_avarz00(obj_t BgL_envz00_2262, obj_t BgL_ez00_2263, obj_t BgL_localz00_2264, obj_t BgL_absz00_2265)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 180 */
{ /* Eval/evaluate_avar.scm 182 */
obj_t BgL_g1140z00_2419;
BgL_g1140z00_2419 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_2263))))->BgL_valsz00); 
{ 
obj_t BgL_l1138z00_2421;
BgL_l1138z00_2421 = BgL_g1140z00_2419; 
BgL_zc3anonymousza31354ze3z83_2420:
if(
PAIRP(BgL_l1138z00_2421))
{ /* Eval/evaluate_avar.scm 182 */
{ /* Eval/evaluate_avar.scm 182 */
obj_t BgL_ez00_2422;
BgL_ez00_2422 = 
CAR(BgL_l1138z00_2421); 
BGl_avarz00zz__evaluate_avarz00(
((BgL_ev_exprz00_bglt)BgL_ez00_2422), BgL_localz00_2264, BgL_absz00_2265); } 
{ 
obj_t BgL_l1138z00_2858;
BgL_l1138z00_2858 = 
CDR(BgL_l1138z00_2421); 
BgL_l1138z00_2421 = BgL_l1138z00_2858; 
goto BgL_zc3anonymousza31354ze3z83_2420;} }  else 
{ /* Eval/evaluate_avar.scm 182 */((bool_t)1); } } } 
{ /* Eval/evaluate_avar.scm 183 */
BgL_ev_exprz00_bglt BgL_arg1358z00_2423;obj_t BgL_arg1359z00_2424;
BgL_arg1358z00_2423 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_2263))))->BgL_bodyz00); 
{ /* Eval/evaluate_avar.scm 183 */
obj_t BgL_arg1360z00_2425;
BgL_arg1360z00_2425 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_2263))))->BgL_varsz00); 
BgL_arg1359z00_2424 = 
BGl_appendzd221009zd2zz__evaluate_avarz00(BgL_arg1360z00_2425, BgL_localz00_2264); } 
BGl_avarz00zz__evaluate_avarz00(BgL_arg1358z00_2423, BgL_arg1359z00_2424, BgL_absz00_2265); } 
{ /* Eval/evaluate_avar.scm 184 */
obj_t BgL_arg1361z00_2426;
BgL_arg1361z00_2426 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_2263))))->BgL_varsz00); 
BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
((BgL_ev_absz00_bglt)BgL_absz00_2265), BgL_arg1361z00_2426); } 
{ 
obj_t BgL_auxz00_2873;
{ /* Eval/evaluate_avar.scm 185 */
obj_t BgL_g1146z00_2427;
BgL_g1146z00_2427 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_2263))))->BgL_varsz00); 
BgL_auxz00_2873 = 
BGl_zc3anonymousza31362ze3ze70z64zz__evaluate_avarz00(BgL_g1146z00_2427); } 
return 
((((BgL_ev_letz00_bglt)CREF(
((BgL_ev_letz00_bglt)BgL_ez00_2263)))->BgL_boxesz00)=((obj_t)BgL_auxz00_2873),BUNSPEC);} } 
}



/* <anonymous:1362>~0 */
obj_t BGl_zc3anonymousza31362ze3ze70z64zz__evaluate_avarz00(obj_t BgL_lis1142z00_1347)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 185 */
BGl_zc3anonymousza31362ze3ze70z64zz__evaluate_avarz00:
if(
NULLP(BgL_lis1142z00_1347))
{ /* Eval/evaluate_avar.scm 185 */
return BgL_lis1142z00_1347;}  else 
{ /* Eval/evaluate_avar.scm 185 */
obj_t BgL_head1143z00_1350;obj_t BgL_tail1144z00_1351;
BgL_head1143z00_1350 = 
CAR(BgL_lis1142z00_1347); 
BgL_tail1144z00_1351 = 
CDR(BgL_lis1142z00_1347); 
if(
CBOOL(
(((BgL_ev_varz00_bglt)CREF(
((BgL_ev_varz00_bglt)BgL_head1143z00_1350)))->BgL_effz00)))
{ /* Eval/evaluate_avar.scm 185 */
obj_t BgL_newzd2tail1145zd2_1355;
BgL_newzd2tail1145zd2_1355 = 
BGl_zc3anonymousza31362ze3ze70z64zz__evaluate_avarz00(BgL_tail1144z00_1351); 
if(
(BgL_tail1144z00_1351==BgL_newzd2tail1145zd2_1355))
{ /* Eval/evaluate_avar.scm 185 */
return BgL_lis1142z00_1347;}  else 
{ /* Eval/evaluate_avar.scm 185 */
obj_t BgL_res1740z00_1939;
BgL_res1740z00_1939 = 
MAKE_YOUNG_PAIR(BgL_head1143z00_1350, BgL_newzd2tail1145zd2_1355); 
return BgL_res1740z00_1939;} }  else 
{ 
obj_t BgL_lis1142z00_2892;
BgL_lis1142z00_2892 = BgL_tail1144z00_1351; 
BgL_lis1142z00_1347 = BgL_lis1142z00_2892; 
goto BGl_zc3anonymousza31362ze3ze70z64zz__evaluate_avarz00;} } } 
}



/* &avar-ev_synchronize1225 */
obj_t BGl_z62avarzd2ev_synchroniza7e1225z17zz__evaluate_avarz00(obj_t BgL_envz00_2266, obj_t BgL_ez00_2267, obj_t BgL_localz00_2268, obj_t BgL_absz00_2269)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 174 */
BGl_avarz00zz__evaluate_avarz00(
(((BgL_ev_synchroniza7eza7_bglt)CREF(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_2267)))->BgL_mutexz00), BgL_localz00_2268, BgL_absz00_2269); 
BGl_avarz00zz__evaluate_avarz00(
(((BgL_ev_synchroniza7eza7_bglt)CREF(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_2267)))->BgL_prelockz00), BgL_localz00_2268, BgL_absz00_2269); 
return 
BGl_avarz00zz__evaluate_avarz00(
(((BgL_ev_synchroniza7eza7_bglt)CREF(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_2267)))->BgL_bodyz00), BgL_localz00_2268, BgL_absz00_2269);} 
}



/* &avar-ev_with-handler1223 */
obj_t BGl_z62avarzd2ev_withzd2handler1223z62zz__evaluate_avarz00(obj_t BgL_envz00_2270, obj_t BgL_ez00_2271, obj_t BgL_localz00_2272, obj_t BgL_absz00_2273)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 169 */
BGl_avarz00zz__evaluate_avarz00(
(((BgL_ev_withzd2handlerzd2_bglt)CREF(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_2271)))->BgL_handlerz00), BgL_localz00_2272, BgL_absz00_2273); 
return 
BGl_avarz00zz__evaluate_avarz00(
(((BgL_ev_withzd2handlerzd2_bglt)CREF(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_2271)))->BgL_bodyz00), BgL_localz00_2272, BgL_absz00_2273);} 
}



/* &avar-ev_unwind-prote1221 */
obj_t BGl_z62avarzd2ev_unwindzd2prote1221z62zz__evaluate_avarz00(obj_t BgL_envz00_2274, obj_t BgL_ez00_2275, obj_t BgL_localz00_2276, obj_t BgL_absz00_2277)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 164 */
BGl_avarz00zz__evaluate_avarz00(
(((BgL_ev_unwindzd2protectzd2_bglt)CREF(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_2275)))->BgL_ez00), BgL_localz00_2276, BgL_absz00_2277); 
return 
BGl_avarz00zz__evaluate_avarz00(
(((BgL_ev_unwindzd2protectzd2_bglt)CREF(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_2275)))->BgL_bodyz00), BgL_localz00_2276, BgL_absz00_2277);} 
}



/* &avar-ev_bind-exit1219 */
obj_t BGl_z62avarzd2ev_bindzd2exit1219z62zz__evaluate_avarz00(obj_t BgL_envz00_2278, obj_t BgL_ez00_2279, obj_t BgL_localz00_2280, obj_t BgL_absz00_2281)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 159 */
{ /* Eval/evaluate_avar.scm 161 */
BgL_ev_exprz00_bglt BgL_arg1342z00_2432;obj_t BgL_arg1343z00_2433;
BgL_arg1342z00_2432 = 
(((BgL_ev_bindzd2exitzd2_bglt)CREF(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_2279)))->BgL_bodyz00); 
{ /* Eval/evaluate_avar.scm 161 */
BgL_ev_varz00_bglt BgL_arg1344z00_2434;
BgL_arg1344z00_2434 = 
(((BgL_ev_bindzd2exitzd2_bglt)CREF(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_2279)))->BgL_varz00); 
BgL_arg1343z00_2433 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1344z00_2434), BgL_localz00_2280); } 
BGl_avarz00zz__evaluate_avarz00(BgL_arg1342z00_2432, BgL_arg1343z00_2433, BgL_absz00_2281); } 
{ /* Eval/evaluate_avar.scm 162 */
obj_t BgL_arg1345z00_2435;
{ /* Eval/evaluate_avar.scm 162 */
BgL_ev_varz00_bglt BgL_arg1346z00_2436;
BgL_arg1346z00_2436 = 
(((BgL_ev_bindzd2exitzd2_bglt)CREF(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_2279)))->BgL_varz00); 
BgL_arg1345z00_2435 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1346z00_2436), BNIL); } 
return 
BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
((BgL_ev_absz00_bglt)BgL_absz00_2281), BgL_arg1345z00_2435);} } 
}



/* &avar-ev_setlocal1217 */
obj_t BGl_z62avarzd2ev_setlocal1217zb0zz__evaluate_avarz00(obj_t BgL_envz00_2282, obj_t BgL_ez00_2283, obj_t BgL_localz00_2284, obj_t BgL_absz00_2285)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 152 */
{ /* Eval/evaluate_avar.scm 154 */
BgL_ev_varz00_bglt BgL_arg1340z00_2438;
BgL_arg1340z00_2438 = 
(((BgL_ev_setlocalz00_bglt)CREF(
((BgL_ev_setlocalz00_bglt)BgL_ez00_2283)))->BgL_vz00); 
BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_arg1340z00_2438, BgL_localz00_2284, 
((BgL_ev_absz00_bglt)BgL_absz00_2285)); } 
((((BgL_ev_varz00_bglt)CREF(
(((BgL_ev_setlocalz00_bglt)CREF(
((BgL_ev_setlocalz00_bglt)BgL_ez00_2283)))->BgL_vz00)))->BgL_effz00)=((obj_t)BTRUE),BUNSPEC); 
{ /* Eval/evaluate_avar.scm 157 */
BgL_ev_exprz00_bglt BgL_arg1341z00_2439;
BgL_arg1341z00_2439 = 
(((BgL_ev_hookz00_bglt)CREF(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_2283))))->BgL_ez00); 
return 
BGl_avarz00zz__evaluate_avarz00(BgL_arg1341z00_2439, BgL_localz00_2284, BgL_absz00_2285);} } 
}



/* &avar-ev_hook1215 */
obj_t BGl_z62avarzd2ev_hook1215zb0zz__evaluate_avarz00(obj_t BgL_envz00_2286, obj_t BgL_ez00_2287, obj_t BgL_localz00_2288, obj_t BgL_absz00_2289)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 148 */
return 
BGl_avarz00zz__evaluate_avarz00(
(((BgL_ev_hookz00_bglt)CREF(
((BgL_ev_hookz00_bglt)BgL_ez00_2287)))->BgL_ez00), BgL_localz00_2288, BgL_absz00_2289);} 
}



/* &avar-ev_prog21213 */
obj_t BGl_z62avarzd2ev_prog21213zb0zz__evaluate_avarz00(obj_t BgL_envz00_2290, obj_t BgL_ez00_2291, obj_t BgL_localz00_2292, obj_t BgL_absz00_2293)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 143 */
BGl_avarz00zz__evaluate_avarz00(
(((BgL_ev_prog2z00_bglt)CREF(
((BgL_ev_prog2z00_bglt)BgL_ez00_2291)))->BgL_e1z00), BgL_localz00_2292, BgL_absz00_2293); 
return 
BGl_avarz00zz__evaluate_avarz00(
(((BgL_ev_prog2z00_bglt)CREF(
((BgL_ev_prog2z00_bglt)BgL_ez00_2291)))->BgL_e2z00), BgL_localz00_2292, BgL_absz00_2293);} 
}



/* &avar-ev_list1211 */
obj_t BGl_z62avarzd2ev_list1211zb0zz__evaluate_avarz00(obj_t BgL_envz00_2294, obj_t BgL_ez00_2295, obj_t BgL_localz00_2296, obj_t BgL_absz00_2297)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 139 */
{ /* Eval/evaluate_avar.scm 140 */
bool_t BgL_tmpz00_2947;
{ /* Eval/evaluate_avar.scm 141 */
obj_t BgL_g1137z00_2443;
BgL_g1137z00_2443 = 
(((BgL_ev_listz00_bglt)CREF(
((BgL_ev_listz00_bglt)BgL_ez00_2295)))->BgL_argsz00); 
{ 
obj_t BgL_l1135z00_2445;
BgL_l1135z00_2445 = BgL_g1137z00_2443; 
BgL_zc3anonymousza31334ze3z83_2444:
if(
PAIRP(BgL_l1135z00_2445))
{ /* Eval/evaluate_avar.scm 141 */
{ /* Eval/evaluate_avar.scm 141 */
obj_t BgL_ez00_2446;
BgL_ez00_2446 = 
CAR(BgL_l1135z00_2445); 
BGl_avarz00zz__evaluate_avarz00(
((BgL_ev_exprz00_bglt)BgL_ez00_2446), BgL_localz00_2296, BgL_absz00_2297); } 
{ 
obj_t BgL_l1135z00_2955;
BgL_l1135z00_2955 = 
CDR(BgL_l1135z00_2445); 
BgL_l1135z00_2445 = BgL_l1135z00_2955; 
goto BgL_zc3anonymousza31334ze3z83_2444;} }  else 
{ /* Eval/evaluate_avar.scm 141 */
BgL_tmpz00_2947 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_2947);} } 
}



/* &avar-ev_if1209 */
obj_t BGl_z62avarzd2ev_if1209zb0zz__evaluate_avarz00(obj_t BgL_envz00_2298, obj_t BgL_ez00_2299, obj_t BgL_localz00_2300, obj_t BgL_absz00_2301)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 133 */
BGl_avarz00zz__evaluate_avarz00(
(((BgL_ev_ifz00_bglt)CREF(
((BgL_ev_ifz00_bglt)BgL_ez00_2299)))->BgL_pz00), BgL_localz00_2300, BgL_absz00_2301); 
BGl_avarz00zz__evaluate_avarz00(
(((BgL_ev_ifz00_bglt)CREF(
((BgL_ev_ifz00_bglt)BgL_ez00_2299)))->BgL_tz00), BgL_localz00_2300, BgL_absz00_2301); 
return 
BGl_avarz00zz__evaluate_avarz00(
(((BgL_ev_ifz00_bglt)CREF(
((BgL_ev_ifz00_bglt)BgL_ez00_2299)))->BgL_ez00), BgL_localz00_2300, BgL_absz00_2301);} 
}



/* &avar-ev_litt1207 */
obj_t BGl_z62avarzd2ev_litt1207zb0zz__evaluate_avarz00(obj_t BgL_envz00_2302, obj_t BgL_ez00_2303, obj_t BgL_localz00_2304, obj_t BgL_absz00_2305)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 130 */
return BUNSPEC;} 
}



/* &avar-ev_global1205 */
obj_t BGl_z62avarzd2ev_global1205zb0zz__evaluate_avarz00(obj_t BgL_envz00_2306, obj_t BgL_varz00_2307, obj_t BgL_localz00_2308, obj_t BgL_absz00_2309)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 127 */
return BUNSPEC;} 
}



/* &avar-ev_var1203 */
obj_t BGl_z62avarzd2ev_var1203zb0zz__evaluate_avarz00(obj_t BgL_envz00_2310, obj_t BgL_varz00_2311, obj_t BgL_localz00_2312, obj_t BgL_absz00_2313)
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 124 */
return 
BGl_checkzd2varzd2zz__evaluate_avarz00(
((BgL_ev_varz00_bglt)BgL_varz00_2311), BgL_localz00_2312, 
((BgL_ev_absz00_bglt)BgL_absz00_2313));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00()
{ AN_OBJECT;
{ /* Eval/evaluate_avar.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)129954706), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)444693568), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)298117425), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)1047446), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)316564000), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)454272164), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)381113196), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)231310901), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460263214), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-282360853), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)525089452), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)513004434), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)116655667), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)23062368), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)6183155), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string1852z00zz__evaluate_avarz00));} 
}

#ifdef __cplusplus
}
#endif
