/*===========================================================================*/
/*   (Llib/i18n.scm)                                                         */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Apr 13 12:39:29 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3a/bin/bigloo -srfi enable-unistring -srfi enable-resolv -srfi enable-gmp -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3a/lib/bigloo/4.3a -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3a/lib/bigloo/4.3a -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -copt -fPIC -srfi bigloo-profile -c Llib/i18n.scm -o objs/obj_p/Llib/i18n.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_requirezd2initializa7ationz75zz__i18nz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_utf8_string_locale_capitalize(obj_t);
extern obj_t bgl_utf8_string_locale_upcase(obj_t);
static obj_t BGl_genericzd2initzd2zz__i18nz00();
static obj_t BGl_objectzd2initzd2zz__i18nz00();
BGL_EXPORTED_DECL int BGl_utf8zd2stringzd2localezd2compare3zd2zz__i18nz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_utf8zd2stringzd2localezd2capitaliza7ez75zz__i18nz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__i18nz00();
BGL_EXPORTED_DECL obj_t BGl_utf8zd2stringzd2localezd2downcasezd2zz__i18nz00(obj_t);
static obj_t BGl_z62utf8zd2stringzd2localezd2compare3zb0zz__i18nz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__i18nz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62utf8zd2stringzd2localezd2downcasezb0zz__i18nz00(obj_t, obj_t);
static obj_t BGl_z62utf8zd2stringzd2localezd2upcasezb0zz__i18nz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__i18nz00();
static obj_t BGl_gczd2rootszd2initz00zz__i18nz00();
BGL_EXPORTED_DECL obj_t BGl_utf8zd2stringzd2localezd2upcasezd2zz__i18nz00(obj_t);
static obj_t BGl_profzd2initzd2zz__i18nz00();
static obj_t BGl_z62utf8zd2stringzd2localezd2capitaliza7ez17zz__i18nz00(obj_t, obj_t);
extern obj_t bgl_utf8_string_locale_downcase(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_utf8zd2stringzd2localezd2compare3zd2envz00zz__i18nz00, BgL_bgl_za762utf8za7d2string1515z00, BGl_z62utf8zd2stringzd2localezd2compare3zb0zz__i18nz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1508z00zz__i18nz00, BgL_bgl_string1508za700za7za7_1516za7, "/builddir/build/BUILD/bigloo4.3a/runtime/Llib/i18n.scm", 54 );
DEFINE_STRING( BGl_string1509z00zz__i18nz00, BgL_bgl_string1509za700za7za7_1517za7, "&utf8-string-locale-compare3", 28 );
DEFINE_STRING( BGl_string1510z00zz__i18nz00, BgL_bgl_string1510za700za7za7_1518za7, "bstring", 7 );
DEFINE_STRING( BGl_string1511z00zz__i18nz00, BgL_bgl_string1511za700za7za7_1519za7, "&utf8-string-locale-upcase", 26 );
DEFINE_STRING( BGl_string1512z00zz__i18nz00, BgL_bgl_string1512za700za7za7_1520za7, "&utf8-string-locale-downcase", 28 );
DEFINE_STRING( BGl_string1513z00zz__i18nz00, BgL_bgl_string1513za700za7za7_1521za7, "&utf8-string-locale-capitalize", 30 );
DEFINE_STRING( BGl_string1514z00zz__i18nz00, BgL_bgl_string1514za700za7za7_1522za7, "__i18n", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_utf8zd2stringzd2localezd2downcasezd2envz00zz__i18nz00, BgL_bgl_za762utf8za7d2string1523z00, BGl_z62utf8zd2stringzd2localezd2downcasezb0zz__i18nz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_utf8zd2stringzd2localezd2upcasezd2envz00zz__i18nz00, BgL_bgl_za762utf8za7d2string1524z00, BGl_z62utf8zd2stringzd2localezd2upcasezb0zz__i18nz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_utf8zd2stringzd2localezd2capitaliza7ezd2envza7zz__i18nz00, BgL_bgl_za762utf8za7d2string1525z00, BGl_z62utf8zd2stringzd2localezd2capitaliza7ez17zz__i18nz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__i18nz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__i18nz00\")\n", (FILE *)bprof_port );
      fputs( "((\"utf8-string-locale-compare3\" \"Llib/i18n.scm\" 2887) \"BGl_utf8zd2stringzd2localezd2compare3zd2zz__i18nz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&utf8-string-locale-compare3\" \"Llib/i18n.scm\" 2887) \"BGl_z62utf8zd2stringzd2localezd2compare3zb0zz__i18nz00\")\n", (FILE *)bprof_port );
      fputs( "((\"utf8-string-locale-upcase\" \"Llib/i18n.scm\" 3212) \"BGl_utf8zd2stringzd2localezd2upcasezd2zz__i18nz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&utf8-string-locale-upcase\" \"Llib/i18n.scm\" 3212) \"BGl_z62utf8zd2stringzd2localezd2upcasezb0zz__i18nz00\")\n", (FILE *)bprof_port );
      fputs( "((\"utf8-string-locale-downcase\" \"Llib/i18n.scm\" 3585) \"BGl_utf8zd2stringzd2localezd2downcasezd2zz__i18nz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&utf8-string-locale-downcase\" \"Llib/i18n.scm\" 3585) \"BGl_z62utf8zd2stringzd2localezd2downcasezb0zz__i18nz00\")\n", (FILE *)bprof_port );
      fputs( "((\"utf8-string-locale-capitalize\" \"Llib/i18n.scm\" 3964) \"BGl_utf8zd2stringzd2localezd2capitaliza7ez75zz__i18nz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&utf8-string-locale-capitalize\" \"Llib/i18n.scm\" 3964) \"BGl_z62utf8zd2stringzd2localezd2capitaliza7ez17zz__i18nz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__i18nz00(long BgL_checksumz00_1556, char * BgL_fromz00_1557)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__i18nz00))
{ 
BGl_requirezd2initializa7ationz75zz__i18nz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__i18nz00(); 
BGl_importedzd2moduleszd2initz00zz__i18nz00(); 
return 
BGl_profzd2initzd2zz__i18nz00();}  else 
{ 
return BUNSPEC;} } 
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__i18nz00()
{ AN_OBJECT;
{ /* Llib/i18n.scm 15 */
return 
bgl_gc_roots_register();} 
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__i18nz00()
{ AN_OBJECT;
{ /* Llib/i18n.scm 15 */
return 
write_bprof_table();} 
}



/* utf8-string-locale-compare3 */
BGL_EXPORTED_DEF int BGl_utf8zd2stringzd2localezd2compare3zd2zz__i18nz00(obj_t BgL_leftz00_3, obj_t BgL_rightz00_4)
{ AN_OBJECT;
{ /* Llib/i18n.scm 77 */
return 
BGL_UTF8_STRING_LOCALE_COMPARE3(BgL_leftz00_3, BgL_rightz00_4);} 
}



/* &utf8-string-locale-compare3 */
obj_t BGl_z62utf8zd2stringzd2localezd2compare3zb0zz__i18nz00(obj_t BgL_envz00_1537, obj_t BgL_leftz00_1538, obj_t BgL_rightz00_1539)
{ AN_OBJECT;
{ /* Llib/i18n.scm 77 */
{ /* Llib/i18n.scm 78 */
int BgL_tmpz00_1567;
{ /* Llib/i18n.scm 78 */
obj_t BgL_auxz00_1575;obj_t BgL_auxz00_1568;
if(
STRINGP(BgL_rightz00_1539))
{ /* Llib/i18n.scm 78 */
BgL_auxz00_1575 = BgL_rightz00_1539
; }  else 
{ 
obj_t BgL_auxz00_1578;
BgL_auxz00_1578 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1508z00zz__i18nz00, 
BINT(((long)2946)), BGl_string1509z00zz__i18nz00, BGl_string1510z00zz__i18nz00, BgL_rightz00_1539); 
FAILURE(BgL_auxz00_1578,BFALSE,BFALSE);} 
if(
STRINGP(BgL_leftz00_1538))
{ /* Llib/i18n.scm 78 */
BgL_auxz00_1568 = BgL_leftz00_1538
; }  else 
{ 
obj_t BgL_auxz00_1571;
BgL_auxz00_1571 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1508z00zz__i18nz00, 
BINT(((long)2946)), BGl_string1509z00zz__i18nz00, BGl_string1510z00zz__i18nz00, BgL_leftz00_1538); 
FAILURE(BgL_auxz00_1571,BFALSE,BFALSE);} 
BgL_tmpz00_1567 = 
BGl_utf8zd2stringzd2localezd2compare3zd2zz__i18nz00(BgL_auxz00_1568, BgL_auxz00_1575); } 
return 
BINT(BgL_tmpz00_1567);} } 
}



/* utf8-string-locale-upcase */
BGL_EXPORTED_DEF obj_t BGl_utf8zd2stringzd2localezd2upcasezd2zz__i18nz00(obj_t BgL_strz00_5)
{ AN_OBJECT;
{ /* Llib/i18n.scm 83 */
return 
bgl_utf8_string_locale_upcase(BgL_strz00_5);} 
}



/* &utf8-string-locale-upcase */
obj_t BGl_z62utf8zd2stringzd2localezd2upcasezb0zz__i18nz00(obj_t BgL_envz00_1540, obj_t BgL_strz00_1541)
{ AN_OBJECT;
{ /* Llib/i18n.scm 83 */
{ /* Llib/i18n.scm 86 */
obj_t BgL_auxz00_1585;
if(
STRINGP(BgL_strz00_1541))
{ /* Llib/i18n.scm 86 */
BgL_auxz00_1585 = BgL_strz00_1541
; }  else 
{ 
obj_t BgL_auxz00_1588;
BgL_auxz00_1588 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1508z00zz__i18nz00, 
BINT(((long)3326)), BGl_string1511z00zz__i18nz00, BGl_string1510z00zz__i18nz00, BgL_strz00_1541); 
FAILURE(BgL_auxz00_1588,BFALSE,BFALSE);} 
return 
BGl_utf8zd2stringzd2localezd2upcasezd2zz__i18nz00(BgL_auxz00_1585);} } 
}



/* utf8-string-locale-downcase */
BGL_EXPORTED_DEF obj_t BGl_utf8zd2stringzd2localezd2downcasezd2zz__i18nz00(obj_t BgL_strz00_6)
{ AN_OBJECT;
{ /* Llib/i18n.scm 91 */
return 
bgl_utf8_string_locale_downcase(BgL_strz00_6);} 
}



/* &utf8-string-locale-downcase */
obj_t BGl_z62utf8zd2stringzd2localezd2downcasezb0zz__i18nz00(obj_t BgL_envz00_1542, obj_t BgL_strz00_1543)
{ AN_OBJECT;
{ /* Llib/i18n.scm 91 */
{ /* Llib/i18n.scm 94 */
obj_t BgL_auxz00_1594;
if(
STRINGP(BgL_strz00_1543))
{ /* Llib/i18n.scm 94 */
BgL_auxz00_1594 = BgL_strz00_1543
; }  else 
{ 
obj_t BgL_auxz00_1597;
BgL_auxz00_1597 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1508z00zz__i18nz00, 
BINT(((long)3703)), BGl_string1512z00zz__i18nz00, BGl_string1510z00zz__i18nz00, BgL_strz00_1543); 
FAILURE(BgL_auxz00_1597,BFALSE,BFALSE);} 
return 
BGl_utf8zd2stringzd2localezd2downcasezd2zz__i18nz00(BgL_auxz00_1594);} } 
}



/* utf8-string-locale-capitalize */
BGL_EXPORTED_DEF obj_t BGl_utf8zd2stringzd2localezd2capitaliza7ez75zz__i18nz00(obj_t BgL_strz00_7)
{ AN_OBJECT;
{ /* Llib/i18n.scm 99 */
return 
bgl_utf8_string_locale_capitalize(BgL_strz00_7);} 
}



/* &utf8-string-locale-capitalize */
obj_t BGl_z62utf8zd2stringzd2localezd2capitaliza7ez17zz__i18nz00(obj_t BgL_envz00_1544, obj_t BgL_strz00_1545)
{ AN_OBJECT;
{ /* Llib/i18n.scm 99 */
{ /* Llib/i18n.scm 102 */
obj_t BgL_auxz00_1603;
if(
STRINGP(BgL_strz00_1545))
{ /* Llib/i18n.scm 102 */
BgL_auxz00_1603 = BgL_strz00_1545
; }  else 
{ 
obj_t BgL_auxz00_1606;
BgL_auxz00_1606 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1508z00zz__i18nz00, 
BINT(((long)4086)), BGl_string1513z00zz__i18nz00, BGl_string1510z00zz__i18nz00, BgL_strz00_1545); 
FAILURE(BgL_auxz00_1606,BFALSE,BFALSE);} 
return 
BGl_utf8zd2stringzd2localezd2capitaliza7ez75zz__i18nz00(BgL_auxz00_1603);} } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__i18nz00()
{ AN_OBJECT;
{ /* Llib/i18n.scm 15 */
return BUNSPEC;} 
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__i18nz00()
{ AN_OBJECT;
{ /* Llib/i18n.scm 15 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__i18nz00()
{ AN_OBJECT;
{ /* Llib/i18n.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__i18nz00()
{ AN_OBJECT;
{ /* Llib/i18n.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string1514z00zz__i18nz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1514z00zz__i18nz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string1514z00zz__i18nz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)1047446), 
BSTRING_TO_STRING(BGl_string1514z00zz__i18nz00)); 
return 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)316564000), 
BSTRING_TO_STRING(BGl_string1514z00zz__i18nz00));} 
}

#ifdef __cplusplus
}
#endif
