/*===========================================================================*/
/*   (Ieee/control.scm)                                                      */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Ieee/control.scm -indent -o objs/obj_u/Ieee/control.c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL obj_t BGl_mapz12z12zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	extern bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__r4_control_features_6_9z00 =
		BUNSPEC;
	static obj_t BGl_z62forcez62zz__r4_control_features_6_9z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_mapzd22zd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_forzd2eachzd22z00zz__r4_control_features_6_9z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_applyz00zz__r4_control_features_6_9z00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62zc3anonymousza31251ze3ze1zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_filterzd2mapzd22z00zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_callzd2withzd2currentzd2continuationzd2zz__r4_control_features_6_9z00
		(obj_t);
	extern obj_t BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
	static obj_t BGl_recurze70ze7zz__r4_control_features_6_9z00(obj_t, obj_t);
	static obj_t BGl_z62mapz62zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62forzd2eachzd22z62zz__r4_control_features_6_9z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62forzd2eachzb0zz__r4_control_features_6_9z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__r4_control_features_6_9z00();
	static obj_t
		BGl_z62zc3anonymousza31253ze3ze1zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62mapzd22zb0zz__r4_control_features_6_9z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_procedurezf3zf3zz__r4_control_features_6_9z00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__r4_control_features_6_9z00();
	static obj_t BGl_z62applyz62zz__r4_control_features_6_9z00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__r4_control_features_6_9z00();
	BGL_EXPORTED_DECL obj_t
		BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t, obj_t);
	static obj_t BGl_z62filterz62zz__r4_control_features_6_9z00(obj_t, obj_t,
		obj_t);
	extern obj_t call_cc(obj_t);
	static obj_t
		BGl_z62zc3anonymousza31248ze3ze1zz__r4_control_features_6_9z00(obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appendzd2mapzd2zz__r4_control_features_6_9z00(obj_t, obj_t);
	static obj_t BGl_z62procedurezf3z91zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_z62filterzd2mapzb0zz__r4_control_features_6_9z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_z62appendzd2mapz12za2zz__r4_control_features_6_9z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62filterz12z70zz__r4_control_features_6_9z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62makezd2promisezb0zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_z62appendzd2mapzb0zz__r4_control_features_6_9z00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62zc3anonymousza31267ze3ze1zz__r4_control_features_6_9z00(obj_t);
	static obj_t BGl_appendzd221011zd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_callzf2cczf2zz__r4_control_features_6_9z00(obj_t);
	static obj_t BGl_z62callzf2ccz90zz__r4_control_features_6_9z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_mapz00zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_loopze70ze7zz__r4_control_features_6_9z00(obj_t, obj_t);
	static obj_t BGl_loopze71ze7zz__r4_control_features_6_9z00(obj_t, obj_t);
	static obj_t BGl_loopze72ze7zz__r4_control_features_6_9z00(obj_t, obj_t);
	static obj_t BGl_loopze73ze7zz__r4_control_features_6_9z00(obj_t, obj_t);
	static obj_t BGl_loopze74ze7zz__r4_control_features_6_9z00(obj_t, obj_t);
	static obj_t BGl_loopze75ze7zz__r4_control_features_6_9z00(obj_t, obj_t);
	static obj_t BGl_loopze76ze7zz__r4_control_features_6_9z00(obj_t);
	static obj_t
		BGl_z62callzd2withzd2currentzd2continuationzb0zz__r4_control_features_6_9z00
		(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_z62dynamiczd2windzb0zz__r4_control_features_6_9z00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_forcez00zz__r4_control_features_6_9z00(obj_t);
	extern obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
	extern obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62mapz12z70zz__r4_control_features_6_9z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appendzd2mapz12zd2envz12zz__r4_control_features_6_9z00,
		BgL_bgl_za762appendza7d2mapza71665za7, va_generic_entry,
		BGl_z62appendzd2mapz12za2zz__r4_control_features_6_9z00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_forzd2eachzd22zd2envzd2zz__r4_control_features_6_9z00,
		BgL_bgl_za762forza7d2eachza7d21666za7,
		BGl_z62forzd2eachzd22z62zz__r4_control_features_6_9z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_forzd2eachzd2envz00zz__r4_control_features_6_9z00,
		BgL_bgl_za762forza7d2eachza7b01667za7, va_generic_entry,
		BGl_z62forzd2eachzb0zz__r4_control_features_6_9z00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2promisezd2envz00zz__r4_control_features_6_9z00,
		BgL_bgl_za762makeza7d2promis1668z00,
		BGl_z62makezd2promisezb0zz__r4_control_features_6_9z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_mapzd2envzd2zz__r4_control_features_6_9z00,
		BgL_bgl_za762mapza762za7za7__r4_1669z00, va_generic_entry,
		BGl_z62mapz62zz__r4_control_features_6_9z00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appendzd2mapzd2envz00zz__r4_control_features_6_9z00,
		BgL_bgl_za762appendza7d2mapza71670za7, va_generic_entry,
		BGl_z62appendzd2mapzb0zz__r4_control_features_6_9z00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_filterzd2envzd2zz__r4_control_features_6_9z00,
		BgL_bgl_za762filterza762za7za7__1671z00,
		BGl_z62filterz62zz__r4_control_features_6_9z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_filterz12zd2envzc0zz__r4_control_features_6_9z00,
		BgL_bgl_za762filterza712za770za71672z00,
		BGl_z62filterz12z70zz__r4_control_features_6_9z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_mapzd22zd2envz00zz__r4_control_features_6_9z00,
		BgL_bgl_za762mapza7d22za7b0za7za7_1673za7,
		BGl_z62mapzd22zb0zz__r4_control_features_6_9z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_procedurezf3zd2envz21zz__r4_control_features_6_9z00,
		BgL_bgl_za762procedureza7f3za71674za7,
		BGl_z62procedurezf3z91zz__r4_control_features_6_9z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_callzd2withzd2currentzd2continuationzd2envz00zz__r4_control_features_6_9z00,
		BgL_bgl_za762callza7d2withza7d1675za7,
		BGl_z62callzd2withzd2currentzd2continuationzb0zz__r4_control_features_6_9z00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_forcezd2envzd2zz__r4_control_features_6_9z00,
		BgL_bgl_za762forceza762za7za7__r1676z00,
		BGl_z62forcez62zz__r4_control_features_6_9z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_applyzd2envzd2zz__r4_control_features_6_9z00,
		BgL_bgl_za762applyza762za7za7__r1677z00, va_generic_entry,
		BGl_z62applyz62zz__r4_control_features_6_9z00, BUNSPEC, -3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_filterzd2mapzd2envz00zz__r4_control_features_6_9z00,
		BgL_bgl_za762filterza7d2mapza71678za7, va_generic_entry,
		BGl_z62filterzd2mapzb0zz__r4_control_features_6_9z00, BUNSPEC, -2);
	      DEFINE_STRING(BGl_string1646z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1646za700za7za7_1679za7,
		"/tmp/bigloo/runtime/Ieee/control.scm", 36);
	      DEFINE_STRING(BGl_string1647z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1647za700za7za7_1680za7, "&apply", 6);
	      DEFINE_STRING(BGl_string1648z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1648za700za7za7_1681za7, "procedure", 9);
	      DEFINE_STRING(BGl_string1649z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1649za700za7za7_1682za7, "&map-2", 6);
	      DEFINE_STRING(BGl_string1650z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1650za700za7za7_1683za7, "pair-nil", 8);
	      DEFINE_STRING(BGl_string1651z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1651za700za7za7_1684za7, "&map", 4);
	      DEFINE_STRING(BGl_string1652z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1652za700za7za7_1685za7, "&map!", 5);
	      DEFINE_STRING(BGl_string1653z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1653za700za7za7_1686za7, "&append-map", 11);
	      DEFINE_STRING(BGl_string1654z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1654za700za7za7_1687za7, "&append-map!", 12);
	      DEFINE_STRING(BGl_string1655z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1655za700za7za7_1688za7, "&filter-map", 11);
	      DEFINE_STRING(BGl_string1656z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1656za700za7za7_1689za7, "&for-each-2", 11);
	      DEFINE_STRING(BGl_string1657z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1657za700za7za7_1690za7, "&for-each", 9);
	      DEFINE_STRING(BGl_string1658z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1658za700za7za7_1691za7, "&filter", 7);
	      DEFINE_STRING(BGl_string1659z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1659za700za7za7_1692za7, "&filter!", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_mapz12zd2envzc0zz__r4_control_features_6_9z00,
		BgL_bgl_za762mapza712za770za7za7__1693za7, va_generic_entry,
		BGl_z62mapz12z70zz__r4_control_features_6_9z00, BUNSPEC, -2);
	      DEFINE_STRING(BGl_string1660z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1660za700za7za7_1694za7, "&make-promise", 13);
	      DEFINE_STRING(BGl_string1661z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1661za700za7za7_1695za7, "&call/cc", 8);
	      DEFINE_STRING(BGl_string1662z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1662za700za7za7_1696za7, "&call-with-current-continuation",
		31);
	      DEFINE_STRING(BGl_string1663z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1663za700za7za7_1697za7, "&dynamic-wind", 13);
	      DEFINE_STRING(BGl_string1664z00zz__r4_control_features_6_9z00,
		BgL_bgl_string1664za700za7za7_1698za7, "__r4_control_features_6_9", 25);
	extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dynamiczd2windzd2envz00zz__r4_control_features_6_9z00,
		BgL_bgl_za762dynamicza7d2win1699z00,
		BGl_z62dynamiczd2windzb0zz__r4_control_features_6_9z00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_callzf2cczd2envz20zz__r4_control_features_6_9z00,
		BgL_bgl_za762callza7f2ccza790za71700z00,
		BGl_z62callzf2ccz90zz__r4_control_features_6_9z00, 0L, BUNSPEC, 1);
	extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__r4_control_features_6_9z00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long
		BgL_checksumz00_1669, char *BgL_fromz00_1670)
	{
		AN_OBJECT;
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zz__r4_control_features_6_9z00))
				{
					BGl_requirezd2initializa7ationz75zz__r4_control_features_6_9z00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__r4_control_features_6_9z00();
					BGl_importedzd2moduleszd2initz00zz__r4_control_features_6_9z00();
					return BGl_toplevelzd2initzd2zz__r4_control_features_6_9z00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__r4_control_features_6_9z00()
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 14 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__r4_control_features_6_9z00()
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 14 */
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__r4_control_features_6_9z00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_710;

				BgL_headz00_710 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1196;
					obj_t BgL_tailz00_1197;

					BgL_prevz00_1196 = BgL_headz00_710;
					BgL_tailz00_1197 = BgL_l1z00_1;
				BgL_loopz00_1195:
					if (PAIRP(BgL_tailz00_1197))
						{
							obj_t BgL_newzd2prevzd2_1203;

							BgL_newzd2prevzd2_1203 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1197), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1196, BgL_newzd2prevzd2_1203);
							{
								obj_t BgL_tailz00_1685;
								obj_t BgL_prevz00_1684;

								BgL_prevz00_1684 = BgL_newzd2prevzd2_1203;
								BgL_tailz00_1685 = CDR(BgL_tailz00_1197);
								BgL_tailz00_1197 = BgL_tailz00_1685;
								BgL_prevz00_1196 = BgL_prevz00_1684;
								goto BgL_loopz00_1195;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_710);
			}
		}
	}



/* procedure? */
	BGL_EXPORTED_DEF bool_t
		BGl_procedurezf3zf3zz__r4_control_features_6_9z00(obj_t BgL_objz00_3)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 75 */
			return PROCEDUREP(BgL_objz00_3);
		}
	}



/* &procedure? */
	obj_t BGl_z62procedurezf3z91zz__r4_control_features_6_9z00(obj_t
		BgL_envz00_1539, obj_t BgL_objz00_1540)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 75 */
			return
				BBOOL(BGl_procedurezf3zf3zz__r4_control_features_6_9z00
				(BgL_objz00_1540));
		}
	}



/* apply */
	BGL_EXPORTED_DEF obj_t BGl_applyz00zz__r4_control_features_6_9z00(obj_t
		BgL_procz00_4, obj_t BgL_argsz00_5, obj_t BgL_optz00_6)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 81 */
			{	/* Ieee/control.scm 82 */
				obj_t BgL_argsz00_718;

				if (PAIRP(BgL_optz00_6))
					{	/* Ieee/control.scm 82 */
						BgL_argsz00_718 =
							MAKE_YOUNG_PAIR(BgL_argsz00_5,
							BGl_loopze76ze7zz__r4_control_features_6_9z00(BgL_optz00_6));
					}
				else
					{	/* Ieee/control.scm 82 */
						BgL_argsz00_718 = BgL_argsz00_5;
					}
				return apply(BgL_procz00_4, BgL_argsz00_718);
			}
		}
	}



/* loop~6 */
	obj_t BGl_loopze76ze7zz__r4_control_features_6_9z00(obj_t BgL_optz00_722)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 83 */
			{	/* Ieee/control.scm 84 */
				bool_t BgL_testz00_1697;

				{	/* Ieee/control.scm 84 */
					obj_t BgL_tmpz00_1698;

					BgL_tmpz00_1698 = CDR(BgL_optz00_722);
					BgL_testz00_1697 = PAIRP(BgL_tmpz00_1698);
				}
				if (BgL_testz00_1697)
					{	/* Ieee/control.scm 84 */
						return
							MAKE_YOUNG_PAIR(CAR(BgL_optz00_722),
							BGl_loopze76ze7zz__r4_control_features_6_9z00(CDR
								(BgL_optz00_722)));
					}
				else
					{	/* Ieee/control.scm 84 */
						return CAR(BgL_optz00_722);
					}
			}
		}
	}



/* &apply */
	obj_t BGl_z62applyz62zz__r4_control_features_6_9z00(obj_t BgL_envz00_1541,
		obj_t BgL_procz00_1542, obj_t BgL_argsz00_1543, obj_t BgL_optz00_1544)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 81 */
			{	/* Ieee/control.scm 82 */
				obj_t BgL_auxz00_1706;

				if (PROCEDUREP(BgL_procz00_1542))
					{	/* Ieee/control.scm 82 */
						BgL_auxz00_1706 = BgL_procz00_1542;
					}
				else
					{
						obj_t BgL_auxz00_1709;

						BgL_auxz00_1709 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 3224)),
							BGl_string1647z00zz__r4_control_features_6_9z00,
							BGl_string1648z00zz__r4_control_features_6_9z00,
							BgL_procz00_1542);
						FAILURE(BgL_auxz00_1709, BFALSE, BFALSE);
					}
				return
					BGl_applyz00zz__r4_control_features_6_9z00(BgL_auxz00_1706,
					BgL_argsz00_1543, BgL_optz00_1544);
			}
		}
	}



/* map-2 */
	BGL_EXPORTED_DEF obj_t BGl_mapzd22zd2zz__r4_control_features_6_9z00(obj_t
		BgL_fz00_7, obj_t BgL_lz00_8)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 93 */
			{
				obj_t BgL_lz00_1234;
				obj_t BgL_resz00_1235;

				BgL_lz00_1234 = BgL_lz00_8;
				BgL_resz00_1235 = BNIL;
			BgL_loopz00_1233:
				if (NULLP(BgL_lz00_1234))
					{	/* Ieee/control.scm 96 */
						return bgl_reverse_bang(BgL_resz00_1235);
					}
				else
					{	/* Ieee/control.scm 98 */
						obj_t BgL_arg1064z00_1242;
						obj_t BgL_arg1066z00_1243;

						BgL_arg1064z00_1242 = CDR(BgL_lz00_1234);
						{	/* Ieee/control.scm 98 */
							obj_t BgL_arg1067z00_1244;

							{	/* Ieee/control.scm 98 */
								obj_t BgL_arg1068z00_1245;

								BgL_arg1068z00_1245 = CAR(BgL_lz00_1234);
								BgL_arg1067z00_1244 =
									PROCEDURE_ENTRY(BgL_fz00_7) (BgL_fz00_7, BgL_arg1068z00_1245,
									BEOA);
							}
							BgL_arg1066z00_1243 =
								MAKE_YOUNG_PAIR(BgL_arg1067z00_1244, BgL_resz00_1235);
						}
						{
							obj_t BgL_resz00_1725;
							obj_t BgL_lz00_1724;

							BgL_lz00_1724 = BgL_arg1064z00_1242;
							BgL_resz00_1725 = BgL_arg1066z00_1243;
							BgL_resz00_1235 = BgL_resz00_1725;
							BgL_lz00_1234 = BgL_lz00_1724;
							goto BgL_loopz00_1233;
						}
					}
			}
		}
	}



/* &map-2 */
	obj_t BGl_z62mapzd22zb0zz__r4_control_features_6_9z00(obj_t BgL_envz00_1545,
		obj_t BgL_fz00_1546, obj_t BgL_lz00_1547)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 93 */
			{	/* Ieee/control.scm 94 */
				obj_t BgL_auxz00_1733;
				obj_t BgL_auxz00_1726;

				if (BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00
					(BgL_lz00_1547))
					{	/* Ieee/control.scm 94 */
						BgL_auxz00_1733 = BgL_lz00_1547;
					}
				else
					{
						obj_t BgL_auxz00_1736;

						BgL_auxz00_1736 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 3667)),
							BGl_string1649z00zz__r4_control_features_6_9z00,
							BGl_string1650z00zz__r4_control_features_6_9z00, BgL_lz00_1547);
						FAILURE(BgL_auxz00_1736, BFALSE, BFALSE);
					}
				if (PROCEDUREP(BgL_fz00_1546))
					{	/* Ieee/control.scm 94 */
						BgL_auxz00_1726 = BgL_fz00_1546;
					}
				else
					{
						obj_t BgL_auxz00_1729;

						BgL_auxz00_1729 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 3667)),
							BGl_string1649z00zz__r4_control_features_6_9z00,
							BGl_string1648z00zz__r4_control_features_6_9z00, BgL_fz00_1546);
						FAILURE(BgL_auxz00_1729, BFALSE, BFALSE);
					}
				return
					BGl_mapzd22zd2zz__r4_control_features_6_9z00(BgL_auxz00_1726,
					BgL_auxz00_1733);
			}
		}
	}



/* map */
	BGL_EXPORTED_DEF obj_t BGl_mapz00zz__r4_control_features_6_9z00(obj_t
		BgL_fz00_9, obj_t BgL_lz00_10)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 103 */
			if (NULLP(BgL_lz00_10))
				{	/* Ieee/control.scm 105 */
					return BNIL;
				}
			else
				{	/* Ieee/control.scm 105 */
					if (NULLP(CDR(BgL_lz00_10)))
						{	/* Ieee/control.scm 107 */
							return
								BGl_mapzd22zd2zz__r4_control_features_6_9z00(BgL_fz00_9,
								CAR(BgL_lz00_10));
						}
					else
						{	/* Ieee/control.scm 107 */
							return
								BGl_loopze75ze7zz__r4_control_features_6_9z00(BgL_fz00_9,
								BgL_lz00_10);
						}
				}
		}
	}



/* loop~5 */
	obj_t BGl_loopze75ze7zz__r4_control_features_6_9z00(obj_t BgL_fz00_1620,
		obj_t BgL_lz00_747)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 110 */
			if (NULLP(CAR(BgL_lz00_747)))
				{	/* Ieee/control.scm 111 */
					return BNIL;
				}
			else
				{	/* Ieee/control.scm 113 */
					obj_t BgL_arg1082z00_751;
					obj_t BgL_arg1084z00_752;

					BgL_arg1082z00_751 =
						apply(BgL_fz00_1620,
						BGl_mapzd22zd2zz__r4_control_features_6_9z00
						(BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00, BgL_lz00_747));
					BgL_arg1084z00_752 =
						BGl_loopze75ze7zz__r4_control_features_6_9z00(BgL_fz00_1620,
						BGl_mapzd22zd2zz__r4_control_features_6_9z00
						(BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00, BgL_lz00_747));
					return MAKE_YOUNG_PAIR(BgL_arg1082z00_751, BgL_arg1084z00_752);
				}
		}
	}



/* &map */
	obj_t BGl_z62mapz62zz__r4_control_features_6_9z00(obj_t BgL_envz00_1548,
		obj_t BgL_fz00_1549, obj_t BgL_lz00_1550)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 103 */
			{	/* Ieee/control.scm 105 */
				obj_t BgL_auxz00_1758;

				if (PROCEDUREP(BgL_fz00_1549))
					{	/* Ieee/control.scm 105 */
						BgL_auxz00_1758 = BgL_fz00_1549;
					}
				else
					{
						obj_t BgL_auxz00_1761;

						BgL_auxz00_1761 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 4044)),
							BGl_string1651z00zz__r4_control_features_6_9z00,
							BGl_string1648z00zz__r4_control_features_6_9z00, BgL_fz00_1549);
						FAILURE(BgL_auxz00_1761, BFALSE, BFALSE);
					}
				return
					BGl_mapz00zz__r4_control_features_6_9z00(BgL_auxz00_1758,
					BgL_lz00_1550);
			}
		}
	}



/* map! */
	BGL_EXPORTED_DEF obj_t BGl_mapz12z12zz__r4_control_features_6_9z00(obj_t
		BgL_fz00_13, obj_t BgL_lz00_14)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 130 */
			if (NULLP(BgL_lz00_14))
				{	/* Ieee/control.scm 132 */
					return BNIL;
				}
			else
				{	/* Ieee/control.scm 132 */
					if (NULLP(CDR(BgL_lz00_14)))
						{	/* Ieee/control.scm 135 */
							obj_t BgL_arg1096z00_768;

							BgL_arg1096z00_768 = CAR(BgL_lz00_14);
							{
								obj_t BgL_lz00_1270;

								BgL_lz00_1270 = BgL_arg1096z00_768;
							BgL_loopz00_1269:
								if (NULLP(BgL_lz00_1270))
									{	/* Ieee/control.scm 121 */
										return BgL_arg1096z00_768;
									}
								else
									{	/* Ieee/control.scm 121 */
										{	/* Ieee/control.scm 124 */
											obj_t BgL_arg1090z00_1272;

											{	/* Ieee/control.scm 124 */
												obj_t BgL_arg1091z00_1273;

												BgL_arg1091z00_1273 = CAR(BgL_lz00_1270);
												BgL_arg1090z00_1272 =
													PROCEDURE_ENTRY(BgL_fz00_13) (BgL_fz00_13,
													BgL_arg1091z00_1273, BEOA);
											}
											SET_CAR(BgL_lz00_1270, BgL_arg1090z00_1272);
										}
										{
											obj_t BgL_lz00_1780;

											BgL_lz00_1780 = CDR(BgL_lz00_1270);
											BgL_lz00_1270 = BgL_lz00_1780;
											goto BgL_loopz00_1269;
										}
									}
							}
						}
					else
						{	/* Ieee/control.scm 137 */
							obj_t BgL_l0z00_769;

							BgL_l0z00_769 = CAR(BgL_lz00_14);
							{
								obj_t BgL_lz00_771;

								BgL_lz00_771 = BgL_lz00_14;
							BgL_zc3anonymousza31097ze3z83_772:
								if (NULLP(CAR(BgL_lz00_771)))
									{	/* Ieee/control.scm 139 */
										return BgL_l0z00_769;
									}
								else
									{	/* Ieee/control.scm 139 */
										{	/* Ieee/control.scm 142 */
											obj_t BgL_arg1101z00_775;
											obj_t BgL_arg1102z00_776;

											BgL_arg1101z00_775 = CAR(BgL_lz00_771);
											BgL_arg1102z00_776 =
												apply(BgL_fz00_13,
												BGl_mapzd22zd2zz__r4_control_features_6_9z00
												(BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00,
													BgL_lz00_771));
											SET_CAR(BgL_arg1101z00_775, BgL_arg1102z00_776);
										}
										{
											obj_t BgL_lz00_1791;

											BgL_lz00_1791 =
												BGl_mapzd22zd2zz__r4_control_features_6_9z00
												(BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00,
												BgL_lz00_771);
											BgL_lz00_771 = BgL_lz00_1791;
											goto BgL_zc3anonymousza31097ze3z83_772;
										}
									}
							}
						}
				}
		}
	}



/* &map! */
	obj_t BGl_z62mapz12z70zz__r4_control_features_6_9z00(obj_t BgL_envz00_1555,
		obj_t BgL_fz00_1556, obj_t BgL_lz00_1557)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 130 */
			{	/* Ieee/control.scm 132 */
				obj_t BgL_auxz00_1793;

				if (PROCEDUREP(BgL_fz00_1556))
					{	/* Ieee/control.scm 132 */
						BgL_auxz00_1793 = BgL_fz00_1556;
					}
				else
					{
						obj_t BgL_auxz00_1796;

						BgL_auxz00_1796 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 4875)),
							BGl_string1652z00zz__r4_control_features_6_9z00,
							BGl_string1648z00zz__r4_control_features_6_9z00, BgL_fz00_1556);
						FAILURE(BgL_auxz00_1796, BFALSE, BFALSE);
					}
				return
					BGl_mapz12z12zz__r4_control_features_6_9z00(BgL_auxz00_1793,
					BgL_lz00_1557);
			}
		}
	}



/* append-map */
	BGL_EXPORTED_DEF obj_t BGl_appendzd2mapzd2zz__r4_control_features_6_9z00(obj_t
		BgL_fz00_17, obj_t BgL_lz00_18)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 157 */
			if (NULLP(BgL_lz00_18))
				{	/* Ieee/control.scm 159 */
					return BNIL;
				}
			else
				{	/* Ieee/control.scm 159 */
					if (NULLP(CDR(BgL_lz00_18)))
						{	/* Ieee/control.scm 161 */
							return
								BGl_loopze74ze7zz__r4_control_features_6_9z00(BgL_fz00_17,
								CAR(BgL_lz00_18));
						}
					else
						{	/* Ieee/control.scm 161 */
							return
								BGl_loopze73ze7zz__r4_control_features_6_9z00(BgL_fz00_17,
								BgL_lz00_18);
						}
				}
		}
	}



/* loop~3 */
	obj_t BGl_loopze73ze7zz__r4_control_features_6_9z00(obj_t BgL_fz00_1618,
		obj_t BgL_lz00_795)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 164 */
			if (NULLP(CAR(BgL_lz00_795)))
				{	/* Ieee/control.scm 165 */
					return BNIL;
				}
			else
				{	/* Ieee/control.scm 167 */
					obj_t BgL_arg1128z00_799;
					obj_t BgL_arg1129z00_800;

					BgL_arg1128z00_799 =
						apply(BgL_fz00_1618,
						BGl_mapzd22zd2zz__r4_control_features_6_9z00
						(BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00, BgL_lz00_795));
					BgL_arg1129z00_800 =
						BGl_loopze73ze7zz__r4_control_features_6_9z00(BgL_fz00_1618,
						BGl_mapzd22zd2zz__r4_control_features_6_9z00
						(BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00, BgL_lz00_795));
					return
						BGl_appendzd221011zd2zz__r4_control_features_6_9z00
						(BgL_arg1128z00_799, BgL_arg1129z00_800);
				}
		}
	}



/* loop~4 */
	obj_t BGl_loopze74ze7zz__r4_control_features_6_9z00(obj_t BgL_fz00_1619,
		obj_t BgL_lz00_1299)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 149 */
			if (NULLP(BgL_lz00_1299))
				{	/* Ieee/control.scm 150 */
					return BNIL;
				}
			else
				{	/* Ieee/control.scm 152 */
					obj_t BgL_arg1112z00_1301;
					obj_t BgL_arg1113z00_1302;

					{	/* Ieee/control.scm 152 */
						obj_t BgL_arg1116z00_1303;

						BgL_arg1116z00_1303 = CAR(BgL_lz00_1299);
						BgL_arg1112z00_1301 =
							PROCEDURE_ENTRY(BgL_fz00_1619) (BgL_fz00_1619,
							BgL_arg1116z00_1303, BEOA);
					}
					BgL_arg1113z00_1302 =
						BGl_loopze74ze7zz__r4_control_features_6_9z00(BgL_fz00_1619,
						CDR(BgL_lz00_1299));
					return
						BGl_appendzd221011zd2zz__r4_control_features_6_9z00
						(BgL_arg1112z00_1301, BgL_arg1113z00_1302);
				}
		}
	}



/* &append-map */
	obj_t BGl_z62appendzd2mapzb0zz__r4_control_features_6_9z00(obj_t
		BgL_envz00_1558, obj_t BgL_fz00_1559, obj_t BgL_lz00_1560)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 157 */
			{	/* Ieee/control.scm 159 */
				obj_t BgL_auxz00_1828;

				if (PROCEDUREP(BgL_fz00_1559))
					{	/* Ieee/control.scm 159 */
						BgL_auxz00_1828 = BgL_fz00_1559;
					}
				else
					{
						obj_t BgL_auxz00_1831;

						BgL_auxz00_1831 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 5737)),
							BGl_string1653z00zz__r4_control_features_6_9z00,
							BGl_string1648z00zz__r4_control_features_6_9z00, BgL_fz00_1559);
						FAILURE(BgL_auxz00_1831, BFALSE, BFALSE);
					}
				return
					BGl_appendzd2mapzd2zz__r4_control_features_6_9z00(BgL_auxz00_1828,
					BgL_lz00_1560);
			}
		}
	}



/* append-map! */
	BGL_EXPORTED_DEF obj_t
		BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00(obj_t BgL_fz00_21,
		obj_t BgL_lz00_22)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 181 */
			if (NULLP(BgL_lz00_22))
				{	/* Ieee/control.scm 183 */
					return BNIL;
				}
			else
				{	/* Ieee/control.scm 183 */
					if (NULLP(CDR(BgL_lz00_22)))
						{	/* Ieee/control.scm 185 */
							return
								BGl_loopze72ze7zz__r4_control_features_6_9z00(BgL_fz00_21,
								CAR(BgL_lz00_22));
						}
					else
						{	/* Ieee/control.scm 185 */
							return
								BGl_loopze71ze7zz__r4_control_features_6_9z00(BgL_fz00_21,
								BgL_lz00_22);
						}
				}
		}
	}



/* loop~1 */
	obj_t BGl_loopze71ze7zz__r4_control_features_6_9z00(obj_t BgL_fz00_1616,
		obj_t BgL_lz00_819)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 188 */
			if (NULLP(CAR(BgL_lz00_819)))
				{	/* Ieee/control.scm 189 */
					return BNIL;
				}
			else
				{	/* Ieee/control.scm 191 */
					obj_t BgL_arg1156z00_823;
					obj_t BgL_arg1157z00_824;

					BgL_arg1156z00_823 =
						apply(BgL_fz00_1616,
						BGl_mapzd22zd2zz__r4_control_features_6_9z00
						(BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00, BgL_lz00_819));
					BgL_arg1157z00_824 =
						BGl_loopze71ze7zz__r4_control_features_6_9z00(BgL_fz00_1616,
						BGl_mapzd22zd2zz__r4_control_features_6_9z00
						(BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00, BgL_lz00_819));
					return
						BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00
						(BgL_arg1156z00_823, BgL_arg1157z00_824);
				}
		}
	}



/* loop~2 */
	obj_t BGl_loopze72ze7zz__r4_control_features_6_9z00(obj_t BgL_fz00_1617,
		obj_t BgL_lz00_1325)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 173 */
			if (NULLP(BgL_lz00_1325))
				{	/* Ieee/control.scm 174 */
					return BNIL;
				}
			else
				{	/* Ieee/control.scm 176 */
					obj_t BgL_arg1142z00_1327;
					obj_t BgL_arg1143z00_1328;

					{	/* Ieee/control.scm 176 */
						obj_t BgL_arg1144z00_1329;

						BgL_arg1144z00_1329 = CAR(BgL_lz00_1325);
						BgL_arg1142z00_1327 =
							PROCEDURE_ENTRY(BgL_fz00_1617) (BgL_fz00_1617,
							BgL_arg1144z00_1329, BEOA);
					}
					BgL_arg1143z00_1328 =
						BGl_loopze72ze7zz__r4_control_features_6_9z00(BgL_fz00_1617,
						CDR(BgL_lz00_1325));
					return
						BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00
						(BgL_arg1142z00_1327, BgL_arg1143z00_1328);
				}
		}
	}



/* &append-map! */
	obj_t BGl_z62appendzd2mapz12za2zz__r4_control_features_6_9z00(obj_t
		BgL_envz00_1561, obj_t BgL_fz00_1562, obj_t BgL_lz00_1563)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 181 */
			{	/* Ieee/control.scm 183 */
				obj_t BgL_auxz00_1863;

				if (PROCEDUREP(BgL_fz00_1562))
					{	/* Ieee/control.scm 183 */
						BgL_auxz00_1863 = BgL_fz00_1562;
					}
				else
					{
						obj_t BgL_auxz00_1866;

						BgL_auxz00_1866 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 6559)),
							BGl_string1654z00zz__r4_control_features_6_9z00,
							BGl_string1648z00zz__r4_control_features_6_9z00, BgL_fz00_1562);
						FAILURE(BgL_auxz00_1866, BFALSE, BFALSE);
					}
				return
					BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00(BgL_auxz00_1863,
					BgL_lz00_1563);
			}
		}
	}



/* filter-map-2 */
	obj_t BGl_filterzd2mapzd22z00zz__r4_control_features_6_9z00(obj_t BgL_fz00_23,
		obj_t BgL_lz00_24)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 196 */
			{
				obj_t BgL_lz00_831;
				obj_t BgL_resz00_832;

				BgL_lz00_831 = BgL_lz00_24;
				BgL_resz00_832 = BNIL;
			BgL_zc3anonymousza31165ze3z83_833:
				if (NULLP(BgL_lz00_831))
					{	/* Ieee/control.scm 199 */
						return bgl_reverse_bang(BgL_resz00_832);
					}
				else
					{	/* Ieee/control.scm 201 */
						obj_t BgL_hdz00_835;

						{	/* Ieee/control.scm 201 */
							obj_t BgL_arg1171z00_839;

							BgL_arg1171z00_839 = CAR(BgL_lz00_831);
							BgL_hdz00_835 =
								PROCEDURE_ENTRY(BgL_fz00_23) (BgL_fz00_23, BgL_arg1171z00_839,
								BEOA);
						}
						if (CBOOL(BgL_hdz00_835))
							{	/* Ieee/control.scm 203 */
								obj_t BgL_arg1168z00_836;
								obj_t BgL_arg1169z00_837;

								BgL_arg1168z00_836 = CDR(BgL_lz00_831);
								BgL_arg1169z00_837 =
									MAKE_YOUNG_PAIR(BgL_hdz00_835, BgL_resz00_832);
								{
									obj_t BgL_resz00_1884;
									obj_t BgL_lz00_1883;

									BgL_lz00_1883 = BgL_arg1168z00_836;
									BgL_resz00_1884 = BgL_arg1169z00_837;
									BgL_resz00_832 = BgL_resz00_1884;
									BgL_lz00_831 = BgL_lz00_1883;
									goto BgL_zc3anonymousza31165ze3z83_833;
								}
							}
						else
							{
								obj_t BgL_lz00_1885;

								BgL_lz00_1885 = CDR(BgL_lz00_831);
								BgL_lz00_831 = BgL_lz00_1885;
								goto BgL_zc3anonymousza31165ze3z83_833;
							}
					}
			}
		}
	}



/* filter-map */
	BGL_EXPORTED_DEF obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t
		BgL_fz00_25, obj_t BgL_lz00_26)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 209 */
			if (NULLP(BgL_lz00_26))
				{	/* Ieee/control.scm 211 */
					return BNIL;
				}
			else
				{	/* Ieee/control.scm 211 */
					if (NULLP(CDR(BgL_lz00_26)))
						{	/* Ieee/control.scm 213 */
							return
								BGl_filterzd2mapzd22z00zz__r4_control_features_6_9z00
								(BgL_fz00_25, CAR(BgL_lz00_26));
						}
					else
						{	/* Ieee/control.scm 213 */
							return
								BGl_loopze70ze7zz__r4_control_features_6_9z00(BgL_fz00_25,
								BgL_lz00_26);
						}
				}
		}
	}



/* loop~0 */
	obj_t BGl_loopze70ze7zz__r4_control_features_6_9z00(obj_t BgL_fz00_1615,
		obj_t BgL_lz00_846)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 216 */
		BGl_loopze70ze7zz__r4_control_features_6_9z00:
			if (NULLP(CAR(BgL_lz00_846)))
				{	/* Ieee/control.scm 217 */
					return BNIL;
				}
			else
				{	/* Ieee/control.scm 219 */
					obj_t BgL_hdz00_850;

					BgL_hdz00_850 =
						apply(BgL_fz00_1615,
						BGl_mapzd22zd2zz__r4_control_features_6_9z00
						(BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00, BgL_lz00_846));
					if (CBOOL(BgL_hdz00_850))
						{	/* Ieee/control.scm 220 */
							return
								MAKE_YOUNG_PAIR(BgL_hdz00_850,
								BGl_loopze70ze7zz__r4_control_features_6_9z00(BgL_fz00_1615,
									BGl_mapzd22zd2zz__r4_control_features_6_9z00
									(BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00,
										BgL_lz00_846)));
						}
					else
						{
							obj_t BgL_lz00_1906;

							BgL_lz00_1906 =
								BGl_mapzd22zd2zz__r4_control_features_6_9z00
								(BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00, BgL_lz00_846);
							BgL_lz00_846 = BgL_lz00_1906;
							goto BGl_loopze70ze7zz__r4_control_features_6_9z00;
						}
				}
		}
	}



/* &filter-map */
	obj_t BGl_z62filterzd2mapzb0zz__r4_control_features_6_9z00(obj_t
		BgL_envz00_1564, obj_t BgL_fz00_1565, obj_t BgL_lz00_1566)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 209 */
			{	/* Ieee/control.scm 211 */
				obj_t BgL_auxz00_1908;

				if (PROCEDUREP(BgL_fz00_1565))
					{	/* Ieee/control.scm 211 */
						BgL_auxz00_1908 = BgL_fz00_1565;
					}
				else
					{
						obj_t BgL_auxz00_1911;

						BgL_auxz00_1911 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 7468)),
							BGl_string1655z00zz__r4_control_features_6_9z00,
							BGl_string1648z00zz__r4_control_features_6_9z00, BgL_fz00_1565);
						FAILURE(BgL_auxz00_1911, BFALSE, BFALSE);
					}
				return
					BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(BgL_auxz00_1908,
					BgL_lz00_1566);
			}
		}
	}



/* for-each-2 */
	BGL_EXPORTED_DEF obj_t
		BGl_forzd2eachzd22z00zz__r4_control_features_6_9z00(obj_t BgL_fz00_27,
		obj_t BgL_lz00_28)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 227 */
			{
				obj_t BgL_lz00_1364;

				BgL_lz00_1364 = BgL_lz00_28;
			BgL_loopz00_1363:
				if (NULLP(BgL_lz00_1364))
					{	/* Ieee/control.scm 229 */
						return BUNSPEC;
					}
				else
					{	/* Ieee/control.scm 229 */
						{	/* Ieee/control.scm 232 */
							obj_t BgL_arg1192z00_1369;

							BgL_arg1192z00_1369 = CAR(BgL_lz00_1364);
							PROCEDURE_ENTRY(BgL_fz00_27) (BgL_fz00_27, BgL_arg1192z00_1369,
								BEOA);
						}
						{
							obj_t BgL_lz00_1923;

							BgL_lz00_1923 = CDR(BgL_lz00_1364);
							BgL_lz00_1364 = BgL_lz00_1923;
							goto BgL_loopz00_1363;
						}
					}
			}
		}
	}



/* &for-each-2 */
	obj_t BGl_z62forzd2eachzd22z62zz__r4_control_features_6_9z00(obj_t
		BgL_envz00_1567, obj_t BgL_fz00_1568, obj_t BgL_lz00_1569)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 227 */
			{	/* Ieee/control.scm 228 */
				obj_t BgL_auxz00_1932;
				obj_t BgL_auxz00_1925;

				if (BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00
					(BgL_lz00_1569))
					{	/* Ieee/control.scm 228 */
						BgL_auxz00_1932 = BgL_lz00_1569;
					}
				else
					{
						obj_t BgL_auxz00_1935;

						BgL_auxz00_1935 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 7995)),
							BGl_string1656z00zz__r4_control_features_6_9z00,
							BGl_string1650z00zz__r4_control_features_6_9z00, BgL_lz00_1569);
						FAILURE(BgL_auxz00_1935, BFALSE, BFALSE);
					}
				if (PROCEDUREP(BgL_fz00_1568))
					{	/* Ieee/control.scm 228 */
						BgL_auxz00_1925 = BgL_fz00_1568;
					}
				else
					{
						obj_t BgL_auxz00_1928;

						BgL_auxz00_1928 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 7995)),
							BGl_string1656z00zz__r4_control_features_6_9z00,
							BGl_string1648z00zz__r4_control_features_6_9z00, BgL_fz00_1568);
						FAILURE(BgL_auxz00_1928, BFALSE, BFALSE);
					}
				return
					BGl_forzd2eachzd22z00zz__r4_control_features_6_9z00(BgL_auxz00_1925,
					BgL_auxz00_1932);
			}
		}
	}



/* for-each */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2zz__r4_control_features_6_9z00(obj_t
		BgL_fz00_29, obj_t BgL_lz00_30)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 238 */
			if (NULLP(BgL_lz00_30))
				{	/* Ieee/control.scm 240 */
					return BUNSPEC;
				}
			else
				{	/* Ieee/control.scm 240 */
					if (NULLP(CDR(BgL_lz00_30)))
						{	/* Ieee/control.scm 243 */
							obj_t BgL_arg1197z00_867;

							BgL_arg1197z00_867 = CAR(BgL_lz00_30);
							{
								obj_t BgL_lz00_1381;

								BgL_lz00_1381 = BgL_arg1197z00_867;
							BgL_loopz00_1380:
								if (NULLP(BgL_lz00_1381))
									{	/* Ieee/control.scm 229 */
										return BUNSPEC;
									}
								else
									{	/* Ieee/control.scm 229 */
										{	/* Ieee/control.scm 232 */
											obj_t BgL_arg1192z00_1386;

											BgL_arg1192z00_1386 = CAR(BgL_lz00_1381);
											PROCEDURE_ENTRY(BgL_fz00_29) (BgL_fz00_29,
												BgL_arg1192z00_1386, BEOA);
										}
										{
											obj_t BgL_lz00_1953;

											BgL_lz00_1953 = CDR(BgL_lz00_1381);
											BgL_lz00_1381 = BgL_lz00_1953;
											goto BgL_loopz00_1380;
										}
									}
							}
						}
					else
						{
							obj_t BgL_lz00_869;

							BgL_lz00_869 = BgL_lz00_30;
						BgL_zc3anonymousza31198ze3z83_870:
							if (NULLP(CAR(BgL_lz00_869)))
								{	/* Ieee/control.scm 246 */
									return BUNSPEC;
								}
							else
								{	/* Ieee/control.scm 246 */
									apply(BgL_fz00_29,
										BGl_mapzd22zd2zz__r4_control_features_6_9z00
										(BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00,
											BgL_lz00_869));
									{
										obj_t BgL_lz00_1961;

										BgL_lz00_1961 =
											BGl_mapzd22zd2zz__r4_control_features_6_9z00
											(BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00,
											BgL_lz00_869);
										BgL_lz00_869 = BgL_lz00_1961;
										goto BgL_zc3anonymousza31198ze3z83_870;
									}
								}
						}
				}
		}
	}



/* &for-each */
	obj_t BGl_z62forzd2eachzb0zz__r4_control_features_6_9z00(obj_t
		BgL_envz00_1570, obj_t BgL_fz00_1571, obj_t BgL_lz00_1572)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 238 */
			{	/* Ieee/control.scm 240 */
				obj_t BgL_auxz00_1963;

				if (PROCEDUREP(BgL_fz00_1571))
					{	/* Ieee/control.scm 240 */
						BgL_auxz00_1963 = BgL_fz00_1571;
					}
				else
					{
						obj_t BgL_auxz00_1966;

						BgL_auxz00_1966 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 8365)),
							BGl_string1657z00zz__r4_control_features_6_9z00,
							BGl_string1648z00zz__r4_control_features_6_9z00, BgL_fz00_1571);
						FAILURE(BgL_auxz00_1966, BFALSE, BFALSE);
					}
				return
					BGl_forzd2eachzd2zz__r4_control_features_6_9z00(BgL_auxz00_1963,
					BgL_lz00_1572);
			}
		}
	}



/* filter */
	BGL_EXPORTED_DEF obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t
		BgL_predz00_31, obj_t BgL_lisz00_32)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 255 */
			return
				BGl_recurze70ze7zz__r4_control_features_6_9z00(BgL_predz00_31,
				BgL_lisz00_32);
		}
	}



/* recur~0 */
	obj_t BGl_recurze70ze7zz__r4_control_features_6_9z00(obj_t BgL_predz00_1614,
		obj_t BgL_lisz00_878)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 256 */
		BGl_recurze70ze7zz__r4_control_features_6_9z00:
			if (NULLP(BgL_lisz00_878))
				{	/* Ieee/control.scm 257 */
					return BgL_lisz00_878;
				}
			else
				{	/* Ieee/control.scm 259 */
					obj_t BgL_headz00_881;
					obj_t BgL_tailz00_882;

					BgL_headz00_881 = CAR(BgL_lisz00_878);
					BgL_tailz00_882 = CDR(BgL_lisz00_878);
					if (CBOOL(PROCEDURE_ENTRY(BgL_predz00_1614) (BgL_predz00_1614,
								BgL_headz00_881, BEOA)))
						{	/* Ieee/control.scm 262 */
							obj_t BgL_newzd2tailzd2_884;

							BgL_newzd2tailzd2_884 =
								BGl_recurze70ze7zz__r4_control_features_6_9z00(BgL_predz00_1614,
								BgL_tailz00_882);
							if ((BgL_tailz00_882 == BgL_newzd2tailzd2_884))
								{	/* Ieee/control.scm 263 */
									return BgL_lisz00_878;
								}
							else
								{	/* Ieee/control.scm 263 */
									return
										MAKE_YOUNG_PAIR(BgL_headz00_881, BgL_newzd2tailzd2_884);
								}
						}
					else
						{
							obj_t BgL_lisz00_1986;

							BgL_lisz00_1986 = BgL_tailz00_882;
							BgL_lisz00_878 = BgL_lisz00_1986;
							goto BGl_recurze70ze7zz__r4_control_features_6_9z00;
						}
				}
		}
	}



/* &filter */
	obj_t BGl_z62filterz62zz__r4_control_features_6_9z00(obj_t BgL_envz00_1573,
		obj_t BgL_predz00_1574, obj_t BgL_lisz00_1575)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 255 */
			{	/* Ieee/control.scm 257 */
				obj_t BgL_auxz00_1994;
				obj_t BgL_auxz00_1987;

				if (BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00
					(BgL_lisz00_1575))
					{	/* Ieee/control.scm 257 */
						BgL_auxz00_1994 = BgL_lisz00_1575;
					}
				else
					{
						obj_t BgL_auxz00_1997;

						BgL_auxz00_1997 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 8885)),
							BGl_string1658z00zz__r4_control_features_6_9z00,
							BGl_string1650z00zz__r4_control_features_6_9z00, BgL_lisz00_1575);
						FAILURE(BgL_auxz00_1997, BFALSE, BFALSE);
					}
				if (PROCEDUREP(BgL_predz00_1574))
					{	/* Ieee/control.scm 257 */
						BgL_auxz00_1987 = BgL_predz00_1574;
					}
				else
					{
						obj_t BgL_auxz00_1990;

						BgL_auxz00_1990 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 8885)),
							BGl_string1658z00zz__r4_control_features_6_9z00,
							BGl_string1648z00zz__r4_control_features_6_9z00,
							BgL_predz00_1574);
						FAILURE(BgL_auxz00_1990, BFALSE, BFALSE);
					}
				return
					BGl_filterz00zz__r4_control_features_6_9z00(BgL_auxz00_1987,
					BgL_auxz00_1994);
			}
		}
	}



/* filter! */
	BGL_EXPORTED_DEF obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t
		BgL_predz00_33, obj_t BgL_lisz00_34)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 271 */
			{
				obj_t BgL_ansz00_888;

				BgL_ansz00_888 = BgL_lisz00_34;
			BgL_zc3anonymousza31210ze3z83_889:
				if (NULLP(BgL_ansz00_888))
					{	/* Ieee/control.scm 274 */
						return BgL_ansz00_888;
					}
				else
					{	/* Ieee/control.scm 276 */
						bool_t BgL_testz00_2004;

						{	/* Ieee/control.scm 276 */
							obj_t BgL_arg1247z00_921;

							BgL_arg1247z00_921 = CAR(BgL_ansz00_888);
							BgL_testz00_2004 =
								CBOOL(PROCEDURE_ENTRY(BgL_predz00_33) (BgL_predz00_33,
									BgL_arg1247z00_921, BEOA));
						}
						if (BgL_testz00_2004)
							{
								obj_t BgL_prevz00_905;
								obj_t BgL_lisz00_906;

								{	/* Ieee/control.scm 293 */
									obj_t BgL_arg1215z00_895;

									BgL_arg1215z00_895 = CDR(BgL_ansz00_888);
									{
										obj_t BgL_prevz00_1441;
										obj_t BgL_lisz00_1442;

										BgL_prevz00_1441 = BgL_ansz00_888;
										BgL_lisz00_1442 = BgL_arg1215z00_895;
									BgL_scanzd2inzd2_1440:
										if (PAIRP(BgL_lisz00_1442))
											{	/* Ieee/control.scm 281 */
												bool_t BgL_testz00_2014;

												{	/* Ieee/control.scm 281 */
													obj_t BgL_arg1232z00_1450;

													BgL_arg1232z00_1450 = CAR(BgL_lisz00_1442);
													BgL_testz00_2014 =
														CBOOL(PROCEDURE_ENTRY(BgL_predz00_33)
														(BgL_predz00_33, BgL_arg1232z00_1450, BEOA));
												}
												if (BgL_testz00_2014)
													{
														obj_t BgL_lisz00_2022;
														obj_t BgL_prevz00_2021;

														BgL_prevz00_2021 = BgL_lisz00_1442;
														BgL_lisz00_2022 = CDR(BgL_lisz00_1442);
														BgL_lisz00_1442 = BgL_lisz00_2022;
														BgL_prevz00_1441 = BgL_prevz00_2021;
														goto BgL_scanzd2inzd2_1440;
													}
												else
													{	/* Ieee/control.scm 281 */
														BgL_prevz00_905 = BgL_prevz00_1441;
														BgL_lisz00_906 = CDR(BgL_lisz00_1442);
													BgL_zc3anonymousza31233ze3z83_907:
														{
															obj_t BgL_lisz00_909;

															BgL_lisz00_909 = BgL_lisz00_906;
														BgL_zc3anonymousza31234ze3z83_910:
															if (PAIRP(BgL_lisz00_909))
																{	/* Ieee/control.scm 287 */
																	bool_t BgL_testz00_2026;

																	{	/* Ieee/control.scm 287 */
																		obj_t BgL_arg1240z00_916;

																		BgL_arg1240z00_916 = CAR(BgL_lisz00_909);
																		BgL_testz00_2026 =
																			CBOOL(PROCEDURE_ENTRY(BgL_predz00_33)
																			(BgL_predz00_33, BgL_arg1240z00_916,
																				BEOA));
																	}
																	if (BgL_testz00_2026)
																		{	/* Ieee/control.scm 287 */
																			SET_CDR(BgL_prevz00_905, BgL_lisz00_909);
																			{	/* Ieee/control.scm 290 */
																				obj_t BgL_arg1238z00_914;

																				BgL_arg1238z00_914 =
																					CDR(BgL_lisz00_909);
																				{
																					obj_t BgL_prevz00_1421;
																					obj_t BgL_lisz00_1422;

																					BgL_prevz00_1421 = BgL_lisz00_909;
																					BgL_lisz00_1422 = BgL_arg1238z00_914;
																				BgL_scanzd2inzd2_1420:
																					if (PAIRP(BgL_lisz00_1422))
																						{	/* Ieee/control.scm 281 */
																							bool_t BgL_testz00_2037;

																							{	/* Ieee/control.scm 281 */
																								obj_t BgL_arg1232z00_1430;

																								BgL_arg1232z00_1430 =
																									CAR(BgL_lisz00_1422);
																								BgL_testz00_2037 =
																									CBOOL(PROCEDURE_ENTRY
																									(BgL_predz00_33)
																									(BgL_predz00_33,
																										BgL_arg1232z00_1430, BEOA));
																							}
																							if (BgL_testz00_2037)
																								{
																									obj_t BgL_lisz00_2045;
																									obj_t BgL_prevz00_2044;

																									BgL_prevz00_2044 =
																										BgL_lisz00_1422;
																									BgL_lisz00_2045 =
																										CDR(BgL_lisz00_1422);
																									BgL_lisz00_1422 =
																										BgL_lisz00_2045;
																									BgL_prevz00_1421 =
																										BgL_prevz00_2044;
																									goto BgL_scanzd2inzd2_1420;
																								}
																							else
																								{
																									obj_t BgL_lisz00_2048;
																									obj_t BgL_prevz00_2047;

																									BgL_prevz00_2047 =
																										BgL_prevz00_1421;
																									BgL_lisz00_2048 =
																										CDR(BgL_lisz00_1422);
																									BgL_lisz00_906 =
																										BgL_lisz00_2048;
																									BgL_prevz00_905 =
																										BgL_prevz00_2047;
																									goto
																										BgL_zc3anonymousza31233ze3z83_907;
																								}
																						}
																					else
																						{	/* Ieee/control.scm 280 */
																							BFALSE;
																						}
																				}
																			}
																		}
																	else
																		{
																			obj_t BgL_lisz00_2050;

																			BgL_lisz00_2050 = CDR(BgL_lisz00_909);
																			BgL_lisz00_909 = BgL_lisz00_2050;
																			goto BgL_zc3anonymousza31234ze3z83_910;
																		}
																}
															else
																{	/* Ieee/control.scm 286 */
																	SET_CDR(BgL_prevz00_905, BgL_lisz00_909);
																}
														}
													}
											}
										else
											{	/* Ieee/control.scm 280 */
												BFALSE;
											}
									}
								}
								return BgL_ansz00_888;
							}
						else
							{
								obj_t BgL_ansz00_2054;

								BgL_ansz00_2054 = CDR(BgL_ansz00_888);
								BgL_ansz00_888 = BgL_ansz00_2054;
								goto BgL_zc3anonymousza31210ze3z83_889;
							}
					}
			}
		}
	}



/* &filter! */
	obj_t BGl_z62filterz12z70zz__r4_control_features_6_9z00(obj_t BgL_envz00_1576,
		obj_t BgL_predz00_1577, obj_t BgL_lisz00_1578)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 271 */
			{	/* Ieee/control.scm 274 */
				obj_t BgL_auxz00_2063;
				obj_t BgL_auxz00_2056;

				if (BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00
					(BgL_lisz00_1578))
					{	/* Ieee/control.scm 274 */
						BgL_auxz00_2063 = BgL_lisz00_1578;
					}
				else
					{
						obj_t BgL_auxz00_2066;

						BgL_auxz00_2066 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 9384)),
							BGl_string1659z00zz__r4_control_features_6_9z00,
							BGl_string1650z00zz__r4_control_features_6_9z00, BgL_lisz00_1578);
						FAILURE(BgL_auxz00_2066, BFALSE, BFALSE);
					}
				if (PROCEDUREP(BgL_predz00_1577))
					{	/* Ieee/control.scm 274 */
						BgL_auxz00_2056 = BgL_predz00_1577;
					}
				else
					{
						obj_t BgL_auxz00_2059;

						BgL_auxz00_2059 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 9384)),
							BGl_string1659z00zz__r4_control_features_6_9z00,
							BGl_string1648z00zz__r4_control_features_6_9z00,
							BgL_predz00_1577);
						FAILURE(BgL_auxz00_2059, BFALSE, BFALSE);
					}
				return
					BGl_filterz12z12zz__r4_control_features_6_9z00(BgL_auxz00_2056,
					BgL_auxz00_2063);
			}
		}
	}



/* force */
	BGL_EXPORTED_DEF obj_t BGl_forcez00zz__r4_control_features_6_9z00(obj_t
		BgL_promisez00_35)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 299 */
			return PROCEDURE_ENTRY(BgL_promisez00_35) (BgL_promisez00_35, BEOA);
		}
	}



/* &force */
	obj_t BGl_z62forcez62zz__r4_control_features_6_9z00(obj_t BgL_envz00_1579,
		obj_t BgL_promisez00_1580)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 299 */
			return BGl_forcez00zz__r4_control_features_6_9z00(BgL_promisez00_1580);
		}
	}



/* make-promise */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t BgL_procz00_36)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 305 */
			{	/* Ieee/control.scm 306 */
				obj_t BgL_resultzd2readyzf3z21_1590;
				obj_t BgL_resultz00_1591;

				BgL_resultzd2readyzf3z21_1590 = MAKE_CELL(BFALSE);
				BgL_resultz00_1591 = MAKE_CELL(BFALSE);
				{	/* Ieee/control.scm 308 */
					obj_t BgL_zc3anonymousza31248ze3z83_1581;

					BgL_zc3anonymousza31248ze3z83_1581 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza31248ze3ze1zz__r4_control_features_6_9z00,
						(int) (((long) 0)), (int) (((long) 3)));
					PROCEDURE_SET(BgL_zc3anonymousza31248ze3z83_1581, (int) (((long) 0)),
						BgL_procz00_36);
					PROCEDURE_SET(BgL_zc3anonymousza31248ze3z83_1581, (int) (((long) 1)),
						((obj_t) BgL_resultzd2readyzf3z21_1590));
					PROCEDURE_SET(BgL_zc3anonymousza31248ze3z83_1581, (int) (((long) 2)),
						((obj_t) BgL_resultz00_1591));
					return BgL_zc3anonymousza31248ze3z83_1581;
				}
			}
		}
	}



/* &make-promise */
	obj_t BGl_z62makezd2promisezb0zz__r4_control_features_6_9z00(obj_t
		BgL_envz00_1582, obj_t BgL_procz00_1583)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 305 */
			{	/* Ieee/control.scm 306 */
				obj_t BgL_auxz00_2086;

				if (PROCEDUREP(BgL_procz00_1583))
					{	/* Ieee/control.scm 306 */
						BgL_auxz00_2086 = BgL_procz00_1583;
					}
				else
					{
						obj_t BgL_auxz00_2089;

						BgL_auxz00_2089 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 10450)),
							BGl_string1660z00zz__r4_control_features_6_9z00,
							BGl_string1648z00zz__r4_control_features_6_9z00,
							BgL_procz00_1583);
						FAILURE(BgL_auxz00_2089, BFALSE, BFALSE);
					}
				return
					BGl_makezd2promisezd2zz__r4_control_features_6_9z00(BgL_auxz00_2086);
			}
		}
	}



/* &<anonymous:1248> */
	obj_t BGl_z62zc3anonymousza31248ze3ze1zz__r4_control_features_6_9z00(obj_t
		BgL_envz00_1584)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 308 */
			{	/* Ieee/control.scm 309 */
				obj_t BgL_procz00_1585;
				obj_t BgL_resultzd2readyzf3z21_1586;
				obj_t BgL_resultz00_1587;

				BgL_procz00_1585 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1584, (int) (((long) 0))));
				BgL_resultzd2readyzf3z21_1586 =
					PROCEDURE_REF(BgL_envz00_1584, (int) (((long) 1)));
				BgL_resultz00_1587 = PROCEDURE_REF(BgL_envz00_1584, (int) (((long) 2)));
				if (CBOOL(CELL_REF(BgL_resultzd2readyzf3z21_1586)))
					{	/* Ieee/control.scm 309 */
						return CELL_REF(BgL_resultz00_1587);
					}
				else
					{	/* Ieee/control.scm 311 */
						obj_t BgL_xz00_1663;

						BgL_xz00_1663 =
							PROCEDURE_ENTRY(BgL_procz00_1585) (BgL_procz00_1585, BEOA);
						if (CBOOL(CELL_REF(BgL_resultzd2readyzf3z21_1586)))
							{	/* Ieee/control.scm 312 */
								return CELL_REF(BgL_resultz00_1587);
							}
						else
							{	/* Ieee/control.scm 312 */
								CELL_SET(BgL_resultzd2readyzf3z21_1586, BTRUE);
								CELL_SET(BgL_resultz00_1587, BgL_xz00_1663);
								return CELL_REF(BgL_resultz00_1587);
							}
					}
			}
		}
	}



/* call/cc */
	BGL_EXPORTED_DEF obj_t BGl_callzf2cczf2zz__r4_control_features_6_9z00(obj_t
		BgL_procz00_37)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 322 */
			{	/* Ieee/control.scm 324 */
				obj_t BgL_zc3anonymousza31251ze3z83_1595;

				BgL_zc3anonymousza31251ze3z83_1595 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3anonymousza31251ze3ze1zz__r4_control_features_6_9z00,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza31251ze3z83_1595, (int) (((long) 0)),
					BgL_procz00_37);
				return call_cc(BgL_zc3anonymousza31251ze3z83_1595);
			}
		}
	}



/* &call/cc */
	obj_t BGl_z62callzf2ccz90zz__r4_control_features_6_9z00(obj_t BgL_envz00_1596,
		obj_t BgL_procz00_1597)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 322 */
			{	/* Ieee/control.scm 324 */
				obj_t BgL_auxz00_2114;

				if (PROCEDUREP(BgL_procz00_1597))
					{	/* Ieee/control.scm 324 */
						BgL_auxz00_2114 = BgL_procz00_1597;
					}
				else
					{
						obj_t BgL_auxz00_2117;

						BgL_auxz00_2117 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 10980)),
							BGl_string1661z00zz__r4_control_features_6_9z00,
							BGl_string1648z00zz__r4_control_features_6_9z00,
							BgL_procz00_1597);
						FAILURE(BgL_auxz00_2117, BFALSE, BFALSE);
					}
				return BGl_callzf2cczf2zz__r4_control_features_6_9z00(BgL_auxz00_2114);
			}
		}
	}



/* &<anonymous:1251> */
	obj_t BGl_z62zc3anonymousza31251ze3ze1zz__r4_control_features_6_9z00(obj_t
		BgL_envz00_1598, obj_t BgL_contz00_1600)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 323 */
			{	/* Ieee/control.scm 324 */
				obj_t BgL_procz00_1599;

				BgL_procz00_1599 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1598, (int) (((long) 0))));
				{	/* Ieee/control.scm 324 */
					obj_t BgL_evcz00_1665;

					BgL_evcz00_1665 = BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
					{	/* Ieee/control.scm 326 */
						obj_t BgL_zc3anonymousza31253ze3z83_1666;

						BgL_zc3anonymousza31253ze3z83_1666 =
							MAKE_VA_PROCEDURE
							(BGl_z62zc3anonymousza31253ze3ze1zz__r4_control_features_6_9z00,
							(int) (((long) -1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza31253ze3z83_1666,
							(int) (((long) 0)), BgL_evcz00_1665);
						PROCEDURE_SET(BgL_zc3anonymousza31253ze3z83_1666,
							(int) (((long) 1)), BgL_contz00_1600);
						return PROCEDURE_ENTRY(BgL_procz00_1599) (BgL_procz00_1599,
							BgL_zc3anonymousza31253ze3z83_1666, BEOA);
					}
				}
			}
		}
	}



/* &<anonymous:1253> */
	obj_t BGl_z62zc3anonymousza31253ze3ze1zz__r4_control_features_6_9z00(obj_t
		BgL_envz00_1601, obj_t BgL_valsz00_1604)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 325 */
			{	/* Ieee/control.scm 326 */
				obj_t BgL_evcz00_1602;
				obj_t BgL_contz00_1603;

				BgL_evcz00_1602 = PROCEDURE_REF(BgL_envz00_1601, (int) (((long) 0)));
				BgL_contz00_1603 = PROCEDURE_REF(BgL_envz00_1601, (int) (((long) 1)));
				BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_evcz00_1602);
				{	/* Ieee/control.scm 327 */
					bool_t BgL_testz00_2142;

					if (PAIRP(BgL_valsz00_1604))
						{	/* Ieee/control.scm 327 */
							BgL_testz00_2142 = NULLP(CDR(BgL_valsz00_1604));
						}
					else
						{	/* Ieee/control.scm 327 */
							BgL_testz00_2142 = ((bool_t) 0);
						}
					if (BgL_testz00_2142)
						{	/* Ieee/control.scm 328 */
							obj_t BgL_arg1264z00_1667;

							BgL_arg1264z00_1667 = CAR(BgL_valsz00_1604);
							return
								PROCEDURE_ENTRY(BgL_contz00_1603) (BgL_contz00_1603,
								BgL_arg1264z00_1667, BEOA);
						}
					else
						{	/* Ieee/control.scm 327 */
							{	/* Ieee/control.scm 330 */
								int BgL_res1587z00_1668;

								{	/* Ieee/control.scm 330 */
									int BgL_tmpz00_2152;

									BgL_tmpz00_2152 = (int) (((long) -1));
									BgL_res1587z00_1668 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2152);
								} BgL_res1587z00_1668;
							}
							return
								PROCEDURE_ENTRY(BgL_contz00_1603) (BgL_contz00_1603,
								BgL_valsz00_1604, BEOA);
						}
				}
			}
		}
	}



/* call-with-current-continuation */
	BGL_EXPORTED_DEF obj_t
		BGl_callzd2withzd2currentzd2continuationzd2zz__r4_control_features_6_9z00
		(obj_t BgL_procz00_38)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 340 */
			return BGl_callzf2cczf2zz__r4_control_features_6_9z00(BgL_procz00_38);
		}
	}



/* &call-with-current-continuation */
	obj_t
		BGl_z62callzd2withzd2currentzd2continuationzb0zz__r4_control_features_6_9z00
		(obj_t BgL_envz00_1605, obj_t BgL_procz00_1606)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 340 */
			{	/* Ieee/control.scm 341 */
				obj_t BgL_auxz00_2160;

				if (PROCEDUREP(BgL_procz00_1606))
					{	/* Ieee/control.scm 341 */
						BgL_auxz00_2160 = BgL_procz00_1606;
					}
				else
					{
						obj_t BgL_auxz00_2163;

						BgL_auxz00_2163 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 11597)),
							BGl_string1662z00zz__r4_control_features_6_9z00,
							BGl_string1648z00zz__r4_control_features_6_9z00,
							BgL_procz00_1606);
						FAILURE(BgL_auxz00_2163, BFALSE, BFALSE);
					}
				return
					BGl_callzd2withzd2currentzd2continuationzd2zz__r4_control_features_6_9z00
					(BgL_auxz00_2160);
			}
		}
	}



/* dynamic-wind */
	BGL_EXPORTED_DEF obj_t
		BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t BgL_beforez00_39,
		obj_t BgL_thunkz00_40, obj_t BgL_afterz00_41)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 346 */
			PROCEDURE_ENTRY(BgL_beforez00_39) (BgL_beforez00_39, BEOA);
			{	/* Ieee/control.scm 348 */

				PUSH_BEFORE(BgL_beforez00_39);
				{	/* Ieee/control.scm 350 */
					obj_t BgL_exitd1014z00_1463;

					BgL_exitd1014z00_1463 = BGL_EXITD_TOP_AS_OBJ();
					{	/* Ieee/control.scm 353 */
						obj_t BgL_zc3anonymousza31267ze3z83_1607;

						BgL_zc3anonymousza31267ze3z83_1607 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza31267ze3ze1zz__r4_control_features_6_9z00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza31267ze3z83_1607,
							(int) (((long) 0)), BgL_afterz00_41);
						BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1014z00_1463,
							BgL_zc3anonymousza31267ze3z83_1607);
						{	/* Ieee/control.scm 351 */
							obj_t BgL_tmp1016z00_1465;

							BgL_tmp1016z00_1465 =
								PROCEDURE_ENTRY(BgL_thunkz00_40) (BgL_thunkz00_40, BEOA);
							BGl_exitdzd2popzd2protectz12z12zz__bexitz00
								(BgL_exitd1014z00_1463);
							PROCEDURE_ENTRY(BgL_afterz00_41) (BgL_afterz00_41, BEOA);
							POP_BEFORE();
							return BgL_tmp1016z00_1465;
						}
					}
				}
			}
		}
	}



/* &dynamic-wind */
	obj_t BGl_z62dynamiczd2windzb0zz__r4_control_features_6_9z00(obj_t
		BgL_envz00_1608, obj_t BgL_beforez00_1609, obj_t BgL_thunkz00_1610,
		obj_t BgL_afterz00_1611)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 346 */
			{	/* Ieee/control.scm 347 */
				obj_t BgL_auxz00_2201;
				obj_t BgL_auxz00_2194;
				obj_t BgL_auxz00_2187;

				if (PROCEDUREP(BgL_afterz00_1611))
					{	/* Ieee/control.scm 347 */
						BgL_auxz00_2201 = BgL_afterz00_1611;
					}
				else
					{
						obj_t BgL_auxz00_2204;

						BgL_auxz00_2204 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 11921)),
							BGl_string1663z00zz__r4_control_features_6_9z00,
							BGl_string1648z00zz__r4_control_features_6_9z00,
							BgL_afterz00_1611);
						FAILURE(BgL_auxz00_2204, BFALSE, BFALSE);
					}
				if (PROCEDUREP(BgL_thunkz00_1610))
					{	/* Ieee/control.scm 347 */
						BgL_auxz00_2194 = BgL_thunkz00_1610;
					}
				else
					{
						obj_t BgL_auxz00_2197;

						BgL_auxz00_2197 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 11921)),
							BGl_string1663z00zz__r4_control_features_6_9z00,
							BGl_string1648z00zz__r4_control_features_6_9z00,
							BgL_thunkz00_1610);
						FAILURE(BgL_auxz00_2197, BFALSE, BFALSE);
					}
				if (PROCEDUREP(BgL_beforez00_1609))
					{	/* Ieee/control.scm 347 */
						BgL_auxz00_2187 = BgL_beforez00_1609;
					}
				else
					{
						obj_t BgL_auxz00_2190;

						BgL_auxz00_2190 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1646z00zz__r4_control_features_6_9z00,
							BINT(((long) 11921)),
							BGl_string1663z00zz__r4_control_features_6_9z00,
							BGl_string1648z00zz__r4_control_features_6_9z00,
							BgL_beforez00_1609);
						FAILURE(BgL_auxz00_2190, BFALSE, BFALSE);
					}
				return
					BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_auxz00_2187,
					BgL_auxz00_2194, BgL_auxz00_2201);
			}
		}
	}



/* &<anonymous:1267> */
	obj_t BGl_z62zc3anonymousza31267ze3ze1zz__r4_control_features_6_9z00(obj_t
		BgL_envz00_1612)
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 350 */
			{	/* Ieee/control.scm 353 */
				obj_t BgL_afterz00_1613;

				BgL_afterz00_1613 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1612, (int) (((long) 0))));
				PROCEDURE_ENTRY(BgL_afterz00_1613) (BgL_afterz00_1613, BEOA);
				return POP_BEFORE();
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__r4_control_features_6_9z00()
	{
		AN_OBJECT;
		{	/* Ieee/control.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1664z00zz__r4_control_features_6_9z00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string1664z00zz__r4_control_features_6_9z00));
			return
				BGl_modulezd2initializa7ationz75zz__evaluatez00(((long) 398574045),
				BSTRING_TO_STRING(BGl_string1664z00zz__r4_control_features_6_9z00));
		}
	}

#ifdef __cplusplus
}
#endif
