/*===========================================================================*/
/*   (BackEnd/init.scm)                                                      */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/init.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_occurzd2nodezd2inz12z12zzast_occurz00(BgL_nodez00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_objectzd2initzd2zzbackend_initz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2stringza2z00zztype_cachez00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_methodzd2initzd2zzbackend_initz00();
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_za2dlopenzd2initzd2gcza2z00zzengine_paramz00;
	static obj_t BGl_z62getzd2modulezd2initz62zzbackend_initz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_initz00();
	extern obj_t BGl_za2modulezd2checksumza2zd2zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t
		BGl_backendzd2gczd2initz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_za2modulezd2initza2zd2zzbackend_initz00 = BUNSPEC;
	extern obj_t BGl_za2unsafezd2versionza2zd2zzengine_paramz00;
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_initz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzbackend_initz00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_makezd2modulezd2initz00zzbackend_initz00();
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzbackend_initz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_initz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_unitzd2initzd2callsz00zzast_unitz00();
	BGL_EXPORTED_DECL obj_t BGl_getzd2modulezd2initz00zzbackend_initz00();
	static obj_t BGl_cnstzd2initzd2zzbackend_initz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_initz00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_initz00();
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	static obj_t __cnst[24];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2modulezd2initzd2envzd2zzbackend_initz00,
		BgL_bgl_za762getza7d2moduleza71770za7,
		BGl_z62getzd2modulezd2initz62zzbackend_initz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1760z00zzbackend_initz00,
		BgL_bgl_string1760za700za7za7b1771za7, "bgl_init_module_debug_start(\"",
		29);
	      DEFINE_STRING(BGl_string1761z00zzbackend_initz00,
		BgL_bgl_string1761za700za7za7b1772za7, "\")", 2);
	      DEFINE_STRING(BGl_string1762z00zzbackend_initz00,
		BgL_bgl_string1762za700za7za7b1773za7, "bgl_init_module_debug_end(\"", 27);
	      DEFINE_STRING(BGl_string1763z00zzbackend_initz00,
		BgL_bgl_string1763za700za7za7b1774za7, "~s", 2);
	      DEFINE_STRING(BGl_string1764z00zzbackend_initz00,
		BgL_bgl_string1764za700za7za7b1775za7, "backend_init", 12);
	      DEFINE_STRING(BGl_string1765z00zzbackend_initz00,
		BgL_bgl_string1765za700za7za7b1776za7,
		"export module-initialization sfun (checksum from) value module-init-error s from s::string pragma::string =fx bit-and checksum module now module-initalization require-initialization::obj let pragma tmp if begin set! require-initialization ",
		239);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2modulezd2initza2zd2zzbackend_initz00));
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzbackend_initz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_initz00(long
		BgL_checksumz00_1974, char *BgL_fromz00_1975)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_initz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_initz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_initz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_initz00();
					BGl_cnstzd2initzd2zzbackend_initz00();
					BGl_importedzd2moduleszd2initz00zzbackend_initz00();
					return BGl_toplevelzd2initzd2zzbackend_initz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_initz00()
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_init");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"backend_init");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"backend_init");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_init");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "backend_init");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_init");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_init");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_initz00()
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 15 */
			{	/* BackEnd/init.scm 15 */
				obj_t BgL_cportz00_1961;

				{	/* BackEnd/init.scm 15 */
					obj_t BgL_startz00_1970;

					BgL_startz00_1970 = BINT(((long) 0));
					{	/* BackEnd/init.scm 15 */
						obj_t BgL_endz00_1971;

						BgL_endz00_1971 =
							BINT(STRING_LENGTH(BGl_string1765z00zzbackend_initz00));
						{	/* BackEnd/init.scm 15 */

							BgL_cportz00_1961 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1765z00zzbackend_initz00, BgL_startz00_1970,
								BgL_endz00_1971);
				}}}
				{
					long BgL_iz00_1962;

					BgL_iz00_1962 = ((long) 23);
				BgL_loopz00_1963:
					if ((BgL_iz00_1962 == ((long) -1)))
						{	/* BackEnd/init.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/init.scm 15 */
							{	/* BackEnd/init.scm 15 */
								obj_t BgL_arg1768z00_1965;

								{	/* BackEnd/init.scm 15 */

									{	/* BackEnd/init.scm 15 */
										obj_t BgL_locationz00_1967;

										BgL_locationz00_1967 = BBOOL(((bool_t) 0));
										{	/* BackEnd/init.scm 15 */

											BgL_arg1768z00_1965 =
												BGl_readz00zz__readerz00(BgL_cportz00_1961,
												BgL_locationz00_1967);
										}
									}
								}
								{	/* BackEnd/init.scm 15 */
									int BgL_tmpz00_1999;

									BgL_tmpz00_1999 = (int) (BgL_iz00_1962);
									CNST_TABLE_SET(BgL_tmpz00_1999, BgL_arg1768z00_1965);
							}}
							{	/* BackEnd/init.scm 15 */
								int BgL_auxz00_1968;

								BgL_auxz00_1968 = (int) ((BgL_iz00_1962 - ((long) 1)));
								{
									long BgL_iz00_2004;

									BgL_iz00_2004 = (long) (BgL_auxz00_1968);
									BgL_iz00_1962 = BgL_iz00_2004;
									goto BgL_loopz00_1963;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_initz00()
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_initz00()
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 15 */
			return (BGl_za2modulezd2initza2zd2zzbackend_initz00 = BUNSPEC, BUNSPEC);
		}
	}



/* get-module-init */
	BGL_EXPORTED_DEF obj_t BGl_getzd2modulezd2initz00zzbackend_initz00()
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 45 */
			if ((BGl_za2modulezd2initza2zd2zzbackend_initz00 == BUNSPEC))
				{	/* BackEnd/init.scm 46 */
					BGl_za2modulezd2initza2zd2zzbackend_initz00 =
						((obj_t) BGl_makezd2modulezd2initz00zzbackend_initz00());
				}
			else
				{	/* BackEnd/init.scm 46 */
					BFALSE;
				}
			return BGl_za2modulezd2initza2zd2zzbackend_initz00;
		}
	}



/* &get-module-init */
	obj_t BGl_z62getzd2modulezd2initz62zzbackend_initz00(obj_t BgL_envz00_1960)
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 45 */
			return BGl_getzd2modulezd2initz00zzbackend_initz00();
		}
	}



/* make-module-init */
	BgL_globalz00_bglt BGl_makezd2modulezd2initz00zzbackend_initz00()
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 53 */
			{

				{	/* BackEnd/init.scm 81 */
					BgL_globalz00_bglt BgL_reqz00_1596;

					BgL_reqz00_1596 =
						BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(CNST_TABLE_REF((
								(long) 7)), BGl_za2moduleza2z00zzmodule_modulez00,
						CNST_TABLE_REF(((long) 8)), CNST_TABLE_REF(((long) 9)));
					{	/* BackEnd/init.scm 81 */
						obj_t BgL_bcz00_1597;

						BgL_bcz00_1597 = BGl_thezd2backendzd2zzbackend_backendz00();
						{	/* BackEnd/init.scm 85 */
							bool_t BgL_dbgz00_1598;

							if (
								((long) CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00) >
									((long) 0)))
								{	/* BackEnd/init.scm 86 */
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(CNST_TABLE_REF(((long) 10)),
												(((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt)
																BgL_bcz00_1597)))->BgL_debugzd2supportzd2))))
										{	/* BackEnd/init.scm 87 */
											BgL_dbgz00_1598 =
												(((BgL_backendz00_bglt) CREF(
														((BgL_backendz00_bglt) BgL_bcz00_1597)))->
												BgL_pragmazd2supportzd2);
										}
									else
										{	/* BackEnd/init.scm 87 */
											BgL_dbgz00_1598 = ((bool_t) 0);
										}
								}
							else
								{	/* BackEnd/init.scm 86 */
									BgL_dbgz00_1598 = ((bool_t) 0);
								}
							{	/* BackEnd/init.scm 86 */
								obj_t BgL_ubodyz00_1599;

								if (BgL_dbgz00_1598)
									{	/* BackEnd/init.scm 89 */
										{	/* BackEnd/init.scm 64 */
											obj_t BgL_tmpz00_1660;

											BgL_tmpz00_1660 =
												BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
														(long) 4)));
											{	/* BackEnd/init.scm 67 */
												obj_t BgL_arg1545z00_1661;

												{	/* BackEnd/init.scm 67 */
													obj_t BgL_arg1546z00_1662;

													{	/* BackEnd/init.scm 67 */
														obj_t BgL_arg1551z00_1663;
														obj_t BgL_arg1555z00_1664;

														{	/* BackEnd/init.scm 67 */
															obj_t BgL_arg1556z00_1665;

															{	/* BackEnd/init.scm 67 */
																obj_t BgL_arg1557z00_1666;
																obj_t BgL_arg1560z00_1667;

																{	/* BackEnd/init.scm 67 */
																	obj_t BgL_arg1568z00_1668;

																	{	/* BackEnd/init.scm 67 */
																		obj_t BgL_arg1570z00_1669;

																		BgL_arg1570z00_1669 =
																			MAKE_YOUNG_PAIR(BFALSE, BNIL);
																		BgL_arg1568z00_1668 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					0)), BgL_arg1570z00_1669);
																	}
																	BgL_arg1557z00_1666 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 1)),
																		BgL_arg1568z00_1668);
																}
																{	/* BackEnd/init.scm 68 */
																	obj_t BgL_arg1579z00_1670;
																	obj_t BgL_arg1580z00_1671;

																	if (CBOOL
																		(BGl_za2dlopenzd2initzd2gcza2z00zzengine_paramz00))
																		{	/* BackEnd/init.scm 68 */
																			obj_t BgL_arg1583z00_1672;

																			BgL_arg1583z00_1672 =
																				BGl_thezd2backendzd2zzbackend_backendz00
																				();
																			BgL_arg1579z00_1670 =
																				BGl_backendzd2gczd2initz00zzbackend_backendz00
																				(((BgL_backendz00_bglt)
																					BgL_arg1583z00_1672));
																		}
																	else
																		{	/* BackEnd/init.scm 68 */
																			BgL_arg1579z00_1670 = BFALSE;
																		}
																	{	/* BackEnd/init.scm 71 */
																		obj_t BgL_arg1586z00_1673;
																		obj_t BgL_arg1590z00_1674;

																		{	/* BackEnd/init.scm 71 */
																			obj_t BgL_arg1591z00_1675;

																			{	/* BackEnd/init.scm 71 */
																				obj_t BgL_arg1595z00_1676;

																				{	/* BackEnd/init.scm 71 */
																					obj_t BgL_arg1598z00_1677;

																					{	/* BackEnd/init.scm 71 */
																						obj_t BgL_res1750z00_1931;

																						{	/* BackEnd/init.scm 71 */
																							obj_t BgL_symbolz00_1929;

																							BgL_symbolz00_1929 =
																								BGl_za2moduleza2z00zzmodule_modulez00;
																							{	/* BackEnd/init.scm 71 */
																								obj_t BgL_arg1377z00_1930;

																								BgL_arg1377z00_1930 =
																									SYMBOL_TO_STRING
																									(BgL_symbolz00_1929);
																								BgL_res1750z00_1931 =
																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																									(BgL_arg1377z00_1930);
																							}
																						}
																						BgL_arg1598z00_1677 =
																							BgL_res1750z00_1931;
																					}
																					BgL_arg1595z00_1676 =
																						string_append_3
																						(BGl_string1760z00zzbackend_initz00,
																						BgL_arg1598z00_1677,
																						BGl_string1761z00zzbackend_initz00);
																				}
																				BgL_arg1591z00_1675 =
																					MAKE_YOUNG_PAIR(BgL_arg1595z00_1676,
																					BNIL);
																			}
																			BgL_arg1586z00_1673 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						5)), BgL_arg1591z00_1675);
																		}
																		{	/* BackEnd/init.scm 73 */
																			obj_t BgL_arg1599z00_1678;

																			{	/* BackEnd/init.scm 73 */
																				obj_t BgL_arg1601z00_1679;

																				{	/* BackEnd/init.scm 73 */
																					obj_t BgL_arg1604z00_1680;
																					obj_t BgL_arg1606z00_1681;

																					{	/* BackEnd/init.scm 73 */
																						obj_t BgL_arg1607z00_1682;

																						{	/* BackEnd/init.scm 73 */
																							obj_t BgL_arg1610z00_1683;

																							{	/* BackEnd/init.scm 73 */
																								obj_t BgL_arg1611z00_1684;

																								{	/* BackEnd/init.scm 73 */
																									obj_t BgL_arg1615z00_1685;

																									BgL_arg1615z00_1685 =
																										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																										(BGl_unitzd2initzd2callsz00zzast_unitz00
																										(), BNIL);
																									BgL_arg1611z00_1684 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long) 2)),
																										BgL_arg1615z00_1685);
																								}
																								BgL_arg1610z00_1683 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1611z00_1684, BNIL);
																							}
																							BgL_arg1607z00_1682 =
																								MAKE_YOUNG_PAIR(BgL_tmpz00_1660,
																								BgL_arg1610z00_1683);
																						}
																						BgL_arg1604z00_1680 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1607z00_1682, BNIL);
																					}
																					{	/* BackEnd/init.scm 76 */
																						obj_t BgL_arg1630z00_1687;
																						obj_t BgL_arg1632z00_1688;

																						{	/* BackEnd/init.scm 76 */
																							obj_t BgL_arg1635z00_1689;

																							{	/* BackEnd/init.scm 76 */
																								obj_t BgL_arg1636z00_1690;

																								{	/* BackEnd/init.scm 76 */
																									obj_t BgL_arg1637z00_1691;

																									{	/* BackEnd/init.scm 76 */
																										obj_t BgL_res1751z00_1934;

																										{	/* BackEnd/init.scm 76 */
																											obj_t BgL_symbolz00_1932;

																											BgL_symbolz00_1932 =
																												BGl_za2moduleza2z00zzmodule_modulez00;
																											{	/* BackEnd/init.scm 76 */
																												obj_t
																													BgL_arg1377z00_1933;
																												BgL_arg1377z00_1933 =
																													SYMBOL_TO_STRING
																													(BgL_symbolz00_1932);
																												BgL_res1751z00_1934 =
																													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																													(BgL_arg1377z00_1933);
																										}}
																										BgL_arg1637z00_1691 =
																											BgL_res1751z00_1934;
																									}
																									BgL_arg1636z00_1690 =
																										string_append_3
																										(BGl_string1762z00zzbackend_initz00,
																										BgL_arg1637z00_1691,
																										BGl_string1761z00zzbackend_initz00);
																								}
																								BgL_arg1635z00_1689 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1636z00_1690, BNIL);
																							}
																							BgL_arg1630z00_1687 =
																								MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																										(long) 5)),
																								BgL_arg1635z00_1689);
																						}
																						BgL_arg1632z00_1688 =
																							MAKE_YOUNG_PAIR(BgL_tmpz00_1660,
																							BNIL);
																						BgL_arg1606z00_1681 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1630z00_1687,
																							BgL_arg1632z00_1688);
																					}
																					BgL_arg1601z00_1679 =
																						MAKE_YOUNG_PAIR(BgL_arg1604z00_1680,
																						BgL_arg1606z00_1681);
																				}
																				BgL_arg1599z00_1678 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							6)), BgL_arg1601z00_1679);
																			}
																			BgL_arg1590z00_1674 =
																				MAKE_YOUNG_PAIR(BgL_arg1599z00_1678,
																				BNIL);
																		}
																		BgL_arg1580z00_1671 =
																			MAKE_YOUNG_PAIR(BgL_arg1586z00_1673,
																			BgL_arg1590z00_1674);
																	}
																	BgL_arg1560z00_1667 =
																		MAKE_YOUNG_PAIR(BgL_arg1579z00_1670,
																		BgL_arg1580z00_1671);
																}
																BgL_arg1556z00_1665 =
																	MAKE_YOUNG_PAIR(BgL_arg1557z00_1666,
																	BgL_arg1560z00_1667);
															}
															BgL_arg1551z00_1663 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)),
																BgL_arg1556z00_1665);
														}
														BgL_arg1555z00_1664 =
															MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
														BgL_arg1546z00_1662 =
															MAKE_YOUNG_PAIR(BgL_arg1551z00_1663,
															BgL_arg1555z00_1664);
													}
													BgL_arg1545z00_1661 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)),
														BgL_arg1546z00_1662);
												}
												BgL_ubodyz00_1599 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
													BgL_arg1545z00_1661);
									}}}
								else
									{	/* BackEnd/init.scm 89 */
										{	/* BackEnd/init.scm 58 */
											obj_t BgL_arg1504z00_1646;

											{	/* BackEnd/init.scm 58 */
												obj_t BgL_arg1507z00_1647;

												{	/* BackEnd/init.scm 58 */
													obj_t BgL_arg1509z00_1648;
													obj_t BgL_arg1510z00_1649;

													{	/* BackEnd/init.scm 58 */
														obj_t BgL_arg1511z00_1650;

														{	/* BackEnd/init.scm 58 */
															obj_t BgL_arg1526z00_1651;
															obj_t BgL_arg1527z00_1652;

															{	/* BackEnd/init.scm 58 */
																obj_t BgL_arg1530z00_1653;

																{	/* BackEnd/init.scm 58 */
																	obj_t BgL_arg1533z00_1654;

																	BgL_arg1533z00_1654 =
																		MAKE_YOUNG_PAIR(BFALSE, BNIL);
																	BgL_arg1530z00_1653 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)),
																		BgL_arg1533z00_1654);
																}
																BgL_arg1526z00_1651 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 1)),
																	BgL_arg1530z00_1653);
															}
															{	/* BackEnd/init.scm 59 */
																obj_t BgL_arg1535z00_1655;
																obj_t BgL_arg1537z00_1656;

																if (CBOOL
																	(BGl_za2dlopenzd2initzd2gcza2z00zzengine_paramz00))
																	{	/* BackEnd/init.scm 59 */
																		obj_t BgL_arg1540z00_1657;

																		BgL_arg1540z00_1657 =
																			BGl_thezd2backendzd2zzbackend_backendz00
																			();
																		BgL_arg1535z00_1655 =
																			BGl_backendzd2gczd2initz00zzbackend_backendz00
																			(((BgL_backendz00_bglt)
																				BgL_arg1540z00_1657));
																	}
																else
																	{	/* BackEnd/init.scm 59 */
																		BgL_arg1535z00_1655 = BFALSE;
																	}
																BgL_arg1537z00_1656 =
																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																	(BGl_unitzd2initzd2callsz00zzast_unitz00(),
																	BNIL);
																BgL_arg1527z00_1652 =
																	MAKE_YOUNG_PAIR(BgL_arg1535z00_1655,
																	BgL_arg1537z00_1656);
															}
															BgL_arg1511z00_1650 =
																MAKE_YOUNG_PAIR(BgL_arg1526z00_1651,
																BgL_arg1527z00_1652);
														}
														BgL_arg1509z00_1648 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)),
															BgL_arg1511z00_1650);
													}
													BgL_arg1510z00_1649 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
													BgL_arg1507z00_1647 =
														MAKE_YOUNG_PAIR(BgL_arg1509z00_1648,
														BgL_arg1510z00_1649);
												}
												BgL_arg1504z00_1646 =
													MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 0)),
													BgL_arg1507z00_1647);
											}
											BgL_ubodyz00_1599 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
												BgL_arg1504z00_1646);
									}}
								{	/* BackEnd/init.scm 89 */
									obj_t BgL_bodyz00_1600;

									if (CBOOL(BGl_za2unsafezd2versionza2zd2zzengine_paramz00))
										{	/* BackEnd/init.scm 90 */
											BgL_bodyz00_1600 = BgL_ubodyz00_1599;
										}
									else
										{	/* BackEnd/init.scm 92 */
											obj_t BgL_arg1333z00_1613;

											{	/* BackEnd/init.scm 92 */
												obj_t BgL_arg1338z00_1614;
												obj_t BgL_arg1367z00_1615;

												{	/* BackEnd/init.scm 92 */
													obj_t BgL_arg1368z00_1616;

													{	/* BackEnd/init.scm 92 */
														obj_t BgL_arg1375z00_1617;
														obj_t BgL_arg1376z00_1618;

														{	/* BackEnd/init.scm 92 */
															obj_t BgL_arg1406z00_1619;

															{	/* BackEnd/init.scm 92 */
																obj_t BgL_arg1409z00_1620;

																BgL_arg1409z00_1620 =
																	MAKE_YOUNG_PAIR
																	(BGl_za2modulezd2checksumza2zd2zzmodule_modulez00,
																	BNIL);
																BgL_arg1406z00_1619 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 11)),
																	BgL_arg1409z00_1620);
															}
															BgL_arg1375z00_1617 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
																BgL_arg1406z00_1619);
														}
														BgL_arg1376z00_1618 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 11)),
															BNIL);
														BgL_arg1368z00_1616 =
															MAKE_YOUNG_PAIR(BgL_arg1375z00_1617,
															BgL_arg1376z00_1618);
													}
													BgL_arg1338z00_1614 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 13)),
														BgL_arg1368z00_1616);
												}
												{	/* BackEnd/init.scm 94 */
													obj_t BgL_arg1413z00_1621;

													{	/* BackEnd/init.scm 94 */
														obj_t BgL_arg1414z00_1622;

														{	/* BackEnd/init.scm 94 */
															bool_t BgL_testz00_2111;

															{	/* BackEnd/init.scm 94 */
																obj_t BgL_arg1493z00_1641;

																BgL_arg1493z00_1641 =
																	BGl_thezd2backendzd2zzbackend_backendz00();
																BgL_testz00_2111 =
																	(((BgL_backendz00_bglt) CREF(
																			((BgL_backendz00_bglt)
																				BgL_arg1493z00_1641)))->
																	BgL_pragmazd2supportzd2);
															}
															if (BgL_testz00_2111)
																{	/* BackEnd/init.scm 97 */
																	obj_t BgL_arg1423z00_1625;

																	{	/* BackEnd/init.scm 97 */
																		obj_t BgL_arg1436z00_1626;
																		obj_t BgL_arg1437z00_1627;

																		{	/* BackEnd/init.scm 97 */
																			obj_t BgL_arg1446z00_1628;

																			{	/* BackEnd/init.scm 97 */
																				obj_t BgL_arg1454z00_1629;

																				{	/* BackEnd/init.scm 97 */
																					obj_t BgL_arg1460z00_1630;

																					{	/* BackEnd/init.scm 97 */
																						obj_t BgL_arg1465z00_1631;

																						{	/* BackEnd/init.scm 97 */
																							obj_t BgL_arg1469z00_1632;

																							{	/* BackEnd/init.scm 97 */
																								obj_t BgL_arg1470z00_1633;

																								{	/* BackEnd/init.scm 97 */
																									obj_t BgL_res1756z00_1948;

																									{	/* BackEnd/init.scm 97 */
																										obj_t BgL_symbolz00_1946;

																										BgL_symbolz00_1946 =
																											BGl_za2moduleza2z00zzmodule_modulez00;
																										{	/* BackEnd/init.scm 97 */
																											obj_t BgL_arg1377z00_1947;

																											BgL_arg1377z00_1947 =
																												SYMBOL_TO_STRING
																												(BgL_symbolz00_1946);
																											BgL_res1756z00_1948 =
																												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																												(BgL_arg1377z00_1947);
																										}
																									}
																									BgL_arg1470z00_1633 =
																										BgL_res1756z00_1948;
																								}
																								{	/* BackEnd/init.scm 97 */
																									obj_t BgL_list1471z00_1634;

																									BgL_list1471z00_1634 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1470z00_1633, BNIL);
																									BgL_arg1469z00_1632 =
																										BGl_formatz00zz__r4_output_6_10_3z00
																										(BGl_string1763z00zzbackend_initz00,
																										BgL_list1471z00_1634);
																								}
																							}
																							BgL_arg1465z00_1631 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1469z00_1632, BNIL);
																						}
																						BgL_arg1460z00_1630 =
																							MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																									(long) 14)),
																							BgL_arg1465z00_1631);
																					}
																					BgL_arg1454z00_1629 =
																						MAKE_YOUNG_PAIR(BgL_arg1460z00_1630,
																						BNIL);
																				}
																				BgL_arg1446z00_1628 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							15)), BgL_arg1454z00_1629);
																			}
																			BgL_arg1436z00_1626 =
																				MAKE_YOUNG_PAIR(BgL_arg1446z00_1628,
																				BNIL);
																		}
																		{	/* BackEnd/init.scm 98 */
																			obj_t BgL_arg1481z00_1635;

																			{	/* BackEnd/init.scm 98 */
																				obj_t BgL_arg1484z00_1636;

																				{	/* BackEnd/init.scm 98 */
																					obj_t BgL_arg1485z00_1637;

																					BgL_arg1485z00_1637 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 16)), BNIL);
																					BgL_arg1484z00_1636 =
																						MAKE_YOUNG_PAIR(CNST_TABLE_REF((
																								(long) 17)),
																						BgL_arg1485z00_1637);
																				}
																				BgL_arg1481z00_1635 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							18)), BgL_arg1484z00_1636);
																			}
																			BgL_arg1437z00_1627 =
																				MAKE_YOUNG_PAIR(BgL_arg1481z00_1635,
																				BNIL);
																		}
																		BgL_arg1423z00_1625 =
																			MAKE_YOUNG_PAIR(BgL_arg1436z00_1626,
																			BgL_arg1437z00_1627);
																	}
																	BgL_arg1414z00_1622 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
																		BgL_arg1423z00_1625);
																}
															else
																{	/* BackEnd/init.scm 99 */
																	obj_t BgL_arg1490z00_1638;

																	{	/* BackEnd/init.scm 99 */
																		obj_t BgL_arg1491z00_1639;
																		obj_t BgL_arg1492z00_1640;

																		{	/* BackEnd/init.scm 99 */
																			obj_t BgL_res1757z00_1951;

																			{	/* BackEnd/init.scm 99 */
																				obj_t BgL_symbolz00_1949;

																				BgL_symbolz00_1949 =
																					BGl_za2moduleza2z00zzmodule_modulez00;
																				{	/* BackEnd/init.scm 99 */
																					obj_t BgL_arg1377z00_1950;

																					BgL_arg1377z00_1950 =
																						SYMBOL_TO_STRING
																						(BgL_symbolz00_1949);
																					BgL_res1757z00_1951 =
																						BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																						(BgL_arg1377z00_1950);
																				}
																			}
																			BgL_arg1491z00_1639 = BgL_res1757z00_1951;
																		}
																		BgL_arg1492z00_1640 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					16)), BNIL);
																		BgL_arg1490z00_1638 =
																			MAKE_YOUNG_PAIR(BgL_arg1491z00_1639,
																			BgL_arg1492z00_1640);
																	}
																	BgL_arg1414z00_1622 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
																		BgL_arg1490z00_1638);
														}}
														BgL_arg1413z00_1621 =
															MAKE_YOUNG_PAIR(BgL_arg1414z00_1622, BNIL);
													}
													BgL_arg1367z00_1615 =
														MAKE_YOUNG_PAIR(BgL_ubodyz00_1599,
														BgL_arg1413z00_1621);
												}
												BgL_arg1333z00_1613 =
													MAKE_YOUNG_PAIR(BgL_arg1338z00_1614,
													BgL_arg1367z00_1615);
											}
											BgL_bodyz00_1600 =
												MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
												BgL_arg1333z00_1613);
										}
									{	/* BackEnd/init.scm 90 */
										BgL_localz00_bglt BgL_cvarz00_1601;

										BgL_cvarz00_1601 =
											BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
													(long) 11)),
											((BgL_typez00_bglt) BGl_za2longza2z00zztype_cachez00));
										{	/* BackEnd/init.scm 101 */
											BgL_localz00_bglt BgL_nvarz00_1602;

											BgL_nvarz00_1602 =
												BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF(
													((long) 16)),
												((BgL_typez00_bglt)
													BGl_za2stringza2z00zztype_cachez00));
											{	/* BackEnd/init.scm 102 */
												BgL_nodez00_bglt BgL_nodez00_1603;

												{	/* BackEnd/init.scm 103 */
													BgL_nodez00_bglt BgL_nodez00_1609;

													{	/* BackEnd/init.scm 103 */
														obj_t BgL_arg1328z00_1610;

														{	/* BackEnd/init.scm 103 */
															obj_t BgL_list1329z00_1611;

															{	/* BackEnd/init.scm 103 */
																obj_t BgL_arg1332z00_1612;

																BgL_arg1332z00_1612 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_nvarz00_1602), BNIL);
																BgL_list1329z00_1611 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_cvarz00_1601),
																	BgL_arg1332z00_1612);
															}
															BgL_arg1328z00_1610 = BgL_list1329z00_1611;
														}
														BgL_nodez00_1609 =
															BGl_sexpzd2ze3nodez31zzast_sexpz00
															(BgL_bodyz00_1600, BgL_arg1328z00_1610, BNIL,
															CNST_TABLE_REF(((long) 19)));
													}
													BGl_lvtypezd2nodez12zc0zzast_lvtypez00
														(BgL_nodez00_1609);
													BgL_nodez00_1603 =
														BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_1609,
														((obj_t) BgL_reqz00_1596),
														((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00), ((bool_t) 0));
												}
												{	/* BackEnd/init.scm 103 */
													BgL_globalz00_bglt BgL_initz00_1604;

													{	/* BackEnd/init.scm 107 */
														obj_t BgL_arg1313z00_1605;
														obj_t BgL_arg1316z00_1606;

														BgL_arg1313z00_1605 =
															BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
															(BGl_za2moduleza2z00zzmodule_modulez00);
														{	/* BackEnd/init.scm 109 */
															obj_t BgL_list1317z00_1607;

															{	/* BackEnd/init.scm 109 */
																obj_t BgL_arg1322z00_1608;

																BgL_arg1322z00_1608 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_nvarz00_1602), BNIL);
																BgL_list1317z00_1607 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_cvarz00_1601),
																	BgL_arg1322z00_1608);
															}
															BgL_arg1316z00_1606 = BgL_list1317z00_1607;
														}
														BgL_initz00_1604 =
															BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
															(BgL_arg1313z00_1605, CNST_TABLE_REF(((long) 20)),
															BgL_arg1316z00_1606,
															BGl_za2moduleza2z00zzmodule_modulez00,
															CNST_TABLE_REF(((long) 21)),
															CNST_TABLE_REF(((long) 22)),
															CNST_TABLE_REF(((long) 9)),
															((obj_t) BgL_nodez00_1603));
													}
													{	/* BackEnd/init.scm 106 */

														BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
															((BgL_variablez00_bglt) BgL_reqz00_1596));
														{	/* BackEnd/init.scm 116 */
															obj_t BgL_vz00_1955;

															BgL_vz00_1955 = CNST_TABLE_REF(((long) 23));
															((((BgL_globalz00_bglt) CREF(BgL_initz00_1604))->
																	BgL_importz00) =
																((obj_t) BgL_vz00_1955), BUNSPEC);
														}
														{	/* BackEnd/init.scm 117 */
															BgL_typez00_bglt BgL_vz00_1957;

															BgL_vz00_1957 =
																((BgL_typez00_bglt)
																BGl_za2objza2z00zztype_cachez00);
															((((BgL_variablez00_bglt)
																		CREF(((BgL_variablez00_bglt)
																				BgL_initz00_1604)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_vz00_1957), BUNSPEC);
														}
														BGl_occurzd2nodezd2inz12z12zzast_occurz00
															(BgL_nodez00_1603, BgL_initz00_1604);
														return BgL_initz00_1604;
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_initz00()
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_initz00()
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_initz00()
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_initz00()
	{
		AN_OBJECT;
		{	/* BackEnd/init.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 209108747),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzast_unitz00(((long) 234044111),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 535161272),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string1764z00zzbackend_initz00));
		}
	}

#ifdef __cplusplus
}
#endif
