/*===========================================================================*/
/*   (Bdb/walk.scm)                                                          */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Bdb/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62bdbzd2walkz12za2zzbdb_walkz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzbdb_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_bdbzd2walkz12zc0zzbdb_walkz00(obj_t);
	static obj_t BGl_appendzd221011zd2zzbdb_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbdb_walkz00();
	static obj_t BGl_gczd2rootszd2initz00zzbdb_walkz00();
	extern obj_t BGl_initializa7ezd2astz75zzbdb_initializa7eza7();
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbdb_walkz00 = BUNSPEC;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbdb_walkz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbdb_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbdb_initializa7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzbdb_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbdb_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzbdb_walkz00();
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string1556z00zzbdb_walkz00,
		BgL_bgl_string1556za700za7za7b1570za7, "Bdb", 3);
	      DEFINE_STRING(BGl_string1557z00zzbdb_walkz00,
		BgL_bgl_string1557za700za7za7b1571za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1558z00zzbdb_walkz00,
		BgL_bgl_string1558za700za7za7b1572za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1559z00zzbdb_walkz00,
		BgL_bgl_string1559za700za7za7b1573za7, " error", 6);
	      DEFINE_STRING(BGl_string1560z00zzbdb_walkz00,
		BgL_bgl_string1560za700za7za7b1574za7, "s", 1);
	      DEFINE_STRING(BGl_string1561z00zzbdb_walkz00,
		BgL_bgl_string1561za700za7za7b1575za7, "", 0);
	      DEFINE_STRING(BGl_string1562z00zzbdb_walkz00,
		BgL_bgl_string1562za700za7za7b1576za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1563z00zzbdb_walkz00,
		BgL_bgl_string1563za700za7za7b1577za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1564z00zzbdb_walkz00,
		BgL_bgl_string1564za700za7za7b1578za7, "bdb_walk", 8);
	      DEFINE_STRING(BGl_string1565z00zzbdb_walkz00,
		BgL_bgl_string1565za700za7za7b1579za7, "pass-started ", 13);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bdbzd2walkz12zd2envz12zzbdb_walkz00,
		BgL_bgl_za762bdbza7d2walkza7121580za7, BGl_z62bdbzd2walkz12za2zzbdb_walkz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzbdb_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbdb_walkz00(long
		BgL_checksumz00_1481, char *BgL_fromz00_1482)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbdb_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzbdb_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbdb_walkz00();
					BGl_libraryzd2moduleszd2initz00zzbdb_walkz00();
					BGl_cnstzd2initzd2zzbdb_walkz00();
					BGl_importedzd2moduleszd2initz00zzbdb_walkz00();
					return BGl_methodzd2initzd2zzbdb_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbdb_walkz00()
	{
		AN_OBJECT;
		{	/* Bdb/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"bdb_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"bdb_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"bdb_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "bdb_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"bdb_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "bdb_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"bdb_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"bdb_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbdb_walkz00()
	{
		AN_OBJECT;
		{	/* Bdb/walk.scm 15 */
			{	/* Bdb/walk.scm 15 */
				obj_t BgL_cportz00_1468;

				{	/* Bdb/walk.scm 15 */
					obj_t BgL_startz00_1477;

					BgL_startz00_1477 = BINT(((long) 0));
					{	/* Bdb/walk.scm 15 */
						obj_t BgL_endz00_1478;

						BgL_endz00_1478 =
							BINT(STRING_LENGTH(BGl_string1565z00zzbdb_walkz00));
						{	/* Bdb/walk.scm 15 */

							BgL_cportz00_1468 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1565z00zzbdb_walkz00, BgL_startz00_1477,
								BgL_endz00_1478);
				}}}
				{
					long BgL_iz00_1469;

					BgL_iz00_1469 = ((long) 0);
				BgL_loopz00_1470:
					if ((BgL_iz00_1469 == ((long) -1)))
						{	/* Bdb/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Bdb/walk.scm 15 */
							{	/* Bdb/walk.scm 15 */
								obj_t BgL_arg1568z00_1472;

								{	/* Bdb/walk.scm 15 */

									{	/* Bdb/walk.scm 15 */
										obj_t BgL_locationz00_1474;

										BgL_locationz00_1474 = BBOOL(((bool_t) 0));
										{	/* Bdb/walk.scm 15 */

											BgL_arg1568z00_1472 =
												BGl_readz00zz__readerz00(BgL_cportz00_1468,
												BgL_locationz00_1474);
										}
									}
								}
								{	/* Bdb/walk.scm 15 */
									int BgL_tmpz00_1507;

									BgL_tmpz00_1507 = (int) (BgL_iz00_1469);
									CNST_TABLE_SET(BgL_tmpz00_1507, BgL_arg1568z00_1472);
							}}
							{	/* Bdb/walk.scm 15 */
								int BgL_auxz00_1475;

								BgL_auxz00_1475 = (int) ((BgL_iz00_1469 - ((long) 1)));
								{
									long BgL_iz00_1512;

									BgL_iz00_1512 = (long) (BgL_auxz00_1475);
									BgL_iz00_1469 = BgL_iz00_1512;
									goto BgL_loopz00_1470;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbdb_walkz00()
	{
		AN_OBJECT;
		{	/* Bdb/walk.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzbdb_walkz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1231;

				BgL_headz00_1231 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1232;
					obj_t BgL_tailz00_1233;

					BgL_prevz00_1232 = BgL_headz00_1231;
					BgL_tailz00_1233 = BgL_l1z00_1;
				BgL_loopz00_1234:
					if (PAIRP(BgL_tailz00_1233))
						{
							obj_t BgL_newzd2prevzd2_1236;

							BgL_newzd2prevzd2_1236 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1233), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1232, BgL_newzd2prevzd2_1236);
							{
								obj_t BgL_tailz00_1522;
								obj_t BgL_prevz00_1521;

								BgL_prevz00_1521 = BgL_newzd2prevzd2_1236;
								BgL_tailz00_1522 = CDR(BgL_tailz00_1233);
								BgL_tailz00_1233 = BgL_tailz00_1522;
								BgL_prevz00_1232 = BgL_prevz00_1521;
								goto BgL_loopz00_1234;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1231);
				}
			}
		}
	}



/* bdb-walk! */
	BGL_EXPORTED_DEF obj_t BGl_bdbzd2walkz12zc0zzbdb_walkz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Bdb/walk.scm 30 */
			{	/* Bdb/walk.scm 31 */
				obj_t BgL_list1228z00_1239;

				{	/* Bdb/walk.scm 31 */
					obj_t BgL_arg1232z00_1240;

					{	/* Bdb/walk.scm 31 */
						obj_t BgL_arg1236z00_1241;

						BgL_arg1236z00_1241 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1232z00_1240 =
							MAKE_YOUNG_PAIR(BGl_string1556z00zzbdb_walkz00,
							BgL_arg1236z00_1241);
					}
					BgL_list1228z00_1239 =
						MAKE_YOUNG_PAIR(BGl_string1557z00zzbdb_walkz00,
						BgL_arg1232z00_1240);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1228z00_1239);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1556z00zzbdb_walkz00;
			{
				obj_t BgL_hooksz00_1245;
				obj_t BgL_hnamesz00_1246;

				BgL_hooksz00_1245 = BNIL;
				BgL_hnamesz00_1246 = BNIL;
			BgL_zc3anonymousza31237ze3z83_1247:
				if (NULLP(BgL_hooksz00_1245))
					{	/* Bdb/walk.scm 31 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Bdb/walk.scm 31 */
						bool_t BgL_testz00_1535;

						{	/* Bdb/walk.scm 31 */
							obj_t BgL_fun1249z00_1254;

							BgL_fun1249z00_1254 = CAR(BgL_hooksz00_1245);
							BgL_testz00_1535 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun1249z00_1254) (BgL_fun1249z00_1254,
									BEOA));
						}
						if (BgL_testz00_1535)
							{
								obj_t BgL_hnamesz00_1543;
								obj_t BgL_hooksz00_1541;

								BgL_hooksz00_1541 = CDR(BgL_hooksz00_1245);
								BgL_hnamesz00_1543 = CDR(BgL_hnamesz00_1246);
								BgL_hnamesz00_1246 = BgL_hnamesz00_1543;
								BgL_hooksz00_1245 = BgL_hooksz00_1541;
								goto BgL_zc3anonymousza31237ze3z83_1247;
							}
						else
							{	/* Bdb/walk.scm 31 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string1556z00zzbdb_walkz00,
									BGl_string1558z00zzbdb_walkz00, CAR(BgL_hnamesz00_1246));
							}
					}
			}
			{	/* Bdb/walk.scm 32 */
				obj_t BgL_valuez00_1257;

				BgL_valuez00_1257 =
					BGl_appendzd221011zd2zzbdb_walkz00
					(BGl_initializa7ezd2astz75zzbdb_initializa7eza7(), BgL_globalsz00_3);
				if (((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
						((long) 0)))
					{	/* Bdb/walk.scm 32 */
						{	/* Bdb/walk.scm 32 */
							obj_t BgL_port1218z00_1259;

							{	/* Bdb/walk.scm 32 */
								obj_t BgL_res1551z00_1450;

								{	/* Bdb/walk.scm 32 */
									obj_t BgL_tmpz00_1552;

									BgL_tmpz00_1552 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res1551z00_1450 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1552);
								}
								BgL_port1218z00_1259 = BgL_res1551z00_1450;
							}
							bgl_display_obj
								(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
								BgL_port1218z00_1259);
							bgl_display_string(BGl_string1559z00zzbdb_walkz00,
								BgL_port1218z00_1259);
							{	/* Bdb/walk.scm 32 */
								obj_t BgL_arg1252z00_1260;

								{	/* Bdb/walk.scm 32 */
									bool_t BgL_testz00_1557;

									if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
										(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
										{	/* Bdb/walk.scm 32 */
											if (INTEGERP
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
												{	/* Bdb/walk.scm 32 */
													BgL_testz00_1557 =
														(
														(long)
														CINT
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
														> ((long) 1));
												}
											else
												{	/* Bdb/walk.scm 32 */
													BgL_testz00_1557 =
														BGl_2ze3ze3zz__r4_numbers_6_5z00
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
														BINT(((long) 1)));
										}}
									else
										{	/* Bdb/walk.scm 32 */
											BgL_testz00_1557 = ((bool_t) 0);
										}
									if (BgL_testz00_1557)
										{	/* Bdb/walk.scm 32 */
											BgL_arg1252z00_1260 = BGl_string1560z00zzbdb_walkz00;
										}
									else
										{	/* Bdb/walk.scm 32 */
											BgL_arg1252z00_1260 = BGl_string1561z00zzbdb_walkz00;
										}
								}
								bgl_display_obj(BgL_arg1252z00_1260, BgL_port1218z00_1259);
							}
							bgl_display_string(BGl_string1562z00zzbdb_walkz00,
								BgL_port1218z00_1259);
							bgl_display_char(((unsigned char) 10), BgL_port1218z00_1259);
						}
						{	/* Bdb/walk.scm 32 */
							obj_t BgL_list1262z00_1266;

							BgL_list1262z00_1266 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
							return BGl_exitz00zz__errorz00(BgL_list1262z00_1266);
						}
					}
				else
					{
						obj_t BgL_hooksz00_1270;
						obj_t BgL_hnamesz00_1271;

						BgL_hooksz00_1270 = BNIL;
						BgL_hnamesz00_1271 = BNIL;
					BgL_zc3anonymousza31263ze3z83_1272:
						if (NULLP(BgL_hooksz00_1270))
							{	/* Bdb/walk.scm 32 */
								return BgL_valuez00_1257;
							}
						else
							{	/* Bdb/walk.scm 32 */
								bool_t BgL_testz00_1574;

								{	/* Bdb/walk.scm 32 */
									obj_t BgL_fun1286z00_1279;

									BgL_fun1286z00_1279 = CAR(BgL_hooksz00_1270);
									BgL_testz00_1574 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1286z00_1279)
										(BgL_fun1286z00_1279, BEOA));
								}
								if (BgL_testz00_1574)
									{
										obj_t BgL_hnamesz00_1582;
										obj_t BgL_hooksz00_1580;

										BgL_hooksz00_1580 = CDR(BgL_hooksz00_1270);
										BgL_hnamesz00_1582 = CDR(BgL_hnamesz00_1271);
										BgL_hnamesz00_1271 = BgL_hnamesz00_1582;
										BgL_hooksz00_1270 = BgL_hooksz00_1580;
										goto BgL_zc3anonymousza31263ze3z83_1272;
									}
								else
									{	/* Bdb/walk.scm 32 */
										obj_t BgL_arg1284z00_1278;

										BgL_arg1284z00_1278 = CAR(BgL_hnamesz00_1271);
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1563z00zzbdb_walkz00, BgL_arg1284z00_1278);
									}
							}
					}
			}
		}
	}



/* &bdb-walk! */
	obj_t BGl_z62bdbzd2walkz12za2zzbdb_walkz00(obj_t BgL_envz00_1466,
		obj_t BgL_globalsz00_1467)
	{
		AN_OBJECT;
		{	/* Bdb/walk.scm 30 */
			return BGl_bdbzd2walkz12zc0zzbdb_walkz00(BgL_globalsz00_1467);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbdb_walkz00()
	{
		AN_OBJECT;
		{	/* Bdb/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbdb_walkz00()
	{
		AN_OBJECT;
		{	/* Bdb/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbdb_walkz00()
	{
		AN_OBJECT;
		{	/* Bdb/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbdb_walkz00()
	{
		AN_OBJECT;
		{	/* Bdb/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1564z00zzbdb_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1564z00zzbdb_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1564z00zzbdb_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1564z00zzbdb_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 209108747),
				BSTRING_TO_STRING(BGl_string1564z00zzbdb_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1564z00zzbdb_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1564z00zzbdb_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1564z00zzbdb_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string1564z00zzbdb_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbdb_initializa7eza7(((long)
					527197336), BSTRING_TO_STRING(BGl_string1564z00zzbdb_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
