/*===========================================================================*/
/*   (Effect/spread.scm)                                                     */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/spread.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_z62spreadzd2sidezd2effectz121238z70zzeffect_spreadz00(obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzeffect_spreadz00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_methodzd2initzd2zzeffect_spreadz00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62spreadzd2sidezd2effectz12z70zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzeffect_spreadz00();
	static bool_t BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_EXPORTED_DECL bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_spreadz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzeffect_spreadz00();
	static obj_t BGl_genericzd2initzd2zzeffect_spreadz00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21241za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21243za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21245za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21247za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21249za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21251za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21253za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21255za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21257za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21259za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21261za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21263za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21265za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21267za2zzeffect_spreadz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21270za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21272za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21274za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21276za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21278za2zzeffect_spreadz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21280za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21282za2zzeffect_spreadz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzeffect_spreadz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_spreadz00();
	extern obj_t BGl_retblockz00zzast_nodez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1700z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1715z00,
		BGl_z62spreadzd2sidezd2effectz12zd21274za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1701z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1716z00,
		BGl_z62spreadzd2sidezd2effectz12zd21276za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1702z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1717z00,
		BGl_z62spreadzd2sidezd2effectz12zd21278za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1703z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1718z00,
		BGl_z62spreadzd2sidezd2effectz12zd21280za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1704z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1719z00,
		BGl_z62spreadzd2sidezd2effectz12zd21282za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1682z00zzeffect_spreadz00,
		BgL_bgl_string1682za700za7za7e1720za7, "spread-side-effect!1238", 23);
	      DEFINE_STRING(BGl_string1684z00zzeffect_spreadz00,
		BgL_bgl_string1684za700za7za7e1721za7, "spread-side-effect!", 19);
	      DEFINE_STRING(BGl_string1705z00zzeffect_spreadz00,
		BgL_bgl_string1705za700za7za7e1722za7, "effect_spread", 13);
	      DEFINE_STRING(BGl_string1706z00zzeffect_spreadz00,
		BgL_bgl_string1706za700za7za7e1723za7, "read ", 5);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1724z00,
		BGl_z62spreadzd2sidezd2effectz12z70zzeffect_spreadz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1681z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1725z00,
		BGl_z62spreadzd2sidezd2effectz121238z70zzeffect_spreadz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1683z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1726z00,
		BGl_z62spreadzd2sidezd2effectz12zd21241za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1685z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1727z00,
		BGl_z62spreadzd2sidezd2effectz12zd21243za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1686z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1728z00,
		BGl_z62spreadzd2sidezd2effectz12zd21245za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1687z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1729z00,
		BGl_z62spreadzd2sidezd2effectz12zd21247za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1688z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1730z00,
		BGl_z62spreadzd2sidezd2effectz12zd21249za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1689z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1731z00,
		BGl_z62spreadzd2sidezd2effectz12zd21251za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1690z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1732z00,
		BGl_z62spreadzd2sidezd2effectz12zd21253za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1691z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1733z00,
		BGl_z62spreadzd2sidezd2effectz12zd21255za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1692z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1734z00,
		BGl_z62spreadzd2sidezd2effectz12zd21257za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1693z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1735z00,
		BGl_z62spreadzd2sidezd2effectz12zd21259za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1694z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1736z00,
		BGl_z62spreadzd2sidezd2effectz12zd21261za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1695z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1737z00,
		BGl_z62spreadzd2sidezd2effectz12zd21263za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1696z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1738z00,
		BGl_z62spreadzd2sidezd2effectz12zd21265za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1697z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1739z00,
		BGl_z62spreadzd2sidezd2effectz12zd21267za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1698z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1740z00,
		BGl_z62spreadzd2sidezd2effectz12zd21270za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1699z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1741z00,
		BGl_z62spreadzd2sidezd2effectz12zd21272za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzeffect_spreadz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long
		BgL_checksumz00_1827, char *BgL_fromz00_1828)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_spreadz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_spreadz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzeffect_spreadz00();
					BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00();
					BGl_cnstzd2initzd2zzeffect_spreadz00();
					BGl_importedzd2moduleszd2initz00zzeffect_spreadz00();
					BGl_genericzd2initzd2zzeffect_spreadz00();
					BGl_methodzd2initzd2zzeffect_spreadz00();
					return BGl_toplevelzd2initzd2zzeffect_spreadz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_spread");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			{	/* Effect/spread.scm 15 */
				obj_t BgL_cportz00_1757;

				{	/* Effect/spread.scm 15 */
					obj_t BgL_startz00_1766;

					BgL_startz00_1766 = BINT(((long) 0));
					{	/* Effect/spread.scm 15 */
						obj_t BgL_endz00_1767;

						BgL_endz00_1767 =
							BINT(STRING_LENGTH(BGl_string1706z00zzeffect_spreadz00));
						{	/* Effect/spread.scm 15 */

							BgL_cportz00_1757 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1706z00zzeffect_spreadz00, BgL_startz00_1766,
								BgL_endz00_1767);
				}}}
				{
					long BgL_iz00_1758;

					BgL_iz00_1758 = ((long) 0);
				BgL_loopz00_1759:
					if ((BgL_iz00_1758 == ((long) -1)))
						{	/* Effect/spread.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/spread.scm 15 */
							{	/* Effect/spread.scm 15 */
								obj_t BgL_arg1713z00_1761;

								{	/* Effect/spread.scm 15 */

									{	/* Effect/spread.scm 15 */
										obj_t BgL_locationz00_1763;

										BgL_locationz00_1763 = BBOOL(((bool_t) 0));
										{	/* Effect/spread.scm 15 */

											BgL_arg1713z00_1761 =
												BGl_readz00zz__readerz00(BgL_cportz00_1757,
												BgL_locationz00_1763);
										}
									}
								}
								{	/* Effect/spread.scm 15 */
									int BgL_tmpz00_1854;

									BgL_tmpz00_1854 = (int) (BgL_iz00_1758);
									CNST_TABLE_SET(BgL_tmpz00_1854, BgL_arg1713z00_1761);
							}}
							{	/* Effect/spread.scm 15 */
								int BgL_auxz00_1764;

								BgL_auxz00_1764 = (int) ((BgL_iz00_1758 - ((long) 1)));
								{
									long BgL_iz00_1859;

									BgL_iz00_1859 = (long) (BgL_auxz00_1764);
									BgL_iz00_1758 = BgL_iz00_1859;
									goto BgL_loopz00_1759;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			return BUNSPEC;
		}
	}



/* spread-side-effect*! */
	bool_t BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(obj_t
		BgL_nodeza2za2_25)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 225 */
			{
				obj_t BgL_nodeza2za2_1262;
				bool_t BgL_resz00_1263;

				BgL_nodeza2za2_1262 = BgL_nodeza2za2_25;
				BgL_resz00_1263 = ((bool_t) 0);
			BgL_zc3anonymousza31286ze3z83_1264:
				if (NULLP(BgL_nodeza2za2_1262))
					{	/* Effect/spread.scm 228 */
						return BgL_resz00_1263;
					}
				else
					{	/* Effect/spread.scm 230 */
						obj_t BgL_arg1292z00_1266;
						bool_t BgL_arg1313z00_1267;

						BgL_arg1292z00_1266 = CDR(BgL_nodeza2za2_1262);
						{	/* Effect/spread.scm 230 */
							bool_t BgL__ortest_1126z00_1268;

							{	/* Effect/spread.scm 230 */
								obj_t BgL_arg1316z00_1269;

								BgL_arg1316z00_1269 = CAR(BgL_nodeza2za2_1262);
								BgL__ortest_1126z00_1268 =
									BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
									((BgL_nodez00_bglt) BgL_arg1316z00_1269));
							}
							if (BgL__ortest_1126z00_1268)
								{	/* Effect/spread.scm 230 */
									BgL_arg1313z00_1267 = BgL__ortest_1126z00_1268;
								}
							else
								{	/* Effect/spread.scm 230 */
									BgL_arg1313z00_1267 = BgL_resz00_1263;
								}
						}
						{
							bool_t BgL_resz00_1870;
							obj_t BgL_nodeza2za2_1869;

							BgL_nodeza2za2_1869 = BgL_arg1292z00_1266;
							BgL_resz00_1870 = BgL_arg1313z00_1267;
							BgL_resz00_1263 = BgL_resz00_1870;
							BgL_nodeza2za2_1262 = BgL_nodeza2za2_1869;
							goto BgL_zc3anonymousza31286ze3z83_1264;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_proc1681z00zzeffect_spreadz00, BGl_nodez00zzast_nodez00,
				BGl_string1682z00zzeffect_spreadz00);
		}
	}



/* &spread-side-effect!1238 */
	obj_t BGl_z62spreadzd2sidezd2effectz121238z70zzeffect_spreadz00(obj_t
		BgL_envz00_1690, obj_t BgL_nodez00_1691)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 23 */
			return BBOOL(((bool_t) 0));
		}
	}



/* spread-side-effect! */
	BGL_EXPORTED_DEF bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt
		BgL_nodez00_3)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 23 */
			{	/* Effect/spread.scm 23 */
				obj_t BgL_method1239z00_1275;

				{	/* Effect/spread.scm 23 */
					obj_t BgL_res1677z00_1651;

					{	/* Effect/spread.scm 23 */
						long BgL_objzd2classzd2numz00_1624;

						{	/* Effect/spread.scm 23 */
							long BgL_res1671z00_1627;

							BgL_res1671z00_1627 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_3));
							BgL_objzd2classzd2numz00_1624 = BgL_res1671z00_1627;
						}
						{	/* Effect/spread.scm 23 */
							obj_t BgL_arg1718z00_1625;

							BgL_arg1718z00_1625 =
								PROCEDURE_REF
								(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
								(int) (((long) 1)));
							{	/* Effect/spread.scm 23 */
								int BgL_offsetz00_1629;

								BgL_offsetz00_1629 = (int) (BgL_objzd2classzd2numz00_1624);
								{	/* Effect/spread.scm 23 */
									long BgL_offsetz00_1630;

									BgL_offsetz00_1630 =
										((long) (BgL_offsetz00_1629) - OBJECT_TYPE);
									{	/* Effect/spread.scm 23 */
										long BgL_modz00_1631;

										{	/* Effect/spread.scm 23 */
											int BgL_arg1721z00_1632;

											BgL_arg1721z00_1632 = (int) (((long) 16));
											{	/* Effect/spread.scm 23 */
												long BgL_res1674z00_1642;

												{	/* Effect/spread.scm 23 */
													long BgL_tmpz00_1881;

													BgL_tmpz00_1881 = (long) (BgL_arg1721z00_1632);
													BgL_res1674z00_1642 =
														(BgL_offsetz00_1630 / BgL_tmpz00_1881);
												}
												BgL_modz00_1631 = BgL_res1674z00_1642;
										}}
										{	/* Effect/spread.scm 23 */
											long BgL_restz00_1633;

											{	/* Effect/spread.scm 23 */
												int BgL_arg1719z00_1634;

												BgL_arg1719z00_1634 = (int) (((long) 16));
												{	/* Effect/spread.scm 23 */
													long BgL_res1676z00_1646;

													{	/* Effect/spread.scm 23 */
														long BgL_tmpz00_1885;

														BgL_tmpz00_1885 = (long) (BgL_arg1719z00_1634);
														BgL_res1676z00_1646 =
															(BgL_offsetz00_1630 % BgL_tmpz00_1885);
													}
													BgL_restz00_1633 = BgL_res1676z00_1646;
											}}
											{	/* Effect/spread.scm 23 */

												BgL_res1677z00_1651 =
													VECTOR_REF(VECTOR_REF(BgL_arg1718z00_1625,
														(int) (BgL_modz00_1631)), (int) (BgL_restz00_1633));
					}}}}}}}
					BgL_method1239z00_1275 = BgL_res1677z00_1651;
				}
				return
					CBOOL(PROCEDURE_ENTRY(BgL_method1239z00_1275) (BgL_method1239z00_1275,
						((obj_t) BgL_nodez00_3), BEOA));
			}
		}
	}



/* &spread-side-effect! */
	obj_t BGl_z62spreadzd2sidezd2effectz12z70zzeffect_spreadz00(obj_t
		BgL_envz00_1692, obj_t BgL_nodez00_1693)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 23 */
			return
				BBOOL(BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					((BgL_nodez00_bglt) BgL_nodez00_1693)));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_varz00zzast_nodez00, BGl_proc1683z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1685z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_syncz00zzast_nodez00, BGl_proc1686z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_appz00zzast_nodez00, BGl_proc1687z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1688z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1689z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_externz00zzast_nodez00, BGl_proc1690z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_castz00zzast_nodez00, BGl_proc1691z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_setqz00zzast_nodez00, BGl_proc1692z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1693z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_failz00zzast_nodez00, BGl_proc1694z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_selectz00zzast_nodez00, BGl_proc1695z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1696z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1697z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1698z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1699z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1700z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1701z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_returnz00zzast_nodez00, BGl_proc1702z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_retblockz00zzast_nodez00, BGl_proc1703z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1704z00zzeffect_spreadz00,
				BGl_string1684z00zzeffect_spreadz00);
		}
	}



/* &spread-side-effect!-1282 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21282za2zzeffect_spreadz00(obj_t
		BgL_envz00_1715, obj_t BgL_nodez00_1716)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 218 */
			{	/* Effect/spread.scm 219 */
				bool_t BgL_tmpz00_1922;

				{	/* Effect/spread.scm 220 */
					BgL_varz00_bglt BgL_arg1555z00_1772;

					BgL_arg1555z00_1772 =
						(((BgL_boxzd2refzd2_bglt) CREF(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_1716)))->BgL_varz00);
					BgL_tmpz00_1922 =
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						((BgL_nodez00_bglt) BgL_arg1555z00_1772));
				}
				return BBOOL(BgL_tmpz00_1922);
			}
		}
	}



/* &spread-side-effect!-1280 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21280za2zzeffect_spreadz00(obj_t
		BgL_envz00_1717, obj_t BgL_nodez00_1718)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 207 */
			return
				BBOOL(BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_retblockz00_bglt) CREF(
								((BgL_retblockz00_bglt) BgL_nodez00_1718)))->BgL_bodyz00)));
		}
	}



/* &spread-side-effect!-1278 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21278za2zzeffect_spreadz00(obj_t
		BgL_envz00_1719, obj_t BgL_nodez00_1720)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 199 */
			{	/* Effect/spread.scm 200 */
				bool_t BgL_tmpz00_1932;

				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_returnz00_bglt) CREF(
								((BgL_returnz00_bglt) BgL_nodez00_1720)))->BgL_valuez00));
				BgL_tmpz00_1932 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_1932);
			}
		}
	}



/* &spread-side-effect!-1276 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21276za2zzeffect_spreadz00(obj_t
		BgL_envz00_1721, obj_t BgL_nodez00_1722)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 191 */
			{	/* Effect/spread.scm 192 */
				bool_t BgL_tmpz00_1937;

				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1722)))->BgL_valuez00));
				BgL_tmpz00_1937 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_1937);
			}
		}
	}



/* &spread-side-effect!-1274 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21274za2zzeffect_spreadz00(obj_t
		BgL_envz00_1723, obj_t BgL_nodez00_1724)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 182 */
			{	/* Effect/spread.scm 183 */
				bool_t BgL_tmpz00_1942;

				{	/* Effect/spread.scm 184 */
					bool_t BgL_resz00_1777;

					BgL_resz00_1777 =
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_makezd2boxzd2_bglt) CREF(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_1724)))->BgL_valuez00));
					((((BgL_nodezf2effectzf2_bglt) CREF(
									((BgL_nodezf2effectzf2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nodez00_1724))))->
							BgL_sidezd2effectzd2) =
						((obj_t) BBOOL(BgL_resz00_1777)), BUNSPEC);
					BgL_tmpz00_1942 = BgL_resz00_1777;
				}
				return BBOOL(BgL_tmpz00_1942);
			}
		}
	}



/* &spread-side-effect!-1272 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21272za2zzeffect_spreadz00(obj_t
		BgL_envz00_1725, obj_t BgL_nodez00_1726)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 173 */
			{	/* Effect/spread.scm 174 */
				bool_t BgL_tmpz00_1951;

				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1726)))->
						BgL_exitz00));
				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(((
							(BgL_jumpzd2exzd2itz00_bglt) CREF(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_nodez00_1726)))->BgL_valuez00));
				BgL_tmpz00_1951 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_1951);
			}
		}
	}



/* &spread-side-effect!-1270 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21270za2zzeffect_spreadz00(obj_t
		BgL_envz00_1727, obj_t BgL_nodez00_1728)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 166 */
			return
				BBOOL(BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1728)))->
						BgL_bodyz00)));
		}
	}



/* &spread-side-effect!-1267 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21267za2zzeffect_spreadz00(obj_t
		BgL_envz00_1729, obj_t BgL_nodez00_1730)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 152 */
			{	/* Effect/spread.scm 153 */
				bool_t BgL_tmpz00_1963;

				{	/* Effect/spread.scm 154 */
					bool_t BgL_g1117z00_1781;

					BgL_g1117z00_1781 =
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_letzd2varzd2_bglt) CREF(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_1730)))->BgL_bodyz00));
					{
						obj_t BgL_bdgsz00_1783;
						bool_t BgL_resz00_1784;

						BgL_bdgsz00_1783 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_1730)))->
							BgL_bindingsz00);
						BgL_resz00_1784 = BgL_g1117z00_1781;
					BgL_loopz00_1782:
						if (NULLP(BgL_bdgsz00_1783))
							{	/* Effect/spread.scm 156 */
								((((BgL_nodezf2effectzf2_bglt) CREF(
												((BgL_nodezf2effectzf2_bglt)
													((BgL_letzd2varzd2_bglt) BgL_nodez00_1730))))->
										BgL_sidezd2effectzd2) =
									((obj_t) BBOOL(BgL_resz00_1784)), BUNSPEC);
								BgL_tmpz00_1963 = BgL_resz00_1784;
							}
						else
							{	/* Effect/spread.scm 160 */
								obj_t BgL_arg1526z00_1785;
								bool_t BgL_arg1527z00_1786;

								BgL_arg1526z00_1785 = CDR(BgL_bdgsz00_1783);
								{	/* Effect/spread.scm 161 */
									bool_t BgL__ortest_1118z00_1787;

									{	/* Effect/spread.scm 161 */
										obj_t BgL_arg1530z00_1788;

										BgL_arg1530z00_1788 = CDR(CAR(BgL_bdgsz00_1783));
										BgL__ortest_1118z00_1787 =
											BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
											((BgL_nodez00_bglt) BgL_arg1530z00_1788));
									}
									if (BgL__ortest_1118z00_1787)
										{	/* Effect/spread.scm 161 */
											BgL_arg1527z00_1786 = BgL__ortest_1118z00_1787;
										}
									else
										{	/* Effect/spread.scm 161 */
											BgL_arg1527z00_1786 = BgL_resz00_1784;
										}
								}
								{
									bool_t BgL_resz00_1980;
									obj_t BgL_bdgsz00_1979;

									BgL_bdgsz00_1979 = BgL_arg1526z00_1785;
									BgL_resz00_1980 = BgL_arg1527z00_1786;
									BgL_resz00_1784 = BgL_resz00_1980;
									BgL_bdgsz00_1783 = BgL_bdgsz00_1979;
									goto BgL_loopz00_1782;
								}
							}
					}
				}
				return BBOOL(BgL_tmpz00_1963);
			}
		}
	}



/* &spread-side-effect!-1265 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21265za2zzeffect_spreadz00(obj_t
		BgL_envz00_1731, obj_t BgL_nodez00_1732)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 140 */
			{	/* Effect/spread.scm 141 */
				bool_t BgL_tmpz00_1984;

				{	/* Effect/spread.scm 142 */
					obj_t BgL_g1237z00_1790;

					BgL_g1237z00_1790 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_1732)))->BgL_localsz00);
					{
						obj_t BgL_l1235z00_1792;

						BgL_l1235z00_1792 = BgL_g1237z00_1790;
					BgL_zc3anonymousza31495ze3z83_1791:
						if (PAIRP(BgL_l1235z00_1792))
							{	/* Effect/spread.scm 142 */
								{	/* Effect/spread.scm 143 */
									obj_t BgL_localz00_1793;

									BgL_localz00_1793 = CAR(BgL_l1235z00_1792);
									{	/* Effect/spread.scm 143 */
										obj_t BgL_arg1504z00_1794;

										BgL_arg1504z00_1794 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1793))))->
															BgL_valuez00))))->BgL_bodyz00);
										BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00((
												(BgL_nodez00_bglt) BgL_arg1504z00_1794));
									}
								}
								{
									obj_t BgL_l1235z00_1997;

									BgL_l1235z00_1997 = CDR(BgL_l1235z00_1792);
									BgL_l1235z00_1792 = BgL_l1235z00_1997;
									goto BgL_zc3anonymousza31495ze3z83_1791;
								}
							}
						else
							{	/* Effect/spread.scm 142 */
								((bool_t) 1);
							}
					}
				}
				{	/* Effect/spread.scm 145 */
					bool_t BgL_resz00_1795;

					BgL_resz00_1795 =
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_letzd2funzd2_bglt) CREF(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_1732)))->BgL_bodyz00));
					((((BgL_nodezf2effectzf2_bglt) CREF(
									((BgL_nodezf2effectzf2_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nodez00_1732))))->
							BgL_sidezd2effectzd2) =
						((obj_t) BBOOL(BgL_resz00_1795)), BUNSPEC);
					BgL_tmpz00_1984 = BgL_resz00_1795;
				}
				return BBOOL(BgL_tmpz00_1984);
			}
		}
	}



/* &spread-side-effect!-1263 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21263za2zzeffect_spreadz00(obj_t
		BgL_envz00_1733, obj_t BgL_nodez00_1734)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 126 */
			{	/* Effect/spread.scm 127 */
				bool_t BgL_tmpz00_2007;

				{	/* Effect/spread.scm 128 */
					bool_t BgL_g1110z00_1797;

					BgL_g1110z00_1797 =
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_selectz00_bglt) CREF(
									((BgL_selectz00_bglt) BgL_nodez00_1734)))->BgL_testz00));
					{
						obj_t BgL_clausesz00_1799;
						bool_t BgL_resz00_1800;

						BgL_clausesz00_1799 =
							(((BgL_selectz00_bglt) CREF(
									((BgL_selectz00_bglt) BgL_nodez00_1734)))->BgL_clausesz00);
						BgL_resz00_1800 = BgL_g1110z00_1797;
					BgL_loopz00_1798:
						if (NULLP(BgL_clausesz00_1799))
							{	/* Effect/spread.scm 130 */
								((((BgL_nodezf2effectzf2_bglt) CREF(
												((BgL_nodezf2effectzf2_bglt)
													((BgL_selectz00_bglt) BgL_nodez00_1734))))->
										BgL_sidezd2effectzd2) =
									((obj_t) BBOOL(BgL_resz00_1800)), BUNSPEC);
								BgL_tmpz00_2007 = BgL_resz00_1800;
							}
						else
							{	/* Effect/spread.scm 134 */
								obj_t BgL_arg1490z00_1801;
								bool_t BgL_arg1491z00_1802;

								BgL_arg1490z00_1801 = CDR(BgL_clausesz00_1799);
								{	/* Effect/spread.scm 135 */
									bool_t BgL__ortest_1111z00_1803;

									{	/* Effect/spread.scm 135 */
										obj_t BgL_arg1492z00_1804;

										BgL_arg1492z00_1804 = CDR(CAR(BgL_clausesz00_1799));
										BgL__ortest_1111z00_1803 =
											BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
											((BgL_nodez00_bglt) BgL_arg1492z00_1804));
									}
									if (BgL__ortest_1111z00_1803)
										{	/* Effect/spread.scm 135 */
											BgL_arg1491z00_1802 = BgL__ortest_1111z00_1803;
										}
									else
										{	/* Effect/spread.scm 135 */
											BgL_arg1491z00_1802 = BgL_resz00_1800;
										}
								}
								{
									bool_t BgL_resz00_2024;
									obj_t BgL_clausesz00_2023;

									BgL_clausesz00_2023 = BgL_arg1490z00_1801;
									BgL_resz00_2024 = BgL_arg1491z00_1802;
									BgL_resz00_1800 = BgL_resz00_2024;
									BgL_clausesz00_1799 = BgL_clausesz00_2023;
									goto BgL_loopz00_1798;
								}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2007);
			}
		}
	}



/* &spread-side-effect!-1261 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21261za2zzeffect_spreadz00(obj_t
		BgL_envz00_1735, obj_t BgL_nodez00_1736)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 116 */
			{	/* Effect/spread.scm 117 */
				bool_t BgL_tmpz00_2028;

				{	/* Effect/spread.scm 118 */
					bool_t BgL_reszd2proczd2_1806;

					BgL_reszd2proczd2_1806 =
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_failz00_bglt) CREF(
									((BgL_failz00_bglt) BgL_nodez00_1736)))->BgL_procz00));
					{	/* Effect/spread.scm 118 */
						bool_t BgL_reszd2msgzd2_1807;

						BgL_reszd2msgzd2_1807 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							(((BgL_failz00_bglt) CREF(
										((BgL_failz00_bglt) BgL_nodez00_1736)))->BgL_msgz00));
						{	/* Effect/spread.scm 119 */
							bool_t BgL_reszd2objzd2_1808;

							BgL_reszd2objzd2_1808 =
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
								(((BgL_failz00_bglt) CREF(
											((BgL_failz00_bglt) BgL_nodez00_1736)))->BgL_objz00));
							{	/* Effect/spread.scm 120 */

								BgL_tmpz00_2028 = ((bool_t) 1);
							}
						}
					}
				}
				return BBOOL(BgL_tmpz00_2028);
			}
		}
	}



/* &spread-side-effect!-1259 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21259za2zzeffect_spreadz00(obj_t
		BgL_envz00_1737, obj_t BgL_nodez00_1738)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 104 */
			{	/* Effect/spread.scm 105 */
				bool_t BgL_tmpz00_2039;

				{	/* Effect/spread.scm 106 */
					bool_t BgL_reszd2testzd2_1810;

					BgL_reszd2testzd2_1810 =
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_conditionalz00_bglt) CREF(
									((BgL_conditionalz00_bglt) BgL_nodez00_1738)))->BgL_testz00));
					{	/* Effect/spread.scm 106 */
						bool_t BgL_reszd2truezd2_1811;

						BgL_reszd2truezd2_1811 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							(((BgL_conditionalz00_bglt) CREF(
										((BgL_conditionalz00_bglt) BgL_nodez00_1738)))->
								BgL_truez00));
						{	/* Effect/spread.scm 107 */
							bool_t BgL_reszd2falsezd2_1812;

							BgL_reszd2falsezd2_1812 =
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
								(((BgL_conditionalz00_bglt) CREF(
											((BgL_conditionalz00_bglt) BgL_nodez00_1738)))->
									BgL_falsez00));
							{	/* Effect/spread.scm 109 */

								{
									obj_t BgL_auxz00_2049;

									{	/* Effect/spread.scm 110 */
										bool_t BgL_tmpz00_2052;

										if (BgL_reszd2testzd2_1810)
											{	/* Effect/spread.scm 109 */
												BgL_tmpz00_2052 = BgL_reszd2testzd2_1810;
											}
										else
											{	/* Effect/spread.scm 109 */
												if (BgL_reszd2truezd2_1811)
													{	/* Effect/spread.scm 109 */
														BgL_tmpz00_2052 = BgL_reszd2truezd2_1811;
													}
												else
													{	/* Effect/spread.scm 109 */
														BgL_tmpz00_2052 = BgL_reszd2falsezd2_1812;
													}
											}
										BgL_auxz00_2049 = BBOOL(BgL_tmpz00_2052);
									}
									((((BgL_nodezf2effectzf2_bglt) CREF(
													((BgL_nodezf2effectzf2_bglt)
														((BgL_conditionalz00_bglt) BgL_nodez00_1738))))->
											BgL_sidezd2effectzd2) =
										((obj_t) BgL_auxz00_2049), BUNSPEC);
								}
								if (BgL_reszd2testzd2_1810)
									{	/* Effect/spread.scm 109 */
										BgL_tmpz00_2039 = BgL_reszd2testzd2_1810;
									}
								else
									{	/* Effect/spread.scm 109 */
										if (BgL_reszd2truezd2_1811)
											{	/* Effect/spread.scm 109 */
												BgL_tmpz00_2039 = BgL_reszd2truezd2_1811;
											}
										else
											{	/* Effect/spread.scm 109 */
												BgL_tmpz00_2039 = BgL_reszd2falsezd2_1812;
											}
									}
							}
						}
					}
				}
				return BBOOL(BgL_tmpz00_2039);
			}
		}
	}



/* &spread-side-effect!-1257 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21257za2zzeffect_spreadz00(obj_t
		BgL_envz00_1739, obj_t BgL_nodez00_1740)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 96 */
			{	/* Effect/spread.scm 97 */
				bool_t BgL_tmpz00_2060;

				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_setqz00_bglt) CREF(
								((BgL_setqz00_bglt) BgL_nodez00_1740)))->BgL_valuez00));
				BgL_tmpz00_2060 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_2060);
			}
		}
	}



/* &spread-side-effect!-1255 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21255za2zzeffect_spreadz00(obj_t
		BgL_envz00_1741, obj_t BgL_nodez00_1742)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 89 */
			return
				BBOOL(BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_castz00_bglt) CREF(
								((BgL_castz00_bglt) BgL_nodez00_1742)))->BgL_argz00)));
		}
	}



/* &spread-side-effect!-1253 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21253za2zzeffect_spreadz00(obj_t
		BgL_envz00_1743, obj_t BgL_nodez00_1744)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 80 */
			{	/* Effect/spread.scm 82 */
				obj_t BgL_resz00_1816;

				{	/* Effect/spread.scm 82 */
					bool_t BgL__ortest_1102z00_1817;

					BgL__ortest_1102z00_1817 =
						BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
						(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1744)))->BgL_exprza2za2));
					if (BgL__ortest_1102z00_1817)
						{	/* Effect/spread.scm 82 */
							BgL_resz00_1816 = BBOOL(BgL__ortest_1102z00_1817);
						}
					else
						{	/* Effect/spread.scm 82 */
							BgL_resz00_1816 =
								(((BgL_nodezf2effectzf2_bglt) CREF(
										((BgL_nodezf2effectzf2_bglt)
											((BgL_externz00_bglt) BgL_nodez00_1744))))->
								BgL_sidezd2effectzd2);
						}
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_externz00_bglt) BgL_nodez00_1744))))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_resz00_1816), BUNSPEC);
				return BgL_resz00_1816;
			}
		}
	}



/* &spread-side-effect!-1251 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21251za2zzeffect_spreadz00(obj_t
		BgL_envz00_1745, obj_t BgL_nodez00_1746)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 71 */
			{	/* Effect/spread.scm 72 */
				bool_t BgL_tmpz00_2080;

				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_funcallz00_bglt) CREF(
								((BgL_funcallz00_bglt) BgL_nodez00_1746)))->BgL_funz00));
				BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
					(((BgL_funcallz00_bglt) CREF(
								((BgL_funcallz00_bglt) BgL_nodez00_1746)))->BgL_argsz00));
				BgL_tmpz00_2080 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_2080);
			}
		}
	}



/* &spread-side-effect!-1249 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21249za2zzeffect_spreadz00(obj_t
		BgL_envz00_1747, obj_t BgL_nodez00_1748)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 62 */
			{	/* Effect/spread.scm 63 */
				bool_t BgL_tmpz00_2088;

				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_appzd2lyzd2_bglt) CREF(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_1748)))->BgL_funz00));
				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_appzd2lyzd2_bglt) CREF(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_1748)))->BgL_argz00));
				BgL_tmpz00_2088 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_2088);
			}
		}
	}



/* &spread-side-effect!-1247 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21247za2zzeffect_spreadz00(obj_t
		BgL_envz00_1749, obj_t BgL_nodez00_1750)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 52 */
			{	/* Effect/spread.scm 54 */
				obj_t BgL_resz00_1821;

				{	/* Effect/spread.scm 54 */
					bool_t BgL__ortest_1098z00_1822;

					BgL__ortest_1098z00_1822 =
						BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
						(((BgL_appz00_bglt) CREF(
									((BgL_appz00_bglt) BgL_nodez00_1750)))->BgL_argsz00));
					if (BgL__ortest_1098z00_1822)
						{	/* Effect/spread.scm 54 */
							BgL_resz00_1821 = BBOOL(BgL__ortest_1098z00_1822);
						}
					else
						{	/* Effect/spread.scm 54 */
							BgL_resz00_1821 =
								(((BgL_funz00_bglt) CREF(
										((BgL_funz00_bglt)
											(((BgL_variablez00_bglt) CREF(
														(((BgL_varz00_bglt) CREF(
																	(((BgL_appz00_bglt) CREF(
																				((BgL_appz00_bglt) BgL_nodez00_1750)))->
																		BgL_funz00)))->BgL_variablez00)))->
												BgL_valuez00))))->BgL_sidezd2effectzd2);
						}
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_appz00_bglt) BgL_nodez00_1750))))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_resz00_1821), BUNSPEC);
				return BgL_resz00_1821;
			}
		}
	}



/* &spread-side-effect!-1245 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21245za2zzeffect_spreadz00(obj_t
		BgL_envz00_1751, obj_t BgL_nodez00_1752)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 43 */
			{	/* Effect/spread.scm 44 */
				bool_t BgL_tmpz00_2110;

				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_syncz00_bglt) CREF(
								((BgL_syncz00_bglt) BgL_nodez00_1752)))->BgL_mutexz00));
				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_syncz00_bglt) CREF(
								((BgL_syncz00_bglt) BgL_nodez00_1752)))->BgL_prelockz00));
				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_syncz00_bglt) CREF(
								((BgL_syncz00_bglt) BgL_nodez00_1752)))->BgL_bodyz00));
				BgL_tmpz00_2110 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_2110);
			}
		}
	}



/* &spread-side-effect!-1243 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21243za2zzeffect_spreadz00(obj_t
		BgL_envz00_1753, obj_t BgL_nodez00_1754)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 35 */
			{	/* Effect/spread.scm 36 */
				bool_t BgL_tmpz00_2121;

				{	/* Effect/spread.scm 36 */
					bool_t BgL_resz00_1825;

					BgL_resz00_1825 =
						BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
						(((BgL_sequencez00_bglt) CREF(
									((BgL_sequencez00_bglt) BgL_nodez00_1754)))->BgL_nodesz00));
					((((BgL_nodezf2effectzf2_bglt) CREF(
									((BgL_nodezf2effectzf2_bglt)
										((BgL_sequencez00_bglt) BgL_nodez00_1754))))->
							BgL_sidezd2effectzd2) =
						((obj_t) BBOOL(BgL_resz00_1825)), BUNSPEC);
					BgL_tmpz00_2121 = BgL_resz00_1825;
				}
				return BBOOL(BgL_tmpz00_2121);
			}
		}
	}



/* &spread-side-effect!-1241 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21241za2zzeffect_spreadz00(obj_t
		BgL_envz00_1755, obj_t BgL_nodez00_1756)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 29 */
			{	/* Effect/spread.scm 30 */
				bool_t BgL_tmpz00_2130;

				if (
					((((BgL_variablez00_bglt) CREF(
									(((BgL_varz00_bglt) CREF(
												((BgL_varz00_bglt) BgL_nodez00_1756)))->
										BgL_variablez00)))->BgL_accessz00) ==
						CNST_TABLE_REF(((long) 0))))
					{	/* Effect/spread.scm 30 */
						BgL_tmpz00_2130 = ((bool_t) 0);
					}
				else
					{	/* Effect/spread.scm 30 */
						BgL_tmpz00_2130 = ((bool_t) 1);
					}
				return BBOOL(BgL_tmpz00_2130);
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1705z00zzeffect_spreadz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1705z00zzeffect_spreadz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1705z00zzeffect_spreadz00));
		}
	}

#ifdef __cplusplus
}
#endif
