/*===========================================================================*/
/*   (Inline/variant.scm)                                                    */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/variant.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_localzf2variantzf2_bgl
	{
		bool_t BgL_variantz00;
	}                         *BgL_localzf2variantzf2_bglt;


	static obj_t BGl_z62localzf2variantzd2occurrencewz42zzinline_variantz00(obj_t,
		obj_t);
	static obj_t BGl_z62localzf2variantzd2idz42zzinline_variantz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2occurrencewzd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, long);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62shrinkzd2argsz12za2zzinline_variantz00(obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2removablezd2setz12z82zzinline_variantz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2variantzd2variantz20zzinline_variantz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62localzf2variantzd2namezd2setz12z82zzinline_variantz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_variantz00();
	static BgL_localz00_bglt
		BGl_z62localzf2variantzd2nilz42zzinline_variantz00(obj_t);
	static obj_t BGl_z62localzf2variantzd2variantz42zzinline_variantz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_localzf2variantzf3z01zzinline_variantz00(obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_variantz00();
	static obj_t
		BGl_z62localzf2variantzd2variantzd2setz12z82zzinline_variantz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62substitutionsz62zzinline_variantz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2variantzd2accesszd2setz12z82zzinline_variantz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31650ze3ze1zzinline_variantz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2variantzd2typezd2setz12z82zzinline_variantz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_appz00_bglt
		BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_localzf2variantzf2zzinline_variantz00 = BUNSPEC;
	static obj_t
		BGl_z62localzf2variantzd2occurrencezd2setz12z82zzinline_variantz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2valuezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, BgL_valuez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2removablezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2variantzd2occurrencez20zzinline_variantz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzinline_variantz00();
	static obj_t BGl_z62localzf2variantzd2accessz42zzinline_variantz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2accessz20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2userzf3zd2setz12z13zzinline_variantz00
		(BgL_localz00_bglt, bool_t);
	static BgL_appz00_bglt
		BGl_z62removezd2invariantzd2argsz12z70zzinline_variantz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2idz20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_localzf2variantzd2nilz20zzinline_variantz00();
	static BgL_localz00_bglt BGl_z62lambda1645z62zzinline_variantz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1648z62zzinline_variantz00(obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1651z62zzinline_variantz00(obj_t,
		obj_t);
	static obj_t BGl_z62localzf2variantzd2keyz42zzinline_variantz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1664z62zzinline_variantz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1665z62zzinline_variantz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2fastzd2alphazf2zzinline_variantz00(BgL_localz00_bglt);
	static BgL_valuez00_bglt
		BGl_z62localzf2variantzd2valuez42zzinline_variantz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2variantzd2userzf3zb1zzinline_variantz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2occurrencezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, long);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_variantz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62localzf2variantzf3z63zzinline_variantz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2variantzd2occurrencewz20zzinline_variantz00(BgL_localz00_bglt);
	static obj_t BGl_z62localzf2variantzd2namez42zzinline_variantz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzinline_variantz00();
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_localzf2variantzd2valuez20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2removablez20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2variantzd2userzf3zd3zzinline_variantz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2variantzd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, bool_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2valuezd2setz12z82zzinline_variantz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62localzf2variantzd2typez42zzinline_variantz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2variantzd2occurrencez42zzinline_variantz00(obj_t,
		obj_t);
	static BgL_localz00_bglt
		BGl_z62makezd2localzf2variantz42zzinline_variantz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t
		BGl_z62localzf2variantzd2userzf3zd2setz12z71zzinline_variantz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2accesszd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2variantzd2keyz20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_variantz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2namez20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt);
	static obj_t
		BGl_z62localzf2variantzd2fastzd2alphazd2setz12z50zzinline_variantz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2fastzd2alphaz90zzinline_variantz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2namezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzinline_variantz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_variantz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_variantz00();
	static obj_t BGl_z62localzf2variantzd2removablez42zzinline_variantz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_localzf2variantzd2typez20zzinline_variantz00(BgL_localz00_bglt);
	static obj_t BGl_z62invariantzd2argszb0zzinline_variantz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t
		BGl_z62localzf2variantzd2occurrencewzd2setz12z82zzinline_variantz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_makezd2localzf2variantz20zzinline_variantz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, long, bool_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62variantzd2argszb0zzinline_variantz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2fastzd2alphazd2setz12z32zzinline_variantz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2typezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt,
		BgL_typez00_bglt);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2localzf2variantzd2envzf2zzinline_variantz00,
		BgL_bgl_za762makeza7d2localza71804za7,
		BGl_z62makezd2localzf2variantz42zzinline_variantz00, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2namezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1805z00,
		BGl_z62localzf2variantzd2namez42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2userzf3zd2setz12zd2envzc1zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1806z00,
		BGl_z62localzf2variantzd2userzf3zd2setz12z71zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2occurrencezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1807z00,
		BGl_z62localzf2variantzd2occurrencez42zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1800z00zzinline_variantz00,
		BgL_bgl_string1800za700za7za7i1808za7,
		"_ inline_variant local/variant bool variant done read ", 54);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_variantzd2argszd2envz00zzinline_variantz00,
		BgL_bgl_za762variantza7d2arg1809z00,
		BGl_z62variantzd2argszb0zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2typezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1810z00,
		BGl_z62localzf2variantzd2typez42zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zzinline_variantz00,
		BgL_bgl_za762lambda1665za7621811z00,
		BGl_z62lambda1665z62zzinline_variantz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1794z00zzinline_variantz00,
		BgL_bgl_za762lambda1664za7621812z00,
		BGl_z62lambda1664z62zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1795z00zzinline_variantz00,
		BgL_bgl_za762lambda1651za7621813z00,
		BGl_z62lambda1651z62zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1796z00zzinline_variantz00,
		BgL_bgl_za762za7c3anonymousza71814za7,
		BGl_z62zc3anonymousza31650ze3ze1zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1797z00zzinline_variantz00,
		BgL_bgl_za762lambda1648za7621815z00,
		BGl_z62lambda1648z62zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zzinline_variantz00,
		BgL_bgl_za762lambda1645za7621816z00,
		BGl_z62lambda1645z62zzinline_variantz00, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_invariantzd2argszd2envz00zzinline_variantz00,
		BgL_bgl_za762invariantza7d2a1817z00,
		BGl_z62invariantzd2argszb0zzinline_variantz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_substitutionszd2envzd2zzinline_variantz00,
		BgL_bgl_za762substitutions1818za7,
		BGl_z62substitutionsz62zzinline_variantz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2idzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1819z00,
		BGl_z62localzf2variantzd2idz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzf3zd2envzd3zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1820z00,
		BGl_z62localzf2variantzf3z63zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2keyzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1821z00,
		BGl_z62localzf2variantzd2keyz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2variantzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1822z00,
		BGl_z62localzf2variantzd2variantz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2valuezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1823z00,
		BGl_z62localzf2variantzd2valuez42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2removablezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1824z00,
		BGl_z62localzf2variantzd2removablez42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2userzf3zd2envz01zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1825z00,
		BGl_z62localzf2variantzd2userzf3zb1zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2accesszd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1826z00,
		BGl_z62localzf2variantzd2accesszd2setz12z82zzinline_variantz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2namezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1827z00,
		BGl_z62localzf2variantzd2namezd2setz12z82zzinline_variantz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2accesszd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1828z00,
		BGl_z62localzf2variantzd2accessz42zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1799z00zzinline_variantz00,
		BgL_bgl_string1799za700za7za7i1829za7, "inline_variant", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2fastzd2alphazd2envz20zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1830z00,
		BGl_z62localzf2variantzd2fastzd2alphaz90zzinline_variantz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2occurrencewzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1831z00,
		BGl_z62localzf2variantzd2occurrencewz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2variantzd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1832z00,
		BGl_z62localzf2variantzd2variantzd2setz12z82zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2nilzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1833z00,
		BGl_z62localzf2variantzd2nilz42zzinline_variantz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_removezd2invariantzd2argsz12zd2envzc0zzinline_variantz00,
		BgL_bgl_za762removeza7d2inva1834z00,
		BGl_z62removezd2invariantzd2argsz12z70zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2occurrencewzd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1835z00,
		BGl_z62localzf2variantzd2occurrencewzd2setz12z82zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_shrinkzd2argsz12zd2envz12zzinline_variantz00,
		BgL_bgl_za762shrinkza7d2args1836z00,
		BGl_z62shrinkzd2argsz12za2zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2fastzd2alphazd2setz12zd2envze0zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1837z00,
		BGl_z62localzf2variantzd2fastzd2alphazd2setz12z50zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2occurrencezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1838z00,
		BGl_z62localzf2variantzd2occurrencezd2setz12z82zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2typezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1839z00,
		BGl_z62localzf2variantzd2typezd2setz12z82zzinline_variantz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2valuezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1840z00,
		BGl_z62localzf2variantzd2valuezd2setz12z82zzinline_variantz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2removablezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1841z00,
		BGl_z62localzf2variantzd2removablezd2setz12z82zzinline_variantz00, 0L,
		BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_localzf2variantzf2zzinline_variantz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinline_variantz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzinline_variantz00(long
		BgL_checksumz00_2013, char *BgL_fromz00_2014)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_variantz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_variantz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_variantz00();
					BGl_libraryzd2moduleszd2initz00zzinline_variantz00();
					BGl_cnstzd2initzd2zzinline_variantz00();
					BGl_importedzd2moduleszd2initz00zzinline_variantz00();
					BGl_objectzd2initzd2zzinline_variantz00();
					return BGl_methodzd2initzd2zzinline_variantz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_variantz00()
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_variant");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_variantz00()
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 15 */
			{	/* Inline/variant.scm 15 */
				obj_t BgL_cportz00_1956;

				{	/* Inline/variant.scm 15 */
					obj_t BgL_startz00_1965;

					BgL_startz00_1965 = BINT(((long) 0));
					{	/* Inline/variant.scm 15 */
						obj_t BgL_endz00_1966;

						BgL_endz00_1966 =
							BINT(STRING_LENGTH(BGl_string1800z00zzinline_variantz00));
						{	/* Inline/variant.scm 15 */

							BgL_cportz00_1956 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1800z00zzinline_variantz00, BgL_startz00_1965,
								BgL_endz00_1966);
				}}}
				{
					long BgL_iz00_1957;

					BgL_iz00_1957 = ((long) 6);
				BgL_loopz00_1958:
					if ((BgL_iz00_1957 == ((long) -1)))
						{	/* Inline/variant.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/variant.scm 15 */
							{	/* Inline/variant.scm 15 */
								obj_t BgL_arg1802z00_1960;

								{	/* Inline/variant.scm 15 */

									{	/* Inline/variant.scm 15 */
										obj_t BgL_locationz00_1962;

										BgL_locationz00_1962 = BBOOL(((bool_t) 0));
										{	/* Inline/variant.scm 15 */

											BgL_arg1802z00_1960 =
												BGl_readz00zz__readerz00(BgL_cportz00_1956,
												BgL_locationz00_1962);
										}
									}
								}
								{	/* Inline/variant.scm 15 */
									int BgL_tmpz00_2039;

									BgL_tmpz00_2039 = (int) (BgL_iz00_1957);
									CNST_TABLE_SET(BgL_tmpz00_2039, BgL_arg1802z00_1960);
							}}
							{	/* Inline/variant.scm 15 */
								int BgL_auxz00_1963;

								BgL_auxz00_1963 = (int) ((BgL_iz00_1957 - ((long) 1)));
								{
									long BgL_iz00_2044;

									BgL_iz00_2044 = (long) (BgL_auxz00_1963);
									BgL_iz00_1957 = BgL_iz00_2044;
									goto BgL_loopz00_1958;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_variantz00()
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* make-local/variant */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_makezd2localzf2variantz20zzinline_variantz00(obj_t BgL_id1114z00_3,
		obj_t BgL_name1115z00_4, BgL_typez00_bglt BgL_type1116z00_5,
		BgL_valuez00_bglt BgL_value1117z00_6, obj_t BgL_access1118z00_7,
		obj_t BgL_fastzd2alpha1119zd2_8, obj_t BgL_removable1120z00_9,
		long BgL_occurrence1121z00_10, long BgL_occurrencew1122z00_11,
		bool_t BgL_userzf31123zf3_12, long BgL_key1124z00_13,
		bool_t BgL_variant1125z00_14)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 43 */
			{	/* Inline/variant.sch 43 */
				BgL_localz00_bglt BgL_new1127z00_1969;

				{	/* Inline/variant.sch 43 */
					BgL_localz00_bglt BgL_tmp1125z00_1970;
					BgL_localzf2variantzf2_bglt BgL_wide1126z00_1971;

					{
						BgL_localz00_bglt BgL_auxz00_2047;

						{	/* Inline/variant.sch 43 */
							BgL_localz00_bglt BgL_new1124z00_1972;

							BgL_new1124z00_1972 =
								((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							{	/* Inline/variant.sch 43 */
								long BgL_arg1292z00_1973;

								{	/* Inline/variant.sch 43 */
									long BgL_res1763z00_1974;

									BgL_res1763z00_1974 =
										BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
									BgL_arg1292z00_1973 = BgL_res1763z00_1974;
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1124z00_1972),
									BgL_arg1292z00_1973);
							}
							{	/* Inline/variant.sch 43 */
								BgL_objectz00_bglt BgL_tmpz00_2052;

								BgL_tmpz00_2052 = ((BgL_objectz00_bglt) BgL_new1124z00_1972);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2052, BFALSE);
							}
							BgL_auxz00_2047 = BgL_new1124z00_1972;
						}
						BgL_tmp1125z00_1970 = ((BgL_localz00_bglt) BgL_auxz00_2047);
					}
					BgL_wide1126z00_1971 =
						((BgL_localzf2variantzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_localzf2variantzf2_bgl))));
					{	/* Inline/variant.sch 43 */
						obj_t BgL_auxz00_2059;
						BgL_objectz00_bglt BgL_tmpz00_2057;

						BgL_auxz00_2059 = ((obj_t) BgL_wide1126z00_1971);
						BgL_tmpz00_2057 = ((BgL_objectz00_bglt) BgL_tmp1125z00_1970);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2057, BgL_auxz00_2059);
					}
					{	/* Inline/variant.sch 43 */
						long BgL_arg1285z00_1975;

						{	/* Inline/variant.sch 43 */
							long BgL_res1764z00_1976;

							BgL_res1764z00_1976 =
								BGL_CLASS_INDEX(BGl_localzf2variantzf2zzinline_variantz00);
							BgL_arg1285z00_1975 = BgL_res1764z00_1976;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1125z00_1970), BgL_arg1285z00_1975);
					}
					BgL_new1127z00_1969 = ((BgL_localz00_bglt) BgL_tmp1125z00_1970);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1127z00_1969)))->BgL_idz00) =
					((obj_t) BgL_id1114z00_3), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1127z00_1969)))->BgL_namez00) =
					((obj_t) BgL_name1115z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1127z00_1969)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1116z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1127z00_1969)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1117z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1127z00_1969)))->BgL_accessz00) =
					((obj_t) BgL_access1118z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1127z00_1969)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1119zd2_8), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1127z00_1969)))->BgL_removablez00) =
					((obj_t) BgL_removable1120z00_9), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1127z00_1969)))->BgL_occurrencez00) =
					((long) BgL_occurrence1121z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1127z00_1969)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1122z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1127z00_1969)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31123zf3_12), BUNSPEC);
				((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
									BgL_new1127z00_1969)))->BgL_keyz00) =
					((long) BgL_key1124z00_13), BUNSPEC);
				{
					BgL_localzf2variantzf2_bglt BgL_auxz00_2088;

					{
						obj_t BgL_auxz00_2089;

						{	/* Inline/variant.sch 43 */
							BgL_objectz00_bglt BgL_tmpz00_2090;

							BgL_tmpz00_2090 = ((BgL_objectz00_bglt) BgL_new1127z00_1969);
							BgL_auxz00_2089 = BGL_OBJECT_WIDENING(BgL_tmpz00_2090);
						}
						BgL_auxz00_2088 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_2089);
					}
					((((BgL_localzf2variantzf2_bglt) CREF(BgL_auxz00_2088))->
							BgL_variantz00) = ((bool_t) BgL_variant1125z00_14), BUNSPEC);
				}
				return BgL_new1127z00_1969;
			}
		}
	}



/* &make-local/variant */
	BgL_localz00_bglt BGl_z62makezd2localzf2variantz42zzinline_variantz00(obj_t
		BgL_envz00_1842, obj_t BgL_id1114z00_1843, obj_t BgL_name1115z00_1844,
		obj_t BgL_type1116z00_1845, obj_t BgL_value1117z00_1846,
		obj_t BgL_access1118z00_1847, obj_t BgL_fastzd2alpha1119zd2_1848,
		obj_t BgL_removable1120z00_1849, obj_t BgL_occurrence1121z00_1850,
		obj_t BgL_occurrencew1122z00_1851, obj_t BgL_userzf31123zf3_1852,
		obj_t BgL_key1124z00_1853, obj_t BgL_variant1125z00_1854)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 43 */
			return
				BGl_makezd2localzf2variantz20zzinline_variantz00(BgL_id1114z00_1843,
				BgL_name1115z00_1844, ((BgL_typez00_bglt) BgL_type1116z00_1845),
				((BgL_valuez00_bglt) BgL_value1117z00_1846), BgL_access1118z00_1847,
				BgL_fastzd2alpha1119zd2_1848, BgL_removable1120z00_1849,
				(long) CINT(BgL_occurrence1121z00_1850),
				(long) CINT(BgL_occurrencew1122z00_1851),
				CBOOL(BgL_userzf31123zf3_1852), (long) CINT(BgL_key1124z00_1853),
				CBOOL(BgL_variant1125z00_1854));
		}
	}



/* local/variant? */
	BGL_EXPORTED_DEF bool_t BGl_localzf2variantzf3z01zzinline_variantz00(obj_t
		BgL_objz00_15)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 44 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_15,
				BGl_localzf2variantzf2zzinline_variantz00);
		}
	}



/* &local/variant? */
	obj_t BGl_z62localzf2variantzf3z63zzinline_variantz00(obj_t BgL_envz00_1855,
		obj_t BgL_objz00_1856)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 44 */
			return
				BBOOL(BGl_localzf2variantzf3z01zzinline_variantz00(BgL_objz00_1856));
		}
	}



/* local/variant-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_localzf2variantzd2nilz20zzinline_variantz00()
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 45 */
			{	/* Inline/variant.sch 45 */
				obj_t BgL_classz00_1701;

				BgL_classz00_1701 = BGl_localzf2variantzf2zzinline_variantz00;
				{	/* Inline/variant.sch 45 */
					obj_t BgL__ortest_1101z00_1702;

					BgL__ortest_1101z00_1702 = BGL_CLASS_NIL(BgL_classz00_1701);
					if (CBOOL(BgL__ortest_1101z00_1702))
						{	/* Inline/variant.sch 45 */
							return ((BgL_localz00_bglt) BgL__ortest_1101z00_1702);
						}
					else
						{	/* Inline/variant.sch 45 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1701));
						}
				}
			}
		}
	}



/* &local/variant-nil */
	BgL_localz00_bglt BGl_z62localzf2variantzd2nilz42zzinline_variantz00(obj_t
		BgL_envz00_1857)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 45 */
			return BGl_localzf2variantzd2nilz20zzinline_variantz00();
		}
	}



/* local/variant-variant */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2variantzd2variantz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_16)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 46 */
			{
				BgL_localzf2variantzf2_bglt BgL_auxz00_2113;

				{
					obj_t BgL_auxz00_2114;

					{	/* Inline/variant.sch 46 */
						BgL_objectz00_bglt BgL_tmpz00_2115;

						BgL_tmpz00_2115 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_2114 = BGL_OBJECT_WIDENING(BgL_tmpz00_2115);
					}
					BgL_auxz00_2113 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_2114);
				}
				return
					(((BgL_localzf2variantzf2_bglt) CREF(BgL_auxz00_2113))->
					BgL_variantz00);
			}
		}
	}



/* &local/variant-variant */
	obj_t BGl_z62localzf2variantzd2variantz42zzinline_variantz00(obj_t
		BgL_envz00_1858, obj_t BgL_oz00_1859)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 46 */
			return
				BBOOL(BGl_localzf2variantzd2variantz20zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_1859)));
		}
	}



/* local/variant-variant-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2variantzd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_17, bool_t BgL_vz00_18)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 47 */
			{
				BgL_localzf2variantzf2_bglt BgL_auxz00_2123;

				{
					obj_t BgL_auxz00_2124;

					{	/* Inline/variant.sch 47 */
						BgL_objectz00_bglt BgL_tmpz00_2125;

						BgL_tmpz00_2125 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_2124 = BGL_OBJECT_WIDENING(BgL_tmpz00_2125);
					}
					BgL_auxz00_2123 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_2124);
				}
				return
					((((BgL_localzf2variantzf2_bglt) CREF(BgL_auxz00_2123))->
						BgL_variantz00) = ((bool_t) BgL_vz00_18), BUNSPEC);
			}
		}
	}



/* &local/variant-variant-set! */
	obj_t BGl_z62localzf2variantzd2variantzd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_1860, obj_t BgL_oz00_1861, obj_t BgL_vz00_1862)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 47 */
			return
				BGl_localzf2variantzd2variantzd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_1861), CBOOL(BgL_vz00_1862));
		}
	}



/* local/variant-key */
	BGL_EXPORTED_DEF long
		BGl_localzf2variantzd2keyz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_19)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 48 */
			return
				(((BgL_localz00_bglt) CREF(
						((BgL_localz00_bglt) BgL_oz00_19)))->BgL_keyz00);
		}
	}



/* &local/variant-key */
	obj_t BGl_z62localzf2variantzd2keyz42zzinline_variantz00(obj_t
		BgL_envz00_1863, obj_t BgL_oz00_1864)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 48 */
			return
				BINT(BGl_localzf2variantzd2keyz20zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_1864)));
		}
	}



/* local/variant-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2variantzd2userzf3zd3zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_22)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 50 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_22)))->BgL_userzf3zf3);
		}
	}



/* &local/variant-user? */
	obj_t BGl_z62localzf2variantzd2userzf3zb1zzinline_variantz00(obj_t
		BgL_envz00_1865, obj_t BgL_oz00_1866)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 50 */
			return
				BBOOL(BGl_localzf2variantzd2userzf3zd3zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_1866)));
		}
	}



/* local/variant-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2userzf3zd2setz12z13zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_23, bool_t BgL_vz00_24)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 51 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_23)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_24), BUNSPEC);
		}
	}



/* &local/variant-user?-set! */
	obj_t BGl_z62localzf2variantzd2userzf3zd2setz12z71zzinline_variantz00(obj_t
		BgL_envz00_1867, obj_t BgL_oz00_1868, obj_t BgL_vz00_1869)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 51 */
			return
				BGl_localzf2variantzd2userzf3zd2setz12z13zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_1868), CBOOL(BgL_vz00_1869));
		}
	}



/* local/variant-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_localzf2variantzd2occurrencewz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_25)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 52 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_25)))->BgL_occurrencewz00);
		}
	}



/* &local/variant-occurrencew */
	obj_t BGl_z62localzf2variantzd2occurrencewz42zzinline_variantz00(obj_t
		BgL_envz00_1870, obj_t BgL_oz00_1871)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 52 */
			return
				BINT(BGl_localzf2variantzd2occurrencewz20zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_1871)));
		}
	}



/* local/variant-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2occurrencewzd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_26, long BgL_vz00_27)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 53 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_26)))->BgL_occurrencewz00) =
				((long) BgL_vz00_27), BUNSPEC);
		}
	}



/* &local/variant-occurrencew-set! */
	obj_t
		BGl_z62localzf2variantzd2occurrencewzd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_1872, obj_t BgL_oz00_1873, obj_t BgL_vz00_1874)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 53 */
			return
				BGl_localzf2variantzd2occurrencewzd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_1873), (long) CINT(BgL_vz00_1874));
		}
	}



/* local/variant-occurrence */
	BGL_EXPORTED_DEF long
		BGl_localzf2variantzd2occurrencez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_28)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 54 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_28)))->BgL_occurrencez00);
		}
	}



/* &local/variant-occurrence */
	obj_t BGl_z62localzf2variantzd2occurrencez42zzinline_variantz00(obj_t
		BgL_envz00_1875, obj_t BgL_oz00_1876)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 54 */
			return
				BINT(BGl_localzf2variantzd2occurrencez20zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_1876)));
		}
	}



/* local/variant-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2occurrencezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_29, long BgL_vz00_30)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 55 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_29)))->BgL_occurrencez00) =
				((long) BgL_vz00_30), BUNSPEC);
		}
	}



/* &local/variant-occurrence-set! */
	obj_t BGl_z62localzf2variantzd2occurrencezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_1877, obj_t BgL_oz00_1878, obj_t BgL_vz00_1879)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 55 */
			return
				BGl_localzf2variantzd2occurrencezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_1878), (long) CINT(BgL_vz00_1879));
		}
	}



/* local/variant-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2removablez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_31)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 56 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_31)))->BgL_removablez00);
		}
	}



/* &local/variant-removable */
	obj_t BGl_z62localzf2variantzd2removablez42zzinline_variantz00(obj_t
		BgL_envz00_1880, obj_t BgL_oz00_1881)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 56 */
			return
				BGl_localzf2variantzd2removablez20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_1881));
		}
	}



/* local/variant-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2removablezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_32, obj_t BgL_vz00_33)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 57 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_32)))->BgL_removablez00) =
				((obj_t) BgL_vz00_33), BUNSPEC);
		}
	}



/* &local/variant-removable-set! */
	obj_t BGl_z62localzf2variantzd2removablezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_1882, obj_t BgL_oz00_1883, obj_t BgL_vz00_1884)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 57 */
			return
				BGl_localzf2variantzd2removablezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_1883), BgL_vz00_1884);
		}
	}



/* local/variant-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2fastzd2alphazf2zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_34)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 58 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_34)))->BgL_fastzd2alphazd2);
		}
	}



/* &local/variant-fast-alpha */
	obj_t BGl_z62localzf2variantzd2fastzd2alphaz90zzinline_variantz00(obj_t
		BgL_envz00_1885, obj_t BgL_oz00_1886)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 58 */
			return
				BGl_localzf2variantzd2fastzd2alphazf2zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_1886));
		}
	}



/* local/variant-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2fastzd2alphazd2setz12z32zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_35, obj_t BgL_vz00_36)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 59 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_35)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}
	}



/* &local/variant-fast-alpha-set! */
	obj_t
		BGl_z62localzf2variantzd2fastzd2alphazd2setz12z50zzinline_variantz00(obj_t
		BgL_envz00_1887, obj_t BgL_oz00_1888, obj_t BgL_vz00_1889)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 59 */
			return
				BGl_localzf2variantzd2fastzd2alphazd2setz12z32zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_1888), BgL_vz00_1889);
		}
	}



/* local/variant-access */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2accessz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_37)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 60 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_37)))->BgL_accessz00);
		}
	}



/* &local/variant-access */
	obj_t BGl_z62localzf2variantzd2accessz42zzinline_variantz00(obj_t
		BgL_envz00_1890, obj_t BgL_oz00_1891)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 60 */
			return
				BGl_localzf2variantzd2accessz20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_1891));
		}
	}



/* local/variant-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2accesszd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_38, obj_t BgL_vz00_39)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 61 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_38)))->BgL_accessz00) =
				((obj_t) BgL_vz00_39), BUNSPEC);
		}
	}



/* &local/variant-access-set! */
	obj_t BGl_z62localzf2variantzd2accesszd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_1892, obj_t BgL_oz00_1893, obj_t BgL_vz00_1894)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 61 */
			return
				BGl_localzf2variantzd2accesszd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_1893), BgL_vz00_1894);
		}
	}



/* local/variant-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_localzf2variantzd2valuez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_40)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 62 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_40)))->BgL_valuez00);
		}
	}



/* &local/variant-value */
	BgL_valuez00_bglt BGl_z62localzf2variantzd2valuez42zzinline_variantz00(obj_t
		BgL_envz00_1895, obj_t BgL_oz00_1896)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 62 */
			return
				BGl_localzf2variantzd2valuez20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_1896));
		}
	}



/* local/variant-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2valuezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_41, BgL_valuez00_bglt BgL_vz00_42)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 63 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_41)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_42), BUNSPEC);
		}
	}



/* &local/variant-value-set! */
	obj_t BGl_z62localzf2variantzd2valuezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_1897, obj_t BgL_oz00_1898, obj_t BgL_vz00_1899)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 63 */
			return
				BGl_localzf2variantzd2valuezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_1898),
				((BgL_valuez00_bglt) BgL_vz00_1899));
		}
	}



/* local/variant-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_localzf2variantzd2typez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_43)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 64 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_43)))->BgL_typez00);
		}
	}



/* &local/variant-type */
	BgL_typez00_bglt BGl_z62localzf2variantzd2typez42zzinline_variantz00(obj_t
		BgL_envz00_1900, obj_t BgL_oz00_1901)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 64 */
			return
				BGl_localzf2variantzd2typez20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_1901));
		}
	}



/* local/variant-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2typezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_44, BgL_typez00_bglt BgL_vz00_45)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 65 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_44)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_45), BUNSPEC);
		}
	}



/* &local/variant-type-set! */
	obj_t BGl_z62localzf2variantzd2typezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_1902, obj_t BgL_oz00_1903, obj_t BgL_vz00_1904)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 65 */
			return
				BGl_localzf2variantzd2typezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_1903),
				((BgL_typez00_bglt) BgL_vz00_1904));
		}
	}



/* local/variant-name */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2namez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_46)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 66 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_46)))->BgL_namez00);
		}
	}



/* &local/variant-name */
	obj_t BGl_z62localzf2variantzd2namez42zzinline_variantz00(obj_t
		BgL_envz00_1905, obj_t BgL_oz00_1906)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 66 */
			return
				BGl_localzf2variantzd2namez20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_1906));
		}
	}



/* local/variant-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2namezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 67 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_47)))->BgL_namez00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}
	}



/* &local/variant-name-set! */
	obj_t BGl_z62localzf2variantzd2namezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_1907, obj_t BgL_oz00_1908, obj_t BgL_vz00_1909)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 67 */
			return
				BGl_localzf2variantzd2namezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_1908), BgL_vz00_1909);
		}
	}



/* local/variant-id */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2idz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_49)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 68 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_49)))->BgL_idz00);
		}
	}



/* &local/variant-id */
	obj_t BGl_z62localzf2variantzd2idz42zzinline_variantz00(obj_t BgL_envz00_1910,
		obj_t BgL_oz00_1911)
	{
		AN_OBJECT;
		{	/* Inline/variant.sch 68 */
			return
				BGl_localzf2variantzd2idz20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_1911));
		}
	}



/* invariant-args */
	BGL_EXPORTED_DEF obj_t
		BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_bglt BgL_nodez00_52,
		BgL_variablez00_bglt BgL_varz00_53, obj_t BgL_callsz00_54)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 36 */
			{	/* Inline/variant.scm 37 */
				BgL_valuez00_bglt BgL_funz00_1302;

				BgL_funz00_1302 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_53))->BgL_valuez00);
				{	/* Inline/variant.scm 37 */
					obj_t BgL_argsz00_1303;

					BgL_argsz00_1303 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_funz00_1302)))->BgL_argsz00);
					{	/* Inline/variant.scm 38 */
						obj_t BgL_valsz00_1304;

						BgL_valsz00_1304 =
							(((BgL_appz00_bglt) CREF(
									((BgL_appz00_bglt) BgL_nodez00_52)))->BgL_argsz00);
						{	/* Inline/variant.scm 39 */

							{
								obj_t BgL_ll1262z00_1306;
								obj_t BgL_ll1263z00_1307;

								BgL_ll1262z00_1306 = BgL_argsz00_1303;
								BgL_ll1263z00_1307 = BgL_valsz00_1304;
							BgL_zc3anonymousza31293ze3z83_1308:
								if (NULLP(BgL_ll1262z00_1306))
									{	/* Inline/variant.scm 42 */
										((bool_t) 1);
									}
								else
									{	/* Inline/variant.scm 42 */
										{	/* Inline/variant.scm 43 */
											obj_t BgL_localz00_1310;
											obj_t BgL_valz00_1311;

											BgL_localz00_1310 = CAR(BgL_ll1262z00_1306);
											BgL_valz00_1311 = CAR(BgL_ll1263z00_1307);
											{	/* Inline/variant.scm 43 */
												bool_t BgL_testz00_2231;

												if (
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1310))))->
															BgL_accessz00) == CNST_TABLE_REF(((long) 0))))
													{	/* Inline/variant.scm 44 */
														bool_t BgL__ortest_1128z00_1332;

														BgL__ortest_1128z00_1332 =
															BGl_isazf3zf3zz__objectz00(BgL_valz00_1311,
															BGl_atomz00zzast_nodez00);
														if (BgL__ortest_1128z00_1332)
															{	/* Inline/variant.scm 44 */
																BgL_testz00_2231 = BgL__ortest_1128z00_1332;
															}
														else
															{	/* Inline/variant.scm 45 */
																bool_t BgL__ortest_1129z00_1333;

																BgL__ortest_1129z00_1333 =
																	BGl_isazf3zf3zz__objectz00(BgL_valz00_1311,
																	BGl_kwotez00zzast_nodez00);
																if (BgL__ortest_1129z00_1333)
																	{	/* Inline/variant.scm 45 */
																		BgL_testz00_2231 = BgL__ortest_1129z00_1333;
																	}
																else
																	{	/* Inline/variant.scm 45 */
																		if (BGl_isazf3zf3zz__objectz00
																			(BgL_valz00_1311,
																				BGl_varz00zzast_nodez00))
																			{	/* Inline/variant.scm 46 */
																				BgL_testz00_2231 =
																					(
																					(((BgL_variablez00_bglt) CREF(
																								(((BgL_varz00_bglt) CREF(
																											((BgL_varz00_bglt)
																												BgL_valz00_1311)))->
																									BgL_variablez00)))->
																						BgL_accessz00) ==
																					CNST_TABLE_REF(((long) 0)));
																			}
																		else
																			{	/* Inline/variant.scm 46 */
																				BgL_testz00_2231 = ((bool_t) 0);
																			}
																	}
															}
													}
												else
													{	/* Inline/variant.scm 43 */
														BgL_testz00_2231 = ((bool_t) 0);
													}
												if (BgL_testz00_2231)
													{	/* Inline/variant.scm 43 */
														{	/* Inline/variant.scm 49 */
															BgL_localzf2variantzf2_bglt BgL_wide1133z00_1323;

															BgL_wide1133z00_1323 =
																((BgL_localzf2variantzf2_bglt)
																BREF(GC_MALLOC(sizeof(struct
																			BgL_localzf2variantzf2_bgl))));
															{	/* Inline/variant.scm 49 */
																obj_t BgL_auxz00_2254;
																BgL_objectz00_bglt BgL_tmpz00_2250;

																BgL_auxz00_2254 =
																	((obj_t) BgL_wide1133z00_1323);
																BgL_tmpz00_2250 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1310)));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2250,
																	BgL_auxz00_2254);
															}
															{	/* Inline/variant.scm 49 */
																long BgL_arg1328z00_1324;

																{	/* Inline/variant.scm 49 */
																	long BgL_res1769z00_1716;

																	BgL_res1769z00_1716 =
																		BGL_CLASS_INDEX
																		(BGl_localzf2variantzf2zzinline_variantz00);
																	BgL_arg1328z00_1324 = BgL_res1769z00_1716;
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_localz00_1310))),
																	BgL_arg1328z00_1324);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_1310)));
														}
														{
															BgL_localzf2variantzf2_bglt BgL_auxz00_2265;

															{
																obj_t BgL_auxz00_2266;

																{	/* Inline/variant.scm 49 */
																	BgL_objectz00_bglt BgL_tmpz00_2267;

																	BgL_tmpz00_2267 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_localz00_1310)));
																	BgL_auxz00_2266 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2267);
																}
																BgL_auxz00_2265 =
																	((BgL_localzf2variantzf2_bglt)
																	BgL_auxz00_2266);
															}
															((((BgL_localzf2variantzf2_bglt)
																		CREF(BgL_auxz00_2265))->BgL_variantz00) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_localz00_1310));
													}
												else
													{	/* Inline/variant.scm 43 */
														{	/* Inline/variant.scm 50 */
															BgL_localzf2variantzf2_bglt BgL_wide1138z00_1328;

															BgL_wide1138z00_1328 =
																((BgL_localzf2variantzf2_bglt)
																BREF(GC_MALLOC(sizeof(struct
																			BgL_localzf2variantzf2_bgl))));
															{	/* Inline/variant.scm 50 */
																obj_t BgL_auxz00_2281;
																BgL_objectz00_bglt BgL_tmpz00_2277;

																BgL_auxz00_2281 =
																	((obj_t) BgL_wide1138z00_1328);
																BgL_tmpz00_2277 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1310)));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2277,
																	BgL_auxz00_2281);
															}
															{	/* Inline/variant.scm 50 */
																long BgL_arg1332z00_1329;

																{	/* Inline/variant.scm 50 */
																	long BgL_res1770z00_1720;

																	BgL_res1770z00_1720 =
																		BGL_CLASS_INDEX
																		(BGl_localzf2variantzf2zzinline_variantz00);
																	BgL_arg1332z00_1329 = BgL_res1770z00_1720;
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_localz00_1310))),
																	BgL_arg1332z00_1329);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_1310)));
														}
														{
															BgL_localzf2variantzf2_bglt BgL_auxz00_2292;

															{
																obj_t BgL_auxz00_2293;

																{	/* Inline/variant.scm 50 */
																	BgL_objectz00_bglt BgL_tmpz00_2294;

																	BgL_tmpz00_2294 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_localz00_1310)));
																	BgL_auxz00_2293 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2294);
																}
																BgL_auxz00_2292 =
																	((BgL_localzf2variantzf2_bglt)
																	BgL_auxz00_2293);
															}
															((((BgL_localzf2variantzf2_bglt)
																		CREF(BgL_auxz00_2292))->BgL_variantz00) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_localz00_1310));
										}}}
										{
											obj_t BgL_ll1263z00_2305;
											obj_t BgL_ll1262z00_2303;

											BgL_ll1262z00_2303 = CDR(BgL_ll1262z00_1306);
											BgL_ll1263z00_2305 = CDR(BgL_ll1263z00_1307);
											BgL_ll1263z00_1307 = BgL_ll1263z00_2305;
											BgL_ll1262z00_1306 = BgL_ll1262z00_2303;
											goto BgL_zc3anonymousza31293ze3z83_1308;
										}
									}
							}
							{
								obj_t BgL_l1267z00_1342;

								BgL_l1267z00_1342 = BgL_callsz00_54;
							BgL_zc3anonymousza31376ze3z83_1343:
								if (PAIRP(BgL_l1267z00_1342))
									{	/* Inline/variant.scm 53 */
										{	/* Inline/variant.scm 54 */
											BgL_appz00_bglt BgL_appz00_1345;

											BgL_appz00_1345 =
												((BgL_appz00_bglt) CAR(BgL_l1267z00_1342));
											{	/* Inline/variant.scm 54 */
												obj_t BgL_g1140z00_1346;

												BgL_g1140z00_1346 =
													(((BgL_appz00_bglt) CREF(BgL_appz00_1345))->
													BgL_argsz00);
												{
													obj_t BgL_actualsz00_1348;
													obj_t BgL_argsz00_1349;

													BgL_actualsz00_1348 = BgL_g1140z00_1346;
													BgL_argsz00_1349 = BgL_argsz00_1303;
												BgL_zc3anonymousza31378ze3z83_1350:
													if (NULLP(BgL_argsz00_1349))
														{	/* Inline/variant.scm 57 */
															CNST_TABLE_REF(((long) 1));
														}
													else
														{	/* Inline/variant.scm 57 */
															if (NULLP(BgL_actualsz00_1348))
																{
																	obj_t BgL_l1265z00_1354;

																	{	/* Inline/variant.scm 60 */
																		bool_t BgL_tmpz00_2317;

																		BgL_l1265z00_1354 = BgL_argsz00_1349;
																	BgL_zc3anonymousza31381ze3z83_1355:
																		if (PAIRP(BgL_l1265z00_1354))
																			{	/* Inline/variant.scm 60 */
																				{	/* Inline/variant.scm 61 */
																					obj_t BgL_localz00_1357;

																					BgL_localz00_1357 =
																						CAR(BgL_l1265z00_1354);
																					{
																						BgL_localzf2variantzf2_bglt
																							BgL_auxz00_2321;
																						{
																							obj_t BgL_auxz00_2322;

																							{	/* Inline/variant.scm 61 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_2323;
																								BgL_tmpz00_2323 =
																									((BgL_objectz00_bglt) (
																										(BgL_localz00_bglt)
																										BgL_localz00_1357));
																								BgL_auxz00_2322 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_2323);
																							}
																							BgL_auxz00_2321 =
																								((BgL_localzf2variantzf2_bglt)
																								BgL_auxz00_2322);
																						}
																						((((BgL_localzf2variantzf2_bglt)
																									CREF(BgL_auxz00_2321))->
																								BgL_variantz00) =
																							((bool_t) ((bool_t) 1)), BUNSPEC);
																					}
																				}
																				{
																					obj_t BgL_l1265z00_2329;

																					BgL_l1265z00_2329 =
																						CDR(BgL_l1265z00_1354);
																					BgL_l1265z00_1354 = BgL_l1265z00_2329;
																					goto
																						BgL_zc3anonymousza31381ze3z83_1355;
																				}
																			}
																		else
																			{	/* Inline/variant.scm 60 */
																				BgL_tmpz00_2317 = ((bool_t) 1);
																			}
																		BBOOL(BgL_tmpz00_2317);
																	}
																}
															else
																{	/* Inline/variant.scm 63 */
																	bool_t BgL_testz00_2332;

																	{	/* Inline/variant.scm 63 */
																		bool_t BgL_testz00_2333;

																		{	/* Inline/variant.scm 63 */
																			obj_t BgL_arg1470z00_1376;

																			BgL_arg1470z00_1376 =
																				CAR(BgL_actualsz00_1348);
																			BgL_testz00_2333 =
																				BGl_isazf3zf3zz__objectz00
																				(BgL_arg1470z00_1376,
																				BGl_varz00zzast_nodez00);
																		}
																		if (BgL_testz00_2333)
																			{	/* Inline/variant.scm 63 */
																				BgL_testz00_2332 =
																					(
																					((obj_t)
																						(((BgL_varz00_bglt) CREF(
																									((BgL_varz00_bglt)
																										CAR
																										(BgL_actualsz00_1348))))->
																							BgL_variablez00)) ==
																					CAR(BgL_argsz00_1349));
																			}
																		else
																			{	/* Inline/variant.scm 63 */
																				BgL_testz00_2332 = ((bool_t) 0);
																			}
																	}
																	if (BgL_testz00_2332)
																		{
																			obj_t BgL_argsz00_2344;
																			obj_t BgL_actualsz00_2342;

																			BgL_actualsz00_2342 =
																				CDR(BgL_actualsz00_1348);
																			BgL_argsz00_2344 = CDR(BgL_argsz00_1349);
																			BgL_argsz00_1349 = BgL_argsz00_2344;
																			BgL_actualsz00_1348 = BgL_actualsz00_2342;
																			goto BgL_zc3anonymousza31378ze3z83_1350;
																		}
																	else
																		{	/* Inline/variant.scm 63 */
																			{	/* Inline/variant.scm 67 */
																				obj_t BgL_arg1437z00_1369;

																				BgL_arg1437z00_1369 =
																					CAR(BgL_argsz00_1349);
																				{
																					BgL_localzf2variantzf2_bglt
																						BgL_auxz00_2347;
																					{
																						obj_t BgL_auxz00_2348;

																						{	/* Inline/variant.scm 67 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_2349;
																							BgL_tmpz00_2349 =
																								((BgL_objectz00_bglt) (
																									(BgL_localz00_bglt)
																									BgL_arg1437z00_1369));
																							BgL_auxz00_2348 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_2349);
																						}
																						BgL_auxz00_2347 =
																							((BgL_localzf2variantzf2_bglt)
																							BgL_auxz00_2348);
																					}
																					((((BgL_localzf2variantzf2_bglt)
																								CREF(BgL_auxz00_2347))->
																							BgL_variantz00) =
																						((bool_t) ((bool_t) 1)), BUNSPEC);
																				}
																			}
																			{
																				obj_t BgL_argsz00_2357;
																				obj_t BgL_actualsz00_2355;

																				BgL_actualsz00_2355 =
																					CDR(BgL_actualsz00_1348);
																				BgL_argsz00_2357 =
																					CDR(BgL_argsz00_1349);
																				BgL_argsz00_1349 = BgL_argsz00_2357;
																				BgL_actualsz00_1348 =
																					BgL_actualsz00_2355;
																				goto BgL_zc3anonymousza31378ze3z83_1350;
																			}
																		}
																}
														}
												}
											}
										}
										{
											obj_t BgL_l1267z00_2359;

											BgL_l1267z00_2359 = CDR(BgL_l1267z00_1342);
											BgL_l1267z00_1342 = BgL_l1267z00_2359;
											goto BgL_zc3anonymousza31376ze3z83_1343;
										}
									}
								else
									{	/* Inline/variant.scm 53 */
										((bool_t) 1);
									}
							}
							{
								obj_t BgL_argsz00_1382;
								obj_t BgL_invariantz00_1383;

								BgL_argsz00_1382 = BgL_argsz00_1303;
								BgL_invariantz00_1383 = BNIL;
							BgL_zc3anonymousza31482ze3z83_1384:
								if (NULLP(BgL_argsz00_1382))
									{	/* Inline/variant.scm 73 */
										return bgl_reverse_bang(BgL_invariantz00_1383);
									}
								else
									{	/* Inline/variant.scm 75 */
										obj_t BgL_arg1484z00_1386;
										obj_t BgL_arg1485z00_1387;

										BgL_arg1484z00_1386 = CDR(BgL_argsz00_1382);
										{	/* Inline/variant.scm 76 */
											bool_t BgL_testz00_2365;

											{
												BgL_localzf2variantzf2_bglt BgL_auxz00_2366;

												{
													obj_t BgL_auxz00_2367;

													{	/* Inline/variant.scm 76 */
														BgL_objectz00_bglt BgL_tmpz00_2368;

														BgL_tmpz00_2368 =
															((BgL_objectz00_bglt)
															((BgL_localz00_bglt) CAR(BgL_argsz00_1382)));
														BgL_auxz00_2367 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2368);
													}
													BgL_auxz00_2366 =
														((BgL_localzf2variantzf2_bglt) BgL_auxz00_2367);
												}
												BgL_testz00_2365 =
													(((BgL_localzf2variantzf2_bglt)
														CREF(BgL_auxz00_2366))->BgL_variantz00);
											}
											if (BgL_testz00_2365)
												{	/* Inline/variant.scm 76 */
													BgL_arg1485z00_1387 = BgL_invariantz00_1383;
												}
											else
												{	/* Inline/variant.scm 76 */
													BgL_arg1485z00_1387 =
														MAKE_YOUNG_PAIR(CAR(BgL_argsz00_1382),
														BgL_invariantz00_1383);
												}
										}
										{
											obj_t BgL_invariantz00_2378;
											obj_t BgL_argsz00_2377;

											BgL_argsz00_2377 = BgL_arg1484z00_1386;
											BgL_invariantz00_2378 = BgL_arg1485z00_1387;
											BgL_invariantz00_1383 = BgL_invariantz00_2378;
											BgL_argsz00_1382 = BgL_argsz00_2377;
											goto BgL_zc3anonymousza31482ze3z83_1384;
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &invariant-args */
	obj_t BGl_z62invariantzd2argszb0zzinline_variantz00(obj_t BgL_envz00_1912,
		obj_t BgL_nodez00_1913, obj_t BgL_varz00_1914, obj_t BgL_callsz00_1915)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 36 */
			return
				BGl_invariantzd2argszd2zzinline_variantz00(
				((BgL_nodez00_bglt) BgL_nodez00_1913),
				((BgL_variablez00_bglt) BgL_varz00_1914), BgL_callsz00_1915);
		}
	}



/* variant-args */
	BGL_EXPORTED_DEF obj_t
		BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt BgL_varz00_55)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 85 */
			{	/* Inline/variant.scm 86 */
				BgL_valuez00_bglt BgL_funz00_1393;

				BgL_funz00_1393 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_55))->BgL_valuez00);
				{	/* Inline/variant.scm 86 */
					obj_t BgL_argsz00_1394;

					BgL_argsz00_1394 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_funz00_1393)))->BgL_argsz00);
					{	/* Inline/variant.scm 87 */

						{
							obj_t BgL_argsz00_1397;
							obj_t BgL_variantz00_1398;

							BgL_argsz00_1397 = BgL_argsz00_1394;
							BgL_variantz00_1398 = BNIL;
						BgL_zc3anonymousza31494ze3z83_1399:
							if (NULLP(BgL_argsz00_1397))
								{	/* Inline/variant.scm 90 */
									return bgl_reverse_bang(BgL_variantz00_1398);
								}
							else
								{	/* Inline/variant.scm 92 */
									obj_t BgL_arg1504z00_1401;
									obj_t BgL_arg1507z00_1402;

									BgL_arg1504z00_1401 = CDR(BgL_argsz00_1397);
									{	/* Inline/variant.scm 93 */
										bool_t BgL_testz00_2389;

										{
											BgL_localzf2variantzf2_bglt BgL_auxz00_2390;

											{
												obj_t BgL_auxz00_2391;

												{	/* Inline/variant.scm 93 */
													BgL_objectz00_bglt BgL_tmpz00_2392;

													BgL_tmpz00_2392 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) CAR(BgL_argsz00_1397)));
													BgL_auxz00_2391 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2392);
												}
												BgL_auxz00_2390 =
													((BgL_localzf2variantzf2_bglt) BgL_auxz00_2391);
											}
											BgL_testz00_2389 =
												(((BgL_localzf2variantzf2_bglt) CREF(BgL_auxz00_2390))->
												BgL_variantz00);
										}
										if (BgL_testz00_2389)
											{	/* Inline/variant.scm 93 */
												BgL_arg1507z00_1402 =
													MAKE_YOUNG_PAIR(CAR(BgL_argsz00_1397),
													BgL_variantz00_1398);
											}
										else
											{	/* Inline/variant.scm 93 */
												BgL_arg1507z00_1402 = BgL_variantz00_1398;
											}
									}
									{
										obj_t BgL_variantz00_2402;
										obj_t BgL_argsz00_2401;

										BgL_argsz00_2401 = BgL_arg1504z00_1401;
										BgL_variantz00_2402 = BgL_arg1507z00_1402;
										BgL_variantz00_1398 = BgL_variantz00_2402;
										BgL_argsz00_1397 = BgL_argsz00_2401;
										goto BgL_zc3anonymousza31494ze3z83_1399;
									}
								}
						}
					}
				}
			}
		}
	}



/* &variant-args */
	obj_t BGl_z62variantzd2argszb0zzinline_variantz00(obj_t BgL_envz00_1916,
		obj_t BgL_varz00_1917)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 85 */
			return
				BGl_variantzd2argszd2zzinline_variantz00(
				((BgL_variablez00_bglt) BgL_varz00_1917));
		}
	}



/* substitutions */
	BGL_EXPORTED_DEF obj_t
		BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt BgL_varz00_56,
		obj_t BgL_actualsz00_57, obj_t BgL_varzd2argszd2_58)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 100 */
			{	/* Inline/variant.scm 101 */
				BgL_valuez00_bglt BgL_funz00_1408;

				BgL_funz00_1408 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_56))->BgL_valuez00);
				{	/* Inline/variant.scm 101 */
					obj_t BgL_allzd2argszd2_1409;

					BgL_allzd2argszd2_1409 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_funz00_1408)))->BgL_argsz00);
					{	/* Inline/variant.scm 102 */

						{
							obj_t BgL_actualsz00_1412;
							obj_t BgL_allzd2argszd2_1413;
							obj_t BgL_varzd2argszd2_1414;
							obj_t BgL_substitutionsz00_1415;

							BgL_actualsz00_1412 = BgL_actualsz00_57;
							BgL_allzd2argszd2_1413 = BgL_allzd2argszd2_1409;
							BgL_varzd2argszd2_1414 = BgL_varzd2argszd2_58;
							BgL_substitutionsz00_1415 = BNIL;
						BgL_zc3anonymousza31527ze3z83_1416:
							if (NULLP(BgL_allzd2argszd2_1413))
								{	/* Inline/variant.scm 108 */
									return bgl_reverse_bang(BgL_substitutionsz00_1415);
								}
							else
								{	/* Inline/variant.scm 110 */
									bool_t BgL_testz00_2411;

									{
										BgL_localzf2variantzf2_bglt BgL_auxz00_2412;

										{
											obj_t BgL_auxz00_2413;

											{	/* Inline/variant.scm 110 */
												BgL_objectz00_bglt BgL_tmpz00_2414;

												BgL_tmpz00_2414 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt) CAR(BgL_allzd2argszd2_1413)));
												BgL_auxz00_2413 = BGL_OBJECT_WIDENING(BgL_tmpz00_2414);
											}
											BgL_auxz00_2412 =
												((BgL_localzf2variantzf2_bglt) BgL_auxz00_2413);
										}
										BgL_testz00_2411 =
											(((BgL_localzf2variantzf2_bglt) CREF(BgL_auxz00_2412))->
											BgL_variantz00);
									}
									if (BgL_testz00_2411)
										{	/* Inline/variant.scm 111 */
											obj_t BgL_arg1533z00_1420;
											obj_t BgL_arg1535z00_1421;
											obj_t BgL_arg1537z00_1422;
											obj_t BgL_arg1540z00_1423;

											BgL_arg1533z00_1420 = CDR(BgL_actualsz00_1412);
											BgL_arg1535z00_1421 = CDR(BgL_allzd2argszd2_1413);
											BgL_arg1537z00_1422 = CDR(BgL_varzd2argszd2_1414);
											BgL_arg1540z00_1423 =
												MAKE_YOUNG_PAIR(CAR(BgL_varzd2argszd2_1414),
												BgL_substitutionsz00_1415);
											{
												obj_t BgL_substitutionsz00_2429;
												obj_t BgL_varzd2argszd2_2428;
												obj_t BgL_allzd2argszd2_2427;
												obj_t BgL_actualsz00_2426;

												BgL_actualsz00_2426 = BgL_arg1533z00_1420;
												BgL_allzd2argszd2_2427 = BgL_arg1535z00_1421;
												BgL_varzd2argszd2_2428 = BgL_arg1537z00_1422;
												BgL_substitutionsz00_2429 = BgL_arg1540z00_1423;
												BgL_substitutionsz00_1415 = BgL_substitutionsz00_2429;
												BgL_varzd2argszd2_1414 = BgL_varzd2argszd2_2428;
												BgL_allzd2argszd2_1413 = BgL_allzd2argszd2_2427;
												BgL_actualsz00_1412 = BgL_actualsz00_2426;
												goto BgL_zc3anonymousza31527ze3z83_1416;
											}
										}
									else
										{	/* Inline/variant.scm 116 */
											obj_t BgL_arg1542z00_1425;
											obj_t BgL_arg1545z00_1426;
											obj_t BgL_arg1546z00_1427;

											BgL_arg1542z00_1425 = CDR(BgL_actualsz00_1412);
											BgL_arg1545z00_1426 = CDR(BgL_allzd2argszd2_1413);
											{	/* Inline/variant.scm 119 */
												obj_t BgL_arg1551z00_1428;

												{	/* Inline/variant.scm 119 */
													bool_t BgL_testz00_2432;

													{	/* Inline/variant.scm 119 */
														obj_t BgL_arg1560z00_1432;

														BgL_arg1560z00_1432 = CAR(BgL_actualsz00_1412);
														BgL_testz00_2432 =
															BGl_isazf3zf3zz__objectz00(BgL_arg1560z00_1432,
															BGl_varz00zzast_nodez00);
													}
													if (BgL_testz00_2432)
														{	/* Inline/variant.scm 119 */
															BgL_arg1551z00_1428 =
																((obj_t)
																(((BgL_varz00_bglt) CREF(
																			((BgL_varz00_bglt)
																				CAR(BgL_actualsz00_1412))))->
																	BgL_variablez00));
														}
													else
														{	/* Inline/variant.scm 119 */
															BgL_arg1551z00_1428 = CAR(BgL_actualsz00_1412);
														}
												}
												BgL_arg1546z00_1427 =
													MAKE_YOUNG_PAIR(BgL_arg1551z00_1428,
													BgL_substitutionsz00_1415);
											}
											{
												obj_t BgL_substitutionsz00_2443;
												obj_t BgL_allzd2argszd2_2442;
												obj_t BgL_actualsz00_2441;

												BgL_actualsz00_2441 = BgL_arg1542z00_1425;
												BgL_allzd2argszd2_2442 = BgL_arg1545z00_1426;
												BgL_substitutionsz00_2443 = BgL_arg1546z00_1427;
												BgL_substitutionsz00_1415 = BgL_substitutionsz00_2443;
												BgL_allzd2argszd2_1413 = BgL_allzd2argszd2_2442;
												BgL_actualsz00_1412 = BgL_actualsz00_2441;
												goto BgL_zc3anonymousza31527ze3z83_1416;
											}
										}
								}
						}
					}
				}
			}
		}
	}



/* &substitutions */
	obj_t BGl_z62substitutionsz62zzinline_variantz00(obj_t BgL_envz00_1918,
		obj_t BgL_varz00_1919, obj_t BgL_actualsz00_1920,
		obj_t BgL_varzd2argszd2_1921)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 100 */
			return
				BGl_substitutionsz00zzinline_variantz00(
				((BgL_variablez00_bglt) BgL_varz00_1919), BgL_actualsz00_1920,
				BgL_varzd2argszd2_1921);
		}
	}



/* shrink-args! */
	BGL_EXPORTED_DEF obj_t
		BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt
		BgL_varz00_59)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 127 */
			{	/* Inline/variant.scm 128 */
				BgL_valuez00_bglt BgL_funz00_1435;

				BgL_funz00_1435 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_59))->BgL_valuez00);
				{	/* Inline/variant.scm 128 */
					obj_t BgL_argsz00_1436;

					BgL_argsz00_1436 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_funz00_1435)))->BgL_argsz00);
					{	/* Inline/variant.scm 129 */

						{
							obj_t BgL_l1269z00_1438;

							{	/* Inline/variant.scm 130 */
								bool_t BgL_tmpz00_2449;

								BgL_l1269z00_1438 = BgL_argsz00_1436;
							BgL_zc3anonymousza31569ze3z83_1439:
								if (PAIRP(BgL_l1269z00_1438))
									{	/* Inline/variant.scm 130 */
										{	/* Inline/variant.scm 130 */
											obj_t BgL_az00_1441;

											BgL_az00_1441 = CAR(BgL_l1269z00_1438);
											{	/* Inline/variant.scm 130 */
												bool_t BgL_testz00_2453;

												{	/* Inline/variant.scm 130 */
													bool_t BgL_testz00_2454;

													{	/* Inline/variant.scm 130 */
														obj_t BgL_tmpz00_2455;

														{	/* Inline/variant.scm 130 */
															BgL_objectz00_bglt BgL_tmpz00_2456;

															BgL_tmpz00_2456 =
																((BgL_objectz00_bglt) BgL_az00_1441);
															BgL_tmpz00_2455 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2456);
														}
														BgL_testz00_2454 = CBOOL(BgL_tmpz00_2455);
													}
													if (BgL_testz00_2454)
														{	/* Inline/variant.scm 130 */
															BgL_testz00_2453 = ((bool_t) 1);
														}
													else
														{	/* Inline/variant.scm 130 */
															BgL_testz00_2453 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_2453)
													{	/* Inline/variant.scm 130 */
														{	/* Inline/variant.scm 130 */
															long BgL_arg1579z00_1444;

															{	/* Inline/variant.scm 130 */
																obj_t BgL_arg1580z00_1445;

																{	/* Inline/variant.scm 130 */
																	obj_t BgL_arg1583z00_1446;

																	{	/* Inline/variant.scm 130 */
																		long BgL_arg1722z00_1784;

																		{	/* Inline/variant.scm 130 */
																			long BgL_arg1723z00_1785;

																			{	/* Inline/variant.scm 130 */
																				long BgL_res1782z00_1787;

																				BgL_res1782z00_1787 =
																					BGL_OBJECT_CLASS_NUM(
																					((BgL_objectz00_bglt) BgL_az00_1441));
																				BgL_arg1723z00_1785 =
																					BgL_res1782z00_1787;
																			}
																			BgL_arg1722z00_1784 =
																				(BgL_arg1723z00_1785 - OBJECT_TYPE);
																		}
																		BgL_arg1583z00_1446 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			(int) (BgL_arg1722z00_1784));
																	}
																	BgL_arg1580z00_1445 =
																		BGl_classzd2superzd2zz__objectz00
																		(BgL_arg1583z00_1446);
																}
																{	/* Inline/variant.scm 130 */
																	long BgL_res1784z00_1794;

																	BgL_res1784z00_1794 =
																		BGL_CLASS_INDEX(BgL_arg1580z00_1445);
																	BgL_arg1579z00_1444 = BgL_res1784z00_1794;
															}}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_az00_1441),
																BgL_arg1579z00_1444);
														}
														{	/* Inline/variant.scm 130 */
															BgL_objectz00_bglt BgL_tmpz00_2469;

															BgL_tmpz00_2469 =
																((BgL_objectz00_bglt) BgL_az00_1441);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2469, BFALSE);
														} BgL_az00_1441;
													}
												else
													{	/* Inline/variant.scm 130 */
														BFALSE;
													}
											}
										}
										{
											obj_t BgL_l1269z00_2472;

											BgL_l1269z00_2472 = CDR(BgL_l1269z00_1438);
											BgL_l1269z00_1438 = BgL_l1269z00_2472;
											goto BgL_zc3anonymousza31569ze3z83_1439;
										}
									}
								else
									{	/* Inline/variant.scm 130 */
										BgL_tmpz00_2449 = ((bool_t) 1);
									}
								return BBOOL(BgL_tmpz00_2449);
							}
						}
					}
				}
			}
		}
	}



/* &shrink-args! */
	obj_t BGl_z62shrinkzd2argsz12za2zzinline_variantz00(obj_t BgL_envz00_1922,
		obj_t BgL_varz00_1923)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 127 */
			return
				BGl_shrinkzd2argsz12zc0zzinline_variantz00(
				((BgL_variablez00_bglt) BgL_varz00_1923));
		}
	}



/* remove-invariant-args! */
	BGL_EXPORTED_DEF BgL_appz00_bglt
		BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt
		BgL_appz00_60)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 141 */
			{	/* Inline/variant.scm 143 */
				obj_t BgL_g1148z00_1450;

				BgL_g1148z00_1450 =
					(((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) CREF(
											(((BgL_varz00_bglt) CREF(
														(((BgL_appz00_bglt) CREF(BgL_appz00_60))->
															BgL_funz00)))->BgL_variablez00)))->
									BgL_valuez00))))->BgL_argsz00);
				{
					obj_t BgL_formalsz00_1454;
					obj_t BgL_oldzd2argszd2_1455;
					obj_t BgL_newzd2argszd2_1456;

					BgL_formalsz00_1454 = BgL_g1148z00_1450;
					BgL_oldzd2argszd2_1455 =
						(((BgL_appz00_bglt) CREF(BgL_appz00_60))->BgL_argsz00);
					BgL_newzd2argszd2_1456 = BNIL;
				BgL_zc3anonymousza31591ze3z83_1457:
					if (NULLP(BgL_oldzd2argszd2_1455))
						{	/* Inline/variant.scm 147 */
							((((BgL_appz00_bglt) CREF(BgL_appz00_60))->BgL_argsz00) = ((obj_t)
									bgl_reverse_bang(BgL_newzd2argszd2_1456)), BUNSPEC);
							return BgL_appz00_60;
						}
					else
						{	/* Inline/variant.scm 150 */
							bool_t BgL_testz00_2486;

							{	/* Inline/variant.scm 150 */
								bool_t BgL_testz00_2487;

								{	/* Inline/variant.scm 150 */
									obj_t BgL_arg1635z00_1475;

									BgL_arg1635z00_1475 = CAR(BgL_formalsz00_1454);
									BgL_testz00_2487 =
										BGl_isazf3zf3zz__objectz00(BgL_arg1635z00_1475,
										BGl_localzf2variantzf2zzinline_variantz00);
								}
								if (BgL_testz00_2487)
									{	/* Inline/variant.scm 151 */
										bool_t BgL_testz00_2490;

										{
											BgL_localzf2variantzf2_bglt BgL_auxz00_2491;

											{
												obj_t BgL_auxz00_2492;

												{	/* Inline/variant.scm 151 */
													BgL_objectz00_bglt BgL_tmpz00_2493;

													BgL_tmpz00_2493 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) CAR(BgL_formalsz00_1454)));
													BgL_auxz00_2492 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2493);
												}
												BgL_auxz00_2491 =
													((BgL_localzf2variantzf2_bglt) BgL_auxz00_2492);
											}
											BgL_testz00_2490 =
												(((BgL_localzf2variantzf2_bglt) CREF(BgL_auxz00_2491))->
												BgL_variantz00);
										}
										if (BgL_testz00_2490)
											{	/* Inline/variant.scm 151 */
												BgL_testz00_2486 = ((bool_t) 0);
											}
										else
											{	/* Inline/variant.scm 151 */
												BgL_testz00_2486 = ((bool_t) 1);
											}
									}
								else
									{	/* Inline/variant.scm 150 */
										BgL_testz00_2486 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_2486)
								{
									obj_t BgL_oldzd2argszd2_2502;
									obj_t BgL_formalsz00_2500;

									BgL_formalsz00_2500 = CDR(BgL_formalsz00_1454);
									BgL_oldzd2argszd2_2502 = CDR(BgL_oldzd2argszd2_1455);
									BgL_oldzd2argszd2_1455 = BgL_oldzd2argszd2_2502;
									BgL_formalsz00_1454 = BgL_formalsz00_2500;
									goto BgL_zc3anonymousza31591ze3z83_1457;
								}
							else
								{	/* Inline/variant.scm 156 */
									obj_t BgL_arg1611z00_1468;
									obj_t BgL_arg1615z00_1469;
									obj_t BgL_arg1626z00_1470;

									BgL_arg1611z00_1468 = CDR(BgL_formalsz00_1454);
									BgL_arg1615z00_1469 = CDR(BgL_oldzd2argszd2_1455);
									BgL_arg1626z00_1470 =
										MAKE_YOUNG_PAIR(CAR(BgL_oldzd2argszd2_1455),
										BgL_newzd2argszd2_1456);
									{
										obj_t BgL_newzd2argszd2_2510;
										obj_t BgL_oldzd2argszd2_2509;
										obj_t BgL_formalsz00_2508;

										BgL_formalsz00_2508 = BgL_arg1611z00_1468;
										BgL_oldzd2argszd2_2509 = BgL_arg1615z00_1469;
										BgL_newzd2argszd2_2510 = BgL_arg1626z00_1470;
										BgL_newzd2argszd2_1456 = BgL_newzd2argszd2_2510;
										BgL_oldzd2argszd2_1455 = BgL_oldzd2argszd2_2509;
										BgL_formalsz00_1454 = BgL_formalsz00_2508;
										goto BgL_zc3anonymousza31591ze3z83_1457;
									}
								}
						}
				}
			}
		}
	}



/* &remove-invariant-args! */
	BgL_appz00_bglt
		BGl_z62removezd2invariantzd2argsz12z70zzinline_variantz00(obj_t
		BgL_envz00_1924, obj_t BgL_appz00_1925)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 141 */
			return
				BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(
				((BgL_appz00_bglt) BgL_appz00_1925));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_variantz00()
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 15 */
			{	/* Inline/variant.scm 22 */
				obj_t BgL_arg1643z00_1484;
				obj_t BgL_arg1644z00_1485;

				{	/* Inline/variant.scm 22 */
					obj_t BgL_v1271z00_1518;

					BgL_v1271z00_1518 = create_vector((int) (((long) 1)));
					{	/* Inline/variant.scm 22 */
						obj_t BgL_arg1661z00_1519;

						BgL_arg1661z00_1519 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc1794z00zzinline_variantz00,
							BGl_proc1793z00zzinline_variantz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1271z00_1518, (int) (((long) 0)),
							BgL_arg1661z00_1519);
					}
					BgL_arg1643z00_1484 = BgL_v1271z00_1518;
				}
				{	/* Inline/variant.scm 22 */
					obj_t BgL_v1272z00_1529;

					BgL_v1272z00_1529 = create_vector((int) (((long) 0)));
					BgL_arg1644z00_1485 = BgL_v1272z00_1529;
				}
				return (BGl_localzf2variantzf2zzinline_variantz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 4)),
						CNST_TABLE_REF(((long) 5)), BGl_localz00zzast_varz00,
						((long) 37050), BGl_proc1798z00zzinline_variantz00,
						BGl_proc1797z00zzinline_variantz00, BFALSE,
						BGl_proc1796z00zzinline_variantz00,
						BGl_proc1795z00zzinline_variantz00, BgL_arg1643z00_1484,
						BgL_arg1644z00_1485), BUNSPEC);
		}}
	}



/* &lambda1651 */
	BgL_localz00_bglt BGl_z62lambda1651z62zzinline_variantz00(obj_t
		BgL_envz00_1932, obj_t BgL_o1115z00_1933)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				long BgL_arg1658z00_1978;

				{	/* Inline/variant.scm 22 */
					obj_t BgL_arg1659z00_1979;

					{	/* Inline/variant.scm 22 */
						obj_t BgL_arg1660z00_1980;

						{	/* Inline/variant.scm 22 */
							long BgL_arg1722z00_1981;

							{	/* Inline/variant.scm 22 */
								long BgL_arg1723z00_1982;

								{	/* Inline/variant.scm 22 */
									long BgL_res1790z00_1983;

									BgL_res1790z00_1983 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_o1115z00_1933)));
									BgL_arg1723z00_1982 = BgL_res1790z00_1983;
								}
								BgL_arg1722z00_1981 = (BgL_arg1723z00_1982 - OBJECT_TYPE);
							}
							BgL_arg1660z00_1980 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								(int) (BgL_arg1722z00_1981));
						}
						BgL_arg1659z00_1979 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1660z00_1980);
					}
					{	/* Inline/variant.scm 22 */
						long BgL_res1792z00_1984;

						BgL_res1792z00_1984 = BGL_CLASS_INDEX(BgL_arg1659z00_1979);
						BgL_arg1658z00_1978 = BgL_res1792z00_1984;
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1115z00_1933)), BgL_arg1658z00_1978);
			}
			{	/* Inline/variant.scm 22 */
				BgL_objectz00_bglt BgL_tmpz00_2537;

				BgL_tmpz00_2537 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1115z00_1933));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2537, BFALSE);
			}
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1115z00_1933));
		}
	}



/* &<anonymous:1650> */
	obj_t BGl_z62zc3anonymousza31650ze3ze1zzinline_variantz00(obj_t
		BgL_envz00_1934, obj_t BgL_new1114z00_1935)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 22 */
			{
				BgL_localz00_bglt BgL_new1114z00_1510;

				{
					BgL_localz00_bglt BgL_auxz00_2543;

					BgL_new1114z00_1510 = ((BgL_localz00_bglt) BgL_new1114z00_1935);
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1114z00_1510)))->BgL_idz00) =
						((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1114z00_1510)))->BgL_namez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					{
						BgL_typez00_bglt BgL_auxz00_2549;

						{	/* Inline/variant.scm 22 */
							obj_t BgL_classz00_1824;

							BgL_classz00_1824 = BGl_typez00zztype_typez00;
							{	/* Inline/variant.scm 22 */
								obj_t BgL__ortest_1101z00_1825;

								BgL__ortest_1101z00_1825 = BGL_CLASS_NIL(BgL_classz00_1824);
								if (CBOOL(BgL__ortest_1101z00_1825))
									{	/* Inline/variant.scm 22 */
										BgL_auxz00_2549 =
											((BgL_typez00_bglt) BgL__ortest_1101z00_1825);
									}
								else
									{	/* Inline/variant.scm 22 */
										BgL_auxz00_2549 =
											((BgL_typez00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_1824));
									}
							}
						}
						((((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_new1114z00_1510)))->
								BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_2549), BUNSPEC);
					}
					{
						BgL_valuez00_bglt BgL_auxz00_2558;

						{	/* Inline/variant.scm 22 */
							obj_t BgL_classz00_1826;

							BgL_classz00_1826 = BGl_valuez00zzast_varz00;
							{	/* Inline/variant.scm 22 */
								obj_t BgL__ortest_1101z00_1827;

								BgL__ortest_1101z00_1827 = BGL_CLASS_NIL(BgL_classz00_1826);
								if (CBOOL(BgL__ortest_1101z00_1827))
									{	/* Inline/variant.scm 22 */
										BgL_auxz00_2558 =
											((BgL_valuez00_bglt) BgL__ortest_1101z00_1827);
									}
								else
									{	/* Inline/variant.scm 22 */
										BgL_auxz00_2558 =
											((BgL_valuez00_bglt)
											BGl_classzd2nilzd2initz12z12zz__objectz00
											(BgL_classz00_1826));
									}
							}
						}
						((((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_new1114z00_1510)))->
								BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_2558), BUNSPEC);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1114z00_1510)))->
							BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1114z00_1510)))->BgL_fastzd2alphazd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1114z00_1510)))->BgL_removablez00) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1114z00_1510)))->BgL_occurrencez00) =
						((long) ((long) 0)), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1114z00_1510)))->BgL_occurrencewz00) =
						((long) ((long) 0)), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1114z00_1510)))->BgL_userzf3zf3) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1114z00_1510)))->BgL_keyz00) =
						((long) ((long) 0)), BUNSPEC);
					{
						BgL_localzf2variantzf2_bglt BgL_auxz00_2581;

						{
							obj_t BgL_auxz00_2582;

							{	/* Inline/variant.scm 22 */
								BgL_objectz00_bglt BgL_tmpz00_2583;

								BgL_tmpz00_2583 = ((BgL_objectz00_bglt) BgL_new1114z00_1510);
								BgL_auxz00_2582 = BGL_OBJECT_WIDENING(BgL_tmpz00_2583);
							}
							BgL_auxz00_2581 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_2582);
						}
						((((BgL_localzf2variantzf2_bglt) CREF(BgL_auxz00_2581))->
								BgL_variantz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					}
					BgL_auxz00_2543 = BgL_new1114z00_1510;
					return ((obj_t) BgL_auxz00_2543);
				}
			}
		}
	}



/* &lambda1648 */
	BgL_localz00_bglt BGl_z62lambda1648z62zzinline_variantz00(obj_t
		BgL_envz00_1936, obj_t BgL_o1110z00_1937)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				BgL_localzf2variantzf2_bglt BgL_wide1112z00_1991;

				BgL_wide1112z00_1991 =
					((BgL_localzf2variantzf2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_localzf2variantzf2_bgl))));
				{	/* Inline/variant.scm 22 */
					obj_t BgL_auxz00_2595;
					BgL_objectz00_bglt BgL_tmpz00_2591;

					BgL_auxz00_2595 = ((obj_t) BgL_wide1112z00_1991);
					BgL_tmpz00_2591 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1110z00_1937)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2591, BgL_auxz00_2595);
				}
				{	/* Inline/variant.scm 22 */
					long BgL_arg1649z00_1992;

					{	/* Inline/variant.scm 22 */
						long BgL_res1789z00_1993;

						BgL_res1789z00_1993 =
							BGL_CLASS_INDEX(BGl_localzf2variantzf2zzinline_variantz00);
						BgL_arg1649z00_1992 = BgL_res1789z00_1993;
					}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1110z00_1937))), BgL_arg1649z00_1992);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1110z00_1937)));
			}
		}
	}



/* &lambda1645 */
	BgL_localz00_bglt BGl_z62lambda1645z62zzinline_variantz00(obj_t
		BgL_envz00_1938, obj_t BgL_id1098z00_1939, obj_t BgL_name1099z00_1940,
		obj_t BgL_type1100z00_1941, obj_t BgL_value1101z00_1942,
		obj_t BgL_access1102z00_1943, obj_t BgL_fastzd2alpha1103zd2_1944,
		obj_t BgL_removable1104z00_1945, obj_t BgL_occurrence1105z00_1946,
		obj_t BgL_occurrencew1106z00_1947, obj_t BgL_userzf31107zf3_1948,
		obj_t BgL_key1108z00_1949, obj_t BgL_variant1109z00_1950)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				long BgL_occurrence1105z00_1997;
				long BgL_occurrencew1106z00_1998;
				bool_t BgL_userzf31107zf3_1999;
				long BgL_key1108z00_2000;
				bool_t BgL_variant1109z00_2001;

				BgL_occurrence1105z00_1997 = (long) CINT(BgL_occurrence1105z00_1946);
				BgL_occurrencew1106z00_1998 = (long) CINT(BgL_occurrencew1106z00_1947);
				BgL_userzf31107zf3_1999 = CBOOL(BgL_userzf31107zf3_1948);
				BgL_key1108z00_2000 = (long) CINT(BgL_key1108z00_1949);
				BgL_variant1109z00_2001 = CBOOL(BgL_variant1109z00_1950);
				{	/* Inline/variant.scm 22 */
					BgL_localz00_bglt BgL_new1154z00_2002;

					{	/* Inline/variant.scm 22 */
						BgL_localz00_bglt BgL_tmp1152z00_2003;
						BgL_localzf2variantzf2_bglt BgL_wide1153z00_2004;

						{
							BgL_localz00_bglt BgL_auxz00_2611;

							{	/* Inline/variant.scm 22 */
								BgL_localz00_bglt BgL_new1151z00_2005;

								BgL_new1151z00_2005 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Inline/variant.scm 22 */
									long BgL_arg1647z00_2006;

									{	/* Inline/variant.scm 22 */
										long BgL_res1787z00_2007;

										BgL_res1787z00_2007 =
											BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
										BgL_arg1647z00_2006 = BgL_res1787z00_2007;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1151z00_2005),
										BgL_arg1647z00_2006);
								}
								{	/* Inline/variant.scm 22 */
									BgL_objectz00_bglt BgL_tmpz00_2616;

									BgL_tmpz00_2616 = ((BgL_objectz00_bglt) BgL_new1151z00_2005);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2616, BFALSE);
								}
								BgL_auxz00_2611 = BgL_new1151z00_2005;
							}
							BgL_tmp1152z00_2003 = ((BgL_localz00_bglt) BgL_auxz00_2611);
						}
						BgL_wide1153z00_2004 =
							((BgL_localzf2variantzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2variantzf2_bgl))));
						{	/* Inline/variant.scm 22 */
							obj_t BgL_auxz00_2623;
							BgL_objectz00_bglt BgL_tmpz00_2621;

							BgL_auxz00_2623 = ((obj_t) BgL_wide1153z00_2004);
							BgL_tmpz00_2621 = ((BgL_objectz00_bglt) BgL_tmp1152z00_2003);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2621, BgL_auxz00_2623);
						}
						{	/* Inline/variant.scm 22 */
							long BgL_arg1646z00_2008;

							{	/* Inline/variant.scm 22 */
								long BgL_res1788z00_2009;

								BgL_res1788z00_2009 =
									BGL_CLASS_INDEX(BGl_localzf2variantzf2zzinline_variantz00);
								BgL_arg1646z00_2008 = BgL_res1788z00_2009;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1152z00_2003),
								BgL_arg1646z00_2008);
						}
						BgL_new1154z00_2002 = ((BgL_localz00_bglt) BgL_tmp1152z00_2003);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1154z00_2002)))->BgL_idz00) =
						((obj_t) BgL_id1098z00_1939), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1154z00_2002)))->BgL_namez00) =
						((obj_t) BgL_name1099z00_1940), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1154z00_2002)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1100z00_1941)),
						BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1154z00_2002)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1101z00_1942)),
						BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1154z00_2002)))->BgL_accessz00) =
						((obj_t) BgL_access1102z00_1943), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1154z00_2002)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1103zd2_1944), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1154z00_2002)))->BgL_removablez00) =
						((obj_t) BgL_removable1104z00_1945), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1154z00_2002)))->BgL_occurrencez00) =
						((long) BgL_occurrence1105z00_1997), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1154z00_2002)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1106z00_1998), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1154z00_2002)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31107zf3_1999), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1154z00_2002)))->BgL_keyz00) =
						((long) BgL_key1108z00_2000), BUNSPEC);
					{
						BgL_localzf2variantzf2_bglt BgL_auxz00_2654;

						{
							obj_t BgL_auxz00_2655;

							{	/* Inline/variant.scm 22 */
								BgL_objectz00_bglt BgL_tmpz00_2656;

								BgL_tmpz00_2656 = ((BgL_objectz00_bglt) BgL_new1154z00_2002);
								BgL_auxz00_2655 = BGL_OBJECT_WIDENING(BgL_tmpz00_2656);
							}
							BgL_auxz00_2654 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_2655);
						}
						((((BgL_localzf2variantzf2_bglt) CREF(BgL_auxz00_2654))->
								BgL_variantz00) = ((bool_t) BgL_variant1109z00_2001), BUNSPEC);
					}
					return BgL_new1154z00_2002;
				}
			}
		}
	}



/* &lambda1665 */
	obj_t BGl_z62lambda1665z62zzinline_variantz00(obj_t BgL_envz00_1951,
		obj_t BgL_oz00_1952, obj_t BgL_vz00_1953)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				bool_t BgL_vz00_2011;

				BgL_vz00_2011 = CBOOL(BgL_vz00_1953);
				{
					BgL_localzf2variantzf2_bglt BgL_auxz00_2662;

					{
						obj_t BgL_auxz00_2663;

						{	/* Inline/variant.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_2664;

							BgL_tmpz00_2664 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_1952));
							BgL_auxz00_2663 = BGL_OBJECT_WIDENING(BgL_tmpz00_2664);
						}
						BgL_auxz00_2662 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_2663);
					}
					return
						((((BgL_localzf2variantzf2_bglt) CREF(BgL_auxz00_2662))->
							BgL_variantz00) = ((bool_t) BgL_vz00_2011), BUNSPEC);
				}
			}
		}
	}



/* &lambda1664 */
	obj_t BGl_z62lambda1664z62zzinline_variantz00(obj_t BgL_envz00_1954,
		obj_t BgL_oz00_1955)
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				bool_t BgL_tmpz00_2670;

				{
					BgL_localzf2variantzf2_bglt BgL_auxz00_2671;

					{
						obj_t BgL_auxz00_2672;

						{	/* Inline/variant.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_2673;

							BgL_tmpz00_2673 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_1955));
							BgL_auxz00_2672 = BGL_OBJECT_WIDENING(BgL_tmpz00_2673);
						}
						BgL_auxz00_2671 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_2672);
					}
					BgL_tmpz00_2670 =
						(((BgL_localzf2variantzf2_bglt) CREF(BgL_auxz00_2671))->
						BgL_variantz00);
				}
				return BBOOL(BgL_tmpz00_2670);
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_variantz00()
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_variantz00()
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_variantz00()
	{
		AN_OBJECT;
		{	/* Inline/variant.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1799z00zzinline_variantz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1799z00zzinline_variantz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1799z00zzinline_variantz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1799z00zzinline_variantz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1799z00zzinline_variantz00));
		}
	}

#ifdef __cplusplus
}
#endif
