/*===========================================================================*/
/*   (Integrate/walk.scm)                                                    */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;


	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzintegrate_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_walkz00();
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_walkz00();
	static obj_t BGl_z62integratezd2walkz12za2zzintegrate_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_walkz00 = BUNSPEC;
	extern obj_t BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_walkz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzintegrate_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_walkz00();
	BGL_EXPORTED_DECL obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2walkz12zd2envz12zzintegrate_walkz00,
		BgL_bgl_za762integrateza7d2w1581z00,
		BGl_z62integratezd2walkz12za2zzintegrate_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1567z00zzintegrate_walkz00,
		BgL_bgl_string1567za700za7za7i1582za7, "Integration", 11);
	      DEFINE_STRING(BGl_string1568z00zzintegrate_walkz00,
		BgL_bgl_string1568za700za7za7i1583za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1569z00zzintegrate_walkz00,
		BgL_bgl_string1569za700za7za7i1584za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1570z00zzintegrate_walkz00,
		BgL_bgl_string1570za700za7za7i1585za7, " error", 6);
	      DEFINE_STRING(BGl_string1571z00zzintegrate_walkz00,
		BgL_bgl_string1571za700za7za7i1586za7, "s", 1);
	      DEFINE_STRING(BGl_string1572z00zzintegrate_walkz00,
		BgL_bgl_string1572za700za7za7i1587za7, "", 0);
	      DEFINE_STRING(BGl_string1573z00zzintegrate_walkz00,
		BgL_bgl_string1573za700za7za7i1588za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1574z00zzintegrate_walkz00,
		BgL_bgl_string1574za700za7za7i1589za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1575z00zzintegrate_walkz00,
		BgL_bgl_string1575za700za7za7i1590za7, "integrate_walk", 14);
	      DEFINE_STRING(BGl_string1576z00zzintegrate_walkz00,
		BgL_bgl_string1576za700za7za7i1591za7, "(integrate cfa) pass-started ", 29);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long
		BgL_checksumz00_1496, char *BgL_fromz00_1497)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_walkz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00();
					BGl_cnstzd2initzd2zzintegrate_walkz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_walkz00();
					return BGl_methodzd2initzd2zzintegrate_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00()
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_walkz00()
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 15 */
			{	/* Integrate/walk.scm 15 */
				obj_t BgL_cportz00_1483;

				{	/* Integrate/walk.scm 15 */
					obj_t BgL_startz00_1492;

					BgL_startz00_1492 = BINT(((long) 0));
					{	/* Integrate/walk.scm 15 */
						obj_t BgL_endz00_1493;

						BgL_endz00_1493 =
							BINT(STRING_LENGTH(BGl_string1576z00zzintegrate_walkz00));
						{	/* Integrate/walk.scm 15 */

							BgL_cportz00_1483 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1576z00zzintegrate_walkz00, BgL_startz00_1492,
								BgL_endz00_1493);
				}}}
				{
					long BgL_iz00_1484;

					BgL_iz00_1484 = ((long) 1);
				BgL_loopz00_1485:
					if ((BgL_iz00_1484 == ((long) -1)))
						{	/* Integrate/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/walk.scm 15 */
							{	/* Integrate/walk.scm 15 */
								obj_t BgL_arg1579z00_1487;

								{	/* Integrate/walk.scm 15 */

									{	/* Integrate/walk.scm 15 */
										obj_t BgL_locationz00_1489;

										BgL_locationz00_1489 = BBOOL(((bool_t) 0));
										{	/* Integrate/walk.scm 15 */

											BgL_arg1579z00_1487 =
												BGl_readz00zz__readerz00(BgL_cportz00_1483,
												BgL_locationz00_1489);
										}
									}
								}
								{	/* Integrate/walk.scm 15 */
									int BgL_tmpz00_1522;

									BgL_tmpz00_1522 = (int) (BgL_iz00_1484);
									CNST_TABLE_SET(BgL_tmpz00_1522, BgL_arg1579z00_1487);
							}}
							{	/* Integrate/walk.scm 15 */
								int BgL_auxz00_1490;

								BgL_auxz00_1490 = (int) ((BgL_iz00_1484 - ((long) 1)));
								{
									long BgL_iz00_1527;

									BgL_iz00_1527 = (long) (BgL_auxz00_1490);
									BgL_iz00_1484 = BgL_iz00_1527;
									goto BgL_loopz00_1485;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_walkz00()
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1231;

				BgL_headz00_1231 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1232;
					obj_t BgL_tailz00_1233;

					BgL_prevz00_1232 = BgL_headz00_1231;
					BgL_tailz00_1233 = BgL_l1z00_1;
				BgL_loopz00_1234:
					if (PAIRP(BgL_tailz00_1233))
						{
							obj_t BgL_newzd2prevzd2_1236;

							BgL_newzd2prevzd2_1236 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1233), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1232, BgL_newzd2prevzd2_1236);
							{
								obj_t BgL_tailz00_1537;
								obj_t BgL_prevz00_1536;

								BgL_prevz00_1536 = BgL_newzd2prevzd2_1236;
								BgL_tailz00_1537 = CDR(BgL_tailz00_1233);
								BgL_tailz00_1233 = BgL_tailz00_1537;
								BgL_prevz00_1232 = BgL_prevz00_1536;
								goto BgL_loopz00_1234;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1231);
				}
			}
		}
	}



/* integrate-walk! */
	BGL_EXPORTED_DEF obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 29 */
			{	/* Integrate/walk.scm 30 */
				obj_t BgL_list1228z00_1239;

				{	/* Integrate/walk.scm 30 */
					obj_t BgL_arg1232z00_1240;

					{	/* Integrate/walk.scm 30 */
						obj_t BgL_arg1236z00_1241;

						BgL_arg1236z00_1241 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1232z00_1240 =
							MAKE_YOUNG_PAIR(BGl_string1567z00zzintegrate_walkz00,
							BgL_arg1236z00_1241);
					}
					BgL_list1228z00_1239 =
						MAKE_YOUNG_PAIR(BGl_string1568z00zzintegrate_walkz00,
						BgL_arg1232z00_1240);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1228z00_1239);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1567z00zzintegrate_walkz00;
			{
				obj_t BgL_hooksz00_1245;
				obj_t BgL_hnamesz00_1246;

				BgL_hooksz00_1245 = BNIL;
				BgL_hnamesz00_1246 = BNIL;
			BgL_zc3anonymousza31237ze3z83_1247:
				if (NULLP(BgL_hooksz00_1245))
					{	/* Integrate/walk.scm 30 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Integrate/walk.scm 30 */
						bool_t BgL_testz00_1550;

						{	/* Integrate/walk.scm 30 */
							obj_t BgL_fun1249z00_1254;

							BgL_fun1249z00_1254 = CAR(BgL_hooksz00_1245);
							BgL_testz00_1550 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun1249z00_1254) (BgL_fun1249z00_1254,
									BEOA));
						}
						if (BgL_testz00_1550)
							{
								obj_t BgL_hnamesz00_1558;
								obj_t BgL_hooksz00_1556;

								BgL_hooksz00_1556 = CDR(BgL_hooksz00_1245);
								BgL_hnamesz00_1558 = CDR(BgL_hnamesz00_1246);
								BgL_hnamesz00_1246 = BgL_hnamesz00_1558;
								BgL_hooksz00_1245 = BgL_hooksz00_1556;
								goto BgL_zc3anonymousza31237ze3z83_1247;
							}
						else
							{	/* Integrate/walk.scm 30 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string1567z00zzintegrate_walkz00,
									BGl_string1569z00zzintegrate_walkz00,
									CAR(BgL_hnamesz00_1246));
							}
					}
			}
			{
				obj_t BgL_oldz00_1259;
				obj_t BgL_newz00_1260;

				BgL_oldz00_1259 = BgL_globalsz00_3;
				BgL_newz00_1260 = BNIL;
			BgL_zc3anonymousza31251ze3z83_1261:
				if (NULLP(BgL_oldz00_1259))
					{	/* Integrate/walk.scm 34 */
						obj_t BgL_valuez00_1263;

						BgL_valuez00_1263 =
							BGl_removezd2varzd2zzast_removez00(CNST_TABLE_REF(((long) 1)),
							BgL_newz00_1260);
						if (((long)
								CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
								((long) 0)))
							{	/* Integrate/walk.scm 34 */
								{	/* Integrate/walk.scm 34 */
									obj_t BgL_port1219z00_1265;

									{	/* Integrate/walk.scm 34 */
										obj_t BgL_res1562z00_1462;

										{	/* Integrate/walk.scm 34 */
											obj_t BgL_tmpz00_1569;

											BgL_tmpz00_1569 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_res1562z00_1462 =
												BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1569);
										}
										BgL_port1219z00_1265 = BgL_res1562z00_1462;
									}
									bgl_display_obj
										(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
										BgL_port1219z00_1265);
									bgl_display_string(BGl_string1570z00zzintegrate_walkz00,
										BgL_port1219z00_1265);
									{	/* Integrate/walk.scm 34 */
										obj_t BgL_arg1262z00_1266;

										{	/* Integrate/walk.scm 34 */
											bool_t BgL_testz00_1574;

											if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
												{	/* Integrate/walk.scm 34 */
													if (INTEGERP
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
														{	/* Integrate/walk.scm 34 */
															BgL_testz00_1574 =
																(
																(long)
																CINT
																(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
																> ((long) 1));
														}
													else
														{	/* Integrate/walk.scm 34 */
															BgL_testz00_1574 =
																BGl_2ze3ze3zz__r4_numbers_6_5z00
																(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
																BINT(((long) 1)));
												}}
											else
												{	/* Integrate/walk.scm 34 */
													BgL_testz00_1574 = ((bool_t) 0);
												}
											if (BgL_testz00_1574)
												{	/* Integrate/walk.scm 34 */
													BgL_arg1262z00_1266 =
														BGl_string1571z00zzintegrate_walkz00;
												}
											else
												{	/* Integrate/walk.scm 34 */
													BgL_arg1262z00_1266 =
														BGl_string1572z00zzintegrate_walkz00;
												}
										}
										bgl_display_obj(BgL_arg1262z00_1266, BgL_port1219z00_1265);
									}
									bgl_display_string(BGl_string1573z00zzintegrate_walkz00,
										BgL_port1219z00_1265);
									bgl_display_char(((unsigned char) 10), BgL_port1219z00_1265);
								}
								{	/* Integrate/walk.scm 34 */
									obj_t BgL_list1266z00_1272;

									BgL_list1266z00_1272 =
										MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
									return BGl_exitz00zz__errorz00(BgL_list1266z00_1272);
								}
							}
						else
							{
								obj_t BgL_hooksz00_1276;
								obj_t BgL_hnamesz00_1277;

								BgL_hooksz00_1276 = BNIL;
								BgL_hnamesz00_1277 = BNIL;
							BgL_zc3anonymousza31267ze3z83_1278:
								if (NULLP(BgL_hooksz00_1276))
									{	/* Integrate/walk.scm 34 */
										return BgL_valuez00_1263;
									}
								else
									{	/* Integrate/walk.scm 34 */
										bool_t BgL_testz00_1591;

										{	/* Integrate/walk.scm 34 */
											obj_t BgL_fun1286z00_1285;

											BgL_fun1286z00_1285 = CAR(BgL_hooksz00_1276);
											BgL_testz00_1591 =
												CBOOL(PROCEDURE_ENTRY(BgL_fun1286z00_1285)
												(BgL_fun1286z00_1285, BEOA));
										}
										if (BgL_testz00_1591)
											{
												obj_t BgL_hnamesz00_1599;
												obj_t BgL_hooksz00_1597;

												BgL_hooksz00_1597 = CDR(BgL_hooksz00_1276);
												BgL_hnamesz00_1599 = CDR(BgL_hnamesz00_1277);
												BgL_hnamesz00_1277 = BgL_hnamesz00_1599;
												BgL_hooksz00_1276 = BgL_hooksz00_1597;
												goto BgL_zc3anonymousza31267ze3z83_1278;
											}
										else
											{	/* Integrate/walk.scm 34 */
												obj_t BgL_arg1284z00_1284;

												BgL_arg1284z00_1284 = CAR(BgL_hnamesz00_1277);
												return
													BGl_internalzd2errorzd2zztools_errorz00
													(BGl_za2currentzd2passza2zd2zzengine_passz00,
													BGl_string1574z00zzintegrate_walkz00,
													BgL_arg1284z00_1284);
											}
									}
							}
					}
				else
					{	/* Integrate/walk.scm 35 */
						obj_t BgL_globalz00_1288;

						BgL_globalz00_1288 = CAR(BgL_oldz00_1259);
						{	/* Integrate/walk.scm 36 */
							obj_t BgL_arg1292z00_1289;

							BgL_arg1292z00_1289 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_1288))))->BgL_idz00);
							BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1292z00_1289);
						}
						{
							obj_t BgL_newz00_1610;
							obj_t BgL_oldz00_1608;

							BgL_oldz00_1608 = CDR(BgL_oldz00_1259);
							BgL_newz00_1610 =
								BGl_appendzd221011zd2zzintegrate_walkz00
								(BGl_integratezd2definitionz12zc0zzintegrate_definitionz00
								(BgL_globalz00_1288), BgL_newz00_1260);
							BgL_newz00_1260 = BgL_newz00_1610;
							BgL_oldz00_1259 = BgL_oldz00_1608;
							goto BgL_zc3anonymousza31251ze3z83_1261;
						}
					}
			}
		}
	}



/* &integrate-walk! */
	obj_t BGl_z62integratezd2walkz12za2zzintegrate_walkz00(obj_t BgL_envz00_1481,
		obj_t BgL_globalsz00_1482)
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 29 */
			return BGl_integratezd2walkz12zc0zzintegrate_walkz00(BgL_globalsz00_1482);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_walkz00()
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_walkz00()
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_walkz00()
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_walkz00()
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1575z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1575z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1575z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1575z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1575z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string1575z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1575z00zzintegrate_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(((long)
					67375820), BSTRING_TO_STRING(BGl_string1575z00zzintegrate_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
