/*===========================================================================*/
/*   (Reduce/typec.scm)                                                      */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/typec.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2kwote1275z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21307z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzreduce_typecz00();
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var1303za2zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_za2foreignza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio1295z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_nodez00_bglt);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_typecz00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern bool_t BGl_foreignzd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall1287z70zzreduce_typecz00(obj_t, obj_t);
	static obj_t BGl_za2nullzf3za2zf3zzreduce_typecz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sync1283z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2fail1297z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2select1299z70zzreduce_typecz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly1285za2zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62nodezd2typecz12za2zzreduce_typecz00(obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2extern1289z70zzreduce_typecz00(obj_t, obj_t);
	static long BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00;
	static obj_t BGl_gczd2rootszd2initz00zzreduce_typecz00();
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2var1277z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2app1319z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1305z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz121315zb0zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box1313za2zzreduce_typecz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_typecz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_typecz00();
	static obj_t BGl_genericzd2initzd2zzreduce_typecz00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62reducezd2typezd2checkz12z70zzreduce_typecz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref1317za2zzreduce_typecz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static bool_t
		BGl_pairzd2ofzd2pairzd2nilzf3z21zzreduce_typecz00(BgL_nodez00_bglt);
	static obj_t BGl_za2pairzf3za2zf3zzreduce_typecz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2return1311z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2cast1291z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setq1293z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence1281z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2closure1279z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_jclassz00zzobject_classz00;
	static obj_t BGl_nodezd2typecza2z12z62zzreduce_typecz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2retblock1309z70zzreduce_typecz00(obj_t, obj_t);
	static long BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzreduce_typecz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62nodezd2typecz121270za2zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_typecz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_typecz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_typecz00();
	BGL_EXPORTED_DECL obj_t
		BGl_reducezd2typezd2checkz12z12zzreduce_typecz00(obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun1301za2zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2atom1273z70zzreduce_typecz00(obj_t, obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_STRING(BGl_string1812z00zzreduce_typecz00,
		BgL_bgl_string1812za700za7za7r1849za7, "      type check             ", 29);
	      DEFINE_STRING(BGl_string1813z00zzreduce_typecz00,
		BgL_bgl_string1813za700za7za7r1850za7, ")\n", 2);
	      DEFINE_STRING(BGl_string1814z00zzreduce_typecz00,
		BgL_bgl_string1814za700za7za7r1851za7, ", remaining: ", 13);
	      DEFINE_STRING(BGl_string1815z00zzreduce_typecz00,
		BgL_bgl_string1815za700za7za7r1852za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string1817z00zzreduce_typecz00,
		BgL_bgl_string1817za700za7za7r1853za7, "node-typec!1270", 15);
	      DEFINE_STRING(BGl_string1818z00zzreduce_typecz00,
		BgL_bgl_string1818za700za7za7r1854za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1820z00zzreduce_typecz00,
		BgL_bgl_string1820za700za7za7r1855za7, "node-typec!", 11);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71856za7,
		BGl_z62nodezd2typecz12za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1844z00zzreduce_typecz00,
		BgL_bgl_string1844za700za7za7r1857za7, "reduce_typec", 12);
	      DEFINE_STRING(BGl_string1845z00zzreduce_typecz00,
		BgL_bgl_string1845za700za7za7r1858za7,
		"node-typec!1270 done $null? foreign $pair? ", 43);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reducezd2typezd2checkz12zd2envzc0zzreduce_typecz00,
		BgL_bgl_za762reduceza7d2type1859z00,
		BGl_z62reducezd2typezd2checkz12z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1816z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71860za7,
		BGl_z62nodezd2typecz121270za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1819z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71861za7,
		BGl_z62nodezd2typecz12zd2atom1273z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1821z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71862za7,
		BGl_z62nodezd2typecz12zd2kwote1275z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1822z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71863za7,
		BGl_z62nodezd2typecz12zd2var1277z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1823z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71864za7,
		BGl_z62nodezd2typecz12zd2closure1279z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1824z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71865za7,
		BGl_z62nodezd2typecz12zd2sequence1281z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1825z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71866za7,
		BGl_z62nodezd2typecz12zd2sync1283z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1826z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71867za7,
		BGl_z62nodezd2typecz12zd2appzd2ly1285za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1827z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71868za7,
		BGl_z62nodezd2typecz12zd2funcall1287z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1828z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71869za7,
		BGl_z62nodezd2typecz12zd2extern1289z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1829z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71870za7,
		BGl_z62nodezd2typecz12zd2cast1291z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1830z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71871za7,
		BGl_z62nodezd2typecz12zd2setq1293z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1831z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71872za7,
		BGl_z62nodezd2typecz12zd2conditio1295z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1832z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71873za7,
		BGl_z62nodezd2typecz12zd2fail1297z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1833z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71874za7,
		BGl_z62nodezd2typecz12zd2select1299z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1834z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71875za7,
		BGl_z62nodezd2typecz12zd2letzd2fun1301za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1835z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71876za7,
		BGl_z62nodezd2typecz12zd2letzd2var1303za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1836z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71877za7,
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1305z70zzreduce_typecz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1837z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71878za7,
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21307z70zzreduce_typecz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1838z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71879za7,
		BGl_z62nodezd2typecz12zd2retblock1309z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1839z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71880za7,
		BGl_z62nodezd2typecz12zd2return1311z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1840z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71881za7,
		BGl_z62nodezd2typecz12zd2makezd2box1313za2zzreduce_typecz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1841z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71882za7,
		BGl_z62nodezd2typecz12zd2boxzd2setz121315zb0zzreduce_typecz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1842z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71883za7,
		BGl_z62nodezd2typecz12zd2boxzd2ref1317za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1843z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71884za7,
		BGl_z62nodezd2typecz12zd2app1319z70zzreduce_typecz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2nullzf3za2zf3zzreduce_typecz00));
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_typecz00));
		     ADD_ROOT((void *) (&BGl_za2pairzf3za2zf3zzreduce_typecz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_typecz00(long
		BgL_checksumz00_2268, char *BgL_fromz00_2269)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_typecz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_typecz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_typecz00();
					BGl_libraryzd2moduleszd2initz00zzreduce_typecz00();
					BGl_cnstzd2initzd2zzreduce_typecz00();
					BGl_importedzd2moduleszd2initz00zzreduce_typecz00();
					BGl_genericzd2initzd2zzreduce_typecz00();
					BGl_methodzd2initzd2zzreduce_typecz00();
					return BGl_toplevelzd2initzd2zzreduce_typecz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_typecz00()
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_typec");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_typec");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_typec");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_typecz00()
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 15 */
			{	/* Reduce/typec.scm 15 */
				obj_t BgL_cportz00_2151;

				{	/* Reduce/typec.scm 15 */
					obj_t BgL_startz00_2160;

					BgL_startz00_2160 = BINT(((long) 0));
					{	/* Reduce/typec.scm 15 */
						obj_t BgL_endz00_2161;

						BgL_endz00_2161 =
							BINT(STRING_LENGTH(BGl_string1845z00zzreduce_typecz00));
						{	/* Reduce/typec.scm 15 */

							BgL_cportz00_2151 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1845z00zzreduce_typecz00, BgL_startz00_2160,
								BgL_endz00_2161);
				}}}
				{
					long BgL_iz00_2152;

					BgL_iz00_2152 = ((long) 4);
				BgL_loopz00_2153:
					if ((BgL_iz00_2152 == ((long) -1)))
						{	/* Reduce/typec.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/typec.scm 15 */
							{	/* Reduce/typec.scm 15 */
								obj_t BgL_arg1847z00_2155;

								{	/* Reduce/typec.scm 15 */

									{	/* Reduce/typec.scm 15 */
										obj_t BgL_locationz00_2157;

										BgL_locationz00_2157 = BBOOL(((bool_t) 0));
										{	/* Reduce/typec.scm 15 */

											BgL_arg1847z00_2155 =
												BGl_readz00zz__readerz00(BgL_cportz00_2151,
												BgL_locationz00_2157);
										}
									}
								}
								{	/* Reduce/typec.scm 15 */
									int BgL_tmpz00_2296;

									BgL_tmpz00_2296 = (int) (BgL_iz00_2152);
									CNST_TABLE_SET(BgL_tmpz00_2296, BgL_arg1847z00_2155);
							}}
							{	/* Reduce/typec.scm 15 */
								int BgL_auxz00_2158;

								BgL_auxz00_2158 = (int) ((BgL_iz00_2152 - ((long) 1)));
								{
									long BgL_iz00_2301;

									BgL_iz00_2301 = (long) (BgL_auxz00_2158);
									BgL_iz00_2152 = BgL_iz00_2301;
									goto BgL_loopz00_2153;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_typecz00()
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_typecz00()
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 15 */
			BGl_za2pairzf3za2zf3zzreduce_typecz00 = BFALSE;
			BGl_za2nullzf3za2zf3zzreduce_typecz00 = BFALSE;
			BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00 = ((long) 0);
			BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* reduce-type-check! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2typezd2checkz12z12zzreduce_typecz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 38 */
			{	/* Reduce/typec.scm 39 */
				obj_t BgL_list1329z00_1492;

				BgL_list1329z00_1492 =
					MAKE_YOUNG_PAIR(BGl_string1812z00zzreduce_typecz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1329z00_1492);
			}
			BGl_za2pairzf3za2zf3zzreduce_typecz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 0)),
				CNST_TABLE_REF(((long) 1)));
			BGl_za2nullzf3za2zf3zzreduce_typecz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 2)),
				CNST_TABLE_REF(((long) 1)));
			{
				obj_t BgL_l1259z00_1494;

				BgL_l1259z00_1494 = BgL_globalsz00_3;
			BgL_zc3anonymousza31330ze3z83_1495:
				if (PAIRP(BgL_l1259z00_1494))
					{	/* Reduce/typec.scm 42 */
						{	/* Reduce/typec.scm 43 */
							obj_t BgL_globalz00_1497;

							BgL_globalz00_1497 = CAR(BgL_l1259z00_1494);
							{	/* Reduce/typec.scm 43 */
								BgL_valuez00_bglt BgL_funz00_1498;

								BgL_funz00_1498 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1497))))->
									BgL_valuez00);
								{	/* Reduce/typec.scm 43 */
									obj_t BgL_nodez00_1499;

									BgL_nodez00_1499 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_funz00_1498)))->BgL_bodyz00);
									{	/* Reduce/typec.scm 44 */

										{	/* Reduce/typec.scm 45 */
											BgL_nodez00_bglt BgL_arg1332z00_1500;

											BgL_arg1332z00_1500 =
												BGl_nodezd2typecz12zc0zzreduce_typecz00(
												((BgL_nodez00_bglt) BgL_nodez00_1499));
											((((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1498)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1332z00_1500)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1259z00_2326;

							BgL_l1259z00_2326 = CDR(BgL_l1259z00_1494);
							BgL_l1259z00_1494 = BgL_l1259z00_2326;
							goto BgL_zc3anonymousza31330ze3z83_1495;
						}
					}
				else
					{	/* Reduce/typec.scm 42 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/typec.scm 48 */
				obj_t BgL_list1334z00_1503;

				{	/* Reduce/typec.scm 48 */
					obj_t BgL_arg1338z00_1504;

					{	/* Reduce/typec.scm 48 */
						obj_t BgL_arg1367z00_1505;

						{	/* Reduce/typec.scm 48 */
							obj_t BgL_arg1368z00_1506;

							{	/* Reduce/typec.scm 48 */
								obj_t BgL_arg1375z00_1507;

								BgL_arg1375z00_1507 =
									MAKE_YOUNG_PAIR(BGl_string1813z00zzreduce_typecz00, BNIL);
								BgL_arg1368z00_1506 =
									MAKE_YOUNG_PAIR(BINT
									(BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00),
									BgL_arg1375z00_1507);
							}
							BgL_arg1367z00_1505 =
								MAKE_YOUNG_PAIR(BGl_string1814z00zzreduce_typecz00,
								BgL_arg1368z00_1506);
						}
						BgL_arg1338z00_1504 =
							MAKE_YOUNG_PAIR(BINT
							(BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00),
							BgL_arg1367z00_1505);
					}
					BgL_list1334z00_1503 =
						MAKE_YOUNG_PAIR(BGl_string1815z00zzreduce_typecz00,
						BgL_arg1338z00_1504);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1334z00_1503);
			}
			BGl_za2pairzf3za2zf3zzreduce_typecz00 = BFALSE;
			BGl_za2nullzf3za2zf3zzreduce_typecz00 = BFALSE;
			return BgL_globalsz00_3;
		}
	}



/* &reduce-type-check! */
	obj_t BGl_z62reducezd2typezd2checkz12z70zzreduce_typecz00(obj_t
		BgL_envz00_2072, obj_t BgL_globalsz00_2073)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 38 */
			return
				BGl_reducezd2typezd2checkz12z12zzreduce_typecz00(BgL_globalsz00_2073);
		}
	}



/* node-typec*! */
	obj_t BGl_nodezd2typecza2z12z62zzreduce_typecz00(obj_t BgL_nodeza2za2_28)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 286 */
			{
				obj_t BgL_nodeza2za2_1509;

				BgL_nodeza2za2_1509 = BgL_nodeza2za2_28;
			BgL_zc3anonymousza31376ze3z83_1510:
				if (NULLP(BgL_nodeza2za2_1509))
					{	/* Reduce/typec.scm 288 */
						return CNST_TABLE_REF(((long) 3));
					}
				else
					{	/* Reduce/typec.scm 288 */
						{	/* Reduce/typec.scm 291 */
							BgL_nodez00_bglt BgL_arg1406z00_1512;

							{	/* Reduce/typec.scm 291 */
								obj_t BgL_arg1409z00_1513;

								BgL_arg1409z00_1513 = CAR(BgL_nodeza2za2_1509);
								BgL_arg1406z00_1512 =
									BGl_nodezd2typecz12zc0zzreduce_typecz00(
									((BgL_nodez00_bglt) BgL_arg1409z00_1513));
							}
							{	/* Reduce/typec.scm 291 */
								obj_t BgL_tmpz00_2344;

								BgL_tmpz00_2344 = ((obj_t) BgL_arg1406z00_1512);
								SET_CAR(BgL_nodeza2za2_1509, BgL_tmpz00_2344);
							}
						}
						{
							obj_t BgL_nodeza2za2_2347;

							BgL_nodeza2za2_2347 = CDR(BgL_nodeza2za2_1509);
							BgL_nodeza2za2_1509 = BgL_nodeza2za2_2347;
							goto BgL_zc3anonymousza31376ze3z83_1510;
						}
					}
			}
		}
	}



/* pair-of-pair-nil? */
	bool_t BGl_pairzd2ofzd2pairzd2nilzf3z21zzreduce_typecz00(BgL_nodez00_bglt
		BgL_nodez00_30)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 379 */
			{	/* Reduce/typec.scm 380 */
				bool_t BgL_testz00_2349;

				{	/* Reduce/typec.scm 380 */
					bool_t BgL_res1790z00_1985;

					BgL_res1790z00_1985 =
						BGl_isazf3zf3zz__objectz00(
						((obj_t) BgL_nodez00_30), BGl_appz00zzast_nodez00);
					BgL_testz00_2349 = BgL_res1790z00_1985;
				}
				if (BgL_testz00_2349)
					{	/* Reduce/typec.scm 382 */
						bool_t BgL_testz00_2352;

						{	/* Reduce/typec.scm 382 */
							BgL_variablez00_bglt BgL_arg1454z00_1527;

							BgL_arg1454z00_1527 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_appz00_bglt) CREF(
													((BgL_appz00_bglt) BgL_nodez00_30)))->BgL_funz00)))->
								BgL_variablez00);
							BgL_testz00_2352 =
								(((obj_t) BgL_arg1454z00_1527) ==
								BGl_za2pairzf3za2zf3zzreduce_typecz00);
						}
						if (BgL_testz00_2352)
							{	/* Reduce/typec.scm 383 */
								bool_t BgL_testz00_2358;

								{	/* Reduce/typec.scm 383 */
									obj_t BgL_tmpz00_2359;

									BgL_tmpz00_2359 =
										(((BgL_appz00_bglt) CREF(
												((BgL_appz00_bglt) BgL_nodez00_30)))->BgL_argsz00);
									BgL_testz00_2358 = PAIRP(BgL_tmpz00_2359);
								}
								if (BgL_testz00_2358)
									{	/* Reduce/typec.scm 384 */
										bool_t BgL_testz00_2363;

										{	/* Reduce/typec.scm 384 */
											obj_t BgL_tmpz00_2364;

											{	/* Reduce/typec.scm 384 */
												obj_t BgL_pairz00_1988;

												BgL_pairz00_1988 =
													(((BgL_appz00_bglt) CREF(
															((BgL_appz00_bglt) BgL_nodez00_30)))->
													BgL_argsz00);
												BgL_tmpz00_2364 = CDR(BgL_pairz00_1988);
											}
											BgL_testz00_2363 = NULLP(BgL_tmpz00_2364);
										}
										if (BgL_testz00_2363)
											{	/* Reduce/typec.scm 385 */
												BgL_typez00_bglt BgL_arg1415z00_1521;

												{	/* Reduce/typec.scm 385 */
													obj_t BgL_arg1416z00_1522;

													{	/* Reduce/typec.scm 385 */
														obj_t BgL_pairz00_1990;

														BgL_pairz00_1990 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_nodez00_30)))->
															BgL_argsz00);
														BgL_arg1416z00_1522 = CAR(BgL_pairz00_1990);
													}
													BgL_arg1415z00_1521 =
														BGl_getzd2typezd2zztype_typeofz00(
														((BgL_nodez00_bglt) BgL_arg1416z00_1522),
														((bool_t) 0));
												}
												return
													(
													((obj_t) BgL_arg1415z00_1521) ==
													BGl_za2pairzd2nilza2zd2zztype_cachez00);
											}
										else
											{	/* Reduce/typec.scm 384 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/typec.scm 383 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/typec.scm 382 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Reduce/typec.scm 380 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_typecz00()
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_typecz00()
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_proc1816z00zzreduce_typecz00, BGl_nodez00zzast_nodez00,
				BGl_string1817z00zzreduce_typecz00);
		}
	}



/* &node-typec!1270 */
	obj_t BGl_z62nodezd2typecz121270za2zzreduce_typecz00(obj_t BgL_envz00_2075,
		obj_t BgL_nodez00_2076)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 69 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 4)),
				BGl_string1818z00zzreduce_typecz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2076)));
		}
	}



/* node-typec! */
	BgL_nodez00_bglt BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 69 */
			{	/* Reduce/typec.scm 69 */
				obj_t BgL_method1271z00_1535;

				{	/* Reduce/typec.scm 69 */
					obj_t BgL_res1799z00_2021;

					{	/* Reduce/typec.scm 69 */
						long BgL_objzd2classzd2numz00_1994;

						{	/* Reduce/typec.scm 69 */
							long BgL_res1793z00_1997;

							BgL_res1793z00_1997 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
							BgL_objzd2classzd2numz00_1994 = BgL_res1793z00_1997;
						}
						{	/* Reduce/typec.scm 69 */
							obj_t BgL_arg1718z00_1995;

							BgL_arg1718z00_1995 =
								PROCEDURE_REF(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
								(int) (((long) 1)));
							{	/* Reduce/typec.scm 69 */
								int BgL_offsetz00_1999;

								BgL_offsetz00_1999 = (int) (BgL_objzd2classzd2numz00_1994);
								{	/* Reduce/typec.scm 69 */
									long BgL_offsetz00_2000;

									BgL_offsetz00_2000 =
										((long) (BgL_offsetz00_1999) - OBJECT_TYPE);
									{	/* Reduce/typec.scm 69 */
										long BgL_modz00_2001;

										{	/* Reduce/typec.scm 69 */
											int BgL_arg1721z00_2002;

											BgL_arg1721z00_2002 = (int) (((long) 16));
											{	/* Reduce/typec.scm 69 */
												long BgL_res1796z00_2012;

												{	/* Reduce/typec.scm 69 */
													long BgL_tmpz00_2389;

													BgL_tmpz00_2389 = (long) (BgL_arg1721z00_2002);
													BgL_res1796z00_2012 =
														(BgL_offsetz00_2000 / BgL_tmpz00_2389);
												}
												BgL_modz00_2001 = BgL_res1796z00_2012;
										}}
										{	/* Reduce/typec.scm 69 */
											long BgL_restz00_2003;

											{	/* Reduce/typec.scm 69 */
												int BgL_arg1719z00_2004;

												BgL_arg1719z00_2004 = (int) (((long) 16));
												{	/* Reduce/typec.scm 69 */
													long BgL_res1798z00_2016;

													{	/* Reduce/typec.scm 69 */
														long BgL_tmpz00_2393;

														BgL_tmpz00_2393 = (long) (BgL_arg1719z00_2004);
														BgL_res1798z00_2016 =
															(BgL_offsetz00_2000 % BgL_tmpz00_2393);
													}
													BgL_restz00_2003 = BgL_res1798z00_2016;
											}}
											{	/* Reduce/typec.scm 69 */

												BgL_res1799z00_2021 =
													VECTOR_REF(VECTOR_REF(BgL_arg1718z00_1995,
														(int) (BgL_modz00_2001)), (int) (BgL_restz00_2003));
					}}}}}}}
					BgL_method1271z00_1535 = BgL_res1799z00_2021;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1271z00_1535) (BgL_method1271z00_1535,
						((obj_t) BgL_nodez00_4), BEOA));
			}
		}
	}



/* &node-typec! */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12za2zzreduce_typecz00(obj_t
		BgL_envz00_2077, obj_t BgL_nodez00_2078)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 69 */
			return
				BGl_nodezd2typecz12zc0zzreduce_typecz00(
				((BgL_nodez00_bglt) BgL_nodez00_2078));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_typecz00()
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_atomz00zzast_nodez00, BGl_proc1819z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_kwotez00zzast_nodez00, BGl_proc1821z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00, BGl_varz00zzast_nodez00,
				BGl_proc1822z00zzreduce_typecz00, BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_closurez00zzast_nodez00, BGl_proc1823z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1824z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_syncz00zzast_nodez00, BGl_proc1825z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1826z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1827z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_externz00zzast_nodez00, BGl_proc1828z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_castz00zzast_nodez00, BGl_proc1829z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_setqz00zzast_nodez00, BGl_proc1830z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1831z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_failz00zzast_nodez00, BGl_proc1832z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_selectz00zzast_nodez00, BGl_proc1833z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1834z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1835z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1836z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1837z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_retblockz00zzast_nodez00, BGl_proc1838z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_returnz00zzast_nodez00, BGl_proc1839z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1840z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1841z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1842z00zzreduce_typecz00,
				BGl_string1820z00zzreduce_typecz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00, BGl_appz00zzast_nodez00,
				BGl_proc1843z00zzreduce_typecz00, BGl_string1820z00zzreduce_typecz00);
		}
	}



/* &node-typec!-app1319 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2app1319z70zzreduce_typecz00(obj_t
		BgL_envz00_2103, obj_t BgL_nodez00_2104)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 302 */
			{
				obj_t BgL_typecz00_2184;
				BgL_typez00_bglt BgL_typeaz00_2185;
				BgL_appz00_bglt BgL_nodez00_2168;
				obj_t BgL_typecz00_2169;
				BgL_typez00_bglt BgL_typeaz00_2170;

				BGl_nodezd2typecza2z12z62zzreduce_typecz00(
					(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_nodez00_2104)))->BgL_argsz00));
				{	/* Reduce/typec.scm 361 */
					BgL_variablez00_bglt BgL_varz00_2188;

					BgL_varz00_2188 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(
											((BgL_appz00_bglt) BgL_nodez00_2104)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Reduce/typec.scm 361 */
						obj_t BgL_typecz00_2189;

						BgL_typecz00_2189 =
							(((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt)
										(((BgL_variablez00_bglt) CREF(BgL_varz00_2188))->
											BgL_valuez00))))->BgL_predicatezd2ofzd2);
						{	/* Reduce/typec.scm 362 */

							{	/* Reduce/typec.scm 364 */
								bool_t BgL_testz00_2441;

								{	/* Reduce/typec.scm 364 */
									bool_t BgL_testz00_2442;

									{	/* Reduce/typec.scm 364 */
										obj_t BgL_tmpz00_2443;

										BgL_tmpz00_2443 =
											(((BgL_appz00_bglt) CREF(
													((BgL_appz00_bglt) BgL_nodez00_2104)))->BgL_argsz00);
										BgL_testz00_2442 = PAIRP(BgL_tmpz00_2443);
									}
									if (BgL_testz00_2442)
										{	/* Reduce/typec.scm 364 */
											if (NULLP(CDR(
														(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_nodez00_2104)))->
															BgL_argsz00))))
												{	/* Reduce/typec.scm 365 */
													if (BGl_isazf3zf3zz__objectz00(BgL_typecz00_2189,
															BGl_typez00zztype_typez00))
														{	/* Reduce/typec.scm 367 */
															bool_t BgL_testz00_2454;

															{	/* Reduce/typec.scm 367 */
																obj_t BgL_arg1647z00_2190;

																BgL_arg1647z00_2190 =
																	CAR(
																	(((BgL_appz00_bglt) CREF(
																				((BgL_appz00_bglt) BgL_nodez00_2104)))->
																		BgL_argsz00));
																BgL_testz00_2454 =
																	BGl_sidezd2effectzf3z21zzeffect_effectz00((
																		(BgL_nodez00_bglt) BgL_arg1647z00_2190));
															}
															if (BgL_testz00_2454)
																{	/* Reduce/typec.scm 367 */
																	BgL_testz00_2441 = ((bool_t) 0);
																}
															else
																{	/* Reduce/typec.scm 367 */
																	BgL_testz00_2441 = ((bool_t) 1);
																}
														}
													else
														{	/* Reduce/typec.scm 366 */
															BgL_testz00_2441 = ((bool_t) 0);
														}
												}
											else
												{	/* Reduce/typec.scm 365 */
													BgL_testz00_2441 = ((bool_t) 0);
												}
										}
									else
										{	/* Reduce/typec.scm 364 */
											BgL_testz00_2441 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2441)
									{	/* Reduce/typec.scm 368 */
										BgL_typez00_bglt BgL_arg1641z00_2191;

										{	/* Reduce/typec.scm 368 */
											obj_t BgL_arg1642z00_2192;

											BgL_arg1642z00_2192 =
												CAR(
												(((BgL_appz00_bglt) CREF(
															((BgL_appz00_bglt) BgL_nodez00_2104)))->
													BgL_argsz00));
											BgL_arg1641z00_2191 =
												BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
													BgL_arg1642z00_2192), ((bool_t) 0));
										}
										BgL_nodez00_2168 = ((BgL_appz00_bglt) BgL_nodez00_2104);
										BgL_typecz00_2169 = BgL_typecz00_2189;
										BgL_typeaz00_2170 = BgL_arg1641z00_2191;
									BgL_checkzd2typezd2_2166:
										{	/* Reduce/typec.scm 326 */
											BgL_typez00_bglt BgL_typez00_2171;

											BgL_typez00_2171 =
												BGl_getzd2typezd2zztype_typeofz00(
												((BgL_nodez00_bglt) BgL_nodez00_2168), ((bool_t) 0));
											if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(
													((BgL_typez00_bglt) BgL_typecz00_2169),
													BgL_typeaz00_2170))
												{	/* Reduce/typec.scm 328 */
													BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00
														=
														(((long) 1) +
														BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00);
													{	/* Reduce/typec.scm 332 */
														BgL_nodez00_bglt BgL_nodez00_2172;

														{	/* Reduce/typec.scm 332 */
															BgL_atomz00_bglt BgL_arg1683z00_2173;

															{	/* Reduce/typec.scm 332 */
																BgL_atomz00_bglt BgL_new1126z00_2174;

																{	/* Reduce/typec.scm 333 */
																	BgL_atomz00_bglt BgL_new1125z00_2175;

																	BgL_new1125z00_2175 =
																		((BgL_atomz00_bglt)
																		BREF(GC_MALLOC(sizeof(struct
																					BgL_atomz00_bgl))));
																	{	/* Reduce/typec.scm 333 */
																		long BgL_arg1687z00_2176;

																		{	/* Reduce/typec.scm 333 */
																			long BgL_res1805z00_2177;

																			BgL_res1805z00_2177 =
																				BGL_CLASS_INDEX
																				(BGl_atomz00zzast_nodez00);
																			BgL_arg1687z00_2176 = BgL_res1805z00_2177;
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1125z00_2175),
																			BgL_arg1687z00_2176);
																	}
																	{	/* Reduce/typec.scm 333 */
																		BgL_objectz00_bglt BgL_tmpz00_2475;

																		BgL_tmpz00_2475 =
																			((BgL_objectz00_bglt)
																			BgL_new1125z00_2175);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2475,
																			BFALSE);
																	}
																	BgL_new1126z00_2174 = BgL_new1125z00_2175;
																}
																((((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_new1126z00_2174)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				CREF(((BgL_nodez00_bglt)
																						BgL_nodez00_2168)))->BgL_locz00)),
																	BUNSPEC);
																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																					BgL_new1126z00_2174)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_typez00_2171),
																	BUNSPEC);
																((((BgL_atomz00_bglt)
																			CREF(BgL_new1126z00_2174))->
																		BgL_valuez00) = ((obj_t) BTRUE), BUNSPEC);
																BgL_arg1683z00_2173 = BgL_new1126z00_2174;
															}
															BgL_nodez00_2172 =
																BGl_coercez12z12zzcoerce_coercez00(
																((BgL_nodez00_bglt) BgL_arg1683z00_2173),
																BUNSPEC, BgL_typez00_2171, ((bool_t) 0));
														}
														return BgL_nodez00_2172;
													}
												}
											else
												{	/* Reduce/typec.scm 340 */
													bool_t BgL_testz00_2487;

													BgL_typecz00_2184 = BgL_typecz00_2169;
													BgL_typeaz00_2185 = BgL_typeaz00_2170;
													if (
														(BgL_typecz00_2184 == ((obj_t) BgL_typeaz00_2185)))
														{	/* Reduce/typec.scm 306 */
															BgL_testz00_2487 = ((bool_t) 0);
														}
													else
														{	/* Reduce/typec.scm 306 */
															if (
																(((obj_t) BgL_typeaz00_2185) ==
																	BGl_za2_za2z00zztype_cachez00))
																{	/* Reduce/typec.scm 308 */
																	BgL_testz00_2487 = ((bool_t) 0);
																}
															else
																{	/* Reduce/typec.scm 310 */
																	bool_t BgL_testz00_2494;

																	if (BGl_bigloozd2typezf3z21zztype_typez00(
																			((BgL_typez00_bglt) BgL_typecz00_2184)))
																		{	/* Reduce/typec.scm 310 */
																			if (BGl_bigloozd2typezf3z21zztype_typez00
																				(BgL_typeaz00_2185))
																				{	/* Reduce/typec.scm 310 */
																					BgL_testz00_2494 = ((bool_t) 0);
																				}
																			else
																				{	/* Reduce/typec.scm 310 */
																					BgL_testz00_2494 = ((bool_t) 1);
																				}
																		}
																	else
																		{	/* Reduce/typec.scm 310 */
																			BgL_testz00_2494 = ((bool_t) 0);
																		}
																	if (BgL_testz00_2494)
																		{	/* Reduce/typec.scm 310 */
																			if (CBOOL
																				(BGl_findzd2coercerzd2zztype_coercionz00
																					(BgL_typeaz00_2185,
																						((BgL_typez00_bglt)
																							BgL_typecz00_2184))))
																				{	/* Reduce/typec.scm 311 */
																					BgL_testz00_2487 = ((bool_t) 0);
																				}
																			else
																				{	/* Reduce/typec.scm 311 */
																					BgL_testz00_2487 = ((bool_t) 1);
																				}
																		}
																	else
																		{	/* Reduce/typec.scm 312 */
																			bool_t BgL_testz00_2504;

																			if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_2184), BgL_typeaz00_2185))
																				{	/* Reduce/typec.scm 312 */
																					BgL_testz00_2504 = ((bool_t) 1);
																				}
																			else
																				{	/* Reduce/typec.scm 312 */
																					BgL_testz00_2504 =
																						BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
																						(BgL_typeaz00_2185,
																						((BgL_typez00_bglt)
																							BgL_typecz00_2184));
																				}
																			if (BgL_testz00_2504)
																				{	/* Reduce/typec.scm 312 */
																					BgL_testz00_2487 = ((bool_t) 0);
																				}
																			else
																				{	/* Reduce/typec.scm 315 */
																					bool_t BgL_testz00_2510;

																					if (CBOOL
																						(BGl_findzd2coercerzd2zztype_coercionz00
																							(((BgL_typez00_bglt)
																									BgL_typecz00_2184),
																								BgL_typeaz00_2185)))
																						{	/* Reduce/typec.scm 315 */
																							BgL_testz00_2510 = ((bool_t) 1);
																						}
																					else
																						{	/* Reduce/typec.scm 315 */
																							BgL_testz00_2510 =
																								CBOOL
																								(BGl_findzd2coercerzd2zztype_coercionz00
																								(BgL_typeaz00_2185,
																									((BgL_typez00_bglt)
																										BgL_typecz00_2184)));
																						}
																					if (BgL_testz00_2510)
																						{	/* Reduce/typec.scm 315 */
																							BgL_testz00_2487 = ((bool_t) 0);
																						}
																					else
																						{	/* Reduce/typec.scm 317 */
																							bool_t BgL_testz00_2518;

																							if (BGl_foreignzd2typezf3z21zztype_typez00(((BgL_typez00_bglt) BgL_typecz00_2184)))
																								{	/* Reduce/typec.scm 317 */
																									BgL_testz00_2518 =
																										BGl_foreignzd2typezf3z21zztype_typez00
																										(BgL_typeaz00_2185);
																								}
																							else
																								{	/* Reduce/typec.scm 317 */
																									BgL_testz00_2518 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_2518)
																								{	/* Reduce/typec.scm 317 */
																									BgL_testz00_2487 =
																										((bool_t) 0);
																								}
																							else
																								{	/* Reduce/typec.scm 319 */
																									bool_t BgL_testz00_2523;

																									if (
																										(BgL_typecz00_2184 ==
																											BGl_za2foreignza2z00zztype_cachez00))
																										{	/* Reduce/typec.scm 319 */
																											bool_t
																												BgL__ortest_1123z00_2186;
																											{	/* Reduce/typec.scm 319 */
																												bool_t
																													BgL_res1803z00_2187;
																												BgL_res1803z00_2187 =
																													BGl_isazf3zf3zz__objectz00
																													(((obj_t)
																														BgL_typeaz00_2185),
																													BGl_jclassz00zzobject_classz00);
																												BgL__ortest_1123z00_2186
																													= BgL_res1803z00_2187;
																											}
																											if (BgL__ortest_1123z00_2186)
																												{	/* Reduce/typec.scm 319 */
																													BgL_testz00_2523 =
																														BgL__ortest_1123z00_2186;
																												}
																											else
																												{	/* Reduce/typec.scm 319 */
																													BgL_testz00_2523 =
																														BGl_foreignzd2typezf3z21zztype_typez00
																														(BgL_typeaz00_2185);
																												}
																										}
																									else
																										{	/* Reduce/typec.scm 319 */
																											BgL_testz00_2523 =
																												((bool_t) 0);
																										}
																									if (BgL_testz00_2523)
																										{	/* Reduce/typec.scm 319 */
																											BgL_testz00_2487 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Reduce/typec.scm 319 */
																											BgL_testz00_2487 =
																												((bool_t) 1);
																										}
																								}
																						}
																				}
																		}
																}
														}
													if (BgL_testz00_2487)
														{	/* Reduce/typec.scm 340 */
															BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00
																=
																(((long) 1) +
																BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00);
															{	/* Reduce/typec.scm 347 */
																BgL_nodez00_bglt BgL_nodez00_2178;

																{	/* Reduce/typec.scm 347 */
																	BgL_atomz00_bglt BgL_arg1690z00_2179;

																	{	/* Reduce/typec.scm 347 */
																		BgL_atomz00_bglt BgL_new1130z00_2180;

																		{	/* Reduce/typec.scm 348 */
																			BgL_atomz00_bglt BgL_new1127z00_2181;

																			BgL_new1127z00_2181 =
																				((BgL_atomz00_bglt)
																				BREF(GC_MALLOC(sizeof(struct
																							BgL_atomz00_bgl))));
																			{	/* Reduce/typec.scm 348 */
																				long BgL_arg1691z00_2182;

																				{	/* Reduce/typec.scm 348 */
																					long BgL_res1807z00_2183;

																					BgL_res1807z00_2183 =
																						BGL_CLASS_INDEX
																						(BGl_atomz00zzast_nodez00);
																					BgL_arg1691z00_2182 =
																						BgL_res1807z00_2183;
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1127z00_2181),
																					BgL_arg1691z00_2182);
																			}
																			{	/* Reduce/typec.scm 348 */
																				BgL_objectz00_bglt BgL_tmpz00_2535;

																				BgL_tmpz00_2535 =
																					((BgL_objectz00_bglt)
																					BgL_new1127z00_2181);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2535,
																					BFALSE);
																			}
																			BgL_new1130z00_2180 = BgL_new1127z00_2181;
																		}
																		((((BgL_nodez00_bglt) CREF(
																						((BgL_nodez00_bglt)
																							BgL_new1130z00_2180)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_nodez00_2168)))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					CREF(((BgL_nodez00_bglt)
																							BgL_new1130z00_2180)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_typez00_2171),
																			BUNSPEC);
																		((((BgL_atomz00_bglt)
																					CREF(BgL_new1130z00_2180))->
																				BgL_valuez00) =
																			((obj_t) BFALSE), BUNSPEC);
																		BgL_arg1690z00_2179 = BgL_new1130z00_2180;
																	}
																	BgL_nodez00_2178 =
																		BGl_coercez12z12zzcoerce_coercez00(
																		((BgL_nodez00_bglt) BgL_arg1690z00_2179),
																		BUNSPEC, BgL_typez00_2171, ((bool_t) 0));
																}
																return BgL_nodez00_2178;
															}
														}
													else
														{	/* Reduce/typec.scm 340 */
															BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00
																=
																(((long) 1) +
																BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00);
															return ((BgL_nodez00_bglt) BgL_nodez00_2168);
														}
												}
										}
									}
								else
									{	/* Reduce/typec.scm 369 */
										obj_t BgL_g1132z00_2193;

										BgL_g1132z00_2193 =
											BGl_isazd2ofzd2zztype_miscz00(
											((BgL_nodez00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_2104)));
										if (CBOOL(BgL_g1132z00_2193))
											{	/* Reduce/typec.scm 372 */
												BgL_typez00_bglt BgL_arg1644z00_2194;

												{	/* Reduce/typec.scm 372 */
													obj_t BgL_arg1645z00_2195;

													BgL_arg1645z00_2195 =
														CAR(
														(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_nodez00_2104)))->
															BgL_argsz00));
													BgL_arg1644z00_2194 =
														BGl_getzd2typezd2zztype_typeofz00((
															(BgL_nodez00_bglt) BgL_arg1645z00_2195),
														((bool_t) 0));
												}
												{
													BgL_typez00_bglt BgL_typeaz00_2563;
													obj_t BgL_typecz00_2562;
													BgL_appz00_bglt BgL_nodez00_2560;

													BgL_nodez00_2560 =
														((BgL_appz00_bglt) BgL_nodez00_2104);
													BgL_typecz00_2562 = BgL_g1132z00_2193;
													BgL_typeaz00_2563 = BgL_arg1644z00_2194;
													BgL_typeaz00_2170 = BgL_typeaz00_2563;
													BgL_typecz00_2169 = BgL_typecz00_2562;
													BgL_nodez00_2168 = BgL_nodez00_2560;
													goto BgL_checkzd2typezd2_2166;
												}
											}
										else
											{	/* Reduce/typec.scm 369 */
												return
													((BgL_nodez00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_2104));
											}
									}
							}
						}
					}
				}
			}
		}
	}



/* &node-typec!-box-ref1317 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref1317za2zzreduce_typecz00(obj_t
		BgL_envz00_2105, obj_t BgL_nodez00_2106)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 278 */
			{
				BgL_varz00_bglt BgL_auxz00_2566;

				{	/* Reduce/typec.scm 280 */
					BgL_varz00_bglt BgL_arg1606z00_2197;

					BgL_arg1606z00_2197 =
						(((BgL_boxzd2refzd2_bglt) CREF(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2106)))->BgL_varz00);
					BgL_auxz00_2566 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_typecz00(
							((BgL_nodez00_bglt) BgL_arg1606z00_2197)));
				}
				((((BgL_boxzd2refzd2_bglt) CREF(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2106)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2566), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2106));
		}
	}



/* &node-typec!-box-set!1315 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz121315zb0zzreduce_typecz00(obj_t
		BgL_envz00_2107, obj_t BgL_nodez00_2108)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 269 */
			{
				BgL_varz00_bglt BgL_auxz00_2576;

				{	/* Reduce/typec.scm 271 */
					BgL_varz00_bglt BgL_arg1601z00_2199;

					BgL_arg1601z00_2199 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2108)))->BgL_varz00);
					BgL_auxz00_2576 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_typecz00(
							((BgL_nodez00_bglt) BgL_arg1601z00_2199)));
				}
				((((BgL_boxzd2setz12zc0_bglt) CREF(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2108)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2576), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2584;

				{	/* Reduce/typec.scm 272 */
					BgL_nodez00_bglt BgL_arg1604z00_2200;

					BgL_arg1604z00_2200 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2108)))->BgL_valuez00);
					BgL_auxz00_2584 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1604z00_2200);
				}
				((((BgL_boxzd2setz12zc0_bglt) CREF(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2108)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2584), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2108));
		}
	}



/* &node-typec!-make-box1313 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box1313za2zzreduce_typecz00(obj_t
		BgL_envz00_2109, obj_t BgL_nodez00_2110)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 261 */
			{
				BgL_nodez00_bglt BgL_auxz00_2592;

				{	/* Reduce/typec.scm 263 */
					BgL_nodez00_bglt BgL_arg1599z00_2202;

					BgL_arg1599z00_2202 =
						(((BgL_makezd2boxzd2_bglt) CREF(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2110)))->BgL_valuez00);
					BgL_auxz00_2592 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1599z00_2202);
				}
				((((BgL_makezd2boxzd2_bglt) CREF(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2110)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2592), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2110));
		}
	}



/* &node-typec!-return1311 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2return1311z70zzreduce_typecz00(obj_t
		BgL_envz00_2111, obj_t BgL_nodez00_2112)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 253 */
			{
				BgL_nodez00_bglt BgL_auxz00_2600;

				{	/* Reduce/typec.scm 255 */
					BgL_nodez00_bglt BgL_arg1598z00_2204;

					BgL_arg1598z00_2204 =
						(((BgL_returnz00_bglt) CREF(
								((BgL_returnz00_bglt) BgL_nodez00_2112)))->BgL_valuez00);
					BgL_auxz00_2600 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1598z00_2204);
				}
				((((BgL_returnz00_bglt) CREF(
								((BgL_returnz00_bglt) BgL_nodez00_2112)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2600), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nodez00_2112));
		}
	}



/* &node-typec!-retblock1309 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2retblock1309z70zzreduce_typecz00(obj_t
		BgL_envz00_2113, obj_t BgL_nodez00_2114)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 245 */
			{
				BgL_nodez00_bglt BgL_auxz00_2608;

				{	/* Reduce/typec.scm 247 */
					BgL_nodez00_bglt BgL_arg1595z00_2206;

					BgL_arg1595z00_2206 =
						(((BgL_retblockz00_bglt) CREF(
								((BgL_retblockz00_bglt) BgL_nodez00_2114)))->BgL_bodyz00);
					BgL_auxz00_2608 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1595z00_2206);
				}
				((((BgL_retblockz00_bglt) CREF(
								((BgL_retblockz00_bglt) BgL_nodez00_2114)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2608), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nodez00_2114));
		}
	}



/* &node-typec!-jump-ex-1307 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21307z70zzreduce_typecz00(obj_t
		BgL_envz00_2115, obj_t BgL_nodez00_2116)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 236 */
			{
				BgL_nodez00_bglt BgL_auxz00_2616;

				{	/* Reduce/typec.scm 238 */
					BgL_nodez00_bglt BgL_arg1590z00_2208;

					BgL_arg1590z00_2208 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2116)))->BgL_exitz00);
					BgL_auxz00_2616 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1590z00_2208);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2116)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2616), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2622;

				{	/* Reduce/typec.scm 239 */
					BgL_nodez00_bglt BgL_arg1591z00_2209;

					BgL_arg1591z00_2209 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2116)))->
						BgL_valuez00);
					BgL_auxz00_2622 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1591z00_2209);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2116)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2622), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2116));
		}
	}



/* &node-typec!-set-ex-i1305 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1305z70zzreduce_typecz00(obj_t
		BgL_envz00_2117, obj_t BgL_nodez00_2118)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 227 */
			{
				BgL_nodez00_bglt BgL_auxz00_2630;

				{	/* Reduce/typec.scm 229 */
					BgL_nodez00_bglt BgL_arg1583z00_2211;

					BgL_arg1583z00_2211 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2118)))->BgL_bodyz00);
					BgL_auxz00_2630 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1583z00_2211);
				}
				((((BgL_setzd2exzd2itz00_bglt) CREF(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2118)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2630), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_2636;

				{	/* Reduce/typec.scm 230 */
					BgL_varz00_bglt BgL_arg1586z00_2212;

					BgL_arg1586z00_2212 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2118)))->BgL_varz00);
					BgL_auxz00_2636 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_typecz00(
							((BgL_nodez00_bglt) BgL_arg1586z00_2212)));
				}
				((((BgL_setzd2exzd2itz00_bglt) CREF(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2118)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2636), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2118));
		}
	}



/* &node-typec!-let-var1303 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var1303za2zzreduce_typecz00(obj_t
		BgL_envz00_2119, obj_t BgL_nodez00_2120)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 216 */
			{	/* Reduce/typec.scm 218 */
				obj_t BgL_g1269z00_2214;

				BgL_g1269z00_2214 =
					(((BgL_letzd2varzd2_bglt) CREF(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2120)))->BgL_bindingsz00);
				{
					obj_t BgL_l1267z00_2216;

					BgL_l1267z00_2216 = BgL_g1269z00_2214;
				BgL_zc3anonymousza31561ze3z83_2215:
					if (PAIRP(BgL_l1267z00_2216))
						{	/* Reduce/typec.scm 218 */
							{	/* Reduce/typec.scm 219 */
								obj_t BgL_bindingz00_2217;

								BgL_bindingz00_2217 = CAR(BgL_l1267z00_2216);
								{	/* Reduce/typec.scm 219 */
									BgL_nodez00_bglt BgL_arg1568z00_2218;

									{	/* Reduce/typec.scm 219 */
										obj_t BgL_arg1570z00_2219;

										BgL_arg1570z00_2219 = CDR(BgL_bindingz00_2217);
										BgL_arg1568z00_2218 =
											BGl_nodezd2typecz12zc0zzreduce_typecz00(
											((BgL_nodez00_bglt) BgL_arg1570z00_2219));
									}
									{	/* Reduce/typec.scm 219 */
										obj_t BgL_tmpz00_2654;

										BgL_tmpz00_2654 = ((obj_t) BgL_arg1568z00_2218);
										SET_CDR(BgL_bindingz00_2217, BgL_tmpz00_2654);
									}
								}
							}
							{
								obj_t BgL_l1267z00_2657;

								BgL_l1267z00_2657 = CDR(BgL_l1267z00_2216);
								BgL_l1267z00_2216 = BgL_l1267z00_2657;
								goto BgL_zc3anonymousza31561ze3z83_2215;
							}
						}
					else
						{	/* Reduce/typec.scm 218 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2659;

				{	/* Reduce/typec.scm 221 */
					BgL_nodez00_bglt BgL_arg1580z00_2220;

					BgL_arg1580z00_2220 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2120)))->BgL_bodyz00);
					BgL_auxz00_2659 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1580z00_2220);
				}
				((((BgL_letzd2varzd2_bglt) CREF(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2120)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2659), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2120));
		}
	}



/* &node-typec!-let-fun1301 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun1301za2zzreduce_typecz00(obj_t
		BgL_envz00_2121, obj_t BgL_nodez00_2122)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 204 */
			{	/* Reduce/typec.scm 206 */
				obj_t BgL_g1266z00_2222;

				BgL_g1266z00_2222 =
					(((BgL_letzd2funzd2_bglt) CREF(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2122)))->BgL_localsz00);
				{
					obj_t BgL_l1264z00_2224;

					BgL_l1264z00_2224 = BgL_g1266z00_2222;
				BgL_zc3anonymousza31552ze3z83_2223:
					if (PAIRP(BgL_l1264z00_2224))
						{	/* Reduce/typec.scm 206 */
							{	/* Reduce/typec.scm 207 */
								obj_t BgL_localz00_2225;

								BgL_localz00_2225 = CAR(BgL_l1264z00_2224);
								{	/* Reduce/typec.scm 207 */
									BgL_valuez00_bglt BgL_funz00_2226;

									BgL_funz00_2226 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2225))))->
										BgL_valuez00);
									{	/* Reduce/typec.scm 208 */
										BgL_nodez00_bglt BgL_arg1555z00_2227;

										{	/* Reduce/typec.scm 208 */
											obj_t BgL_arg1556z00_2228;

											BgL_arg1556z00_2228 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_funz00_2226)))->
												BgL_bodyz00);
											BgL_arg1555z00_2227 =
												BGl_nodezd2typecz12zc0zzreduce_typecz00((
													(BgL_nodez00_bglt) BgL_arg1556z00_2228));
										}
										((((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_funz00_2226)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1555z00_2227)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1264z00_2682;

								BgL_l1264z00_2682 = CDR(BgL_l1264z00_2224);
								BgL_l1264z00_2224 = BgL_l1264z00_2682;
								goto BgL_zc3anonymousza31552ze3z83_2223;
							}
						}
					else
						{	/* Reduce/typec.scm 206 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2684;

				{	/* Reduce/typec.scm 210 */
					BgL_nodez00_bglt BgL_arg1560z00_2229;

					BgL_arg1560z00_2229 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2122)))->BgL_bodyz00);
					BgL_auxz00_2684 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1560z00_2229);
				}
				((((BgL_letzd2funzd2_bglt) CREF(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2122)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2684), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2122));
		}
	}



/* &node-typec!-select1299 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2select1299z70zzreduce_typecz00(obj_t
		BgL_envz00_2123, obj_t BgL_nodez00_2124)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 193 */
			{
				BgL_nodez00_bglt BgL_auxz00_2692;

				{	/* Reduce/typec.scm 195 */
					BgL_nodez00_bglt BgL_arg1541z00_2231;

					BgL_arg1541z00_2231 =
						(((BgL_selectz00_bglt) CREF(
								((BgL_selectz00_bglt) BgL_nodez00_2124)))->BgL_testz00);
					BgL_auxz00_2692 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1541z00_2231);
				}
				((((BgL_selectz00_bglt) CREF(
								((BgL_selectz00_bglt) BgL_nodez00_2124)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2692), BUNSPEC);
			}
			{	/* Reduce/typec.scm 196 */
				obj_t BgL_g1263z00_2232;

				BgL_g1263z00_2232 =
					(((BgL_selectz00_bglt) CREF(
							((BgL_selectz00_bglt) BgL_nodez00_2124)))->BgL_clausesz00);
				{
					obj_t BgL_l1261z00_2234;

					BgL_l1261z00_2234 = BgL_g1263z00_2232;
				BgL_zc3anonymousza31542ze3z83_2233:
					if (PAIRP(BgL_l1261z00_2234))
						{	/* Reduce/typec.scm 196 */
							{	/* Reduce/typec.scm 197 */
								obj_t BgL_clausez00_2235;

								BgL_clausez00_2235 = CAR(BgL_l1261z00_2234);
								{	/* Reduce/typec.scm 197 */
									BgL_nodez00_bglt BgL_arg1545z00_2236;

									{	/* Reduce/typec.scm 197 */
										obj_t BgL_arg1546z00_2237;

										BgL_arg1546z00_2237 = CDR(BgL_clausez00_2235);
										BgL_arg1545z00_2236 =
											BGl_nodezd2typecz12zc0zzreduce_typecz00(
											((BgL_nodez00_bglt) BgL_arg1546z00_2237));
									}
									{	/* Reduce/typec.scm 197 */
										obj_t BgL_tmpz00_2706;

										BgL_tmpz00_2706 = ((obj_t) BgL_arg1545z00_2236);
										SET_CDR(BgL_clausez00_2235, BgL_tmpz00_2706);
									}
								}
							}
							{
								obj_t BgL_l1261z00_2709;

								BgL_l1261z00_2709 = CDR(BgL_l1261z00_2234);
								BgL_l1261z00_2234 = BgL_l1261z00_2709;
								goto BgL_zc3anonymousza31542ze3z83_2233;
							}
						}
					else
						{	/* Reduce/typec.scm 196 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_selectz00_bglt) BgL_nodez00_2124));
		}
	}



/* &node-typec!-fail1297 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2fail1297z70zzreduce_typecz00(obj_t
		BgL_envz00_2125, obj_t BgL_nodez00_2126)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 183 */
			{
				BgL_nodez00_bglt BgL_auxz00_2713;

				{	/* Reduce/typec.scm 185 */
					BgL_nodez00_bglt BgL_arg1535z00_2239;

					BgL_arg1535z00_2239 =
						(((BgL_failz00_bglt) CREF(
								((BgL_failz00_bglt) BgL_nodez00_2126)))->BgL_procz00);
					BgL_auxz00_2713 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1535z00_2239);
				}
				((((BgL_failz00_bglt) CREF(
								((BgL_failz00_bglt) BgL_nodez00_2126)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2713), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2719;

				{	/* Reduce/typec.scm 186 */
					BgL_nodez00_bglt BgL_arg1537z00_2240;

					BgL_arg1537z00_2240 =
						(((BgL_failz00_bglt) CREF(
								((BgL_failz00_bglt) BgL_nodez00_2126)))->BgL_msgz00);
					BgL_auxz00_2719 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1537z00_2240);
				}
				((((BgL_failz00_bglt) CREF(
								((BgL_failz00_bglt) BgL_nodez00_2126)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2719), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2725;

				{	/* Reduce/typec.scm 187 */
					BgL_nodez00_bglt BgL_arg1540z00_2241;

					BgL_arg1540z00_2241 =
						(((BgL_failz00_bglt) CREF(
								((BgL_failz00_bglt) BgL_nodez00_2126)))->BgL_objz00);
					BgL_auxz00_2725 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1540z00_2241);
				}
				((((BgL_failz00_bglt) CREF(
								((BgL_failz00_bglt) BgL_nodez00_2126)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2725), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2126));
		}
	}



/* &node-typec!-conditio1295 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio1295z70zzreduce_typecz00(obj_t
		BgL_envz00_2127, obj_t BgL_nodez00_2128)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 159 */
			{
				BgL_nodez00_bglt BgL_auxz00_2733;

				{	/* Reduce/typec.scm 161 */
					BgL_nodez00_bglt BgL_arg1509z00_2243;

					BgL_arg1509z00_2243 =
						(((BgL_conditionalz00_bglt) CREF(
								((BgL_conditionalz00_bglt) BgL_nodez00_2128)))->BgL_testz00);
					BgL_auxz00_2733 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1509z00_2243);
				}
				((((BgL_conditionalz00_bglt) CREF(
								((BgL_conditionalz00_bglt) BgL_nodez00_2128)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2733), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2739;

				{	/* Reduce/typec.scm 162 */
					BgL_nodez00_bglt BgL_arg1510z00_2244;

					BgL_arg1510z00_2244 =
						(((BgL_conditionalz00_bglt) CREF(
								((BgL_conditionalz00_bglt) BgL_nodez00_2128)))->BgL_truez00);
					BgL_auxz00_2739 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1510z00_2244);
				}
				((((BgL_conditionalz00_bglt) CREF(
								((BgL_conditionalz00_bglt) BgL_nodez00_2128)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2739), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2745;

				{	/* Reduce/typec.scm 163 */
					BgL_nodez00_bglt BgL_arg1511z00_2245;

					BgL_arg1511z00_2245 =
						(((BgL_conditionalz00_bglt) CREF(
								((BgL_conditionalz00_bglt) BgL_nodez00_2128)))->BgL_falsez00);
					BgL_auxz00_2745 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1511z00_2245);
				}
				((((BgL_conditionalz00_bglt) CREF(
								((BgL_conditionalz00_bglt) BgL_nodez00_2128)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2745), BUNSPEC);
			}
			if (BGl_pairzd2ofzd2pairzd2nilzf3z21zzreduce_typecz00(
					(((BgL_conditionalz00_bglt) CREF(
								((BgL_conditionalz00_bglt) BgL_nodez00_2128)))->BgL_testz00)))
				{	/* Reduce/typec.scm 164 */
					{	/* Reduce/typec.scm 171 */
						BgL_nodez00_bglt BgL_arg1530z00_2246;

						BgL_arg1530z00_2246 =
							(((BgL_conditionalz00_bglt) CREF(
									((BgL_conditionalz00_bglt) BgL_nodez00_2128)))->BgL_testz00);
						{	/* Reduce/typec.scm 392 */
							BgL_varz00_bglt BgL_i1140z00_2247;

							BgL_i1140z00_2247 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_arg1530z00_2246)))->BgL_funz00);
							((((BgL_varz00_bglt) CREF(BgL_i1140z00_2247))->BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										BGl_za2nullzf3za2zf3zzreduce_typecz00)), BUNSPEC);
						}
					}
					{	/* Reduce/typec.scm 172 */
						BgL_nodez00_bglt BgL_otruez00_2248;

						BgL_otruez00_2248 =
							(((BgL_conditionalz00_bglt) CREF(
									((BgL_conditionalz00_bglt) BgL_nodez00_2128)))->BgL_truez00);
						((((BgL_conditionalz00_bglt) CREF(
										((BgL_conditionalz00_bglt) BgL_nodez00_2128)))->
								BgL_truez00) =
							((BgL_nodez00_bglt) (((BgL_conditionalz00_bglt)
										CREF(((BgL_conditionalz00_bglt) BgL_nodez00_2128)))->
									BgL_falsez00)), BUNSPEC);
						((((BgL_conditionalz00_bglt) CREF(((BgL_conditionalz00_bglt)
											BgL_nodez00_2128)))->BgL_falsez00) =
							((BgL_nodez00_bglt) BgL_otruez00_2248), BUNSPEC);
						BNIL;
					}
				}
			else
				{	/* Reduce/typec.scm 164 */
					BFALSE;
				}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2128));
		}
	}



/* &node-typec!-setq1293 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2setq1293z70zzreduce_typecz00(obj_t
		BgL_envz00_2129, obj_t BgL_nodez00_2130)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 150 */
			{
				BgL_nodez00_bglt BgL_auxz00_2771;

				{	/* Reduce/typec.scm 152 */
					BgL_nodez00_bglt BgL_arg1504z00_2250;

					BgL_arg1504z00_2250 =
						(((BgL_setqz00_bglt) CREF(
								((BgL_setqz00_bglt) BgL_nodez00_2130)))->BgL_valuez00);
					BgL_auxz00_2771 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1504z00_2250);
				}
				((((BgL_setqz00_bglt) CREF(
								((BgL_setqz00_bglt) BgL_nodez00_2130)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2771), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_2777;

				{	/* Reduce/typec.scm 153 */
					BgL_varz00_bglt BgL_arg1507z00_2251;

					BgL_arg1507z00_2251 =
						(((BgL_setqz00_bglt) CREF(
								((BgL_setqz00_bglt) BgL_nodez00_2130)))->BgL_varz00);
					BgL_auxz00_2777 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_typecz00(
							((BgL_nodez00_bglt) BgL_arg1507z00_2251)));
				}
				((((BgL_setqz00_bglt) CREF(
								((BgL_setqz00_bglt) BgL_nodez00_2130)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2777), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2130));
		}
	}



/* &node-typec!-cast1291 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2cast1291z70zzreduce_typecz00(obj_t
		BgL_envz00_2131, obj_t BgL_nodez00_2132)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 142 */
			BGl_nodezd2typecz12zc0zzreduce_typecz00(
				(((BgL_castz00_bglt) CREF(
							((BgL_castz00_bglt) BgL_nodez00_2132)))->BgL_argz00));
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2132));
		}
	}



/* &node-typec!-extern1289 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2extern1289z70zzreduce_typecz00(obj_t
		BgL_envz00_2133, obj_t BgL_nodez00_2134)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 134 */
			BGl_nodezd2typecza2z12z62zzreduce_typecz00(
				(((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_nodez00_2134)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2134));
		}
	}



/* &node-typec!-funcall1287 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall1287z70zzreduce_typecz00(obj_t
		BgL_envz00_2135, obj_t BgL_nodez00_2136)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 125 */
			{
				BgL_nodez00_bglt BgL_auxz00_2797;

				{	/* Reduce/typec.scm 127 */
					BgL_nodez00_bglt BgL_arg1491z00_2255;

					BgL_arg1491z00_2255 =
						(((BgL_funcallz00_bglt) CREF(
								((BgL_funcallz00_bglt) BgL_nodez00_2136)))->BgL_funz00);
					BgL_auxz00_2797 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1491z00_2255);
				}
				((((BgL_funcallz00_bglt) CREF(
								((BgL_funcallz00_bglt) BgL_nodez00_2136)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2797), BUNSPEC);
			}
			BGl_nodezd2typecza2z12z62zzreduce_typecz00(
				(((BgL_funcallz00_bglt) CREF(
							((BgL_funcallz00_bglt) BgL_nodez00_2136)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2136));
		}
	}



/* &node-typec!-app-ly1285 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly1285za2zzreduce_typecz00(obj_t
		BgL_envz00_2137, obj_t BgL_nodez00_2138)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 116 */
			{
				BgL_nodez00_bglt BgL_auxz00_2808;

				{	/* Reduce/typec.scm 118 */
					BgL_nodez00_bglt BgL_arg1485z00_2257;

					BgL_arg1485z00_2257 =
						(((BgL_appzd2lyzd2_bglt) CREF(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2138)))->BgL_funz00);
					BgL_auxz00_2808 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1485z00_2257);
				}
				((((BgL_appzd2lyzd2_bglt) CREF(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2138)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2808), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2814;

				{	/* Reduce/typec.scm 119 */
					BgL_nodez00_bglt BgL_arg1490z00_2258;

					BgL_arg1490z00_2258 =
						(((BgL_appzd2lyzd2_bglt) CREF(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2138)))->BgL_argz00);
					BgL_auxz00_2814 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1490z00_2258);
				}
				((((BgL_appzd2lyzd2_bglt) CREF(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2138)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2814), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2138));
		}
	}



/* &node-typec!-sync1283 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2sync1283z70zzreduce_typecz00(obj_t
		BgL_envz00_2139, obj_t BgL_nodez00_2140)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 106 */
			{
				BgL_nodez00_bglt BgL_auxz00_2822;

				{	/* Reduce/typec.scm 108 */
					BgL_nodez00_bglt BgL_arg1470z00_2260;

					BgL_arg1470z00_2260 =
						(((BgL_syncz00_bglt) CREF(
								((BgL_syncz00_bglt) BgL_nodez00_2140)))->BgL_mutexz00);
					BgL_auxz00_2822 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1470z00_2260);
				}
				((((BgL_syncz00_bglt) CREF(
								((BgL_syncz00_bglt) BgL_nodez00_2140)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2822), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2828;

				{	/* Reduce/typec.scm 109 */
					BgL_nodez00_bglt BgL_arg1481z00_2261;

					BgL_arg1481z00_2261 =
						(((BgL_syncz00_bglt) CREF(
								((BgL_syncz00_bglt) BgL_nodez00_2140)))->BgL_prelockz00);
					BgL_auxz00_2828 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1481z00_2261);
				}
				((((BgL_syncz00_bglt) CREF(
								((BgL_syncz00_bglt) BgL_nodez00_2140)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2828), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2834;

				{	/* Reduce/typec.scm 110 */
					BgL_nodez00_bglt BgL_arg1484z00_2262;

					BgL_arg1484z00_2262 =
						(((BgL_syncz00_bglt) CREF(
								((BgL_syncz00_bglt) BgL_nodez00_2140)))->BgL_bodyz00);
					BgL_auxz00_2834 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1484z00_2262);
				}
				((((BgL_syncz00_bglt) CREF(
								((BgL_syncz00_bglt) BgL_nodez00_2140)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2834), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2140));
		}
	}



/* &node-typec!-sequence1281 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence1281z70zzreduce_typecz00(obj_t
		BgL_envz00_2141, obj_t BgL_nodez00_2142)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 98 */
			BGl_nodezd2typecza2z12z62zzreduce_typecz00(
				(((BgL_sequencez00_bglt) CREF(
							((BgL_sequencez00_bglt) BgL_nodez00_2142)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2142));
		}
	}



/* &node-typec!-closure1279 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2closure1279z70zzreduce_typecz00(obj_t
		BgL_envz00_2143, obj_t BgL_nodez00_2144)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 92 */
			return ((BgL_nodez00_bglt) ((BgL_closurez00_bglt) BgL_nodez00_2144));
		}
	}



/* &node-typec!-var1277 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2var1277z70zzreduce_typecz00(obj_t
		BgL_envz00_2145, obj_t BgL_nodez00_2146)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 86 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2146));
		}
	}



/* &node-typec!-kwote1275 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2kwote1275z70zzreduce_typecz00(obj_t
		BgL_envz00_2147, obj_t BgL_nodez00_2148)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 80 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2148));
		}
	}



/* &node-typec!-atom1273 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2atom1273z70zzreduce_typecz00(obj_t
		BgL_envz00_2149, obj_t BgL_nodez00_2150)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 74 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2150));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_typecz00()
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1844z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1844z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1844z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1844z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1844z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1844z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1844z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string1844z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string1844z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1844z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1844z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1844z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1844z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1844z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1844z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1844z00zzreduce_typecz00));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string1844z00zzreduce_typecz00));
		}
	}

#ifdef __cplusplus
}
#endif
