/*===========================================================================*/
/*   (SawJvm/type.scm)                                                       */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawJvm/type.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;


	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_vr1558z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ge1556z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1552z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1554z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static int BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(BgL_rtl_funz00_bglt,
		BgL_rtl_insz00_bglt);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_typez00();
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_mo1550z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_la1542z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_no1544z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_typez00();
	static obj_t BGl_z62typeSiza7ezc5zzsaw_jvm_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ap1562z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	BGL_EXPORTED_DECL int BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_typez00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_typez00();
	static obj_t BGl_z62siza7ezd2destzd2funzc5zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62siza7ezd2destz17zzsaw_jvm_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	static BgL_typez00_bglt
		BGl_typezd2destzd2funz00zzsaw_jvm_typez00(BgL_rtl_funz00_bglt);
	BGL_EXPORTED_DECL int BGl_siza7ezd2destz75zzsaw_jvm_typez00(obj_t);
	extern obj_t BGl_rtl_effectz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ca1568z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2funzd2rtl_ca1572zb0zzsaw_jvm_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_typez00();
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ne1560z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_purez00zzsaw_defsz00;
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_typez00();
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	static obj_t BGl_z62typezd2destzd2fun1569z62zzsaw_jvm_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_li1564z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2za2longzd2typesza2za2zd2zzsaw_jvm_typez00 = BUNSPEC;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_pu1548z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62typezd2destzd2funz62zzsaw_jvm_typez00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static obj_t BGl_z62siza7ezd2destzd2fun1539zc5zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_lastz00zzsaw_defsz00;
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	extern obj_t BGl_rtl_notseqz00zzsaw_defsz00;
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_typez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_typez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_typez00();
	extern obj_t BGl_rtl_castz00zzsaw_defsz00;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ef1546z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_fu1566z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string1815z00zzsaw_jvm_typez00,
		BgL_bgl_string1815za700za7za7s1842za7, "size-dest-fun1539", 17);
	      DEFINE_STRING(BGl_string1817z00zzsaw_jvm_typez00,
		BgL_bgl_string1817za700za7za7s1843za7, "type-dest-fun1569", 17);
	      DEFINE_STRING(BGl_string1818z00zzsaw_jvm_typez00,
		BgL_bgl_string1818za700za7za7s1844za7, "no method for", 13);
	      DEFINE_STRING(BGl_string1820z00zzsaw_jvm_typez00,
		BgL_bgl_string1820za700za7za7s1845za7, "size-dest-fun::int", 18);
	      DEFINE_STRING(BGl_string1830z00zzsaw_jvm_typez00,
		BgL_bgl_string1830za700za7za7s1846za7, "size-dest-fun::type", 19);
	      DEFINE_STRING(BGl_string1836z00zzsaw_jvm_typez00,
		BgL_bgl_string1836za700za7za7s1847za7, "type-dest-fun::type", 19);
	      DEFINE_STRING(BGl_string1837z00zzsaw_jvm_typez00,
		BgL_bgl_string1837za700za7za7s1848za7, "saw_jvm_type", 12);
	      DEFINE_STRING(BGl_string1838z00zzsaw_jvm_typez00,
		BgL_bgl_string1838za700za7za7s1849za7,
		"size-dest-fun void (elong llong uelong ullong double int64 uint64) ", 67);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
		BgL_bgl_za762typeza7d2destza7d1850za7,
		BGl_z62typezd2destzd2funz62zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1851za7,
		BGl_z62siza7ezd2destzd2funzc5zzsaw_jvm_typez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_siza7ezd2destzd2envza7zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1852za7,
		BGl_z62siza7ezd2destz17zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typeSiza7ezd2envz75zzsaw_jvm_typez00,
		BgL_bgl_za762typesiza7a7eza7c51853za7,
		BGl_z62typeSiza7ezc5zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1814z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1854za7,
		BGl_z62siza7ezd2destzd2fun1539zc5zzsaw_jvm_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1816z00zzsaw_jvm_typez00,
		BgL_bgl_za762typeza7d2destza7d1855za7,
		BGl_z62typezd2destzd2fun1569z62zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1819z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1856za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_la1542z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1821z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1857za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_no1544z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1822z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1858za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ef1546z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1823z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1859za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_pu1548z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1824z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1860za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_mo1550z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1825z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1861za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1552z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1826z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1862za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1554z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1827z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1863za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ge1556z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1828z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1864za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_vr1558z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1829z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1865za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ne1560z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1831z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1866za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ap1562z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1832z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1867za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_li1564z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1833z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1868za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_fu1566z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1834z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1869za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ca1568z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1835z00zzsaw_jvm_typez00,
		BgL_bgl_za762typeza7d2destza7d1870za7,
		BGl_z62typezd2destzd2funzd2rtl_ca1572zb0zzsaw_jvm_typez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00));
		     ADD_ROOT((void *) (&BGl_za2za2longzd2typesza2za2zd2zzsaw_jvm_typez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_typez00(long
		BgL_checksumz00_2888, char *BgL_fromz00_2889)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_typez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_typez00();
					BGl_cnstzd2initzd2zzsaw_jvm_typez00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_typez00();
					BGl_genericzd2initzd2zzsaw_jvm_typez00();
					BGl_methodzd2initzd2zzsaw_jvm_typez00();
					return BGl_toplevelzd2initzd2zzsaw_jvm_typez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_typez00()
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 1 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_jvm_type");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_typez00()
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 1 */
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_cportz00_2846;

				{	/* SawJvm/type.scm 1 */
					obj_t BgL_startz00_2855;

					BgL_startz00_2855 = BINT(((long) 0));
					{	/* SawJvm/type.scm 1 */
						obj_t BgL_endz00_2856;

						BgL_endz00_2856 =
							BINT(STRING_LENGTH(BGl_string1838z00zzsaw_jvm_typez00));
						{	/* SawJvm/type.scm 1 */

							BgL_cportz00_2846 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1838z00zzsaw_jvm_typez00, BgL_startz00_2855,
								BgL_endz00_2856);
				}}}
				{
					long BgL_iz00_2847;

					BgL_iz00_2847 = ((long) 2);
				BgL_loopz00_2848:
					if ((BgL_iz00_2847 == ((long) -1)))
						{	/* SawJvm/type.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/type.scm 1 */
							{	/* SawJvm/type.scm 1 */
								obj_t BgL_arg1840z00_2850;

								{	/* SawJvm/type.scm 1 */

									{	/* SawJvm/type.scm 1 */
										obj_t BgL_locationz00_2852;

										BgL_locationz00_2852 = BBOOL(((bool_t) 0));
										{	/* SawJvm/type.scm 1 */

											BgL_arg1840z00_2850 =
												BGl_readz00zz__readerz00(BgL_cportz00_2846,
												BgL_locationz00_2852);
										}
									}
								}
								{	/* SawJvm/type.scm 1 */
									int BgL_tmpz00_2917;

									BgL_tmpz00_2917 = (int) (BgL_iz00_2847);
									CNST_TABLE_SET(BgL_tmpz00_2917, BgL_arg1840z00_2850);
							}}
							{	/* SawJvm/type.scm 1 */
								int BgL_auxz00_2853;

								BgL_auxz00_2853 = (int) ((BgL_iz00_2847 - ((long) 1)));
								{
									long BgL_iz00_2922;

									BgL_iz00_2922 = (long) (BgL_auxz00_2853);
									BgL_iz00_2847 = BgL_iz00_2922;
									goto BgL_loopz00_2848;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_typez00()
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 1 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_jvm_typez00()
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 1 */
			BGl_za2za2longzd2typesza2za2zd2zzsaw_jvm_typez00 =
				CNST_TABLE_REF(((long) 0));
			return BUNSPEC;
		}
	}



/* typeSize */
	BGL_EXPORTED_DEF int BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_typez00_bglt
		BgL_typez00_3)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 18 */
			{	/* SawJvm/type.scm 19 */
				obj_t BgL_idz00_2082;

				BgL_idz00_2082 = (((BgL_typez00_bglt) CREF(BgL_typez00_3))->BgL_idz00);
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_2082,
							CNST_TABLE_REF(((long) 0)))))
					{	/* SawJvm/type.scm 20 */
						return (int) (((long) 2));
					}
				else
					{	/* SawJvm/type.scm 20 */
						if ((BgL_idz00_2082 == CNST_TABLE_REF(((long) 1))))
							{	/* SawJvm/type.scm 21 */
								return (int) (((long) 0));
							}
						else
							{	/* SawJvm/type.scm 21 */
								return (int) (((long) 1));
		}}}}
	}



/* &typeSize */
	obj_t BGl_z62typeSiza7ezc5zzsaw_jvm_typez00(obj_t BgL_envz00_2771,
		obj_t BgL_typez00_2772)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 18 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00(
					((BgL_typez00_bglt) BgL_typez00_2772)));
		}
	}



/* size-dest */
	BGL_EXPORTED_DEF int BGl_siza7ezd2destz75zzsaw_jvm_typez00(obj_t BgL_insz00_4)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 24 */
			if (BGl_isazf3zf3zz__objectz00(BgL_insz00_4, BGl_rtl_regz00zzsaw_defsz00))
				{	/* SawJvm/type.scm 26 */
					BgL_typez00_bglt BgL_arg1586z00_2086;

					BgL_arg1586z00_2086 =
						(((BgL_rtl_regz00_bglt) CREF(
								((BgL_rtl_regz00_bglt) BgL_insz00_4)))->BgL_typez00);
					return BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1586z00_2086);
				}
			else
				{	/* SawJvm/type.scm 25 */
					if (CBOOL(
							(((BgL_rtl_insz00_bglt) CREF(
										((BgL_rtl_insz00_bglt) BgL_insz00_4)))->BgL_destz00)))
						{	/* SawJvm/type.scm 29 */
							BgL_typez00_bglt BgL_arg1590z00_2089;

							BgL_arg1590z00_2089 =
								(((BgL_rtl_regz00_bglt) CREF(
										((BgL_rtl_regz00_bglt)
											(((BgL_rtl_insz00_bglt) CREF(
														((BgL_rtl_insz00_bglt) BgL_insz00_4)))->
												BgL_destz00))))->BgL_typez00);
							return BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1590z00_2089);
						}
					else
						{	/* SawJvm/type.scm 30 */
							BgL_rtl_funz00_bglt BgL_arg1595z00_2091;

							BgL_arg1595z00_2091 =
								(((BgL_rtl_insz00_bglt) CREF(
										((BgL_rtl_insz00_bglt) BgL_insz00_4)))->BgL_funz00);
							return
								BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(BgL_arg1595z00_2091,
								((BgL_rtl_insz00_bglt) BgL_insz00_4));
						}
				}
		}
	}



/* &size-dest */
	obj_t BGl_z62siza7ezd2destz17zzsaw_jvm_typez00(obj_t BgL_envz00_2773,
		obj_t BgL_insz00_2774)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 24 */
			return BINT(BGl_siza7ezd2destz75zzsaw_jvm_typez00(BgL_insz00_2774));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_typez00()
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 1 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_typez00()
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_proc1814z00zzsaw_jvm_typez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string1815z00zzsaw_jvm_typez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
				BGl_proc1816z00zzsaw_jvm_typez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string1817z00zzsaw_jvm_typez00);
		}
	}



/* &type-dest-fun1569 */
	obj_t BGl_z62typezd2destzd2fun1569z62zzsaw_jvm_typez00(obj_t BgL_envz00_2777,
		obj_t BgL_funz00_2778)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 74 */
			{	/* SawJvm/type.scm 76 */
				obj_t BgL_arg1604z00_2860;

				{	/* SawJvm/type.scm 76 */
					obj_t BgL_arg1606z00_2861;

					{	/* SawJvm/type.scm 76 */
						long BgL_arg1722z00_2862;

						{	/* SawJvm/type.scm 76 */
							long BgL_arg1723z00_2863;

							{	/* SawJvm/type.scm 76 */
								long BgL_res1798z00_2864;

								BgL_res1798z00_2864 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_funz00_bglt) BgL_funz00_2778)));
								BgL_arg1723z00_2863 = BgL_res1798z00_2864;
							}
							BgL_arg1722z00_2862 = (BgL_arg1723z00_2863 - OBJECT_TYPE);
						}
						BgL_arg1606z00_2861 =
							VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
							(int) (BgL_arg1722z00_2862));
					}
					BgL_arg1604z00_2860 =
						BGl_classzd2namezd2zz__objectz00(BgL_arg1606z00_2861);
				}
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
					BGl_string1818z00zzsaw_jvm_typez00, BgL_arg1604z00_2860);
		}}
	}



/* &size-dest-fun1539 */
	obj_t BGl_z62siza7ezd2destzd2fun1539zc5zzsaw_jvm_typez00(obj_t
		BgL_envz00_2779, obj_t BgL_funz00_2780, obj_t BgL_insz00_2781)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 35 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00
				(BGl_typezd2destzd2funz00zzsaw_jvm_typez00(((BgL_rtl_funz00_bglt)
							BgL_funz00_2780))));
		}
	}



/* size-dest-fun */
	int BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(BgL_rtl_funz00_bglt
		BgL_funz00_5, BgL_rtl_insz00_bglt BgL_insz00_6)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 35 */
			{	/* SawJvm/type.scm 35 */
				obj_t BgL_method1540z00_2104;

				{	/* SawJvm/type.scm 35 */
					obj_t BgL_res1806z00_2723;

					{	/* SawJvm/type.scm 35 */
						long BgL_objzd2classzd2numz00_2696;

						{	/* SawJvm/type.scm 35 */
							long BgL_res1800z00_2699;

							BgL_res1800z00_2699 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_5));
							BgL_objzd2classzd2numz00_2696 = BgL_res1800z00_2699;
						}
						{	/* SawJvm/type.scm 35 */
							obj_t BgL_arg1718z00_2697;

							BgL_arg1718z00_2697 =
								PROCEDURE_REF(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
								(int) (((long) 1)));
							{	/* SawJvm/type.scm 35 */
								int BgL_offsetz00_2701;

								BgL_offsetz00_2701 = (int) (BgL_objzd2classzd2numz00_2696);
								{	/* SawJvm/type.scm 35 */
									long BgL_offsetz00_2702;

									BgL_offsetz00_2702 =
										((long) (BgL_offsetz00_2701) - OBJECT_TYPE);
									{	/* SawJvm/type.scm 35 */
										long BgL_modz00_2703;

										{	/* SawJvm/type.scm 35 */
											int BgL_arg1721z00_2704;

											BgL_arg1721z00_2704 = (int) (((long) 16));
											{	/* SawJvm/type.scm 35 */
												long BgL_res1803z00_2714;

												{	/* SawJvm/type.scm 35 */
													long BgL_tmpz00_2983;

													BgL_tmpz00_2983 = (long) (BgL_arg1721z00_2704);
													BgL_res1803z00_2714 =
														(BgL_offsetz00_2702 / BgL_tmpz00_2983);
												}
												BgL_modz00_2703 = BgL_res1803z00_2714;
										}}
										{	/* SawJvm/type.scm 35 */
											long BgL_restz00_2705;

											{	/* SawJvm/type.scm 35 */
												int BgL_arg1719z00_2706;

												BgL_arg1719z00_2706 = (int) (((long) 16));
												{	/* SawJvm/type.scm 35 */
													long BgL_res1805z00_2718;

													{	/* SawJvm/type.scm 35 */
														long BgL_tmpz00_2987;

														BgL_tmpz00_2987 = (long) (BgL_arg1719z00_2706);
														BgL_res1805z00_2718 =
															(BgL_offsetz00_2702 % BgL_tmpz00_2987);
													}
													BgL_restz00_2705 = BgL_res1805z00_2718;
											}}
											{	/* SawJvm/type.scm 35 */

												BgL_res1806z00_2723 =
													VECTOR_REF(VECTOR_REF(BgL_arg1718z00_2697,
														(int) (BgL_modz00_2703)), (int) (BgL_restz00_2705));
					}}}}}}}
					BgL_method1540z00_2104 = BgL_res1806z00_2723;
				}
				return
					CINT(PROCEDURE_ENTRY(BgL_method1540z00_2104) (BgL_method1540z00_2104,
						((obj_t) BgL_funz00_5), ((obj_t) BgL_insz00_6), BEOA));
			}
		}
	}



/* &size-dest-fun */
	obj_t BGl_z62siza7ezd2destzd2funzc5zzsaw_jvm_typez00(obj_t BgL_envz00_2782,
		obj_t BgL_funz00_2783, obj_t BgL_insz00_2784)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 35 */
			return
				BINT(BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(
					((BgL_rtl_funz00_bglt) BgL_funz00_2783),
					((BgL_rtl_insz00_bglt) BgL_insz00_2784)));
		}
	}



/* type-dest-fun */
	BgL_typez00_bglt BGl_typezd2destzd2funz00zzsaw_jvm_typez00(BgL_rtl_funz00_bglt
		BgL_funz00_35)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 74 */
			{	/* SawJvm/type.scm 74 */
				obj_t BgL_method1570z00_2105;

				{	/* SawJvm/type.scm 74 */
					obj_t BgL_res1813z00_2752;

					{	/* SawJvm/type.scm 74 */
						long BgL_objzd2classzd2numz00_2725;

						{	/* SawJvm/type.scm 74 */
							long BgL_res1807z00_2728;

							BgL_res1807z00_2728 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_35));
							BgL_objzd2classzd2numz00_2725 = BgL_res1807z00_2728;
						}
						{	/* SawJvm/type.scm 74 */
							obj_t BgL_arg1718z00_2726;

							BgL_arg1718z00_2726 =
								PROCEDURE_REF(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
								(int) (((long) 1)));
							{	/* SawJvm/type.scm 74 */
								int BgL_offsetz00_2730;

								BgL_offsetz00_2730 = (int) (BgL_objzd2classzd2numz00_2725);
								{	/* SawJvm/type.scm 74 */
									long BgL_offsetz00_2731;

									BgL_offsetz00_2731 =
										((long) (BgL_offsetz00_2730) - OBJECT_TYPE);
									{	/* SawJvm/type.scm 74 */
										long BgL_modz00_2732;

										{	/* SawJvm/type.scm 74 */
											int BgL_arg1721z00_2733;

											BgL_arg1721z00_2733 = (int) (((long) 16));
											{	/* SawJvm/type.scm 74 */
												long BgL_res1810z00_2743;

												{	/* SawJvm/type.scm 74 */
													long BgL_tmpz00_3014;

													BgL_tmpz00_3014 = (long) (BgL_arg1721z00_2733);
													BgL_res1810z00_2743 =
														(BgL_offsetz00_2731 / BgL_tmpz00_3014);
												}
												BgL_modz00_2732 = BgL_res1810z00_2743;
										}}
										{	/* SawJvm/type.scm 74 */
											long BgL_restz00_2734;

											{	/* SawJvm/type.scm 74 */
												int BgL_arg1719z00_2735;

												BgL_arg1719z00_2735 = (int) (((long) 16));
												{	/* SawJvm/type.scm 74 */
													long BgL_res1812z00_2747;

													{	/* SawJvm/type.scm 74 */
														long BgL_tmpz00_3018;

														BgL_tmpz00_3018 = (long) (BgL_arg1719z00_2735);
														BgL_res1812z00_2747 =
															(BgL_offsetz00_2731 % BgL_tmpz00_3018);
													}
													BgL_restz00_2734 = BgL_res1812z00_2747;
											}}
											{	/* SawJvm/type.scm 74 */

												BgL_res1813z00_2752 =
													VECTOR_REF(VECTOR_REF(BgL_arg1718z00_2726,
														(int) (BgL_modz00_2732)), (int) (BgL_restz00_2734));
					}}}}}}}
					BgL_method1570z00_2105 = BgL_res1813z00_2752;
				}
				return
					((BgL_typez00_bglt)
					PROCEDURE_ENTRY(BgL_method1570z00_2105) (BgL_method1570z00_2105,
						((obj_t) BgL_funz00_35), BEOA));
			}
		}
	}



/* &type-dest-fun */
	BgL_typez00_bglt BGl_z62typezd2destzd2funz62zzsaw_jvm_typez00(obj_t
		BgL_envz00_2785, obj_t BgL_funz00_2786)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 74 */
			return
				BGl_typezd2destzd2funz00zzsaw_jvm_typez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_2786));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_typez00()
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_lastz00zzsaw_defsz00, BGl_proc1819z00zzsaw_jvm_typez00,
				BGl_string1820z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_notseqz00zzsaw_defsz00, BGl_proc1821z00zzsaw_jvm_typez00,
				BGl_string1820z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_effectz00zzsaw_defsz00, BGl_proc1822z00zzsaw_jvm_typez00,
				BGl_string1820z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_purez00zzsaw_defsz00, BGl_proc1823z00zzsaw_jvm_typez00,
				BGl_string1820z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_movz00zzsaw_defsz00, BGl_proc1824z00zzsaw_jvm_typez00,
				BGl_string1820z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_loadiz00zzsaw_defsz00, BGl_proc1825z00zzsaw_jvm_typez00,
				BGl_string1820z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_loadgz00zzsaw_defsz00, BGl_proc1826z00zzsaw_jvm_typez00,
				BGl_string1820z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc1827z00zzsaw_jvm_typez00,
				BGl_string1820z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_vrefz00zzsaw_defsz00, BGl_proc1828z00zzsaw_jvm_typez00,
				BGl_string1820z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_newz00zzsaw_defsz00, BGl_proc1829z00zzsaw_jvm_typez00,
				BGl_string1830z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_applyz00zzsaw_defsz00, BGl_proc1831z00zzsaw_jvm_typez00,
				BGl_string1830z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_lightfuncallz00zzsaw_defsz00, BGl_proc1832z00zzsaw_jvm_typez00,
				BGl_string1830z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_funcallz00zzsaw_defsz00, BGl_proc1833z00zzsaw_jvm_typez00,
				BGl_string1830z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_castz00zzsaw_defsz00, BGl_proc1834z00zzsaw_jvm_typez00,
				BGl_string1830z00zzsaw_jvm_typez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc1835z00zzsaw_jvm_typez00,
				BGl_string1836z00zzsaw_jvm_typez00);
		}
	}



/* &type-dest-fun-rtl_ca1572 */
	BgL_typez00_bglt
		BGl_z62typezd2destzd2funzd2rtl_ca1572zb0zzsaw_jvm_typez00(obj_t
		BgL_envz00_2802, obj_t BgL_funz00_2803)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 78 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							(((BgL_rtl_callz00_bglt) CREF(
										((BgL_rtl_callz00_bglt) BgL_funz00_2803)))->BgL_varz00))))->
				BgL_typez00);
		}
	}



/* &size-dest-fun-rtl_ca1568 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ca1568z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2804, obj_t BgL_funz00_2805, obj_t BgL_insz00_2806)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 70 */
			return BINT(((long) 1));
		}
	}



/* &size-dest-fun-rtl_fu1566 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_fu1566z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2807, obj_t BgL_funz00_2808, obj_t BgL_insz00_2809)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 69 */
			return BINT(((long) 1));
		}
	}



/* &size-dest-fun-rtl_li1564 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_li1564z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2810, obj_t BgL_funz00_2811, obj_t BgL_insz00_2812)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 68 */
			return BINT(((long) 1));
		}
	}



/* &size-dest-fun-rtl_ap1562 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ap1562z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2813, obj_t BgL_funz00_2814, obj_t BgL_insz00_2815)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 67 */
			return BINT(((long) 1));
		}
	}



/* &size-dest-fun-rtl_ne1560 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ne1560z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2816, obj_t BgL_funz00_2817, obj_t BgL_insz00_2818)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 66 */
			return BINT(((long) 1));
		}
	}



/* &size-dest-fun-rtl_vr1558 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_vr1558z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2819, obj_t BgL_funz00_2820, obj_t BgL_insz00_2821)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 62 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00(
					(((BgL_rtl_vrefz00_bglt) CREF(
								((BgL_rtl_vrefz00_bglt) BgL_funz00_2820)))->BgL_typez00)));
		}
	}



/* &size-dest-fun-rtl_ge1556 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ge1556z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2822, obj_t BgL_funz00_2823, obj_t BgL_insz00_2824)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 59 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00(
					(((BgL_rtl_getfieldz00_bglt) CREF(
								((BgL_rtl_getfieldz00_bglt) BgL_funz00_2823)))->BgL_typez00)));
		}
	}



/* &size-dest-fun-rtl_lo1554 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_lo1554z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2825, obj_t BgL_funz00_2826, obj_t BgL_insz00_2827)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 56 */
			{	/* SawJvm/type.scm 57 */
				int BgL_tmpz00_3065;

				{	/* SawJvm/type.scm 57 */
					BgL_typez00_bglt BgL_arg1626z00_2876;

					BgL_arg1626z00_2876 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									(((BgL_rtl_loadgz00_bglt) CREF(
												((BgL_rtl_loadgz00_bglt) BgL_funz00_2826)))->
										BgL_varz00))))->BgL_typez00);
					BgL_tmpz00_3065 =
						BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1626z00_2876);
				}
				return BINT(BgL_tmpz00_3065);
			}
		}
	}



/* &size-dest-fun-rtl_lo1552 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_lo1552z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2828, obj_t BgL_funz00_2829, obj_t BgL_insz00_2830)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 49 */
			{	/* SawJvm/type.scm 50 */
				int BgL_tmpz00_3072;

				{	/* SawJvm/type.scm 50 */
					BgL_atomz00_bglt BgL_constantz00_2878;

					BgL_constantz00_2878 =
						(((BgL_rtl_loadiz00_bglt) CREF(
								((BgL_rtl_loadiz00_bglt) BgL_funz00_2829)))->BgL_constantz00);
					{	/* SawJvm/type.scm 51 */
						obj_t BgL_valuez00_2879;

						BgL_valuez00_2879 =
							(((BgL_atomz00_bglt) CREF(BgL_constantz00_2878))->BgL_valuez00);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_2879))
							{	/* SawJvm/type.scm 53 */
								BgL_typez00_bglt BgL_arg1615z00_2880;

								BgL_arg1615z00_2880 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_constantz00_2878)))->BgL_typez00);
								BgL_tmpz00_3072 =
									BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1615z00_2880);
							}
						else
							{	/* SawJvm/type.scm 52 */
								BgL_tmpz00_3072 = (int) (((long) 1));
				}}}
				return BINT(BgL_tmpz00_3072);
			}
		}
	}



/* &size-dest-fun-rtl_mo1550 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_mo1550z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2831, obj_t BgL_funz00_2832, obj_t BgL_insz00_2833)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 46 */
			{	/* SawJvm/type.scm 47 */
				int BgL_tmpz00_3083;

				{	/* SawJvm/type.scm 47 */
					obj_t BgL_arg1607z00_2882;

					{	/* SawJvm/type.scm 47 */
						obj_t BgL_pairz00_2883;

						BgL_pairz00_2883 =
							(((BgL_rtl_insz00_bglt) CREF(
									((BgL_rtl_insz00_bglt) BgL_insz00_2833)))->BgL_argsz00);
						BgL_arg1607z00_2882 = CAR(BgL_pairz00_2883);
					}
					BgL_tmpz00_3083 =
						BGl_siza7ezd2destz75zzsaw_jvm_typez00(BgL_arg1607z00_2882);
				}
				return BINT(BgL_tmpz00_3083);
			}
		}
	}



/* &size-dest-fun-rtl_pu1548 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_pu1548z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2834, obj_t BgL_funz00_2835, obj_t BgL_insz00_2836)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 44 */
			return BINT(((long) 1));
		}
	}



/* &size-dest-fun-rtl_ef1546 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ef1546z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2837, obj_t BgL_funz00_2838, obj_t BgL_insz00_2839)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 41 */
			return BINT(((long) 0));
		}
	}



/* &size-dest-fun-rtl_no1544 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_no1544z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2840, obj_t BgL_funz00_2841, obj_t BgL_insz00_2842)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 40 */
			return BINT(((long) 0));
		}
	}



/* &size-dest-fun-rtl_la1542 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_la1542z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2843, obj_t BgL_funz00_2844, obj_t BgL_insz00_2845)
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 39 */
			return BINT(((long) 0));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_typez00()
	{
		AN_OBJECT;
		{	/* SawJvm/type.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1837z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1837z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1837z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1837z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 336068337),
				BSTRING_TO_STRING(BGl_string1837z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1837z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 58109075),
				BSTRING_TO_STRING(BGl_string1837z00zzsaw_jvm_typez00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(((long) 179871433),
				BSTRING_TO_STRING(BGl_string1837z00zzsaw_jvm_typez00));
		}
	}

#ifdef __cplusplus
}
#endif
