/*===========================================================================*/
/*   (Type/misc.scm)                                                         */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Type/misc.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;


	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	static obj_t BGl_z62typezd2disjointzf3z43zztype_miscz00(obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zztype_miscz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztype_miscz00();
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zztype_miscz00();
	static obj_t BGl_z62appzd2predicatezd2ofz62zztype_miscz00(obj_t, obj_t);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static long BGl_czd2weightze70z35zztype_miscz00(BgL_typez00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zztype_miscz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zztype_miscz00();
	static obj_t BGl_genericzd2initzd2zztype_miscz00();
	static obj_t BGl_z62isazd2ofzb0zztype_miscz00(obj_t, obj_t);
	static obj_t BGl_z62typezd2lesszd2specificzf3z91zztype_miscz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62czd2subtypezf3z43zztype_miscz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_typezd2disjointzf3z21zztype_miscz00(BgL_typez00_bglt, BgL_typez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	BGL_EXPORTED_DECL bool_t
		BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2predicatezd2ofz00zztype_miscz00(BgL_appz00_bglt);
	static obj_t BGl_cnstzd2initzd2zztype_miscz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztype_miscz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztype_miscz00();
	static obj_t BGl_za2isaza2z00zztype_miscz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[18];


	   
		 
		DEFINE_STRING(BGl_string1665z00zztype_miscz00,
		BgL_bgl_string1665za700za7za7t1670za7, "type_misc", 9);
	      DEFINE_STRING(BGl_string1666z00zztype_miscz00,
		BgL_bgl_string1666za700za7za7t1671za7,
		"__object isa? real double uint64 int64 uint32 int32 uint16 int16 uint8 int8 llong elong long int short char ",
		108);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2disjointzf3zd2envzf3zztype_miscz00,
		BgL_bgl_za762typeza7d2disjoi1672z00,
		BGl_z62typezd2disjointzf3z43zztype_miscz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2predicatezd2ofzd2envzd2zztype_miscz00,
		BgL_bgl_za762appza7d2predica1673z00,
		BGl_z62appzd2predicatezd2ofz62zztype_miscz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isazd2ofzd2envz00zztype_miscz00,
		BgL_bgl_za762isaza7d2ofza7b0za7za71674za7, BGl_z62isazd2ofzb0zztype_miscz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2lesszd2specificzf3zd2envz21zztype_miscz00,
		BgL_bgl_za762typeza7d2lessza7d1675za7,
		BGl_z62typezd2lesszd2specificzf3z91zztype_miscz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_czd2subtypezf3zd2envzf3zztype_miscz00,
		BgL_bgl_za762cza7d2subtypeza7f1676za7,
		BGl_z62czd2subtypezf3z43zztype_miscz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zztype_miscz00));
		     ADD_ROOT((void *) (&BGl_za2isaza2z00zztype_miscz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long
		BgL_checksumz00_1842, char *BgL_fromz00_1843)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztype_miscz00))
				{
					BGl_requirezd2initializa7ationz75zztype_miscz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zztype_miscz00();
					BGl_libraryzd2moduleszd2initz00zztype_miscz00();
					BGl_cnstzd2initzd2zztype_miscz00();
					BGl_importedzd2moduleszd2initz00zztype_miscz00();
					return BGl_toplevelzd2initzd2zztype_miscz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "type_misc");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"type_misc");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			{	/* Type/misc.scm 15 */
				obj_t BgL_cportz00_1829;

				{	/* Type/misc.scm 15 */
					obj_t BgL_startz00_1838;

					BgL_startz00_1838 = BINT(((long) 0));
					{	/* Type/misc.scm 15 */
						obj_t BgL_endz00_1839;

						BgL_endz00_1839 =
							BINT(STRING_LENGTH(BGl_string1666z00zztype_miscz00));
						{	/* Type/misc.scm 15 */

							BgL_cportz00_1829 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1666z00zztype_miscz00, BgL_startz00_1838,
								BgL_endz00_1839);
				}}}
				{
					long BgL_iz00_1830;

					BgL_iz00_1830 = ((long) 17);
				BgL_loopz00_1831:
					if ((BgL_iz00_1830 == ((long) -1)))
						{	/* Type/misc.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Type/misc.scm 15 */
							{	/* Type/misc.scm 15 */
								obj_t BgL_arg1668z00_1833;

								{	/* Type/misc.scm 15 */

									{	/* Type/misc.scm 15 */
										obj_t BgL_locationz00_1835;

										BgL_locationz00_1835 = BBOOL(((bool_t) 0));
										{	/* Type/misc.scm 15 */

											BgL_arg1668z00_1833 =
												BGl_readz00zz__readerz00(BgL_cportz00_1829,
												BgL_locationz00_1835);
										}
									}
								}
								{	/* Type/misc.scm 15 */
									int BgL_tmpz00_1867;

									BgL_tmpz00_1867 = (int) (BgL_iz00_1830);
									CNST_TABLE_SET(BgL_tmpz00_1867, BgL_arg1668z00_1833);
							}}
							{	/* Type/misc.scm 15 */
								int BgL_auxz00_1836;

								BgL_auxz00_1836 = (int) ((BgL_iz00_1830 - ((long) 1)));
								{
									long BgL_iz00_1872;

									BgL_iz00_1872 = (long) (BgL_auxz00_1836);
									BgL_iz00_1830 = BgL_iz00_1872;
									goto BgL_loopz00_1831;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			return (BGl_za2isaza2z00zztype_miscz00 = BFALSE, BUNSPEC);
		}
	}



/* type-less-specific? */
	BGL_EXPORTED_DEF bool_t
		BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt BgL_t1z00_3,
		BgL_typez00_bglt BgL_t2z00_4)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 38 */
			if ((((obj_t) BgL_t1z00_3) == ((obj_t) BgL_t2z00_4)))
				{	/* Type/misc.scm 40 */
					return ((bool_t) 1);
				}
			else
				{	/* Type/misc.scm 40 */
					if ((((obj_t) BgL_t2z00_4) == BGl_za2_za2z00zztype_cachez00))
						{	/* Type/misc.scm 42 */
							return ((bool_t) 0);
						}
					else
						{	/* Type/misc.scm 44 */
							bool_t BgL_testz00_1882;

							if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_3))
								{	/* Type/misc.scm 44 */
									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_4))
										{	/* Type/misc.scm 44 */
											BgL_testz00_1882 = ((bool_t) 0);
										}
									else
										{	/* Type/misc.scm 44 */
											BgL_testz00_1882 = ((bool_t) 1);
										}
								}
							else
								{	/* Type/misc.scm 44 */
									BgL_testz00_1882 = ((bool_t) 1);
								}
							if (BgL_testz00_1882)
								{	/* Type/misc.scm 44 */
									return ((bool_t) 0);
								}
							else
								{	/* Type/misc.scm 44 */
									if (BGl_typezd2subclasszf3z21zzobject_classz00(BgL_t2z00_4,
											BgL_t1z00_3))
										{	/* Type/misc.scm 46 */
											return ((bool_t) 1);
										}
									else
										{	/* Type/misc.scm 46 */
											if (
												(((obj_t) BgL_t1z00_3) ==
													BGl_za2objza2z00zztype_cachez00))
												{	/* Type/misc.scm 48 */
													return ((bool_t) 1);
												}
											else
												{	/* Type/misc.scm 50 */
													bool_t BgL_testz00_1892;

													if (
														(((obj_t) BgL_t1z00_3) ==
															BGl_za2pairzd2nilza2zd2zztype_cachez00))
														{	/* Type/misc.scm 51 */
															bool_t BgL__ortest_1100z00_1483;

															BgL__ortest_1100z00_1483 =
																(
																((obj_t) BgL_t2z00_4) ==
																BGl_za2pairza2z00zztype_cachez00);
															if (BgL__ortest_1100z00_1483)
																{	/* Type/misc.scm 51 */
																	BgL_testz00_1892 = BgL__ortest_1100z00_1483;
																}
															else
																{	/* Type/misc.scm 51 */
																	bool_t BgL__ortest_1102z00_1484;

																	BgL__ortest_1102z00_1484 =
																		(
																		((obj_t) BgL_t2z00_4) ==
																		BGl_za2epairza2z00zztype_cachez00);
																	if (BgL__ortest_1102z00_1484)
																		{	/* Type/misc.scm 51 */
																			BgL_testz00_1892 =
																				BgL__ortest_1102z00_1484;
																		}
																	else
																		{	/* Type/misc.scm 51 */
																			BgL_testz00_1892 =
																				(
																				((obj_t) BgL_t2z00_4) ==
																				BGl_za2bnilza2z00zztype_cachez00);
																		}
																}
														}
													else
														{	/* Type/misc.scm 50 */
															BgL_testz00_1892 = ((bool_t) 0);
														}
													if (BgL_testz00_1892)
														{	/* Type/misc.scm 50 */
															return ((bool_t) 1);
														}
													else
														{	/* Type/misc.scm 50 */
															return ((bool_t) 0);
														}
												}
										}
								}
						}
				}
		}
	}



/* &type-less-specific? */
	obj_t BGl_z62typezd2lesszd2specificzf3z91zztype_miscz00(obj_t BgL_envz00_1816,
		obj_t BgL_t1z00_1817, obj_t BgL_t2z00_1818)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 38 */
			return
				BBOOL(BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(
					((BgL_typez00_bglt) BgL_t1z00_1817),
					((BgL_typez00_bglt) BgL_t2z00_1818)));
		}
	}



/* type-disjoint? */
	BGL_EXPORTED_DEF bool_t
		BGl_typezd2disjointzf3z21zztype_miscz00(BgL_typez00_bglt BgL_t1z00_5,
		BgL_typez00_bglt BgL_t2z00_6)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 61 */
			if ((((obj_t) BgL_t1z00_5) == ((obj_t) BgL_t2z00_6)))
				{	/* Type/misc.scm 63 */
					return ((bool_t) 0);
				}
			else
				{	/* Type/misc.scm 63 */
					if ((((obj_t) BgL_t2z00_6) == BGl_za2_za2z00zztype_cachez00))
						{	/* Type/misc.scm 65 */
							return ((bool_t) 0);
						}
					else
						{	/* Type/misc.scm 67 */
							bool_t BgL_testz00_1915;

							{	/* Type/misc.scm 67 */
								bool_t BgL_testz00_1916;

								if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_5))
									{	/* Type/misc.scm 67 */
										if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_6))
											{	/* Type/misc.scm 67 */
												BgL_testz00_1916 = ((bool_t) 0);
											}
										else
											{	/* Type/misc.scm 67 */
												BgL_testz00_1916 = ((bool_t) 1);
											}
									}
								else
									{	/* Type/misc.scm 67 */
										BgL_testz00_1916 = ((bool_t) 0);
									}
								if (BgL_testz00_1916)
									{	/* Type/misc.scm 67 */
										BgL_testz00_1915 = ((bool_t) 1);
									}
								else
									{	/* Type/misc.scm 68 */
										bool_t BgL_testz00_1921;

										if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_5))
											{	/* Type/misc.scm 68 */
												BgL_testz00_1921 = ((bool_t) 0);
											}
										else
											{	/* Type/misc.scm 68 */
												BgL_testz00_1921 = ((bool_t) 1);
											}
										if (BgL_testz00_1921)
											{	/* Type/misc.scm 68 */
												BgL_testz00_1915 =
													BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_6);
											}
										else
											{	/* Type/misc.scm 68 */
												BgL_testz00_1915 = ((bool_t) 0);
											}
									}
							}
							if (BgL_testz00_1915)
								{	/* Type/misc.scm 71 */
									bool_t BgL_testz00_1925;

									if (CBOOL(BGl_findzd2coercerzd2zztype_coercionz00(BgL_t1z00_5,
												BgL_t2z00_6)))
										{	/* Type/misc.scm 71 */
											BgL_testz00_1925 = ((bool_t) 1);
										}
									else
										{	/* Type/misc.scm 71 */
											BgL_testz00_1925 =
												CBOOL(BGl_findzd2coercerzd2zztype_coercionz00
												(BgL_t2z00_6, BgL_t1z00_5));
										}
									if (BgL_testz00_1925)
										{	/* Type/misc.scm 71 */
											return ((bool_t) 0);
										}
									else
										{	/* Type/misc.scm 71 */
											return ((bool_t) 1);
										}
								}
							else
								{	/* Type/misc.scm 72 */
									bool_t BgL_testz00_1931;

									if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
										(BgL_t1z00_5, BgL_t2z00_6))
										{	/* Type/misc.scm 72 */
											BgL_testz00_1931 = ((bool_t) 1);
										}
									else
										{	/* Type/misc.scm 72 */
											BgL_testz00_1931 =
												BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
												(BgL_t2z00_6, BgL_t1z00_5);
										}
									if (BgL_testz00_1931)
										{	/* Type/misc.scm 72 */
											return ((bool_t) 0);
										}
									else
										{	/* Type/misc.scm 75 */
											bool_t BgL_testz00_1935;

											if (CBOOL(BGl_findzd2coercerzd2zztype_coercionz00
													(BgL_t1z00_5, BgL_t2z00_6)))
												{	/* Type/misc.scm 75 */
													BgL_testz00_1935 = ((bool_t) 1);
												}
											else
												{	/* Type/misc.scm 75 */
													BgL_testz00_1935 =
														CBOOL(BGl_findzd2coercerzd2zztype_coercionz00
														(BgL_t2z00_6, BgL_t1z00_5));
												}
											if (BgL_testz00_1935)
												{	/* Type/misc.scm 75 */
													return ((bool_t) 0);
												}
											else
												{	/* Type/misc.scm 75 */
													return ((bool_t) 1);
												}
										}
								}
						}
				}
		}
	}



/* &type-disjoint? */
	obj_t BGl_z62typezd2disjointzf3z43zztype_miscz00(obj_t BgL_envz00_1819,
		obj_t BgL_t1z00_1820, obj_t BgL_t2z00_1821)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 61 */
			return
				BBOOL(BGl_typezd2disjointzf3z21zztype_miscz00(
					((BgL_typez00_bglt) BgL_t1z00_1820),
					((BgL_typez00_bglt) BgL_t2z00_1821)));
		}
	}



/* c-subtype? */
	BGL_EXPORTED_DEF bool_t BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_bglt
		BgL_t1z00_7, BgL_typez00_bglt BgL_t2z00_8)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 85 */
			{	/* Type/misc.scm 107 */
				bool_t BgL_testz00_1945;

				if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_7))
					{	/* Type/misc.scm 107 */
						BgL_testz00_1945 = ((bool_t) 0);
					}
				else
					{	/* Type/misc.scm 107 */
						if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_8))
							{	/* Type/misc.scm 107 */
								BgL_testz00_1945 = ((bool_t) 0);
							}
						else
							{	/* Type/misc.scm 107 */
								BgL_testz00_1945 = ((bool_t) 1);
							}
					}
				if (BgL_testz00_1945)
					{	/* Type/misc.scm 108 */
						long BgL_w1z00_1515;
						long BgL_w2z00_1516;

						BgL_w1z00_1515 = BGl_czd2weightze70z35zztype_miscz00(BgL_t1z00_7);
						BgL_w2z00_1516 = BGl_czd2weightze70z35zztype_miscz00(BgL_t2z00_8);
						if (((BgL_w1z00_1515 * BgL_w2z00_1516) > ((long) 0)))
							{	/* Type/misc.scm 110 */
								return (BgL_w1z00_1515 < BgL_w2z00_1516);
							}
						else
							{	/* Type/misc.scm 110 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Type/misc.scm 107 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* c-weight~0 */
	long BGl_czd2weightze70z35zztype_miscz00(BgL_typez00_bglt BgL_tz00_1521)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 105 */
			{	/* Type/misc.scm 88 */
				obj_t BgL_casezd2valuezd2_1523;

				BgL_casezd2valuezd2_1523 =
					(((BgL_typez00_bglt) CREF(BgL_tz00_1521))->BgL_idz00);
				if ((BgL_casezd2valuezd2_1523 == CNST_TABLE_REF(((long) 0))))
					{	/* Type/misc.scm 88 */
						return ((long) 1);
					}
				else
					{	/* Type/misc.scm 88 */
						if ((BgL_casezd2valuezd2_1523 == CNST_TABLE_REF(((long) 1))))
							{	/* Type/misc.scm 88 */
								return ((long) 2);
							}
						else
							{	/* Type/misc.scm 88 */
								if ((BgL_casezd2valuezd2_1523 == CNST_TABLE_REF(((long) 2))))
									{	/* Type/misc.scm 88 */
										return ((long) 3);
									}
								else
									{	/* Type/misc.scm 88 */
										if (
											(BgL_casezd2valuezd2_1523 == CNST_TABLE_REF(((long) 3))))
											{	/* Type/misc.scm 88 */
												return ((long) 4);
											}
										else
											{	/* Type/misc.scm 88 */
												if (
													(BgL_casezd2valuezd2_1523 ==
														CNST_TABLE_REF(((long) 4))))
													{	/* Type/misc.scm 88 */
														return ((long) 4);
													}
												else
													{	/* Type/misc.scm 88 */
														if (
															(BgL_casezd2valuezd2_1523 ==
																CNST_TABLE_REF(((long) 5))))
															{	/* Type/misc.scm 88 */
																return ((long) 5);
															}
														else
															{	/* Type/misc.scm 88 */
																if (
																	(BgL_casezd2valuezd2_1523 ==
																		CNST_TABLE_REF(((long) 6))))
																	{	/* Type/misc.scm 88 */
																		return ((long) 6);
																	}
																else
																	{	/* Type/misc.scm 88 */
																		if (
																			(BgL_casezd2valuezd2_1523 ==
																				CNST_TABLE_REF(((long) 7))))
																			{	/* Type/misc.scm 88 */
																				return ((long) 7);
																			}
																		else
																			{	/* Type/misc.scm 88 */
																				if (
																					(BgL_casezd2valuezd2_1523 ==
																						CNST_TABLE_REF(((long) 8))))
																					{	/* Type/misc.scm 88 */
																						return ((long) 8);
																					}
																				else
																					{	/* Type/misc.scm 88 */
																						if (
																							(BgL_casezd2valuezd2_1523 ==
																								CNST_TABLE_REF(((long) 9))))
																							{	/* Type/misc.scm 88 */
																								return ((long) 9);
																							}
																						else
																							{	/* Type/misc.scm 88 */
																								if (
																									(BgL_casezd2valuezd2_1523 ==
																										CNST_TABLE_REF(((long)
																												10))))
																									{	/* Type/misc.scm 88 */
																										return ((long) 10);
																									}
																								else
																									{	/* Type/misc.scm 88 */
																										if (
																											(BgL_casezd2valuezd2_1523
																												==
																												CNST_TABLE_REF(((long)
																														11))))
																											{	/* Type/misc.scm 88 */
																												return ((long) 11);
																											}
																										else
																											{	/* Type/misc.scm 88 */
																												if (
																													(BgL_casezd2valuezd2_1523
																														==
																														CNST_TABLE_REF((
																																(long) 12))))
																													{	/* Type/misc.scm 88 */
																														return ((long) 12);
																													}
																												else
																													{	/* Type/misc.scm 88 */
																														if (
																															(BgL_casezd2valuezd2_1523
																																==
																																CNST_TABLE_REF((
																																		(long)
																																		13))))
																															{	/* Type/misc.scm 88 */
																																return ((long)
																																	13);
																															}
																														else
																															{	/* Type/misc.scm 88 */
																																if (
																																	(BgL_casezd2valuezd2_1523
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				14))))
																																	{	/* Type/misc.scm 88 */
																																		return (
																																			(long)
																																			-1);
																																	}
																																else
																																	{	/* Type/misc.scm 88 */
																																		if (
																																			(BgL_casezd2valuezd2_1523
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						15))))
																																			{	/* Type/misc.scm 88 */
																																				return (
																																					(long)
																																					-2);
																																			}
																																		else
																																			{	/* Type/misc.scm 88 */
																																				return (
																																					(long)
																																					-1);
		}}}}}}}}}}}}}}}}}}
	}



/* &c-subtype? */
	obj_t BGl_z62czd2subtypezf3z43zztype_miscz00(obj_t BgL_envz00_1822,
		obj_t BgL_t1z00_1823, obj_t BgL_t2z00_1824)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 85 */
			return
				BBOOL(BGl_czd2subtypezf3z21zztype_miscz00(
					((BgL_typez00_bglt) BgL_t1z00_1823),
					((BgL_typez00_bglt) BgL_t2z00_1824)));
		}
	}



/* isa-of */
	BGL_EXPORTED_DEF obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt
		BgL_nodez00_9)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 120 */
			{	/* Type/misc.scm 121 */
				bool_t BgL_testz00_2009;

				{	/* Type/misc.scm 121 */
					bool_t BgL_res1660z00_1791;

					BgL_res1660z00_1791 =
						BGl_isazf3zf3zz__objectz00(
						((obj_t) BgL_nodez00_9), BGl_appz00zzast_nodez00);
					BgL_testz00_2009 = BgL_res1660z00_1791;
				}
				if (BgL_testz00_2009)
					{	/* Type/misc.scm 121 */
						{	/* Type/misc.scm 122 */
							bool_t BgL_testz00_2012;

							{	/* Type/misc.scm 122 */
								bool_t BgL_res1661z00_1793;

								{	/* Type/misc.scm 122 */
									obj_t BgL_objz00_1792;

									BgL_objz00_1792 = BGl_za2isaza2z00zztype_miscz00;
									BgL_res1661z00_1793 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_1792,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_2012 = BgL_res1661z00_1793;
							}
							if (BgL_testz00_2012)
								{	/* Type/misc.scm 122 */
									BFALSE;
								}
							else
								{	/* Type/misc.scm 122 */
									BGl_za2isaza2z00zztype_miscz00 =
										BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF((
												(long) 16)), CNST_TABLE_REF(((long) 17)));
						}}
						{	/* Type/misc.scm 125 */
							bool_t BgL_testz00_2017;

							{	/* Type/misc.scm 125 */
								obj_t BgL_tmpz00_2018;

								BgL_tmpz00_2018 =
									(((BgL_appz00_bglt) CREF(
											((BgL_appz00_bglt) BgL_nodez00_9)))->BgL_argsz00);
								BgL_testz00_2017 = PAIRP(BgL_tmpz00_2018);
							}
							if (BgL_testz00_2017)
								{	/* Type/misc.scm 126 */
									bool_t BgL_testz00_2022;

									{	/* Type/misc.scm 126 */
										bool_t BgL_testz00_2023;

										{	/* Type/misc.scm 126 */
											BgL_variablez00_bglt BgL_arg1446z00_1571;

											BgL_arg1446z00_1571 =
												(((BgL_varz00_bglt) CREF(
														(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_nodez00_9)))->
															BgL_funz00)))->BgL_variablez00);
											BgL_testz00_2023 =
												(((obj_t) BgL_arg1446z00_1571) ==
												BGl_za2isaza2z00zztype_miscz00);
										}
										if (BgL_testz00_2023)
											{	/* Type/misc.scm 127 */
												bool_t BgL_testz00_2029;

												{	/* Type/misc.scm 127 */
													obj_t BgL_arg1436z00_1569;

													{	/* Type/misc.scm 127 */
														obj_t BgL_pairz00_1796;

														BgL_pairz00_1796 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_nodez00_9)))->
															BgL_argsz00);
														BgL_arg1436z00_1569 = CAR(CDR(BgL_pairz00_1796));
													}
													BgL_testz00_2029 =
														BGl_isazf3zf3zz__objectz00(BgL_arg1436z00_1569,
														BGl_varz00zzast_nodez00);
												}
												if (BgL_testz00_2029)
													{	/* Type/misc.scm 128 */
														BgL_variablez00_bglt BgL_arg1415z00_1566;

														{
															BgL_varz00_bglt BgL_auxz00_2035;

															{
																obj_t BgL_auxz00_2036;

																{	/* Type/misc.scm 128 */
																	obj_t BgL_pairz00_1801;

																	BgL_pairz00_1801 =
																		(((BgL_appz00_bglt) CREF(
																				((BgL_appz00_bglt) BgL_nodez00_9)))->
																		BgL_argsz00);
																	{	/* Type/misc.scm 128 */
																		obj_t BgL_pairz00_1804;

																		BgL_pairz00_1804 = CDR(BgL_pairz00_1801);
																		BgL_auxz00_2036 = CAR(BgL_pairz00_1804);
																	}
																}
																BgL_auxz00_2035 =
																	((BgL_varz00_bglt) BgL_auxz00_2036);
															}
															BgL_arg1415z00_1566 =
																(((BgL_varz00_bglt) CREF(BgL_auxz00_2035))->
																BgL_variablez00);
														}
														{	/* Type/misc.scm 128 */
															bool_t BgL_res1664z00_1806;

															BgL_res1664z00_1806 =
																BGl_isazf3zf3zz__objectz00(
																((obj_t) BgL_arg1415z00_1566),
																BGl_globalz00zzast_varz00);
															BgL_testz00_2022 = BgL_res1664z00_1806;
														}
													}
												else
													{	/* Type/misc.scm 127 */
														BgL_testz00_2022 = ((bool_t) 0);
													}
											}
										else
											{	/* Type/misc.scm 126 */
												BgL_testz00_2022 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_2022)
										{	/* Type/misc.scm 129 */
											obj_t BgL_arg1406z00_1560;

											{
												BgL_variablez00_bglt BgL_auxz00_2045;

												{
													BgL_globalz00_bglt BgL_auxz00_2046;

													{
														BgL_variablez00_bglt BgL_auxz00_2047;

														{
															BgL_varz00_bglt BgL_auxz00_2048;

															{
																obj_t BgL_auxz00_2049;

																{	/* Type/misc.scm 129 */
																	obj_t BgL_pairz00_1807;

																	BgL_pairz00_1807 =
																		(((BgL_appz00_bglt) CREF(
																				((BgL_appz00_bglt) BgL_nodez00_9)))->
																		BgL_argsz00);
																	{	/* Type/misc.scm 129 */
																		obj_t BgL_pairz00_1810;

																		BgL_pairz00_1810 = CDR(BgL_pairz00_1807);
																		BgL_auxz00_2049 = CAR(BgL_pairz00_1810);
																	}
																}
																BgL_auxz00_2048 =
																	((BgL_varz00_bglt) BgL_auxz00_2049);
															}
															BgL_auxz00_2047 =
																(((BgL_varz00_bglt) CREF(BgL_auxz00_2048))->
																BgL_variablez00);
														}
														BgL_auxz00_2046 =
															((BgL_globalz00_bglt) BgL_auxz00_2047);
													}
													BgL_auxz00_2045 =
														((BgL_variablez00_bglt) BgL_auxz00_2046);
												}
												BgL_arg1406z00_1560 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_2045))->
													BgL_idz00);
											}
											return
												((obj_t)
												BGl_findzd2typezd2zztype_envz00(BgL_arg1406z00_1560));
										}
									else
										{	/* Type/misc.scm 126 */
											return BFALSE;
										}
								}
							else
								{	/* Type/misc.scm 125 */
									return BFALSE;
								}
						}
					}
				else
					{	/* Type/misc.scm 121 */
						return BFALSE;
					}
			}
		}
	}



/* &isa-of */
	obj_t BGl_z62isazd2ofzb0zztype_miscz00(obj_t BgL_envz00_1825,
		obj_t BgL_nodez00_1826)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 120 */
			return
				BGl_isazd2ofzd2zztype_miscz00(((BgL_nodez00_bglt) BgL_nodez00_1826));
		}
	}



/* app-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2predicatezd2ofz00zztype_miscz00(BgL_appz00_bglt BgL_nodez00_10)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 134 */
			{	/* Type/misc.scm 136 */
				BgL_valuez00_bglt BgL_valz00_1575;

				BgL_valz00_1575 =
					(((BgL_variablez00_bglt) CREF(
							(((BgL_varz00_bglt) CREF(
										(((BgL_appz00_bglt) CREF(BgL_nodez00_10))->BgL_funz00)))->
								BgL_variablez00)))->BgL_valuez00);
				{	/* Type/misc.scm 137 */
					obj_t BgL__ortest_1107z00_1576;

					BgL__ortest_1107z00_1576 =
						(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_valz00_1575)))->BgL_predicatezd2ofzd2);
					if (CBOOL(BgL__ortest_1107z00_1576))
						{	/* Type/misc.scm 137 */
							return BgL__ortest_1107z00_1576;
						}
					else
						{	/* Type/misc.scm 137 */
							return
								BGl_isazd2ofzd2zztype_miscz00(
								((BgL_nodez00_bglt) BgL_nodez00_10));
						}
				}
			}
		}
	}



/* &app-predicate-of */
	obj_t BGl_z62appzd2predicatezd2ofz62zztype_miscz00(obj_t BgL_envz00_1827,
		obj_t BgL_nodez00_1828)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 134 */
			return
				BGl_appzd2predicatezd2ofz00zztype_miscz00(
				((BgL_appz00_bglt) BgL_nodez00_1828));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1665z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1665z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string1665z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1665z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string1665z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1665z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1665z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1665z00zztype_miscz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1665z00zztype_miscz00));
		}
	}

#ifdef __cplusplus
}
#endif
