/*===========================================================================*/
/*   (Write/ast.scm)                                                         */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Write/ast.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;


	extern obj_t BGl_za2astzd2casezd2sensitiveza2z00zzengine_paramz00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzwrite_astz00();
	BGL_IMPORT obj_t BGl_za2ppzd2caseza2zd2zz__ppz00;
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzwrite_astz00();
	extern obj_t BGl_writezd2schemezd2commentz00zzwrite_schemez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31527ze3ze1zzwrite_astz00(obj_t);
	static obj_t BGl_makezd2sfunzd2sinfoz00zzwrite_astz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzwrite_astz00();
	extern obj_t
		BGl_functionzd2typezd2ze3stringze3zztype_pptypez00(BgL_variablez00_bglt);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzwrite_astz00 = BUNSPEC;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_z62zc3anonymousza31318ze3ze1zzwrite_astz00(obj_t);
	BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzwrite_astz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_writezd2schemezd2filezd2headerzd2zzwrite_schemez00(obj_t,
		obj_t);
	extern obj_t BGl_argszd2listzd2ze3argsza2z41zztools_argsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_z62writezd2astzb0zzwrite_astz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writezd2astzd2zzwrite_astz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzwrite_astz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_pptypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzwrite_schemez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_atomzd2ze3stringze70zd6zzwrite_astz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_cnstzd2initzd2zzwrite_astz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzwrite_astz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzwrite_astz00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	BGL_IMPORT obj_t
		BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
	static obj_t __cnst[8];


	   
		 
		DEFINE_STRING(BGl_string1688z00zzwrite_astz00,
		BgL_bgl_string1688za700za7za7w1715za7, ".ast", 4);
	      DEFINE_STRING(BGl_string1689z00zzwrite_astz00,
		BgL_bgl_string1689za700za7za7w1716za7, "The AST (", 9);
	      DEFINE_STRING(BGl_string1690z00zzwrite_astz00,
		BgL_bgl_string1690za700za7za7w1717za7, ")", 1);
	      DEFINE_STRING(BGl_string1691z00zzwrite_astz00,
		BgL_bgl_string1691za700za7za7w1718za7, "write-ast", 9);
	      DEFINE_STRING(BGl_string1692z00zzwrite_astz00,
		BgL_bgl_string1692za700za7za7w1719za7, "Can't open output file", 22);
	      DEFINE_STRING(BGl_string1693z00zzwrite_astz00,
		BgL_bgl_string1693za700za7za7w1720za7, "  predicate-of: ", 16);
	      DEFINE_STRING(BGl_string1694z00zzwrite_astz00,
		BgL_bgl_string1694za700za7za7w1721za7, "", 0);
	      DEFINE_STRING(BGl_string1695z00zzwrite_astz00,
		BgL_bgl_string1695za700za7za7w1722za7, "  user?: #t", 11);
	      DEFINE_STRING(BGl_string1696z00zzwrite_astz00,
		BgL_bgl_string1696za700za7za7w1723za7, "  user?: #f", 11);
	      DEFINE_STRING(BGl_string1697z00zzwrite_astz00,
		BgL_bgl_string1697za700za7za7w1724za7, "]", 1);
	      DEFINE_STRING(BGl_string1698z00zzwrite_astz00,
		BgL_bgl_string1698za700za7za7w1725za7, " removable: ", 12);
	      DEFINE_STRING(BGl_string1699z00zzwrite_astz00,
		BgL_bgl_string1699za700za7za7w1726za7, "  loc: ", 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_writezd2astzd2envz00zzwrite_astz00,
		BgL_bgl_za762writeza7d2astza7b1727za7, BGl_z62writezd2astzb0zzwrite_astz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1700z00zzwrite_astz00,
		BgL_bgl_string1700za700za7za7w1728za7, "  rm: ", 6);
	      DEFINE_STRING(BGl_string1701z00zzwrite_astz00,
		BgL_bgl_string1701za700za7za7w1729za7, "  occ: ", 7);
	      DEFINE_STRING(BGl_string1702z00zzwrite_astz00,
		BgL_bgl_string1702za700za7za7w1730za7, "  side-effect: ", 15);
	      DEFINE_STRING(BGl_string1703z00zzwrite_astz00,
		BgL_bgl_string1703za700za7za7w1731za7, "[", 1);
	      DEFINE_STRING(BGl_string1704z00zzwrite_astz00,
		BgL_bgl_string1704za700za7za7w1732za7, "#t", 2);
	      DEFINE_STRING(BGl_string1705z00zzwrite_astz00,
		BgL_bgl_string1705za700za7za7w1733za7, "#f", 2);
	      DEFINE_STRING(BGl_string1706z00zzwrite_astz00,
		BgL_bgl_string1706za700za7za7w1734za7, "#unspecified", 12);
	      DEFINE_STRING(BGl_string1707z00zzwrite_astz00,
		BgL_bgl_string1707za700za7za7w1735za7, "write_ast", 9);
	      DEFINE_STRING(BGl_string1708z00zzwrite_astz00,
		BgL_bgl_string1708za700za7za7w1736za7,
		"define define-method smfun define-inline sifun define-generic sgfun lower ",
		74);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzwrite_astz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzwrite_astz00(long
		BgL_checksumz00_1612, char *BgL_fromz00_1613)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzwrite_astz00))
				{
					BGl_requirezd2initializa7ationz75zzwrite_astz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzwrite_astz00();
					BGl_libraryzd2moduleszd2initz00zzwrite_astz00();
					BGl_cnstzd2initzd2zzwrite_astz00();
					BGl_importedzd2moduleszd2initz00zzwrite_astz00();
					return BGl_methodzd2initzd2zzwrite_astz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzwrite_astz00()
	{
		AN_OBJECT;
		{	/* Write/ast.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"write_ast");
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 0), "write_ast");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "write_ast");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "write_ast");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"write_ast");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "write_ast");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"write_ast");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "write_ast");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"write_ast");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"write_ast");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "write_ast");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "write_ast");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"write_ast");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"write_ast");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"write_ast");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzwrite_astz00()
	{
		AN_OBJECT;
		{	/* Write/ast.scm 15 */
			{	/* Write/ast.scm 15 */
				obj_t BgL_cportz00_1596;

				{	/* Write/ast.scm 15 */
					obj_t BgL_startz00_1605;

					BgL_startz00_1605 = BINT(((long) 0));
					{	/* Write/ast.scm 15 */
						obj_t BgL_endz00_1606;

						BgL_endz00_1606 =
							BINT(STRING_LENGTH(BGl_string1708z00zzwrite_astz00));
						{	/* Write/ast.scm 15 */

							BgL_cportz00_1596 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1708z00zzwrite_astz00, BgL_startz00_1605,
								BgL_endz00_1606);
				}}}
				{
					long BgL_iz00_1597;

					BgL_iz00_1597 = ((long) 7);
				BgL_loopz00_1598:
					if ((BgL_iz00_1597 == ((long) -1)))
						{	/* Write/ast.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Write/ast.scm 15 */
							{	/* Write/ast.scm 15 */
								obj_t BgL_arg1713z00_1600;

								{	/* Write/ast.scm 15 */

									{	/* Write/ast.scm 15 */
										obj_t BgL_locationz00_1602;

										BgL_locationz00_1602 = BBOOL(((bool_t) 0));
										{	/* Write/ast.scm 15 */

											BgL_arg1713z00_1600 =
												BGl_readz00zz__readerz00(BgL_cportz00_1596,
												BgL_locationz00_1602);
										}
									}
								}
								{	/* Write/ast.scm 15 */
									int BgL_tmpz00_1645;

									BgL_tmpz00_1645 = (int) (BgL_iz00_1597);
									CNST_TABLE_SET(BgL_tmpz00_1645, BgL_arg1713z00_1600);
							}}
							{	/* Write/ast.scm 15 */
								int BgL_auxz00_1603;

								BgL_auxz00_1603 = (int) ((BgL_iz00_1597 - ((long) 1)));
								{
									long BgL_iz00_1650;

									BgL_iz00_1650 = (long) (BgL_auxz00_1603);
									BgL_iz00_1597 = BgL_iz00_1650;
									goto BgL_loopz00_1598;
								}
							}
						}
				}
			}
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzwrite_astz00()
	{
		AN_OBJECT;
		{	/* Write/ast.scm 15 */
			return bgl_gc_roots_register();
		}
	}



/* write-ast */
	BGL_EXPORTED_DEF obj_t BGl_writezd2astzd2zzwrite_astz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Write/ast.scm 29 */
			{	/* Write/ast.scm 31 */
				obj_t BgL_outputzd2namezd2_1240;

				if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
					{	/* Write/ast.scm 31 */
						BgL_outputzd2namezd2_1240 = BGl_za2destza2z00zzengine_paramz00;
					}
				else
					{	/* Write/ast.scm 33 */
						bool_t BgL_testz00_1655;

						if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
							{	/* Write/ast.scm 34 */
								obj_t BgL_tmpz00_1658;

								BgL_tmpz00_1658 =
									CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
								BgL_testz00_1655 = STRINGP(BgL_tmpz00_1658);
							}
						else
							{	/* Write/ast.scm 33 */
								BgL_testz00_1655 = ((bool_t) 0);
							}
						if (BgL_testz00_1655)
							{	/* Write/ast.scm 33 */
								BgL_outputzd2namezd2_1240 =
									string_append(BGl_prefixz00zz__osz00(CAR
										(BGl_za2srczd2filesza2zd2zzengine_paramz00)),
									BGl_string1688z00zzwrite_astz00);
							}
						else
							{	/* Write/ast.scm 33 */
								BgL_outputzd2namezd2_1240 = BFALSE;
							}
					}
				{	/* Write/ast.scm 31 */
					obj_t BgL_portz00_1241;

					if (STRINGP(BgL_outputzd2namezd2_1240))
						{	/* Write/ast.scm 39 */

							BgL_portz00_1241 =
								BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
								(BgL_outputzd2namezd2_1240, BTRUE);
						}
					else
						{	/* Write/ast.scm 40 */
							obj_t BgL_res1670z00_1532;

							{	/* Write/ast.scm 40 */
								obj_t BgL_tmpz00_1667;

								BgL_tmpz00_1667 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1670z00_1532 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1667);
							}
							BgL_portz00_1241 = BgL_res1670z00_1532;
						}
					{	/* Write/ast.scm 38 */

						if (OUTPUT_PORTP(BgL_portz00_1241))
							{	/* Write/ast.scm 43 */
								obj_t BgL_exitd1101z00_1243;

								BgL_exitd1101z00_1243 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Write/ast.scm 74 */
									obj_t BgL_zc3anonymousza31318ze3z83_1588;

									BgL_zc3anonymousza31318ze3z83_1588 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31318ze3ze1zzwrite_astz00,
										(int) (((long) 0)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza31318ze3z83_1588,
										(int) (((long) 0)), BgL_portz00_1241);
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
										(BgL_exitd1101z00_1243, BgL_zc3anonymousza31318ze3z83_1588);
									{	/* Write/ast.scm 46 */
										bool_t BgL_tmp1103z00_1245;

										if (CBOOL
											(BGl_za2astzd2casezd2sensitiveza2z00zzengine_paramz00))
											{	/* Write/ast.scm 45 */
												BFALSE;
											}
										else
											{	/* Write/ast.scm 45 */
												BGl_za2ppzd2caseza2zd2zz__ppz00 =
													CNST_TABLE_REF(((long) 0));
											}
										BGl_writezd2schemezd2filezd2headerzd2zzwrite_schemez00
											(BgL_portz00_1241,
											string_append_3(BGl_string1689z00zzwrite_astz00,
												BGl_za2currentzd2passza2zd2zzengine_passz00,
												BGl_string1690z00zzwrite_astz00));
										{
											obj_t BgL_l1223z00_1248;

											BgL_l1223z00_1248 = BgL_globalsz00_3;
										BgL_zc3anonymousza31233ze3z83_1249:
											if (PAIRP(BgL_l1223z00_1248))
												{	/* Write/ast.scm 51 */
													{	/* Write/ast.scm 53 */
														obj_t BgL_gz00_1251;

														BgL_gz00_1251 = CAR(BgL_l1223z00_1248);
														{	/* Write/ast.scm 53 */
															BgL_valuez00_bglt BgL_funz00_1252;

															BgL_funz00_1252 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt) BgL_gz00_1251))))->
																BgL_valuez00);
															{	/* Write/ast.scm 54 */
																obj_t BgL_arg1236z00_1253;

																BgL_arg1236z00_1253 =
																	BGl_shapez00zztools_shapez00(BgL_gz00_1251);
																{	/* Write/ast.scm 54 */
																	obj_t BgL_list1237z00_1254;

																	BgL_list1237z00_1254 =
																		MAKE_YOUNG_PAIR(BgL_arg1236z00_1253, BNIL);
																	BGl_writezd2schemezd2commentz00zzwrite_schemez00
																		(BgL_portz00_1241, BgL_list1237z00_1254);
																}
															}
															{	/* Write/ast.scm 56 */
																obj_t BgL_arg1238z00_1255;

																BgL_arg1238z00_1255 =
																	BGl_functionzd2typezd2ze3stringze3zztype_pptypez00
																	(((BgL_variablez00_bglt) BgL_gz00_1251));
																{	/* Write/ast.scm 55 */
																	obj_t BgL_list1239z00_1256;

																	BgL_list1239z00_1256 =
																		MAKE_YOUNG_PAIR(BgL_arg1238z00_1255, BNIL);
																	BGl_writezd2schemezd2commentz00zzwrite_schemez00
																		(BgL_portz00_1241, BgL_list1239z00_1256);
																}
															}
															{	/* Write/ast.scm 57 */
																obj_t BgL_arg1240z00_1257;

																BgL_arg1240z00_1257 =
																	BGl_makezd2sfunzd2sinfoz00zzwrite_astz00(
																	((BgL_globalz00_bglt) BgL_gz00_1251));
																{	/* Write/ast.scm 57 */
																	obj_t BgL_list1241z00_1258;

																	BgL_list1241z00_1258 =
																		MAKE_YOUNG_PAIR(BgL_arg1240z00_1257, BNIL);
																	BGl_writezd2schemezd2commentz00zzwrite_schemez00
																		(BgL_portz00_1241, BgL_list1241z00_1258);
																}
															}
															{	/* Write/ast.scm 58 */
																obj_t BgL_arg1242z00_1259;

																{	/* Write/ast.scm 58 */
																	obj_t BgL_arg1247z00_1261;
																	obj_t BgL_arg1248z00_1262;

																	{	/* Write/ast.scm 58 */
																		obj_t BgL_casezd2valuezd2_1265;

																		BgL_casezd2valuezd2_1265 =
																			(((BgL_sfunz00_bglt) CREF(
																					((BgL_sfunz00_bglt)
																						BgL_funz00_1252)))->BgL_classz00);
																		if ((BgL_casezd2valuezd2_1265 ==
																				CNST_TABLE_REF(((long) 1))))
																			{	/* Write/ast.scm 58 */
																				BgL_arg1247z00_1261 =
																					CNST_TABLE_REF(((long) 2));
																			}
																		else
																			{	/* Write/ast.scm 58 */
																				if (
																					(BgL_casezd2valuezd2_1265 ==
																						CNST_TABLE_REF(((long) 3))))
																					{	/* Write/ast.scm 58 */
																						BgL_arg1247z00_1261 =
																							CNST_TABLE_REF(((long) 4));
																					}
																				else
																					{	/* Write/ast.scm 58 */
																						if (
																							(BgL_casezd2valuezd2_1265 ==
																								CNST_TABLE_REF(((long) 5))))
																							{	/* Write/ast.scm 58 */
																								BgL_arg1247z00_1261 =
																									CNST_TABLE_REF(((long) 6));
																							}
																						else
																							{	/* Write/ast.scm 58 */
																								BgL_arg1247z00_1261 =
																									CNST_TABLE_REF(((long) 7));
																	}}}}
																	{	/* Write/ast.scm 67 */
																		obj_t BgL_arg1252z00_1269;
																		obj_t BgL_arg1253z00_1270;

																		{	/* Write/ast.scm 67 */
																			obj_t BgL_arg1262z00_1271;
																			obj_t BgL_arg1263z00_1272;

																			BgL_arg1262z00_1271 =
																				BGl_shapez00zztools_shapez00
																				(BgL_gz00_1251);
																			{	/* Write/ast.scm 69 */
																				obj_t BgL_arg1264z00_1273;
																				long BgL_arg1266z00_1274;

																				{	/* Write/ast.scm 69 */
																					obj_t BgL_l1217z00_1275;

																					BgL_l1217z00_1275 =
																						(((BgL_sfunz00_bglt) CREF(
																								((BgL_sfunz00_bglt)
																									BgL_funz00_1252)))->
																						BgL_argsz00);
																					if (NULLP(BgL_l1217z00_1275))
																						{	/* Write/ast.scm 69 */
																							BgL_arg1264z00_1273 = BNIL;
																						}
																					else
																						{	/* Write/ast.scm 69 */
																							obj_t BgL_head1219z00_1277;

																							{	/* Write/ast.scm 69 */
																								obj_t BgL_arg1285z00_1289;

																								BgL_arg1285z00_1289 =
																									BGl_shapez00zztools_shapez00
																									(CAR(BgL_l1217z00_1275));
																								{	/* Write/ast.scm 69 */
																									obj_t BgL_res1676z00_1547;

																									BgL_res1676z00_1547 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1285z00_1289, BNIL);
																									BgL_head1219z00_1277 =
																										BgL_res1676z00_1547;
																								}
																							}
																							{	/* Write/ast.scm 69 */
																								obj_t BgL_g1222z00_1278;

																								BgL_g1222z00_1278 =
																									CDR(BgL_l1217z00_1275);
																								{
																									obj_t BgL_l1217z00_1280;
																									obj_t BgL_tail1220z00_1281;

																									BgL_l1217z00_1280 =
																										BgL_g1222z00_1278;
																									BgL_tail1220z00_1281 =
																										BgL_head1219z00_1277;
																								BgL_zc3anonymousza31268ze3z83_1282:
																									if (NULLP
																										(BgL_l1217z00_1280))
																										{	/* Write/ast.scm 69 */
																											BgL_arg1264z00_1273 =
																												BgL_head1219z00_1277;
																										}
																									else
																										{	/* Write/ast.scm 69 */
																											obj_t
																												BgL_newtail1221z00_1284;
																											{	/* Write/ast.scm 69 */
																												obj_t
																													BgL_arg1276z00_1286;
																												BgL_arg1276z00_1286 =
																													BGl_shapez00zztools_shapez00
																													(CAR
																													(BgL_l1217z00_1280));
																												{	/* Write/ast.scm 69 */
																													obj_t
																														BgL_res1678z00_1551;
																													BgL_res1678z00_1551 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1276z00_1286,
																														BNIL);
																													BgL_newtail1221z00_1284
																														=
																														BgL_res1678z00_1551;
																												}
																											}
																											SET_CDR
																												(BgL_tail1220z00_1281,
																												BgL_newtail1221z00_1284);
																											{
																												obj_t
																													BgL_tail1220z00_1733;
																												obj_t BgL_l1217z00_1731;

																												BgL_l1217z00_1731 =
																													CDR
																													(BgL_l1217z00_1280);
																												BgL_tail1220z00_1733 =
																													BgL_newtail1221z00_1284;
																												BgL_tail1220z00_1281 =
																													BgL_tail1220z00_1733;
																												BgL_l1217z00_1280 =
																													BgL_l1217z00_1731;
																												goto
																													BgL_zc3anonymousza31268ze3z83_1282;
																											}
																										}
																								}
																							}
																						}
																				}
																				BgL_arg1266z00_1274 =
																					(((BgL_funz00_bglt) CREF(
																							((BgL_funz00_bglt)
																								((BgL_sfunz00_bglt)
																									BgL_funz00_1252))))->
																					BgL_arityz00);
																				BgL_arg1263z00_1272 =
																					BGl_argszd2listzd2ze3argsza2z41zztools_argsz00
																					(BgL_arg1264z00_1273,
																					BINT(BgL_arg1266z00_1274));
																			}
																			BgL_arg1252z00_1269 =
																				MAKE_YOUNG_PAIR(BgL_arg1262z00_1271,
																				BgL_arg1263z00_1272);
																		}
																		{	/* Write/ast.scm 71 */
																			obj_t BgL_arg1313z00_1291;

																			{	/* Write/ast.scm 71 */
																				obj_t BgL_arg1316z00_1292;

																				BgL_arg1316z00_1292 =
																					(((BgL_sfunz00_bglt) CREF(
																							((BgL_sfunz00_bglt)
																								BgL_funz00_1252)))->
																					BgL_bodyz00);
																				BgL_arg1313z00_1291 =
																					BGl_shapez00zztools_shapez00
																					(BgL_arg1316z00_1292);
																			}
																			BgL_arg1253z00_1270 =
																				MAKE_YOUNG_PAIR(BgL_arg1313z00_1291,
																				BNIL);
																		}
																		BgL_arg1248z00_1262 =
																			MAKE_YOUNG_PAIR(BgL_arg1252z00_1269,
																			BgL_arg1253z00_1270);
																	}
																	BgL_arg1242z00_1259 =
																		MAKE_YOUNG_PAIR(BgL_arg1247z00_1261,
																		BgL_arg1248z00_1262);
																}
																{	/* Write/ast.scm 58 */
																	obj_t BgL_list1243z00_1260;

																	BgL_list1243z00_1260 =
																		MAKE_YOUNG_PAIR(BgL_portz00_1241, BNIL);
																	BGl_ppz00zz__ppz00(BgL_arg1242z00_1259,
																		BgL_list1243z00_1260);
																}
															}
														}
													}
													{
														obj_t BgL_l1223z00_1748;

														BgL_l1223z00_1748 = CDR(BgL_l1223z00_1248);
														BgL_l1223z00_1248 = BgL_l1223z00_1748;
														goto BgL_zc3anonymousza31233ze3z83_1249;
													}
												}
											else
												{	/* Write/ast.scm 51 */
													BgL_tmp1103z00_1245 = ((bool_t) 1);
												}
										}
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00
											(BgL_exitd1101z00_1243);
										bgl_close_output_port(BgL_portz00_1241);
										return BBOOL(BgL_tmp1103z00_1245);
									}
								}
							}
						else
							{	/* Write/ast.scm 41 */
								return
									BGl_errorz00zz__errorz00(BGl_string1691z00zzwrite_astz00,
									BGl_string1692z00zzwrite_astz00, BgL_outputzd2namezd2_1240);
							}
					}
				}
			}
		}
	}



/* &write-ast */
	obj_t BGl_z62writezd2astzb0zzwrite_astz00(obj_t BgL_envz00_1589,
		obj_t BgL_globalsz00_1590)
	{
		AN_OBJECT;
		{	/* Write/ast.scm 29 */
			return BGl_writezd2astzd2zzwrite_astz00(BgL_globalsz00_1590);
		}
	}



/* &<anonymous:1318> */
	obj_t BGl_z62zc3anonymousza31318ze3ze1zzwrite_astz00(obj_t BgL_envz00_1591)
	{
		AN_OBJECT;
		{	/* Write/ast.scm 43 */
			return
				bgl_close_output_port(PROCEDURE_REF(BgL_envz00_1591,
					(int) (((long) 0))));
		}
	}



/* make-sfun-sinfo */
	obj_t BGl_makezd2sfunzd2sinfoz00zzwrite_astz00(BgL_globalz00_bglt BgL_gz00_4)
	{
		AN_OBJECT;
		{	/* Write/ast.scm 79 */
			{	/* Write/ast.scm 102 */
				BgL_valuez00_bglt BgL_sfunz00_1309;

				BgL_sfunz00_1309 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_gz00_4)))->BgL_valuez00);
				{	/* Write/ast.scm 104 */
					obj_t BgL_arg1338z00_1310;
					obj_t BgL_arg1367z00_1311;
					obj_t BgL_arg1368z00_1312;
					obj_t BgL_arg1375z00_1313;
					obj_t BgL_arg1376z00_1314;
					obj_t BgL_arg1406z00_1315;
					obj_t BgL_arg1409z00_1316;
					obj_t BgL_arg1413z00_1317;

					if (CBOOL(BGl_za2astzd2casezd2sensitiveza2z00zzengine_paramz00))
						{	/* Write/ast.scm 105 */
							obj_t BgL_arg1490z00_1333;

							BgL_arg1490z00_1333 =
								(((BgL_globalz00_bglt) CREF(BgL_gz00_4))->BgL_importz00);
							{	/* Write/ast.scm 105 */
								obj_t BgL_res1684z00_1572;

								{	/* Write/ast.scm 105 */
									obj_t BgL_arg1377z00_1571;

									BgL_arg1377z00_1571 = SYMBOL_TO_STRING(BgL_arg1490z00_1333);
									BgL_res1684z00_1572 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1377z00_1571);
								}
								BgL_arg1338z00_1310 = BgL_res1684z00_1572;
							}
						}
					else
						{	/* Write/ast.scm 106 */
							obj_t BgL_arg1491z00_1334;

							{	/* Write/ast.scm 106 */
								obj_t BgL_arg1492z00_1335;

								BgL_arg1492z00_1335 =
									(((BgL_globalz00_bglt) CREF(BgL_gz00_4))->BgL_importz00);
								{	/* Write/ast.scm 106 */
									obj_t BgL_res1685z00_1576;

									{	/* Write/ast.scm 106 */
										obj_t BgL_arg1377z00_1575;

										BgL_arg1377z00_1575 = SYMBOL_TO_STRING(BgL_arg1492z00_1335);
										BgL_res1685z00_1576 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1377z00_1575);
									}
									BgL_arg1491z00_1334 = BgL_res1685z00_1576;
								}
							}
							BgL_arg1338z00_1310 =
								BGl_stringzd2downcasezd2zz__r4_strings_6_7z00
								(BgL_arg1491z00_1334);
						}
					{	/* Write/ast.scm 107 */
						obj_t BgL_arg1493z00_1336;

						BgL_arg1493z00_1336 =
							(((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt)
										((BgL_sfunz00_bglt) BgL_sfunz00_1309))))->
							BgL_sidezd2effectzd2);
						BgL_arg1367z00_1311 =
							BGl_atomzd2ze3stringze70zd6zzwrite_astz00(BgL_arg1493z00_1336);
					}
					{	/* Write/ast.scm 108 */
						obj_t BgL_tz00_1337;

						BgL_tz00_1337 =
							(((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt)
										((BgL_sfunz00_bglt) BgL_sfunz00_1309))))->
							BgL_predicatezd2ofzd2);
						if (BGl_isazf3zf3zz__objectz00(BgL_tz00_1337,
								BGl_typez00zztype_typez00))
							{	/* Write/ast.scm 109 */
								BgL_arg1368z00_1312 =
									string_append(BGl_string1693z00zzwrite_astz00,
									BGl_atomzd2ze3stringze70zd6zzwrite_astz00
									(BGl_shapez00zztools_shapez00(BgL_tz00_1337)));
							}
						else
							{	/* Write/ast.scm 109 */
								BgL_arg1368z00_1312 = BGl_string1694z00zzwrite_astz00;
							}
					}
					{	/* Write/ast.scm 113 */

						BgL_arg1375z00_1313 =
							BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
							(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_gz00_4)))->BgL_occurrencez00),
							((long) 10));
					}
					{	/* Write/ast.scm 114 */
						obj_t BgL_arg1510z00_1344;

						BgL_arg1510z00_1344 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_gz00_4)))->BgL_removablez00);
						BgL_arg1376z00_1314 =
							BGl_atomzd2ze3stringze70zd6zzwrite_astz00(BgL_arg1510z00_1344);
					}
					{	/* Write/ast.scm 115 */
						obj_t BgL_pz00_1345;

						{	/* Write/ast.scm 115 */

							{	/* Write/ast.scm 115 */

								BgL_pz00_1345 =
									BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE);
						}}
						{	/* Write/ast.scm 116 */
							obj_t BgL_arg1511z00_1346;

							BgL_arg1511z00_1346 =
								(((BgL_sfunz00_bglt) CREF(
										((BgL_sfunz00_bglt) BgL_sfunz00_1309)))->BgL_locz00);
							bgl_display_obj(BgL_arg1511z00_1346, BgL_pz00_1345);
						}
						BgL_arg1406z00_1315 = bgl_close_output_port(BgL_pz00_1345);
					}
					if (
						(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_gz00_4)))->BgL_userzf3zf3))
						{	/* Write/ast.scm 118 */
							BgL_arg1409z00_1316 = BGl_string1695z00zzwrite_astz00;
						}
					else
						{	/* Write/ast.scm 118 */
							BgL_arg1409z00_1316 = BGl_string1696z00zzwrite_astz00;
						}
					{	/* Write/ast.scm 123 */
						obj_t BgL_zc3anonymousza31527ze3z83_1593;

						BgL_zc3anonymousza31527ze3z83_1593 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31527ze3ze1zzwrite_astz00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza31527ze3z83_1593,
							(int) (((long) 0)), ((obj_t) BgL_gz00_4));
						BgL_arg1413z00_1317 =
							BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
							(BgL_zc3anonymousza31527ze3z83_1593);
					}
					{	/* Write/ast.scm 103 */
						obj_t BgL_list1414z00_1318;

						{	/* Write/ast.scm 103 */
							obj_t BgL_arg1415z00_1319;

							{	/* Write/ast.scm 103 */
								obj_t BgL_arg1416z00_1320;

								{	/* Write/ast.scm 103 */
									obj_t BgL_arg1423z00_1321;

									{	/* Write/ast.scm 103 */
										obj_t BgL_arg1436z00_1322;

										{	/* Write/ast.scm 103 */
											obj_t BgL_arg1437z00_1323;

											{	/* Write/ast.scm 103 */
												obj_t BgL_arg1446z00_1324;

												{	/* Write/ast.scm 103 */
													obj_t BgL_arg1454z00_1325;

													{	/* Write/ast.scm 103 */
														obj_t BgL_arg1460z00_1326;

														{	/* Write/ast.scm 103 */
															obj_t BgL_arg1465z00_1327;

															{	/* Write/ast.scm 103 */
																obj_t BgL_arg1469z00_1328;

																{	/* Write/ast.scm 103 */
																	obj_t BgL_arg1470z00_1329;

																	{	/* Write/ast.scm 103 */
																		obj_t BgL_arg1481z00_1330;

																		{	/* Write/ast.scm 103 */
																			obj_t BgL_arg1484z00_1331;

																			{	/* Write/ast.scm 103 */
																				obj_t BgL_arg1485z00_1332;

																				BgL_arg1485z00_1332 =
																					MAKE_YOUNG_PAIR
																					(BGl_string1697z00zzwrite_astz00,
																					BNIL);
																				BgL_arg1484z00_1331 =
																					MAKE_YOUNG_PAIR(BgL_arg1413z00_1317,
																					BgL_arg1485z00_1332);
																			}
																			BgL_arg1481z00_1330 =
																				MAKE_YOUNG_PAIR
																				(BGl_string1698z00zzwrite_astz00,
																				BgL_arg1484z00_1331);
																		}
																		BgL_arg1470z00_1329 =
																			MAKE_YOUNG_PAIR(BgL_arg1409z00_1316,
																			BgL_arg1481z00_1330);
																	}
																	BgL_arg1469z00_1328 =
																		MAKE_YOUNG_PAIR(BgL_arg1406z00_1315,
																		BgL_arg1470z00_1329);
																}
																BgL_arg1465z00_1327 =
																	MAKE_YOUNG_PAIR
																	(BGl_string1699z00zzwrite_astz00,
																	BgL_arg1469z00_1328);
															}
															BgL_arg1460z00_1326 =
																MAKE_YOUNG_PAIR(BgL_arg1376z00_1314,
																BgL_arg1465z00_1327);
														}
														BgL_arg1454z00_1325 =
															MAKE_YOUNG_PAIR(BGl_string1700z00zzwrite_astz00,
															BgL_arg1460z00_1326);
													}
													BgL_arg1446z00_1324 =
														MAKE_YOUNG_PAIR(BgL_arg1375z00_1313,
														BgL_arg1454z00_1325);
												}
												BgL_arg1437z00_1323 =
													MAKE_YOUNG_PAIR(BGl_string1701z00zzwrite_astz00,
													BgL_arg1446z00_1324);
											}
											BgL_arg1436z00_1322 =
												MAKE_YOUNG_PAIR(BgL_arg1368z00_1312,
												BgL_arg1437z00_1323);
										}
										BgL_arg1423z00_1321 =
											MAKE_YOUNG_PAIR(BgL_arg1367z00_1311, BgL_arg1436z00_1322);
									}
									BgL_arg1416z00_1320 =
										MAKE_YOUNG_PAIR(BGl_string1702z00zzwrite_astz00,
										BgL_arg1423z00_1321);
								}
								BgL_arg1415z00_1319 =
									MAKE_YOUNG_PAIR(BgL_arg1338z00_1310, BgL_arg1416z00_1320);
							}
							BgL_list1414z00_1318 =
								MAKE_YOUNG_PAIR(BGl_string1703z00zzwrite_astz00,
								BgL_arg1415z00_1319);
						}
						return
							BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1414z00_1318);
					}
				}
			}
		}
	}



/* atom->string~0 */
	obj_t BGl_atomzd2ze3stringze70zd6zzwrite_astz00(obj_t BgL_atomz00_1354)
	{
		AN_OBJECT;
		{	/* Write/ast.scm 101 */
			{

				{	/* Write/ast.scm 81 */
					long BgL_aux1106z00_1357;

					if (CNSTP(BgL_atomz00_1354))
						{	/* Write/ast.scm 81 */
							BgL_aux1106z00_1357 = CCNST(BgL_atomz00_1354);
						}
					else
						{	/* Write/ast.scm 81 */
							BgL_aux1106z00_1357 = ((long) -1);
						}
					switch (BgL_aux1106z00_1357)
						{
						case ((long) 2):

							return BGl_string1704z00zzwrite_astz00;
							break;
						case ((long) 1):

							return BGl_string1705z00zzwrite_astz00;
							break;
						case ((long) 3):

							return BGl_string1706z00zzwrite_astz00;
							break;
						default:
							if (SYMBOLP(BgL_atomz00_1354))
								{	/* Write/ast.scm 90 */
									if (CBOOL
										(BGl_za2astzd2casezd2sensitiveza2z00zzengine_paramz00))
										{	/* Write/ast.scm 92 */
											obj_t BgL_res1680z00_1561;

											{	/* Write/ast.scm 92 */
												obj_t BgL_arg1377z00_1560;

												BgL_arg1377z00_1560 =
													SYMBOL_TO_STRING(BgL_atomz00_1354);
												BgL_res1680z00_1561 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1377z00_1560);
											}
											return BgL_res1680z00_1561;
										}
									else
										{	/* Write/ast.scm 93 */
											obj_t BgL_arg1540z00_1362;

											{	/* Write/ast.scm 93 */
												obj_t BgL_res1681z00_1564;

												{	/* Write/ast.scm 93 */
													obj_t BgL_arg1377z00_1563;

													BgL_arg1377z00_1563 =
														SYMBOL_TO_STRING(BgL_atomz00_1354);
													BgL_res1681z00_1564 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1377z00_1563);
												}
												BgL_arg1540z00_1362 = BgL_res1681z00_1564;
											}
											return
												BGl_stringzd2downcasezd2zz__r4_strings_6_7z00
												(BgL_arg1540z00_1362);
										}
								}
							else
								{	/* Write/ast.scm 90 */
									if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_atomz00_1354))
										{	/* Write/ast.scm 95 */

											return
												BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
												(BgL_atomz00_1354, BINT(((long) 10)));
										}
									else
										{	/* Write/ast.scm 94 */
											if (STRINGP(BgL_atomz00_1354))
												{	/* Write/ast.scm 96 */
													return BgL_atomz00_1354;
												}
											else
												{	/* Write/ast.scm 99 */
													obj_t BgL_pz00_1367;

													{	/* Write/ast.scm 99 */

														{	/* Write/ast.scm 99 */

															BgL_pz00_1367 =
																BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00
																(BTRUE);
														}
													}
													bgl_display_obj(BgL_atomz00_1354, BgL_pz00_1367);
													return bgl_close_output_port(BgL_pz00_1367);
												}
										}
								}
						}
				}
			}
		}
	}



/* &<anonymous:1527> */
	obj_t BGl_z62zc3anonymousza31527ze3ze1zzwrite_astz00(obj_t BgL_envz00_1594)
	{
		AN_OBJECT;
		{	/* Write/ast.scm 122 */
			{	/* Write/ast.scm 123 */
				BgL_globalz00_bglt BgL_gz00_1595;

				BgL_gz00_1595 =
					((BgL_globalz00_bglt)
					PROCEDURE_REF(BgL_envz00_1594, (int) (((long) 0))));
				{	/* Write/ast.scm 123 */
					obj_t BgL_arg1530z00_1609;
					obj_t BgL_arg1533z00_1610;

					BgL_arg1530z00_1609 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_gz00_1595)))->BgL_removablez00);
					{	/* Write/ast.scm 123 */
						obj_t BgL_res1687z00_1611;

						{	/* Write/ast.scm 123 */
							obj_t BgL_tmpz00_1845;

							BgL_tmpz00_1845 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res1687z00_1611 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1845);
						}
						BgL_arg1533z00_1610 = BgL_res1687z00_1611;
					}
					return bgl_display_obj(BgL_arg1530z00_1609, BgL_arg1533z00_1610);
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzwrite_astz00()
	{
		AN_OBJECT;
		{	/* Write/ast.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzwrite_astz00()
	{
		AN_OBJECT;
		{	/* Write/ast.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzwrite_astz00()
	{
		AN_OBJECT;
		{	/* Write/ast.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzwrite_astz00()
	{
		AN_OBJECT;
		{	/* Write/ast.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1707z00zzwrite_astz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1707z00zzwrite_astz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1707z00zzwrite_astz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1707z00zzwrite_astz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1707z00zzwrite_astz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1707z00zzwrite_astz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 209108747),
				BSTRING_TO_STRING(BGl_string1707z00zzwrite_astz00));
			BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 288050968),
				BSTRING_TO_STRING(BGl_string1707z00zzwrite_astz00));
			BGl_modulezd2initializa7ationz75zzwrite_schemez00(((long) 305499406),
				BSTRING_TO_STRING(BGl_string1707z00zzwrite_astz00));
			BGl_modulezd2initializa7ationz75zztype_pptypez00(((long) 220178216),
				BSTRING_TO_STRING(BGl_string1707z00zzwrite_astz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1707z00zzwrite_astz00));
			return
				BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1707z00zzwrite_astz00));
		}
	}

#ifdef __cplusplus
}
#endif
