/*===========================================================================*/
/*   (Eval/evaluate_uncomp.scm)                                              */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Apr 13 12:39:29 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3a/bin/bigloo -srfi enable-unistring -srfi enable-resolv -srfi enable-gmp -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3a/lib/bigloo/4.3a -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3a/lib/bigloo/4.3a -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -copt -fPIC -srfi bigloo-profile -c Eval/evaluate_uncomp.scm -o objs/obj_p/Eval/evaluate_uncomp.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_z62uncompzd2ev_setlocal1211zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62uncomp1187z62zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_bindzd2exit1213z62zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_prog21203zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
static obj_t BGl_symbol1885z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_z62uncompzd2ev_unwindzd2pro1215z62zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00();
static obj_t BGl_z62uncompzd2ev_goto1229zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
static obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00();
static obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_labels1227zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00();
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_trap1205zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_if1197zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_global1193zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_profzd2initzd2zz__evaluate_uncompz00();
static obj_t BGl_keyword1919z00zz__evaluate_uncompz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62uncompzd2ev_withzd2handl1217z62zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_symbol1911z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1913z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1915z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1917z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_z62uncompzd2ev_litt1195zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
static obj_t BGl_symbol1921z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1923z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1925z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1927z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1929z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1931z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1933z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1935z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1937z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1939z00zz__evaluate_uncompz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol1941z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol1943z00zz__evaluate_uncompz00 = BUNSPEC;
extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
static obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00();
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_let1221zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_or1199zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_defglobal1209zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_setglobal1207zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_var1191zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_app1231zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_synchroniza71219z17zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_and1201zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62uncompzd2ev_abs1233zb0zz__evaluate_uncompz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_letza21223z12zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_letrec1225zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t bstring_to_keyword(obj_t);
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t *__cnst;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1900z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_b1946z00, BGl_z62uncompzd2ev_bindzd2exit1213z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1901z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_u1947z00, BGl_z62uncompzd2ev_unwindzd2pro1215z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1902z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_w1948z00, BGl_z62uncompzd2ev_withzd2handl1217z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1903z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_s1949z00, BGl_z62uncompzd2ev_synchroniza71219z17zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1904z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l1950z00, BGl_z62uncompzd2ev_let1221zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1905z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l1951z00, BGl_z62uncompzd2ev_letza21223z12zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1906z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l1952z00, BGl_z62uncompzd2ev_letrec1225zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1907z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l1953z00, BGl_z62uncompzd2ev_labels1227zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1908z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_g1954z00, BGl_z62uncompzd2ev_goto1229zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1909z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_a1955z00, BGl_z62uncompzd2ev_app1231zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1910z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_a1956z00, BGl_z62uncompzd2ev_abs1233zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1880z00zz__evaluate_uncompz00, BgL_bgl_string1880za700za7za7_1957za7, "/builddir/build/BUILD/bigloo4.3a/runtime/Eval/evaluate_uncomp.scm", 65 );
DEFINE_STRING( BGl_string1881z00zz__evaluate_uncompz00, BgL_bgl_string1881za700za7za7_1958za7, "&uncompile", 10 );
DEFINE_STRING( BGl_string1882z00zz__evaluate_uncompz00, BgL_bgl_string1882za700za7za7_1959za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string1884z00zz__evaluate_uncompz00, BgL_bgl_string1884za700za7za7_1960za7, "uncomp1187", 10 );
DEFINE_STRING( BGl_string1886z00zz__evaluate_uncompz00, BgL_bgl_string1886za700za7za7_1961za7, "No method for this object", 25 );
DEFINE_STRING( BGl_string1887z00zz__evaluate_uncompz00, BgL_bgl_string1887za700za7za7_1962za7, "&uncomp", 7 );
DEFINE_STRING( BGl_string1889z00zz__evaluate_uncompz00, BgL_bgl_string1889za700za7za7_1963za7, "uncomp", 6 );
DEFINE_STATIC_BGL_GENERIC( BGl_uncompzd2envzd2zz__evaluate_uncompz00, BgL_bgl_za762uncompza762za7za7__1964z00, BGl_z62uncompz62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uncompilezd2envzd2zz__evaluate_uncompz00, BgL_bgl_za762uncompileza762za71965za7, BGl_z62uncompilez62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1912z00zz__evaluate_uncompz00, BgL_bgl_string1912za700za7za7_1966za7, "lambda", 6 );
DEFINE_STRING( BGl_string1914z00zz__evaluate_uncompz00, BgL_bgl_string1914za700za7za7_1967za7, "letrec", 6 );
DEFINE_STRING( BGl_string1916z00zz__evaluate_uncompz00, BgL_bgl_string1916za700za7za7_1968za7, "let*", 4 );
DEFINE_STRING( BGl_string1918z00zz__evaluate_uncompz00, BgL_bgl_string1918za700za7za7_1969za7, "let", 3 );
DEFINE_STRING( BGl_string1920z00zz__evaluate_uncompz00, BgL_bgl_string1920za700za7za7_1970za7, "prelock", 7 );
DEFINE_STRING( BGl_string1922z00zz__evaluate_uncompz00, BgL_bgl_string1922za700za7za7_1971za7, "synchronize", 11 );
DEFINE_STRING( BGl_string1924z00zz__evaluate_uncompz00, BgL_bgl_string1924za700za7za7_1972za7, "with-handler", 12 );
DEFINE_STRING( BGl_string1926z00zz__evaluate_uncompz00, BgL_bgl_string1926za700za7za7_1973za7, "unwind-protect", 14 );
DEFINE_STRING( BGl_string1928z00zz__evaluate_uncompz00, BgL_bgl_string1928za700za7za7_1974za7, "bind-exit", 9 );
DEFINE_STRING( BGl_string1930z00zz__evaluate_uncompz00, BgL_bgl_string1930za700za7za7_1975za7, "set!", 4 );
DEFINE_STRING( BGl_string1932z00zz__evaluate_uncompz00, BgL_bgl_string1932za700za7za7_1976za7, "define", 6 );
DEFINE_STRING( BGl_string1934z00zz__evaluate_uncompz00, BgL_bgl_string1934za700za7za7_1977za7, "trap", 4 );
DEFINE_STRING( BGl_string1936z00zz__evaluate_uncompz00, BgL_bgl_string1936za700za7za7_1978za7, "begin", 5 );
DEFINE_STRING( BGl_string1938z00zz__evaluate_uncompz00, BgL_bgl_string1938za700za7za7_1979za7, "and", 3 );
DEFINE_STRING( BGl_string1940z00zz__evaluate_uncompz00, BgL_bgl_string1940za700za7za7_1980za7, "or", 2 );
DEFINE_STRING( BGl_string1942z00zz__evaluate_uncompz00, BgL_bgl_string1942za700za7za7_1981za7, "if", 2 );
DEFINE_STRING( BGl_string1944z00zz__evaluate_uncompz00, BgL_bgl_string1944za700za7za7_1982za7, "quote", 5 );
DEFINE_STRING( BGl_string1945z00zz__evaluate_uncompz00, BgL_bgl_string1945za700za7za7_1983za7, "__evaluate_uncomp", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1883z00zz__evaluate_uncompz00, BgL_bgl_za762uncomp1187za7621984z00, BGl_z62uncomp1187z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1888z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_v1985z00, BGl_z62uncompzd2ev_var1191zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1890z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_g1986z00, BGl_z62uncompzd2ev_global1193zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1891z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l1987z00, BGl_z62uncompzd2ev_litt1195zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1892z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_i1988z00, BGl_z62uncompzd2ev_if1197zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1893z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_o1989z00, BGl_z62uncompzd2ev_or1199zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1894z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_a1990z00, BGl_z62uncompzd2ev_and1201zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1895z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_p1991z00, BGl_z62uncompzd2ev_prog21203zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1896z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_t1992z00, BGl_z62uncompzd2ev_trap1205zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1897z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_s1993z00, BGl_z62uncompzd2ev_setglobal1207zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1898z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_d1994z00, BGl_z62uncompzd2ev_defglobal1209zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1899z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_s1995z00, BGl_z62uncompzd2ev_setlocal1211zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol1885z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_keyword1919z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1911z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1913z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1915z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1917z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1921z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1923z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1925z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1927z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1929z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1931z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1933z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1935z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1937z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1939z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1941z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1943z00zz__evaluate_uncompz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_uncomp.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"uncompile\" \"Eval/evaluate_uncomp.scm\" 1781) \"BGl_uncompilez00zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncompile\" \"Eval/evaluate_uncomp.scm\" 1781) \"BGl_z62uncompilez62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp1187\" \"Eval/evaluate_uncomp.scm\" 1830) \"BGl_z62uncomp1187z62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"uncomp\" \"Eval/evaluate_uncomp.scm\" 1830) \"BGl_uncompz00zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp\" \"Eval/evaluate_uncomp.scm\" 1830) \"BGl_z62uncompz62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_abs1233\" \"Eval/evaluate_uncomp.scm\" 4781) \"BGl_z62uncompzd2ev_abs1233zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~0\" \"Eval/evaluate_uncomp.scm\" 4920) \"BGl_recze70ze7zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"redovars~0\" \"Eval/evaluate_uncomp.scm\" 5012) \"BGl_redovarsze70ze7zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_app1231\" \"Eval/evaluate_uncomp.scm\" 4662) \"BGl_z62uncompzd2ev_app1231zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_goto1229\" \"Eval/evaluate_uncomp.scm\" 4537) \"BGl_z62uncompzd2ev_goto1229zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_labels1227\" \"Eval/evaluate_uncomp.scm\" 4300) \"BGl_z62uncompzd2ev_labels1227zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_letrec1225\" \"Eval/evaluate_uncomp.scm\" 4122) \"BGl_z62uncompzd2ev_letrec1225zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_let*1223\" \"Eval/evaluate_uncomp.scm\" 3950) \"BGl_z62uncompzd2ev_letza21223z12zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_let1221\" \"Eval/evaluate_uncomp.scm\" 3781) \"BGl_z62uncompzd2ev_let1221zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_synchroniz1219\" \"Eval/evaluate_uncomp.scm\" 3600) \"BGl_z62uncompzd2ev_synchroniza71219z17zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_with-handl1217\" \"Eval/evaluate_uncomp.scm\" 3447) \"BGl_z62uncompzd2ev_withzd2handl1217z62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_unwind-pro1215\" \"Eval/evaluate_uncomp.scm\" 3294) \"BGl_z62uncompzd2ev_unwindzd2pro1215z62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_bind-exit1213\" \"Eval/evaluate_uncomp.scm\" 3150) \"BGl_z62uncompzd2ev_bindzd2exit1213z62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_setlocal1211\" \"Eval/evaluate_uncomp.scm\" 3025) \"BGl_z62uncompzd2ev_setlocal1211zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_defglobal1209\" \"Eval/evaluate_uncomp.scm\" 2905) \"BGl_z62uncompzd2ev_defglobal1209zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_setglobal1207\" \"Eval/evaluate_uncomp.scm\" 2787) \"BGl_z62uncompzd2ev_setglobal1207zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_trap1205\" \"Eval/evaluate_uncomp.scm\" 2690) \"BGl_z62uncompzd2ev_trap1205zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_prog21203\" \"Eval/evaluate_uncomp.scm\" 2464) \"BGl_z62uncompzd2ev_prog21203zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_and1201\" \"Eval/evaluate_uncomp.scm\" 2359) \"BGl_z62uncompzd2ev_and1201zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_or1199\" \"Eval/evaluate_uncomp.scm\" 2257) \"BGl_z62uncompzd2ev_or1199zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_if1197\" \"Eval/evaluate_uncomp.scm\" 2138) \"BGl_z62uncompzd2ev_if1197zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_litt1195\" \"Eval/evaluate_uncomp.scm\" 2048) \"BGl_z62uncompzd2ev_litt1195zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_global1193\" \"Eval/evaluate_uncomp.scm\" 1955) \"BGl_z62uncompzd2ev_global1193zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_var1191\" \"Eval/evaluate_uncomp.scm\" 1868) \"BGl_z62uncompzd2ev_var1191zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long BgL_checksumz00_2504, char * BgL_fromz00_2505)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_uncompz00(); 
BGl_cnstzd2initzd2zz__evaluate_uncompz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00(); 
BGl_genericzd2initzd2zz__evaluate_uncompz00(); 
BGl_methodzd2initzd2zz__evaluate_uncompz00(); 
return 
BGl_profzd2initzd2zz__evaluate_uncompz00();}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00()
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 15 */
BGl_symbol1885z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1884z00zz__evaluate_uncompz00); 
BGl_symbol1911z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1912z00zz__evaluate_uncompz00); 
BGl_symbol1913z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1914z00zz__evaluate_uncompz00); 
BGl_symbol1915z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1916z00zz__evaluate_uncompz00); 
BGl_symbol1917z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1918z00zz__evaluate_uncompz00); 
BGl_keyword1919z00zz__evaluate_uncompz00 = 
bstring_to_keyword(BGl_string1920z00zz__evaluate_uncompz00); 
BGl_symbol1921z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1922z00zz__evaluate_uncompz00); 
BGl_symbol1923z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1924z00zz__evaluate_uncompz00); 
BGl_symbol1925z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1926z00zz__evaluate_uncompz00); 
BGl_symbol1927z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1928z00zz__evaluate_uncompz00); 
BGl_symbol1929z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1930z00zz__evaluate_uncompz00); 
BGl_symbol1931z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1932z00zz__evaluate_uncompz00); 
BGl_symbol1933z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1934z00zz__evaluate_uncompz00); 
BGl_symbol1935z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1936z00zz__evaluate_uncompz00); 
BGl_symbol1937z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1938z00zz__evaluate_uncompz00); 
BGl_symbol1939z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1940z00zz__evaluate_uncompz00); 
BGl_symbol1941z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1942z00zz__evaluate_uncompz00); 
return ( 
BGl_symbol1943z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1944z00zz__evaluate_uncompz00), BUNSPEC) ;} 
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00()
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 15 */
return 
bgl_gc_roots_register();} 
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_uncompz00()
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 15 */
return 
write_bprof_table();} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00()
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 15 */
return BUNSPEC;} 
}



/* uncompile */
BGL_EXPORTED_DEF obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_3)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 62 */
return 
BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3);} 
}



/* &uncompile */
obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t BgL_envz00_2176, obj_t BgL_ez00_2177)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 62 */
{ /* Eval/evaluate_uncomp.scm 63 */
BgL_ev_exprz00_bglt BgL_auxz00_2536;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_2177, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_uncomp.scm 63 */
BgL_auxz00_2536 = 
((BgL_ev_exprz00_bglt)BgL_ez00_2177)
; }  else 
{ 
obj_t BgL_auxz00_2540;
BgL_auxz00_2540 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1880z00zz__evaluate_uncompz00, 
BINT(((long)1816)), BGl_string1881z00zz__evaluate_uncompz00, BGl_string1882z00zz__evaluate_uncompz00, BgL_ez00_2177); 
FAILURE(BgL_auxz00_2540,BFALSE,BFALSE);} 
return 
BGl_uncompilez00zz__evaluate_uncompz00(BgL_auxz00_2536);} } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00()
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 15 */
return BUNSPEC;} 
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00()
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_proc1883z00zz__evaluate_uncompz00, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string1884z00zz__evaluate_uncompz00);} 
}



/* &uncomp1187 */
obj_t BGl_z62uncomp1187z62zz__evaluate_uncompz00(obj_t BgL_envz00_2179, obj_t BgL_ez00_2180)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 65 */
return 
BGl_errorz00zz__errorz00(BGl_symbol1885z00zz__evaluate_uncompz00, BGl_string1886z00zz__evaluate_uncompz00, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_2180)));} 
}



/* uncomp */
obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_4)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 65 */
{ /* Eval/evaluate_uncomp.scm 65 */
obj_t BgL_method1189z00_1076;
{ /* Eval/evaluate_uncomp.scm 65 */
obj_t BgL_res1785z00_1859;
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_objzd2classzd2numz00_1832;
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_res1779z00_1835;
BgL_res1779z00_1835 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_4)); 
BgL_objzd2classzd2numz00_1832 = BgL_res1779z00_1835; } 
{ /* Eval/evaluate_uncomp.scm 65 */
obj_t BgL_arg1773z00_1833;
BgL_arg1773z00_1833 = 
PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluate_uncompz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_uncomp.scm 65 */
int BgL_offsetz00_1837;
BgL_offsetz00_1837 = 
(int)(BgL_objzd2classzd2numz00_1832); 
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_offsetz00_1838;
BgL_offsetz00_1838 = 
(
(long)(BgL_offsetz00_1837)-OBJECT_TYPE); 
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_modz00_1839;
{ /* Eval/evaluate_uncomp.scm 65 */
int BgL_arg1775z00_1840;
BgL_arg1775z00_1840 = 
(int)(((long)16)); 
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_res1782z00_1850;
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_tmpz00_2557;
BgL_tmpz00_2557 = 
(long)(BgL_arg1775z00_1840); 
BgL_res1782z00_1850 = 
(BgL_offsetz00_1838/BgL_tmpz00_2557); } 
BgL_modz00_1839 = BgL_res1782z00_1850; } } 
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_restz00_1841;
{ /* Eval/evaluate_uncomp.scm 65 */
int BgL_arg1774z00_1842;
BgL_arg1774z00_1842 = 
(int)(((long)16)); 
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_res1784z00_1854;
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_tmpz00_2561;
BgL_tmpz00_2561 = 
(long)(BgL_arg1774z00_1842); 
BgL_res1784z00_1854 = 
(BgL_offsetz00_1838%BgL_tmpz00_2561); } 
BgL_restz00_1841 = BgL_res1784z00_1854; } } 
{ /* Eval/evaluate_uncomp.scm 65 */

BgL_res1785z00_1859 = 
VECTOR_REF(
VECTOR_REF(BgL_arg1773z00_1833,
(int)(BgL_modz00_1839)),
(int)(BgL_restz00_1841)); } } } } } } } 
BgL_method1189z00_1076 = BgL_res1785z00_1859; } 
return 
PROCEDURE_ENTRY(BgL_method1189z00_1076)(BgL_method1189z00_1076, 
((obj_t)BgL_ez00_4), BEOA);} } 
}



/* &uncomp */
obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t BgL_envz00_2181, obj_t BgL_ez00_2182)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 65 */
{ /* Eval/evaluate_uncomp.scm 65 */
BgL_ev_exprz00_bglt BgL_auxz00_2573;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_2182, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_uncomp.scm 65 */
BgL_auxz00_2573 = 
((BgL_ev_exprz00_bglt)BgL_ez00_2182)
; }  else 
{ 
obj_t BgL_auxz00_2577;
BgL_auxz00_2577 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1880z00zz__evaluate_uncompz00, 
BINT(((long)1830)), BGl_string1887z00zz__evaluate_uncompz00, BGl_string1882z00zz__evaluate_uncompz00, BgL_ez00_2182); 
FAILURE(BgL_auxz00_2577,BFALSE,BFALSE);} 
return 
BGl_uncompz00zz__evaluate_uncompz00(BgL_auxz00_2573);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00()
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1888z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc1890z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc1891z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc1892z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_orz00zz__evaluate_typesz00, BGl_proc1893z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_andz00zz__evaluate_typesz00, BGl_proc1894z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc1895z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_trapz00zz__evaluate_typesz00, BGl_proc1896z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_setglobalz00zz__evaluate_typesz00, BGl_proc1897z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_defglobalz00zz__evaluate_typesz00, BGl_proc1898z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc1899z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc1900z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc1901z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc1902z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc1903z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_letz00zz__evaluate_typesz00, BGl_proc1904z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_letza2za2zz__evaluate_typesz00, BGl_proc1905z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc1906z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc1907z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc1908z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc1909z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc1910z00zz__evaluate_uncompz00, BGl_string1889z00zz__evaluate_uncompz00);} 
}



/* &uncomp-ev_abs1233 */
obj_t BGl_z62uncompzd2ev_abs1233zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2205, obj_t BgL_ez00_2206)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 157 */
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_arg1472z00_2259;
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_arg1473z00_2260;obj_t BgL_arg1474z00_2261;
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_arg1476z00_2262;obj_t BgL_arg1477z00_2263;
BgL_arg1476z00_2262 = 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_ez00_2206)))->BgL_arityz00); 
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_l1172z00_2264;
BgL_l1172z00_2264 = 
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_ez00_2206)))->BgL_varsz00); 
if(
NULLP(BgL_l1172z00_2264))
{ /* Eval/evaluate_uncomp.scm 166 */
BgL_arg1477z00_2263 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_head1174z00_2265;
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_res1826z00_2266;
BgL_res1826z00_2266 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1174z00_2265 = BgL_res1826z00_2266; } 
{ 
obj_t BgL_l1172z00_2268;obj_t BgL_tail1175z00_2269;
BgL_l1172z00_2268 = BgL_l1172z00_2264; 
BgL_tail1175z00_2269 = BgL_head1174z00_2265; 
BgL_zc3anonymousza31479ze3z83_2267:
if(
NULLP(BgL_l1172z00_2268))
{ /* Eval/evaluate_uncomp.scm 166 */
BgL_arg1477z00_2263 = 
CDR(BgL_head1174z00_2265); }  else 
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_newtail1176z00_2270;
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_arg1482z00_2271;
BgL_arg1482z00_2271 = 
(((BgL_ev_varz00_bglt)CREF(
((BgL_ev_varz00_bglt)
CAR(BgL_l1172z00_2268))))->BgL_namez00); 
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_res1828z00_2272;
BgL_res1828z00_2272 = 
MAKE_YOUNG_PAIR(BgL_arg1482z00_2271, BNIL); 
BgL_newtail1176z00_2270 = BgL_res1828z00_2272; } } 
SET_CDR(BgL_tail1175z00_2269, BgL_newtail1176z00_2270); 
{ 
obj_t BgL_tail1175z00_2621;obj_t BgL_l1172z00_2619;
BgL_l1172z00_2619 = 
CDR(BgL_l1172z00_2268); 
BgL_tail1175z00_2621 = BgL_newtail1176z00_2270; 
BgL_tail1175z00_2269 = BgL_tail1175z00_2621; 
BgL_l1172z00_2268 = BgL_l1172z00_2619; 
goto BgL_zc3anonymousza31479ze3z83_2267;} } } } } 
BgL_arg1473z00_2260 = 
BGl_redovarsze70ze7zz__evaluate_uncompz00(BgL_arg1476z00_2262, BgL_arg1477z00_2263); } 
BgL_arg1474z00_2261 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_absz00_bglt)CREF(
((BgL_ev_absz00_bglt)BgL_ez00_2206)))->BgL_bodyz00)), BNIL); 
BgL_arg1472z00_2259 = 
MAKE_YOUNG_PAIR(BgL_arg1473z00_2260, BgL_arg1474z00_2261); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1911z00zz__evaluate_uncompz00, BgL_arg1472z00_2259);} } 
}



/* rec~0 */
obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t BgL_lz00_1483)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 162 */
if(
NULLP(
CDR(BgL_lz00_1483)))
{ /* Eval/evaluate_uncomp.scm 163 */
return 
CAR(BgL_lz00_1483);}  else 
{ /* Eval/evaluate_uncomp.scm 163 */
return 
MAKE_YOUNG_PAIR(
CAR(BgL_lz00_1483), 
BGl_recze70ze7zz__evaluate_uncompz00(
CDR(BgL_lz00_1483)));} } 
}



/* redovars~0 */
obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t BgL_nz00_1478, obj_t BgL_lz00_1479)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 165 */
if(
(
(long)CINT(BgL_nz00_1478)>=((long)0)))
{ /* Eval/evaluate_uncomp.scm 160 */
return BgL_lz00_1479;}  else 
{ /* Eval/evaluate_uncomp.scm 160 */
return 
BGl_recze70ze7zz__evaluate_uncompz00(BgL_lz00_1479);} } 
}



/* &uncomp-ev_app1231 */
obj_t BGl_z62uncompzd2ev_app1231zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2207, obj_t BgL_ez00_2208)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 153 */
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1459z00_2274;obj_t BgL_arg1460z00_2275;
BgL_arg1459z00_2274 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)CREF(
((BgL_ev_appz00_bglt)BgL_ez00_2208)))->BgL_funz00)); 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1462z00_2276;
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_l1166z00_2277;
BgL_l1166z00_2277 = 
(((BgL_ev_appz00_bglt)CREF(
((BgL_ev_appz00_bglt)BgL_ez00_2208)))->BgL_argsz00); 
if(
NULLP(BgL_l1166z00_2277))
{ /* Eval/evaluate_uncomp.scm 155 */
BgL_arg1462z00_2276 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_head1168z00_2278;
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1470z00_2279;
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1471z00_2280;
BgL_arg1471z00_2280 = 
CAR(BgL_l1166z00_2277); 
BgL_arg1470z00_2279 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1471z00_2280)); } 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_res1820z00_2281;
BgL_res1820z00_2281 = 
MAKE_YOUNG_PAIR(BgL_arg1470z00_2279, BNIL); 
BgL_head1168z00_2278 = BgL_res1820z00_2281; } } 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_g1171z00_2282;
BgL_g1171z00_2282 = 
CDR(BgL_l1166z00_2277); 
{ 
obj_t BgL_l1166z00_2284;obj_t BgL_tail1169z00_2285;
BgL_l1166z00_2284 = BgL_g1171z00_2282; 
BgL_tail1169z00_2285 = BgL_head1168z00_2278; 
BgL_zc3anonymousza31464ze3z83_2283:
if(
NULLP(BgL_l1166z00_2284))
{ /* Eval/evaluate_uncomp.scm 155 */
BgL_arg1462z00_2276 = BgL_head1168z00_2278; }  else 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_newtail1170z00_2286;
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1468z00_2287;
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1469z00_2288;
BgL_arg1469z00_2288 = 
CAR(BgL_l1166z00_2284); 
BgL_arg1468z00_2287 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1469z00_2288)); } 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_res1822z00_2289;
BgL_res1822z00_2289 = 
MAKE_YOUNG_PAIR(BgL_arg1468z00_2287, BNIL); 
BgL_newtail1170z00_2286 = BgL_res1822z00_2289; } } 
SET_CDR(BgL_tail1169z00_2285, BgL_newtail1170z00_2286); 
{ 
obj_t BgL_tail1169z00_2662;obj_t BgL_l1166z00_2660;
BgL_l1166z00_2660 = 
CDR(BgL_l1166z00_2284); 
BgL_tail1169z00_2662 = BgL_newtail1170z00_2286; 
BgL_tail1169z00_2285 = BgL_tail1169z00_2662; 
BgL_l1166z00_2284 = BgL_l1166z00_2660; 
goto BgL_zc3anonymousza31464ze3z83_2283;} } } } } } 
BgL_arg1460z00_2275 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1462z00_2276, BNIL); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1459z00_2274, BgL_arg1460z00_2275);} } 
}



/* &uncomp-ev_goto1229 */
obj_t BGl_z62uncompzd2ev_goto1229zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2209, obj_t BgL_ez00_2210)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 149 */
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1447z00_2291;obj_t BgL_arg1448z00_2292;
{ /* Eval/evaluate_uncomp.scm 151 */
BgL_ev_varz00_bglt BgL_arg1449z00_2293;
BgL_arg1449z00_2293 = 
(((BgL_ev_gotoz00_bglt)CREF(
((BgL_ev_gotoz00_bglt)BgL_ez00_2210)))->BgL_labelz00); 
BgL_arg1447z00_2291 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1449z00_2293)); } 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1450z00_2294;
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_l1160z00_2295;
BgL_l1160z00_2295 = 
(((BgL_ev_gotoz00_bglt)CREF(
((BgL_ev_gotoz00_bglt)BgL_ez00_2210)))->BgL_argsz00); 
if(
NULLP(BgL_l1160z00_2295))
{ /* Eval/evaluate_uncomp.scm 151 */
BgL_arg1450z00_2294 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_head1162z00_2296;
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1457z00_2297;
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1458z00_2298;
BgL_arg1458z00_2298 = 
CAR(BgL_l1160z00_2295); 
BgL_arg1457z00_2297 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1458z00_2298)); } 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_res1816z00_2299;
BgL_res1816z00_2299 = 
MAKE_YOUNG_PAIR(BgL_arg1457z00_2297, BNIL); 
BgL_head1162z00_2296 = BgL_res1816z00_2299; } } 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_g1165z00_2300;
BgL_g1165z00_2300 = 
CDR(BgL_l1160z00_2295); 
{ 
obj_t BgL_l1160z00_2302;obj_t BgL_tail1163z00_2303;
BgL_l1160z00_2302 = BgL_g1165z00_2300; 
BgL_tail1163z00_2303 = BgL_head1162z00_2296; 
BgL_zc3anonymousza31452ze3z83_2301:
if(
NULLP(BgL_l1160z00_2302))
{ /* Eval/evaluate_uncomp.scm 151 */
BgL_arg1450z00_2294 = BgL_head1162z00_2296; }  else 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_newtail1164z00_2304;
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1455z00_2305;
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1456z00_2306;
BgL_arg1456z00_2306 = 
CAR(BgL_l1160z00_2302); 
BgL_arg1455z00_2305 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1456z00_2306)); } 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_res1818z00_2307;
BgL_res1818z00_2307 = 
MAKE_YOUNG_PAIR(BgL_arg1455z00_2305, BNIL); 
BgL_newtail1164z00_2304 = BgL_res1818z00_2307; } } 
SET_CDR(BgL_tail1163z00_2303, BgL_newtail1164z00_2304); 
{ 
obj_t BgL_tail1163z00_2687;obj_t BgL_l1160z00_2685;
BgL_l1160z00_2685 = 
CDR(BgL_l1160z00_2302); 
BgL_tail1163z00_2687 = BgL_newtail1164z00_2304; 
BgL_tail1163z00_2303 = BgL_tail1163z00_2687; 
BgL_l1160z00_2302 = BgL_l1160z00_2685; 
goto BgL_zc3anonymousza31452ze3z83_2301;} } } } } } 
BgL_arg1448z00_2292 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1450z00_2294, BNIL); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1447z00_2291, BgL_arg1448z00_2292);} } 
}



/* &uncomp-ev_labels1227 */
obj_t BGl_z62uncompzd2ev_labels1227zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2211, obj_t BgL_ez00_2212)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 142 */
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1418z00_2309;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1419z00_2310;obj_t BgL_arg1420z00_2311;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_ll1154z00_2312;obj_t BgL_ll1155z00_2313;
BgL_ll1154z00_2312 = 
(((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_ez00_2212)))->BgL_varsz00); 
BgL_ll1155z00_2313 = 
(((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_ez00_2212)))->BgL_valsz00); 
if(
NULLP(BgL_ll1154z00_2312))
{ /* Eval/evaluate_uncomp.scm 144 */
BgL_arg1419z00_2310 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_head1156z00_2314;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_res1808z00_2315;
BgL_res1808z00_2315 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1156z00_2314 = BgL_res1808z00_2315; } 
{ 
obj_t BgL_ll1154z00_2317;obj_t BgL_ll1155z00_2318;obj_t BgL_tail1157z00_2319;
BgL_ll1154z00_2317 = BgL_ll1154z00_2312; 
BgL_ll1155z00_2318 = BgL_ll1155z00_2313; 
BgL_tail1157z00_2319 = BgL_head1156z00_2314; 
BgL_zc3anonymousza31422ze3z83_2316:
if(
NULLP(BgL_ll1154z00_2317))
{ /* Eval/evaluate_uncomp.scm 144 */
BgL_arg1419z00_2310 = 
CDR(BgL_head1156z00_2314); }  else 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_newtail1158z00_2320;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1427z00_2321;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_vz00_2322;obj_t BgL_az00_2323;
BgL_vz00_2322 = 
CAR(BgL_ll1154z00_2317); 
BgL_az00_2323 = 
CAR(BgL_ll1155z00_2318); 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1428z00_2324;obj_t BgL_arg1429z00_2325;
BgL_arg1428z00_2324 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_vz00_2322)); 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1430z00_2326;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1431z00_2327;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1432z00_2328;obj_t BgL_arg1433z00_2329;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_l1148z00_2330;
BgL_l1148z00_2330 = 
CAR(BgL_az00_2323); 
if(
NULLP(BgL_l1148z00_2330))
{ /* Eval/evaluate_uncomp.scm 144 */
BgL_arg1432z00_2328 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_head1150z00_2331;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1440z00_2332;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1441z00_2333;
BgL_arg1441z00_2333 = 
CAR(BgL_l1148z00_2330); 
BgL_arg1440z00_2332 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1441z00_2333)); } 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_res1811z00_2334;
BgL_res1811z00_2334 = 
MAKE_YOUNG_PAIR(BgL_arg1440z00_2332, BNIL); 
BgL_head1150z00_2331 = BgL_res1811z00_2334; } } 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_g1153z00_2335;
BgL_g1153z00_2335 = 
CDR(BgL_l1148z00_2330); 
{ 
obj_t BgL_l1148z00_2337;obj_t BgL_tail1151z00_2338;
BgL_l1148z00_2337 = BgL_g1153z00_2335; 
BgL_tail1151z00_2338 = BgL_head1150z00_2331; 
BgL_zc3anonymousza31435ze3z83_2336:
if(
NULLP(BgL_l1148z00_2337))
{ /* Eval/evaluate_uncomp.scm 144 */
BgL_arg1432z00_2328 = BgL_head1150z00_2331; }  else 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_newtail1152z00_2339;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1438z00_2340;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1439z00_2341;
BgL_arg1439z00_2341 = 
CAR(BgL_l1148z00_2337); 
BgL_arg1438z00_2340 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1439z00_2341)); } 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_res1813z00_2342;
BgL_res1813z00_2342 = 
MAKE_YOUNG_PAIR(BgL_arg1438z00_2340, BNIL); 
BgL_newtail1152z00_2339 = BgL_res1813z00_2342; } } 
SET_CDR(BgL_tail1151z00_2338, BgL_newtail1152z00_2339); 
{ 
obj_t BgL_tail1151z00_2721;obj_t BgL_l1148z00_2719;
BgL_l1148z00_2719 = 
CDR(BgL_l1148z00_2337); 
BgL_tail1151z00_2721 = BgL_newtail1152z00_2339; 
BgL_tail1151z00_2338 = BgL_tail1151z00_2721; 
BgL_l1148z00_2337 = BgL_l1148z00_2719; 
goto BgL_zc3anonymousza31435ze3z83_2336;} } } } } } 
{ /* Eval/evaluate_uncomp.scm 145 */
obj_t BgL_arg1442z00_2343;
{ /* Eval/evaluate_uncomp.scm 145 */
obj_t BgL_arg1444z00_2344;
BgL_arg1444z00_2344 = 
CDR(BgL_az00_2323); 
BgL_arg1442z00_2343 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1444z00_2344)); } 
BgL_arg1433z00_2329 = 
MAKE_YOUNG_PAIR(BgL_arg1442z00_2343, BNIL); } 
BgL_arg1431z00_2327 = 
MAKE_YOUNG_PAIR(BgL_arg1432z00_2328, BgL_arg1433z00_2329); } 
BgL_arg1430z00_2326 = 
MAKE_YOUNG_PAIR(BGl_symbol1911z00zz__evaluate_uncompz00, BgL_arg1431z00_2327); } 
BgL_arg1429z00_2325 = 
MAKE_YOUNG_PAIR(BgL_arg1430z00_2326, BNIL); } 
BgL_arg1427z00_2321 = 
MAKE_YOUNG_PAIR(BgL_arg1428z00_2324, BgL_arg1429z00_2325); } } 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_res1814z00_2345;
BgL_res1814z00_2345 = 
MAKE_YOUNG_PAIR(BgL_arg1427z00_2321, BNIL); 
BgL_newtail1158z00_2320 = BgL_res1814z00_2345; } } 
SET_CDR(BgL_tail1157z00_2319, BgL_newtail1158z00_2320); 
{ 
obj_t BgL_tail1157z00_2736;obj_t BgL_ll1155z00_2734;obj_t BgL_ll1154z00_2732;
BgL_ll1154z00_2732 = 
CDR(BgL_ll1154z00_2317); 
BgL_ll1155z00_2734 = 
CDR(BgL_ll1155z00_2318); 
BgL_tail1157z00_2736 = BgL_newtail1158z00_2320; 
BgL_tail1157z00_2319 = BgL_tail1157z00_2736; 
BgL_ll1155z00_2318 = BgL_ll1155z00_2734; 
BgL_ll1154z00_2317 = BgL_ll1154z00_2732; 
goto BgL_zc3anonymousza31422ze3z83_2316;} } } } } 
BgL_arg1420z00_2311 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_labelsz00_bglt)CREF(
((BgL_ev_labelsz00_bglt)BgL_ez00_2212)))->BgL_bodyz00)), BNIL); 
BgL_arg1418z00_2309 = 
MAKE_YOUNG_PAIR(BgL_arg1419z00_2310, BgL_arg1420z00_2311); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1913z00zz__evaluate_uncompz00, BgL_arg1418z00_2309);} } 
}



/* &uncomp-ev_letrec1225 */
obj_t BGl_z62uncompzd2ev_letrec1225zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2213, obj_t BgL_ez00_2214)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 138 */
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1399z00_2347;
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1400z00_2348;obj_t BgL_arg1403z00_2349;
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_ll1142z00_2350;obj_t BgL_ll1143z00_2351;
BgL_ll1142z00_2350 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_2214))))->BgL_varsz00); 
BgL_ll1143z00_2351 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_2214))))->BgL_valsz00); 
if(
NULLP(BgL_ll1142z00_2350))
{ /* Eval/evaluate_uncomp.scm 140 */
BgL_arg1400z00_2348 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_head1144z00_2352;
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_res1804z00_2353;
BgL_res1804z00_2353 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1144z00_2352 = BgL_res1804z00_2353; } 
{ 
obj_t BgL_ll1142z00_2355;obj_t BgL_ll1143z00_2356;obj_t BgL_tail1145z00_2357;
BgL_ll1142z00_2355 = BgL_ll1142z00_2350; 
BgL_ll1143z00_2356 = BgL_ll1143z00_2351; 
BgL_tail1145z00_2357 = BgL_head1144z00_2352; 
BgL_zc3anonymousza31405ze3z83_2354:
if(
NULLP(BgL_ll1142z00_2355))
{ /* Eval/evaluate_uncomp.scm 140 */
BgL_arg1400z00_2348 = 
CDR(BgL_head1144z00_2352); }  else 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_newtail1146z00_2358;
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1411z00_2359;
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_vz00_2360;obj_t BgL_az00_2361;
BgL_vz00_2360 = 
CAR(BgL_ll1142z00_2355); 
BgL_az00_2361 = 
CAR(BgL_ll1143z00_2356); 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1413z00_2362;obj_t BgL_arg1414z00_2363;
BgL_arg1413z00_2362 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_vz00_2360)); 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1415z00_2364;
BgL_arg1415z00_2364 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_az00_2361)); 
BgL_arg1414z00_2363 = 
MAKE_YOUNG_PAIR(BgL_arg1415z00_2364, BNIL); } 
BgL_arg1411z00_2359 = 
MAKE_YOUNG_PAIR(BgL_arg1413z00_2362, BgL_arg1414z00_2363); } } 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_res1806z00_2365;
BgL_res1806z00_2365 = 
MAKE_YOUNG_PAIR(BgL_arg1411z00_2359, BNIL); 
BgL_newtail1146z00_2358 = BgL_res1806z00_2365; } } 
SET_CDR(BgL_tail1145z00_2357, BgL_newtail1146z00_2358); 
{ 
obj_t BgL_tail1145z00_2769;obj_t BgL_ll1143z00_2767;obj_t BgL_ll1142z00_2765;
BgL_ll1142z00_2765 = 
CDR(BgL_ll1142z00_2355); 
BgL_ll1143z00_2767 = 
CDR(BgL_ll1143z00_2356); 
BgL_tail1145z00_2769 = BgL_newtail1146z00_2358; 
BgL_tail1145z00_2357 = BgL_tail1145z00_2769; 
BgL_ll1143z00_2356 = BgL_ll1143z00_2767; 
BgL_ll1142z00_2355 = BgL_ll1142z00_2765; 
goto BgL_zc3anonymousza31405ze3z83_2354;} } } } } 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1416z00_2366;
{ /* Eval/evaluate_uncomp.scm 140 */
BgL_ev_exprz00_bglt BgL_arg1417z00_2367;
BgL_arg1417z00_2367 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_2214))))->BgL_bodyz00); 
BgL_arg1416z00_2366 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1417z00_2367); } 
BgL_arg1403z00_2349 = 
MAKE_YOUNG_PAIR(BgL_arg1416z00_2366, BNIL); } 
BgL_arg1399z00_2347 = 
MAKE_YOUNG_PAIR(BgL_arg1400z00_2348, BgL_arg1403z00_2349); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1913z00zz__evaluate_uncompz00, BgL_arg1399z00_2347);} } 
}



/* &uncomp-ev_let*1223 */
obj_t BGl_z62uncompzd2ev_letza21223z12zz__evaluate_uncompz00(obj_t BgL_envz00_2215, obj_t BgL_ez00_2216)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 134 */
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1383z00_2369;
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1384z00_2370;obj_t BgL_arg1385z00_2371;
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_ll1136z00_2372;obj_t BgL_ll1137z00_2373;
BgL_ll1136z00_2372 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_2216))))->BgL_varsz00); 
BgL_ll1137z00_2373 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_2216))))->BgL_valsz00); 
if(
NULLP(BgL_ll1136z00_2372))
{ /* Eval/evaluate_uncomp.scm 136 */
BgL_arg1384z00_2370 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_head1138z00_2374;
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_res1800z00_2375;
BgL_res1800z00_2375 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1138z00_2374 = BgL_res1800z00_2375; } 
{ 
obj_t BgL_ll1136z00_2377;obj_t BgL_ll1137z00_2378;obj_t BgL_tail1139z00_2379;
BgL_ll1136z00_2377 = BgL_ll1136z00_2372; 
BgL_ll1137z00_2378 = BgL_ll1137z00_2373; 
BgL_tail1139z00_2379 = BgL_head1138z00_2374; 
BgL_zc3anonymousza31387ze3z83_2376:
if(
NULLP(BgL_ll1136z00_2377))
{ /* Eval/evaluate_uncomp.scm 136 */
BgL_arg1384z00_2370 = 
CDR(BgL_head1138z00_2374); }  else 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_newtail1140z00_2380;
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1391z00_2381;
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_vz00_2382;obj_t BgL_az00_2383;
BgL_vz00_2382 = 
CAR(BgL_ll1136z00_2377); 
BgL_az00_2383 = 
CAR(BgL_ll1137z00_2378); 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1392z00_2384;obj_t BgL_arg1393z00_2385;
BgL_arg1392z00_2384 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_vz00_2382)); 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1394z00_2386;
BgL_arg1394z00_2386 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_az00_2383)); 
BgL_arg1393z00_2385 = 
MAKE_YOUNG_PAIR(BgL_arg1394z00_2386, BNIL); } 
BgL_arg1391z00_2381 = 
MAKE_YOUNG_PAIR(BgL_arg1392z00_2384, BgL_arg1393z00_2385); } } 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_res1802z00_2387;
BgL_res1802z00_2387 = 
MAKE_YOUNG_PAIR(BgL_arg1391z00_2381, BNIL); 
BgL_newtail1140z00_2380 = BgL_res1802z00_2387; } } 
SET_CDR(BgL_tail1139z00_2379, BgL_newtail1140z00_2380); 
{ 
obj_t BgL_tail1139z00_2803;obj_t BgL_ll1137z00_2801;obj_t BgL_ll1136z00_2799;
BgL_ll1136z00_2799 = 
CDR(BgL_ll1136z00_2377); 
BgL_ll1137z00_2801 = 
CDR(BgL_ll1137z00_2378); 
BgL_tail1139z00_2803 = BgL_newtail1140z00_2380; 
BgL_tail1139z00_2379 = BgL_tail1139z00_2803; 
BgL_ll1137z00_2378 = BgL_ll1137z00_2801; 
BgL_ll1136z00_2377 = BgL_ll1136z00_2799; 
goto BgL_zc3anonymousza31387ze3z83_2376;} } } } } 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1395z00_2388;
{ /* Eval/evaluate_uncomp.scm 136 */
BgL_ev_exprz00_bglt BgL_arg1396z00_2389;
BgL_arg1396z00_2389 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_2216))))->BgL_bodyz00); 
BgL_arg1395z00_2388 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1396z00_2389); } 
BgL_arg1385z00_2371 = 
MAKE_YOUNG_PAIR(BgL_arg1395z00_2388, BNIL); } 
BgL_arg1383z00_2369 = 
MAKE_YOUNG_PAIR(BgL_arg1384z00_2370, BgL_arg1385z00_2371); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1915z00zz__evaluate_uncompz00, BgL_arg1383z00_2369);} } 
}



/* &uncomp-ev_let1221 */
obj_t BGl_z62uncompzd2ev_let1221zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2217, obj_t BgL_ez00_2218)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 130 */
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1367z00_2391;
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1368z00_2392;obj_t BgL_arg1371z00_2393;
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_ll1130z00_2394;obj_t BgL_ll1131z00_2395;
BgL_ll1130z00_2394 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_2218))))->BgL_varsz00); 
BgL_ll1131z00_2395 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_2218))))->BgL_valsz00); 
if(
NULLP(BgL_ll1130z00_2394))
{ /* Eval/evaluate_uncomp.scm 132 */
BgL_arg1368z00_2392 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_head1132z00_2396;
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_res1796z00_2397;
BgL_res1796z00_2397 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1132z00_2396 = BgL_res1796z00_2397; } 
{ 
obj_t BgL_ll1130z00_2399;obj_t BgL_ll1131z00_2400;obj_t BgL_tail1133z00_2401;
BgL_ll1130z00_2399 = BgL_ll1130z00_2394; 
BgL_ll1131z00_2400 = BgL_ll1131z00_2395; 
BgL_tail1133z00_2401 = BgL_head1132z00_2396; 
BgL_zc3anonymousza31373ze3z83_2398:
if(
NULLP(BgL_ll1130z00_2399))
{ /* Eval/evaluate_uncomp.scm 132 */
BgL_arg1368z00_2392 = 
CDR(BgL_head1132z00_2396); }  else 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_newtail1134z00_2402;
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1377z00_2403;
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_vz00_2404;obj_t BgL_az00_2405;
BgL_vz00_2404 = 
CAR(BgL_ll1130z00_2399); 
BgL_az00_2405 = 
CAR(BgL_ll1131z00_2400); 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1378z00_2406;obj_t BgL_arg1379z00_2407;
BgL_arg1378z00_2406 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_vz00_2404)); 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1380z00_2408;
BgL_arg1380z00_2408 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_az00_2405)); 
BgL_arg1379z00_2407 = 
MAKE_YOUNG_PAIR(BgL_arg1380z00_2408, BNIL); } 
BgL_arg1377z00_2403 = 
MAKE_YOUNG_PAIR(BgL_arg1378z00_2406, BgL_arg1379z00_2407); } } 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_res1798z00_2409;
BgL_res1798z00_2409 = 
MAKE_YOUNG_PAIR(BgL_arg1377z00_2403, BNIL); 
BgL_newtail1134z00_2402 = BgL_res1798z00_2409; } } 
SET_CDR(BgL_tail1133z00_2401, BgL_newtail1134z00_2402); 
{ 
obj_t BgL_tail1133z00_2837;obj_t BgL_ll1131z00_2835;obj_t BgL_ll1130z00_2833;
BgL_ll1130z00_2833 = 
CDR(BgL_ll1130z00_2399); 
BgL_ll1131z00_2835 = 
CDR(BgL_ll1131z00_2400); 
BgL_tail1133z00_2837 = BgL_newtail1134z00_2402; 
BgL_tail1133z00_2401 = BgL_tail1133z00_2837; 
BgL_ll1131z00_2400 = BgL_ll1131z00_2835; 
BgL_ll1130z00_2399 = BgL_ll1130z00_2833; 
goto BgL_zc3anonymousza31373ze3z83_2398;} } } } } 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1381z00_2410;
{ /* Eval/evaluate_uncomp.scm 132 */
BgL_ev_exprz00_bglt BgL_arg1382z00_2411;
BgL_arg1382z00_2411 = 
(((BgL_ev_binderz00_bglt)CREF(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_2218))))->BgL_bodyz00); 
BgL_arg1381z00_2410 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1382z00_2411); } 
BgL_arg1371z00_2393 = 
MAKE_YOUNG_PAIR(BgL_arg1381z00_2410, BNIL); } 
BgL_arg1367z00_2391 = 
MAKE_YOUNG_PAIR(BgL_arg1368z00_2392, BgL_arg1371z00_2393); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1917z00zz__evaluate_uncompz00, BgL_arg1367z00_2391);} } 
}



/* &uncomp-ev_synchroniz1219 */
obj_t BGl_z62uncompzd2ev_synchroniza71219z17zz__evaluate_uncompz00(obj_t BgL_envz00_2219, obj_t BgL_ez00_2220)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 126 */
{ /* Eval/evaluate_uncomp.scm 128 */
obj_t BgL_arg1356z00_2413;
{ /* Eval/evaluate_uncomp.scm 128 */
obj_t BgL_arg1358z00_2414;obj_t BgL_arg1359z00_2415;
BgL_arg1358z00_2414 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_synchroniza7eza7_bglt)CREF(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_2220)))->BgL_mutexz00)); 
{ /* Eval/evaluate_uncomp.scm 128 */
obj_t BgL_arg1361z00_2416;
{ /* Eval/evaluate_uncomp.scm 128 */
obj_t BgL_arg1362z00_2417;obj_t BgL_arg1363z00_2418;
BgL_arg1362z00_2417 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_synchroniza7eza7_bglt)CREF(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_2220)))->BgL_prelockz00)); 
BgL_arg1363z00_2418 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_synchroniza7eza7_bglt)CREF(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_2220)))->BgL_bodyz00)), BNIL); 
BgL_arg1361z00_2416 = 
MAKE_YOUNG_PAIR(BgL_arg1362z00_2417, BgL_arg1363z00_2418); } 
BgL_arg1359z00_2415 = 
MAKE_YOUNG_PAIR(BGl_keyword1919z00zz__evaluate_uncompz00, BgL_arg1361z00_2416); } 
BgL_arg1356z00_2413 = 
MAKE_YOUNG_PAIR(BgL_arg1358z00_2414, BgL_arg1359z00_2415); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1921z00zz__evaluate_uncompz00, BgL_arg1356z00_2413);} } 
}



/* &uncomp-ev_with-handl1217 */
obj_t BGl_z62uncompzd2ev_withzd2handl1217z62zz__evaluate_uncompz00(obj_t BgL_envz00_2221, obj_t BgL_ez00_2222)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 122 */
{ /* Eval/evaluate_uncomp.scm 124 */
obj_t BgL_arg1350z00_2420;
{ /* Eval/evaluate_uncomp.scm 124 */
obj_t BgL_arg1351z00_2421;obj_t BgL_arg1352z00_2422;
BgL_arg1351z00_2421 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_withzd2handlerzd2_bglt)CREF(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_2222)))->BgL_handlerz00)); 
BgL_arg1352z00_2422 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_withzd2handlerzd2_bglt)CREF(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_2222)))->BgL_bodyz00)), BNIL); 
BgL_arg1350z00_2420 = 
MAKE_YOUNG_PAIR(BgL_arg1351z00_2421, BgL_arg1352z00_2422); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1923z00zz__evaluate_uncompz00, BgL_arg1350z00_2420);} } 
}



/* &uncomp-ev_unwind-pro1215 */
obj_t BGl_z62uncompzd2ev_unwindzd2pro1215z62zz__evaluate_uncompz00(obj_t BgL_envz00_2223, obj_t BgL_ez00_2224)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 118 */
{ /* Eval/evaluate_uncomp.scm 120 */
obj_t BgL_arg1344z00_2424;
{ /* Eval/evaluate_uncomp.scm 120 */
obj_t BgL_arg1345z00_2425;obj_t BgL_arg1346z00_2426;
BgL_arg1345z00_2425 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_unwindzd2protectzd2_bglt)CREF(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_2224)))->BgL_ez00)); 
BgL_arg1346z00_2426 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_unwindzd2protectzd2_bglt)CREF(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_2224)))->BgL_bodyz00)), BNIL); 
BgL_arg1344z00_2424 = 
MAKE_YOUNG_PAIR(BgL_arg1345z00_2425, BgL_arg1346z00_2426); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1925z00zz__evaluate_uncompz00, BgL_arg1344z00_2424);} } 
}



/* &uncomp-ev_bind-exit1213 */
obj_t BGl_z62uncompzd2ev_bindzd2exit1213z62zz__evaluate_uncompz00(obj_t BgL_envz00_2225, obj_t BgL_ez00_2226)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 114 */
{ /* Eval/evaluate_uncomp.scm 116 */
obj_t BgL_arg1337z00_2428;
{ /* Eval/evaluate_uncomp.scm 116 */
obj_t BgL_arg1338z00_2429;obj_t BgL_arg1339z00_2430;
{ /* Eval/evaluate_uncomp.scm 116 */
obj_t BgL_arg1340z00_2431;
{ /* Eval/evaluate_uncomp.scm 116 */
BgL_ev_varz00_bglt BgL_arg1341z00_2432;
BgL_arg1341z00_2432 = 
(((BgL_ev_bindzd2exitzd2_bglt)CREF(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_2226)))->BgL_varz00); 
BgL_arg1340z00_2431 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1341z00_2432)); } 
BgL_arg1338z00_2429 = 
MAKE_YOUNG_PAIR(BgL_arg1340z00_2431, BNIL); } 
BgL_arg1339z00_2430 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_bindzd2exitzd2_bglt)CREF(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_2226)))->BgL_bodyz00)), BNIL); 
BgL_arg1337z00_2428 = 
MAKE_YOUNG_PAIR(BgL_arg1338z00_2429, BgL_arg1339z00_2430); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1927z00zz__evaluate_uncompz00, BgL_arg1337z00_2428);} } 
}



/* &uncomp-ev_setlocal1211 */
obj_t BGl_z62uncompzd2ev_setlocal1211zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2227, obj_t BgL_ez00_2228)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 110 */
{ /* Eval/evaluate_uncomp.scm 112 */
obj_t BgL_arg1330z00_2434;
{ /* Eval/evaluate_uncomp.scm 112 */
obj_t BgL_arg1331z00_2435;obj_t BgL_arg1332z00_2436;
{ /* Eval/evaluate_uncomp.scm 112 */
BgL_ev_varz00_bglt BgL_arg1333z00_2437;
BgL_arg1333z00_2437 = 
(((BgL_ev_setlocalz00_bglt)CREF(
((BgL_ev_setlocalz00_bglt)BgL_ez00_2228)))->BgL_vz00); 
BgL_arg1331z00_2435 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1333z00_2437)); } 
{ /* Eval/evaluate_uncomp.scm 112 */
obj_t BgL_arg1335z00_2438;
{ /* Eval/evaluate_uncomp.scm 112 */
BgL_ev_exprz00_bglt BgL_arg1336z00_2439;
BgL_arg1336z00_2439 = 
(((BgL_ev_hookz00_bglt)CREF(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_2228))))->BgL_ez00); 
BgL_arg1335z00_2438 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1336z00_2439); } 
BgL_arg1332z00_2436 = 
MAKE_YOUNG_PAIR(BgL_arg1335z00_2438, BNIL); } 
BgL_arg1330z00_2434 = 
MAKE_YOUNG_PAIR(BgL_arg1331z00_2435, BgL_arg1332z00_2436); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1929z00zz__evaluate_uncompz00, BgL_arg1330z00_2434);} } 
}



/* &uncomp-ev_defglobal1209 */
obj_t BGl_z62uncompzd2ev_defglobal1209zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2229, obj_t BgL_ez00_2230)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 106 */
{ /* Eval/evaluate_uncomp.scm 108 */
obj_t BgL_arg1325z00_2441;
{ /* Eval/evaluate_uncomp.scm 108 */
obj_t BgL_arg1326z00_2442;obj_t BgL_arg1327z00_2443;
BgL_arg1326z00_2442 = 
(((BgL_ev_setglobalz00_bglt)CREF(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_ez00_2230))))->BgL_namez00); 
{ /* Eval/evaluate_uncomp.scm 108 */
obj_t BgL_arg1328z00_2444;
{ /* Eval/evaluate_uncomp.scm 108 */
BgL_ev_exprz00_bglt BgL_arg1329z00_2445;
BgL_arg1329z00_2445 = 
(((BgL_ev_hookz00_bglt)CREF(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_ez00_2230))))->BgL_ez00); 
BgL_arg1328z00_2444 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1329z00_2445); } 
BgL_arg1327z00_2443 = 
MAKE_YOUNG_PAIR(BgL_arg1328z00_2444, BNIL); } 
BgL_arg1325z00_2441 = 
MAKE_YOUNG_PAIR(BgL_arg1326z00_2442, BgL_arg1327z00_2443); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1931z00zz__evaluate_uncompz00, BgL_arg1325z00_2441);} } 
}



/* &uncomp-ev_setglobal1207 */
obj_t BGl_z62uncompzd2ev_setglobal1207zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2231, obj_t BgL_ez00_2232)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 102 */
{ /* Eval/evaluate_uncomp.scm 104 */
obj_t BgL_arg1320z00_2447;
{ /* Eval/evaluate_uncomp.scm 104 */
obj_t BgL_arg1321z00_2448;obj_t BgL_arg1322z00_2449;
BgL_arg1321z00_2448 = 
(((BgL_ev_setglobalz00_bglt)CREF(
((BgL_ev_setglobalz00_bglt)BgL_ez00_2232)))->BgL_namez00); 
{ /* Eval/evaluate_uncomp.scm 104 */
obj_t BgL_arg1323z00_2450;
{ /* Eval/evaluate_uncomp.scm 104 */
BgL_ev_exprz00_bglt BgL_arg1324z00_2451;
BgL_arg1324z00_2451 = 
(((BgL_ev_hookz00_bglt)CREF(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_ez00_2232))))->BgL_ez00); 
BgL_arg1323z00_2450 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1324z00_2451); } 
BgL_arg1322z00_2449 = 
MAKE_YOUNG_PAIR(BgL_arg1323z00_2450, BNIL); } 
BgL_arg1320z00_2447 = 
MAKE_YOUNG_PAIR(BgL_arg1321z00_2448, BgL_arg1322z00_2449); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1929z00zz__evaluate_uncompz00, BgL_arg1320z00_2447);} } 
}



/* &uncomp-ev_trap1205 */
obj_t BGl_z62uncompzd2ev_trap1205zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2233, obj_t BgL_ez00_2234)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 98 */
{ /* Eval/evaluate_uncomp.scm 100 */
obj_t BgL_arg1315z00_2453;
{ /* Eval/evaluate_uncomp.scm 100 */
obj_t BgL_arg1318z00_2454;
{ /* Eval/evaluate_uncomp.scm 100 */
BgL_ev_exprz00_bglt BgL_arg1319z00_2455;
BgL_arg1319z00_2455 = 
(((BgL_ev_hookz00_bglt)CREF(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_ez00_2234))))->BgL_ez00); 
BgL_arg1318z00_2454 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1319z00_2455); } 
BgL_arg1315z00_2453 = 
MAKE_YOUNG_PAIR(BgL_arg1318z00_2454, BNIL); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1933z00zz__evaluate_uncompz00, BgL_arg1315z00_2453);} } 
}



/* &uncomp-ev_prog21203 */
obj_t BGl_z62uncompzd2ev_prog21203zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2235, obj_t BgL_ez00_2236)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 91 */
{ /* Eval/evaluate_uncomp.scm 93 */
obj_t BgL_e1z00_2457;obj_t BgL_e2z00_2458;
BgL_e1z00_2457 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_prog2z00_bglt)CREF(
((BgL_ev_prog2z00_bglt)BgL_ez00_2236)))->BgL_e1z00)); 
BgL_e2z00_2458 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_prog2z00_bglt)CREF(
((BgL_ev_prog2z00_bglt)BgL_ez00_2236)))->BgL_e2z00)); 
{ /* Eval/evaluate_uncomp.scm 94 */
bool_t BgL_testz00_2930;
if(
PAIRP(BgL_e2z00_2458))
{ /* Eval/evaluate_uncomp.scm 94 */
BgL_testz00_2930 = 
(
CAR(BgL_e2z00_2458)==BGl_symbol1935z00zz__evaluate_uncompz00)
; }  else 
{ /* Eval/evaluate_uncomp.scm 94 */
BgL_testz00_2930 = ((bool_t)0)
; } 
if(BgL_testz00_2930)
{ /* Eval/evaluate_uncomp.scm 95 */
obj_t BgL_arg1306z00_2459;
BgL_arg1306z00_2459 = 
MAKE_YOUNG_PAIR(BgL_e1z00_2457, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
CDR(BgL_e2z00_2458), BNIL)); 
return 
MAKE_YOUNG_PAIR(BGl_symbol1935z00zz__evaluate_uncompz00, BgL_arg1306z00_2459);}  else 
{ /* Eval/evaluate_uncomp.scm 96 */
obj_t BgL_arg1309z00_2460;
{ /* Eval/evaluate_uncomp.scm 96 */
obj_t BgL_arg1310z00_2461;
BgL_arg1310z00_2461 = 
MAKE_YOUNG_PAIR(BgL_e2z00_2458, BNIL); 
BgL_arg1309z00_2460 = 
MAKE_YOUNG_PAIR(BgL_e1z00_2457, BgL_arg1310z00_2461); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1935z00zz__evaluate_uncompz00, BgL_arg1309z00_2460);} } } } 
}



/* &uncomp-ev_and1201 */
obj_t BGl_z62uncompzd2ev_and1201zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2237, obj_t BgL_ez00_2238)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 87 */
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1293z00_2463;
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1294z00_2464;
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_l1124z00_2465;
BgL_l1124z00_2465 = 
(((BgL_ev_listz00_bglt)CREF(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_ez00_2238))))->BgL_argsz00); 
if(
NULLP(BgL_l1124z00_2465))
{ /* Eval/evaluate_uncomp.scm 89 */
BgL_arg1294z00_2464 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_head1126z00_2466;
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1301z00_2467;
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1302z00_2468;
BgL_arg1302z00_2468 = 
CAR(BgL_l1124z00_2465); 
BgL_arg1301z00_2467 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1302z00_2468)); } 
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_res1791z00_2469;
BgL_res1791z00_2469 = 
MAKE_YOUNG_PAIR(BgL_arg1301z00_2467, BNIL); 
BgL_head1126z00_2466 = BgL_res1791z00_2469; } } 
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_g1129z00_2470;
BgL_g1129z00_2470 = 
CDR(BgL_l1124z00_2465); 
{ 
obj_t BgL_l1124z00_2472;obj_t BgL_tail1127z00_2473;
BgL_l1124z00_2472 = BgL_g1129z00_2470; 
BgL_tail1127z00_2473 = BgL_head1126z00_2466; 
BgL_zc3anonymousza31296ze3z83_2471:
if(
NULLP(BgL_l1124z00_2472))
{ /* Eval/evaluate_uncomp.scm 89 */
BgL_arg1294z00_2464 = BgL_head1126z00_2466; }  else 
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_newtail1128z00_2474;
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1299z00_2475;
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1300z00_2476;
BgL_arg1300z00_2476 = 
CAR(BgL_l1124z00_2472); 
BgL_arg1299z00_2475 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1300z00_2476)); } 
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_res1793z00_2477;
BgL_res1793z00_2477 = 
MAKE_YOUNG_PAIR(BgL_arg1299z00_2475, BNIL); 
BgL_newtail1128z00_2474 = BgL_res1793z00_2477; } } 
SET_CDR(BgL_tail1127z00_2473, BgL_newtail1128z00_2474); 
{ 
obj_t BgL_tail1127z00_2961;obj_t BgL_l1124z00_2959;
BgL_l1124z00_2959 = 
CDR(BgL_l1124z00_2472); 
BgL_tail1127z00_2961 = BgL_newtail1128z00_2474; 
BgL_tail1127z00_2473 = BgL_tail1127z00_2961; 
BgL_l1124z00_2472 = BgL_l1124z00_2959; 
goto BgL_zc3anonymousza31296ze3z83_2471;} } } } } } 
BgL_arg1293z00_2463 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1294z00_2464, BNIL); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1937z00zz__evaluate_uncompz00, BgL_arg1293z00_2463);} } 
}



/* &uncomp-ev_or1199 */
obj_t BGl_z62uncompzd2ev_or1199zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2239, obj_t BgL_ez00_2240)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 83 */
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1282z00_2479;
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1283z00_2480;
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_l1118z00_2481;
BgL_l1118z00_2481 = 
(((BgL_ev_listz00_bglt)CREF(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_ez00_2240))))->BgL_argsz00); 
if(
NULLP(BgL_l1118z00_2481))
{ /* Eval/evaluate_uncomp.scm 85 */
BgL_arg1283z00_2480 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_head1120z00_2482;
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1290z00_2483;
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1291z00_2484;
BgL_arg1291z00_2484 = 
CAR(BgL_l1118z00_2481); 
BgL_arg1290z00_2483 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1291z00_2484)); } 
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_res1787z00_2485;
BgL_res1787z00_2485 = 
MAKE_YOUNG_PAIR(BgL_arg1290z00_2483, BNIL); 
BgL_head1120z00_2482 = BgL_res1787z00_2485; } } 
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_g1123z00_2486;
BgL_g1123z00_2486 = 
CDR(BgL_l1118z00_2481); 
{ 
obj_t BgL_l1118z00_2488;obj_t BgL_tail1121z00_2489;
BgL_l1118z00_2488 = BgL_g1123z00_2486; 
BgL_tail1121z00_2489 = BgL_head1120z00_2482; 
BgL_zc3anonymousza31285ze3z83_2487:
if(
NULLP(BgL_l1118z00_2488))
{ /* Eval/evaluate_uncomp.scm 85 */
BgL_arg1283z00_2480 = BgL_head1120z00_2482; }  else 
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_newtail1122z00_2490;
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1288z00_2491;
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1289z00_2492;
BgL_arg1289z00_2492 = 
CAR(BgL_l1118z00_2488); 
BgL_arg1288z00_2491 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1289z00_2492)); } 
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_res1789z00_2493;
BgL_res1789z00_2493 = 
MAKE_YOUNG_PAIR(BgL_arg1288z00_2491, BNIL); 
BgL_newtail1122z00_2490 = BgL_res1789z00_2493; } } 
SET_CDR(BgL_tail1121z00_2489, BgL_newtail1122z00_2490); 
{ 
obj_t BgL_tail1121z00_2983;obj_t BgL_l1118z00_2981;
BgL_l1118z00_2981 = 
CDR(BgL_l1118z00_2488); 
BgL_tail1121z00_2983 = BgL_newtail1122z00_2490; 
BgL_tail1121z00_2489 = BgL_tail1121z00_2983; 
BgL_l1118z00_2488 = BgL_l1118z00_2981; 
goto BgL_zc3anonymousza31285ze3z83_2487;} } } } } } 
BgL_arg1282z00_2479 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1283z00_2480, BNIL); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1939z00zz__evaluate_uncompz00, BgL_arg1282z00_2479);} } 
}



/* &uncomp-ev_if1197 */
obj_t BGl_z62uncompzd2ev_if1197zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2241, obj_t BgL_ez00_2242)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 79 */
{ /* Eval/evaluate_uncomp.scm 81 */
obj_t BgL_arg1271z00_2495;
{ /* Eval/evaluate_uncomp.scm 81 */
obj_t BgL_arg1273z00_2496;obj_t BgL_arg1274z00_2497;
BgL_arg1273z00_2496 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_ifz00_bglt)CREF(
((BgL_ev_ifz00_bglt)BgL_ez00_2242)))->BgL_pz00)); 
{ /* Eval/evaluate_uncomp.scm 81 */
obj_t BgL_arg1277z00_2498;obj_t BgL_arg1278z00_2499;
BgL_arg1277z00_2498 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_ifz00_bglt)CREF(
((BgL_ev_ifz00_bglt)BgL_ez00_2242)))->BgL_tz00)); 
BgL_arg1278z00_2499 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_ifz00_bglt)CREF(
((BgL_ev_ifz00_bglt)BgL_ez00_2242)))->BgL_ez00)), BNIL); 
BgL_arg1274z00_2497 = 
MAKE_YOUNG_PAIR(BgL_arg1277z00_2498, BgL_arg1278z00_2499); } 
BgL_arg1271z00_2495 = 
MAKE_YOUNG_PAIR(BgL_arg1273z00_2496, BgL_arg1274z00_2497); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol1941z00zz__evaluate_uncompz00, BgL_arg1271z00_2495);} } 
}



/* &uncomp-ev_litt1195 */
obj_t BGl_z62uncompzd2ev_litt1195zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2243, obj_t BgL_ez00_2244)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 75 */
{ /* Eval/evaluate_uncomp.scm 77 */
obj_t BgL_arg1269z00_2501;
BgL_arg1269z00_2501 = 
MAKE_YOUNG_PAIR(
(((BgL_ev_littz00_bglt)CREF(
((BgL_ev_littz00_bglt)BgL_ez00_2244)))->BgL_valuez00), BNIL); 
return 
MAKE_YOUNG_PAIR(BGl_symbol1943z00zz__evaluate_uncompz00, BgL_arg1269z00_2501);} } 
}



/* &uncomp-ev_global1193 */
obj_t BGl_z62uncompzd2ev_global1193zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2245, obj_t BgL_varz00_2246)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 71 */
return 
(((BgL_ev_globalz00_bglt)CREF(
((BgL_ev_globalz00_bglt)BgL_varz00_2246)))->BgL_namez00);} 
}



/* &uncomp-ev_var1191 */
obj_t BGl_z62uncompzd2ev_var1191zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2247, obj_t BgL_varz00_2248)
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 67 */
return 
(((BgL_ev_varz00_bglt)CREF(
((BgL_ev_varz00_bglt)BgL_varz00_2248)))->BgL_namez00);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00()
{ AN_OBJECT;
{ /* Eval/evaluate_uncomp.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)129954706), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)444693568), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)298117425), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)1047446), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)316564000), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)454272164), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)381113196), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)231310901), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460263214), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-282360853), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)525089452), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)513004434), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)116655667), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)23062368), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)6183155), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string1945z00zz__evaluate_uncompz00));} 
}

#ifdef __cplusplus
}
#endif
