/*===========================================================================*/
/*   (Rgc/rgcposix.scm)                                                      */
/*   Bigloo (4.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Apr 18 07:45:32 CEST 2017       */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.3a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Rgc/rgcposix.scm -indent -o objs/obj_u/Rgc/rgcposix.c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_symbol1910z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1916z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1918z00zz__rgc_posixz00 = BUNSPEC;
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__rgc_posixz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__rgc_posixz00();
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zz__rgc_posixz00();
	static obj_t BGl_symbol1891z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1893z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1895z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1897z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1899z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_makezd2rgczd2repeatz00zz__rgc_posixz00(obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__rgc_posixz00();
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_methodzd2initzd2zz__rgc_posixz00();
	BGL_EXPORTED_DECL obj_t BGl_posixzd2ze3rgcz31zz__rgc_posixz00(obj_t);
	static obj_t BGl_z62posixzd2ze3rgcz53zz__rgc_posixz00(obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2errzd2stringza2zd2zz__rgc_posixz00 = BUNSPEC;
	extern obj_t BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_makezd2rgczd2sequencez00zz__rgc_posixz00(obj_t);
	static obj_t BGl_parsezd2posixzd2expz00zz__rgc_posixz00(obj_t, long);
	static obj_t BGl_parsezd2posixzd2branchz00zz__rgc_posixz00(obj_t, long);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgc_posixz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_list1914z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zz__rgc_posixz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__rgc_posixz00();
	static obj_t BGl_parsezd2posixzd2piecez00zz__rgc_posixz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__rgc_posixz00();
	static obj_t BGl_parsezd2posixzd2atomz00zz__rgc_posixz00(obj_t, obj_t);
	extern obj_t c_substring(obj_t, long, long);
	static obj_t BGl_makezd2rgczd2orz00zz__rgc_posixz00(obj_t);
	static obj_t BGl_parsezd2posixzd2bracketz00zz__rgc_posixz00(obj_t, long);
	static obj_t BGl_parsezd2posixzd2bracesz00zz__rgc_posixz00(obj_t, obj_t);
	static obj_t BGl_symbol1902z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1904z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1908z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1900z00zz__rgc_posixz00,
		BgL_bgl_string1900za700za7za7_1924za7, ">=", 2);
	      DEFINE_STRING(BGl_string1901z00zz__rgc_posixz00,
		BgL_bgl_string1901za700za7za7_1925za7, "RGC:Illegal posix string", 24);
	      DEFINE_STRING(BGl_string1903z00zz__rgc_posixz00,
		BgL_bgl_string1903za700za7za7_1926za7, "or", 2);
	      DEFINE_STRING(BGl_string1905z00zz__rgc_posixz00,
		BgL_bgl_string1905za700za7za7_1927za7, ":", 1);
	      DEFINE_STRING(BGl_string1906z00zz__rgc_posixz00,
		BgL_bgl_string1906za700za7za7_1928za7, "RGC: `^' regexps not supported.",
		31);
	      DEFINE_STRING(BGl_string1907z00zz__rgc_posixz00,
		BgL_bgl_string1907za700za7za7_1929za7, "RGC: `$' regexps not supported.",
		31);
	      DEFINE_STRING(BGl_string1909z00zz__rgc_posixz00,
		BgL_bgl_string1909za700za7za7_1930za7, "all", 3);
	      DEFINE_STRING(BGl_string1911z00zz__rgc_posixz00,
		BgL_bgl_string1911za700za7za7_1931za7, "submatch", 8);
	      DEFINE_STRING(BGl_string1912z00zz__rgc_posixz00,
		BgL_bgl_string1912za700za7za7_1932za7,
		"RGC:subexpression has no terminating close parenthesis", 54);
	      DEFINE_STRING(BGl_string1913z00zz__rgc_posixz00,
		BgL_bgl_string1913za700za7za7_1933za7,
		"RGC:expression may not terminate with a backslash", 49);
	      DEFINE_STRING(BGl_string1915z00zz__rgc_posixz00,
		BgL_bgl_string1915za700za7za7_1934za7,
		"double-bracket regexps not supported.", 37);
	      DEFINE_STRING(BGl_string1917z00zz__rgc_posixz00,
		BgL_bgl_string1917za700za7za7_1935za7, "out", 3);
	      DEFINE_STRING(BGl_string1919z00zz__rgc_posixz00,
		BgL_bgl_string1919za700za7za7_1936za7, "in", 2);
	      DEFINE_STRING(BGl_string1920z00zz__rgc_posixz00,
		BgL_bgl_string1920za700za7za7_1937za7, "Illegal - in [...] regexp", 25);
	      DEFINE_STRING(BGl_string1921z00zz__rgc_posixz00,
		BgL_bgl_string1921za700za7za7_1938za7,
		"Missing close right bracket in regexp", 37);
	      DEFINE_STRING(BGl_string1922z00zz__rgc_posixz00,
		BgL_bgl_string1922za700za7za7_1939za7, "Missing close brace in regexp", 29);
	      DEFINE_STRING(BGl_string1923z00zz__rgc_posixz00,
		BgL_bgl_string1923za700za7za7_1940za7, "__rgc_posix", 11);
	      DEFINE_STRING(BGl_string1887z00zz__rgc_posixz00,
		BgL_bgl_string1887za700za7za7_1941za7,
		"RGC:Illegal Posix regexp -- terminated early", 44);
	      DEFINE_STRING(BGl_string1888z00zz__rgc_posixz00,
		BgL_bgl_string1888za700za7za7_1942za7,
		"/tmp/bigloo/runtime/Rgc/rgcposix.scm", 36);
	      DEFINE_STRING(BGl_string1889z00zz__rgc_posixz00,
		BgL_bgl_string1889za700za7za7_1943za7, "&posix->rgc", 11);
	      DEFINE_STRING(BGl_string1890z00zz__rgc_posixz00,
		BgL_bgl_string1890za700za7za7_1944za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1892z00zz__rgc_posixz00,
		BgL_bgl_string1892za700za7za7_1945za7, "*", 1);
	      DEFINE_STRING(BGl_string1894z00zz__rgc_posixz00,
		BgL_bgl_string1894za700za7za7_1946za7, "+", 1);
	      DEFINE_STRING(BGl_string1896z00zz__rgc_posixz00,
		BgL_bgl_string1896za700za7za7_1947za7, "?", 1);
	      DEFINE_STRING(BGl_string1898z00zz__rgc_posixz00,
		BgL_bgl_string1898za700za7za7_1948za7, "**", 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_posixzd2ze3rgczd2envze3zz__rgc_posixz00,
		BgL_bgl_za762posixza7d2za7e3rg1949za7,
		BGl_z62posixzd2ze3rgcz53zz__rgc_posixz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol1910z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1916z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1918z00zz__rgc_posixz00));
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1891z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1893z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1895z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1897z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1899z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_za2errzd2stringza2zd2zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_list1914z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1902z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1904z00zz__rgc_posixz00));
		     ADD_ROOT((void *) (&BGl_symbol1908z00zz__rgc_posixz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgc_posixz00(long
		BgL_checksumz00_2138, char *BgL_fromz00_2139)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__rgc_posixz00))
				{
					BGl_requirezd2initializa7ationz75zz__rgc_posixz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__rgc_posixz00();
					BGl_cnstzd2initzd2zz__rgc_posixz00();
					BGl_importedzd2moduleszd2initz00zz__rgc_posixz00();
					return BGl_toplevelzd2initzd2zz__rgc_posixz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__rgc_posixz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 14 */
			BGl_symbol1891z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1892z00zz__rgc_posixz00);
			BGl_symbol1893z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1894z00zz__rgc_posixz00);
			BGl_symbol1895z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1896z00zz__rgc_posixz00);
			BGl_symbol1897z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1898z00zz__rgc_posixz00);
			BGl_symbol1899z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1900z00zz__rgc_posixz00);
			BGl_symbol1902z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1903z00zz__rgc_posixz00);
			BGl_symbol1904z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1905z00zz__rgc_posixz00);
			BGl_symbol1908z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1909z00zz__rgc_posixz00);
			BGl_symbol1910z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1911z00zz__rgc_posixz00);
			BGl_list1914z00zz__rgc_posixz00 =
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '.')),
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '=')),
					MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ':')), BNIL)));
			BGl_symbol1916z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1917z00zz__rgc_posixz00);
			return (BGl_symbol1918z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1919z00zz__rgc_posixz00), BUNSPEC);
		}
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__rgc_posixz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 14 */
			return bgl_gc_roots_register();
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__rgc_posixz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 14 */
			return (BGl_za2errzd2stringza2zd2zz__rgc_posixz00 = BUNSPEC, BUNSPEC);
		}
	}



/* posix->rgc */
	BGL_EXPORTED_DEF obj_t BGl_posixzd2ze3rgcz31zz__rgc_posixz00(obj_t BgL_sz00_3)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 51 */
			BGl_za2errzd2stringza2zd2zz__rgc_posixz00 = BgL_sz00_3;
			{	/* Rgc/rgcposix.scm 53 */
				obj_t BgL_rgcz00_975;

				BgL_rgcz00_975 =
					BGl_parsezd2posixzd2expz00zz__rgc_posixz00(BgL_sz00_3, ((long) 0));
				{	/* Rgc/rgcposix.scm 54 */
					obj_t BgL_iz00_976;

					{	/* Rgc/rgcposix.scm 55 */
						int BgL_tmpz00_2166;

						BgL_tmpz00_2166 = (int) (((long) 1));
						BgL_iz00_976 = BGL_MVALUES_VAL(BgL_tmpz00_2166);
					}
					if (((long) CINT(BgL_iz00_976) == STRING_LENGTH(BgL_sz00_3)))
						{	/* Rgc/rgcposix.scm 55 */
							return BgL_rgcz00_975;
						}
					else
						{	/* Rgc/rgcposix.scm 55 */
							return
								BGl_errorz00zz__errorz00(BFALSE,
								BGl_string1887z00zz__rgc_posixz00,
								BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
						}
				}
			}
		}
	}



/* &posix->rgc */
	obj_t BGl_z62posixzd2ze3rgcz53zz__rgc_posixz00(obj_t BgL_envz00_2134,
		obj_t BgL_sz00_2135)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 51 */
			{	/* Rgc/rgcposix.scm 52 */
				obj_t BgL_auxz00_2174;

				if (STRINGP(BgL_sz00_2135))
					{	/* Rgc/rgcposix.scm 52 */
						BgL_auxz00_2174 = BgL_sz00_2135;
					}
				else
					{
						obj_t BgL_auxz00_2177;

						BgL_auxz00_2177 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1888z00zz__rgc_posixz00,
							BINT(((long) 1808)), BGl_string1889z00zz__rgc_posixz00,
							BGl_string1890z00zz__rgc_posixz00, BgL_sz00_2135);
						FAILURE(BgL_auxz00_2177, BFALSE, BFALSE);
					}
				return BGl_posixzd2ze3rgcz31zz__rgc_posixz00(BgL_auxz00_2174);
			}
		}
	}



/* make-rgc-repeat */
	obj_t BGl_makezd2rgczd2repeatz00zz__rgc_posixz00(obj_t BgL_minz00_5,
		obj_t BgL_maxz00_6, obj_t BgL_rgcz00_7)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 76 */
			{	/* Rgc/rgcposix.scm 78 */
				bool_t BgL_testz00_2182;

				if ((BgL_minz00_5 == BINT(((long) 0))))
					{	/* Rgc/rgcposix.scm 78 */
						if (CBOOL(BgL_maxz00_6))
							{	/* Rgc/rgcposix.scm 78 */
								BgL_testz00_2182 = ((bool_t) 0);
							}
						else
							{	/* Rgc/rgcposix.scm 78 */
								BgL_testz00_2182 = ((bool_t) 1);
							}
					}
				else
					{	/* Rgc/rgcposix.scm 78 */
						BgL_testz00_2182 = ((bool_t) 0);
					}
				if (BgL_testz00_2182)
					{	/* Rgc/rgcposix.scm 79 */
						obj_t BgL_arg1203z00_982;

						BgL_arg1203z00_982 = MAKE_YOUNG_PAIR(BgL_rgcz00_7, BNIL);
						return
							MAKE_YOUNG_PAIR(BGl_symbol1891z00zz__rgc_posixz00,
							BgL_arg1203z00_982);
					}
				else
					{	/* Rgc/rgcposix.scm 80 */
						bool_t BgL_testz00_2190;

						if ((BgL_minz00_5 == BINT(((long) 1))))
							{	/* Rgc/rgcposix.scm 80 */
								if (CBOOL(BgL_maxz00_6))
									{	/* Rgc/rgcposix.scm 80 */
										BgL_testz00_2190 = ((bool_t) 0);
									}
								else
									{	/* Rgc/rgcposix.scm 80 */
										BgL_testz00_2190 = ((bool_t) 1);
									}
							}
						else
							{	/* Rgc/rgcposix.scm 80 */
								BgL_testz00_2190 = ((bool_t) 0);
							}
						if (BgL_testz00_2190)
							{	/* Rgc/rgcposix.scm 81 */
								obj_t BgL_arg1206z00_985;

								BgL_arg1206z00_985 = MAKE_YOUNG_PAIR(BgL_rgcz00_7, BNIL);
								return
									MAKE_YOUNG_PAIR(BGl_symbol1893z00zz__rgc_posixz00,
									BgL_arg1206z00_985);
							}
						else
							{	/* Rgc/rgcposix.scm 82 */
								bool_t BgL_testz00_2198;

								if ((BgL_minz00_5 == BINT(((long) 0))))
									{	/* Rgc/rgcposix.scm 82 */
										BgL_testz00_2198 = (BgL_maxz00_6 == BINT(((long) 1)));
									}
								else
									{	/* Rgc/rgcposix.scm 82 */
										BgL_testz00_2198 = ((bool_t) 0);
									}
								if (BgL_testz00_2198)
									{	/* Rgc/rgcposix.scm 83 */
										obj_t BgL_arg1211z00_988;

										BgL_arg1211z00_988 = MAKE_YOUNG_PAIR(BgL_rgcz00_7, BNIL);
										return
											MAKE_YOUNG_PAIR(BGl_symbol1895z00zz__rgc_posixz00,
											BgL_arg1211z00_988);
									}
								else
									{	/* Rgc/rgcposix.scm 82 */
										if (CBOOL(BgL_maxz00_6))
											{	/* Rgc/rgcposix.scm 87 */
												obj_t BgL_arg1213z00_989;

												{	/* Rgc/rgcposix.scm 87 */
													obj_t BgL_arg1214z00_990;

													{	/* Rgc/rgcposix.scm 87 */
														obj_t BgL_arg1215z00_991;

														BgL_arg1215z00_991 =
															MAKE_YOUNG_PAIR(BgL_rgcz00_7, BNIL);
														BgL_arg1214z00_990 =
															MAKE_YOUNG_PAIR(BgL_maxz00_6, BgL_arg1215z00_991);
													}
													BgL_arg1213z00_989 =
														MAKE_YOUNG_PAIR(BgL_minz00_5, BgL_arg1214z00_990);
												}
												return
													MAKE_YOUNG_PAIR(BGl_symbol1897z00zz__rgc_posixz00,
													BgL_arg1213z00_989);
											}
										else
											{	/* Rgc/rgcposix.scm 85 */
												obj_t BgL_arg1224z00_992;

												{	/* Rgc/rgcposix.scm 85 */
													obj_t BgL_arg1227z00_993;

													BgL_arg1227z00_993 =
														MAKE_YOUNG_PAIR(BgL_rgcz00_7, BNIL);
													BgL_arg1224z00_992 =
														MAKE_YOUNG_PAIR(BgL_minz00_5, BgL_arg1227z00_993);
												}
												return
													MAKE_YOUNG_PAIR(BGl_symbol1899z00zz__rgc_posixz00,
													BgL_arg1224z00_992);
											}
									}
							}
					}
			}
		}
	}



/* make-rgc-or */
	obj_t BGl_makezd2rgczd2orz00zz__rgc_posixz00(obj_t BgL_rgcsz00_8)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 92 */
			if (NULLP(BgL_rgcsz00_8))
				{	/* Rgc/rgcposix.scm 94 */
					return
						BGl_errorz00zz__errorz00(BFALSE, BGl_string1901z00zz__rgc_posixz00,
						BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
				}
			else
				{	/* Rgc/rgcposix.scm 94 */
					if (NULLP(CDR(BgL_rgcsz00_8)))
						{	/* Rgc/rgcposix.scm 96 */
							return CAR(BgL_rgcsz00_8);
						}
					else
						{	/* Rgc/rgcposix.scm 99 */
							obj_t BgL_arg1236z00_1000;

							BgL_arg1236z00_1000 =
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_rgcsz00_8,
								BNIL);
							return MAKE_YOUNG_PAIR(BGl_symbol1902z00zz__rgc_posixz00,
								BgL_arg1236z00_1000);
						}
				}
		}
	}



/* make-rgc-sequence */
	obj_t BGl_makezd2rgczd2sequencez00zz__rgc_posixz00(obj_t BgL_rgcsz00_9)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 104 */
			if (NULLP(BgL_rgcsz00_9))
				{	/* Rgc/rgcposix.scm 106 */
					return
						BGl_errorz00zz__errorz00(BFALSE, BGl_string1901z00zz__rgc_posixz00,
						BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
				}
			else
				{	/* Rgc/rgcposix.scm 106 */
					if (NULLP(CDR(BgL_rgcsz00_9)))
						{	/* Rgc/rgcposix.scm 108 */
							return CAR(BgL_rgcsz00_9);
						}
					else
						{	/* Rgc/rgcposix.scm 111 */
							obj_t BgL_arg1242z00_1005;

							BgL_arg1242z00_1005 =
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_rgcsz00_9,
								BNIL);
							return MAKE_YOUNG_PAIR(BGl_symbol1904z00zz__rgc_posixz00,
								BgL_arg1242z00_1005);
						}
				}
		}
	}



/* parse-posix-exp */
	obj_t BGl_parsezd2posixzd2expz00zz__rgc_posixz00(obj_t BgL_sz00_10,
		long BgL_iz00_11)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 118 */
			{	/* Rgc/rgcposix.scm 119 */
				long BgL_lenz00_1007;

				BgL_lenz00_1007 = STRING_LENGTH(BgL_sz00_10);
				if ((BgL_iz00_11 < BgL_lenz00_1007))
					{
						long BgL_iz00_1011;
						obj_t BgL_branchesz00_1012;

						BgL_iz00_1011 = BgL_iz00_11;
						BgL_branchesz00_1012 = BNIL;
					BgL_zc3anonymousza31249ze3z83_1013:
						{	/* Rgc/rgcposix.scm 123 */
							obj_t BgL_branchz00_1014;

							BgL_branchz00_1014 =
								BGl_parsezd2posixzd2branchz00zz__rgc_posixz00(BgL_sz00_10,
								BgL_iz00_1011);
							{	/* Rgc/rgcposix.scm 124 */
								obj_t BgL_iz00_1015;

								{	/* Rgc/rgcposix.scm 125 */
									int BgL_tmpz00_2237;

									BgL_tmpz00_2237 = (int) (((long) 1));
									BgL_iz00_1015 = BGL_MVALUES_VAL(BgL_tmpz00_2237);
								}
								{	/* Rgc/rgcposix.scm 125 */
									obj_t BgL_branchesz00_1016;

									BgL_branchesz00_1016 =
										MAKE_YOUNG_PAIR(BgL_branchz00_1014, BgL_branchesz00_1012);
									{	/* Rgc/rgcposix.scm 126 */
										bool_t BgL_testz00_2241;

										if (((long) CINT(BgL_iz00_1015) < BgL_lenz00_1007))
											{	/* Rgc/rgcposix.scm 126 */
												BgL_testz00_2241 =
													(((unsigned char) '|') ==
													STRING_REF(BgL_sz00_10, (long) CINT(BgL_iz00_1015)));
											}
										else
											{	/* Rgc/rgcposix.scm 126 */
												BgL_testz00_2241 = ((bool_t) 0);
											}
										if (BgL_testz00_2241)
											{
												obj_t BgL_branchesz00_2251;
												long BgL_iz00_2248;

												BgL_iz00_2248 =
													((long) CINT(BgL_iz00_1015) + ((long) 1));
												BgL_branchesz00_2251 = BgL_branchesz00_1016;
												BgL_branchesz00_1012 = BgL_branchesz00_2251;
												BgL_iz00_1011 = BgL_iz00_2248;
												goto BgL_zc3anonymousza31249ze3z83_1013;
											}
										else
											{	/* Rgc/rgcposix.scm 128 */
												obj_t BgL_val0_1093z00_1021;

												BgL_val0_1093z00_1021 =
													BGl_makezd2rgczd2orz00zz__rgc_posixz00(bgl_reverse
													(BgL_branchesz00_1016));
												{	/* Rgc/rgcposix.scm 128 */
													int BgL_res1721z00_1619;

													{	/* Rgc/rgcposix.scm 128 */
														int BgL_tmpz00_2254;

														BgL_tmpz00_2254 = (int) (((long) 2));
														BgL_res1721z00_1619 =
															BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2254);
													} BgL_res1721z00_1619;
												}
												{	/* Rgc/rgcposix.scm 128 */
													int BgL_tmpz00_2257;

													BgL_tmpz00_2257 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_tmpz00_2257, BgL_iz00_1015);
												}
												return BgL_val0_1093z00_1021;
											}
									}
								}
							}
						}
					}
				else
					{	/* Rgc/rgcposix.scm 120 */
						{	/* Rgc/rgcposix.scm 129 */
							int BgL_res1722z00_1620;

							{	/* Rgc/rgcposix.scm 129 */
								int BgL_tmpz00_2260;

								BgL_tmpz00_2260 = (int) (((long) 2));
								BgL_res1722z00_1620 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2260);
							} BgL_res1722z00_1620;
						}
						{	/* Rgc/rgcposix.scm 129 */
							obj_t BgL_auxz00_2265;
							int BgL_tmpz00_2263;

							BgL_auxz00_2265 = BINT(BgL_iz00_11);
							BgL_tmpz00_2263 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_2263, BgL_auxz00_2265);
						}
						return BNIL;
					}
			}
		}
	}



/* parse-posix-branch */
	obj_t BGl_parsezd2posixzd2branchz00zz__rgc_posixz00(obj_t BgL_sz00_12,
		long BgL_iz00_13)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 137 */
			{	/* Rgc/rgcposix.scm 138 */
				long BgL_lenz00_1029;

				BgL_lenz00_1029 = STRING_LENGTH(BgL_sz00_12);
				{
					obj_t BgL_iz00_1032;
					obj_t BgL_piecesz00_1033;

					BgL_iz00_1032 = BINT(BgL_iz00_13);
					BgL_piecesz00_1033 = BNIL;
				BgL_zc3anonymousza31264ze3z83_1034:
					if (((long) CINT(BgL_iz00_1032) < BgL_lenz00_1029))
						{	/* Rgc/rgcposix.scm 142 */
							obj_t BgL_piecez00_1036;

							BgL_piecez00_1036 =
								BGl_parsezd2posixzd2piecez00zz__rgc_posixz00(BgL_sz00_12,
								BgL_iz00_1032);
							{	/* Rgc/rgcposix.scm 143 */
								obj_t BgL_iz00_1037;

								{	/* Rgc/rgcposix.scm 144 */
									int BgL_tmpz00_2273;

									BgL_tmpz00_2273 = (int) (((long) 1));
									BgL_iz00_1037 = BGL_MVALUES_VAL(BgL_tmpz00_2273);
								}
								{	/* Rgc/rgcposix.scm 144 */
									obj_t BgL_piecesz00_1038;

									BgL_piecesz00_1038 =
										MAKE_YOUNG_PAIR(BgL_piecez00_1036, BgL_piecesz00_1033);
									if (((long) CINT(BgL_iz00_1037) < BgL_lenz00_1029))
										{	/* Rgc/rgcposix.scm 146 */
											unsigned char BgL_aux1041z00_1041;

											BgL_aux1041z00_1041 =
												STRING_REF(BgL_sz00_12, (long) CINT(BgL_iz00_1037));
											switch (BgL_aux1041z00_1041)
												{
												case ((unsigned char) ')'):
												case ((unsigned char) '|'):

													{	/* Rgc/rgcposix.scm 148 */
														obj_t BgL_val0_1097z00_1043;

														BgL_val0_1097z00_1043 =
															BGl_makezd2rgczd2sequencez00zz__rgc_posixz00
															(bgl_reverse(BgL_piecesz00_1038));
														{	/* Rgc/rgcposix.scm 148 */
															int BgL_res1727z00_1632;

															{	/* Rgc/rgcposix.scm 148 */
																int BgL_tmpz00_2284;

																BgL_tmpz00_2284 = (int) (((long) 2));
																BgL_res1727z00_1632 =
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2284);
															} BgL_res1727z00_1632;
														}
														{	/* Rgc/rgcposix.scm 148 */
															int BgL_tmpz00_2287;

															BgL_tmpz00_2287 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2287,
																BgL_iz00_1037);
														}
														return BgL_val0_1097z00_1043;
													}
													break;
												default:
													{
														obj_t BgL_piecesz00_2291;
														obj_t BgL_iz00_2290;

														BgL_iz00_2290 = BgL_iz00_1037;
														BgL_piecesz00_2291 = BgL_piecesz00_1038;
														BgL_piecesz00_1033 = BgL_piecesz00_2291;
														BgL_iz00_1032 = BgL_iz00_2290;
														goto BgL_zc3anonymousza31264ze3z83_1034;
													}
												}
										}
									else
										{	/* Rgc/rgcposix.scm 151 */
											obj_t BgL_val0_1099z00_1046;

											BgL_val0_1099z00_1046 =
												BGl_makezd2rgczd2sequencez00zz__rgc_posixz00(bgl_reverse
												(BgL_piecesz00_1038));
											{	/* Rgc/rgcposix.scm 151 */
												int BgL_res1728z00_1633;

												{	/* Rgc/rgcposix.scm 151 */
													int BgL_tmpz00_2295;

													BgL_tmpz00_2295 = (int) (((long) 2));
													BgL_res1728z00_1633 =
														BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2295);
												} BgL_res1728z00_1633;
											}
											{	/* Rgc/rgcposix.scm 151 */
												int BgL_tmpz00_2298;

												BgL_tmpz00_2298 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_2298, BgL_iz00_1037);
											}
											return BgL_val0_1099z00_1046;
										}
								}
							}
						}
					else
						{	/* Rgc/rgcposix.scm 152 */
							obj_t BgL_val0_1101z00_1049;

							BgL_val0_1101z00_1049 =
								BGl_makezd2rgczd2sequencez00zz__rgc_posixz00(bgl_reverse
								(BgL_piecesz00_1033));
							{	/* Rgc/rgcposix.scm 152 */
								int BgL_res1729z00_1634;

								{	/* Rgc/rgcposix.scm 152 */
									int BgL_tmpz00_2303;

									BgL_tmpz00_2303 = (int) (((long) 2));
									BgL_res1729z00_1634 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2303);
								} BgL_res1729z00_1634;
							}
							{	/* Rgc/rgcposix.scm 152 */
								int BgL_tmpz00_2306;

								BgL_tmpz00_2306 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_2306, BgL_iz00_1032);
							}
							return BgL_val0_1101z00_1049;
						}
				}
			}
		}
	}



/* parse-posix-piece */
	obj_t BGl_parsezd2posixzd2piecez00zz__rgc_posixz00(obj_t BgL_sz00_14,
		obj_t BgL_iz00_15)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 160 */
			{	/* Rgc/rgcposix.scm 161 */
				long BgL_lenz00_1053;

				BgL_lenz00_1053 = STRING_LENGTH(BgL_sz00_14);
				{	/* Rgc/rgcposix.scm 162 */
					obj_t BgL_atomz00_1054;

					BgL_atomz00_1054 =
						BGl_parsezd2posixzd2atomz00zz__rgc_posixz00(BgL_sz00_14,
						BgL_iz00_15);
					{	/* Rgc/rgcposix.scm 163 */
						obj_t BgL_iz00_1055;

						{	/* Rgc/rgcposix.scm 164 */
							int BgL_tmpz00_2312;

							BgL_tmpz00_2312 = (int) (((long) 1));
							BgL_iz00_1055 = BGL_MVALUES_VAL(BgL_tmpz00_2312);
						}
						if (((long) CINT(BgL_iz00_1055) < BgL_lenz00_1053))
							{

								{	/* Rgc/rgcposix.scm 165 */
									unsigned char BgL_aux1043z00_1058;

									BgL_aux1043z00_1058 =
										STRING_REF(BgL_sz00_14, (long) CINT(BgL_iz00_1055));
									switch (BgL_aux1043z00_1058)
										{
										case ((unsigned char) '*'):
										case ((unsigned char) '+'):
										case ((unsigned char) '?'):

											{	/* Rgc/rgcposix.scm 167 */
												obj_t BgL_fromz00_1060;

												switch (BgL_aux1043z00_1058)
													{
													case ((unsigned char) '*'):

														{	/* Rgc/rgcposix.scm 169 */
															int BgL_res1735z00_1647;

															{	/* Rgc/rgcposix.scm 169 */
																int BgL_tmpz00_2320;

																BgL_tmpz00_2320 = (int) (((long) 2));
																BgL_res1735z00_1647 =
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2320);
															} BgL_res1735z00_1647;
														}
														{	/* Rgc/rgcposix.scm 169 */
															int BgL_tmpz00_2323;

															BgL_tmpz00_2323 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2323, BFALSE);
														}
														BgL_fromz00_1060 = BINT(((long) 0));
														break;
													case ((unsigned char) '+'):

														{	/* Rgc/rgcposix.scm 170 */
															int BgL_res1736z00_1648;

															{	/* Rgc/rgcposix.scm 170 */
																int BgL_tmpz00_2327;

																BgL_tmpz00_2327 = (int) (((long) 2));
																BgL_res1736z00_1648 =
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2327);
															} BgL_res1736z00_1648;
														}
														{	/* Rgc/rgcposix.scm 170 */
															int BgL_tmpz00_2330;

															BgL_tmpz00_2330 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2330, BFALSE);
														}
														BgL_fromz00_1060 = BINT(((long) 1));
														break;
													case ((unsigned char) '?'):

														{	/* Rgc/rgcposix.scm 171 */
															int BgL_res1737z00_1649;

															{	/* Rgc/rgcposix.scm 171 */
																int BgL_tmpz00_2334;

																BgL_tmpz00_2334 = (int) (((long) 2));
																BgL_res1737z00_1649 =
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2334);
															} BgL_res1737z00_1649;
														}
														{	/* Rgc/rgcposix.scm 171 */
															obj_t BgL_auxz00_2339;
															int BgL_tmpz00_2337;

															BgL_auxz00_2339 = BINT(((long) 1));
															BgL_tmpz00_2337 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2337,
																BgL_auxz00_2339);
														}
														BgL_fromz00_1060 = BINT(((long) 0));
														break;
													default:
														BgL_fromz00_1060 = BUNSPEC;
													}
												{	/* Rgc/rgcposix.scm 168 */
													obj_t BgL_toz00_1061;

													{	/* Rgc/rgcposix.scm 172 */
														int BgL_tmpz00_2344;

														BgL_tmpz00_2344 = (int) (((long) 1));
														BgL_toz00_1061 = BGL_MVALUES_VAL(BgL_tmpz00_2344);
													}
													{	/* Rgc/rgcposix.scm 172 */
														obj_t BgL_val0_1111z00_1062;
														long BgL_val1_1112z00_1063;

														BgL_val0_1111z00_1062 =
															BGl_makezd2rgczd2repeatz00zz__rgc_posixz00
															(BgL_fromz00_1060, BgL_toz00_1061,
															BgL_atomz00_1054);
														BgL_val1_1112z00_1063 =
															((long) CINT(BgL_iz00_1055) + ((long) 1));
														{	/* Rgc/rgcposix.scm 172 */
															int BgL_res1739z00_1652;

															{	/* Rgc/rgcposix.scm 172 */
																int BgL_tmpz00_2350;

																BgL_tmpz00_2350 = (int) (((long) 2));
																BgL_res1739z00_1652 =
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2350);
															} BgL_res1739z00_1652;
														}
														{	/* Rgc/rgcposix.scm 172 */
															obj_t BgL_auxz00_2355;
															int BgL_tmpz00_2353;

															BgL_auxz00_2355 = BINT(BgL_val1_1112z00_1063);
															BgL_tmpz00_2353 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2353,
																BgL_auxz00_2355);
														}
														return BgL_val0_1111z00_1062;
													}
												}
											}
											break;
										case ((unsigned char) '{'):

											{	/* Rgc/rgcposix.scm 174 */
												obj_t BgL_fromz00_1073;

												{	/* Rgc/rgcposix.scm 175 */
													obj_t BgL_arg1292z00_1078;

													if (INTEGERP(BgL_iz00_1055))
														{	/* Rgc/rgcposix.scm 175 */
															BgL_arg1292z00_1078 =
																BINT(((long) CINT(BgL_iz00_1055) + ((long) 1)));
														}
													else
														{	/* Rgc/rgcposix.scm 175 */
															BgL_arg1292z00_1078 =
																BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_iz00_1055,
																BINT(((long) 1)));
														}
													BgL_fromz00_1073 =
														BGl_parsezd2posixzd2bracesz00zz__rgc_posixz00
														(BgL_sz00_14, BgL_arg1292z00_1078);
												}
												{	/* Rgc/rgcposix.scm 175 */
													obj_t BgL_toz00_1074;
													obj_t BgL_iz00_1075;

													{	/* Rgc/rgcposix.scm 176 */
														int BgL_tmpz00_2366;

														BgL_tmpz00_2366 = (int) (((long) 1));
														BgL_toz00_1074 = BGL_MVALUES_VAL(BgL_tmpz00_2366);
													}
													{	/* Rgc/rgcposix.scm 176 */
														int BgL_tmpz00_2369;

														BgL_tmpz00_2369 = (int) (((long) 2));
														BgL_iz00_1075 = BGL_MVALUES_VAL(BgL_tmpz00_2369);
													}
													{	/* Rgc/rgcposix.scm 176 */
														obj_t BgL_val0_1113z00_1076;

														BgL_val0_1113z00_1076 =
															BGl_makezd2rgczd2repeatz00zz__rgc_posixz00
															(BgL_fromz00_1073, BgL_toz00_1074,
															BgL_atomz00_1054);
														{	/* Rgc/rgcposix.scm 176 */
															int BgL_res1742z00_1656;

															{	/* Rgc/rgcposix.scm 176 */
																int BgL_tmpz00_2373;

																BgL_tmpz00_2373 = (int) (((long) 2));
																BgL_res1742z00_1656 =
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2373);
															} BgL_res1742z00_1656;
														}
														{	/* Rgc/rgcposix.scm 176 */
															int BgL_tmpz00_2376;

															BgL_tmpz00_2376 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2376,
																BgL_iz00_1075);
														}
														return BgL_val0_1113z00_1076;
													}
												}
											}
											break;
										default:
											{	/* Rgc/rgcposix.scm 177 */
												int BgL_res1732z00_1640;

												{	/* Rgc/rgcposix.scm 177 */
													int BgL_tmpz00_2379;

													BgL_tmpz00_2379 = (int) (((long) 2));
													BgL_res1732z00_1640 =
														BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2379);
												} BgL_res1732z00_1640;
											}
											{	/* Rgc/rgcposix.scm 177 */
												int BgL_tmpz00_2382;

												BgL_tmpz00_2382 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_tmpz00_2382, BgL_iz00_1055);
											}
											return BgL_atomz00_1054;
										}
								}
							}
						else
							{	/* Rgc/rgcposix.scm 164 */
								{	/* Rgc/rgcposix.scm 178 */
									int BgL_res1743z00_1657;

									{	/* Rgc/rgcposix.scm 178 */
										int BgL_tmpz00_2386;

										BgL_tmpz00_2386 = (int) (((long) 2));
										BgL_res1743z00_1657 =
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2386);
									} BgL_res1743z00_1657;
								}
								{	/* Rgc/rgcposix.scm 178 */
									int BgL_tmpz00_2389;

									BgL_tmpz00_2389 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_2389, BgL_iz00_1055);
								}
								return BgL_atomz00_1054;
							}
					}
				}
			}
		}
	}



/* parse-posix-atom */
	obj_t BGl_parsezd2posixzd2atomz00zz__rgc_posixz00(obj_t BgL_sz00_16,
		obj_t BgL_iz00_17)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 186 */
			{	/* Rgc/rgcposix.scm 187 */
				long BgL_lenz00_1084;

				BgL_lenz00_1084 = STRING_LENGTH(BgL_sz00_16);
				if (((long) CINT(BgL_iz00_17) < BgL_lenz00_1084))
					{	/* Rgc/rgcposix.scm 189 */
						unsigned char BgL_cz00_1087;

						BgL_cz00_1087 = STRING_REF(BgL_sz00_16, (long) CINT(BgL_iz00_17));
						{

							switch (BgL_cz00_1087)
								{
								case ((unsigned char) '^'):

									return
										BGl_errorz00zz__errorz00(BFALSE,
										BGl_string1906z00zz__rgc_posixz00,
										BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
									break;
								case ((unsigned char) '$'):

									return
										BGl_errorz00zz__errorz00(BFALSE,
										BGl_string1907z00zz__rgc_posixz00,
										BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
									break;
								case ((unsigned char) '.'):

									{	/* Rgc/rgcposix.scm 193 */
										obj_t BgL_val0_1119z00_1091;
										long BgL_val1_1120z00_1092;

										BgL_val0_1119z00_1091 = BGl_symbol1908z00zz__rgc_posixz00;
										BgL_val1_1120z00_1092 =
											((long) CINT(BgL_iz00_17) + ((long) 1));
										{	/* Rgc/rgcposix.scm 193 */
											int BgL_res1752z00_1674;

											{	/* Rgc/rgcposix.scm 193 */
												int BgL_tmpz00_2402;

												BgL_tmpz00_2402 = (int) (((long) 2));
												BgL_res1752z00_1674 =
													BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2402);
											} BgL_res1752z00_1674;
										}
										{	/* Rgc/rgcposix.scm 193 */
											obj_t BgL_auxz00_2407;
											int BgL_tmpz00_2405;

											BgL_auxz00_2407 = BINT(BgL_val1_1120z00_1092);
											BgL_tmpz00_2405 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2405, BgL_auxz00_2407);
										}
										return BgL_val0_1119z00_1091;
									}
									break;
								case ((unsigned char) '['):

									return
										BGl_parsezd2posixzd2bracketz00zz__rgc_posixz00(BgL_sz00_16,
										((long) CINT(BgL_iz00_17) + ((long) 1)));
									break;
								case ((unsigned char) '('):

									{	/* Rgc/rgcposix.scm 195 */
										obj_t BgL_rez00_1094;

										BgL_rez00_1094 =
											BGl_parsezd2posixzd2expz00zz__rgc_posixz00(BgL_sz00_16,
											((long) CINT(BgL_iz00_17) + ((long) 1)));
										{	/* Rgc/rgcposix.scm 196 */
											obj_t BgL_iz00_1095;

											{	/* Rgc/rgcposix.scm 197 */
												int BgL_tmpz00_2416;

												BgL_tmpz00_2416 = (int) (((long) 1));
												BgL_iz00_1095 = BGL_MVALUES_VAL(BgL_tmpz00_2416);
											}
											{	/* Rgc/rgcposix.scm 197 */
												bool_t BgL_testz00_2419;

												if (((long) CINT(BgL_iz00_1095) < BgL_lenz00_1084))
													{	/* Rgc/rgcposix.scm 197 */
														BgL_testz00_2419 =
															(((unsigned char) ')') ==
															STRING_REF(BgL_sz00_16,
																(long) CINT(BgL_iz00_1095)));
													}
												else
													{	/* Rgc/rgcposix.scm 197 */
														BgL_testz00_2419 = ((bool_t) 0);
													}
												if (BgL_testz00_2419)
													{	/* Rgc/rgcposix.scm 198 */
														obj_t BgL_val0_1121z00_1099;
														long BgL_val1_1122z00_1100;

														{	/* Rgc/rgcposix.scm 198 */
															obj_t BgL_arg1323z00_1101;

															BgL_arg1323z00_1101 =
																MAKE_YOUNG_PAIR(BgL_rez00_1094, BNIL);
															BgL_val0_1121z00_1099 =
																MAKE_YOUNG_PAIR
																(BGl_symbol1910z00zz__rgc_posixz00,
																BgL_arg1323z00_1101);
														}
														BgL_val1_1122z00_1100 =
															((long) CINT(BgL_iz00_1095) + ((long) 1));
														{	/* Rgc/rgcposix.scm 198 */
															int BgL_res1759z00_1690;

															{	/* Rgc/rgcposix.scm 198 */
																int BgL_tmpz00_2430;

																BgL_tmpz00_2430 = (int) (((long) 2));
																BgL_res1759z00_1690 =
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2430);
															} BgL_res1759z00_1690;
														}
														{	/* Rgc/rgcposix.scm 198 */
															obj_t BgL_auxz00_2435;
															int BgL_tmpz00_2433;

															BgL_auxz00_2435 = BINT(BgL_val1_1122z00_1100);
															BgL_tmpz00_2433 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2433,
																BgL_auxz00_2435);
														}
														return BgL_val0_1121z00_1099;
													}
												else
													{	/* Rgc/rgcposix.scm 197 */
														return
															BGl_errorz00zz__errorz00(BFALSE,
															BGl_string1912z00zz__rgc_posixz00,
															BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
													}
											}
										}
									}
									break;
								case ((unsigned char) '\\'):

									{	/* Rgc/rgcposix.scm 200 */
										long BgL_iz00_1105;

										BgL_iz00_1105 = ((long) CINT(BgL_iz00_17) + ((long) 1));
										if ((BgL_iz00_1105 < BgL_lenz00_1084))
											{	/* Rgc/rgcposix.scm 202 */
												obj_t BgL_val0_1123z00_1107;
												long BgL_val1_1124z00_1108;

												{	/* Rgc/rgcposix.scm 202 */
													unsigned char BgL_arg1327z00_1109;

													BgL_arg1327z00_1109 =
														STRING_REF(BgL_sz00_16, BgL_iz00_1105);
													{	/* Rgc/rgcposix.scm 202 */
														obj_t BgL_list1328z00_1110;

														BgL_list1328z00_1110 =
															MAKE_YOUNG_PAIR(BCHAR(BgL_arg1327z00_1109), BNIL);
														BgL_val0_1123z00_1107 =
															BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
															(BgL_list1328z00_1110);
												}}
												BgL_val1_1124z00_1108 = (BgL_iz00_1105 + ((long) 1));
												{	/* Rgc/rgcposix.scm 202 */
													int BgL_res1765z00_1702;

													{	/* Rgc/rgcposix.scm 202 */
														int BgL_tmpz00_2448;

														BgL_tmpz00_2448 = (int) (((long) 2));
														BgL_res1765z00_1702 =
															BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2448);
													} BgL_res1765z00_1702;
												}
												{	/* Rgc/rgcposix.scm 202 */
													obj_t BgL_auxz00_2453;
													int BgL_tmpz00_2451;

													BgL_auxz00_2453 = BINT(BgL_val1_1124z00_1108);
													BgL_tmpz00_2451 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_tmpz00_2451, BgL_auxz00_2453);
												}
												return BgL_val0_1123z00_1107;
											}
										else
											{	/* Rgc/rgcposix.scm 201 */
												return
													BGl_errorz00zz__errorz00(BFALSE,
													BGl_string1913z00zz__rgc_posixz00,
													BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
											}
									}
									break;
								case ((unsigned char) ')'):
								case ((unsigned char) '|'):
								case ((unsigned char) '*'):
								case ((unsigned char) '+'):
								case ((unsigned char) '?'):
								case ((unsigned char) '{'):

									{	/* Rgc/rgcposix.scm 205 */
										int BgL_res1766z00_1703;

										{	/* Rgc/rgcposix.scm 205 */
											int BgL_tmpz00_2457;

											BgL_tmpz00_2457 = (int) (((long) 2));
											BgL_res1766z00_1703 =
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2457);
										} BgL_res1766z00_1703;
									}
									{	/* Rgc/rgcposix.scm 205 */
										int BgL_tmpz00_2460;

										BgL_tmpz00_2460 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2460, BgL_iz00_17);
									}
									return BNIL;
									break;
								default:
									{	/* Rgc/rgcposix.scm 206 */
										obj_t BgL_val0_1117z00_1113;
										long BgL_val1_1118z00_1114;

										{	/* Rgc/rgcposix.scm 206 */
											obj_t BgL_list1329z00_1115;

											BgL_list1329z00_1115 =
												MAKE_YOUNG_PAIR(BCHAR(BgL_cz00_1087), BNIL);
											BgL_val0_1117z00_1113 =
												BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
												(BgL_list1329z00_1115);
										}
										BgL_val1_1118z00_1114 =
											((long) CINT(BgL_iz00_17) + ((long) 1));
										{	/* Rgc/rgcposix.scm 206 */
											int BgL_res1750z00_1671;

											{	/* Rgc/rgcposix.scm 206 */
												int BgL_tmpz00_2468;

												BgL_tmpz00_2468 = (int) (((long) 2));
												BgL_res1750z00_1671 =
													BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2468);
											} BgL_res1750z00_1671;
										}
										{	/* Rgc/rgcposix.scm 206 */
											obj_t BgL_auxz00_2473;
											int BgL_tmpz00_2471;

											BgL_auxz00_2473 = BINT(BgL_val1_1118z00_1114);
											BgL_tmpz00_2471 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2471, BgL_auxz00_2473);
										}
										return BgL_val0_1117z00_1113;
									}
								}
						}
					}
				else
					{	/* Rgc/rgcposix.scm 188 */
						{	/* Rgc/rgcposix.scm 207 */
							int BgL_res1767z00_1704;

							{	/* Rgc/rgcposix.scm 207 */
								int BgL_tmpz00_2477;

								BgL_tmpz00_2477 = (int) (((long) 2));
								BgL_res1767z00_1704 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2477);
							} BgL_res1767z00_1704;
						}
						{	/* Rgc/rgcposix.scm 207 */
							int BgL_tmpz00_2480;

							BgL_tmpz00_2480 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_2480, BgL_iz00_17);
						}
						return BNIL;
					}
			}
		}
	}



/* parse-posix-bracket */
	obj_t BGl_parsezd2posixzd2bracketz00zz__rgc_posixz00(obj_t BgL_sz00_18,
		long BgL_iz00_19)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 215 */
			{	/* Rgc/rgcposix.scm 216 */
				long BgL_lenz00_1119;

				BgL_lenz00_1119 = STRING_LENGTH(BgL_sz00_18);
				if ((BgL_iz00_19 < BgL_lenz00_1119))
					{	/* Rgc/rgcposix.scm 218 */
						bool_t BgL_negatezf3zf3_1121;

						{	/* Rgc/rgcposix.scm 219 */
							unsigned char BgL_cz00_1187;

							BgL_cz00_1187 = STRING_REF(BgL_sz00_18, BgL_iz00_19);
							if ((BgL_cz00_1187 == ((unsigned char) '^')))
								{	/* Rgc/rgcposix.scm 221 */
									long BgL_val1_1130z00_1190;

									BgL_val1_1130z00_1190 = (BgL_iz00_19 + ((long) 1));
									{	/* Rgc/rgcposix.scm 221 */
										int BgL_res1773z00_1718;

										{	/* Rgc/rgcposix.scm 221 */
											int BgL_tmpz00_2490;

											BgL_tmpz00_2490 = (int) (((long) 2));
											BgL_res1773z00_1718 =
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2490);
										} BgL_res1773z00_1718;
									}
									{	/* Rgc/rgcposix.scm 221 */
										obj_t BgL_auxz00_2495;
										int BgL_tmpz00_2493;

										BgL_auxz00_2495 = BINT(BgL_val1_1130z00_1190);
										BgL_tmpz00_2493 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2493, BgL_auxz00_2495);
									}
									BgL_negatezf3zf3_1121 = ((bool_t) 1);
								}
							else
								{	/* Rgc/rgcposix.scm 220 */
									{	/* Rgc/rgcposix.scm 222 */
										int BgL_res1774z00_1719;

										{	/* Rgc/rgcposix.scm 222 */
											int BgL_tmpz00_2498;

											BgL_tmpz00_2498 = (int) (((long) 2));
											BgL_res1774z00_1719 =
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2498);
										} BgL_res1774z00_1719;
									}
									{	/* Rgc/rgcposix.scm 222 */
										obj_t BgL_auxz00_2503;
										int BgL_tmpz00_2501;

										BgL_auxz00_2503 = BINT(BgL_iz00_19);
										BgL_tmpz00_2501 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2501, BgL_auxz00_2503);
									}
									BgL_negatezf3zf3_1121 = ((bool_t) 0);
						}}
						{	/* Rgc/rgcposix.scm 219 */
							obj_t BgL_i0z00_1122;

							{	/* Rgc/rgcposix.scm 223 */
								int BgL_tmpz00_2506;

								BgL_tmpz00_2506 = (int) (((long) 1));
								BgL_i0z00_1122 = BGL_MVALUES_VAL(BgL_tmpz00_2506);
							}
							{
								obj_t BgL_iz00_1125;
								obj_t BgL_csetz00_1126;

								BgL_iz00_1125 = BgL_i0z00_1122;
								BgL_csetz00_1126 = BNIL;
							BgL_zc3anonymousza31332ze3z83_1127:
								if (((long) CINT(BgL_iz00_1125) < BgL_lenz00_1119))
									{	/* Rgc/rgcposix.scm 226 */
										unsigned char BgL_cz00_1129;

										BgL_cz00_1129 =
											STRING_REF(BgL_sz00_18, (long) CINT(BgL_iz00_1125));
										{

											switch (BgL_cz00_1129)
												{
												case ((unsigned char) '['):

													{	/* Rgc/rgcposix.scm 230 */
														long BgL_i1z00_1133;

														BgL_i1z00_1133 =
															((long) CINT(BgL_iz00_1125) + ((long) 1));
														{	/* Rgc/rgcposix.scm 232 */
															bool_t BgL_testz00_2516;

															if ((BgL_i1z00_1133 < BgL_lenz00_1119))
																{	/* Rgc/rgcposix.scm 232 */
																	BgL_testz00_2516 =
																		CBOOL
																		(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																		(BCHAR(STRING_REF(BgL_sz00_18,
																					BgL_i1z00_1133)),
																			BGl_list1914z00zz__rgc_posixz00));
																}
															else
																{	/* Rgc/rgcposix.scm 232 */
																	BgL_testz00_2516 = ((bool_t) 0);
																}
															if (BgL_testz00_2516)
																{	/* Rgc/rgcposix.scm 232 */
																	return
																		BGl_errorz00zz__errorz00(BFALSE,
																		BGl_string1915z00zz__rgc_posixz00,
																		BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
																}
															else
																{	/* Rgc/rgcposix.scm 237 */
																	obj_t BgL_arg1338z00_1137;

																	BgL_arg1338z00_1137 =
																		MAKE_YOUNG_PAIR(BCHAR(((unsigned char)
																				'[')), BgL_csetz00_1126);
																	{
																		obj_t BgL_csetz00_2528;
																		obj_t BgL_iz00_2526;

																		BgL_iz00_2526 = BINT(BgL_i1z00_1133);
																		BgL_csetz00_2528 = BgL_arg1338z00_1137;
																		BgL_csetz00_1126 = BgL_csetz00_2528;
																		BgL_iz00_1125 = BgL_iz00_2526;
																		goto BgL_zc3anonymousza31332ze3z83_1127;
																	}
																}
														}
													}
													break;
												case ((unsigned char) ']'):

													if (
														((long) CINT(BgL_iz00_1125) ==
															(long) CINT(BgL_i0z00_1122)))
														{	/* Rgc/rgcposix.scm 241 */
															long BgL_arg1341z00_1141;
															obj_t BgL_arg1342z00_1142;

															BgL_arg1341z00_1141 =
																((long) CINT(BgL_iz00_1125) + ((long) 1));
															BgL_arg1342z00_1142 =
																MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ']')),
																BgL_csetz00_1126);
															{
																obj_t BgL_csetz00_2539;
																obj_t BgL_iz00_2537;

																BgL_iz00_2537 = BINT(BgL_arg1341z00_1141);
																BgL_csetz00_2539 = BgL_arg1342z00_1142;
																BgL_csetz00_1126 = BgL_csetz00_2539;
																BgL_iz00_1125 = BgL_iz00_2537;
																goto BgL_zc3anonymousza31332ze3z83_1127;
															}
														}
													else
														{	/* Rgc/rgcposix.scm 240 */
															if (BgL_negatezf3zf3_1121)
																{	/* Rgc/rgcposix.scm 245 */
																	obj_t BgL_val0_1133z00_1143;
																	long BgL_val1_1134z00_1144;

																	{	/* Rgc/rgcposix.scm 245 */
																		obj_t BgL_arg1343z00_1145;

																		BgL_arg1343z00_1145 =
																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																			(BgL_csetz00_1126, BNIL);
																		BgL_val0_1133z00_1143 =
																			MAKE_YOUNG_PAIR
																			(BGl_symbol1916z00zz__rgc_posixz00,
																			BgL_arg1343z00_1145);
																	}
																	BgL_val1_1134z00_1144 =
																		((long) CINT(BgL_iz00_1125) + ((long) 1));
																	{	/* Rgc/rgcposix.scm 245 */
																		int BgL_res1804z00_1813;

																		{	/* Rgc/rgcposix.scm 245 */
																			int BgL_tmpz00_2545;

																			BgL_tmpz00_2545 = (int) (((long) 2));
																			BgL_res1804z00_1813 =
																				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2545);
																		} BgL_res1804z00_1813;
																	}
																	{	/* Rgc/rgcposix.scm 245 */
																		obj_t BgL_auxz00_2550;
																		int BgL_tmpz00_2548;

																		BgL_auxz00_2550 =
																			BINT(BgL_val1_1134z00_1144);
																		BgL_tmpz00_2548 = (int) (((long) 1));
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_2548,
																			BgL_auxz00_2550);
																	}
																	return BgL_val0_1133z00_1143;
																}
															else
																{	/* Rgc/rgcposix.scm 246 */
																	obj_t BgL_val0_1135z00_1146;
																	long BgL_val1_1136z00_1147;

																	{	/* Rgc/rgcposix.scm 246 */
																		obj_t BgL_arg1344z00_1148;

																		BgL_arg1344z00_1148 =
																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																			(BgL_csetz00_1126, BNIL);
																		BgL_val0_1135z00_1146 =
																			MAKE_YOUNG_PAIR
																			(BGl_symbol1918z00zz__rgc_posixz00,
																			BgL_arg1344z00_1148);
																	}
																	BgL_val1_1136z00_1147 =
																		((long) CINT(BgL_iz00_1125) + ((long) 1));
																	{	/* Rgc/rgcposix.scm 246 */
																		int BgL_res1806z00_1816;

																		{	/* Rgc/rgcposix.scm 246 */
																			int BgL_tmpz00_2557;

																			BgL_tmpz00_2557 = (int) (((long) 2));
																			BgL_res1806z00_1816 =
																				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2557);
																		} BgL_res1806z00_1816;
																	}
																	{	/* Rgc/rgcposix.scm 246 */
																		obj_t BgL_auxz00_2562;
																		int BgL_tmpz00_2560;

																		BgL_auxz00_2562 =
																			BINT(BgL_val1_1136z00_1147);
																		BgL_tmpz00_2560 = (int) (((long) 1));
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_2560,
																			BgL_auxz00_2562);
																	}
																	return BgL_val0_1135z00_1146;
																}
														}
													break;
												case ((unsigned char) '-'):

													{	/* Rgc/rgcposix.scm 249 */
														bool_t BgL_testz00_2565;

														if (
															((long) CINT(BgL_iz00_1125) ==
																(long) CINT(BgL_i0z00_1122)))
															{	/* Rgc/rgcposix.scm 249 */
																BgL_testz00_2565 = ((bool_t) 1);
															}
														else
															{	/* Rgc/rgcposix.scm 249 */
																if (
																	(((long) CINT(BgL_iz00_1125) + ((long) 1)) <
																		BgL_lenz00_1119))
																	{	/* Rgc/rgcposix.scm 250 */
																		BgL_testz00_2565 =
																			(((unsigned char) ']') ==
																			STRING_REF(BgL_sz00_18,
																				((long) CINT(BgL_iz00_1125) +
																					((long) 1))));
																	}
																else
																	{	/* Rgc/rgcposix.scm 250 */
																		BgL_testz00_2565 = ((bool_t) 0);
																	}
															}
														if (BgL_testz00_2565)
															{	/* Rgc/rgcposix.scm 252 */
																long BgL_arg1350z00_1155;
																obj_t BgL_arg1352z00_1156;

																BgL_arg1350z00_1155 =
																	((long) CINT(BgL_iz00_1125) + ((long) 1));
																BgL_arg1352z00_1156 =
																	MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '-')),
																	BgL_csetz00_1126);
																{
																	obj_t BgL_csetz00_2584;
																	obj_t BgL_iz00_2582;

																	BgL_iz00_2582 = BINT(BgL_arg1350z00_1155);
																	BgL_csetz00_2584 = BgL_arg1352z00_1156;
																	BgL_csetz00_1126 = BgL_csetz00_2584;
																	BgL_iz00_1125 = BgL_iz00_2582;
																	goto BgL_zc3anonymousza31332ze3z83_1127;
																}
															}
														else
															{	/* Rgc/rgcposix.scm 249 */
																return
																	BGl_errorz00zz__errorz00(BFALSE,
																	BGl_string1920z00zz__rgc_posixz00,
																	BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
															}
													}
													break;
												default:
													{	/* Rgc/rgcposix.scm 259 */
														long BgL_iz00_1162;

														BgL_iz00_1162 =
															((long) CINT(BgL_iz00_1125) + ((long) 1));
														{	/* Rgc/rgcposix.scm 260 */
															bool_t BgL_testz00_2588;

															if (
																((BgL_iz00_1162 + ((long) 1)) <
																	BgL_lenz00_1119))
																{	/* Rgc/rgcposix.scm 260 */
																	BgL_testz00_2588 =
																		(((unsigned char) '-') ==
																		STRING_REF(BgL_sz00_18, BgL_iz00_1162));
																}
															else
																{	/* Rgc/rgcposix.scm 260 */
																	BgL_testz00_2588 = ((bool_t) 0);
																}
															if (BgL_testz00_2588)
																{	/* Rgc/rgcposix.scm 263 */
																	long BgL_iz00_1168;

																	BgL_iz00_1168 = (BgL_iz00_1162 + ((long) 1));
																	{	/* Rgc/rgcposix.scm 263 */
																		long BgL_toz00_1169;

																		BgL_toz00_1169 =
																			(STRING_REF(BgL_sz00_18, BgL_iz00_1168));
																		{	/* Rgc/rgcposix.scm 264 */

																			{	/* Rgc/rgcposix.scm 265 */
																				long BgL_g1049z00_1170;

																				BgL_g1049z00_1170 = (BgL_cz00_1129);
																				{
																					long BgL_jz00_1777;
																					obj_t BgL_csetz00_1778;

																					BgL_jz00_1777 = BgL_g1049z00_1170;
																					BgL_csetz00_1778 = BgL_csetz00_1126;
																				BgL_laapz00_1776:
																					if ((BgL_jz00_1777 > BgL_toz00_1169))
																						{	/* Rgc/rgcposix.scm 268 */
																							long BgL_arg1363z00_1785;

																							BgL_arg1363z00_1785 =
																								(BgL_iz00_1168 + ((long) 1));
																							{
																								obj_t BgL_csetz00_2603;
																								obj_t BgL_iz00_2601;

																								BgL_iz00_2601 =
																									BINT(BgL_arg1363z00_1785);
																								BgL_csetz00_2603 =
																									BgL_csetz00_1778;
																								BgL_csetz00_1126 =
																									BgL_csetz00_2603;
																								BgL_iz00_1125 = BgL_iz00_2601;
																								goto
																									BgL_zc3anonymousza31332ze3z83_1127;
																							}
																						}
																					else
																						{	/* Rgc/rgcposix.scm 270 */
																							long BgL_arg1364z00_1786;
																							obj_t BgL_arg1365z00_1787;

																							BgL_arg1364z00_1786 =
																								(BgL_jz00_1777 + ((long) 1));
																							{	/* Rgc/rgcposix.scm 271 */
																								unsigned char
																									BgL_arg1366z00_1788;
																								BgL_arg1366z00_1788 =
																									(BgL_jz00_1777);
																								BgL_arg1365z00_1787 =
																									MAKE_YOUNG_PAIR(BCHAR
																									(BgL_arg1366z00_1788),
																									BgL_csetz00_1778);
																							}
																							{
																								obj_t BgL_csetz00_2609;
																								long BgL_jz00_2608;

																								BgL_jz00_2608 =
																									BgL_arg1364z00_1786;
																								BgL_csetz00_2609 =
																									BgL_arg1365z00_1787;
																								BgL_csetz00_1778 =
																									BgL_csetz00_2609;
																								BgL_jz00_1777 = BgL_jz00_2608;
																								goto BgL_laapz00_1776;
																							}
																						}
																				}
																			}
																		}
																	}
																}
															else
																{	/* Rgc/rgcposix.scm 274 */
																	obj_t BgL_arg1368z00_1182;

																	BgL_arg1368z00_1182 =
																		MAKE_YOUNG_PAIR(BCHAR(BgL_cz00_1129),
																		BgL_csetz00_1126);
																	{
																		obj_t BgL_csetz00_2614;
																		obj_t BgL_iz00_2612;

																		BgL_iz00_2612 = BINT(BgL_iz00_1162);
																		BgL_csetz00_2614 = BgL_arg1368z00_1182;
																		BgL_csetz00_1126 = BgL_csetz00_2614;
																		BgL_iz00_1125 = BgL_iz00_2612;
																		goto BgL_zc3anonymousza31332ze3z83_1127;
																	}
																}
														}
													}
												}
										}
									}
								else
									{	/* Rgc/rgcposix.scm 225 */
										return
											BGl_errorz00zz__errorz00(BFALSE,
											BGl_string1921z00zz__rgc_posixz00,
											BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
									}
							}
						}
					}
				else
					{	/* Rgc/rgcposix.scm 217 */
						return
							BGl_errorz00zz__errorz00(BFALSE,
							BGl_string1921z00zz__rgc_posixz00,
							BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
					}
			}
		}
	}



/* parse-posix-braces */
	obj_t BGl_parsezd2posixzd2bracesz00zz__rgc_posixz00(obj_t BgL_sz00_20,
		obj_t BgL_iz00_21)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 284 */
			{	/* Rgc/rgcposix.scm 295 */
				obj_t BgL_commaz00_1194;
				obj_t BgL_rbz00_1195;

				{	/* Rgc/rgcposix.scm 286 */
					long BgL_lenz00_1855;

					BgL_lenz00_1855 = STRING_LENGTH(BgL_sz00_20);
					{
						obj_t BgL_offsetz00_1857;

						BgL_offsetz00_1857 = BgL_iz00_21;
					BgL_loopz00_1856:
						if (((long) CINT(BgL_offsetz00_1857) >= BgL_lenz00_1855))
							{	/* Rgc/rgcposix.scm 289 */
								BgL_commaz00_1194 = BFALSE;
							}
						else
							{	/* Rgc/rgcposix.scm 289 */
								if (
									(STRING_REF(BgL_sz00_20,
											(long) CINT(BgL_offsetz00_1857)) ==
										((unsigned char) ',')))
									{	/* Rgc/rgcposix.scm 291 */
										BgL_commaz00_1194 = BgL_offsetz00_1857;
									}
								else
									{
										obj_t BgL_offsetz00_2626;

										BgL_offsetz00_2626 =
											BINT(((long) CINT(BgL_offsetz00_1857) + ((long) 1)));
										BgL_offsetz00_1857 = BgL_offsetz00_2626;
										goto BgL_loopz00_1856;
									}
							}
					}
				}
				{	/* Rgc/rgcposix.scm 286 */
					long BgL_lenz00_1875;

					BgL_lenz00_1875 = STRING_LENGTH(BgL_sz00_20);
					{
						obj_t BgL_offsetz00_1877;

						BgL_offsetz00_1877 = BgL_iz00_21;
					BgL_loopz00_1876:
						if (((long) CINT(BgL_offsetz00_1877) >= BgL_lenz00_1875))
							{	/* Rgc/rgcposix.scm 289 */
								BgL_rbz00_1195 = BFALSE;
							}
						else
							{	/* Rgc/rgcposix.scm 289 */
								if (
									(STRING_REF(BgL_sz00_20,
											(long) CINT(BgL_offsetz00_1877)) ==
										((unsigned char) '}')))
									{	/* Rgc/rgcposix.scm 291 */
										BgL_rbz00_1195 = BgL_offsetz00_1877;
									}
								else
									{
										obj_t BgL_offsetz00_2638;

										BgL_offsetz00_2638 =
											BINT(((long) CINT(BgL_offsetz00_1877) + ((long) 1)));
										BgL_offsetz00_1877 = BgL_offsetz00_2638;
										goto BgL_loopz00_1876;
									}
							}
					}
				}
				if (CBOOL(BgL_rbz00_1195))
					{	/* Rgc/rgcposix.scm 298 */
						bool_t BgL_testz00_2644;

						if (CBOOL(BgL_commaz00_1194))
							{	/* Rgc/rgcposix.scm 298 */
								BgL_testz00_2644 =
									(
									(long) CINT(BgL_commaz00_1194) < (long) CINT(BgL_rbz00_1195));
							}
						else
							{	/* Rgc/rgcposix.scm 298 */
								BgL_testz00_2644 = ((bool_t) 0);
							}
						if (BgL_testz00_2644)
							{	/* Rgc/rgcposix.scm 299 */
								obj_t BgL_val0_1137z00_1197;
								obj_t BgL_val1_1138z00_1198;
								long BgL_val2_1139z00_1199;

								{	/* Rgc/rgcposix.scm 299 */
									obj_t BgL_arg1373z00_1200;

									BgL_arg1373z00_1200 =
										c_substring(BgL_sz00_20,
										(long) CINT(BgL_iz00_21), (long) CINT(BgL_commaz00_1194));
									{	/* Ieee/number.scm 165 */

										BgL_val0_1137z00_1197 =
											BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00
											(BgL_arg1373z00_1200, BINT(((long) 10)));
								}}
								{	/* Rgc/rgcposix.scm 300 */
									bool_t BgL_testz00_2655;

									if (
										(((long) CINT(BgL_commaz00_1194) + ((long) 1)) ==
											(long) CINT(BgL_rbz00_1195)))
										{	/* Rgc/rgcposix.scm 300 */
											BgL_testz00_2655 = ((bool_t) 0);
										}
									else
										{	/* Rgc/rgcposix.scm 300 */
											BgL_testz00_2655 = ((bool_t) 1);
										}
									if (BgL_testz00_2655)
										{	/* Rgc/rgcposix.scm 301 */
											obj_t BgL_arg1375z00_1204;

											BgL_arg1375z00_1204 =
												c_substring(BgL_sz00_20,
												((long) CINT(BgL_commaz00_1194) + ((long) 1)),
												(long) CINT(BgL_rbz00_1195));
											{	/* Ieee/number.scm 165 */

												BgL_val1_1138z00_1198 =
													BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00
													(BgL_arg1375z00_1204, BINT(((long) 10)));
										}}
									else
										{	/* Rgc/rgcposix.scm 300 */
											BgL_val1_1138z00_1198 = BFALSE;
										}
								}
								BgL_val2_1139z00_1199 =
									((long) CINT(BgL_rbz00_1195) + ((long) 1));
								{	/* Rgc/rgcposix.scm 299 */
									int BgL_res1836z00_1915;

									{	/* Rgc/rgcposix.scm 299 */
										int BgL_tmpz00_2669;

										BgL_tmpz00_2669 = (int) (((long) 3));
										BgL_res1836z00_1915 =
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2669);
									} BgL_res1836z00_1915;
								}
								{	/* Rgc/rgcposix.scm 299 */
									int BgL_tmpz00_2672;

									BgL_tmpz00_2672 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_2672, BgL_val1_1138z00_1198);
								}
								{	/* Rgc/rgcposix.scm 299 */
									obj_t BgL_auxz00_2677;
									int BgL_tmpz00_2675;

									BgL_auxz00_2677 = BINT(BgL_val2_1139z00_1199);
									BgL_tmpz00_2675 = (int) (((long) 2));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_2675, BgL_auxz00_2677);
								}
								return BgL_val0_1137z00_1197;
							}
						else
							{	/* Rgc/rgcposix.scm 303 */
								obj_t BgL_mz00_1211;

								{	/* Rgc/rgcposix.scm 303 */
									obj_t BgL_arg1382z00_1215;

									BgL_arg1382z00_1215 =
										c_substring(BgL_sz00_20,
										(long) CINT(BgL_iz00_21), (long) CINT(BgL_rbz00_1195));
									{	/* Ieee/number.scm 165 */

										BgL_mz00_1211 =
											BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00
											(BgL_arg1382z00_1215, BINT(((long) 10)));
								}}
								{	/* Rgc/rgcposix.scm 304 */
									long BgL_val2_1142z00_1214;

									BgL_val2_1142z00_1214 =
										((long) CINT(BgL_rbz00_1195) + ((long) 1));
									{	/* Rgc/rgcposix.scm 304 */
										int BgL_res1839z00_1922;

										{	/* Rgc/rgcposix.scm 304 */
											int BgL_tmpz00_2687;

											BgL_tmpz00_2687 = (int) (((long) 3));
											BgL_res1839z00_1922 =
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2687);
										} BgL_res1839z00_1922;
									}
									{	/* Rgc/rgcposix.scm 304 */
										int BgL_tmpz00_2690;

										BgL_tmpz00_2690 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2690, BgL_mz00_1211);
									}
									{	/* Rgc/rgcposix.scm 304 */
										obj_t BgL_auxz00_2695;
										int BgL_tmpz00_2693;

										BgL_auxz00_2695 = BINT(BgL_val2_1142z00_1214);
										BgL_tmpz00_2693 = (int) (((long) 2));
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2693, BgL_auxz00_2695);
									}
									return BgL_mz00_1211;
								}
							}
					}
				else
					{	/* Rgc/rgcposix.scm 297 */
						return
							BGl_errorz00zz__errorz00(BFALSE,
							BGl_string1922z00zz__rgc_posixz00,
							BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__rgc_posixz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__rgc_posixz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__rgc_posixz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__rgc_posixz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1923z00zz__rgc_posixz00));
		}
	}

#ifdef __cplusplus
}
#endif
